/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_oss_oss_1_0();

static const RegSpec oss_oss_1_0_regs[] = {
	{"HDP_NONSURF_FLAGS", 0x0BC9, {
		{"NONSURF_WRITE_FLAG", 0x00000001L, 0x00000000},
		{"NONSURF_READ_FLAG", 0x00000002L, 0x00000001}
	} },
	{"SRBM_MC_CLKEN_CNTL", 0x03B3, {
		{"POST_DELAY_CNT", 0x00001f00L, 0x00000008},
		{"PREFIX_DELAY_CNT", 0x0000000fL, 0x00000000}
	} },
	{"LX3", 0x0060, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"LX2", 0x005C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"LX1", 0x0058, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"LX0", 0x0054, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_K1", 0x01F4, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_K0", 0x01F0, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_K3", 0x01FC, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_K2", 0x01F8, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT1_OFFSET", 0x0260, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_PERFMON_CNTL", 0x0700, {
		{"PERFMON_SAMPLE_ENABLE", 0x00000400L, 0x0000000a},
		{"PERFMON_STATE", 0x0000000fL, 0x00000000},
		{"PERFMON_ENABLE_MODE", 0x00000300L, 0x00000008}
	} },
	{"HDP_XDP_DBG_ADDR", 0x0C41, {
		{"STS", 0x0000ffffL, 0x00000000},
		{"CTRL", 0xffff0000L, 0x00000010}
	} },
	{"SRBM_CNTL", 0x0390, {
		{"READ_TIMEOUT", 0x000003ffL, 0x00000000},
		{"COMBINE_SYSTEM_MC", 0x00020000L, 0x00000011},
		{"PWR_REQUEST_HALT", 0x00010000L, 0x00000010}
	} },
	{"SRBM_SYS_CLKEN_CNTL", 0x03B4, {
		{"POST_DELAY_CNT", 0x00001f00L, 0x00000008},
		{"PREFIX_DELAY_CNT", 0x0000000fL, 0x00000000}
	} },
	{"HDP_NONSURFACE_BASE", 0x0B01, {
		{"NONSURF_BASE", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_VCE_CLKEN_CNTL", 0x03B5, {
		{"POST_DELAY_CNT", 0x00001f00L, 0x00000008},
		{"PREFIX_DELAY_CNT", 0x0000000fL, 0x00000000}
	} },
	{"HDP_MEMIO_STATUS", 0x0BF8, {
		{"MEMIO_WR_ERROR", 0x00000004L, 0x00000002},
		{"MEMIO_RD_STATUS", 0x00000002L, 0x00000001},
		{"MEMIO_RD_ERROR", 0x00000008L, 0x00000003},
		{"MEMIO_WR_STATUS", 0x00000001L, 0x00000000}
	} },
	{"SRBM_STATUS2", 0x0393, {
		{"TST_RQ_PENDING", 0x00000002L, 0x00000001},
		{"XSP_BUSY", 0x00000010L, 0x00000004},
		{"XDMA_BUSY", 0x00000100L, 0x00000008},
		{"VCE_RQ_PENDING", 0x00000008L, 0x00000003},
		{"VCE_BUSY", 0x00000080L, 0x00000007}
	} },
	{"HDP_MEMIO_ADDR", 0x0BF7, {
		{"MEMIO_ADDR_LOWER", 0xffffffffL, 0x00000000}
	} },
	{"KSIG3", 0x0030, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KSIG2", 0x002C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KSIG1", 0x0028, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KSIG0", 0x0024, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_32", 0x0C20, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_SOFT_RESET", 0x0398, {
		{"SOFT_RESET_GRBM", 0x00000100L, 0x00000008},
		{"SOFT_RESET_ORB", 0x00800000L, 0x00000017},
		{"SOFT_RESET_TST", 0x00200000L, 0x00000015},
		{"SOFT_RESET_DC", 0x00000020L, 0x00000005},
		{"SOFT_RESET_VMC", 0x00020000L, 0x00000011},
		{"SOFT_RESET_XDMA", 0x02000000L, 0x00000019},
		{"SOFT_RESET_VCE", 0x01000000L, 0x00000018},
		{"SOFT_RESET_UVD", 0x00040000L, 0x00000012},
		{"SOFT_RESET_SEM", 0x00008000L, 0x0000000f},
		{"SOFT_RESET_HDP", 0x00000200L, 0x00000009},
		{"SOFT_RESET_BIF", 0x00000002L, 0x00000001},
		{"SOFT_RESET_IH", 0x00000400L, 0x0000000a},
		{"SOFT_RESET_REGBB", 0x00400000L, 0x00000016},
		{"SOFT_RESET_XSP", 0x00080000L, 0x00000013},
		{"SOFT_RESET_MC", 0x00000800L, 0x0000000b},
		{"SOFT_RESET_ROM", 0x00004000L, 0x0000000e}
	} },
	{"GC_USER_SYS_RB_BACKEND_DISABLE", 0x03A1, {
		{"BACKEND_DISABLE", 0x00ff0000L, 0x00000010}
	} },
	{"HDP_NONSURFACE_INFO", 0x0B02, {
		{"NONSURF_ADDR_TYPE", 0x00000001L, 0x00000000},
		{"NONSURF_PIXEL_SIZE", 0x00000380L, 0x00000007},
		{"NONSURF_ENDIAN", 0x00000060L, 0x00000005},
		{"NONSURF_MICRO_TILE_MODE", 0x30000000L, 0x0000001c},
		{"NONSURF_ARRAY_MODE", 0x0000001eL, 0x00000001},
		{"NONSURF_BANK_WIDTH", 0x00c00000L, 0x00000016},
		{"NONSURF_SLICE_TILE_MAX_MSB", 0x40000000L, 0x0000001e},
		{"NONSURF_PRIV", 0x00008000L, 0x0000000f},
		{"NONSURF_BANK_HEIGHT", 0x03000000L, 0x00000018},
		{"NONSURF_SAMPLE_SIZE", 0x00006000L, 0x0000000d},
		{"NONSURF_NUM_BANKS", 0x00300000L, 0x00000014},
		{"NONSURF_SAMPLE_NUM", 0x00001c00L, 0x0000000a},
		{"NONSURF_TILE_SPLIT", 0x000e0000L, 0x00000011},
		{"NONSURF_TILE_COMPACT", 0x00010000L, 0x00000010},
		{"NONSURF_MACRO_TILE_ASPECT", 0x0c000000L, 0x0000001a}
	} },
	{"CLIENT1_CK2", 0x0244, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT1_CK3", 0x0248, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT1_CK0", 0x023C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT1_CK1", 0x0240, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_CK0", 0x02B4, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_INT_ACK", 0x03AA, {
		{"RDERR_INT_ACK", 0x00000001L, 0x00000000}
	} },
	{"CLIENT3_CK1", 0x02B8, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_CK2", 0x02BC, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_STATUS", 0x0228, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_BM", 0x01E4, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_SW_SEMAPHORE", 0x0BCB, {
		{"SW_SEMAPHORE", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_CK3", 0x02C0, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_FLUSH_CNTR0_STS", 0x0C3D, {
		{"FLUSH_CNTR0_STS", 0x03ffffffL, 0x00000000}
	} },
	{"HDP_XDP_P2P_MBX_OFFSET", 0x0C25, {
		{"P2P_MBX_OFFSET", 0x00003fffL, 0x00000000}
	} },
	{"CLIENT1_K2", 0x0234, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT1_K3", 0x0238, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT1_K0", 0x022C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT1_K1", 0x0230, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_DEBUG_CNTL", 0x0399, {
		{"SRBM_DEBUG_INDEX", 0x0000003fL, 0x00000000}
	} },
	{"HDP_XDP_D2H_BAR_UPDATE", 0x0C02, {
		{"D2H_BAR_UPDATE_BAR_NUM", 0x00700000L, 0x00000014},
		{"D2H_BAR_UPDATE_FLUSH_NUM", 0x000f0000L, 0x00000010},
		{"D2H_BAR_UPDATE_ADDR", 0x0000ffffL, 0x00000000}
	} },
	{"IH_PERFMON_CNTL", 0x0F89, {
		{"PERF_SEL1", 0x0000fc00L, 0x0000000a},
		{"PERF_SEL0", 0x000000fcL, 0x00000002},
		{"ENABLE0", 0x00000001L, 0x00000000},
		{"ENABLE1", 0x00000100L, 0x00000008},
		{"CLEAR1", 0x00000200L, 0x00000009},
		{"CLEAR0", 0x00000002L, 0x00000001}
	} },
	{"CLIENT2_K3", 0x01C0, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_K2", 0x01BC, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_K1", 0x01B8, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_K0", 0x01B4, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_4", 0x0C04, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_DEBUG", 0x03A4, {
		{"SYS_CLOCK_DOMAIN_OVERRIDE", 0x00000010L, 0x00000004},
		{"MC_CLOCK_DOMAIN_OVERRIDE", 0x00000100L, 0x00000008},
		{"UVD_CLOCK_DOMAIN_OVERRIDE", 0x00000040L, 0x00000006},
		{"IGNORE_RDY", 0x00000001L, 0x00000000},
		{"DISABLE_READ_TIMEOUT", 0x00000002L, 0x00000001},
		{"SNAPSHOT_FREE_CNTRS", 0x00000004L, 0x00000002},
		{"VCE_CLOCK_DOMAIN_OVERRIDE", 0x00000020L, 0x00000005}
	} },
	{"HDP_XDP_FLUSH_ARMED_STS", 0x0C3C, {
		{"FLUSH_ARMED_STS", 0xffffffffL, 0x00000000}
	} },
	{"IH_RB_BASE", 0x0F81, {
		{"ADDR", 0xffffffffL, 0x00000000}
	} },
	{"HDP_NONSURFACE_SIZE", 0x0B03, {
		{"NONSURF_PITCH_TILE_MAX", 0x000007ffL, 0x00000000},
		{"NONSURF_SLICE_TILE_MAX", 0xfffff800L, 0x0000000b}
	} },
	{"SRBM_INT_STATUS", 0x03A9, {
		{"RDERR_INT_STAT", 0x00000001L, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_22", 0x0C16, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_OFFSET", 0x0224, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_P2P_MBX_ADDR6", 0x0C2C, {
		{"ADDR_39_36", 0x01e00000L, 0x00000015},
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x001ffffeL, 0x00000001}
	} },
	{"SRBM_CAM_DATA", 0x0397, {
		{"CAM_ADDR", 0x0000ffffL, 0x00000000},
		{"CAM_REMAPADDR", 0xffff0000L, 0x00000010}
	} },
	{"HDP_XDP_HST_CFG", 0x0C2F, {
		{"HST_CFG_WR_COMBINE_EN", 0x00000001L, 0x00000000},
		{"HST_CFG_WR_COMBINE_TIMER", 0x00000006L, 0x00000001}
	} },
	{"HDP_XDP_STICKY", 0x0C3F, {
		{"STICKY_W1C", 0xffff0000L, 0x00000010},
		{"STICKY_STS", 0x0000ffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_9", 0x0C09, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_P2P_MBX_ADDR4", 0x0C2A, {
		{"ADDR_39_36", 0x01e00000L, 0x00000015},
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x001ffffeL, 0x00000001}
	} },
	{"SEM_MAILBOX_CONTROL", 0x0F9C, {
		{"HOSTPORT_ENABLE", 0x0000ff00L, 0x00000008},
		{"SIDEPORT_ENABLE", 0x000000ffL, 0x00000000}
	} },
	{"HDP_XDP_BARS_ADDR_39_36", 0x0C44, {
		{"BAR6_ADDR_39_36", 0x0f000000L, 0x00000018},
		{"BAR2_ADDR_39_36", 0x00000f00L, 0x00000008},
		{"BAR7_ADDR_39_36", 0xf0000000L, 0x0000001c},
		{"BAR4_ADDR_39_36", 0x000f0000L, 0x00000010},
		{"BAR1_ADDR_39_36", 0x000000f0L, 0x00000004},
		{"BAR0_ADDR_39_36", 0x0000000fL, 0x00000000},
		{"BAR5_ADDR_39_36", 0x00f00000L, 0x00000014},
		{"BAR3_ADDR_39_36", 0x0000f000L, 0x0000000c}
	} },
	{"HDP_XDP_D2H_RSVD_8", 0x0C08, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"IH_PERFCOUNTER1_RESULT", 0x0F8B, {
		{"PERF_COUNT", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_P2P_MBX_ADDR5", 0x0C2B, {
		{"ADDR_39_36", 0x01e00000L, 0x00000015},
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x001ffffeL, 0x00000001}
	} },
	{"CP_CONFIG", 0x0F92, {
		{"CP_REQ_TRAN", 0x00010000L, 0x00000010},
		{"CP_RDREQ_URG", 0x00000f00L, 0x00000008}
	} },
	{"CLIENT1_CD3", 0x0258, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT1_CD2", 0x0254, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT1_CD1", 0x0250, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT1_CD0", 0x024C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"DH_TEST", 0x0000, {
		{"DH_TEST", 0x00000001L, 0x00000000}
	} },
	{"DMA_TILING_CONFIG", 0x342E, {

	} },
	{"HDP_XDP_SID_CFG", 0x0C30, {
		{"SID_CFG_WR_COMBINE_EN", 0x00000001L, 0x00000000},
		{"SID_CFG_WR_COMBINE_TIMER", 0x00000006L, 0x00000001},
		{"SID_CFG_FLNUM_MSB_SEL", 0x00000018L, 0x00000003}
	} },
	{"HDP_XDP_HDP_IPH_CFG", 0x0C31, {
		{"HDP_IPH_CFG_SYS_FIFO_DEPTH_OVERRIDE", 0x0000003fL, 0x00000000},
		{"HDP_IPH_CFG_INVERSE_PEER_TAG_MATCHING", 0x00001000L, 0x0000000c},
		{"HDP_IPH_CFG_P2P_RD_EN", 0x00002000L, 0x0000000d},
		{"HDP_IPH_CFG_XDP_FIFO_DEPTH_OVERRIDE", 0x00000fc0L, 0x00000006}
	} },
	{"HDP_XDP_D2H_RSVD_34", 0x0C22, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_33", 0x0C21, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_NONSURF_FLAGS_CLR", 0x0BCA, {
		{"NONSURF_READ_FLAG_CLR", 0x00000002L, 0x00000001},
		{"NONSURF_WRITE_FLAG_CLR", 0x00000001L, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_31", 0x0C1F, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_30", 0x0C1E, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"IH_STATUS", 0x0F88, {
		{"RB_OVERFLOW", 0x00000020L, 0x00000005},
		{"RB_FULL_DRAIN", 0x00000010L, 0x00000004},
		{"RB_IDLE", 0x00000004L, 0x00000002},
		{"MC_WR_CLEAN_PENDING", 0x00000100L, 0x00000008},
		{"BIF_INTERRUPT_LINE", 0x00000400L, 0x0000000a},
		{"INPUT_IDLE", 0x00000002L, 0x00000001},
		{"MC_WR_STALL", 0x00000080L, 0x00000007},
		{"MC_WR_IDLE", 0x00000040L, 0x00000006},
		{"MC_WR_CLEAN_STALL", 0x00000200L, 0x00000009},
		{"RB_FULL", 0x00000008L, 0x00000003},
		{"IDLE", 0x00000001L, 0x00000000}
	} },
	{"HDP_XDP_CHKN", 0x0C40, {
		{"CHKN_1_RSVD", 0x0000ff00L, 0x00000008},
		{"CHKN_2_RSVD", 0x00ff0000L, 0x00000010},
		{"CHKN_0_RSVD", 0x000000ffL, 0x00000000},
		{"CHKN_3_RSVD", 0xff000000L, 0x00000018}
	} },
	{"CLIENT3_BM", 0x02D4, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"RINGOSC_MASK", 0x0288, {
		{"MASK", 0x0000ffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_6", 0x0C06, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_CK1", 0x01C8, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_CK0", 0x01C4, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_CK3", 0x01D0, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_CK2", 0x01CC, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SPU_PORT_STATUS", 0x029C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CC_SYS_RB_REDUNDANCY", 0x039F, {

	} },
	{"CLIENT3_STATUS", 0x02DC, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_CHIP_REVISION", 0x039B, {
		{"CHIP_REVISION", 0x000000ffL, 0x00000000}
	} },
	{"CLIENT1_PORT_STATUS", 0x0264, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_HDP_MBX_MC_CFG", 0x0C2D, {
		{"HDP_MBX_MC_CFG_TAP_WRREQ_TRAN", 0x00000008L, 0x00000003},
		{"HDP_MBX_MC_CFG_TAP_WRREQ_VMID", 0x000000f0L, 0x00000004},
		{"HDP_MBX_MC_CFG_TAP_WRREQ_SWAP", 0x00000006L, 0x00000001},
		{"HDP_MBX_MC_CFG_TAP_WRREQ_PRIV", 0x00000001L, 0x00000000}
	} },
	{"CLIENT3_OFFSET_HI", 0x02A0, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"DC_TEST_DEBUG_DATA", 0x157D, {
		{"DC_TEST_DEBUG_DATA", 0xffffffffL, 0x00000000}
	} },
	{"HDP_MISC_CNTL", 0x0BD3, {
		{"FED_ENABLE", 0x00200000L, 0x00000015},
		{"ADDRLIB_LINEAR_BYPASS", 0x00100000L, 0x00000014},
		{"HDP_BIF_RDRET_CREDIT", 0x00000780L, 0x00000007},
		{"VM_ID", 0x0000001eL, 0x00000001},
		{"FLUSH_INVALIDATE_CACHE", 0x00000001L, 0x00000000},
		{"READ_CACHE_INVALIDATE", 0x00080000L, 0x00000013},
		{"MC_RDREQ_CREDIT", 0x0007e000L, 0x0000000d},
		{"NO_SPLIT_ARRAY_LINEAR", 0x00001000L, 0x0000000c},
		{"MULTIPLE_READS", 0x00000040L, 0x00000006},
		{"SIMULTANEOUS_READS_WRITES", 0x00000800L, 0x0000000b},
		{"OUTSTANDING_WRITE_COUNT_1024", 0x00000020L, 0x00000005}
	} },
	{"SRBM_PERFCOUNTER1_SELECT", 0x0702, {
		{"PERF_SEL", 0x0000003fL, 0x00000000}
	} },
	{"IH_RB_WPTR_ADDR_LO", 0x0F85, {
		{"ADDR", 0xfffffffcL, 0x00000002}
	} },
	{"SRBM_PERFCOUNTER0_LO", 0x0703, {
		{"PERF_COUNT0_LO", 0xffffffffL, 0x00000000}
	} },
	{"HDP_MEM_POWER_LS", 0x0BD4, {
		{"LS_SETUP", 0x0000007eL, 0x00000001},
		{"LS_HOLD", 0x00001f80L, 0x00000007},
		{"LS_ENABLE", 0x00000001L, 0x00000000}
	} },
	{"CLIENT1_BM", 0x025C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_25", 0x0C19, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_26", 0x0C1A, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_27", 0x0C1B, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_K0", 0x02A4, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_K1", 0x02A8, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_K2", 0x02AC, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_K3", 0x02B0, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SEM_MCIF_CONFIG", 0x0F90, {
		{"MC_REQ_SWAP", 0x00000003L, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_28", 0x0C1C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_BUSY_STS", 0x0C3E, {
		{"BUSY_BITS", 0x0003ffffL, 0x00000000}
	} },
	{"SRBM_UVD_CLKEN_CNTL", 0x03B6, {
		{"POST_DELAY_CNT", 0x00001f00L, 0x00000008},
		{"PREFIX_DELAY_CNT", 0x0000000fL, 0x00000000}
	} },
	{"HDP_XDP_P2P_BAR2", 0x0C36, {
		{"VALID", 0x00100000L, 0x00000014},
		{"ADDR", 0x0000ffffL, 0x00000000},
		{"FLUSH", 0x000f0000L, 0x00000010}
	} },
	{"UVD_CONFIG", 0x0F98, {
		{"UVD_RDREQ_URG", 0x00000f00L, 0x00000008},
		{"UVD_REQ_TRAN", 0x00010000L, 0x00000010}
	} },
	{"HDP_HOST_PATH_CNTL", 0x0B00, {
		{"ALL_SURFACES_DIS", 0x20000000L, 0x0000001d},
		{"WRITE_THROUGH_CACHE_DIS", 0x40000000L, 0x0000001e},
		{"BIF_RDRET_CREDIT", 0x00000007L, 0x00000000},
		{"CACHE_INVALIDATE", 0x00400000L, 0x00000016},
		{"LIN_RD_CACHE_DIS", 0x80000000L, 0x0000001f},
		{"CLOCK_GATING_DIS", 0x00800000L, 0x00000017},
		{"WR_STALL_TIMER", 0x00000600L, 0x00000009},
		{"WRITE_COMBINE_TIMER", 0x00180000L, 0x00000013},
		{"WRITE_COMBINE_EN", 0x00200000L, 0x00000015},
		{"RD_STALL_TIMER", 0x00001800L, 0x0000000b},
		{"MC_WRREQ_CREDIT", 0x000001f8L, 0x00000003},
		{"REG_CLK_ENABLE_COUNT", 0x0f000000L, 0x00000018}
	} },
	{"DC_TEST_DEBUG_INDEX", 0x157C, {
		{"DC_TEST_DEBUG_INDEX", 0x000000ffL, 0x00000000},
		{"DC_TEST_DEBUG_WRITE_EN", 0x00000100L, 0x00000008}
	} },
	{"KSESSION2", 0x001C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KSESSION3", 0x0020, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KSESSION0", 0x0014, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KSESSION1", 0x0018, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_SRBM_CFG", 0x0C32, {
		{"SRBM_CFG_REG_CLK_ENABLE_COUNT", 0x0000003fL, 0x00000000},
		{"SRBM_CFG_WAKE_DYN_CLK", 0x00000080L, 0x00000007},
		{"SRBM_CFG_REG_CLK_GATING_DIS", 0x00000040L, 0x00000006}
	} },
	{"HDP_MEMIO_RD_DATA", 0x0BFA, {
		{"MEMIO_RD_DATA", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_P2P_BAR0", 0x0C34, {
		{"VALID", 0x00100000L, 0x00000014},
		{"ADDR", 0x0000ffffL, 0x00000000},
		{"FLUSH", 0x000f0000L, 0x00000010}
	} },
	{"HDP_XDP_P2P_BAR1", 0x0C35, {
		{"VALID", 0x00100000L, 0x00000014},
		{"ADDR", 0x0000ffffL, 0x00000000},
		{"FLUSH", 0x000f0000L, 0x00000010}
	} },
	{"CC_SYS_RB_BACKEND_DISABLE", 0x03A0, {
		{"BACKEND_DISABLE", 0x00ff0000L, 0x00000010}
	} },
	{"HDP_XDP_P2P_BAR3", 0x0C37, {
		{"VALID", 0x00100000L, 0x00000014},
		{"ADDR", 0x0000ffffL, 0x00000000},
		{"FLUSH", 0x000f0000L, 0x00000010}
	} },
	{"HDP_XDP_P2P_BAR4", 0x0C38, {
		{"VALID", 0x00100000L, 0x00000014},
		{"ADDR", 0x0000ffffL, 0x00000000},
		{"FLUSH", 0x000f0000L, 0x00000010}
	} },
	{"HDP_XDP_P2P_BAR5", 0x0C39, {
		{"VALID", 0x00100000L, 0x00000014},
		{"ADDR", 0x0000ffffL, 0x00000000},
		{"FLUSH", 0x000f0000L, 0x00000010}
	} },
	{"HDP_XDP_P2P_BAR6", 0x0C3A, {
		{"VALID", 0x00100000L, 0x00000014},
		{"ADDR", 0x0000ffffL, 0x00000000},
		{"FLUSH", 0x000f0000L, 0x00000010}
	} },
	{"HDP_XDP_P2P_BAR7", 0x0C3B, {
		{"VALID", 0x00100000L, 0x00000014},
		{"ADDR", 0x0000ffffL, 0x00000000},
		{"FLUSH", 0x000f0000L, 0x00000010}
	} },
	{"HDP_XDP_D2H_RSVD_19", 0x0C13, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_18", 0x0C12, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_DIRECT2HDP_FIRST", 0x0C00, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_DEBUG_DATA", 0x039A, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"IH_RB_RPTR", 0x0F82, {
		{"OFFSET", 0x0003fffcL, 0x00000002}
	} },
	{"HDP_XDP_D2H_RSVD_11", 0x0C0B, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_10", 0x0C0A, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_13", 0x0C0D, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_12", 0x0C0C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_15", 0x0C0F, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_14", 0x0C0E, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_17", 0x0C11, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_16", 0x0C10, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"EXP3", 0x0040, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"EXP2", 0x003C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"EXP1", 0x0038, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"EXP0", 0x0034, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"EXP7", 0x0050, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"EXP6", 0x004C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"EXP5", 0x0048, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"EXP4", 0x0044, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_29", 0x0C1D, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_DEBUG0", 0x0BCC, {

	} },
	{"SRBM_STATUS", 0x0394, {
		{"SMU_RQ_PENDING", 0x00000010L, 0x00000004},
		{"MCC_BUSY", 0x00000800L, 0x0000000b},
		{"HI_RQ_PENDING", 0x00000040L, 0x00000006},
		{"SEM_BUSY", 0x00004000L, 0x0000000e},
		{"MCB_BUSY", 0x00000200L, 0x00000009},
		{"GRBM_RQ_PENDING", 0x00000020L, 0x00000005},
		{"MCD_BUSY", 0x00001000L, 0x0000000c},
		{"VMC_BUSY", 0x00000100L, 0x00000008},
		{"IH_BUSY", 0x00020000L, 0x00000011},
		{"IO_EXTERN_SIGNAL", 0x00000080L, 0x00000007},
		{"UVD_BUSY", 0x00080000L, 0x00000013},
		{"UVD_RQ_PENDING", 0x00000002L, 0x00000001},
		{"BIF_BUSY", 0x20000000L, 0x0000001d},
		{"MCB_NON_DISPLAY_BUSY", 0x00000400L, 0x0000000a}
	} },
	{"SRBM_CAM_INDEX", 0x0396, {
		{"CAM_INDEX", 0x00000007L, 0x00000000}
	} },
	{"IH_PERFCOUNTER0_RESULT", 0x0F8A, {
		{"PERF_COUNT", 0xffffffffL, 0x00000000}
	} },
	{"IH_RB_CNTL", 0x0F80, {
		{"WPTR_OVERFLOW_CLEAR", 0x80000000L, 0x0000001f},
		{"RB_FULL_DRAIN_ENABLE", 0x00000040L, 0x00000006},
		{"WPTR_WRITEBACK_ENABLE", 0x00000100L, 0x00000008},
		{"WPTR_OVERFLOW_ENABLE", 0x00010000L, 0x00000010},
		{"RB_SIZE", 0x0000003eL, 0x00000001},
		{"WPTR_WRITEBACK_TIMER", 0x00003e00L, 0x00000009},
		{"RB_GPU_TS_ENABLE", 0x00000080L, 0x00000007},
		{"RB_ENABLE", 0x00000001L, 0x00000000}
	} },
	{"CLIENT1_OFFSET_HI", 0x0294, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_DIRECT2HDP_LAST", 0x0C23, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_P2P_MBX_ADDR3", 0x0C29, {
		{"ADDR_39_36", 0x01e00000L, 0x00000015},
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x001ffffeL, 0x00000001}
	} },
	{"HDP_XDP_P2P_MBX_ADDR2", 0x0C28, {
		{"ADDR_39_36", 0x01e00000L, 0x00000015},
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x001ffffeL, 0x00000001}
	} },
	{"HDP_XDP_P2P_MBX_ADDR1", 0x0C27, {
		{"ADDR_39_36", 0x01e00000L, 0x00000015},
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x001ffffeL, 0x00000001}
	} },
	{"HDP_XDP_P2P_MBX_ADDR0", 0x0C26, {
		{"ADDR_39_36", 0x01e00000L, 0x00000015},
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x001ffffeL, 0x00000001}
	} },
	{"CLIENT3_CD1", 0x02C8, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_CD0", 0x02C4, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_CD3", 0x02D0, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_CD2", 0x02CC, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"IH_RB_WPTR", 0x0F83, {
		{"RB_OVERFLOW", 0x00000001L, 0x00000000},
		{"OFFSET", 0x0003fffcL, 0x00000002}
	} },
	{"IH_RB_WPTR_ADDR_HI", 0x0F84, {
		{"ADDR", 0x000000ffL, 0x00000000}
	} },
	{"SRBM_READ_ERROR", 0x03A6, {
		{"READ_REQUESTER_VCE", 0x00100000L, 0x00000014},
		{"READ_REQUESTER_SMU", 0x04000000L, 0x0000001a},
		{"READ_REQUESTER_UVD", 0x20000000L, 0x0000001d},
		{"READ_ADDRESS", 0x0003fffcL, 0x00000002},
		{"READ_REQUESTER_TST", 0x00400000L, 0x00000016},
		{"READ_REQUESTER_HI", 0x01000000L, 0x00000018},
		{"READ_ERROR", 0x80000000L, 0x0000001f},
		{"READ_REQUESTER_GRBM", 0x02000000L, 0x00000019}
	} },
	{"HDP_XDP_D2H_FLUSH", 0x0C01, {
		{"D2H_FLUSH_FLUSH_NUM", 0x0000000fL, 0x00000000},
		{"D2H_FLUSH_SEND_SIDE", 0x00020000L, 0x00000011},
		{"D2H_FLUSH_MBX_ADDR_SEL", 0x00000700L, 0x00000008},
		{"D2H_FLUSH_SEND_HOST", 0x00010000L, 0x00000010},
		{"D2H_FLUSH_XPB_CLG", 0x0000f800L, 0x0000000b},
		{"D2H_FLUSH_ALTER_FLUSH_NUM", 0x00040000L, 0x00000012},
		{"D2H_FLUSH_RSVD_0", 0x00080000L, 0x00000013},
		{"D2H_FLUSH_RSVD_1", 0x00100000L, 0x00000014},
		{"D2H_FLUSH_MBX_ENC_DATA", 0x000000f0L, 0x00000004}
	} },
	{"SRBM_DEBUG_SNAPSHOT", 0x03A5, {
		{"XDMA_RDY", 0x00000100L, 0x00000008},
		{"MCD4_RDY", 0x00010000L, 0x00000010},
		{"MCC3_RDY", 0x02000000L, 0x00000019},
		{"ORB_RDY", 0x00001000L, 0x0000000c},
		{"MCB_RDY", 0x00000001L, 0x00000000},
		{"MCD3_RDY", 0x00020000L, 0x00000011},
		{"MCD5_RDY", 0x00008000L, 0x0000000f},
		{"MCC5_RDY", 0x00800000L, 0x00000017},
		{"MCC6_RDY", 0x00400000L, 0x00000016},
		{"MCD6_RDY", 0x00004000L, 0x0000000e},
		{"MCC7_RDY", 0x00200000L, 0x00000015},
		{"DC_RDY", 0x00000040L, 0x00000006},
		{"MCD7_RDY", 0x00002000L, 0x0000000d},
		{"BIF_RDY", 0x00000080L, 0x00000007},
		{"MCD1_RDY", 0x00080000L, 0x00000013},
		{"MCD0_RDY", 0x00100000L, 0x00000014},
		{"VCE_RDY", 0x20000000L, 0x0000001d},
		{"UVD_RDY", 0x00000200L, 0x00000009},
		{"MCC2_RDY", 0x04000000L, 0x0000001a},
		{"MCC4_RDY", 0x01000000L, 0x00000018},
		{"XSP_RDY", 0x00000400L, 0x0000000a},
		{"GRBM_RDY", 0x00000020L, 0x00000005},
		{"MCC1_RDY", 0x08000000L, 0x0000001b},
		{"MCD2_RDY", 0x00040000L, 0x00000012},
		{"REGBB_RDY", 0x00000800L, 0x0000000b},
		{"MCC0_RDY", 0x10000000L, 0x0000001c}
	} },
	{"CLIENT2_OFFSET", 0x01E8, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"VCE_CONFIG", 0x0F94, {
		{"VCE_RDREQ_URG", 0x00000f00L, 0x00000008},
		{"VCE_REQ_TRAN", 0x00010000L, 0x00000010}
	} },
	{"HDP_SC_MULTI_CHIP_CNTL", 0x0BD0, {
		{"MULTI_CHIP_TILE_SIZE", 0x00000018L, 0x00000003},
		{"LOG2_NUM_CHIPS", 0x00000007L, 0x00000000}
	} },
	{"IH_CNTL", 0x0F86, {
		{"MC_WR_CLEAN_CNT", 0x01f00000L, 0x00000014},
		{"ENABLE_INTR", 0x00000001L, 0x00000000},
		{"RPTR_REARM", 0x00000010L, 0x00000004},
		{"MC_FIFO_HIGHWATER", 0x00007c00L, 0x0000000a},
		{"CLIENT_FIFO_HIGHWATER", 0x00000300L, 0x00000008},
		{"MC_TRAN", 0x00000008L, 0x00000003},
		{"MC_VMID", 0x1e000000L, 0x00000019},
		{"MC_SWAP", 0x00000006L, 0x00000001},
		{"MC_WRREQ_CREDIT", 0x000f8000L, 0x0000000f}
	} },
	{"CGTT_DRM_CLK_CTRL0", 0x1579, {

	} },
	{"HDP_OUTSTANDING_REQ", 0x0BD1, {
		{"WRITE_REQ", 0x000000ffL, 0x00000000},
		{"READ_REQ", 0x0000ff00L, 0x00000008}
	} },
	{"SRBM_PERFCOUNTER0_HI", 0x0704, {
		{"PERF_COUNT0_HI", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_OFFSET_HI", 0x0290, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_DEBUG1", 0x0BCD, {

	} },
	{"HFS_SEED0", 0x0278, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HFS_SEED1", 0x027C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HFS_SEED2", 0x0280, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HFS_SEED3", 0x0284, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_CD0", 0x01D4, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_CD1", 0x01D8, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_CD2", 0x01DC, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_CD3", 0x01E0, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_INT_CNTL", 0x03A8, {
		{"RDERR_INT_MASK", 0x00000001L, 0x00000000}
	} },
	{"CLIENT0_BM", 0x0220, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_PERFCOUNTER0_SELECT", 0x0701, {
		{"PERF_SEL", 0x0000003fL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_24", 0x0C18, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT3_OFFSET", 0x02D8, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_P2P_BAR_CFG", 0x0C24, {
		{"P2P_BAR_CFG_BAR_FROM", 0x00000030L, 0x00000004},
		{"P2P_BAR_CFG_ADDR_SIZE", 0x0000000fL, 0x00000000}
	} },
	{"SEM_MAILBOX", 0x0F9B, {
		{"SIDEPORT", 0x000000ffL, 0x00000000},
		{"HOSTPORT", 0x0000ff00L, 0x00000008}
	} },
	{"HDP_XDP_DBG_DATA", 0x0C42, {
		{"STS", 0x0000ffffL, 0x00000000},
		{"CTRL", 0xffff0000L, 0x00000010}
	} },
	{"HDP_LAST_SURFACE_HIT", 0x0BCE, {
		{"LAST_SURFACE_HIT", 0x0000003fL, 0x00000000}
	} },
	{"HDP_NONSURFACE_PREFETCH", 0x0BD5, {
		{"NONSURF_PREFETCH_NUM", 0x000001c0L, 0x00000006},
		{"NONSURF_PREFETCH_MAX_Z", 0x000ffe00L, 0x00000009},
		{"NONSURF_PREFETCH_DIR", 0x00000038L, 0x00000003},
		{"NONSURF_PIPE_CONFIG", 0xf8000000L, 0x0000001b},
		{"NONSURF_PREFETCH_PRI", 0x00000007L, 0x00000000}
	} },
	{"HDP_MEMIO_WR_DATA", 0x0BF9, {
		{"MEMIO_WR_DATA", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_20", 0x0C14, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_MEMIO_CNTL", 0x0BF6, {
		{"MEMIO_WR_STROBE", 0x00000040L, 0x00000006},
		{"MEMIO_SEND", 0x00000001L, 0x00000000},
		{"MEMIO_CLR_WR_ERROR", 0x00004000L, 0x0000000e},
		{"MEMIO_BE", 0x0000003cL, 0x00000002},
		{"MEMIO_CLR_RD_ERROR", 0x00008000L, 0x0000000f},
		{"MEMIO_RD_STROBE", 0x00000080L, 0x00000007},
		{"MEMIO_OP", 0x00000002L, 0x00000001},
		{"MEMIO_ADDR_UPPER", 0x00003f00L, 0x00000008}
	} },
	{"HDP_XDP_D2H_RSVD_21", 0x0C15, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_DBG_MASK", 0x0C43, {
		{"STS", 0x0000ffffL, 0x00000000},
		{"CTRL", 0xffff0000L, 0x00000010}
	} },
	{"IH_ADVFAULT_CNTL", 0x0F8C, {
		{"WATERMARK_ENABLE", 0x00000008L, 0x00000003},
		{"NUM_FAULTS_DROPPED", 0x0000ff00L, 0x00000008},
		{"WAIT_TIMER", 0x3fff0000L, 0x00000010},
		{"WATERMARK_REACHED", 0x00000010L, 0x00000004},
		{"WATERMARK", 0x00000007L, 0x00000000}
	} },
	{"CLIENT0_CK3", 0x020C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_CK2", 0x0208, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_CK1", 0x0204, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_CK0", 0x0200, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_5", 0x0C05, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_ADDR_CONFIG", 0x0BD2, {
		{"NUM_SHADER_ENGINES", 0x00003000L, 0x0000000c},
		{"SHADER_ENGINE_TILE_SIZE", 0x00070000L, 0x00000010},
		{"NUM_GPUS", 0x00700000L, 0x00000014},
		{"NUM_PIPES", 0x00000007L, 0x00000000},
		{"BANK_INTERLEAVE_SIZE", 0x00000700L, 0x00000008},
		{"PIPE_INTERLEAVE_SIZE", 0x00000070L, 0x00000004},
		{"MULTI_GPU_TILE_SIZE", 0x03000000L, 0x00000018},
		{"NUM_LOWER_PIPES", 0x40000000L, 0x0000001e},
		{"ROW_SIZE", 0x30000000L, 0x0000001c}
	} },
	{"HDP_XDP_D2H_RSVD_7", 0x0C07, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_23", 0x0C17, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_D2H_RSVD_3", 0x0C03, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_STATUS", 0x01EC, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"SRBM_PERFCOUNTER1_LO", 0x0705, {
		{"PERF_COUNT1_LO", 0xffffffffL, 0x00000000}
	} },
	{"HDP_XDP_CGTT_BLK_CTRL", 0x0C33, {
		{"CGTT_BLK_CTRL_3_SOFT_CORE_OVERRIDE", 0x40000000L, 0x0000001e},
		{"CGTT_BLK_CTRL_4_SOFT_REG_OVERRIDE", 0x80000000L, 0x0000001f},
		{"CGTT_BLK_CTRL_2_RSVD", 0x3ffff000L, 0x0000000c},
		{"CGTT_BLK_CTRL_0_ON_DELAY", 0x0000000fL, 0x00000000},
		{"CGTT_BLK_CTRL_1_OFF_DELAY", 0x00000ff0L, 0x00000004}
	} },
	{"KHFS1", 0x0008, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KHFS0", 0x0004, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KHFS3", 0x0010, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KHFS2", 0x000C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CC_DRM_ID_STRAPS", 0x1559, {
		{"ATI_REV_ID", 0xf0000000L, 0x0000001c},
		{"MINOR_REV_ID", 0x0f000000L, 0x00000018},
		{"MAJOR_REV_ID", 0x00f00000L, 0x00000014},
		{"DEVICE_ID", 0x000ffff0L, 0x00000004}
	} },
	{"SRBM_PERFCOUNTER1_HI", 0x0706, {
		{"PERF_COUNT1_HI", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT2_OFFSET_HI", 0x0298, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_CD2", 0x0218, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_CD3", 0x021C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_CD0", 0x0210, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"CLIENT0_CD1", 0x0214, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KEFUSE2", 0x0270, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KEFUSE3", 0x0274, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KEFUSE0", 0x0268, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"KEFUSE1", 0x026C, {
		{"RESERVED", 0xffffffffL, 0x00000000}
	} },
	{"IH_LEVEL_STATUS", 0x0F87, {
		{"DC_STATUS", 0x00000001L, 0x00000000},
		{"SRBM_STATUS", 0x00000008L, 0x00000003},
		{"XDMA_STATUS", 0x00000020L, 0x00000005},
		{"BIF_STATUS", 0x00000010L, 0x00000004},
		{"ROM_STATUS", 0x00000004L, 0x00000002}
	} },
	{"SEM_MAILBOX_CLIENTCONFIG", 0x0F9A, {
		{"VCE_CLIENT0", 0x00e00000L, 0x00000015},
		{"CP_CLIENT1", 0x00000038L, 0x00000003},
		{"CP_CLIENT0", 0x00000007L, 0x00000000},
		{"CP_CLIENT3", 0x00000e00L, 0x00000009},
		{"CP_CLIENT2", 0x000001c0L, 0x00000006},
		{"UVD_CLIENT0", 0x00038000L, 0x0000000f}
	} },
	{"SRBM_GFX_CNTL", 0x0391, {
		{"VMID", 0x000000f0L, 0x00000004}
	} },
	{"XDMA_MSTR_MEM_OVERFLOW_CNTL", 0x03F8, {
		{"XDMA_MSTR_OVERFLOW_COUNT", 0x0000ffffL, 0x00000000},
		{"XDMA_MSTR_OVERFLOW_THRESHOLD", 0x3fff0000L, 0x00000010},
		{"XDMA_MSTR_OVERFLOW_COUNT_ENABLE", 0x80000000L, 0x0000001f}
	} },
	{"HDP_TILING_CONFIG", 0x0BCF, {
		{"PIPE_TILING", 0x0000000eL, 0x00000001},
		{"GROUP_SIZE", 0x000000c0L, 0x00000006},
		{"BANK_TILING", 0x00000030L, 0x00000004},
		{"BANK_SWAPS", 0x00003800L, 0x0000000b},
		{"ROW_TILING", 0x00000700L, 0x00000008},
		{"SAMPLE_SPLIT", 0x0000c000L, 0x0000000e}
	} },
	{"HDP_XDP_HDP_MC_CFG", 0x0C2E, {
		{"HDP_MC_CFG_HST_TAP_WRREQ_VMID", 0x07800000L, 0x00000017},
		{"HDP_MC_CFG_MC_STALL_ON_BUF_FULL_MASK", 0x00700000L, 0x00000014},
		{"HDP_MC_CFG_XL8R_WRREQ_CRD_OVERRIDE", 0x00003f00L, 0x00000008},
		{"HDP_MC_CFG_SID_TAP_WRREQ_PRIV", 0x00000010L, 0x00000004},
		{"HDP_MC_CFG_HST_TAP_WRREQ_SWAP", 0x00000006L, 0x00000001},
		{"HDP_MC_CFG_HST_TAP_WRREQ_PRIV", 0x00000001L, 0x00000000},
		{"HDP_MC_CFG_HST_TAP_WRREQ_TRAN", 0x00000008L, 0x00000003},
		{"HDP_MC_CFG_XDP_HIGHER_PRI_THRESH", 0x000fc000L, 0x0000000e},
		{"HDP_MC_CFG_SID_TAP_WRREQ_VMID", 0x78000000L, 0x0000001b},
		{"HDP_MC_CFG_SID_TAP_WRREQ_TRAN", 0x00000080L, 0x00000007},
		{"HDP_MC_CFG_SID_TAP_WRREQ_SWAP", 0x00000060L, 0x00000005}
	} }
};

}; // namespace amdregdb
