/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_oss_oss_2_0();

static const RegSpec oss_oss_2_0_regs[] = {
	{"HDP_NONSURF_FLAGS", 0xbc9, {
		{"NONSURF_WRITE_FLAG", 0x1, 0x0},
		{"NONSURF_READ_FLAG", 0x2, 0x1}
	} },
	{"SDMA_CHANNEL1_XDMA_SLV_REMOTE_GPU_ADDRESS", 0x479, {

	} },
	{"CLIENT0_K1", 0x1f4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT0_K0", 0x1f0, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT0_K3", 0x1fc, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT0_K2", 0x1f8, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"IH_PERFMON_CNTL", 0xf89, {
		{"PERF_SEL1", 0xfc00, 0xa},
		{"PERF_SEL0", 0xfc, 0x2},
		{"ENABLE0", 0x1, 0x0},
		{"ENABLE1", 0x100, 0x8},
		{"CLEAR1", 0x200, 0x9},
		{"CLEAR0", 0x2, 0x1}
	} },
	{"SRBM_PERFMON_CNTL", 0x700, {
		{"PERFMON_SAMPLE_ENABLE", 0x400, 0xa},
		{"PERFMON_ENABLE_MODE", 0x300, 0x8},
		{"PERFMON_STATE", 0xf, 0x0}
	} },
	{"XDMA_MSTR_READ_COMMAND", 0x401, {
		{"XDMA_MSTR_REQUEST_SIZE", 0x3fff, 0x0},
		{"XDMA_MSTR_REQUEST_PREFETCH", 0x3fff0000, 0x10}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_PERFMEAS_CNTL", 0x43f, {

	} },
	{"MDMA_PIPE0_XDMA_MSTR_REMOTE_GPU_ADDRESS_HIGH", 0x407, {

	} },
	{"IH_VMID_6_LUT", 0xf56, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA_PGFSM_CONFIG", 0x3417, {
		{"FSM_ADDR", 0xff, 0x0},
		{"WRITE", 0x1000, 0xc},
		{"POWER_DOWN", 0x100, 0x8},
		{"READ", 0x2000, 0xd},
		{"REG_ADDR", 0xf0000000, 0x1c},
		{"P1_SELECT", 0x400, 0xa},
		{"SRBM_OVERRIDE", 0x8000000, 0x1b},
		{"P2_SELECT", 0x800, 0xb},
		{"POWER_UP", 0x200, 0x9}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_REMOTE_SURFACE_BASE", 0x454, {

	} },
	{"IH_VMID_13_LUT", 0xf5d, {
		{"PASID", 0xffff, 0x0}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_CACHE_BASE_ADDR", 0x408, {

	} },
	{"SDMA0_FREEZE", 0x3413, {
		{"FROZEN", 0x20, 0x5},
		{"FREEZE", 0x10, 0x4}
	} },
	{"SDMA0_RLC0_IB_RPTR", 0x350b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SRBM_VCE_CLKEN_CNTL", 0x3b5, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"HDP_MEMIO_STATUS", 0xbf8, {
		{"MEMIO_WR_ERROR", 0x4, 0x2},
		{"MEMIO_RD_STATUS", 0x2, 0x1},
		{"MEMIO_WR_STATUS", 0x1, 0x0},
		{"MEMIO_RD_ERROR", 0x8, 0x3}
	} },
	{"HDP_MEMIO_ADDR", 0xbf7, {
		{"MEMIO_ADDR_LOWER", 0xffffffff, 0x0}
	} },
	{"CPG_CONFIG", 0xf96, {
		{"CPG_RDREQ_URG", 0xf00, 0x8},
		{"CPG_REQ_TRAN", 0x10000, 0x10}
	} },
	{"SDMA1_RLC0_IB_BASE_HI", 0x370e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SRBM_SOFT_RESET", 0x398, {
		{"SOFT_RESET_TST", 0x200000, 0x15},
		{"SOFT_RESET_DC", 0x20, 0x5},
		{"SOFT_RESET_VMC", 0x20000, 0x11},
		{"SOFT_RESET_XDMA", 0x2000000, 0x19},
		{"SOFT_RESET_SAM", 0x8000000, 0x1b},
		{"SOFT_RESET_SEM", 0x8000, 0xf},
		{"SOFT_RESET_ACP", 0x4000000, 0x1a},
		{"SOFT_RESET_ORB", 0x800000, 0x17},
		{"SOFT_RESET_HDP", 0x200, 0x9},
		{"SOFT_RESET_IH", 0x400, 0xa},
		{"SOFT_RESET_MC", 0x800, 0xb},
		{"SOFT_RESET_GRBM", 0x100, 0x8},
		{"SOFT_RESET_XSP", 0x80000, 0x13},
		{"SOFT_RESET_ROPLL", 0x10, 0x4},
		{"SOFT_RESET_SDMA", 0x100000, 0x14},
		{"SOFT_RESET_SDMA1", 0x40, 0x6},
		{"SOFT_RESET_UVD", 0x40000, 0x12},
		{"SOFT_RESET_CHUB", 0x1000, 0xc},
		{"SOFT_RESET_ROM", 0x4000, 0xe},
		{"SOFT_RESET_VCE", 0x1000000, 0x18},
		{"SOFT_RESET_SMU", 0x10000, 0x10},
		{"SOFT_RESET_REGBB", 0x400000, 0x16},
		{"SOFT_RESET_BIF", 0x2, 0x1}
	} },
	{"SDMA0_RLC1_WATERMARK", 0x35aa, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_CACHE_BASE_ADDR", 0x448, {

	} },
	{"SEM_MAILBOX", 0xf9c, {
		{"SIDEPORT", 0xff, 0x0},
		{"HOSTPORT", 0xff00, 0x8}
	} },
	{"SDMA0_PHASE0_QUANTUM", 0x3414, {
		{"PREFER", 0x40000000, 0x1e},
		{"VALUE", 0xffff00, 0x8},
		{"UNIT", 0xf, 0x0}
	} },
	{"XDMA_MSTR_MEM_CLIENT_CONFIG", 0x3ee, {
		{"XDMA_MSTR_MEM_CLIENT_SWAP", 0x300, 0x8},
		{"XDMA_MSTR_MEM_CLIENT_VMID", 0xf000, 0xc},
		{"XDMA_MSTR_MEM_CLIENT_PRIV", 0x10000, 0x10}
	} },
	{"SDMA0_STATUS1_REG", 0x340e, {
		{"CE_INFO1_FULL", 0x4000, 0xe},
		{"CE_RREQ_IDLE", 0x8, 0x3},
		{"CE_WR_IDLE", 0x2, 0x1},
		{"CE_INFO_FULL", 0x2000, 0xd},
		{"CE_WR_STALL", 0x40000, 0x12},
		{"CE_DST_IDLE", 0x40, 0x6},
		{"CE_WREQ_IDLE", 0x1, 0x0},
		{"CE_RD_STALL", 0x20000, 0x11},
		{"CE_AFIFO_FULL", 0x400, 0xa},
		{"CE_OUT_IDLE", 0x10, 0x4},
		{"CE_IN_IDLE", 0x20, 0x5},
		{"CE_SPLIT_IDLE", 0x4, 0x2}
	} },
	{"SDMA1_RLC1_RB_RPTR_ADDR_HI", 0x3788, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"XDMA_MSTR_STATUS", 0x3ed, {
		{"XDMA_MSTR_STATUS_SELECT", 0x70000000, 0x1c},
		{"XDMA_MSTR_WRITE_LINE_CURRENT", 0xfff0000, 0x10},
		{"XDMA_MSTR_VCOUNT_CURRENT", 0x3fff, 0x0}
	} },
	{"HDP_SW_SEMAPHORE", 0xbcb, {
		{"SW_SEMAPHORE", 0xffffffff, 0x0}
	} },
	{"XDMA_SLV_READ_LATENCY_AVE", 0x467, {
		{"XDMA_SLV_READ_LATENCY_ACC", 0xfffff, 0x0},
		{"XDMA_SLV_READ_LATENCY_COUNT", 0xfff00000, 0x14}
	} },
	{"SDMA1_CNTL", 0x3604, {
		{"DATA_SWAP_ENABLE", 0x8, 0x3},
		{"SEM_WAIT_INT_ENABLE", 0x4, 0x2},
		{"FENCE_SWAP_ENABLE", 0x10, 0x4},
		{"CTXEMPTY_INT_ENABLE", 0x10000000, 0x1c},
		{"FROZEN_INT_ENABLE", 0x20000000, 0x1d},
		{"SEM_INCOMPLETE_INT_ENABLE", 0x2, 0x1},
		{"AUTO_CTXSW_ENABLE", 0x40000, 0x12},
		{"TRAP_ENABLE", 0x1, 0x0},
		{"MC_WRREQ_CREDIT", 0x1f800, 0xb},
		{"MC_RDREQ_CREDIT", 0xfc00000, 0x16}
	} },
	{"CLIENT1_K2", 0x234, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT1_K3", 0x238, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT1_K0", 0x22c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT1_K1", 0x230, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC0_IB_OFFSET", 0x350c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SRBM_DEBUG", 0x3a4, {
		{"SYS_CLOCK_DOMAIN_OVERRIDE", 0x10, 0x4},
		{"MC_CLOCK_DOMAIN_OVERRIDE", 0x100, 0x8},
		{"UVD_CLOCK_DOMAIN_OVERRIDE", 0x40, 0x6},
		{"IGNORE_RDY", 0x1, 0x0},
		{"DISABLE_READ_TIMEOUT", 0x2, 0x1},
		{"SAM_CLOCK_DOMAIN_OVERRIDE", 0x200, 0x9},
		{"SNAPSHOT_FREE_CNTRS", 0x4, 0x2},
		{"SDMA_CLOCK_DOMAIN_OVERRIDE", 0x80, 0x7},
		{"VCE_CLOCK_DOMAIN_OVERRIDE", 0x20, 0x5}
	} },
	{"SDMA0_GFX_RB_WPTR_POLL_ADDR_LO", 0x3487, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"XDMA_MSTR_REMOTE_SURFACE_BASE_HIGH", 0x405, {
		{"XDMA_MSTR_REMOTE_SURFACE_BASE_HIGH", 0xff, 0x0}
	} },
	{"SDMA_CHANNEL2_XDMA_SLV_CHANNEL_CNTL", 0x480, {

	} },
	{"MDMA_PIPE2_XDMA_MSTR_READ_COMMAND", 0x421, {

	} },
	{"SRBM_CAM_INDEX", 0x396, {
		{"CAM_INDEX", 0x7, 0x0}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_MEM_OVERFLOW_CNTL", 0x40c, {

	} },
	{"SDMA1_RLC0_CONTEXT_STATUS", 0x3711, {
		{"EXCEPTION", 0x70, 0x4},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"HDP_XDP_P2P_MBX_ADDR5", 0xc2b, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_PIPE_CNTL", 0x450, {

	} },
	{"SDMA1_GFX_RB_WPTR_POLL_ADDR_LO", 0x3687, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"IH_PERFCOUNTER1_RESULT", 0xf8b, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_12", 0xc0c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_IB_SIZE", 0x368f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"HDP_XDP_SID_CFG", 0xc30, {
		{"SID_CFG_WR_COMBINE_EN", 0x1, 0x0},
		{"SID_CFG_WR_COMBINE_TIMER", 0x6, 0x1},
		{"SID_CFG_FLNUM_MSB_SEL", 0x18, 0x3}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_MEM_UNDERFLOW_CNTL", 0x41d, {

	} },
	{"SDMA1_PHASE0_QUANTUM", 0x3614, {
		{"PREFER", 0x40000000, 0x1e},
		{"VALUE", 0xffff00, 0x8},
		{"UNIT", 0xf, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_READ_COMMAND", 0x441, {

	} },
	{"MDMA_PIPE1_XDMA_MSTR_CACHE_PITCH", 0x41a, {

	} },
	{"SDMA1_RLC0_RB_WPTR_POLL_CNTL", 0x3705, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"CLIENT2_CK1", 0x1c8, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT2_CK0", 0x1c4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_FREEZE", 0x3613, {
		{"FROZEN", 0x20, 0x5},
		{"FREEZE", 0x10, 0x4}
	} },
	{"CLIENT2_CK2", 0x1cc, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_RB_BASE_HI", 0x3782, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"SDMA1_GFX_SKIP_CNTL", 0x3690, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"SRBM_CHIP_REVISION", 0x39b, {
		{"CHIP_REVISION", 0xff, 0x0}
	} },
	{"SDMA0_PERFCOUNTER0_RESULT", 0x3410, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_MEM_UNDERFLOW_CNTL", 0x44d, {

	} },
	{"SDMA_CHANNEL4_XDMA_SLV_CHANNEL_CNTL", 0x490, {

	} },
	{"HDP_XDP_HDP_MBX_MC_CFG", 0xc2d, {
		{"HDP_MBX_MC_CFG_TAP_WRREQ_TRAN", 0x8, 0x3},
		{"HDP_MBX_MC_CFG_TAP_WRREQ_VMID", 0xf0, 0x4},
		{"HDP_MBX_MC_CFG_TAP_WRREQ_SWAP", 0x6, 0x1},
		{"HDP_MBX_MC_CFG_TAP_WRREQ_PRIV", 0x1, 0x0}
	} },
	{"SDMA1_GFX_APE1_CNTL", 0x36a8, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"SDMA1_RLC1_DOORBELL_LOG", 0x37a9, {
		{"DATA", 0xfffffffc, 0x2},
		{"BE_ERROR", 0x1, 0x0}
	} },
	{"IH_VMID_8_LUT", 0xf58, {
		{"PASID", 0xffff, 0x0}
	} },
	{"IH_RB_WPTR_ADDR_LO", 0xf85, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC1_SKIP_CNTL", 0x3790, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_REMOTE_SURFACE_BASE_HIGH", 0x455, {

	} },
	{"SRBM_SYS_CLKEN_CNTL", 0x3b4, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"SDMA0_RLC0_WATERMARK", 0x352a, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_PERFMEAS_CNTL", 0x45f, {

	} },
	{"SDMA0_RLC1_IB_SIZE", 0x358f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"SDMA1_GFX_IB_CNTL", 0x368a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"SDMA1_GFX_VIRTUAL_ADDR", 0x36a7, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"HDP_MEMIO_RD_DATA", 0xbfa, {
		{"MEMIO_RD_DATA", 0xffffffff, 0x0}
	} },
	{"XDMA_SLV_MEM_NACK_STATUS", 0x469, {
		{"XDMA_SLV_MEM_NACK", 0x30000, 0x10},
		{"XDMA_SLV_MEM_NACK_CLR", 0x80000000, 0x1f},
		{"XDMA_SLV_MEM_NACK_TAG", 0xffff, 0x0}
	} },
	{"SDMA0_RLC0_IB_CNTL", 0x350a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"SDMA0_RLC0_SKIP_CNTL", 0x3510, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"HDP_XDP_SRBM_CFG", 0xc32, {
		{"SRBM_CFG_REG_CLK_ENABLE_COUNT", 0x3f, 0x0},
		{"SRBM_CFG_WAKE_DYN_CLK", 0x80, 0x7},
		{"SRBM_CFG_REG_CLK_GATING_DIS", 0x40, 0x6}
	} },
	{"CC_SYS_RB_BACKEND_DISABLE", 0x3a0, {
		{"BACKEND_DISABLE", 0xff0000, 0x10}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_CACHE_BASE_ADDR", 0x458, {

	} },
	{"SDMA1_PERFMON_CNTL", 0x360f, {
		{"PERF_SEL1", 0xfc00, 0xa},
		{"PERF_SEL0", 0xfc, 0x2},
		{"PERF_CLEAR0", 0x2, 0x1},
		{"PERF_CLEAR1", 0x200, 0x9},
		{"PERF_ENABLE1", 0x100, 0x8},
		{"PERF_ENABLE0", 0x1, 0x0}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_CHANNEL_START", 0x45b, {

	} },
	{"CC_SYS_RB_REDUNDANCY", 0x39f, {
		{"FAILED_RB0", 0xf00, 0x8},
		{"EN_REDUNDANCY0", 0x1000, 0xc},
		{"EN_REDUNDANCY1", 0x100000, 0x14},
		{"FAILED_RB1", 0xf0000, 0x10}
	} },
	{"SRBM_DEBUG_DATA", 0x39a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SDMA_CHANNEL5_XDMA_SLV_CHANNEL_CNTL", 0x498, {

	} },
	{"XDMA_SLV_REMOTE_GPU_ADDRESS_HIGH", 0x472, {
		{"XDMA_SLV_REMOTE_GPU_ADDRESS_HIGH", 0xff, 0x0}
	} },
	{"SDMA1_RLC1_RB_CNTL", 0x3780, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"SDMA0_GFX_RB_RPTR_ADDR_HI", 0x3488, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_CACHE_BASE_ADDR", 0x428, {

	} },
	{"XDMA_SLV_READ_LATENCY_MINMAX", 0x466, {
		{"XDMA_SLV_READ_LATENCY_MIN", 0xffff, 0x0},
		{"XDMA_SLV_READ_LATENCY_MAX", 0xffff0000, 0x10}
	} },
	{"SDMA1_RLC1_RB_WPTR_POLL_CNTL", 0x3785, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_CACHE_PITCH", 0x42a, {

	} },
	{"SDMA1_EDC_CONFIG", 0x361a, {
		{"ECC_INT_ENABLE", 0x4, 0x2},
		{"DIS_EDC", 0x2, 0x1}
	} },
	{"SDMA0_RLC1_RB_WPTR_POLL_ADDR_HI", 0x3586, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA0_GFX_RB_WPTR_POLL_ADDR_HI", 0x3486, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_REMOTE_SURFACE_BASE_HIGH", 0x405, {

	} },
	{"HDP_XDP_P2P_MBX_ADDR3", 0xc29, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"HDP_XDP_P2P_MBX_ADDR2", 0xc28, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"HDP_XDP_P2P_MBX_ADDR1", 0xc27, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"HDP_XDP_P2P_MBX_ADDR0", 0xc26, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"CLIENT3_CD1", 0x2c8, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT3_CD0", 0x2c4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT3_CD3", 0x2d0, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT3_CD2", 0x2cc, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"IH_RB_WPTR", 0xf83, {
		{"RB_OVERFLOW", 0x1, 0x0},
		{"OFFSET", 0x3fffc, 0x2}
	} },
	{"SDMA0_STATUS_REG", 0x340d, {
		{"MC_RD_RET_STALL", 0x200000, 0x15},
		{"MC_RD_NO_POLL_IDLE", 0x400000, 0x16},
		{"BLOCK_IDLE", 0x100, 0x8},
		{"RB_FULL", 0x8, 0x3},
		{"MC_WR_IDLE", 0x2000, 0xd},
		{"SEM_RESP_STATE", 0x30000000, 0x1c},
		{"IB_CMD_IDLE", 0x40, 0x6},
		{"IDLE", 0x1, 0x0},
		{"PREV_CMD_IDLE", 0x2000000, 0x19},
		{"CONTEXT_EMPTY", 0x8000, 0xf},
		{"EX_IDLE", 0x400, 0xa},
		{"INSIDE_IB", 0x200, 0x9},
		{"RB_CMD_FULL", 0x20, 0x5},
		{"SEM_REQ_STALL", 0x8000000, 0x1b},
		{"IB_CMD_FULL", 0x80, 0x7},
		{"PACKET_READY", 0x1000, 0xc},
		{"RB_MC_RREQ_IDLE", 0x20000, 0x11},
		{"INT_REQ_STALL", 0x80000000, 0x1f},
		{"RB_CMD_IDLE", 0x10, 0x4},
		{"SRBM_IDLE", 0x4000, 0xe},
		{"EX_IDLE_POLL_TIMER_EXPIRE", 0x800, 0xb},
		{"REG_IDLE", 0x2, 0x1},
		{"MC_RD_IDLE", 0x80000, 0x13},
		{"IB_MC_RREQ_IDLE", 0x40000, 0x12},
		{"RB_EMPTY", 0x4, 0x2},
		{"SEM_IDLE", 0x4000000, 0x1a},
		{"INT_IDLE", 0x40000000, 0x1e}
	} },
	{"SRBM_READ_ERROR", 0x3a6, {
		{"READ_REQUESTER_VCE", 0x100000, 0x14},
		{"READ_REQUESTER_SMU", 0x4000000, 0x1a},
		{"READ_REQUESTER_UVD", 0x20000000, 0x1d},
		{"READ_ADDRESS", 0x3fffc, 0x2},
		{"READ_REQUESTER_TST", 0x400000, 0x16},
		{"READ_REQUESTER_HI", 0x1000000, 0x18},
		{"READ_ERROR", 0x80000000, 0x1f},
		{"READ_REQUESTER_SAM", 0x800000, 0x17},
		{"READ_REQUESTER_SDMA", 0x10000000, 0x1c},
		{"READ_REQUESTER_ACP", 0x8000000, 0x1b},
		{"READ_REQUESTER_SDMA1", 0x200000, 0x15},
		{"READ_REQUESTER_GRBM", 0x2000000, 0x19}
	} },
	{"CLIENT2_OFFSET", 0x1e8, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_HEIGHT", 0x453, {

	} },
	{"SDMA0_RLC0_RB_WPTR_POLL_CNTL", 0x3505, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"IH_VMID_15_LUT", 0xf5f, {
		{"PASID", 0xffff, 0x0}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_REMOTE_SURFACE_BASE_HIGH", 0x435, {

	} },
	{"CLIENT0_OFFSET_HI", 0x290, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_IB_BASE_HI", 0x378e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_IB_RPTR", 0x368b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_RLC0_APE1_CNTL", 0x3528, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"SDMA1_PERFCOUNTER0_RESULT", 0x3610, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_P2P_BAR7", 0xc3b, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"SDMA0_GFX_RB_RPTR", 0x3483, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"CLIENT3_OFFSET", 0x2d8, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_IB_OFFSET_FETCH", 0x360b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_GFX_APE1_CNTL", 0x34a8, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"SDMA1_RLC1_RB_WPTR_POLL_ADDR_LO", 0x3787, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_REMOTE_SURFACE_BASE", 0x404, {

	} },
	{"HDP_MEMIO_CNTL", 0xbf6, {
		{"MEMIO_WR_STROBE", 0x40, 0x6},
		{"MEMIO_SEND", 0x1, 0x0},
		{"MEMIO_CLR_WR_ERROR", 0x4000, 0xe},
		{"MEMIO_BE", 0x3c, 0x2},
		{"MEMIO_CLR_RD_ERROR", 0x8000, 0xf},
		{"MEMIO_RD_STROBE", 0x80, 0x7},
		{"MEMIO_OP", 0x2, 0x1},
		{"MEMIO_ADDR_UPPER", 0x3f00, 0x8}
	} },
	{"XDMA_SLV_PCIE_NACK_STATUS", 0x468, {
		{"XDMA_SLV_PCIE_NACK", 0x3000, 0xc},
		{"XDMA_SLV_PCIE_NACK_CLR", 0x10000, 0x10},
		{"XDMA_SLV_PCIE_NACK_TAG", 0x3ff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_24", 0xc18, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_CACHE_BASE_ADDR_HIGH", 0x459, {

	} },
	{"MDMA_PIPE2_XDMA_MSTR_REMOTE_SURFACE_BASE_HIGH", 0x425, {

	} },
	{"SDMA0_SEM_WAIT_FAIL_TIMER_CNTL", 0x3409, {
		{"TIMER", 0xffffffff, 0x0}
	} },
	{"SDMA_CHANNEL0_XDMA_SLV_CHANNEL_CNTL", 0x470, {

	} },
	{"MDMA_PIPE5_XDMA_MSTR_READ_COMMAND", 0x451, {

	} },
	{"HDP_XDP_HST_CFG", 0xc2f, {
		{"HST_CFG_WR_COMBINE_EN", 0x1, 0x0},
		{"HST_CFG_WR_COMBINE_TIMER", 0x6, 0x1}
	} },
	{"SDMA0_GFX_IB_SIZE", 0x348f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"SDMA1_RLC1_CONTEXT_STATUS", 0x3791, {
		{"EXCEPTION", 0x70, 0x4},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"SDMA1_RLC1_WATERMARK", 0x37aa, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"IH_LEVEL_STATUS", 0xf87, {
		{"DC_STATUS", 0x1, 0x0},
		{"SRBM_STATUS", 0x8, 0x3},
		{"XDMA_STATUS", 0x20, 0x5},
		{"BIF_STATUS", 0x10, 0x4},
		{"ROM_STATUS", 0x4, 0x2}
	} },
	{"CPC1_CONFIG", 0xf97, {
		{"CPC1_REQ_TRAN", 0x10000, 0x10},
		{"CPC1_RDREQ_URG", 0xf00, 0x8}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_HEIGHT", 0x413, {

	} },
	{"SDMA1_RLC0_VIRTUAL_ADDR", 0x3727, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_CACHE_PITCH", 0x45a, {

	} },
	{"CLIENT3_CK0", 0x2b4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SEM_MAILBOX_CONTROL", 0xf9d, {
		{"HOSTPORT_ENABLE", 0xff00, 0x8},
		{"SIDEPORT_ENABLE", 0xff, 0x0}
	} },
	{"CLIENT3_CK2", 0x2bc, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SRBM_INT_CNTL", 0x3a8, {
		{"RDERR_INT_MASK", 0x1, 0x0}
	} },
	{"CLIENT1_OFFSET", 0x260, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_DBG_ADDR", 0xc41, {
		{"CTRL", 0xffff0000, 0x10},
		{"STS", 0xffff, 0x0}
	} },
	{"SDMA1_UCODE_ADDR", 0x3600, {
		{"VALUE", 0x7ff, 0x0}
	} },
	{"SDMA1_RLC1_APE1_CNTL", 0x37a8, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"SDMA0_PERFMON_CNTL", 0x340f, {
		{"PERF_SEL1", 0xfc00, 0xa},
		{"PERF_SEL0", 0xfc, 0x2},
		{"PERF_CLEAR0", 0x2, 0x1},
		{"PERF_CLEAR1", 0x200, 0x9},
		{"PERF_ENABLE1", 0x100, 0x8},
		{"PERF_ENABLE0", 0x1, 0x0}
	} },
	{"SDMA0_GFX_RB_BASE", 0x3481, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC1_RB_RPTR_ADDR_LO", 0x3589, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_PERFMEAS_STATUS", 0x41e, {

	} },
	{"SDMA0_RLC1_RB_WPTR_POLL_ADDR_LO", 0x3587, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"HDP_XDP_D2H_RSVD_20", 0xc14, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_IB_OFFSET", 0x368c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"XDMA_MSTR_PERFMEAS_CNTL", 0x40f, {
		{"XDMA_MSTR_CACHE_BW_MEAS_ITER", 0xfff, 0x0},
		{"XDMA_MSTR_LT_COUNTER_RST", 0x80000000, 0x1f},
		{"XDMA_MSTR_CACHE_BW_SEGID_SEL", 0x1f000, 0xc},
		{"XDMA_MSTR_CACHE_BW_COUNTER_RST", 0x20000, 0x11},
		{"XDMA_MSTR_LT_MEAS_ITER", 0x7ff80000, 0x13}
	} },
	{"XDMA_SLV_CNTL", 0x460, {
		{"XDMA_SLV_READ_LAT_TEST_EN", 0x80000, 0x13},
		{"XDMA_SLV_SOFT_RESET", 0x100000, 0x14},
		{"XDMA_SLV_REQ_MAXED_OUT", 0x1000000, 0x18},
		{"XDMA_SLV_ENABLE", 0x10000, 0x10},
		{"XDMA_SLV_ACTIVE", 0x400, 0xa},
		{"XDMA_SLV_READ_LINES", 0x1, 0x0},
		{"XDMA_SLV_ALPHA_POSITION", 0x3000, 0xc},
		{"XDMA_SLV_MEM_READY", 0x200, 0x9}
	} },
	{"SDMA1_HASH", 0x3607, {
		{"CHANNEL_BITS", 0x7, 0x0},
		{"CHANNEL_XOR_COUNT", 0x700, 0x8},
		{"BANK_BITS", 0x70, 0x4},
		{"BANK_XOR_COUNT", 0x7000, 0xc}
	} },
	{"HDP_XDP_D2H_BAR_UPDATE", 0xc02, {
		{"D2H_BAR_UPDATE_BAR_NUM", 0x700000, 0x14},
		{"D2H_BAR_UPDATE_FLUSH_NUM", 0xf0000, 0x10},
		{"D2H_BAR_UPDATE_ADDR", 0xffff, 0x0}
	} },
	{"SDMA1_POWER_CNTL", 0x3602, {
		{"MEM_POWER_OVERRIDE", 0x100, 0x8}
	} },
	{"SEM_EDC_CONFIG", 0xf9a, {
		{"DIS_EDC", 0x2, 0x1}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_REMOTE_GPU_ADDRESS", 0x406, {

	} },
	{"SDMA0_GFX_RB_RPTR_ADDR_LO", 0x3489, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"HDP_NONSURFACE_SIZE", 0xb03, {
		{"NONSURF_PITCH_TILE_MAX", 0x7ff, 0x0},
		{"NONSURF_SLICE_TILE_MAX", 0xfffff800, 0xb}
	} },
	{"SRBM_INT_STATUS", 0x3a9, {
		{"RDERR_INT_STAT", 0x1, 0x0}
	} },
	{"SDMA1_RLC1_IB_BASE_LO", 0x378d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"HDP_XDP_D2H_RSVD_22", 0xc16, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC1_CONTEXT_STATUS", 0x3591, {
		{"EXCEPTION", 0x70, 0x4},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"SDMA0_RLC1_RB_CNTL", 0x3580, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"SDMA1_RLC1_RB_WPTR", 0x3784, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SRBM_CAM_DATA", 0x397, {
		{"CAM_ADDR", 0xffff, 0x0},
		{"CAM_REMAPADDR", 0xffff0000, 0x10}
	} },
	{"SDMA0_RLC0_RB_RPTR", 0x3503, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"HDP_XDP_STICKY", 0xc3f, {
		{"STICKY_W1C", 0xffff0000, 0x10},
		{"STICKY_STS", 0xffff, 0x0}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_PIPE_CNTL", 0x410, {

	} },
	{"MDMA_PIPE5_XDMA_MSTR_CHANNEL_DIM", 0x452, {

	} },
	{"CLIENT1_CD3", 0x258, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT1_CD2", 0x254, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT1_CD1", 0x250, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT1_CD0", 0x24c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"DH_TEST", 0x0, {
		{"DH_TEST", 0x1, 0x0}
	} },
	{"SDMA0_CLK_CTRL", 0x3403, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_PERFMEAS_STATUS", 0x44e, {

	} },
	{"HDP_XDP_D2H_RSVD_33", 0xc21, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_32", 0xc20, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_31", 0xc1f, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_30", 0xc1e, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_FLUSH_CNTR0_STS", 0xc3d, {
		{"FLUSH_CNTR0_STS", 0x3ffffff, 0x0}
	} },
	{"XDMA_SLV_REMOTE_GPU_ADDRESS", 0x471, {
		{"XDMA_SLV_REMOTE_GPU_ADDRESS", 0xffffffff, 0x0}
	} },
	{"IH_VMID_5_LUT", 0xf55, {
		{"PASID", 0xffff, 0x0}
	} },
	{"XDMA_MSTR_LOCAL_SURFACE_PITCH", 0x3f1, {
		{"XDMA_MSTR_LOCAL_SURFACE_PITCH", 0x3fff, 0x0}
	} },
	{"SDMA1_PHASE1_QUANTUM", 0x3615, {
		{"PREFER", 0x40000000, 0x1e},
		{"VALUE", 0xffff00, 0x8},
		{"UNIT", 0xf, 0x0}
	} },
	{"DC_TEST_DEBUG_DATA", 0x157d, {
		{"DC_TEST_DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"IH_RB_BASE", 0xf81, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_MEM_UNDERFLOW_CNTL", 0x43d, {

	} },
	{"SDMA1_SEM_INCOMPLETE_TIMER_CNTL", 0x3608, {
		{"TIMER", 0xffff, 0x0}
	} },
	{"XDMA_MSTR_CACHE_PITCH", 0x40a, {
		{"XDMA_MSTR_CACHE_PITCH", 0x3fff, 0x0}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_HEIGHT", 0x423, {

	} },
	{"SDMA1_RLC0_IB_RPTR", 0x370b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_PROGRAM", 0x340c, {
		{"STREAM", 0xffffffff, 0x0}
	} },
	{"SDMA1_STATUS_REG", 0x360d, {
		{"MC_RD_RET_STALL", 0x200000, 0x15},
		{"MC_RD_NO_POLL_IDLE", 0x400000, 0x16},
		{"BLOCK_IDLE", 0x100, 0x8},
		{"RB_FULL", 0x8, 0x3},
		{"MC_WR_IDLE", 0x2000, 0xd},
		{"SEM_RESP_STATE", 0x30000000, 0x1c},
		{"IB_CMD_IDLE", 0x40, 0x6},
		{"IDLE", 0x1, 0x0},
		{"PREV_CMD_IDLE", 0x2000000, 0x19},
		{"CONTEXT_EMPTY", 0x8000, 0xf},
		{"EX_IDLE", 0x400, 0xa},
		{"INSIDE_IB", 0x200, 0x9},
		{"RB_CMD_FULL", 0x20, 0x5},
		{"SEM_REQ_STALL", 0x8000000, 0x1b},
		{"IB_CMD_FULL", 0x80, 0x7},
		{"PACKET_READY", 0x1000, 0xc},
		{"RB_MC_RREQ_IDLE", 0x20000, 0x11},
		{"INT_REQ_STALL", 0x80000000, 0x1f},
		{"RB_CMD_IDLE", 0x10, 0x4},
		{"SRBM_IDLE", 0x4000, 0xe},
		{"EX_IDLE_POLL_TIMER_EXPIRE", 0x800, 0xb},
		{"REG_IDLE", 0x2, 0x1},
		{"MC_RD_IDLE", 0x80000, 0x13},
		{"IB_MC_RREQ_IDLE", 0x40000, 0x12},
		{"RB_EMPTY", 0x4, 0x2},
		{"SEM_IDLE", 0x4000000, 0x1a},
		{"INT_IDLE", 0x40000000, 0x1e}
	} },
	{"XDMA_MSTR_MEM_UNDERFLOW_CONFIG", 0x3f4, {
		{"XDMA_MSTR_UNDERFLOW_LIMIT", 0xffff, 0x0},
		{"XDMA_MSTR_UNDERFLOW_TIMER", 0xffff0000, 0x10}
	} },
	{"SDMA0_GFX_RB_BASE_HI", 0x3482, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"SDMA1_RLC0_RB_WPTR", 0x3704, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_CONFIG", 0xf92, {
		{"SDMA_REQ_TRAN", 0x10000, 0x10},
		{"SDMA_RDREQ_URG", 0xf00, 0x8}
	} },
	{"XDMA_MSTR_VSYNC_GSL_CHECK", 0x3f7, {
		{"XDMA_MSTR_VSYNC_GSL_CHECK_V_COUNT", 0x3fff00, 0x8},
		{"XDMA_MSTR_VSYNC_GSL_CHECK_SEL", 0x7, 0x0}
	} },
	{"SDMA0_RLC0_RB_BASE", 0x3501, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_CACHE_PITCH", 0x44a, {

	} },
	{"SDMA0_RLC1_APE1_CNTL", 0x35a8, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"SDMA_CHANNEL5_XDMA_SLV_REMOTE_GPU_ADDRESS_HIGH", 0x49a, {

	} },
	{"DC_TEST_DEBUG_INDEX", 0x157c, {
		{"DC_TEST_DEBUG_INDEX", 0xff, 0x0},
		{"DC_TEST_DEBUG_WRITE_EN", 0x100, 0x8}
	} },
	{"SDMA0_F32_CNTL", 0x3412, {
		{"STEP", 0x2, 0x1},
		{"HALT", 0x1, 0x0}
	} },
	{"IH_VMID_10_LUT", 0xf5a, {
		{"PASID", 0xffff, 0x0}
	} },
	{"KSESSION2", 0x1c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"KSESSION3", 0x20, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"KSESSION0", 0x14, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"KSESSION1", 0x18, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC1_RB_RPTR_ADDR_HI", 0x3588, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC0_RB_CNTL", 0x3700, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR0", 0xc34, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR1", 0xc35, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR2", 0xc36, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR3", 0xc37, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR4", 0xc38, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR5", 0xc39, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR6", 0xc3a, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_CHANNEL_DIM", 0x422, {

	} },
	{"IH_RB_RPTR", 0xf82, {
		{"OFFSET", 0x3fffc, 0x2}
	} },
	{"SDMA_CHANNEL4_XDMA_SLV_REMOTE_GPU_ADDRESS", 0x491, {

	} },
	{"EXP3", 0x40, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"EXP2", 0x3c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"EXP1", 0x38, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"EXP0", 0x34, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"EXP7", 0x50, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"EXP6", 0x4c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"EXP5", 0x48, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"EXP4", 0x44, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC1_RB_WPTR", 0x3584, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC1_RB_WPTR_POLL_ADDR_HI", 0x3786, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"IH_PERFCOUNTER0_RESULT", 0xf8a, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"CLIENT1_OFFSET_HI", 0x294, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_DIRECT2HDP_LAST", 0xc23, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_P2P_MBX_OFFSET", 0xc25, {
		{"P2P_MBX_OFFSET", 0x3fff, 0x0}
	} },
	{"XDMA_MSTR_CACHE_BASE_ADDR", 0x408, {
		{"XDMA_MSTR_CACHE_BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_IB_BASE_LO", 0x368d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"VCE_CONFIG", 0xf94, {
		{"VCE_RDREQ_URG", 0xf00, 0x8},
		{"VCE_REQ_TRAN", 0x10000, 0x10}
	} },
	{"SDMA0_RLC1_VIRTUAL_ADDR", 0x35a7, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"SRBM_UVD_CLKEN_CNTL", 0x3b6, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"IH_CNTL", 0xf86, {
		{"MC_WR_CLEAN_CNT", 0x1f00000, 0x14},
		{"ENABLE_INTR", 0x1, 0x0},
		{"RPTR_REARM", 0x10, 0x4},
		{"MC_FIFO_HIGHWATER", 0x7c00, 0xa},
		{"CLIENT_FIFO_HIGHWATER", 0x300, 0x8},
		{"MC_TRAN", 0x8, 0x3},
		{"MC_VMID", 0x1e000000, 0x19},
		{"MC_SWAP", 0x6, 0x1},
		{"MC_WRREQ_CREDIT", 0xf8000, 0xf}
	} },
	{"SDMA1_GFX_RB_BASE", 0x3681, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_34", 0xc22, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_READ_COMMAND", 0x431, {

	} },
	{"SDMA1_RLC0_IB_SIZE", 0x370f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"SEM_MCIF_CONFIG", 0xf90, {
		{"MC_REQ_SWAP", 0x3, 0x0},
		{"MC_WRREQ_CREDIT", 0xfc, 0x2},
		{"MC_RDREQ_CREDIT", 0x3f00, 0x8}
	} },
	{"SDMA_CHANNEL1_XDMA_SLV_REMOTE_GPU_ADDRESS_HIGH", 0x47a, {

	} },
	{"SDMA1_GFX_CONTEXT_CNTL", 0x3693, {
		{"RESUME_CTX", 0x10000, 0x10},
		{"SESSION_SEL", 0xf000000, 0x18}
	} },
	{"SRBM_PERFCOUNTER1_LO", 0x705, {
		{"PERF_COUNT1_LO", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_MEM_UNDERFLOW_CNTL", 0x42d, {

	} },
	{"XDMA_MSTR_REMOTE_SURFACE_BASE", 0x404, {
		{"XDMA_MSTR_REMOTE_SURFACE_BASE", 0xffffffff, 0x0}
	} },
	{"CLIENT0_BM", 0x220, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_REMOTE_SURFACE_BASE_HIGH", 0x445, {

	} },
	{"MDMA_PIPE3_XDMA_MSTR_PIPE_CNTL", 0x430, {

	} },
	{"MDMA_PIPE1_XDMA_MSTR_CACHE_BASE_ADDR", 0x418, {

	} },
	{"SDMA0_SEM_INCOMPLETE_TIMER_CNTL", 0x3408, {
		{"TIMER", 0xffff, 0x0}
	} },
	{"HDP_NONSURFACE_PREFETCH", 0xbd5, {
		{"NONSURF_PREFETCH_NUM", 0x1c0, 0x6},
		{"NONSURF_PREFETCH_MAX_Z", 0xffe00, 0x9},
		{"NONSURF_PREFETCH_DIR", 0x38, 0x3},
		{"NONSURF_PIPE_CONFIG", 0xf8000000, 0x1b},
		{"NONSURF_PREFETCH_PRI", 0x7, 0x0}
	} },
	{"XDMA_SLV_WRITE_URGENT_CNTL", 0x464, {
		{"XDMA_SLV_WRITE_STALL", 0x1, 0x0},
		{"XDMA_SLV_WRITE_URGENT_LEVEL", 0xf00, 0x8},
		{"XDMA_SLV_WRITE_STALL_DELAY", 0xf000, 0xc}
	} },
	{"SDMA_CHANNEL2_XDMA_SLV_REMOTE_GPU_ADDRESS", 0x481, {

	} },
	{"SDMA0_RLC1_RB_BASE_HI", 0x3582, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_9", 0xc09, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_8", 0xc08, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC0_RB_BASE", 0x3701, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_RB_RPTR_FETCH", 0x360a, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC0_IB_CNTL", 0x370a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"UVD_CONFIG", 0xf93, {
		{"UVD_RDREQ_URG", 0xf00, 0x8},
		{"UVD_REQ_TRAN", 0x10000, 0x10}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_MEM_OVERFLOW_CNTL", 0x42c, {

	} },
	{"HDP_XDP_D2H_RSVD_3", 0xc03, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_HEIGHT", 0x443, {

	} },
	{"MDMA_PIPE1_XDMA_MSTR_REMOTE_SURFACE_BASE", 0x414, {

	} },
	{"IH_VMID_9_LUT", 0xf59, {
		{"PASID", 0xffff, 0x0}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_REMOTE_GPU_ADDRESS_HIGH", 0x417, {

	} },
	{"KHFS1", 0x8, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"KHFS0", 0x4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"KHFS3", 0x10, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"KHFS2", 0xc, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_IB_RPTR", 0x378b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_CACHE_BASE_ADDR", 0x438, {

	} },
	{"XDMA_MSTR_REMOTE_GPU_ADDRESS", 0x406, {
		{"XDMA_MSTR_REMOTE_GPU_ADDRESS", 0xffffffff, 0x0}
	} },
	{"SDMA0_GFX_VIRTUAL_ADDR", 0x34a7, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"SDMA0_RLC1_DOORBELL", 0x3592, {
		{"ENABLE", 0x10000000, 0x1c},
		{"CAPTURED", 0x40000000, 0x1e},
		{"OFFSET", 0x1fffff, 0x0}
	} },
	{"SRBM_PERFCOUNTER0_HI", 0x704, {
		{"PERF_COUNT0_HI", 0xffffffff, 0x0}
	} },
	{"SEM_MAILBOX_CLIENTCONFIG", 0xf9b, {
		{"VCE_CLIENT0", 0xe00000, 0x15},
		{"SDMA1_CLIENT0", 0x1c0000, 0x12},
		{"SDMA_CLIENT0", 0x7000, 0xc},
		{"CP_CLIENT1", 0x38, 0x3},
		{"CP_CLIENT0", 0x7, 0x0},
		{"CP_CLIENT3", 0xe00, 0x9},
		{"CP_CLIENT2", 0x1c0, 0x6},
		{"UVD_CLIENT0", 0x38000, 0xf}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_CACHE_PITCH", 0x43a, {

	} },
	{"KEFUSE3", 0x274, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_UCODE_DATA", 0x3401, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"LX3", 0x60, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"LX2", 0x5c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"LX1", 0x58, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"LX0", 0x54, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"IH_VMID_4_LUT", 0xf54, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA0_RLC1_IB_BASE_LO", 0x358d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"XDMA_MSTR_LOCAL_SURFACE_BASE_ADDR_HIGH", 0x3f0, {
		{"XDMA_MSTR_LOCAL_SURFACE_BASE_ADDR_HIGH", 0xff, 0x0}
	} },
	{"XDMA_MSTR_CMD_URGENT_CNTL", 0x3f2, {
		{"XDMA_MSTR_CMD_STALL_DELAY", 0xf000, 0xc},
		{"XDMA_MSTR_CMD_CLIENT_STALL", 0x1, 0x0},
		{"XDMA_MSTR_CMD_URGENT_LEVEL", 0xf00, 0x8}
	} },
	{"SDMA1_RLC0_RB_WPTR_POLL_ADDR_HI", 0x3706, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_CLK_CTRL", 0x3603, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_PERFMEAS_STATUS", 0x43e, {

	} },
	{"XDMA_MSTR_MEM_URGENT_CNTL", 0x3f3, {
		{"XDMA_MSTR_MEM_CLIENT_STALL", 0x1, 0x0},
		{"XDMA_MSTR_MEM_URGENT_LIMIT", 0xf0, 0x4},
		{"XDMA_MSTR_MEM_URGENT_LEVEL", 0xf00, 0x8},
		{"XDMA_MSTR_MEM_URGENT_TIMER", 0xffff0000, 0x10},
		{"XDMA_MSTR_MEM_STALL_DELAY", 0xf000, 0xc}
	} },
	{"SRBM_STATUS2", 0x393, {
		{"TST_RQ_PENDING", 0x2, 0x1},
		{"SDMA1_RQ_PENDING", 0x4, 0x2},
		{"VCE_BUSY", 0x80, 0x7},
		{"SDMA1_BUSY", 0x40, 0x6},
		{"SDMA_BUSY", 0x20, 0x5},
		{"SDMA_RQ_PENDING", 0x1, 0x0},
		{"CHUB_BUSY", 0x200, 0x9},
		{"XSP_BUSY", 0x10, 0x4},
		{"VCE_RQ_PENDING", 0x8, 0x3},
		{"XDMA_BUSY", 0x100, 0x8}
	} },
	{"KSIG3", 0x30, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"KSIG2", 0x2c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"KSIG1", 0x28, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"KSIG0", 0x24, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_RB_RPTR_ADDR_LO", 0x3689, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"XDMA_MSTR_CHANNEL_DIM", 0x402, {
		{"XDMA_MSTR_CHANNEL_HEIGHT", 0x3fff0000, 0x10},
		{"XDMA_MSTR_CHANNEL_WIDTH", 0x3fff, 0x0}
	} },
	{"SDMA0_RLC1_RB_RPTR", 0x3583, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"HDP_NONSURFACE_INFO", 0xb02, {
		{"NONSURF_ADDR_TYPE", 0x1, 0x0},
		{"NONSURF_PIXEL_SIZE", 0x380, 0x7},
		{"NONSURF_ENDIAN", 0x60, 0x5},
		{"NONSURF_MICRO_TILE_MODE", 0x70000000, 0x1c},
		{"NONSURF_ARRAY_MODE", 0x1e, 0x1},
		{"NONSURF_NUM_BANKS", 0x300000, 0x14},
		{"NONSURF_SLICE_TILE_MAX_MSB", 0x80000000, 0x1f},
		{"NONSURF_BANK_HEIGHT", 0x3000000, 0x18},
		{"NONSURF_PRIV", 0x8000, 0xf},
		{"NONSURF_SAMPLE_SIZE", 0x6000, 0xd},
		{"NONSURF_BANK_WIDTH", 0xc00000, 0x16},
		{"NONSURF_SAMPLE_NUM", 0x1c00, 0xa},
		{"NONSURF_TILE_SPLIT", 0xe0000, 0x11},
		{"NONSURF_TILE_COMPACT", 0x10000, 0x10},
		{"NONSURF_MACRO_TILE_ASPECT", 0xc000000, 0x1a}
	} },
	{"CLIENT1_CK2", 0x244, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT1_CK3", 0x248, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT1_CK0", 0x23c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT1_CK1", 0x240, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT3_CK1", 0x2b8, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_CONTEXT_STATUS", 0x3691, {
		{"EXCEPTION", 0x70, 0x4},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"SDMA0_RLC0_VIRTUAL_ADDR", 0x3527, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"CLIENT2_BM", 0x1e4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT3_CK3", 0x2c0, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_REMOTE_SURFACE_BASE_HIGH", 0x415, {

	} },
	{"IH_RB_CNTL", 0xf80, {
		{"WPTR_OVERFLOW_CLEAR", 0x80000000, 0x1f},
		{"RB_FULL_DRAIN_ENABLE", 0x40, 0x6},
		{"WPTR_WRITEBACK_ENABLE", 0x100, 0x8},
		{"WPTR_OVERFLOW_ENABLE", 0x10000, 0x10},
		{"RB_SIZE", 0x3e, 0x1},
		{"WPTR_WRITEBACK_TIMER", 0x3e00, 0x9},
		{"RB_GPU_TS_ENABLE", 0x80, 0x7},
		{"RB_ENABLE", 0x1, 0x0}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_CHANNEL_START", 0x40b, {

	} },
	{"MDMA_PIPE0_XDMA_MSTR_HEIGHT", 0x403, {

	} },
	{"CLIENT2_K3", 0x1c0, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT2_K2", 0x1bc, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT2_K1", 0x1b8, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT2_K0", 0x1b4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_CACHE_PITCH", 0x40a, {

	} },
	{"SDMA0_IB_OFFSET_FETCH", 0x340b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_GFX_RB_WPTR_POLL_CNTL", 0x3485, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"IH_VMID_14_LUT", 0xf5e, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA0_RLC0_RB_WPTR_POLL_ADDR_HI", 0x3506, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SRBM_CNTL", 0x390, {
		{"READ_TIMEOUT", 0x1fff, 0x0},
		{"COMBINE_SYSTEM_MC", 0x20000, 0x11},
		{"PWR_REQUEST_HALT", 0x10000, 0x10}
	} },
	{"SDMA1_RLC0_APE1_CNTL", 0x3728, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"SDMA0_HASH", 0x3407, {
		{"CHANNEL_BITS", 0x7, 0x0},
		{"CHANNEL_XOR_COUNT", 0x700, 0x8},
		{"BANK_BITS", 0x70, 0x4},
		{"BANK_XOR_COUNT", 0x7000, 0xc}
	} },
	{"CLIENT2_CK3", 0x1d0, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_PERFCOUNTER1_RESULT", 0x3411, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_PIPE_CNTL", 0x420, {

	} },
	{"MDMA_PIPE2_XDMA_MSTR_PERFMEAS_STATUS", 0x42e, {

	} },
	{"HDP_NONSURF_FLAGS_CLR", 0xbca, {
		{"NONSURF_WRITE_FLAG_CLR", 0x1, 0x0},
		{"NONSURF_READ_FLAG_CLR", 0x2, 0x1}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_REMOTE_GPU_ADDRESS", 0x416, {

	} },
	{"CLIENT3_BM", 0x2d4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_VIRTUAL_ADDR", 0x37a7, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"HDP_XDP_CHKN", 0xc40, {
		{"CHKN_1_RSVD", 0xff00, 0x8},
		{"CHKN_2_RSVD", 0xff0000, 0x10},
		{"CHKN_0_RSVD", 0xff, 0x0},
		{"CHKN_3_RSVD", 0xff000000, 0x18}
	} },
	{"IH_VMID_3_LUT", 0xf53, {
		{"PASID", 0xffff, 0x0}
	} },
	{"XDMA_MSTR_CHANNEL_START", 0x40b, {
		{"XDMA_MSTR_CHANNEL_START_X", 0x3fff, 0x0},
		{"XDMA_MSTR_CHANNEL_START_Y", 0x3fff0000, 0x10}
	} },
	{"SDMA1_TILING_CONFIG", 0x3606, {
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_MEM_UNDERFLOW_CNTL", 0x40d, {

	} },
	{"MDMA_PIPE5_XDMA_MSTR_MEM_UNDERFLOW_CNTL", 0x45d, {

	} },
	{"CLIENT1_PORT_STATUS", 0x264, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SRBM_DEBUG_SNAPSHOT", 0x3a5, {
		{"XDMA_RDY", 0x100, 0x8},
		{"MCD4_RDY", 0x10000, 0x10},
		{"MCC3_RDY", 0x2000000, 0x19},
		{"ORB_RDY", 0x1000, 0xc},
		{"MCB_RDY", 0x1, 0x0},
		{"SAM_RDY", 0x8, 0x3},
		{"MCC7_RDY", 0x200000, 0x15},
		{"MCD3_RDY", 0x20000, 0x11},
		{"MCD5_RDY", 0x8000, 0xf},
		{"MCC5_RDY", 0x800000, 0x17},
		{"ROPLL_RDY", 0x2, 0x1},
		{"MCC6_RDY", 0x400000, 0x16},
		{"MCD6_RDY", 0x4000, 0xe},
		{"SMU_RDY", 0x4, 0x2},
		{"DC_RDY", 0x40, 0x6},
		{"MCD7_RDY", 0x2000, 0xd},
		{"BIF_RDY", 0x80, 0x7},
		{"MCD1_RDY", 0x80000, 0x13},
		{"MCD0_RDY", 0x100000, 0x14},
		{"VCE_RDY", 0x20000000, 0x1d},
		{"ACP_RDY", 0x10, 0x4},
		{"UVD_RDY", 0x200, 0x9},
		{"MCC2_RDY", 0x4000000, 0x1a},
		{"MCC4_RDY", 0x1000000, 0x18},
		{"XSP_RDY", 0x400, 0xa},
		{"GRBM_RDY", 0x20, 0x5},
		{"MCC1_RDY", 0x8000000, 0x1b},
		{"MCD2_RDY", 0x40000, 0x12},
		{"REGBB_RDY", 0x800, 0xb},
		{"MCC0_RDY", 0x10000000, 0x1c}
	} },
	{"CLIENT3_OFFSET_HI", 0x2a0, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_MISC_CNTL", 0xbd3, {
		{"FED_ENABLE", 0x200000, 0x15},
		{"ADDRLIB_LINEAR_BYPASS", 0x100000, 0x14},
		{"HDP_BIF_RDRET_CREDIT", 0x780, 0x7},
		{"VM_ID", 0x1e, 0x1},
		{"FLUSH_INVALIDATE_CACHE", 0x1, 0x0},
		{"READ_CACHE_INVALIDATE", 0x80000, 0x13},
		{"MC_RDREQ_CREDIT", 0x7e000, 0xd},
		{"NO_SPLIT_ARRAY_LINEAR", 0x1000, 0xc},
		{"MULTIPLE_READS", 0x40, 0x6},
		{"SIMULTANEOUS_READS_WRITES", 0x800, 0xb},
		{"OUTSTANDING_WRITE_COUNT_1024", 0x20, 0x5}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_REMOTE_GPU_ADDRESS", 0x456, {

	} },
	{"SRBM_PERFCOUNTER1_SELECT", 0x702, {
		{"PERF_SEL", 0x3f, 0x0}
	} },
	{"SDMA1_RLC0_RB_BASE_HI", 0x3702, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"SRBM_PERFCOUNTER0_LO", 0x703, {
		{"PERF_COUNT0_LO", 0xffffffff, 0x0}
	} },
	{"HDP_MEM_POWER_LS", 0xbd4, {
		{"LS_SETUP", 0x7e, 0x1},
		{"LS_HOLD", 0x1f80, 0x7},
		{"LS_ENABLE", 0x1, 0x0}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_MEM_OVERFLOW_CNTL", 0x41c, {

	} },
	{"CLIENT1_BM", 0x25c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"XDMA_SLV_FLIP_PENDING", 0x46c, {
		{"XDMA_SLV_FLIP_PENDING", 0x1, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_26", 0xc1a, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_27", 0xc1b, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT3_K0", 0x2a4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT3_K1", 0x2a8, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"RINGOSC_MASK", 0x288, {
		{"MASK", 0xffff, 0x0}
	} },
	{"CLIENT3_K3", 0x2b0, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"IH_VMID_1_LUT", 0xf51, {
		{"PASID", 0xffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_28", 0xc1c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_29", 0xc1d, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC0_DOORBELL", 0x3512, {
		{"ENABLE", 0x10000000, 0x1c},
		{"CAPTURED", 0x40000000, 0x1e},
		{"OFFSET", 0x1fffff, 0x0}
	} },
	{"XDMA_SLV_READ_LATENCY_TIMER", 0x46b, {
		{"XDMA_SLV_READ_LATENCY_TIMER", 0xffff, 0x0}
	} },
	{"SDMA1_RLC1_DOORBELL", 0x3792, {
		{"ENABLE", 0x10000000, 0x1c},
		{"CAPTURED", 0x40000000, 0x1e},
		{"OFFSET", 0x1fffff, 0x0}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_PERFMEAS_STATUS", 0x45e, {

	} },
	{"MDMA_PIPE0_XDMA_MSTR_PERFMEAS_CNTL", 0x40f, {

	} },
	{"SDMA0_RLC1_IB_BASE_HI", 0x358e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA0_GFX_IB_CNTL", 0x348a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"SRBM_PERFCOUNTER0_SELECT", 0x701, {
		{"PERF_SEL", 0x3f, 0x0}
	} },
	{"XDMA_SLV_SLS_PITCH", 0x462, {
		{"XDMA_SLV_SLS_WIDTH", 0x3fff0000, 0x10},
		{"XDMA_SLV_SLS_PITCH", 0x3fff, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_MEM_OVERFLOW_CNTL", 0x44c, {

	} },
	{"MDMA_PIPE3_XDMA_MSTR_HEIGHT", 0x433, {

	} },
	{"SDMA1_GFX_RB_RPTR_ADDR_HI", 0x3688, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"HDP_OUTSTANDING_REQ", 0xbd1, {
		{"WRITE_REQ", 0xff, 0x0},
		{"READ_REQ", 0xff00, 0x8}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_REMOTE_SURFACE_BASE", 0x444, {

	} },
	{"MDMA_PIPE5_XDMA_MSTR_REMOTE_GPU_ADDRESS_HIGH", 0x457, {

	} },
	{"SEM_STATUS", 0xf99, {
		{"CPG1_MAILBOX_PENDING", 0x1000, 0xc},
		{"CPG2_MAILBOX_PENDING", 0x2000, 0xd},
		{"SDMA1_MAILBOX_PENDING", 0x200, 0x9},
		{"SDMA0_MAILBOX_PENDING", 0x100, 0x8},
		{"MC_WRREQ_PENDING", 0x80, 0x7},
		{"UVD_MAILBOX_PENDING", 0x400, 0xa},
		{"VCE_MAILBOX_PENDING", 0x800, 0xb},
		{"MC_WRREQ_FIFO_FULL", 0x8, 0x3},
		{"SEM_INTERNAL_IDLE", 0x2, 0x1},
		{"SEM_IDLE", 0x1, 0x0},
		{"MC_RDREQ_PENDING", 0x40, 0x6},
		{"WRITE1_FIFO_FULL", 0x10, 0x4},
		{"MC_RDREQ_FIFO_FULL", 0x4, 0x2},
		{"CHECK0_FIFO_FULL", 0x20, 0x5}
	} },
	{"SDMA1_GFX_RB_CNTL", 0x3680, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"XDMA_SLV_MEM_CLIENT_CONFIG", 0x461, {
		{"XDMA_SLV_MEM_CLIENT_VMID", 0xf000, 0xc},
		{"XDMA_SLV_MEM_CLIENT_SWAP", 0x300, 0x8},
		{"XDMA_SLV_MEM_CLIENT_PRIV", 0x10000, 0x10}
	} },
	{"SDMA0_RLC1_IB_OFFSET", 0x358c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_RLC0_CONTEXT_STATUS", 0x3511, {
		{"EXCEPTION", 0x70, 0x4},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"SDMA0_RLC1_IB_RPTR", 0x358b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"CC_DRM_ID_STRAPS", 0x1559, {
		{"ATI_REV_ID", 0xf0000000, 0x1c},
		{"MINOR_REV_ID", 0xf000000, 0x18},
		{"MAJOR_REV_ID", 0xf00000, 0x14},
		{"DEVICE_ID", 0xffff0, 0x4}
	} },
	{"HDP_XDP_D2H_FLUSH", 0xc01, {
		{"D2H_FLUSH_FLUSH_NUM", 0xf, 0x0},
		{"D2H_FLUSH_SEND_SIDE", 0x20000, 0x11},
		{"D2H_FLUSH_MBX_ADDR_SEL", 0x700, 0x8},
		{"D2H_FLUSH_SEND_HOST", 0x10000, 0x10},
		{"D2H_FLUSH_XPB_CLG", 0xf800, 0xb},
		{"D2H_FLUSH_ALTER_FLUSH_NUM", 0x40000, 0x12},
		{"D2H_FLUSH_RSVD_0", 0x80000, 0x13},
		{"D2H_FLUSH_RSVD_1", 0x100000, 0x14},
		{"D2H_FLUSH_MBX_ENC_DATA", 0xf0, 0x4}
	} },
	{"SDMA0_PHASE1_QUANTUM", 0x3415, {
		{"PREFER", 0x40000000, 0x1e},
		{"VALUE", 0xffff00, 0x8},
		{"UNIT", 0xf, 0x0}
	} },
	{"SDMA1_CHICKEN_BITS", 0x3605, {
		{"COPY_OVERLAP_ENABLE", 0x10000, 0x10},
		{"CG_STATUS_OUTPUT", 0x800000, 0x17},
		{"SRBM_POLL_RETRYING", 0x100000, 0x14},
		{"COPY_EFFICIENCY_ENABLE", 0x1, 0x0}
	} },
	{"SDMA1_F32_CNTL", 0x3612, {
		{"STEP", 0x2, 0x1},
		{"HALT", 0x1, 0x0}
	} },
	{"SDMA1_PERFCOUNTER1_RESULT", 0x3611, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"CGTT_DRM_CLK_CTRL0", 0x1579, {

	} },
	{"MDMA_PIPE1_XDMA_MSTR_CHANNEL_DIM", 0x412, {

	} },
	{"MDMA_PIPE0_XDMA_MSTR_CACHE_BASE_ADDR_HIGH", 0x409, {

	} },
	{"SDMA0_RLC0_IB_BASE_LO", 0x350d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"SDMA1_RLC1_RB_RPTR_ADDR_LO", 0x3789, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC0_IB_OFFSET", 0x370c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"HDP_DEBUG0", 0xbcc, {

	} },
	{"HDP_DEBUG1", 0xbcd, {

	} },
	{"CLIENT2_CD0", 0x1d4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT2_CD1", 0x1d8, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT2_CD2", 0x1dc, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT2_CD3", 0x1e0, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_WATERMARK", 0x36aa, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"SDMA0_RLC0_RB_WPTR_POLL_ADDR_LO", 0x3507, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"XDMA_MSTR_REMOTE_GPU_ADDRESS_HIGH", 0x407, {
		{"XDMA_MSTR_REMOTE_GPU_ADDRESS_HIGH", 0xff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_25", 0xc19, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RB_RPTR_FETCH", 0x340a, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_PROGRAM", 0x360c, {
		{"STREAM", 0xffffffff, 0x0}
	} },
	{"HDP_LAST_SURFACE_HIT", 0xbce, {
		{"LAST_SURFACE_HIT", 0x3f, 0x0}
	} },
	{"XDMA_SLV_RDRET_BUF_STATUS", 0x46a, {
		{"XDMA_SLV_RDRET_BUF_SIZE", 0x3ff000, 0xc},
		{"XDMA_SLV_RDRET_FREE_ENTRIES", 0x3ff, 0x0}
	} },
	{"XDMA_MSTR_PIPE_CNTL", 0x400, {
		{"XDMA_MSTR_READ_REQUEST", 0x100, 0x8},
		{"XDMA_MSTR_REQUEST_CHANNEL_ID", 0x7000, 0xc},
		{"XDMA_MSTR_PIPE_ACTIVE", 0x1000000, 0x18},
		{"XDMA_MSTR_VSYNC_GSL_ENABLE", 0x8000000, 0x1b},
		{"XDMA_MSTR_PIPE_FRAME_MODE", 0x200, 0x9},
		{"XDMA_MSTR_CACHE_INVALIDATE", 0x800, 0xb},
		{"XDMA_MSTR_PIPE_SOFT_RESET", 0x400, 0xa},
		{"XDMA_MSTR_PIPE_FLIP_PENDING", 0x4000000, 0x1a},
		{"XDMA_MSTR_FLIP_MODE", 0x8000, 0xf},
		{"XDMA_MSTR_REQUEST_MIN", 0xff0000, 0x10},
		{"XDMA_MSTR_PIPE_FLUSHING", 0x2000000, 0x19},
		{"XDMA_MSTR_CACHE_LINES", 0xff, 0x0}
	} },
	{"SDMA0_CNTL", 0x3404, {
		{"DATA_SWAP_ENABLE", 0x8, 0x3},
		{"SEM_WAIT_INT_ENABLE", 0x4, 0x2},
		{"FENCE_SWAP_ENABLE", 0x10, 0x4},
		{"CTXEMPTY_INT_ENABLE", 0x10000000, 0x1c},
		{"FROZEN_INT_ENABLE", 0x20000000, 0x1d},
		{"SEM_INCOMPLETE_INT_ENABLE", 0x2, 0x1},
		{"AUTO_CTXSW_ENABLE", 0x40000, 0x12},
		{"TRAP_ENABLE", 0x1, 0x0},
		{"MC_WRREQ_CREDIT", 0x1f800, 0xb},
		{"MC_RDREQ_CREDIT", 0xfc00000, 0x16}
	} },
	{"SDMA_CHANNEL3_XDMA_SLV_CHANNEL_CNTL", 0x488, {

	} },
	{"HDP_XDP_D2H_RSVD_21", 0xc15, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"IH_ADVFAULT_CNTL", 0xf8c, {
		{"WATERMARK_ENABLE", 0x8, 0x3},
		{"NUM_FAULTS_DROPPED", 0xff00, 0x8},
		{"WAIT_TIMER", 0x3fff0000, 0x10},
		{"WATERMARK_REACHED", 0x10, 0x4},
		{"WATERMARK", 0x7, 0x0}
	} },
	{"SEM_CHICKEN_BITS", 0xf9e, {
		{"ENTRY_PIPELINE_EN", 0x2, 0x1},
		{"VMID_PIPELINE_EN", 0x1, 0x0}
	} },
	{"CLIENT3_K2", 0x2ac, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_GFX_WATERMARK", 0x34aa, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_23", 0xc17, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_READ_COMMAND", 0x401, {

	} },
	{"CLIENT2_STATUS", 0x1ec, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA_CHANNEL0_XDMA_SLV_REMOTE_GPU_ADDRESS", 0x471, {

	} },
	{"XDMA_SLV_CHANNEL_CNTL", 0x470, {
		{"XDMA_SLV_CHANNEL_SOFT_RESET", 0x20000, 0x11},
		{"XDMA_SLV_STOP_TRANSFER", 0x10000, 0x10},
		{"XDMA_SLV_CHANNEL_ACTIVE", 0x1000000, 0x18},
		{"XDMA_SLV_CHANNEL_WEIGHT", 0x1ff, 0x0}
	} },
	{"SDMA0_TILING_CONFIG", 0x3406, {
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4}
	} },
	{"SDMA1_RLC0_RB_WPTR_POLL_ADDR_LO", 0x3707, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA_CHANNEL5_XDMA_SLV_REMOTE_GPU_ADDRESS", 0x499, {

	} },
	{"SRBM_SAM_CLKEN_CNTL", 0x3b8, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"SDMA0_RLC1_IB_CNTL", 0x358a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_REMOTE_GPU_ADDRESS", 0x436, {

	} },
	{"KEFUSE2", 0x270, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"IH_STATUS", 0xf88, {
		{"RB_IDLE", 0x4, 0x2},
		{"MC_WR_IDLE", 0x40, 0x6},
		{"RB_FULL_DRAIN", 0x10, 0x4},
		{"RB_OVERFLOW", 0x20, 0x5},
		{"RB_FULL", 0x8, 0x3},
		{"MC_WR_STALL", 0x80, 0x7},
		{"INPUT_IDLE", 0x2, 0x1},
		{"MC_WR_CLEAN_STALL", 0x200, 0x9},
		{"IDLE", 0x1, 0x0},
		{"BIF_INTERRUPT_LINE", 0x400, 0xa},
		{"MC_WR_CLEAN_PENDING", 0x100, 0x8}
	} },
	{"KEFUSE0", 0x268, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"KEFUSE1", 0x26c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_P2P_BAR_CFG", 0xc24, {
		{"P2P_BAR_CFG_BAR_FROM", 0x30, 0x4},
		{"P2P_BAR_CFG_ADDR_SIZE", 0xf, 0x0}
	} },
	{"SDMA0_RLC0_RB_RPTR_ADDR_HI", 0x3508, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SRBM_GFX_CNTL", 0x391, {
		{"QUEUEID", 0x700, 0x8},
		{"VMID", 0xf0, 0x4},
		{"PIPEID", 0x3, 0x0},
		{"MEID", 0xc, 0x2}
	} },
	{"XDMA_SLV_READ_URGENT_CNTL", 0x463, {
		{"XDMA_SLV_READ_STALL_DELAY", 0xf000, 0xc},
		{"XDMA_SLV_READ_CLIENT_STALL", 0x1, 0x0},
		{"XDMA_SLV_READ_URGENT_LIMIT", 0xf0, 0x4},
		{"XDMA_SLV_READ_URGENT_LEVEL", 0xf00, 0x8},
		{"XDMA_SLV_READ_URGENT_TIMER", 0xffff0000, 0x10}
	} },
	{"ACP_CONFIG", 0xf95, {
		{"ACP_REQ_TRAN", 0x10000, 0x10},
		{"ACP_RDREQ_URG", 0xf00, 0x8}
	} },
	{"HDP_XDP_HDP_MC_CFG", 0xc2e, {
		{"HDP_MC_CFG_HST_TAP_WRREQ_VMID", 0x7800000, 0x17},
		{"HDP_MC_CFG_MC_STALL_ON_BUF_FULL_MASK", 0x700000, 0x14},
		{"HDP_MC_CFG_XL8R_WRREQ_CRD_OVERRIDE", 0x3f00, 0x8},
		{"HDP_MC_CFG_SID_TAP_WRREQ_PRIV", 0x10, 0x4},
		{"HDP_MC_CFG_HST_TAP_WRREQ_SWAP", 0x6, 0x1},
		{"HDP_MC_CFG_HST_TAP_WRREQ_PRIV", 0x1, 0x0},
		{"HDP_MC_CFG_HST_TAP_WRREQ_TRAN", 0x8, 0x3},
		{"HDP_MC_CFG_XDP_HIGHER_PRI_THRESH", 0xfc000, 0xe},
		{"HDP_MC_CFG_SID_TAP_WRREQ_VMID", 0x78000000, 0x1b},
		{"HDP_MC_CFG_SID_TAP_WRREQ_TRAN", 0x80, 0x7},
		{"HDP_MC_CFG_SID_TAP_WRREQ_SWAP", 0x60, 0x5}
	} },
	{"SDMA0_RLC0_IB_SIZE", 0x350f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"SDMA_CHANNEL0_XDMA_SLV_REMOTE_GPU_ADDRESS_HIGH", 0x472, {

	} },
	{"SRBM_MC_CLKEN_CNTL", 0x3b3, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"XDMA_MSTR_PCIE_NACK_STATUS", 0x3f5, {
		{"XDMA_MSTR_PCIE_NACK_CLR", 0x10000, 0x10},
		{"XDMA_MSTR_PCIE_NACK", 0x3000, 0xc},
		{"XDMA_MSTR_PCIE_NACK_TAG", 0x3ff, 0x0}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_REMOTE_GPU_ADDRESS", 0x426, {

	} },
	{"SDMA_POWER_GATING", 0x3416, {
		{"SDMA0_ON_CONDITION", 0x40, 0x6},
		{"SDMA1_ON_CONDITION", 0x80, 0x7},
		{"POWER_OFF_DELAY", 0xfff00, 0x8},
		{"POWER_ON_DELAY", 0xfff00000, 0x14},
		{"PG_STATE_VALID", 0x4, 0x2},
		{"PG_CNTL_ENABLE", 0x1, 0x0},
		{"PG_CNTL_STATUS", 0x30, 0x4},
		{"AUTOMATIC_STATUS_ENABLE", 0x2, 0x1}
	} },
	{"SDMA0_EDC_CONFIG", 0x341a, {
		{"ECC_INT_ENABLE", 0x4, 0x2},
		{"DIS_EDC", 0x2, 0x1}
	} },
	{"SDMA0_POWER_CNTL", 0x3402, {
		{"MEM_POWER_OVERRIDE", 0x100, 0x8}
	} },
	{"SDMA0_RLC0_DOORBELL_LOG", 0x3529, {
		{"DATA", 0xfffffffc, 0x2},
		{"BE_ERROR", 0x1, 0x0}
	} },
	{"SDMA_CHANNEL3_XDMA_SLV_REMOTE_GPU_ADDRESS_HIGH", 0x48a, {

	} },
	{"SDMA0_RLC0_RB_BASE_HI", 0x3502, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"XDMA_MSTR_CNTL", 0x3ec, {
		{"XDMA_MSTR_SOFT_RESET", 0x100000, 0x14},
		{"XDMA_MSTR_BIF_STALL_EN", 0x200000, 0x15},
		{"XDMA_MSTR_LAT_TEST_EN", 0x80000, 0x13},
		{"XDMA_MSTR_DEBUG_MODE", 0x40000, 0x12},
		{"XDMA_MSTR_MEM_READY", 0x4000, 0xe},
		{"XDMA_MSTR_ENABLE", 0x10000, 0x10},
		{"XDMA_MSTR_ALPHA_POSITION", 0x3000, 0xc}
	} },
	{"SDMA1_RLC1_IB_CNTL", 0x378a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"HDP_NONSURFACE_BASE", 0xb01, {
		{"NONSURF_BASE", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_CACHE_BASE_ADDR_HIGH", 0x449, {

	} },
	{"SDMA_PGFSM_WRITE", 0x3418, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_RB_RPTR", 0x3783, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SRBM_INT_ACK", 0x3aa, {
		{"RDERR_INT_ACK", 0x1, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_PIPE_CNTL", 0x440, {

	} },
	{"CLIENT0_STATUS", 0x228, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC1_RB_WPTR_POLL_CNTL", 0x3585, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"XDMA_MSTR_HEIGHT", 0x403, {
		{"XDMA_MSTR_ACTIVE_HEIGHT", 0x3fff, 0x0},
		{"XDMA_MSTR_FRAME_HEIGHT", 0x3fff0000, 0x10}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_PERFMEAS_CNTL", 0x42f, {

	} },
	{"IH_VMID_11_LUT", 0xf5b, {
		{"PASID", 0xffff, 0x0}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_CHANNEL_START", 0x41b, {

	} },
	{"SRBM_DEBUG_CNTL", 0x399, {
		{"SRBM_DEBUG_INDEX", 0x3f, 0x0}
	} },
	{"SDMA1_RLC0_DOORBELL_LOG", 0x3729, {
		{"DATA", 0xfffffffc, 0x2},
		{"BE_ERROR", 0x1, 0x0}
	} },
	{"SDMA_CHANNEL1_XDMA_SLV_CHANNEL_CNTL", 0x478, {

	} },
	{"XDMA_MSTR_MEM_OVERFLOW_CNTL", 0x40c, {
		{"XDMA_MSTR_OVERFLOW_COUNT", 0xffff, 0x0},
		{"XDMA_MSTR_OVERFLOW_THRESHOLD", 0x3fff0000, 0x10},
		{"XDMA_MSTR_OVERFLOW_BP_ENABLE", 0x40000000, 0x1e},
		{"XDMA_MSTR_OVERFLOW_COUNT_ENABLE", 0x80000000, 0x1f}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_PERFMEAS_CNTL", 0x41f, {

	} },
	{"SDMA1_RLC0_RB_RPTR_ADDR_LO", 0x3709, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA1_GFX_RB_RPTR", 0x3683, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA0_RLC0_IB_BASE_HI", 0x350e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_REMOTE_SURFACE_BASE", 0x424, {

	} },
	{"CLIENT0_OFFSET", 0x224, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_RB_WPTR_POLL_CNTL", 0x3685, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_PIPE_CNTL", 0x400, {

	} },
	{"SRBM_STATUS", 0x394, {
		{"ACP_BUSY", 0x10000, 0x10},
		{"ACP_RQ_PENDING", 0x8, 0x3},
		{"MCC_BUSY", 0x800, 0xb},
		{"HI_RQ_PENDING", 0x40, 0x6},
		{"SEM_BUSY", 0x4000, 0xe},
		{"SAM_BUSY", 0x100000, 0x14},
		{"VMC_BUSY", 0x100, 0x8},
		{"GRBM_RQ_PENDING", 0x20, 0x5},
		{"SMU_RQ_PENDING", 0x10, 0x4},
		{"SAM_RQ_PENDING", 0x4, 0x2},
		{"MCD_BUSY", 0x1000, 0xc},
		{"IO_EXTERN_SIGNAL", 0x80, 0x7},
		{"UVD_BUSY", 0x80000, 0x13},
		{"MCB_NON_DISPLAY_BUSY", 0x400, 0xa},
		{"BIF_BUSY", 0x20000000, 0x1d},
		{"IH_BUSY", 0x20000, 0x11},
		{"MCB_BUSY", 0x200, 0x9},
		{"UVD_RQ_PENDING", 0x2, 0x1}
	} },
	{"HDP_XDP_P2P_MBX_ADDR6", 0xc2c, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"SDMA1_RLC1_IB_OFFSET", 0x378c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"CLIENT0_CK1", 0x204, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_REMOTE_SURFACE_BASE", 0x434, {

	} },
	{"HDP_ADDR_CONFIG", 0xbd2, {
		{"BANK_INTERLEAVE_SIZE", 0x700, 0x8},
		{"MULTI_GPU_TILE_SIZE", 0x3000000, 0x18},
		{"NUM_GPUS", 0x700000, 0x14},
		{"NUM_PIPES", 0x7, 0x0},
		{"NUM_SHADER_ENGINES", 0x3000, 0xc},
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4},
		{"SHADER_ENGINE_TILE_SIZE", 0x70000, 0x10},
		{"NUM_LOWER_PIPES", 0x40000000, 0x1e},
		{"ROW_SIZE", 0x30000000, 0x1c}
	} },
	{"HDP_TILING_CONFIG", 0xbcf, {
		{"PIPE_TILING", 0xe, 0x1},
		{"GROUP_SIZE", 0xc0, 0x6},
		{"BANK_TILING", 0x30, 0x4},
		{"BANK_SWAPS", 0x3800, 0xb},
		{"ROW_TILING", 0x700, 0x8},
		{"SAMPLE_SPLIT", 0xc000, 0xe}
	} },
	{"HDP_XDP_D2H_RSVD_5", 0xc05, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_GFX_IB_BASE_LO", 0x348d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"HDP_XDP_D2H_RSVD_4", 0xc04, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_IB_BASE_HI", 0x368e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_7", 0xc07, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_REMOTE_GPU_ADDRESS_HIGH", 0x427, {

	} },
	{"SDMA_CHANNEL2_XDMA_SLV_REMOTE_GPU_ADDRESS_HIGH", 0x482, {

	} },
	{"HDP_XDP_D2H_RSVD_6", 0xc06, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_UCODE_DATA", 0x3601, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"SPU_PORT_STATUS", 0x29c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT3_STATUS", 0x2dc, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_P2P_MBX_ADDR4", 0xc2a, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_CACHE_BASE_ADDR_HIGH", 0x419, {

	} },
	{"MDMA_PIPE0_XDMA_MSTR_CHANNEL_DIM", 0x402, {

	} },
	{"XDMA_MSTR_MEM_UNDERFLOW_CNTL", 0x40d, {
		{"XDMA_MSTR_UNDERFLOW_DETECT_ENABLE", 0x80000000, 0x1f},
		{"XDMA_MSTR_UNDERFLOW_COUNT", 0xffff, 0x0},
		{"XDMA_MSTR_UNDERFLOW_THRESHOLD", 0x3fff0000, 0x10}
	} },
	{"SRBM_SDMA_CLKEN_CNTL", 0x3b7, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_MEM_OVERFLOW_CNTL", 0x43c, {

	} },
	{"XDMA_MSTR_LOCAL_SURFACE_BASE_ADDR", 0x3ef, {
		{"XDMA_MSTR_LOCAL_SURFACE_BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE1_XDMA_MSTR_READ_COMMAND", 0x411, {

	} },
	{"SDMA0_RLC0_RB_RPTR_ADDR_LO", 0x3509, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SRBM_PERFCOUNTER1_HI", 0x706, {
		{"PERF_COUNT1_HI", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_CACHE_BASE_ADDR_HIGH", 0x439, {

	} },
	{"MDMA_PIPE4_XDMA_MSTR_CHANNEL_DIM", 0x442, {

	} },
	{"SDMA0_GFX_CONTEXT_CNTL", 0x3493, {
		{"RESUME_CTX", 0x10000, 0x10},
		{"SESSION_SEL", 0xf000000, 0x18}
	} },
	{"SDMA1_RLC0_SKIP_CNTL", 0x3710, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_REMOTE_GPU_ADDRESS_HIGH", 0x437, {

	} },
	{"MDMA_PIPE3_XDMA_MSTR_CHANNEL_START", 0x43b, {

	} },
	{"HDP_HOST_PATH_CNTL", 0xb00, {
		{"ALL_SURFACES_DIS", 0x20000000, 0x1d},
		{"WRITE_THROUGH_CACHE_DIS", 0x40000000, 0x1e},
		{"BIF_RDRET_CREDIT", 0x7, 0x0},
		{"CACHE_INVALIDATE", 0x400000, 0x16},
		{"LIN_RD_CACHE_DIS", 0x80000000, 0x1f},
		{"CLOCK_GATING_DIS", 0x800000, 0x17},
		{"MC_WRREQ_CREDIT", 0x1f8, 0x3},
		{"WR_STALL_TIMER", 0x600, 0x9},
		{"WRITE_COMBINE_TIMER", 0x180000, 0x13},
		{"RD_STALL_TIMER", 0x1800, 0xb},
		{"WRITE_COMBINE_EN", 0x200000, 0x15},
		{"REG_CLK_ENABLE_COUNT", 0xf000000, 0x18}
	} },
	{"XDMA_MSTR_CACHE_BASE_ADDR_HIGH", 0x409, {
		{"XDMA_MSTR_CACHE_BASE_ADDR_HIGH", 0xff, 0x0}
	} },
	{"MDMA_PIPE3_XDMA_MSTR_CHANNEL_DIM", 0x432, {

	} },
	{"SDMA1_STATUS1_REG", 0x360e, {
		{"CE_INFO1_FULL", 0x4000, 0xe},
		{"CE_RREQ_IDLE", 0x8, 0x3},
		{"CE_WR_IDLE", 0x2, 0x1},
		{"CE_INFO_FULL", 0x2000, 0xd},
		{"CE_WR_STALL", 0x40000, 0x12},
		{"CE_DST_IDLE", 0x40, 0x6},
		{"CE_WREQ_IDLE", 0x1, 0x0},
		{"CE_RD_STALL", 0x20000, 0x11},
		{"CE_AFIFO_FULL", 0x400, 0xa},
		{"CE_OUT_IDLE", 0x10, 0x4},
		{"CE_IN_IDLE", 0x20, 0x5},
		{"CE_SPLIT_IDLE", 0x4, 0x2}
	} },
	{"IH_VMID_7_LUT", 0xf57, {
		{"PASID", 0xffff, 0x0}
	} },
	{"HDP_XDP_BUSY_STS", 0xc3e, {
		{"BUSY_BITS", 0x3ffff, 0x0}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_CACHE_BASE_ADDR_HIGH", 0x429, {

	} },
	{"HDP_XDP_D2H_RSVD_19", 0xc13, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_18", 0xc12, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_DIRECT2HDP_FIRST", 0xc00, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_11", 0xc0b, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_10", 0xc0a, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_13", 0xc0d, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA_CONFIG", 0xf91, {
		{"SDMA_REQ_TRAN", 0x10000, 0x10},
		{"SDMA_RDREQ_URG", 0xf00, 0x8}
	} },
	{"HDP_XDP_D2H_RSVD_15", 0xc0f, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_14", 0xc0e, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_17", 0xc11, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_16", 0xc10, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_REMOTE_GPU_ADDRESS", 0x446, {

	} },
	{"XDMA_MSTR_PERFMEAS_STATUS", 0x40e, {
		{"XDMA_MSTR_PERFMEAS_INDEX_MODE", 0xc0000000, 0x1e},
		{"XDMA_MSTR_PERFMEAS_INDEX", 0x7000000, 0x18},
		{"XDMA_MSTR_PERFMEAS_DATA", 0xffffff, 0x0}
	} },
	{"XDMA_SLV_WB_RATE_CNTL", 0x465, {
		{"XDMA_SLV_WB_BURST_SIZE", 0x1ff, 0x0},
		{"XDMA_SLV_WB_BURST_PERIOD", 0xffff0000, 0x10}
	} },
	{"SDMA1_SEM_WAIT_FAIL_TIMER_CNTL", 0x3609, {
		{"TIMER", 0xffffffff, 0x0}
	} },
	{"GC_USER_SYS_RB_BACKEND_DISABLE", 0x3a1, {
		{"BACKEND_DISABLE", 0xff0000, 0x10}
	} },
	{"SDMA0_GFX_SKIP_CNTL", 0x3490, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"SDMA0_GFX_RB_WPTR", 0x3484, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"CLIENT2_OFFSET_HI", 0x298, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC1_SKIP_CNTL", 0x3590, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"CPC2_CONFIG", 0xf98, {
		{"CPC2_REQ_TRAN", 0x10000, 0x10},
		{"CPC2_RDREQ_URG", 0xf00, 0x8}
	} },
	{"XDMA_MSTR_MEM_NACK_STATUS", 0x3f6, {
		{"XDMA_MSTR_MEM_NACK_TAG", 0x3ff, 0x0},
		{"XDMA_MSTR_MEM_NACK", 0x3000, 0xc},
		{"XDMA_MSTR_MEM_NACK_CLR", 0x10000, 0x10}
	} },
	{"SDMA1_RLC0_RB_RPTR_ADDR_HI", 0x3708, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"IH_VMID_2_LUT", 0xf52, {
		{"PASID", 0xffff, 0x0}
	} },
	{"IH_RB_WPTR_ADDR_HI", 0xf84, {
		{"ADDR", 0xff, 0x0}
	} },
	{"MDMA_PIPE2_XDMA_MSTR_CHANNEL_START", 0x42b, {

	} },
	{"CLIENT0_CD3", 0x21c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_UCODE_ADDR", 0x3400, {
		{"VALUE", 0x7ff, 0x0}
	} },
	{"CLIENT0_CD0", 0x210, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_SC_MULTI_CHIP_CNTL", 0xbd0, {
		{"MULTI_CHIP_TILE_SIZE", 0x18, 0x3},
		{"LOG2_NUM_CHIPS", 0x7, 0x0}
	} },
	{"IH_VMID_0_LUT", 0xf50, {
		{"PASID", 0xffff, 0x0}
	} },
	{"MDMA_PIPE0_XDMA_MSTR_PERFMEAS_STATUS", 0x40e, {

	} },
	{"SDMA0_GFX_CONTEXT_STATUS", 0x3491, {
		{"EXCEPTION", 0x70, 0x4},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"HFS_SEED0", 0x278, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HFS_SEED1", 0x27c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HFS_SEED2", 0x280, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HFS_SEED3", 0x284, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_RB_BASE", 0x3781, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE5_XDMA_MSTR_MEM_OVERFLOW_CNTL", 0x45c, {

	} },
	{"HDP_XDP_FLUSH_ARMED_STS", 0xc3c, {
		{"FLUSH_ARMED_STS", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_RB_BASE_HI", 0x3682, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"SDMA0_RLC1_DOORBELL_LOG", 0x35a9, {
		{"DATA", 0xfffffffc, 0x2},
		{"BE_ERROR", 0x1, 0x0}
	} },
	{"SDMA0_GFX_IB_BASE_HI", 0x348e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_RB_WPTR", 0x3684, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC0_IB_BASE_LO", 0x370d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"HDP_XDP_DBG_DATA", 0xc42, {
		{"CTRL", 0xffff0000, 0x10},
		{"STS", 0xffff, 0x0}
	} },
	{"SDMA_PGFSM_READ", 0x3419, {
		{"VALUE", 0xffffff, 0x0}
	} },
	{"SDMA0_RLC1_RB_BASE", 0x3581, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA_CHANNEL3_XDMA_SLV_REMOTE_GPU_ADDRESS", 0x489, {

	} },
	{"HDP_MEMIO_WR_DATA", 0xbf9, {
		{"MEMIO_WR_DATA", 0xffffffff, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_REMOTE_GPU_ADDRESS_HIGH", 0x447, {

	} },
	{"SDMA1_RLC0_RB_RPTR", 0x3703, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"HDP_XDP_DBG_MASK", 0xc43, {
		{"CTRL", 0xffff0000, 0x10},
		{"STS", 0xffff, 0x0}
	} },
	{"CLIENT0_CK3", 0x20c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"CLIENT0_CK2", 0x208, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC0_RB_CNTL", 0x3500, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"CLIENT0_CK0", 0x200, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_HDP_IPH_CFG", 0xc31, {
		{"HDP_IPH_CFG_SYS_FIFO_DEPTH_OVERRIDE", 0x3f, 0x0},
		{"HDP_IPH_CFG_P2P_RD_EN", 0x2000, 0xd},
		{"HDP_IPH_CFG_XDP_FIFO_DEPTH_OVERRIDE", 0xfc0, 0x6},
		{"HDP_IPH_CFG_INVERSE_PEER_TAG_MATCHING", 0x1000, 0xc}
	} },
	{"HDP_XDP_CGTT_BLK_CTRL", 0xc33, {
		{"CGTT_BLK_CTRL_3_SOFT_CORE_OVERRIDE", 0x40000000, 0x1e},
		{"CGTT_BLK_CTRL_4_SOFT_REG_OVERRIDE", 0x80000000, 0x1f},
		{"CGTT_BLK_CTRL_2_RSVD", 0x3ffff000, 0xc},
		{"CGTT_BLK_CTRL_0_ON_DELAY", 0xf, 0x0},
		{"CGTT_BLK_CTRL_1_OFF_DELAY", 0xff0, 0x4}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_PERFMEAS_CNTL", 0x44f, {

	} },
	{"SDMA1_RLC0_WATERMARK", 0x372a, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"SDMA_CHANNEL4_XDMA_SLV_REMOTE_GPU_ADDRESS_HIGH", 0x492, {

	} },
	{"HDP_XDP_BARS_ADDR_39_36", 0xc44, {
		{"BAR6_ADDR_39_36", 0xf000000, 0x18},
		{"BAR2_ADDR_39_36", 0xf00, 0x8},
		{"BAR7_ADDR_39_36", 0xf0000000, 0x1c},
		{"BAR4_ADDR_39_36", 0xf0000, 0x10},
		{"BAR1_ADDR_39_36", 0xf0, 0x4},
		{"BAR0_ADDR_39_36", 0xf, 0x0},
		{"BAR5_ADDR_39_36", 0xf00000, 0x14},
		{"BAR3_ADDR_39_36", 0xf000, 0xc}
	} },
	{"SDMA0_RLC0_RB_WPTR", 0x3504, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC1_IB_SIZE", 0x378f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"CLIENT0_CD2", 0x218, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_RB_WPTR_POLL_ADDR_HI", 0x3686, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA0_CHICKEN_BITS", 0x3405, {
		{"COPY_OVERLAP_ENABLE", 0x10000, 0x10},
		{"CG_STATUS_OUTPUT", 0x800000, 0x17},
		{"SRBM_POLL_RETRYING", 0x100000, 0x14},
		{"COPY_EFFICIENCY_ENABLE", 0x1, 0x0}
	} },
	{"CLIENT0_CD1", 0x214, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_GFX_RB_CNTL", 0x3480, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"IH_VMID_12_LUT", 0xf5c, {
		{"PASID", 0xffff, 0x0}
	} },
	{"MDMA_PIPE4_XDMA_MSTR_CHANNEL_START", 0x44b, {

	} },
	{"SDMA0_GFX_IB_RPTR", 0x348b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA1_RLC0_DOORBELL", 0x3712, {
		{"ENABLE", 0x10000000, 0x1c},
		{"CAPTURED", 0x40000000, 0x1e},
		{"OFFSET", 0x1fffff, 0x0}
	} },
	{"SDMA0_GFX_IB_OFFSET", 0x348c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} }
};

}; // namespace amdregdb
