/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_oss_oss_2_4();

static const RegSpec oss_oss_2_4_regs[] = {
	{"HDP_NONSURF_FLAGS", 0xbc9, {
		{"NONSURF_WRITE_FLAG", 0x1, 0x0},
		{"NONSURF_READ_FLAG", 0x2, 0x1}
	} },
	{"IH_PERFMON_CNTL", 0xe39, {
		{"PERF_SEL1", 0xfc00, 0xa},
		{"PERF_SEL0", 0xfc, 0x2},
		{"ENABLE0", 0x1, 0x0},
		{"ENABLE1", 0x100, 0x8},
		{"CLEAR1", 0x200, 0x9},
		{"CLEAR0", 0x2, 0x1}
	} },
	{"SRBM_PERFMON_CNTL", 0x7c00, {
		{"PERFMON_SAMPLE_ENABLE", 0x400, 0xa},
		{"PERFMON_ENABLE_MODE", 0x300, 0x8},
		{"PERFMON_STATE", 0xf, 0x0}
	} },
	{"IH_VMID_6_LUT", 0xe06, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA_PGFSM_CONFIG", 0x3417, {
		{"FSM_ADDR", 0xff, 0x0},
		{"WRITE", 0x1000, 0xc},
		{"POWER_DOWN", 0x100, 0x8},
		{"READ", 0x2000, 0xd},
		{"REG_ADDR", 0xf0000000, 0x1c},
		{"P1_SELECT", 0x400, 0xa},
		{"SRBM_OVERRIDE", 0x8000000, 0x1b},
		{"P2_SELECT", 0x800, 0xb},
		{"POWER_UP", 0x200, 0x9}
	} },
	{"IH_VMID_13_LUT", 0xe0d, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA0_FREEZE", 0x3413, {
		{"FROZEN", 0x20, 0x5},
		{"F32_FREEZE", 0x40, 0x6},
		{"FREEZE", 0x10, 0x4}
	} },
	{"SDMA0_RLC0_IB_RPTR", 0x350b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SRBM_VCE_CLKEN_CNTL", 0x3b5, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"HDP_MEMIO_STATUS", 0xbf8, {
		{"MEMIO_WR_ERROR", 0x4, 0x2},
		{"MEMIO_RD_STATUS", 0x2, 0x1},
		{"MEMIO_WR_STATUS", 0x1, 0x0},
		{"MEMIO_RD_ERROR", 0x8, 0x3}
	} },
	{"HDP_MEMIO_ADDR", 0xbf7, {
		{"MEMIO_ADDR_LOWER", 0xffffffff, 0x0}
	} },
	{"CPG_CONFIG", 0xf96, {
		{"CPG_RDREQ_URG", 0xf00, 0x8},
		{"CPG_REQ_TRAN", 0x10000, 0x10}
	} },
	{"SDMA0_GFX_IB_BASE_LO", 0x348d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"SRBM_SOFT_RESET", 0x398, {
		{"SOFT_RESET_TST", 0x200000, 0x15},
		{"SOFT_RESET_DC", 0x20, 0x5},
		{"SOFT_RESET_VMC", 0x20000, 0x11},
		{"SOFT_RESET_XDMA", 0x2000000, 0x19},
		{"SOFT_RESET_VCE1", 0x80000000, 0x1f},
		{"SOFT_RESET_SEM", 0x8000, 0xf},
		{"SOFT_RESET_ISP", 0x40000000, 0x1e},
		{"SOFT_RESET_HDP", 0x200, 0x9},
		{"SOFT_RESET_ORB", 0x800000, 0x17},
		{"SOFT_RESET_ACP", 0x4000000, 0x1a},
		{"SOFT_RESET_IH", 0x400, 0xa},
		{"SOFT_RESET_MC", 0x800, 0xb},
		{"SOFT_RESET_GRBM", 0x100, 0x8},
		{"SOFT_RESET_ESRAM", 0x2000, 0xd},
		{"SOFT_RESET_XSP", 0x80000, 0x13},
		{"SOFT_RESET_VCE0", 0x1000000, 0x18},
		{"SOFT_RESET_GRN", 0x20000000, 0x1d},
		{"SOFT_RESET_ROPLL", 0x10, 0x4},
		{"SOFT_RESET_SAMMSP", 0x8000000, 0x1b},
		{"SOFT_RESET_SDMA", 0x100000, 0x14},
		{"SOFT_RESET_SDMA1", 0x40, 0x6},
		{"SOFT_RESET_SDMA2", 0x8, 0x3},
		{"SOFT_RESET_SDMA3", 0x4, 0x2},
		{"SOFT_RESET_UVD", 0x40000, 0x12},
		{"SOFT_RESET_CHUB", 0x1000, 0xc},
		{"SOFT_RESET_ROM", 0x4000, 0xe},
		{"SOFT_RESET_ATCL2", 0x1, 0x0},
		{"SOFT_RESET_SMU", 0x10000, 0x10},
		{"SOFT_RESET_REGBB", 0x400000, 0x16},
		{"SOFT_RESET_SAMSCP", 0x10000000, 0x1c},
		{"SOFT_RESET_BIF", 0x2, 0x1}
	} },
	{"SDMA0_RLC0_CSA_ADDR_LO", 0x352c, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SEM_MAILBOX", 0xf9c, {
		{"SIDEPORT_EXTRA", 0xff0000, 0x10},
		{"HOSTPORT_EXTRA", 0xff000000, 0x18},
		{"SIDEPORT", 0xff, 0x0},
		{"HOSTPORT", 0xff00, 0x8}
	} },
	{"SDMA0_PHASE0_QUANTUM", 0x3414, {
		{"PREFER", 0x40000000, 0x1e},
		{"VALUE", 0xffff00, 0x8},
		{"UNIT", 0xf, 0x0}
	} },
	{"SDMA0_STATUS1_REG", 0x340e, {
		{"CE_INFO1_FULL", 0x4000, 0xe},
		{"CE_RREQ_IDLE", 0x8, 0x3},
		{"CE_WR_IDLE", 0x2, 0x1},
		{"CE_INFO_FULL", 0x2000, 0xd},
		{"CE_CMD_IDLE", 0x200, 0x9},
		{"CE_WR_STALL", 0x40000, 0x12},
		{"CE_DST_IDLE", 0x40, 0x6},
		{"CE_WREQ_IDLE", 0x1, 0x0},
		{"CE_RD_STALL", 0x20000, 0x11},
		{"CE_AFIFO_FULL", 0x400, 0xa},
		{"CE_OUT_IDLE", 0x10, 0x4},
		{"CE_IN_IDLE", 0x20, 0x5},
		{"CE_SPLIT_IDLE", 0x4, 0x2}
	} },
	{"HDP_SW_SEMAPHORE", 0xbcb, {
		{"SW_SEMAPHORE", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC1_DUMMY_REG", 0x35ae, {
		{"DUMMY", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC0_RB_CNTL", 0x3500, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"SDMA1_CNTL", 0x3604, {
		{"AUTO_CTXSW_ENABLE", 0x40000, 0x12},
		{"CTXEMPTY_INT_ENABLE", 0x10000000, 0x1c},
		{"FENCE_SWAP_ENABLE", 0x10, 0x4},
		{"IB_PREEMPT_INT_ENABLE", 0x40000000, 0x1e},
		{"FROZEN_INT_ENABLE", 0x20000000, 0x1d},
		{"SEM_WAIT_INT_ENABLE", 0x4, 0x2},
		{"DATA_SWAP_ENABLE", 0x8, 0x3},
		{"TRAP_ENABLE", 0x1, 0x0},
		{"MC_WRREQ_CREDIT", 0x1f800, 0xb},
		{"MC_RDREQ_CREDIT", 0xfc00000, 0x16}
	} },
	{"SDMA1_RLC0_PREEMPT", 0x3730, {
		{"IB_PREEMPT", 0x1, 0x0}
	} },
	{"SDMA0_RLC0_IB_OFFSET", 0x350c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SRBM_DEBUG", 0x3a4, {
		{"SYS_CLOCK_DOMAIN_OVERRIDE", 0x10, 0x4},
		{"MC_CLOCK_DOMAIN_OVERRIDE", 0x100, 0x8},
		{"ISP_CLOCK_DOMAIN_OVERRIDE", 0x400, 0xa},
		{"UVD_CLOCK_DOMAIN_OVERRIDE", 0x40, 0x6},
		{"IGNORE_RDY", 0x1, 0x0},
		{"DISABLE_READ_TIMEOUT", 0x2, 0x1},
		{"SAM_CLOCK_DOMAIN_OVERRIDE", 0x200, 0x9},
		{"SNAPSHOT_FREE_CNTRS", 0x4, 0x2},
		{"SDMA_CLOCK_DOMAIN_OVERRIDE", 0x80, 0x7},
		{"VCE_CLOCK_DOMAIN_OVERRIDE", 0x20, 0x5}
	} },
	{"IH_RB_BASE", 0xe31, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SRBM_CAM_INDEX", 0xfe34, {
		{"CAM_INDEX", 0x3, 0x0}
	} },
	{"SDMA1_GFX_CSA_ADDR_HI", 0x36ad, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC0_CONTEXT_STATUS", 0x3711, {
		{"EXPIRE_CTXSW", 0x2, 0x1},
		{"EXCEPTION", 0x70, 0x4},
		{"PREEMPTED", 0x200, 0x9},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"PREEMPT_DISABLE", 0x400, 0xa},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"SDMA1_GFX_RB_WPTR_POLL_ADDR_LO", 0x3687, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"IH_PERFCOUNTER1_RESULT", 0xe3b, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"SDMA0_STATUS_REG", 0x340d, {
		{"MC_RD_RET_STALL", 0x200000, 0x15},
		{"MC_RD_NO_POLL_IDLE", 0x400000, 0x16},
		{"BLOCK_IDLE", 0x100, 0x8},
		{"RB_FULL", 0x8, 0x3},
		{"MC_WR_IDLE", 0x2000, 0xd},
		{"SEM_RESP_STATE", 0x30000000, 0x1c},
		{"IB_CMD_IDLE", 0x40, 0x6},
		{"IDLE", 0x1, 0x0},
		{"DELTA_RPTR_EMPTY", 0x100000, 0x14},
		{"PREV_CMD_IDLE", 0x2000000, 0x19},
		{"CONTEXT_EMPTY", 0x8000, 0xf},
		{"EX_IDLE", 0x400, 0xa},
		{"INSIDE_IB", 0x200, 0x9},
		{"RB_CMD_FULL", 0x20, 0x5},
		{"SEM_REQ_STALL", 0x8000000, 0x1b},
		{"IB_CMD_FULL", 0x80, 0x7},
		{"PACKET_READY", 0x1000, 0xc},
		{"RB_MC_RREQ_IDLE", 0x20000, 0x11},
		{"INT_REQ_STALL", 0x80000000, 0x1f},
		{"RB_CMD_IDLE", 0x10, 0x4},
		{"SRBM_IDLE", 0x4000, 0xe},
		{"EX_IDLE_POLL_TIMER_EXPIRE", 0x800, 0xb},
		{"REG_IDLE", 0x2, 0x1},
		{"MC_RD_IDLE", 0x80000, 0x13},
		{"IB_MC_RREQ_IDLE", 0x40000, 0x12},
		{"RB_EMPTY", 0x4, 0x2},
		{"DELTA_RPTR_FULL", 0x10000, 0x10},
		{"SEM_IDLE", 0x4000000, 0x1a},
		{"INT_IDLE", 0x40000000, 0x1e}
	} },
	{"SDMA1_GFX_IB_SIZE", 0x368f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"HDP_XDP_SID_CFG", 0xc30, {
		{"SID_CFG_WR_COMBINE_EN", 0x1, 0x0},
		{"SID_CFG_WR_COMBINE_TIMER", 0x6, 0x1},
		{"SID_CFG_FLNUM_MSB_SEL", 0x18, 0x3}
	} },
	{"SDMA1_PHASE0_QUANTUM", 0x3614, {
		{"PREFER", 0x40000000, 0x1e},
		{"VALUE", 0xffff00, 0x8},
		{"UNIT", 0xf, 0x0}
	} },
	{"SYS_GRBM_GFX_INDEX_SELECT", 0xfa2c, {
		{"SYS_GRBM_GFX_INDEX_SEL", 0xf, 0x0}
	} },
	{"SDMA1_RLC0_RB_WPTR_POLL_CNTL", 0x3705, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"SDMA1_FREEZE", 0x3613, {
		{"FROZEN", 0x20, 0x5},
		{"F32_FREEZE", 0x40, 0x6},
		{"FREEZE", 0x10, 0x4}
	} },
	{"SDMA1_GFX_SKIP_CNTL", 0x3690, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"SRBM_CHIP_REVISION", 0x39b, {
		{"CHIP_REVISION", 0xff, 0x0}
	} },
	{"SDMA0_PERFCOUNTER0_RESULT", 0x9001, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_HDP_MBX_MC_CFG", 0xc2d, {
		{"HDP_MBX_MC_CFG_TAP_WRREQ_TRAN", 0x8, 0x3},
		{"HDP_MBX_MC_CFG_TAP_WRREQ_VMID", 0xf0, 0x4},
		{"HDP_MBX_MC_CFG_TAP_WRREQ_SWAP", 0x6, 0x1},
		{"HDP_MBX_MC_CFG_TAP_WRREQ_PRIV", 0x1, 0x0}
	} },
	{"SDMA1_GFX_APE1_CNTL", 0x36a8, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"SRBM_GFX_CNTL_SELECT", 0xfa2e, {
		{"SRBM_GFX_CNTL_SEL", 0xf, 0x0}
	} },
	{"IH_VMID_8_LUT", 0xe08, {
		{"PASID", 0xffff, 0x0}
	} },
	{"IH_RB_WPTR_ADDR_LO", 0xe35, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC1_SKIP_CNTL", 0x3790, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"SRBM_SYS_CLKEN_CNTL", 0x3b4, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"SDMA0_RLC0_WATERMARK", 0x352a, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"SDMA0_RLC1_IB_SIZE", 0x358f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"SDMA1_GFX_IB_CNTL", 0x368a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"SDMA1_GFX_VIRTUAL_ADDR", 0x36a7, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"HDP_MEMIO_RD_DATA", 0xbfa, {
		{"MEMIO_RD_DATA", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC0_IB_CNTL", 0x350a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"SDMA0_RLC0_SKIP_CNTL", 0x3510, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"HDP_XDP_SRBM_CFG", 0xc32, {
		{"SRBM_CFG_REG_CLK_ENABLE_COUNT", 0x3f, 0x0},
		{"SRBM_CFG_WAKE_DYN_CLK", 0x80, 0x7},
		{"SRBM_CFG_REG_CLK_GATING_DIS", 0x40, 0x6}
	} },
	{"CC_SYS_RB_BACKEND_DISABLE", 0x3a0, {
		{"BACKEND_DISABLE", 0xff0000, 0x10}
	} },
	{"SDMA1_PERFMON_CNTL", 0x9010, {
		{"PERF_SEL1", 0xfc00, 0xa},
		{"PERF_SEL0", 0xfc, 0x2},
		{"PERF_CLEAR0", 0x2, 0x1},
		{"PERF_CLEAR1", 0x200, 0x9},
		{"PERF_ENABLE1", 0x100, 0x8},
		{"PERF_ENABLE0", 0x1, 0x0}
	} },
	{"SRBM_DEBUG_DATA", 0x39a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_RB_CNTL", 0x3780, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"SDMA0_GFX_RB_RPTR_ADDR_HI", 0x3488, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_RB_WPTR_POLL_CNTL", 0x3785, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"SDMA1_EDC_CONFIG", 0x361a, {
		{"ECC_INT_ENABLE", 0x4, 0x2},
		{"DIS_EDC", 0x2, 0x1}
	} },
	{"SDMA0_RLC1_RB_WPTR_POLL_ADDR_HI", 0x3586, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA0_ID", 0x341c, {
		{"DEVICE_ID", 0xff, 0x0}
	} },
	{"SRBM_VCE_DOMAIN_ADDR1", 0xfa19, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SDMA0_GFX_RB_WPTR_POLL_ADDR_HI", 0x3486, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_P2P_MBX_ADDR3", 0xc29, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"HDP_XDP_P2P_MBX_ADDR2", 0xc28, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"HDP_XDP_P2P_MBX_ADDR1", 0xc27, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"HDP_XDP_P2P_MBX_ADDR0", 0xc26, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"SDMA0_RLC1_PREEMPT", 0x35b0, {
		{"IB_PREEMPT", 0x1, 0x0}
	} },
	{"SDMA1_RLC1_VIRTUAL_ADDR", 0x37a7, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"HDP_XDP_P2P_MBX_ADDR5", 0xc2b, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"HDP_XDP_P2P_MBX_ADDR4", 0xc2a, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"IH_RB_WPTR", 0xe33, {
		{"RB_MAY_OVERFLOW", 0x80000, 0x13},
		{"RB_LEFT_NONE", 0x40000, 0x12},
		{"RB_OVERFLOW", 0x1, 0x0},
		{"OFFSET", 0x3fffc, 0x2}
	} },
	{"SDMA1_GFX_IB_BASE_HI", 0x368e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SRBM_READ_ERROR", 0x3a6, {
		{"READ_REQUESTER_SAMSCP", 0x8000000, 0x1b},
		{"READ_REQUESTER_SMU", 0x4000000, 0x1a},
		{"READ_REQUESTER_UVD", 0x20000000, 0x1d},
		{"READ_ADDRESS", 0x3fffc, 0x2},
		{"READ_REQUESTER_TST", 0x400000, 0x16},
		{"READ_REQUESTER_HI", 0x1000000, 0x18},
		{"READ_ERROR", 0x80000000, 0x1f},
		{"READ_REQUESTER_VCE0", 0x100000, 0x14},
		{"READ_REQUESTER_SDMA3", 0x40000, 0x12},
		{"READ_REQUESTER_SDMA2", 0x80000, 0x13},
		{"READ_REQUESTER_SDMA1", 0x200000, 0x15},
		{"READ_REQUESTER_SDMA", 0x10000000, 0x1c},
		{"READ_REQUESTER_SAMMSP", 0x800000, 0x17},
		{"READ_REQUESTER_GRBM", 0x2000000, 0x19}
	} },
	{"SDMA1_RLC1_RB_BASE_HI", 0x3782, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"SDMA0_RLC0_CSA_ADDR_HI", 0x352d, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC1_WATERMARK", 0x35aa, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"SDMA0_RLC0_RB_WPTR_POLL_CNTL", 0x3505, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"SRBM_VIRT_CNTL", 0xfa31, {
		{"VF_WRITE_ENABLE", 0x1, 0x0}
	} },
	{"SDMA1_RLC1_IB_BASE_HI", 0x378e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_IB_RPTR", 0x368b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_RLC0_APE1_CNTL", 0x3528, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"SDMA1_PERFCOUNTER0_RESULT", 0x9011, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"SDMA0_GFX_RB_RPTR", 0x3483, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SRBM_SYS_DOMAIN_ADDR2", 0xfa0a, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SDMA1_IB_OFFSET_FETCH", 0x360b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SRBM_SYS_DOMAIN_ADDR0", 0xfa08, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_SYS_DOMAIN_ADDR1", 0xfa09, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_SYS_DOMAIN_ADDR6", 0xfa0e, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_SYS_DOMAIN_ADDR4", 0xfa0c, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_SYS_DOMAIN_ADDR5", 0xfa0d, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SDMA0_GFX_APE1_CNTL", 0x34a8, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"SDMA1_RLC1_RB_WPTR_POLL_ADDR_LO", 0x3787, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"IH_DSM_MATCH_VALUE_BIT_31_0", 0xe3d, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"HDP_MEMIO_CNTL", 0xbf6, {
		{"MEMIO_WR_STROBE", 0x40, 0x6},
		{"MEMIO_SEND", 0x1, 0x0},
		{"MEMIO_CLR_WR_ERROR", 0x4000, 0xe},
		{"MEMIO_BE", 0x3c, 0x2},
		{"MEMIO_CLR_RD_ERROR", 0x8000, 0xf},
		{"MEMIO_RD_STROBE", 0x80, 0x7},
		{"MEMIO_OP", 0x2, 0x1},
		{"MEMIO_ADDR_UPPER", 0x3f00, 0x8}
	} },
	{"SDMA0_RLC0_PREEMPT", 0x3530, {
		{"IB_PREEMPT", 0x1, 0x0}
	} },
	{"SDMA0_SEM_WAIT_FAIL_TIMER_CNTL", 0x3409, {
		{"TIMER", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC1_RB_RPTR_ADDR_LO", 0x3589, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"HDP_XDP_HST_CFG", 0xc2f, {
		{"HST_CFG_WR_COMBINE_EN", 0x1, 0x0},
		{"HST_CFG_WR_COMBINE_TIMER", 0x6, 0x1}
	} },
	{"SDMA0_GFX_IB_SIZE", 0x348f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"SDMA1_RLC1_CONTEXT_STATUS", 0x3791, {
		{"EXPIRE_CTXSW", 0x2, 0x1},
		{"EXCEPTION", 0x70, 0x4},
		{"PREEMPTED", 0x200, 0x9},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"PREEMPT_DISABLE", 0x400, 0xa},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"SDMA1_RLC1_WATERMARK", 0x37aa, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"SRBM_VIRT_RESET_REQ", 0xfa32, {
		{"PF", 0x80000000, 0x1f},
		{"VF", 0xffff, 0x0}
	} },
	{"IH_LEVEL_STATUS", 0xe37, {
		{"DC_STATUS", 0x1, 0x0},
		{"SRBM_STATUS", 0x8, 0x3},
		{"XDMA_STATUS", 0x20, 0x5},
		{"BIF_STATUS", 0x10, 0x4},
		{"ROM_STATUS", 0x4, 0x2}
	} },
	{"CPC1_CONFIG", 0xf97, {
		{"CPC1_REQ_TRAN", 0x10000, 0x10},
		{"CPC1_RDREQ_URG", 0xf00, 0x8}
	} },
	{"SRBM_SYS_DOMAIN_ADDR3", 0xfa0b, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SDMA1_RLC0_DUMMY_REG", 0x372e, {
		{"DUMMY", 0xffffffff, 0x0}
	} },
	{"SEM_MAILBOX_CONTROL", 0xf9d, {
		{"HOSTPORT_ENABLE", 0xff00, 0x8},
		{"SIDEPORT_ENABLE", 0xff, 0x0},
		{"SIDEPORT_ENABLE_EXTRA", 0xff0000, 0x10},
		{"HOSTPORT_ENABLE_EXTRA", 0xff000000, 0x18}
	} },
	{"SRBM_INT_CNTL", 0x3a8, {
		{"RDERR_INT_MASK", 0x1, 0x0},
		{"RAERR_INT_MASK", 0x2, 0x1}
	} },
	{"HDP_XDP_DBG_ADDR", 0xc41, {
		{"CTRL", 0xffff0000, 0x10},
		{"STS", 0xffff, 0x0}
	} },
	{"SDMA1_UCODE_ADDR", 0x3600, {
		{"VALUE", 0xfff, 0x0}
	} },
	{"SDMA0_PERFMON_CNTL", 0x9000, {
		{"PERF_SEL1", 0xfc00, 0xa},
		{"PERF_SEL0", 0xfc, 0x2},
		{"PERF_CLEAR0", 0x2, 0x1},
		{"PERF_CLEAR1", 0x200, 0x9},
		{"PERF_ENABLE1", 0x100, 0x8},
		{"PERF_ENABLE0", 0x1, 0x0}
	} },
	{"SRBM_MC_DOMAIN_ADDR4", 0xfa04, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_MC_DOMAIN_ADDR5", 0xfa05, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_MC_DOMAIN_ADDR6", 0xfa06, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_MC_DOMAIN_ADDR0", 0xfa00, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_MC_DOMAIN_ADDR1", 0xfa01, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_MC_DOMAIN_ADDR2", 0xfa02, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_MC_DOMAIN_ADDR3", 0xfa03, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SDMA0_RLC1_RB_WPTR_POLL_ADDR_LO", 0x3587, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA1_GFX_IB_OFFSET", 0x368c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SRBM_DSM_TRIG_CNTL1", 0x3b0, {
		{"DSM_TRIG_WD", 0xffffffff, 0x0}
	} },
	{"SRBM_DSM_TRIG_CNTL0", 0x3af, {
		{"DSM_TRIG_ADDR", 0xffff, 0x0},
		{"DSM_TRIG_OP", 0x10000, 0x10}
	} },
	{"SDMA1_HASH", 0x3607, {
		{"CHANNEL_BITS", 0x7, 0x0},
		{"CHANNEL_XOR_COUNT", 0x700, 0x8},
		{"BANK_BITS", 0x70, 0x4},
		{"BANK_XOR_COUNT", 0x7000, 0xc}
	} },
	{"HDP_XDP_D2H_BAR_UPDATE", 0xc02, {
		{"D2H_BAR_UPDATE_BAR_NUM", 0x700000, 0x14},
		{"D2H_BAR_UPDATE_FLUSH_NUM", 0xf0000, 0x10},
		{"D2H_BAR_UPDATE_ADDR", 0xffff, 0x0}
	} },
	{"SDMA1_POWER_CNTL", 0x3602, {
		{"MEM_POWER_OVERRIDE", 0x100, 0x8}
	} },
	{"SEM_EDC_CONFIG", 0xf9a, {
		{"DIS_EDC", 0x2, 0x1}
	} },
	{"SDMA0_GFX_RB_RPTR_ADDR_LO", 0x3489, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SRBM_INT_STATUS", 0x3a9, {
		{"RAERR_INT_STAT", 0x2, 0x1},
		{"RDERR_INT_STAT", 0x1, 0x0}
	} },
	{"SDMA1_RLC1_IB_BASE_LO", 0x378d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"SDMA0_RLC1_CONTEXT_STATUS", 0x3591, {
		{"EXPIRE_CTXSW", 0x2, 0x1},
		{"EXCEPTION", 0x70, 0x4},
		{"PREEMPTED", 0x200, 0x9},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"PREEMPT_DISABLE", 0x400, 0xa},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"SDMA0_RLC1_RB_CNTL", 0x3580, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"SDMA1_RLC1_RB_WPTR", 0x3784, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SRBM_CAM_DATA", 0xfe35, {
		{"CAM_ADDR", 0xffff, 0x0},
		{"CAM_REMAPADDR", 0xffff0000, 0x10}
	} },
	{"SDMA0_RLC0_RB_RPTR", 0x3503, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"HDP_XDP_STICKY", 0xc3f, {
		{"STICKY_W1C", 0xffff0000, 0x10},
		{"STICKY_STS", 0xffff, 0x0}
	} },
	{"SDMA0_GFX_IB_RPTR", 0x348b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_GFX_IB_OFFSET", 0x348c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_CLK_CTRL", 0x3403, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_34", 0xc22, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_33", 0xc21, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_32", 0xc20, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_31", 0xc1f, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_30", 0xc1e, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_FLUSH_CNTR0_STS", 0xc3d, {
		{"FLUSH_CNTR0_STS", 0x3ffffff, 0x0}
	} },
	{"IH_VMID_5_LUT", 0xe05, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA1_PHASE1_QUANTUM", 0x3615, {
		{"PREFER", 0x40000000, 0x1e},
		{"VALUE", 0xffff00, 0x8},
		{"UNIT", 0xf, 0x0}
	} },
	{"SDMA0_GFX_RB_WPTR_POLL_ADDR_LO", 0x3487, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA0_GFX_CSA_ADDR_HI", 0x34ad, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA0_STATUS2_REG", 0x341e, {
		{"CMD_OP", 0xffff0000, 0x10},
		{"F32_INSTR_PTR", 0xfffc, 0x2},
		{"ID", 0x3, 0x0}
	} },
	{"SDMA1_RLC0_IB_RPTR", 0x370b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_PROGRAM", 0x340c, {
		{"STREAM", 0xffffffff, 0x0}
	} },
	{"SDMA1_STATUS_REG", 0x360d, {
		{"MC_RD_RET_STALL", 0x200000, 0x15},
		{"MC_RD_NO_POLL_IDLE", 0x400000, 0x16},
		{"BLOCK_IDLE", 0x100, 0x8},
		{"RB_FULL", 0x8, 0x3},
		{"MC_WR_IDLE", 0x2000, 0xd},
		{"SEM_RESP_STATE", 0x30000000, 0x1c},
		{"IB_CMD_IDLE", 0x40, 0x6},
		{"IDLE", 0x1, 0x0},
		{"DELTA_RPTR_EMPTY", 0x100000, 0x14},
		{"PREV_CMD_IDLE", 0x2000000, 0x19},
		{"CONTEXT_EMPTY", 0x8000, 0xf},
		{"EX_IDLE", 0x400, 0xa},
		{"INSIDE_IB", 0x200, 0x9},
		{"RB_CMD_FULL", 0x20, 0x5},
		{"SEM_REQ_STALL", 0x8000000, 0x1b},
		{"IB_CMD_FULL", 0x80, 0x7},
		{"PACKET_READY", 0x1000, 0xc},
		{"RB_MC_RREQ_IDLE", 0x20000, 0x11},
		{"INT_REQ_STALL", 0x80000000, 0x1f},
		{"RB_CMD_IDLE", 0x10, 0x4},
		{"SRBM_IDLE", 0x4000, 0xe},
		{"EX_IDLE_POLL_TIMER_EXPIRE", 0x800, 0xb},
		{"REG_IDLE", 0x2, 0x1},
		{"MC_RD_IDLE", 0x80000, 0x13},
		{"IB_MC_RREQ_IDLE", 0x40000, 0x12},
		{"RB_EMPTY", 0x4, 0x2},
		{"DELTA_RPTR_FULL", 0x10000, 0x10},
		{"SEM_IDLE", 0x4000000, 0x1a},
		{"INT_IDLE", 0x40000000, 0x1e}
	} },
	{"SDMA0_GFX_RB_BASE_HI", 0x3482, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"SDMA1_RLC0_RB_WPTR", 0x3704, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_CONFIG", 0xf92, {
		{"SDMA_REQ_TRAN", 0x10000, 0x10},
		{"SDMA_RDREQ_URG", 0xf00, 0x8}
	} },
	{"SDMA0_RLC1_APE1_CNTL", 0x35a8, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"HDP_NONSURFACE_SIZE", 0xb03, {
		{"NONSURF_PITCH_TILE_MAX", 0x7ff, 0x0},
		{"NONSURF_SLICE_TILE_MAX", 0xfffff800, 0xb}
	} },
	{"SDMA0_F32_CNTL", 0x3412, {
		{"STEP", 0x2, 0x1},
		{"DBG_SELECT_BITS", 0xfc, 0x2},
		{"HALT", 0x1, 0x0}
	} },
	{"IH_VMID_10_LUT", 0xe0a, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA0_RLC1_RB_RPTR_ADDR_HI", 0x3588, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC0_RB_CNTL", 0x3700, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR0", 0xc34, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR1", 0xc35, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR2", 0xc36, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR3", 0xc37, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR4", 0xc38, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR5", 0xc39, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR6", 0xc3a, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"HDP_XDP_P2P_BAR7", 0xc3b, {
		{"VALID", 0x100000, 0x14},
		{"ADDR", 0xffff, 0x0},
		{"FLUSH", 0xf0000, 0x10}
	} },
	{"IH_RB_RPTR", 0xe32, {
		{"OFFSET", 0x3fffc, 0x2}
	} },
	{"SRBM_READ_CNTL", 0x392, {
		{"READ_TIMEOUT", 0xffffff, 0x0}
	} },
	{"SDMA0_RLC1_RB_WPTR", 0x3584, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SRBM_READ_ERROR2", 0x3ae, {
		{"READ_REQUESTER_ISP", 0x2, 0x1},
		{"READ_REQUESTER_VCE1", 0x4, 0x2},
		{"READ_VF", 0x800000, 0x17},
		{"READ_REQUESTER_ACP", 0x1, 0x0},
		{"READ_VFID", 0xf000000, 0x18}
	} },
	{"SDMA1_BA_THRESHOLD", 0x361b, {
		{"READ_THRES", 0x3ff, 0x0},
		{"WRITE_THRES", 0x3ff0000, 0x10}
	} },
	{"SDMA1_RLC1_RB_WPTR_POLL_ADDR_HI", 0x3786, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"IH_PERFCOUNTER0_RESULT", 0xe3a, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_IB_SUB_REMAIN", 0x37af, {
		{"SIZE", 0x3fff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_12", 0xc0c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_DIRECT2HDP_LAST", 0xc23, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_P2P_MBX_OFFSET", 0xc25, {
		{"P2P_MBX_OFFSET", 0x3fff, 0x0}
	} },
	{"SDMA1_GFX_IB_BASE_LO", 0x368d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"SRBM_ISP_DOMAIN_ADDR2", 0xfa22, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_ISP_DOMAIN_ADDR1", 0xfa21, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_ISP_DOMAIN_ADDR0", 0xfa20, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"VCE_CONFIG", 0xf94, {
		{"VCE_RDREQ_URG", 0xf00, 0x8},
		{"VCE_REQ_TRAN", 0x10000, 0x10}
	} },
	{"SDMA0_RLC1_VIRTUAL_ADDR", 0x35a7, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"SRBM_UVD_CLKEN_CNTL", 0x3b6, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"IH_CNTL", 0xe36, {
		{"MC_WR_CLEAN_CNT", 0x1f00000, 0x14},
		{"ENABLE_INTR", 0x1, 0x0},
		{"RPTR_REARM", 0x10, 0x4},
		{"MC_FIFO_HIGHWATER", 0x7c00, 0xa},
		{"CLIENT_FIFO_HIGHWATER", 0x300, 0x8},
		{"MC_VMID", 0x1e000000, 0x19},
		{"MC_SWAP", 0x6, 0x1},
		{"MC_WRREQ_CREDIT", 0xf8000, 0xf}
	} },
	{"SDMA1_GFX_RB_BASE", 0x3681, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"HDP_OUTSTANDING_REQ", 0xbd1, {
		{"WRITE_REQ", 0xff, 0x0},
		{"READ_REQ", 0xff00, 0x8}
	} },
	{"SEM_MCIF_CONFIG", 0xf90, {
		{"MC_REQ_SWAP", 0x3, 0x0},
		{"MC_WRREQ_CREDIT", 0xfc, 0x2},
		{"MC_RDREQ_CREDIT", 0x3f00, 0x8}
	} },
	{"SDMA1_GFX_CONTEXT_CNTL", 0x3693, {
		{"RESUME_CTX", 0x10000, 0x10},
		{"SESSION_SEL", 0xf000000, 0x18}
	} },
	{"SRBM_PERFCOUNTER1_LO", 0x7c05, {
		{"PERF_COUNT1_LO", 0xffffffff, 0x0}
	} },
	{"SYS_GRBM_GFX_INDEX_DATA", 0xfa2d, {
		{"SE_BROADCAST_WRITES", 0x80000000, 0x1f},
		{"SE_INDEX", 0xff0000, 0x10},
		{"INSTANCE_INDEX", 0xff, 0x0},
		{"SH_INDEX", 0xff00, 0x8},
		{"INSTANCE_BROADCAST_WRITES", 0x40000000, 0x1e},
		{"SH_BROADCAST_WRITES", 0x20000000, 0x1d}
	} },
	{"SRBM_DSM_TRIG_MASK0", 0x3b1, {
		{"DSM_TRIG_ADDR_MASK", 0xffff, 0x0},
		{"DSM_TRIG_OP_MASK", 0x10000, 0x10}
	} },
	{"SRBM_DSM_TRIG_MASK1", 0x3b2, {
		{"DSM_TRIG_WD_MASK", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_RB_RPTR", 0x3783, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"HDP_NONSURFACE_PREFETCH", 0xbd5, {
		{"NONSURF_PREFETCH_NUM", 0x1c0, 0x6},
		{"NONSURF_PREFETCH_MAX_Z", 0xffe00, 0x9},
		{"NONSURF_PREFETCH_DIR", 0x38, 0x3},
		{"NONSURF_PIPE_CONFIG", 0xf8000000, 0x1b},
		{"NONSURF_PREFETCH_PRI", 0x7, 0x0}
	} },
	{"SDMA0_RLC1_RB_BASE_HI", 0x3582, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"SDMA0_GFX_CSA_ADDR_LO", 0x34ac, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"HDP_XDP_D2H_RSVD_9", 0xc09, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_8", 0xc08, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC0_RB_BASE", 0x3701, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_RB_RPTR_FETCH", 0x360a, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"HDP_ADDR_CONFIG", 0xbd2, {
		{"BANK_INTERLEAVE_SIZE", 0x700, 0x8},
		{"MULTI_GPU_TILE_SIZE", 0x3000000, 0x18},
		{"NUM_GPUS", 0x700000, 0x14},
		{"NUM_PIPES", 0x7, 0x0},
		{"NUM_SHADER_ENGINES", 0x3000, 0xc},
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4},
		{"SHADER_ENGINE_TILE_SIZE", 0x70000, 0x10},
		{"NUM_LOWER_PIPES", 0x40000000, 0x1e},
		{"ROW_SIZE", 0x30000000, 0x1c}
	} },
	{"UVD_CONFIG", 0xf93, {
		{"UVD_RDREQ_URG", 0xf00, 0x8},
		{"UVD_REQ_TRAN", 0x10000, 0x10}
	} },
	{"HDP_XDP_D2H_RSVD_6", 0xc06, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_3", 0xc03, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"IH_VMID_9_LUT", 0xe09, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA1_RLC1_PREEMPT", 0x37b0, {
		{"IB_PREEMPT", 0x1, 0x0}
	} },
	{"SDMA1_RLC0_CSA_ADDR_LO", 0x372c, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC1_DUMMY_REG", 0x37ae, {
		{"DUMMY", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_IB_RPTR", 0x378b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_GFX_RB_WPTR", 0x3484, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA0_RLC1_DOORBELL", 0x3592, {
		{"ENABLE", 0x10000000, 0x1c},
		{"CAPTURED", 0x40000000, 0x1e},
		{"OFFSET", 0x1fffff, 0x0}
	} },
	{"SRBM_PERFCOUNTER0_HI", 0x7c04, {
		{"PERF_COUNT0_HI", 0xffffffff, 0x0}
	} },
	{"SEM_MAILBOX_CLIENTCONFIG", 0xf9b, {
		{"VCE_CLIENT0", 0xe00000, 0x15},
		{"SDMA1_CLIENT0", 0x1c0000, 0x12},
		{"SDMA_CLIENT0", 0x7000, 0xc},
		{"CP_CLIENT1", 0x38, 0x3},
		{"CP_CLIENT0", 0x7, 0x0},
		{"CP_CLIENT3", 0xe00, 0x9},
		{"CP_CLIENT2", 0x1c0, 0x6},
		{"UVD_CLIENT0", 0x38000, 0xf}
	} },
	{"SDMA0_UCODE_DATA", 0x3401, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"SRBM_GFX_CNTL_DATA", 0xfa2f, {
		{"QUEUEID", 0x700, 0x8},
		{"VMID", 0xf0, 0x4},
		{"PIPEID", 0x3, 0x0},
		{"MEID", 0xc, 0x2}
	} },
	{"IH_VMID_4_LUT", 0xe04, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA0_RLC1_IB_BASE_LO", 0x358d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"SDMA1_RLC0_RB_WPTR_POLL_ADDR_HI", 0x3706, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_CLK_CTRL", 0x3603, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"SRBM_STATUS3", 0x395, {
		{"MCD2_BUSY", 0x400, 0xa},
		{"MCC1_BUSY", 0x2, 0x1},
		{"MCD5_BUSY", 0x2000, 0xd},
		{"MCD7_BUSY", 0x8000, 0xf},
		{"MCC5_BUSY", 0x20, 0x5},
		{"MCC4_BUSY", 0x10, 0x4},
		{"MCC6_BUSY", 0x40, 0x6},
		{"MCD6_BUSY", 0x4000, 0xe},
		{"MCC7_BUSY", 0x80, 0x7},
		{"MCD4_BUSY", 0x1000, 0xc},
		{"MCC0_BUSY", 0x1, 0x0},
		{"MCC2_BUSY", 0x4, 0x2},
		{"MCD0_BUSY", 0x100, 0x8},
		{"MCD1_BUSY", 0x200, 0x9},
		{"MCD3_BUSY", 0x800, 0xb},
		{"MCC3_BUSY", 0x8, 0x3}
	} },
	{"SRBM_STATUS2", 0x393, {
		{"TST_RQ_PENDING", 0x2, 0x1},
		{"SDMA3_RQ_PENDING", 0x20000, 0x11},
		{"SDMA2_BUSY", 0x400, 0xa},
		{"SDMA1_RQ_PENDING", 0x4, 0x2},
		{"SDMA1_BUSY", 0x40, 0x6},
		{"SDMA2_RQ_PENDING", 0x10000, 0x10},
		{"SDMA_BUSY", 0x20, 0x5},
		{"SAMSCP_BUSY", 0x1000, 0xc},
		{"SDMA_RQ_PENDING", 0x1, 0x0},
		{"CHUB_BUSY", 0x200, 0x9},
		{"XSP_BUSY", 0x10, 0x4},
		{"VCE1_BUSY", 0x4000, 0xe},
		{"ISP_RQ_PENDING", 0x80000, 0x13},
		{"XDMA_BUSY", 0x100, 0x8},
		{"ISP_BUSY", 0x2000, 0xd},
		{"VCE0_RQ_PENDING", 0x8, 0x3},
		{"SAMSCP_RQ_PENDING", 0x40000, 0x12},
		{"VCE0_BUSY", 0x80, 0x7},
		{"SDMA3_BUSY", 0x800, 0xb},
		{"VCE1_RQ_PENDING", 0x100000, 0x14}
	} },
	{"SDMA1_GFX_RB_RPTR_ADDR_LO", 0x3689, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA0_RLC1_RB_RPTR", 0x3583, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"HDP_NONSURFACE_INFO", 0xb02, {
		{"NONSURF_ADDR_TYPE", 0x1, 0x0},
		{"NONSURF_PIXEL_SIZE", 0x380, 0x7},
		{"NONSURF_ENDIAN", 0x60, 0x5},
		{"NONSURF_MICRO_TILE_MODE", 0x70000000, 0x1c},
		{"NONSURF_ARRAY_MODE", 0x1e, 0x1},
		{"NONSURF_NUM_BANKS", 0x300000, 0x14},
		{"NONSURF_SLICE_TILE_MAX_MSB", 0x80000000, 0x1f},
		{"NONSURF_BANK_HEIGHT", 0x3000000, 0x18},
		{"NONSURF_PRIV", 0x8000, 0xf},
		{"NONSURF_SAMPLE_SIZE", 0x6000, 0xd},
		{"NONSURF_BANK_WIDTH", 0xc00000, 0x16},
		{"NONSURF_SAMPLE_NUM", 0x1c00, 0xa},
		{"NONSURF_TILE_SPLIT", 0xe0000, 0x11},
		{"NONSURF_TILE_COMPACT", 0x10000, 0x10},
		{"NONSURF_MACRO_TILE_ASPECT", 0xc000000, 0x1a}
	} },
	{"SDMA1_TILING_CONFIG", 0x3606, {
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4}
	} },
	{"SDMA1_GFX_CONTEXT_STATUS", 0x3691, {
		{"EXPIRE_CTXSW", 0x2, 0x1},
		{"EXCEPTION", 0x70, 0x4},
		{"PREEMPTED", 0x200, 0x9},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"PREEMPT_DISABLE", 0x400, 0xa},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"SDMA0_RLC0_VIRTUAL_ADDR", 0x3527, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"SDMA1_RLC0_RB_RPTR_ADDR_HI", 0x3708, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_APE1_CNTL", 0x37a8, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"IH_RB_CNTL", 0xe30, {
		{"WPTR_OVERFLOW_CLEAR", 0x80000000, 0x1f},
		{"RB_FULL_DRAIN_ENABLE", 0x40, 0x6},
		{"WPTR_WRITEBACK_ENABLE", 0x100, 0x8},
		{"WPTR_OVERFLOW_ENABLE", 0x10000, 0x10},
		{"RB_SIZE", 0x3e, 0x1},
		{"WPTR_WRITEBACK_TIMER", 0x3e00, 0x9},
		{"RB_GPU_TS_ENABLE", 0x80, 0x7},
		{"RB_ENABLE", 0x1, 0x0}
	} },
	{"SRBM_SDMA_DOMAIN_ADDR3", 0xfa13, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_SDMA_DOMAIN_ADDR2", 0xfa12, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_SDMA_DOMAIN_ADDR1", 0xfa11, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_SDMA_DOMAIN_ADDR0", 0xfa10, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SDMA0_IB_OFFSET_FETCH", 0x340b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_GFX_RB_WPTR_POLL_CNTL", 0x3485, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"SDMA0_GFX_PREEMPT", 0x34b0, {
		{"IB_PREEMPT", 0x1, 0x0}
	} },
	{"IH_VMID_14_LUT", 0xe0e, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SRBM_UVD_DOMAIN_ADDR2", 0xfa16, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SDMA0_RLC0_RB_WPTR_POLL_ADDR_HI", 0x3506, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SRBM_UVD_DOMAIN_ADDR0", 0xfa14, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_UVD_DOMAIN_ADDR1", 0xfa15, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_CNTL", 0x390, {
		{"COMBINE_SYSTEM_MC", 0x20000, 0x11},
		{"REPORT_LAST_RDERR", 0x40000, 0x12},
		{"PWR_REQUEST_HALT", 0x10000, 0x10}
	} },
	{"SDMA1_RLC0_APE1_CNTL", 0x3728, {
		{"BASE", 0xffff, 0x0},
		{"LIMIT", 0xffff0000, 0x10}
	} },
	{"SDMA0_HASH", 0x3407, {
		{"CHANNEL_BITS", 0x7, 0x0},
		{"CHANNEL_XOR_COUNT", 0x700, 0x8},
		{"BANK_BITS", 0x70, 0x4},
		{"BANK_XOR_COUNT", 0x7000, 0xc}
	} },
	{"SDMA0_PERFCOUNTER1_RESULT", 0x9002, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"HDP_NONSURF_FLAGS_CLR", 0xbca, {
		{"NONSURF_WRITE_FLAG_CLR", 0x1, 0x0},
		{"NONSURF_READ_FLAG_CLR", 0x2, 0x1}
	} },
	{"SDMA0_RLC0_DUMMY_REG", 0x352e, {
		{"DUMMY", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_CHKN", 0xc40, {
		{"CHKN_1_RSVD", 0xff00, 0x8},
		{"CHKN_2_RSVD", 0xff0000, 0x10},
		{"CHKN_0_RSVD", 0xff, 0x0},
		{"CHKN_3_RSVD", 0xff000000, 0x18}
	} },
	{"IH_VMID_3_LUT", 0xe03, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA1_RLC0_CSA_ADDR_HI", 0x372d, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SRBM_DEBUG_SNAPSHOT", 0x3a5, {
		{"XDMA_RDY", 0x100, 0x8},
		{"MCD4_RDY", 0x10000, 0x10},
		{"MCC3_RDY", 0x2000000, 0x19},
		{"SAMMSP_RDY", 0x8, 0x3},
		{"ORB_RDY", 0x1000, 0xc},
		{"MCB_RDY", 0x1, 0x0},
		{"MCC7_RDY", 0x200000, 0x15},
		{"MCD3_RDY", 0x20000, 0x11},
		{"VCE0_RDY", 0x20000000, 0x1d},
		{"MCD5_RDY", 0x8000, 0xf},
		{"MCC5_RDY", 0x800000, 0x17},
		{"ROPLL_RDY", 0x2, 0x1},
		{"MCC6_RDY", 0x400000, 0x16},
		{"MCD6_RDY", 0x4000, 0xe},
		{"SMU_RDY", 0x4, 0x2},
		{"SAMSCP_RDY", 0x40000000, 0x1e},
		{"DC_RDY", 0x40, 0x6},
		{"MCD7_RDY", 0x2000, 0xd},
		{"BIF_RDY", 0x80, 0x7},
		{"MCD1_RDY", 0x80000, 0x13},
		{"MCD0_RDY", 0x100000, 0x14},
		{"ACP_RDY", 0x10, 0x4},
		{"UVD_RDY", 0x200, 0x9},
		{"MCC2_RDY", 0x4000000, 0x1a},
		{"MCC4_RDY", 0x1000000, 0x18},
		{"XSP_RDY", 0x400, 0xa},
		{"GRBM_RDY", 0x20, 0x5},
		{"MCC1_RDY", 0x8000000, 0x1b},
		{"ISP_RDY", 0x80000000, 0x1f},
		{"MCD2_RDY", 0x40000, 0x12},
		{"REGBB_RDY", 0x800, 0xb},
		{"MCC0_RDY", 0x10000000, 0x1c}
	} },
	{"HDP_MISC_CNTL", 0xbd3, {
		{"FED_ENABLE", 0x200000, 0x15},
		{"ADDRLIB_LINEAR_BYPASS", 0x100000, 0x14},
		{"HDP_BIF_RDRET_CREDIT", 0x780, 0x7},
		{"VM_ID", 0x1e, 0x1},
		{"FLUSH_INVALIDATE_CACHE", 0x1, 0x0},
		{"READ_CACHE_INVALIDATE", 0x80000, 0x13},
		{"MC_RDREQ_CREDIT", 0x7e000, 0xd},
		{"NO_SPLIT_ARRAY_LINEAR", 0x1000, 0xc},
		{"MULTIPLE_READS", 0x40, 0x6},
		{"SIMULTANEOUS_READS_WRITES", 0x800, 0xb},
		{"OUTSTANDING_WRITE_COUNT_1024", 0x20, 0x5}
	} },
	{"SRBM_PERFCOUNTER1_SELECT", 0x7c02, {
		{"PERF_SEL", 0x3f, 0x0}
	} },
	{"IH_VERSION", 0xe42, {
		{"VALUE", 0xfff, 0x0}
	} },
	{"SDMA1_RLC0_RB_BASE_HI", 0x3702, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"SRBM_PERFCOUNTER0_LO", 0x7c03, {
		{"PERF_COUNT0_LO", 0xffffffff, 0x0}
	} },
	{"HDP_MEM_POWER_LS", 0xbd4, {
		{"LS_SETUP", 0x7e, 0x1},
		{"LS_HOLD", 0x1f80, 0x7},
		{"LS_ENABLE", 0x1, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_24", 0xc18, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_25", 0xc19, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_26", 0xc1a, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_27", 0xc1b, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_20", 0xc14, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_21", 0xc15, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_SC_MULTI_CHIP_CNTL", 0xbd0, {
		{"MULTI_CHIP_TILE_SIZE", 0x18, 0x3},
		{"LOG2_NUM_CHIPS", 0x7, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_23", 0xc17, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"IH_VMID_1_LUT", 0xe01, {
		{"PASID", 0xffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_28", 0xc1c, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_29", 0xc1d, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC0_DOORBELL", 0x3512, {
		{"ENABLE", 0x10000000, 0x1c},
		{"CAPTURED", 0x40000000, 0x1e},
		{"OFFSET", 0x1fffff, 0x0}
	} },
	{"ACP_CONFIG", 0xf95, {
		{"ACP_REQ_TRAN", 0x10000, 0x10},
		{"ACP_RDREQ_URG", 0xf00, 0x8}
	} },
	{"SDMA1_RLC1_DOORBELL", 0x3792, {
		{"ENABLE", 0x10000000, 0x1c},
		{"CAPTURED", 0x40000000, 0x1e},
		{"OFFSET", 0x1fffff, 0x0}
	} },
	{"SDMA0_RLC1_IB_BASE_HI", 0x358e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA0_GFX_IB_CNTL", 0x348a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"SRBM_PERFCOUNTER0_SELECT", 0x7c01, {
		{"PERF_SEL", 0x3f, 0x0}
	} },
	{"IH_DSM_MATCH_VALUE_BIT_95_64", 0xe3f, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_PREEMPT", 0x36b0, {
		{"IB_PREEMPT", 0x1, 0x0}
	} },
	{"SDMA1_GFX_RB_RPTR_ADDR_HI", 0x3688, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SEM_MAILBOX_CLIENTCONFIG_EXTRA", 0xf9f, {
		{"VCE1_CLIENT0", 0x1f, 0x0}
	} },
	{"SDMA0_GFX_IB_SUB_REMAIN", 0x34af, {
		{"SIZE", 0x3fff, 0x0}
	} },
	{"SRBM_ISP_CLKEN_CNTL", 0x3b9, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"SRBM_FIREWALL_ERROR_SRC", 0x3ab, {
		{"RAERR_FIREWALL_VIOLATION", 0x1000000, 0x18},
		{"RAERR_HAR_REGIONSIZE_OVERFLOW", 0x2000000, 0x19},
		{"ACCESS_REQUESTER_SMU", 0x2000, 0xd},
		{"ACCESS_REQUESTER_SMUHYP", 0x80000, 0x13},
		{"ACCESS_REQUESTER_VCE1", 0x20000, 0x11},
		{"ACCESS_REQUESTER_VCE0", 0x800, 0xb},
		{"ACCESS_REQUESTER_SAMMSP", 0x8, 0x3},
		{"ACCESS_REQUESTER_ISP", 0x10000, 0x10},
		{"ACCESS_REQUESTER_GRBM", 0x1000, 0xc},
		{"RAERR_BIF_ADDR_OVERFLOW", 0x4000000, 0x1a},
		{"ACCESS_REQUESTER_BIFHYP", 0x100000, 0x14},
		{"ACCESS_REQUESTER_SAMSCP", 0x4, 0x2},
		{"ACCESS_REQUESTER_ACP", 0x2, 0x1},
		{"ACCESS_REQUESTER_PEER", 0x4000, 0xe},
		{"ACCESS_REQUESTER_UVD", 0x400, 0xa},
		{"RAERR_P2SRP_FIREWALL_VIOLATION", 0x10000000, 0x1c},
		{"ACCESS_REQUESTER_BIF", 0x1, 0x0},
		{"ACCESS_REQUESTER_CPU", 0x8000, 0xf},
		{"ACCESS_REQUESTER_RLCHYP", 0x40000, 0x12},
		{"RAERR_P2SRP_REGIONSIZE_OVERFLOW", 0x8000000, 0x1b},
		{"ACCESS_REQUESTER_SDMA3", 0x40, 0x6},
		{"ACCESS_REQUESTER_SDMA2", 0x80, 0x7},
		{"ACCESS_REQUESTER_SDMA1", 0x100, 0x8},
		{"ACCESS_REQUESTER_SDMA0", 0x200, 0x9},
		{"ACCESS_REQUESTER_TST", 0x20, 0x5}
	} },
	{"SDMA0_GFX_RB_BASE", 0x3481, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SEM_STATUS", 0xf99, {
		{"CPG1_MAILBOX_PENDING", 0x1000, 0xc},
		{"CPG2_MAILBOX_PENDING", 0x2000, 0xd},
		{"SDMA1_MAILBOX_PENDING", 0x200, 0x9},
		{"SDMA0_MAILBOX_PENDING", 0x100, 0x8},
		{"MC_WRREQ_PENDING", 0x80, 0x7},
		{"UVD_MAILBOX_PENDING", 0x400, 0xa},
		{"VCE1_MAILBOX_PENDING", 0x4000, 0xe},
		{"VCE_MAILBOX_PENDING", 0x800, 0xb},
		{"MC_WRREQ_FIFO_FULL", 0x8, 0x3},
		{"SEM_INTERNAL_IDLE", 0x2, 0x1},
		{"SEM_IDLE", 0x1, 0x0},
		{"MC_RDREQ_PENDING", 0x40, 0x6},
		{"WRITE1_FIFO_FULL", 0x10, 0x4},
		{"MC_RDREQ_FIFO_FULL", 0x4, 0x2},
		{"CHECK0_FIFO_FULL", 0x20, 0x5}
	} },
	{"SDMA1_GFX_RB_CNTL", 0x3680, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} },
	{"SDMA0_RLC1_IB_OFFSET", 0x358c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_RLC0_CONTEXT_STATUS", 0x3511, {
		{"EXPIRE_CTXSW", 0x2, 0x1},
		{"EXCEPTION", 0x70, 0x4},
		{"PREEMPTED", 0x200, 0x9},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"PREEMPT_DISABLE", 0x400, 0xa},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"SDMA0_RLC1_IB_RPTR", 0x358b, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA1_STATUS2_REG", 0x361e, {
		{"CMD_OP", 0xffff0000, 0x10},
		{"F32_INSTR_PTR", 0xfffc, 0x2},
		{"ID", 0x3, 0x0}
	} },
	{"HDP_XDP_D2H_FLUSH", 0xc01, {
		{"D2H_FLUSH_FLUSH_NUM", 0xf, 0x0},
		{"D2H_FLUSH_SEND_SIDE", 0x20000, 0x11},
		{"D2H_FLUSH_MBX_ADDR_SEL", 0x700, 0x8},
		{"D2H_FLUSH_SEND_HOST", 0x10000, 0x10},
		{"D2H_FLUSH_XPB_CLG", 0xf800, 0xb},
		{"D2H_FLUSH_ALTER_FLUSH_NUM", 0x40000, 0x12},
		{"D2H_FLUSH_RSVD_0", 0x80000, 0x13},
		{"D2H_FLUSH_RSVD_1", 0x100000, 0x14},
		{"D2H_FLUSH_MBX_ENC_DATA", 0xf0, 0x4}
	} },
	{"SDMA0_PHASE1_QUANTUM", 0x3415, {
		{"PREFER", 0x40000000, 0x1e},
		{"VALUE", 0xffff00, 0x8},
		{"UNIT", 0xf, 0x0}
	} },
	{"SDMA1_CHICKEN_BITS", 0x3605, {
		{"CE_LFIFO_WATERMARK", 0xc0000000, 0x1e},
		{"COPY_EFFICIENCY_ENABLE", 0x1, 0x0},
		{"CE_AFIFO_WATERMARK", 0xc000000, 0x1a},
		{"CE_DFIFO_WATERMARK", 0x30000000, 0x1c},
		{"CG_STATUS_OUTPUT", 0x800000, 0x17},
		{"STALL_ON_NO_FREE_DATA_BUFFER_ENABLE", 0x4, 0x2},
		{"SRBM_POLL_RETRYING", 0x100000, 0x14},
		{"COPY_OVERLAP_ENABLE", 0x10000, 0x10},
		{"STALL_ON_TRANS_FULL_ENABLE", 0x2, 0x1}
	} },
	{"SDMA1_F32_CNTL", 0x3612, {
		{"STEP", 0x2, 0x1},
		{"DBG_SELECT_BITS", 0xfc, 0x2},
		{"HALT", 0x1, 0x0}
	} },
	{"SDMA1_PERFCOUNTER1_RESULT", 0x9012, {
		{"PERF_COUNT", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC0_IB_BASE_LO", 0x350d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"SDMA1_RLC1_RB_RPTR_ADDR_LO", 0x3789, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC0_IB_OFFSET", 0x370c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"HDP_DEBUG0", 0xbcc, {

	} },
	{"HDP_DEBUG1", 0xbcd, {

	} },
	{"SDMA0_RLC1_CSA_ADDR_HI", 0x35ad, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"IH_VMID_15_LUT", 0xe0f, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA1_GFX_WATERMARK", 0x36aa, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"SDMA0_RLC0_RB_WPTR_POLL_ADDR_LO", 0x3507, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA0_RB_RPTR_FETCH", 0x340a, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_PROGRAM", 0x360c, {
		{"STREAM", 0xffffffff, 0x0}
	} },
	{"HDP_LAST_SURFACE_HIT", 0xbce, {
		{"LAST_SURFACE_HIT", 0x3f, 0x0}
	} },
	{"SDMA0_CNTL", 0x3404, {
		{"AUTO_CTXSW_ENABLE", 0x40000, 0x12},
		{"CTXEMPTY_INT_ENABLE", 0x10000000, 0x1c},
		{"FENCE_SWAP_ENABLE", 0x10, 0x4},
		{"IB_PREEMPT_INT_ENABLE", 0x40000000, 0x1e},
		{"FROZEN_INT_ENABLE", 0x20000000, 0x1d},
		{"SEM_WAIT_INT_ENABLE", 0x4, 0x2},
		{"DATA_SWAP_ENABLE", 0x8, 0x3},
		{"TRAP_ENABLE", 0x1, 0x0},
		{"MC_WRREQ_CREDIT", 0x1f800, 0xb},
		{"MC_RDREQ_CREDIT", 0xfc00000, 0x16}
	} },
	{"SEM_CHICKEN_BITS", 0xf9e, {
		{"ENTRY_PIPELINE_EN", 0x2, 0x1},
		{"IDLE_COUNTER_INDEX", 0xf00, 0x8},
		{"ECC_BEHAVIOR", 0x18, 0x3},
		{"VMID_PIPELINE_EN", 0x1, 0x0},
		{"CHECK_COUNTER_EN", 0x4, 0x2}
	} },
	{"HDP_XDP_D2H_RSVD_22", 0xc16, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC1_IB_SUB_REMAIN", 0x35af, {
		{"SIZE", 0x3fff, 0x0}
	} },
	{"SDMA0_GFX_WATERMARK", 0x34aa, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"SDMA1_RLC0_IB_SUB_REMAIN", 0x372f, {
		{"SIZE", 0x3fff, 0x0}
	} },
	{"SDMA0_TILING_CONFIG", 0x3406, {
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4}
	} },
	{"SDMA1_RLC0_RB_WPTR_POLL_ADDR_LO", 0x3707, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SRBM_SAM_CLKEN_CNTL", 0x3b8, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"SDMA0_RLC1_IB_CNTL", 0x358a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"SDMA1_RLC0_IB_SIZE", 0x370f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"IH_STATUS", 0xe38, {
		{"RB_IDLE", 0x4, 0x2},
		{"MC_WR_IDLE", 0x40, 0x6},
		{"RB_FULL_DRAIN", 0x10, 0x4},
		{"RB_OVERFLOW", 0x20, 0x5},
		{"RB_FULL", 0x8, 0x3},
		{"MC_WR_STALL", 0x80, 0x7},
		{"INPUT_IDLE", 0x2, 0x1},
		{"MC_WR_CLEAN_STALL", 0x200, 0x9},
		{"IDLE", 0x1, 0x0},
		{"BIF_INTERRUPT_LINE", 0x400, 0xa},
		{"MC_WR_CLEAN_PENDING", 0x100, 0x8}
	} },
	{"HDP_XDP_P2P_BAR_CFG", 0xc24, {
		{"P2P_BAR_CFG_BAR_FROM", 0x30, 0x4},
		{"P2P_BAR_CFG_ADDR_SIZE", 0xf, 0x0}
	} },
	{"SDMA0_RLC0_RB_RPTR_ADDR_HI", 0x3508, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SRBM_GFX_CNTL", 0x391, {
		{"QUEUEID", 0x700, 0x8},
		{"VMID", 0xf0, 0x4},
		{"PIPEID", 0x3, 0x0},
		{"MEID", 0xc, 0x2}
	} },
	{"HDP_XDP_HDP_MC_CFG", 0xc2e, {
		{"HDP_MC_CFG_HST_TAP_WRREQ_VMID", 0x7800000, 0x17},
		{"HDP_MC_CFG_MC_STALL_ON_BUF_FULL_MASK", 0x700000, 0x14},
		{"HDP_MC_CFG_XL8R_WRREQ_CRD_OVERRIDE", 0x3f00, 0x8},
		{"HDP_MC_CFG_SID_TAP_WRREQ_PRIV", 0x10, 0x4},
		{"HDP_MC_CFG_HST_TAP_WRREQ_SWAP", 0x6, 0x1},
		{"HDP_MC_CFG_HST_TAP_WRREQ_PRIV", 0x1, 0x0},
		{"HDP_MC_CFG_HST_TAP_WRREQ_TRAN", 0x8, 0x3},
		{"HDP_MC_CFG_XDP_HIGHER_PRI_THRESH", 0xfc000, 0xe},
		{"HDP_MC_CFG_SID_TAP_WRREQ_VMID", 0x78000000, 0x1b},
		{"HDP_MC_CFG_SID_TAP_WRREQ_TRAN", 0x80, 0x7},
		{"HDP_MC_CFG_SID_TAP_WRREQ_SWAP", 0x60, 0x5}
	} },
	{"SDMA0_RLC0_IB_SIZE", 0x350f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"SRBM_MC_CLKEN_CNTL", 0x3b3, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"SDMA_POWER_GATING", 0x3416, {
		{"SDMA0_ON_CONDITION", 0x40, 0x6},
		{"SDMA1_ON_CONDITION", 0x80, 0x7},
		{"POWER_OFF_DELAY", 0xfff00, 0x8},
		{"POWER_ON_DELAY", 0xfff00000, 0x14},
		{"PG_STATE_VALID", 0x4, 0x2},
		{"PG_CNTL_ENABLE", 0x1, 0x0},
		{"PG_CNTL_STATUS", 0x30, 0x4},
		{"AUTOMATIC_STATUS_ENABLE", 0x2, 0x1}
	} },
	{"SDMA0_EDC_CONFIG", 0x341a, {
		{"ECC_INT_ENABLE", 0x4, 0x2},
		{"DIS_EDC", 0x2, 0x1}
	} },
	{"SDMA0_POWER_CNTL", 0x3402, {
		{"MEM_POWER_OVERRIDE", 0x100, 0x8}
	} },
	{"SDMA0_VERSION", 0x341d, {
		{"VALUE", 0xffff, 0x0}
	} },
	{"SDMA1_GFX_IB_SUB_REMAIN", 0x36af, {
		{"SIZE", 0x3fff, 0x0}
	} },
	{"SDMA0_RLC0_DOORBELL_LOG", 0x3529, {
		{"DATA", 0xfffffffc, 0x2},
		{"BE_ERROR", 0x1, 0x0}
	} },
	{"SDMA0_RLC0_RB_BASE_HI", 0x3502, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"SDMA1_RLC1_IB_CNTL", 0x378a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"HDP_NONSURFACE_BASE", 0xb01, {
		{"NONSURF_BASE", 0xffffffff, 0x0}
	} },
	{"SDMA_PGFSM_WRITE", 0x3418, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"SRBM_INT_ACK", 0x3aa, {
		{"RDERR_INT_ACK", 0x1, 0x0},
		{"RAERR_INT_ACK", 0x2, 0x1}
	} },
	{"SRBM_VCE_DOMAIN_ADDR0", 0xfa18, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SRBM_VCE_DOMAIN_ADDR2", 0xfa1a, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SDMA0_RLC1_RB_WPTR_POLL_CNTL", 0x3585, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"IH_VMID_11_LUT", 0xe0b, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SRBM_DEBUG_CNTL", 0x399, {
		{"SRBM_DEBUG_INDEX", 0x3f, 0x0}
	} },
	{"SDMA1_RLC0_RB_RPTR", 0x3703, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC0_RB_RPTR_ADDR_LO", 0x3709, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA1_GFX_RB_RPTR", 0x3683, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA0_RLC0_IB_BASE_HI", 0x350e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"IH_DSM_MATCH_FIELD_CONTROL", 0xe40, {
		{"RINGID_EN", 0x8, 0x3},
		{"VMID_EN", 0x10, 0x4},
		{"SRC_EN", 0x1, 0x0},
		{"TIMESTAMP_EN", 0x4, 0x2},
		{"PASID_EN", 0x20, 0x5}
	} },
	{"SDMA1_GFX_RB_WPTR_POLL_CNTL", 0x3685, {
		{"FREQUENCY", 0xfff0, 0x4},
		{"SWAP_ENABLE", 0x2, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10}
	} },
	{"SDMA0_RLC1_CSA_ADDR_LO", 0x35ac, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SRBM_STATUS", 0x394, {
		{"ACP_BUSY", 0x10000, 0x10},
		{"OSATCL2_BUSY", 0x400000, 0x16},
		{"ACP_RQ_PENDING", 0x8, 0x3},
		{"MCC_BUSY", 0x800, 0xb},
		{"HI_RQ_PENDING", 0x40, 0x6},
		{"SEM_BUSY", 0x4000, 0xe},
		{"VMC1_BUSY", 0x2000, 0xd},
		{"VMC_BUSY", 0x100, 0x8},
		{"GRBM_RQ_PENDING", 0x20, 0x5},
		{"SAMMSP_RQ_PENDING", 0x4, 0x2},
		{"SMU_RQ_PENDING", 0x10, 0x4},
		{"MCB_BUSY", 0x200, 0x9},
		{"SAMMSP_BUSY", 0x100000, 0x14},
		{"MCD_BUSY", 0x1000, 0xc},
		{"UVD_BUSY", 0x80000, 0x13},
		{"MCB_NON_DISPLAY_BUSY", 0x400, 0xa},
		{"BIF_BUSY", 0x20000000, 0x1d},
		{"IH_BUSY", 0x20000, 0x11},
		{"GCATCL2_BUSY", 0x200000, 0x15},
		{"UVD_RQ_PENDING", 0x2, 0x1}
	} },
	{"HDP_XDP_P2P_MBX_ADDR6", 0xc2c, {
		{"ADDR_39_36", 0x1e00000, 0x15},
		{"VALID", 0x1, 0x0},
		{"ADDR", 0x1ffffe, 0x1}
	} },
	{"SDMA1_RLC1_IB_OFFSET", 0x378c, {
		{"OFFSET", 0x3ffffc, 0x2}
	} },
	{"SDMA0_BA_THRESHOLD", 0x341b, {
		{"READ_THRES", 0x3ff, 0x0},
		{"WRITE_THRES", 0x3ff0000, 0x10}
	} },
	{"HDP_TILING_CONFIG", 0xbcf, {
		{"PIPE_TILING", 0xe, 0x1},
		{"GROUP_SIZE", 0xc0, 0x6},
		{"BANK_TILING", 0x30, 0x4},
		{"BANK_SWAPS", 0x3800, 0xb},
		{"ROW_TILING", 0x700, 0x8},
		{"SAMPLE_SPLIT", 0xc000, 0xe}
	} },
	{"HDP_XDP_D2H_RSVD_5", 0xc05, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC0_IB_BASE_HI", 0x370e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_4", 0xc04, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"IH_DSM_MATCH_DATA_CONTROL", 0xe41, {
		{"VALUE", 0xfffffff, 0x0}
	} },
	{"SDMA1_RLC1_RB_RPTR_ADDR_HI", 0x3788, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_7", 0xc07, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_UCODE_DATA", 0x3601, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC1_DOORBELL_LOG", 0x37a9, {
		{"DATA", 0xfffffffc, 0x2},
		{"BE_ERROR", 0x1, 0x0}
	} },
	{"SRBM_SDMA_CLKEN_CNTL", 0x3b7, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"SDMA1_RLC1_CSA_ADDR_LO", 0x37ac, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"IH_DSM_MATCH_VALUE_BIT_63_32", 0xe3e, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"SDMA0_RLC0_RB_RPTR_ADDR_LO", 0x3509, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SRBM_PERFCOUNTER1_HI", 0x7c06, {
		{"PERF_COUNT1_HI", 0xffffffff, 0x0}
	} },
	{"SRBM_DEBUG_SNAPSHOT2", 0x3ad, {
		{"VCE1_RDY", 0x1, 0x0}
	} },
	{"SDMA0_GFX_CONTEXT_CNTL", 0x3493, {
		{"RESUME_CTX", 0x10000, 0x10},
		{"SESSION_SEL", 0xf000000, 0x18}
	} },
	{"SDMA1_RLC0_SKIP_CNTL", 0x3710, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"HDP_HOST_PATH_CNTL", 0xb00, {
		{"ALL_SURFACES_DIS", 0x20000000, 0x1d},
		{"WRITE_THROUGH_CACHE_DIS", 0x40000000, 0x1e},
		{"BIF_RDRET_CREDIT", 0x7, 0x0},
		{"CACHE_INVALIDATE", 0x400000, 0x16},
		{"LIN_RD_CACHE_DIS", 0x80000000, 0x1f},
		{"CLOCK_GATING_DIS", 0x800000, 0x17},
		{"MC_WRREQ_CREDIT", 0x1f8, 0x3},
		{"WR_STALL_TIMER", 0x600, 0x9},
		{"WRITE_COMBINE_TIMER", 0x180000, 0x13},
		{"RD_STALL_TIMER", 0x1800, 0xb},
		{"WRITE_COMBINE_EN", 0x200000, 0x15},
		{"REG_CLK_ENABLE_COUNT", 0xf000000, 0x18}
	} },
	{"SDMA1_STATUS1_REG", 0x360e, {
		{"CE_INFO1_FULL", 0x4000, 0xe},
		{"CE_RREQ_IDLE", 0x8, 0x3},
		{"CE_WR_IDLE", 0x2, 0x1},
		{"CE_INFO_FULL", 0x2000, 0xd},
		{"CE_CMD_IDLE", 0x200, 0x9},
		{"CE_WR_STALL", 0x40000, 0x12},
		{"CE_DST_IDLE", 0x40, 0x6},
		{"CE_WREQ_IDLE", 0x1, 0x0},
		{"CE_RD_STALL", 0x20000, 0x11},
		{"CE_AFIFO_FULL", 0x400, 0xa},
		{"CE_OUT_IDLE", 0x10, 0x4},
		{"CE_IN_IDLE", 0x20, 0x5},
		{"CE_SPLIT_IDLE", 0x4, 0x2}
	} },
	{"SRBM_FIREWALL_ERROR_ADDR", 0x3ac, {
		{"ACCESS_ADDRESS", 0x3fffc, 0x2},
		{"FIREWALL_VIOLATION", 0x80000000, 0x1f},
		{"ACCESS_VF", 0x80000, 0x13},
		{"ACCESS_VFID", 0xf00000, 0x14}
	} },
	{"IH_VMID_7_LUT", 0xe07, {
		{"PASID", 0xffff, 0x0}
	} },
	{"HDP_XDP_BUSY_STS", 0xc3e, {
		{"BUSY_BITS", 0x3ffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_19", 0xc13, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_18", 0xc12, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_DIRECT2HDP_FIRST", 0xc00, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_VERSION", 0x361d, {
		{"VALUE", 0xffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_11", 0xc0b, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_10", 0xc0a, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_13", 0xc0d, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA_CONFIG", 0xf91, {
		{"SDMA_REQ_TRAN", 0x10000, 0x10},
		{"SDMA_RDREQ_URG", 0xf00, 0x8}
	} },
	{"HDP_XDP_D2H_RSVD_15", 0xc0f, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_14", 0xc0e, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_17", 0xc11, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_D2H_RSVD_16", 0xc10, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC0_IB_CNTL", 0x370a, {
		{"IB_ENABLE", 0x1, 0x0},
		{"CMD_VMID", 0xf0000, 0x10},
		{"SWITCH_INSIDE_IB", 0x100, 0x8},
		{"IB_SWAP_ENABLE", 0x10, 0x4}
	} },
	{"SDMA1_SEM_WAIT_FAIL_TIMER_CNTL", 0x3609, {
		{"TIMER", 0xffffffff, 0x0}
	} },
	{"GC_USER_SYS_RB_BACKEND_DISABLE", 0x3a1, {
		{"BACKEND_DISABLE", 0xff0000, 0x10}
	} },
	{"SDMA0_GFX_SKIP_CNTL", 0x3490, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"SDMA1_RLC0_VIRTUAL_ADDR", 0x3727, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"SDMA1_ID", 0x361c, {
		{"DEVICE_ID", 0xff, 0x0}
	} },
	{"SRBM_SAM_DOMAIN_ADDR0", 0xfa1c, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"SDMA0_RLC1_SKIP_CNTL", 0x3590, {
		{"SKIP_COUNT", 0x3fff, 0x0}
	} },
	{"SRBM_SAM_DOMAIN_ADDR1", 0xfa1d, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"CPC2_CONFIG", 0xf98, {
		{"CPC2_REQ_TRAN", 0x10000, 0x10},
		{"CPC2_RDREQ_URG", 0xf00, 0x8}
	} },
	{"SDMA0_RLC0_RB_BASE", 0x3501, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA0_GFX_VIRTUAL_ADDR", 0x34a7, {
		{"SHARED_BASE", 0x700, 0x8},
		{"VM_HOLE", 0x40000000, 0x1e},
		{"PTR32", 0x10, 0x4},
		{"ATC", 0x1, 0x0}
	} },
	{"IH_VMID_2_LUT", 0xe02, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA0_RLC0_IB_SUB_REMAIN", 0x352f, {
		{"SIZE", 0x3fff, 0x0}
	} },
	{"CC_SYS_RB_REDUNDANCY", 0x39f, {
		{"FAILED_RB0", 0xf00, 0x8},
		{"EN_REDUNDANCY0", 0x1000, 0xc},
		{"EN_REDUNDANCY1", 0x100000, 0x14},
		{"FAILED_RB1", 0xf0000, 0x10}
	} },
	{"SDMA0_UCODE_ADDR", 0x3400, {
		{"VALUE", 0xfff, 0x0}
	} },
	{"IH_VMID_0_LUT", 0xe00, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA0_GFX_DUMMY_REG", 0x34ae, {
		{"DUMMY", 0xffffffff, 0x0}
	} },
	{"SDMA0_GFX_CONTEXT_STATUS", 0x3491, {
		{"EXPIRE_CTXSW", 0x2, 0x1},
		{"EXCEPTION", 0x70, 0x4},
		{"PREEMPTED", 0x200, 0x9},
		{"SELECTED", 0x1, 0x0},
		{"IDLE", 0x4, 0x2},
		{"CTXSW_ABLE", 0x80, 0x7},
		{"PREEMPT_DISABLE", 0x400, 0xa},
		{"EXPIRED", 0x8, 0x3},
		{"CTXSW_READY", 0x100, 0x8}
	} },
	{"HDP_XDP_BARS_ADDR_39_36", 0xc44, {
		{"BAR6_ADDR_39_36", 0xf000000, 0x18},
		{"BAR2_ADDR_39_36", 0xf00, 0x8},
		{"BAR7_ADDR_39_36", 0xf0000000, 0x1c},
		{"BAR4_ADDR_39_36", 0xf0000, 0x10},
		{"BAR1_ADDR_39_36", 0xf0, 0x4},
		{"BAR0_ADDR_39_36", 0xf, 0x0},
		{"BAR5_ADDR_39_36", 0xf00000, 0x14},
		{"BAR3_ADDR_39_36", 0xf000, 0xc}
	} },
	{"SDMA1_GFX_CSA_ADDR_LO", 0x36ac, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC1_RB_BASE", 0x3781, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_FLUSH_ARMED_STS", 0xc3c, {
		{"FLUSH_ARMED_STS", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_RB_BASE_HI", 0x3682, {
		{"ADDR", 0xffffff, 0x0}
	} },
	{"SDMA0_RLC1_DOORBELL_LOG", 0x35a9, {
		{"DATA", 0xfffffffc, 0x2},
		{"BE_ERROR", 0x1, 0x0}
	} },
	{"SDMA0_GFX_IB_BASE_HI", 0x348e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA1_GFX_RB_WPTR", 0x3684, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC0_IB_BASE_LO", 0x370d, {
		{"ADDR", 0xffffffe0, 0x5}
	} },
	{"HDP_XDP_DBG_DATA", 0xc42, {
		{"CTRL", 0xffff0000, 0x10},
		{"STS", 0xffff, 0x0}
	} },
	{"SDMA_PGFSM_READ", 0x3419, {
		{"VALUE", 0xffffff, 0x0}
	} },
	{"SDMA0_RLC1_RB_BASE", 0x3581, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"HDP_MEMIO_WR_DATA", 0xbf9, {
		{"MEMIO_WR_DATA", 0xffffffff, 0x0}
	} },
	{"SDMA1_RLC0_DOORBELL_LOG", 0x3729, {
		{"DATA", 0xfffffffc, 0x2},
		{"BE_ERROR", 0x1, 0x0}
	} },
	{"HDP_XDP_DBG_MASK", 0xc43, {
		{"CTRL", 0xffff0000, 0x10},
		{"STS", 0xffff, 0x0}
	} },
	{"SDMA1_GFX_DUMMY_REG", 0x36ae, {
		{"DUMMY", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_HDP_IPH_CFG", 0xc31, {
		{"HDP_IPH_CFG_SYS_FIFO_DEPTH_OVERRIDE", 0x3f, 0x0},
		{"HDP_IPH_CFG_P2P_RD_EN", 0x2000, 0xd},
		{"HDP_IPH_CFG_XDP_FIFO_DEPTH_OVERRIDE", 0xfc0, 0x6},
		{"HDP_IPH_CFG_INVERSE_PEER_TAG_MATCHING", 0x1000, 0xc}
	} },
	{"SDMA1_RLC1_CSA_ADDR_HI", 0x37ad, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"HDP_XDP_CGTT_BLK_CTRL", 0xc33, {
		{"CGTT_BLK_CTRL_3_SOFT_CORE_OVERRIDE", 0x40000000, 0x1e},
		{"CGTT_BLK_CTRL_4_SOFT_REG_OVERRIDE", 0x80000000, 0x1f},
		{"CGTT_BLK_CTRL_2_RSVD", 0x3ffff000, 0xc},
		{"CGTT_BLK_CTRL_0_ON_DELAY", 0xf, 0x0},
		{"CGTT_BLK_CTRL_1_OFF_DELAY", 0xff0, 0x4}
	} },
	{"SDMA1_RLC0_WATERMARK", 0x372a, {
		{"WR_OUTSTANDING", 0x1ff0000, 0x10},
		{"RD_OUTSTANDING", 0xfff, 0x0}
	} },
	{"SDMA0_RLC0_RB_WPTR", 0x3504, {
		{"OFFSET", 0xfffffffc, 0x2}
	} },
	{"SDMA1_RLC1_IB_SIZE", 0x378f, {
		{"SIZE", 0xfffff, 0x0}
	} },
	{"SRBM_SAM_DOMAIN_ADDR2", 0xfa1e, {
		{"ADDR_LO", 0xffff, 0x0},
		{"ADDR_HI", 0xffff0000, 0x10}
	} },
	{"IH_RB_WPTR_ADDR_HI", 0xe34, {
		{"ADDR", 0xff, 0x0}
	} },
	{"SDMA1_GFX_RB_WPTR_POLL_ADDR_HI", 0x3686, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"SDMA0_CHICKEN_BITS", 0x3405, {
		{"CE_LFIFO_WATERMARK", 0xc0000000, 0x1e},
		{"COPY_EFFICIENCY_ENABLE", 0x1, 0x0},
		{"CE_AFIFO_WATERMARK", 0xc000000, 0x1a},
		{"CE_DFIFO_WATERMARK", 0x30000000, 0x1c},
		{"CG_STATUS_OUTPUT", 0x800000, 0x17},
		{"STALL_ON_NO_FREE_DATA_BUFFER_ENABLE", 0x4, 0x2},
		{"SRBM_POLL_RETRYING", 0x100000, 0x14},
		{"COPY_OVERLAP_ENABLE", 0x10000, 0x10},
		{"STALL_ON_TRANS_FULL_ENABLE", 0x2, 0x1}
	} },
	{"SRBM_VF_ENABLE", 0xfa30, {
		{"VF_ENABLE", 0x1, 0x0}
	} },
	{"IH_VMID_12_LUT", 0xe0c, {
		{"PASID", 0xffff, 0x0}
	} },
	{"SDMA1_RLC0_DOORBELL", 0x3712, {
		{"ENABLE", 0x10000000, 0x1c},
		{"CAPTURED", 0x40000000, 0x1e},
		{"OFFSET", 0x1fffff, 0x0}
	} },
	{"SDMA0_GFX_RB_CNTL", 0x3480, {
		{"RB_SWAP_ENABLE", 0x200, 0x9},
		{"RB_VMID", 0xf000000, 0x18},
		{"RPTR_WRITEBACK_SWAP_ENABLE", 0x2000, 0xd},
		{"RB_SIZE", 0x3e, 0x1},
		{"RPTR_WRITEBACK_ENABLE", 0x1000, 0xc},
		{"RB_PRIV", 0x800000, 0x17},
		{"RB_ENABLE", 0x1, 0x0},
		{"RPTR_WRITEBACK_TIMER", 0x1f0000, 0x10}
	} }
};

}; // namespace amdregdb
