/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_smu_smu_6_0();

static const RegSpec smu_smu_6_0_regs[] = {
	{"LCAC_MC4_OVR_VAL", 0x012A, {
		{"MC4_OVR_VAL", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON1_RDIR4_DATA", 0x0334, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIL15_DATA", 0x032F, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIL7_DATA", 0x0327, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL8_DATA", 0x0308, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL11_DATA", 0x030B, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR9_DATA", 0x0339, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR0_DATA", 0x0330, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"GPIOPAD_EXTERN_TRIG_CNTL", 0x05F1, {
		{"EXTERN_TRIG_READ", 0x00000040L, 0x00000006},
		{"EXTERN_TRIG_CLR", 0x00000020L, 0x00000005},
		{"EXTERN_TRIG_SEL", 0x0000001fL, 0x00000000}
	} },
	{"THM_TMON0_RDIR13_DATA", 0x031D, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIR6_DATA", 0x0316, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR1_DATA", 0x0331, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"GPIOPAD_INT_STAT", 0x05EC, {
		{"SW_INITIATED_INT_STAT", 0x80000000L, 0x0000001f},
		{"GPIO_INT_STAT", 0x1fffffffL, 0x00000000}
	} },
	{"LCAC_MC0_CNTL", 0x011C, {
		{"MC0_THRESHOLD", 0x0001fffeL, 0x00000001},
		{"MC0_ENABLE", 0x00000001L, 0x00000000}
	} },
	{"SMC_MESSAGE_2", 0x008F, {
		{"SMC_MSG", 0xffffffffL, 0x00000000}
	} },
	{"SMC_MESSAGE_1", 0x008D, {
		{"SMC_MSG", 0xffffffffL, 0x00000000}
	} },
	{"SMC_MESSAGE_0", 0x008B, {
		{"SMC_MSG", 0xffffffffL, 0x00000000}
	} },
	{"SMC_IND_DATA_1", 0x0083, {
		{"SMC_IND_DATA", 0xffffffffL, 0x00000000}
	} },
	{"LCAC_MC0_OVR_SEL", 0x011D, {
		{"MC0_OVR_SEL", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON1_RDIL2_DATA", 0x0322, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"GPIOPAD_RCVR_SEL", 0x05F2, {
		{"GPIO_RCVR_SEL", 0x7fffffffL, 0x00000000}
	} },
	{"GPIOPAD_STRENGTH", 0x05E5, {
		{"GPIO_STRENGTH_SP", 0x000000f0L, 0x00000004},
		{"GPIO_STRENGTH_SN", 0x0000000fL, 0x00000000}
	} },
	{"THM_TMON0_RDIL3_DATA", 0x0303, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"GPIOPAD_EN", 0x05E8, {
		{"GPIO_EN", 0x7fffffffL, 0x00000000}
	} },
	{"THM_TMON1_RDIL6_DATA", 0x0326, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"SMC_IND_ACCESS_CNTL", 0x008A, {
		{"AUTO_INCREMENT_IND_0", 0x00000001L, 0x00000000},
		{"AUTO_INCREMENT_IND_1", 0x00000100L, 0x00000008},
		{"AUTO_INCREMENT_IND_2", 0x00010000L, 0x00000010},
		{"AUTO_INCREMENT_IND_3", 0x01000000L, 0x00000018}
	} },
	{"GPIOPAD_INT_STAT_EN", 0x05EB, {
		{"GPIO_INT_STAT_EN", 0x1fffffffL, 0x00000000},
		{"SW_INITIATED_INT_STAT_EN", 0x80000000L, 0x0000001f}
	} },
	{"SMC_IND_INDEX", 0x0080, {
		{"SMC_IND_ADDR", 0xffffffffL, 0x00000000}
	} },
	{"SMC_IND_DATA", 0x0081, {
		{"SMC_IND_DATA", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON1_RDIL14_DATA", 0x032E, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"LCAC_MC5_CNTL", 0x012B, {
		{"MC5_THRESHOLD", 0x0001fffeL, 0x00000001},
		{"MC5_ENABLE", 0x00000001L, 0x00000000}
	} },
	{"THM_TMON1_RDIR2_DATA", 0x0332, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"SMC_IND_INDEX_2", 0x0084, {
		{"SMC_IND_ADDR", 0xffffffffL, 0x00000000}
	} },
	{"SMC_IND_INDEX_3", 0x0086, {
		{"SMC_IND_ADDR", 0xffffffffL, 0x00000000}
	} },
	{"SMC_IND_INDEX_0", 0x0080, {
		{"SMC_IND_ADDR", 0xffffffffL, 0x00000000}
	} },
	{"SMC_PC_C", 0x80000370, {
		{"smc_pc_c", 0xffffffffL, 0x00000000}
	} },
	{"LCAC_MC1_OVR_SEL", 0x0120, {
		{"MC1_OVR_SEL", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON1_RDIL9_DATA", 0x0329, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL2_DATA", 0x0302, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR8_DATA", 0x0338, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIL11_DATA", 0x032B, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"LCAC_MC4_CNTL", 0x0128, {
		{"MC4_ENABLE", 0x00000001L, 0x00000000},
		{"MC4_THRESHOLD", 0x0001fffeL, 0x00000001}
	} },
	{"LCAC_MC2_CNTL", 0x0122, {
		{"MC2_ENABLE", 0x00000001L, 0x00000000},
		{"MC2_THRESHOLD", 0x0001fffeL, 0x00000001}
	} },
	{"THM_TMON0_RDIL15_DATA", 0x030F, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"SMC_IND_DATA_2", 0x0085, {
		{"SMC_IND_DATA", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON0_RDIR9_DATA", 0x0319, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIR2_DATA", 0x0312, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL9_DATA", 0x0309, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR12_DATA", 0x033C, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR14_DATA", 0x033E, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"SMC_IND_DATA_3", 0x0087, {
		{"SMC_IND_DATA", 0xffffffffL, 0x00000000}
	} },
	{"LCAC_MC2_OVR_VAL", 0x0124, {
		{"MC2_OVR_VAL", 0xffffffffL, 0x00000000}
	} },
	{"LCAC_MC3_OVR_VAL", 0x0127, {
		{"MC3_OVR_VAL", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON1_RDIL12_DATA", 0x032C, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIR14_DATA", 0x031E, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"SMC_IND_DATA_0", 0x0081, {
		{"SMC_IND_DATA", 0xffffffffL, 0x00000000}
	} },
	{"LCAC_MC4_OVR_SEL", 0x0129, {
		{"MC4_OVR_SEL", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON0_RDIR1_DATA", 0x0311, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"LCAC_MC5_OVR_SEL", 0x012C, {
		{"MC5_OVR_SEL", 0xffffffffL, 0x00000000}
	} },
	{"GPIOPAD_SW_INT_STAT", 0x05E4, {
		{"SW_INT_STAT", 0x00000001L, 0x00000000}
	} },
	{"LCAC_MC0_OVR_VAL", 0x011E, {
		{"MC0_OVR_VAL", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON0_RDIR5_DATA", 0x0315, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_DEBUG", 0x03F1, {
		{"DEBUG_Z", 0x0000ffe0L, 0x00000005},
		{"DEBUG_RDI", 0x0000001fL, 0x00000000}
	} },
	{"THM_TMON0_RDIL7_DATA", 0x0307, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"LCAC_MC2_OVR_SEL", 0x0123, {
		{"MC2_OVR_SEL", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON0_RDIR10_DATA", 0x031A, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIL10_DATA", 0x032A, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"GPIOPAD_INT_TYPE", 0x05EF, {
		{"SW_INITIATED_INT_TYPE", 0x80000000L, 0x0000001f},
		{"GPIO_INT_TYPE", 0x1fffffffL, 0x00000000}
	} },
	{"THM_TMON0_RDIR11_DATA", 0x031B, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"SMC_RESP_2", 0x0090, {
		{"SMC_RESP", 0xffffffffL, 0x00000000}
	} },
	{"SMC_RESP_1", 0x008E, {
		{"SMC_RESP", 0xffffffffL, 0x00000000}
	} },
	{"SMC_RESP_0", 0x008C, {
		{"SMC_RESP", 0xffffffffL, 0x00000000}
	} },
	{"LCAC_MC3_CNTL", 0x0125, {
		{"MC3_ENABLE", 0x00000001L, 0x00000000},
		{"MC3_THRESHOLD", 0x0001fffeL, 0x00000001}
	} },
	{"THM_TMON0_RDIR8_DATA", 0x0318, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR6_DATA", 0x0336, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIR3_DATA", 0x0313, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIL1_DATA", 0x0321, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR7_DATA", 0x0337, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"GPIOPAD_PINSTRAPS", 0x05EA, {
		{"GPIO_PINSTRAP_19", 0x00080000L, 0x00000013},
		{"GPIO_PINSTRAP_18", 0x00040000L, 0x00000012},
		{"GPIO_PINSTRAP_13", 0x00002000L, 0x0000000d},
		{"GPIO_PINSTRAP_12", 0x00001000L, 0x0000000c},
		{"GPIO_PINSTRAP_11", 0x00000800L, 0x0000000b},
		{"GPIO_PINSTRAP_10", 0x00000400L, 0x0000000a},
		{"GPIO_PINSTRAP_17", 0x00020000L, 0x00000011},
		{"GPIO_PINSTRAP_16", 0x00010000L, 0x00000010},
		{"GPIO_PINSTRAP_15", 0x00008000L, 0x0000000f},
		{"GPIO_PINSTRAP_14", 0x00004000L, 0x0000000e},
		{"GPIO_PINSTRAP_7", 0x00000080L, 0x00000007},
		{"GPIO_PINSTRAP_6", 0x00000040L, 0x00000006},
		{"GPIO_PINSTRAP_5", 0x00000020L, 0x00000005},
		{"GPIO_PINSTRAP_4", 0x00000010L, 0x00000004},
		{"GPIO_PINSTRAP_3", 0x00000008L, 0x00000003},
		{"GPIO_PINSTRAP_2", 0x00000004L, 0x00000002},
		{"GPIO_PINSTRAP_1", 0x00000002L, 0x00000001},
		{"GPIO_PINSTRAP_0", 0x00000001L, 0x00000000},
		{"GPIO_PINSTRAP_9", 0x00000200L, 0x00000009},
		{"GPIO_PINSTRAP_8", 0x00000100L, 0x00000008},
		{"GPIO_PINSTRAP_28", 0x10000000L, 0x0000001c},
		{"GPIO_PINSTRAP_29", 0x20000000L, 0x0000001d},
		{"GPIO_PINSTRAP_26", 0x04000000L, 0x0000001a},
		{"GPIO_PINSTRAP_27", 0x08000000L, 0x0000001b},
		{"GPIO_PINSTRAP_24", 0x01000000L, 0x00000018},
		{"GPIO_PINSTRAP_25", 0x02000000L, 0x00000019},
		{"GPIO_PINSTRAP_22", 0x00400000L, 0x00000016},
		{"GPIO_PINSTRAP_23", 0x00800000L, 0x00000017},
		{"GPIO_PINSTRAP_20", 0x00100000L, 0x00000014},
		{"GPIO_PINSTRAP_21", 0x00200000L, 0x00000015},
		{"GPIO_PINSTRAP_30", 0x40000000L, 0x0000001e}
	} },
	{"GPIOPAD_INT_STAT_AK", 0x05ED, {
		{"GPIO_INT_STAT_AK_18", 0x00040000L, 0x00000012},
		{"GPIO_INT_STAT_AK_19", 0x00080000L, 0x00000013},
		{"GPIO_INT_STAT_AK_16", 0x00010000L, 0x00000010},
		{"GPIO_INT_STAT_AK_17", 0x00020000L, 0x00000011},
		{"GPIO_INT_STAT_AK_14", 0x00004000L, 0x0000000e},
		{"GPIO_INT_STAT_AK_15", 0x00008000L, 0x0000000f},
		{"GPIO_INT_STAT_AK_12", 0x00001000L, 0x0000000c},
		{"GPIO_INT_STAT_AK_13", 0x00002000L, 0x0000000d},
		{"GPIO_INT_STAT_AK_10", 0x00000400L, 0x0000000a},
		{"GPIO_INT_STAT_AK_11", 0x00000800L, 0x0000000b},
		{"SW_INITIATED_INT_STAT_AK", 0x80000000L, 0x0000001f},
		{"GPIO_INT_STAT_AK_27", 0x08000000L, 0x0000001b},
		{"GPIO_INT_STAT_AK_26", 0x04000000L, 0x0000001a},
		{"GPIO_INT_STAT_AK_25", 0x02000000L, 0x00000019},
		{"GPIO_INT_STAT_AK_24", 0x01000000L, 0x00000018},
		{"GPIO_INT_STAT_AK_23", 0x00800000L, 0x00000017},
		{"GPIO_INT_STAT_AK_22", 0x00400000L, 0x00000016},
		{"GPIO_INT_STAT_AK_21", 0x00200000L, 0x00000015},
		{"GPIO_INT_STAT_AK_20", 0x00100000L, 0x00000014},
		{"GPIO_INT_STAT_AK_28", 0x10000000L, 0x0000001c},
		{"GPIO_INT_STAT_AK_8", 0x00000100L, 0x00000008},
		{"GPIO_INT_STAT_AK_9", 0x00000200L, 0x00000009},
		{"GPIO_INT_STAT_AK_4", 0x00000010L, 0x00000004},
		{"GPIO_INT_STAT_AK_5", 0x00000020L, 0x00000005},
		{"GPIO_INT_STAT_AK_6", 0x00000040L, 0x00000006},
		{"GPIO_INT_STAT_AK_7", 0x00000080L, 0x00000007},
		{"GPIO_INT_STAT_AK_0", 0x00000001L, 0x00000000},
		{"GPIO_INT_STAT_AK_1", 0x00000002L, 0x00000001},
		{"GPIO_INT_STAT_AK_2", 0x00000004L, 0x00000002},
		{"GPIO_INT_STAT_AK_3", 0x00000008L, 0x00000003}
	} },
	{"THM_TMON0_RDIR15_DATA", 0x031F, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"LCAC_MC1_CNTL", 0x011F, {
		{"MC1_THRESHOLD", 0x0001fffeL, 0x00000001},
		{"MC1_ENABLE", 0x00000001L, 0x00000000}
	} },
	{"THM_TMON1_RDIR15_DATA", 0x033F, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"GPIOPAD_PU_EN", 0x05F3, {
		{"GPIO_PU_EN", 0x7fffffffL, 0x00000000}
	} },
	{"GPIOPAD_INT_EN", 0x05EE, {
		{"GPIO_INT_EN", 0x1fffffffL, 0x00000000},
		{"SW_INITIATED_INT_EN", 0x80000000L, 0x0000001f}
	} },
	{"THM_TMON1_RDIR5_DATA", 0x0335, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"LCAC_MC5_OVR_VAL", 0x012D, {
		{"MC5_OVR_VAL", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON1_INT_DATA", 0x0381, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"GPIOPAD_INT_POLARITY", 0x05F0, {
		{"SW_INITIATED_INT_POLARITY", 0x80000000L, 0x0000001f},
		{"GPIO_INT_POLARITY", 0x1fffffffL, 0x00000000}
	} },
	{"THM_TMON1_RDIL13_DATA", 0x032D, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIL0_DATA", 0x0320, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL5_DATA", 0x0305, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"GPIOPAD_A", 0x05E7, {
		{"GPIO_A", 0x7fffffffL, 0x00000000}
	} },
	{"GPIOPAD_Y", 0x05E9, {
		{"GPIO_Y", 0x7fffffffL, 0x00000000}
	} },
	{"LCAC_MC3_OVR_SEL", 0x0126, {
		{"MC3_OVR_SEL", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON0_RDIL12_DATA", 0x030C, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIL3_DATA", 0x0323, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL1_DATA", 0x0301, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL0_DATA", 0x0300, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIL5_DATA", 0x0325, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL6_DATA", 0x0306, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR11_DATA", 0x033B, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIL4_DATA", 0x0324, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIR0_DATA", 0x0310, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"GPIOPAD_MASK", 0x05E6, {
		{"GPIO_MASK", 0x7fffffffL, 0x00000000}
	} },
	{"THM_TMON0_DEBUG", 0x03F0, {
		{"DEBUG_Z", 0x0000ffe0L, 0x00000005},
		{"DEBUG_RDI", 0x0000001fL, 0x00000000}
	} },
	{"SMC_IND_INDEX_1", 0x0082, {
		{"SMC_IND_ADDR", 0xffffffffL, 0x00000000}
	} },
	{"THM_TMON1_RDIL8_DATA", 0x0328, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIR7_DATA", 0x0317, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL4_DATA", 0x0304, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL13_DATA", 0x030D, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"LCAC_MC1_OVR_VAL", 0x0121, {
		{"MC1_OVR_VAL", 0xffffffffL, 0x00000000}
	} },
	{"GPIOPAD_PD_EN", 0x05F4, {
		{"GPIO_PD_EN", 0x7fffffffL, 0x00000000}
	} },
	{"THM_TMON1_RDIR13_DATA", 0x033D, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL10_DATA", 0x030A, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_INT_DATA", 0x0380, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIR12_DATA", 0x031C, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR3_DATA", 0x0333, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON1_RDIR10_DATA", 0x033A, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIR4_DATA", 0x0314, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} },
	{"THM_TMON0_RDIL14_DATA", 0x030E, {
		{"Z", 0x000007ffL, 0x00000000},
		{"VALID", 0x00000800L, 0x0000000b},
		{"TEMP", 0x00fff000L, 0x0000000c}
	} }
};

}; // namespace amdregdb
