/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_smu_smu_7_0_0();

static const RegSpec smu_smu_7_0_0_regs[] = {
	{"NB_DPM_CONFIG_3", 0x3f9f0, {
		{"RESERVED", 0xffffff, 0x0},
		{"EnableDpmPstatePoll", 0xff000000, 0x18}
	} },
	{"NB_DPM_CONFIG_2", 0x3f9ec, {
		{"SkipDPM0", 0xff0000, 0x10},
		{"SkipPG", 0xff00, 0x8},
		{"EnablePSI1", 0xff000000, 0x18},
		{"Hysteresis", 0xff, 0x0}
	} },
	{"NB_DPM_CONFIG_1", 0x3f9e8, {
		{"Dpm0PgNbPsLo", 0xff, 0x0},
		{"Dpm0PgNbPsHi", 0xff00, 0x8},
		{"DpmXNbPsLo", 0xff0000, 0x10},
		{"DpmXNbPsHi", 0xff000000, 0x18}
	} },
	{"CG_SPLL_FUNC_CNTL", 0xc0500140, {
		{"SPLL_BGADJ", 0x3c000, 0xe},
		{"SPLL_BG_PWRON", 0x2000, 0xd},
		{"SPLL_PDIV_A_EN", 0x1000, 0xc},
		{"SPLL_PDIV_A_UPDATE", 0x800, 0xb},
		{"SPLL_RESET", 0x1, 0x0},
		{"SPLL_REG_BIAS", 0xe000000, 0x19},
		{"SPLL_PDIV_A", 0x1fc0000, 0x12},
		{"SPLL_REF_DIV", 0x7e0, 0x5},
		{"SPLL_BYPASS_EN", 0x8, 0x3},
		{"SPLL_BYPASS_THRU_DFS", 0x10, 0x4},
		{"SPLL_DIVEN", 0x4, 0x2},
		{"SPLL_OTEST_LOCK_EN", 0x10000000, 0x1c},
		{"SPLL_PWRON", 0x2, 0x1}
	} },
	{"SMU0_SMU_SMC_IND_DATA", 0x81, {

	} },
	{"SCLK_MIN_DIV", 0xc0200308, {
		{"FRACV", 0xfff, 0x0},
		{"INTV", 0x7f000, 0xc}
	} },
	{"PM_FUSES_64", 0x3fb7c, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"LCAC_CPL_OVR_SEL", 0xc0400d84, {
		{"CPL_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"SCLK_DEEP_SLEEP_MISC_CNTL", 0xc0200088, {
		{"OCP_SS_DIV_ID", 0x700000, 0x14},
		{"DPM_SS_DIV_ID", 0x38, 0x3},
		{"DPM_DS_DIV_ID", 0x7, 0x0},
		{"OCP_ENABLE", 0x10000, 0x10},
		{"OCP_DS_DIV_ID", 0xe0000, 0x11}
	} },
	{"TE1_TEMPERATURE_READ_ADDR", 0x3f9e0, {
		{"TCEN_ID", 0x3c0, 0x6},
		{"CSR_ADDR", 0x3f, 0x0},
		{"RESERVED", 0xfffffc00, 0xa}
	} },
	{"LCAC_MC0_CNTL", 0xc0400d30, {
		{"MC0_SIGNAL_ID", 0x3fc00000, 0x16},
		{"MC0_THRESHOLD", 0x1fffe, 0x1},
		{"MC0_ENABLE", 0x1, 0x0},
		{"MC0_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"DPM_TABLE_21", 0x3f050, {
		{"FpsHighThreshold", 0xffff, 0x0},
		{"AcpLevelCount", 0xff000000, 0x18},
		{"SamuLevelCount", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_20", 0x3f04c, {
		{"VceLevelCount", 0xff, 0x0},
		{"UvdLevelCount", 0xff00, 0x8},
		{"GIOLevelCount", 0xff0000, 0x10},
		{"GraphicsDpmLevelCount", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_23", 0x3f058, {
		{"GraphicsLevel_0_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_22", 0x3f054, {
		{"GraphicsLevel_0_MinVddNb", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_25", 0x3f060, {
		{"GraphicsLevel_0_GnbSlow", 0xff0000, 0x10},
		{"GraphicsLevel_0_ForceNbPs1", 0xff00, 0x8},
		{"GraphicsLevel_0_SclkDid", 0xff, 0x0},
		{"GraphicsLevel_0_PowerThrottle", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_24", 0x3f05c, {
		{"GraphicsLevel_0_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_0_VidOffset", 0xff0000, 0x10},
		{"GraphicsLevel_0_Vid", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_27", 0x3f068, {
		{"GraphicsLevel_0_DeepSleepDivId", 0xff00, 0x8},
		{"GraphicsLevel_0_VoltageDownHyst", 0xff0000, 0x10},
		{"GraphicsLevel_0_ClkBypassCntl", 0xff, 0x0},
		{"GraphicsLevel_0_DownHyst", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_26", 0x3f064, {
		{"GraphicsLevel_0_UpHyst", 0xff, 0x0},
		{"GraphicsLevel_0_EnabledForThrottle", 0xff00, 0x8},
		{"GraphicsLevel_0_EnabledForActivity", 0xff0000, 0x10},
		{"GraphicsLevel_0_DisplayWatermark", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_29", 0x3f070, {
		{"GraphicsLevel_1_MinVddNb", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_28", 0x3f06c, {
		{"GraphicsLevel_0_reserved", 0xffffffff, 0x0}
	} },
	{"VPC_INTERVAL_CNTL", 0x3f830, {
		{"VPC_PERIOD", 0xffffffff, 0x0}
	} },
	{"TDC_MV_AVERAGE", 0x3f9d4, {
		{"IDDNB", 0xffff0000, 0x10},
		{"IDD", 0xffff, 0x0}
	} },
	{"CC_GIO_IOCCFG_FUSES", 0xc00c000c, {
		{"NB_REV_ID", 0x7fe, 0x1}
	} },
	{"MPLL_BYPASSCLK_SEL", 0xc050019c, {
		{"MPLL_CLKOUT_SEL", 0xff00, 0x8}
	} },
	{"PM_FUSES_32", 0x3fafc, {
		{"CpuVid_6", 0xff00, 0x8},
		{"CpuVid_7", 0xff, 0x0},
		{"CpuVid_4", 0xff000000, 0x18},
		{"CpuVid_5", 0xff0000, 0x10}
	} },
	{"SMU_TCEN_ALIVE", 0x3fa60, {
		{"CORE_TCEN_ID", 0xff, 0x0},
		{"RESERVED", 0xffff0000, 0x10},
		{"GNB_TCEN_ID", 0xff00, 0x8}
	} },
	{"DPM_TABLE_149", 0x3f250, {
		{"AcpLevel_3_Divider", 0xff00, 0x8},
		{"AcpLevel_3_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_3_ClkBypassCntl", 0xff, 0x0}
	} },
	{"DPM_TABLE_148", 0x3f24c, {
		{"AcpLevel_3_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_145", 0x3f240, {
		{"AcpLevel_2_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_144", 0x3f23c, {
		{"AcpLevel_1_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_147", 0x3f248, {
		{"AcpLevel_2_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_146", 0x3f244, {
		{"AcpLevel_2_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_2_Divider", 0xff00, 0x8},
		{"AcpLevel_2_ClkBypassCntl", 0xff, 0x0}
	} },
	{"DPM_TABLE_141", 0x3f230, {
		{"AcpLevel_0_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_140", 0x3f22c, {
		{"AcpLevel_0_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_0_ClkBypassCntl", 0xff, 0x0},
		{"AcpLevel_0_Divider", 0xff00, 0x8}
	} },
	{"DPM_TABLE_143", 0x3f238, {
		{"AcpLevel_1_Divider", 0xff00, 0x8},
		{"AcpLevel_1_ClkBypassCntl", 0xff, 0x0},
		{"AcpLevel_1_MinVoltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_142", 0x3f234, {
		{"AcpLevel_1_Frequency", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_29", 0x3fe74, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_28", 0x3fe70, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_23", 0x3fe5c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_22", 0x3fe58, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_21", 0x3fe54, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CC_SMU_TST_EFUSE1_MISC", 0xc00c001c, {
		{"CRBBMP1500_DISB", 0x2000, 0xd},
		{"DCE_SCAN_DISABLE", 0x4000000, 0x1a},
		{"CRBBMP1500_DISA", 0x1000, 0xc},
		{"SMS_PWRDWN_DISABLE", 0x800, 0xb},
		{"DFT_SPARE3", 0x1000000, 0x18},
		{"MBIST_DISABLE", 0x80, 0x7},
		{"GPU_DIS", 0x400, 0xa},
		{"RF_RM_6_2", 0x3e, 0x1},
		{"RM_RF8", 0x4000, 0xe},
		{"SOFT_REPAIR_DISABLE", 0x200, 0x9},
		{"RME", 0x40, 0x6},
		{"VCE_DISABLE", 0x2000000, 0x19},
		{"DFT_SPARE1", 0x400000, 0x16},
		{"DFT_SPARE2", 0x800000, 0x17},
		{"HARD_REPAIR_DISABLE", 0x100, 0x8}
	} },
	{"SMU_PM_STATUS_27", 0x3fe6c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_26", 0x3fe68, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_25", 0x3fe64, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_24", 0x3fe60, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_54", 0x3f0d4, {
		{"GraphicsLevel_4_EnabledForActivity", 0xff0000, 0x10},
		{"GraphicsLevel_4_DisplayWatermark", 0xff000000, 0x18},
		{"GraphicsLevel_4_UpHyst", 0xff, 0x0},
		{"GraphicsLevel_4_EnabledForThrottle", 0xff00, 0x8}
	} },
	{"DPM_TABLE_55", 0x3f0d8, {
		{"GraphicsLevel_4_ClkBypassCntl", 0xff, 0x0},
		{"GraphicsLevel_4_DeepSleepDivId", 0xff00, 0x8},
		{"GraphicsLevel_4_VoltageDownHyst", 0xff0000, 0x10},
		{"GraphicsLevel_4_DownHyst", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_56", 0x3f0dc, {
		{"GraphicsLevel_4_reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_57", 0x3f0e0, {
		{"GraphicsLevel_5_MinVddNb", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_50", 0x3f0c4, {
		{"GraphicsLevel_4_MinVddNb", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_51", 0x3f0c8, {
		{"GraphicsLevel_4_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_52", 0x3f0cc, {
		{"GraphicsLevel_4_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_4_VidOffset", 0xff0000, 0x10},
		{"GraphicsLevel_4_Vid", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_53", 0x3f0d0, {
		{"GraphicsLevel_4_SclkDid", 0xff, 0x0},
		{"GraphicsLevel_4_ForceNbPs1", 0xff00, 0x8},
		{"GraphicsLevel_4_GnbSlow", 0xff0000, 0x10},
		{"GraphicsLevel_4_PowerThrottle", 0xff000000, 0x18}
	} },
	{"SMU_LCLK_DPM_STATE_3_CNTL_2", 0x3fd44, {
		{"HYSTERESIS_UP", 0xff00, 0x8},
		{"HYSTERESIS_DOWN", 0xff, 0x0},
		{"RESIDENCY_COUNTER", 0xffff0000, 0x10}
	} },
	{"SMU_SMC_IND_INDEX", 0x80, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_3_CNTL_0", 0x3fd3c, {
		{"LOW_VOLTAGE_REQ_THRESHOLD", 0xff, 0x0},
		{"STATE_VALID", 0xff000000, 0x18},
		{"CLK_DIVIDER", 0xff0000, 0x10},
		{"VID", 0xff00, 0x8}
	} },
	{"SMU_LCLK_DPM_STATE_3_CNTL_1", 0x3fd40, {
		{"MIN_VDDNB", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_58", 0x3f0e4, {
		{"GraphicsLevel_5_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_59", 0x3f0e8, {
		{"GraphicsLevel_5_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_5_Vid", 0xff000000, 0x18},
		{"GraphicsLevel_5_VidOffset", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_138", 0x3f224, {
		{"VceLevel_7_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_139", 0x3f228, {
		{"AcpLevel_0_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_130", 0x3f204, {
		{"VceLevel_5_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_131", 0x3f208, {
		{"VceLevel_5_Divider", 0xff00, 0x8},
		{"VceLevel_5_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_5_ClkBypassCntl", 0xff, 0x0}
	} },
	{"DPM_TABLE_132", 0x3f20c, {
		{"VceLevel_5_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_133", 0x3f210, {
		{"VceLevel_6_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_134", 0x3f214, {
		{"VceLevel_6_ClkBypassCntl", 0xff, 0x0},
		{"VceLevel_6_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_6_Divider", 0xff00, 0x8}
	} },
	{"DPM_TABLE_135", 0x3f218, {
		{"VceLevel_6_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_136", 0x3f21c, {
		{"VceLevel_7_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_137", 0x3f220, {
		{"VceLevel_7_Divider", 0xff00, 0x8},
		{"VceLevel_7_ClkBypassCntl", 0xff, 0x0},
		{"VceLevel_7_MinVoltage", 0xffff0000, 0x10}
	} },
	{"SMU_PM_STATUS_96", 0x3ff80, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_97", 0x3ff84, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MISC_CLK_CTRL", 0xc05001ac, {
		{"DEEP_SLEEP_CLK_SEL", 0xff, 0x0},
		{"DFT_SMS_PG_CLK_SEL", 0xff0000, 0x10},
		{"ZCLK_SEL", 0xff00, 0x8}
	} },
	{"SMU_PM_STATUS_95", 0x3ff7c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_92", 0x3ff70, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_93", 0x3ff74, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_90", 0x3ff68, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_91", 0x3ff6c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_10", 0xbf, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_11", 0x91, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_2_ACTIVITY_THRESHOLD", 0x3fd38, {
		{"LCLKBYPASSCNTL", 0xff00, 0x8},
		{"RESERVED", 0xff, 0x0},
		{"ENABLED_FOR_THROTTLE", 0xff0000, 0x10},
		{"ACTIVITY_THRESHOLD", 0xff000000, 0x18}
	} },
	{"SMU_PM_STATUS_98", 0x3ff88, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PKGPWR_MV_AVG", 0x3f83c, {
		{"Avg_Pkg_Pwr", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_59", 0x3feec, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"AVS_CONFIG", 0x3fa00, {
		{"RESERVED", 0xff000000, 0x18},
		{"AvsPsmTempCompensation", 0x200, 0x9},
		{"RESERVED1", 0xfc00, 0xa},
		{"AvsOverrideEnabled", 0x100, 0x8},
		{"AvsEnabledForPstates", 0xff, 0x0},
		{"AvsOverrideOffset", 0xff0000, 0x10}
	} },
	{"SOFT_REGISTERS_TABLE_20", 0x3f94c, {
		{"Reserved_8", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_21", 0x3f950, {
		{"Reserved_9", 0xffffffff, 0x0}
	} },
	{"CNB_PWRMGT_CNTL", 0xc0200004, {
		{"GNB_SLOW_MODE", 0x3, 0x0},
		{"GNB_SLOW", 0x4, 0x2},
		{"DPM_ENABLED", 0x10, 0x4},
		{"FORCE_NB_PS1", 0x8, 0x3},
		{"SPARE", 0xffffffe0, 0x5}
	} },
	{"SMC_MESSAGE_11", 0xbb, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_10", 0xb9, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"LCAC_CPL_OVR_VAL", 0xc0400d88, {
		{"CPL_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_65", 0x3fb80, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_28", 0x3faec, {
		{"GnbLPML_8", 0xff000000, 0x18},
		{"GnbLPML_9", 0xff0000, 0x10},
		{"GnbLPML_10", 0xff00, 0x8},
		{"GnbLPML_11", 0xff, 0x0}
	} },
	{"PM_FUSES_29", 0x3faf0, {
		{"GnbLPML_12", 0xff000000, 0x18},
		{"GnbLPML_13", 0xff0000, 0x10},
		{"GnbLPML_14", 0xff00, 0x8},
		{"GnbLPML_15", 0xff, 0x0}
	} },
	{"PM_FUSES_24", 0x3fadc, {
		{"LPMLTemperatureScaler_11", 0xff, 0x0},
		{"LPMLTemperatureScaler_10", 0xff00, 0x8},
		{"LPMLTemperatureScaler_9", 0xff0000, 0x10},
		{"LPMLTemperatureScaler_8", 0xff000000, 0x18}
	} },
	{"PM_FUSES_25", 0x3fae0, {
		{"LPMLTemperatureScaler_13", 0xff0000, 0x10},
		{"LPMLTemperatureScaler_12", 0xff000000, 0x18},
		{"LPMLTemperatureScaler_15", 0xff, 0x0},
		{"LPMLTemperatureScaler_14", 0xff00, 0x8}
	} },
	{"PM_FUSES_26", 0x3fae4, {
		{"GnbLPML_0", 0xff000000, 0x18},
		{"GnbLPML_1", 0xff0000, 0x10},
		{"GnbLPML_2", 0xff00, 0x8},
		{"GnbLPML_3", 0xff, 0x0}
	} },
	{"PM_FUSES_27", 0x3fae8, {
		{"GnbLPML_4", 0xff000000, 0x18},
		{"GnbLPML_5", 0xff0000, 0x10},
		{"GnbLPML_6", 0xff00, 0x8},
		{"GnbLPML_7", 0xff, 0x0}
	} },
	{"PM_FUSES_20", 0x3facc, {
		{"SamClkDid_0", 0xff000000, 0x18},
		{"SamClkDid_1", 0xff0000, 0x10},
		{"SamClkDid_2", 0xff00, 0x8},
		{"SamClkDid_3", 0xff, 0x0}
	} },
	{"PM_FUSES_21", 0x3fad0, {
		{"SamClkDid_4", 0xff000000, 0x18},
		{"LPMLTemperatureMax", 0xff00, 0x8},
		{"AmbientTempBase", 0xff, 0x0},
		{"LPMLTemperatureMin", 0xff0000, 0x10}
	} },
	{"PM_FUSES_22", 0x3fad4, {
		{"LPMLTemperatureScaler_1", 0xff0000, 0x10},
		{"LPMLTemperatureScaler_0", 0xff000000, 0x18},
		{"LPMLTemperatureScaler_3", 0xff, 0x0},
		{"LPMLTemperatureScaler_2", 0xff00, 0x8}
	} },
	{"PM_FUSES_23", 0x3fad8, {
		{"LPMLTemperatureScaler_5", 0xff0000, 0x10},
		{"LPMLTemperatureScaler_4", 0xff000000, 0x18},
		{"LPMLTemperatureScaler_7", 0xff, 0x0},
		{"LPMLTemperatureScaler_6", 0xff00, 0x8}
	} },
	{"CG_THERMAL_INT_ENA", 0xc2100024, {
		{"THERM_INTH_SET", 0x1, 0x0},
		{"THERM_INTL_SET", 0x2, 0x1},
		{"THERM_INTH_CLR", 0x8, 0x3},
		{"THERM_TRIGGER_SET", 0x4, 0x2},
		{"THERM_INTL_CLR", 0x10, 0x4},
		{"THERM_TRIGGER_CLR", 0x20, 0x5}
	} },
	{"CG_CLKPIN_CNTL_2", 0xc05001a4, {
		{"XO_IN_CML_RXEN", 0x10000, 0x10},
		{"XO_IN2_CML_RXEN", 0x100000, 0x14},
		{"XO_IN_OSCIN_EN", 0x4000, 0xe},
		{"XO_IN2_ICORE_CLK_OE", 0x80000, 0x13},
		{"MUX_TCLK_TO_XCLK", 0x100, 0x8},
		{"XO_IN2_OSCIN_EN", 0x40000, 0x12},
		{"CML_CTRL", 0xc00000, 0x16},
		{"XO_IN_ICORE_CLK_OE", 0x8000, 0xf},
		{"XO_IN2_BIDIR_CML_OE", 0x200000, 0x15},
		{"ENABLE_XCLK", 0x1, 0x0},
		{"FORCE_BIF_REFCLK_EN", 0x8, 0x3},
		{"XO_IN_BIDIR_CML_OE", 0x20000, 0x11},
		{"CLK_SPARE", 0xff000000, 0x18}
	} },
	{"PACKAGE_POWER", 0x3f840, {
		{"Pkg_power", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_56", 0x3fee0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_57", 0x3fee4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_5", 0x3fa90, {
		{"BapmVddNbVidLoSidd_4", 0xff0000, 0x10},
		{"BapmVddNbVidLoSidd_3", 0xff000000, 0x18},
		{"SviLoadLineEn", 0xff00, 0x8},
		{"CpuIdModel", 0xff, 0x0}
	} },
	{"PM_FUSES_4", 0x3fa8c, {
		{"BapmVddNbVidHiSidd_4", 0xff000000, 0x18},
		{"BapmVddNbVidLoSidd_2", 0xff, 0x0},
		{"BapmVddNbVidLoSidd_1", 0xff00, 0x8},
		{"BapmVddNbVidLoSidd_0", 0xff0000, 0x10}
	} },
	{"PM_FUSES_7", 0x3fa98, {
		{"BAPMTI_TjOffset_0", 0xffff, 0x0},
		{"SviLoadLineOffsetVdd", 0xff000000, 0x18},
		{"SviLoadLineOffsetVddNb", 0xff0000, 0x10}
	} },
	{"PM_FUSES_6", 0x3fa94, {
		{"SviLoadLineTrimVddNb", 0xff, 0x0},
		{"SviLoadLineVdd", 0xff000000, 0x18},
		{"SviLoadLineVddNb", 0xff0000, 0x10},
		{"SviLoadLineTrimVdd", 0xff00, 0x8}
	} },
	{"PM_FUSES_1", 0x3fa80, {
		{"BapmPstateVid_0", 0xff000000, 0x18},
		{"BapmPstateVid_1", 0xff0000, 0x10},
		{"BapmPstateVid_2", 0xff00, 0x8},
		{"BapmPstateVid_3", 0xff, 0x0}
	} },
	{"SCLK_DEEP_SLEEP_CNTL2", 0xc0200084, {
		{"SAM_CG_MC_STAT_BUSY_MASK", 0x1000, 0xc},
		{"SDMA_BUSY_MASK", 0x80, 0x7},
		{"ROM_BUSY_MASK", 0x4, 0x2},
		{"SAM_CG_STATUS_BUSY_MASK", 0x2000, 0xd},
		{"HDP_BUSY_MASK", 0x2, 0x1},
		{"UVD_CG_MC_STAT_BUSY_MASK", 0x400, 0xa},
		{"IH_SEM_BUSY_MASK", 0x8, 0x3},
		{"INOUT_CUSHION", 0xff000000, 0x18},
		{"IDCT_BUSY_MASK", 0x40, 0x6},
		{"ACP_SMU_ALLOW_DSLEEP_STUTTER_MASK", 0x200, 0x9},
		{"DC_AZ_BUSY_MASK", 0x100, 0x8},
		{"RLC_BUSY_MASK", 0x1, 0x0},
		{"VCE_CG_MC_STAT_BUSY_MASK", 0x800, 0xb},
		{"PDMA_BUSY_MASK", 0x10, 0x4},
		{"SHALLOW_DIV_ID", 0xe00000, 0x15},
		{"RLC_SMU_GFXCLK_OFF_MASK", 0x4000, 0xe}
	} },
	{"RCU_MISC_CTRL", 0xc0000010, {
		{"REG_CC_SRBM_RD_DISABLE", 0x100, 0x8},
		{"BREAK_PT2_DONE", 0x20000, 0x11},
		{"REG_SAMU_FUSE_DISABLE", 0x20, 0x5},
		{"REG_RCU_MEMREP_DIS", 0x8, 0x3},
		{"SAMU_START", 0x400000, 0x16},
		{"REG_DRV_RST_MODE", 0x2, 0x1},
		{"BREAK_PT1_DONE", 0x10000, 0x10},
		{"RST_PULSE_WIDTH", 0xff800000, 0x17},
		{"REG_CC_FUSE_DISABLE", 0x10, 0x4}
	} },
	{"PM_FUSES_2", 0x3fa84, {
		{"BapmPstateVid_4", 0xff000000, 0x18},
		{"BapmPstateVid_5", 0xff0000, 0x10},
		{"BapmPstateVid_6", 0xff00, 0x8},
		{"BapmPstateVid_7", 0xff, 0x0}
	} },
	{"SMU_PM_STATUS_12", 0x3fe30, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CURRENT_GNB_TEMP", 0x3f810, {
		{"TEMP", 0x7ff, 0x0}
	} },
	{"PM_FUSES_9", 0x3faa0, {
		{"BAPMTI_TjHyst_0", 0xffff0000, 0x10},
		{"BAPMTI_TjHyst_1", 0xffff, 0x0}
	} },
	{"PM_FUSES_8", 0x3fa9c, {
		{"BAPMTI_TjOffset_1", 0xffff0000, 0x10},
		{"BAPMTI_TjOffset_2", 0xffff, 0x0}
	} },
	{"SMU_SVI_TELEMETRY", 0x3f994, {
		{"IddNbspike_OCP", 0xffff0000, 0x10},
		{"Iddspike_OCP", 0xffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_4_CNTL_3", 0x3fd5c, {
		{"LCLK_FREQUENCY", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_4_CNTL_2", 0x3fd58, {
		{"HYSTERESIS_UP", 0xff00, 0x8},
		{"HYSTERESIS_DOWN", 0xff, 0x0},
		{"RESIDENCY_COUNTER", 0xffff0000, 0x10}
	} },
	{"SMU_LCLK_DPM_STATE_4_CNTL_1", 0x3fd54, {
		{"MIN_VDDNB", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_4_CNTL_0", 0x3fd50, {
		{"LOW_VOLTAGE_REQ_THRESHOLD", 0xff, 0x0},
		{"STATE_VALID", 0xff000000, 0x18},
		{"CLK_DIVIDER", 0xff0000, 0x10},
		{"VID", 0xff00, 0x8}
	} },
	{"SMU_VOLTAGE_STATUS", 0xc0200094, {
		{"SMU_VOLTAGE_STATUS", 0x1, 0x0},
		{"SMU_VOLTAGE_CURRENT_LEVEL", 0x1fe, 0x1}
	} },
	{"SMU_PM_STATUS_44", 0x3feb0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"LCAC_MC2_CNTL", 0xc0400d48, {
		{"MC2_ENABLE", 0x1, 0x0},
		{"MC2_THRESHOLD", 0x1fffe, 0x1},
		{"MC2_BLOCK_ID", 0x3e0000, 0x11},
		{"MC2_SIGNAL_ID", 0x3fc00000, 0x16}
	} },
	{"CG_DCLK_CNTL", 0xc050009c, {
		{"DCLK_DIR_CNTL_TOG", 0x200, 0x9},
		{"DCLK_DIR_CNTL_EN", 0x100, 0x8},
		{"DCLK_DIVIDER", 0x7f, 0x0},
		{"DCLK_DIR_CNTL_DIVIDER", 0x1fc00, 0xa}
	} },
	{"LCAC_SX0_OVR_VAL", 0xc0400d08, {
		{"SX0_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"SCLK_PWRMGT_CNTL", 0xc0200008, {
		{"FORCE_PM1_INTERRUPT", 0x20000000, 0x1d},
		{"GFX_CLK_REQUEST_OFF", 0x200, 0x9},
		{"GFX_CLK_OFF_ACPI_D1", 0x800, 0xb},
		{"GFX_CLK_OFF_ACPI_D2", 0x1000, 0xc},
		{"GFX_CLK_OFF_ACPI_D3", 0x2000, 0xd},
		{"DPM_DYN_PWR_DOWN_EN", 0x800000, 0x17},
		{"VOLTAGE_UPDATE_EN", 0x2000000, 0x19},
		{"SCLK_LOW_D1", 0x2, 0x1},
		{"DYN_LIGHT_SLEEP_EN", 0x4000, 0xe},
		{"RESET_BUSY_CNT", 0x10, 0x4},
		{"DPM_DYN_PWR_DOWN_CNTL", 0x400000, 0x16},
		{"SCLK_PWRMGT_OFF", 0x1, 0x0},
		{"GFX_VOLTAGE_CHANGE_EN", 0x40000000, 0x1e},
		{"FORCE_PM0_INTERRUPT", 0x10000000, 0x1c},
		{"LIGHT_SLEEP_COUNTER", 0x1f0000, 0x10},
		{"DYN_PWR_DOWN_EN", 0x4, 0x2},
		{"RESET_SCLK_CNT", 0x20, 0x5},
		{"RESERVED_3", 0x1000000, 0x18},
		{"RESERVED_0", 0x40, 0x6},
		{"DYN_GFX_CLK_OFF_EN", 0x80, 0x7},
		{"AUTO_SCLK_PULSE_SKIP", 0x8000, 0xf},
		{"DYNAMIC_PM_EN", 0x200000, 0x15},
		{"GFX_VOLTAGE_CHANGE_MODE", 0x80000000, 0x1f},
		{"GFX_CLK_FORCE_OFF", 0x400, 0xa},
		{"GFX_CLK_FORCE_ON", 0x100, 0x8}
	} },
	{"GCK_ADFS_CLK_BYPASS_CNTL1", 0xc05001c8, {
		{"SAMCLK_BYPASS_CNTL", 0x7000000, 0x18},
		{"ECLK_BYPASS_CNTL", 0x7, 0x0},
		{"DCLK_BYPASS_CNTL", 0xe00, 0x9},
		{"DISPCLK_BYPASS_CNTL", 0x38000, 0xf},
		{"LCLK_BYPASS_CNTL", 0x1c0, 0x6},
		{"VCLK_BYPASS_CNTL", 0x7000, 0xc},
		{"ACLK_DIV_BYPASS_CNTL", 0x38000000, 0x1b},
		{"SCLK_BYPASS_CNTL", 0x38, 0x3},
		{"ACLK_BYPASS_CNTL", 0xe00000, 0x15},
		{"DRREFCLK_BYPASS_CNTL", 0x1c0000, 0x12}
	} },
	{"LCAC_MC3_OVR_SEL", 0xc0400d58, {
		{"MC3_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_101", 0x3f190, {
		{"UvdLevel_4_VclkDivider", 0xff00, 0x8},
		{"UvdLevel_4_MinVddNb", 0xffff0000, 0x10},
		{"UvdLevel_4_DclkDivider", 0xff, 0x0}
	} },
	{"DPM_TABLE_100", 0x3f18c, {
		{"UvdLevel_4_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_103", 0x3f198, {
		{"UvdLevel_5_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_102", 0x3f194, {
		{"UvdLevel_4_padding_1", 0xff, 0x0},
		{"UvdLevel_4_padding_0", 0xff00, 0x8},
		{"UvdLevel_4_DClkBypassCntl", 0xff0000, 0x10},
		{"UvdLevel_4_VClkBypassCntl", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_105", 0x3f1a0, {
		{"UvdLevel_5_MinVddNb", 0xffff0000, 0x10},
		{"UvdLevel_5_DclkDivider", 0xff, 0x0},
		{"UvdLevel_5_VclkDivider", 0xff00, 0x8}
	} },
	{"DPM_TABLE_104", 0x3f19c, {
		{"UvdLevel_5_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_107", 0x3f1a8, {
		{"UvdLevel_6_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_106", 0x3f1a4, {
		{"UvdLevel_5_padding_0", 0xff00, 0x8},
		{"UvdLevel_5_padding_1", 0xff, 0x0},
		{"UvdLevel_5_VClkBypassCntl", 0xff000000, 0x18},
		{"UvdLevel_5_DClkBypassCntl", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_109", 0x3f1b0, {
		{"UvdLevel_6_VclkDivider", 0xff00, 0x8},
		{"UvdLevel_6_DclkDivider", 0xff, 0x0},
		{"UvdLevel_6_MinVddNb", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_108", 0x3f1ac, {
		{"UvdLevel_6_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_18", 0x3f044, {
		{"GioPIDController_MaxLfFraction", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_19", 0x3f048, {
		{"GioPIDController_StateShift", 0xffffffff, 0x0}
	} },
	{"GCK2_GCK_SMC_IND_INDEX", 0x84, {

	} },
	{"DPM_TABLE_10", 0x3f024, {
		{"GraphicsPIDController_StateShift", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_11", 0x3f028, {
		{"GioPIDController_Ki", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_12", 0x3f02c, {
		{"GioPIDController_LFWindupUpperLim", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_13", 0x3f030, {
		{"GioPIDController_LFWindupLowerLim", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_14", 0x3f034, {
		{"GioPIDController_StatePrecision", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_15", 0x3f038, {
		{"GioPIDController_LfPrecision", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_16", 0x3f03c, {
		{"GioPIDController_LfOffset", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_17", 0x3f040, {
		{"GioPIDController_MaxState", 0xffffffff, 0x0}
	} },
	{"SMC1_SMC_IND_DATA", 0x83, {

	} },
	{"SMU_LCLK_DPM_CURRENT_AND_TARGET_STATE", 0x3fdcc, {
		{"TARGET_STATE", 0xff00, 0x8},
		{"CURRENT_STATE", 0xff, 0x0}
	} },
	{"THM_CLK_CNTL", 0xc05001a8, {
		{"CTF_CLK_SHUTOFF_EN", 0x10000, 0x10},
		{"TMON_CLK_SEL", 0xff00, 0x8},
		{"CMON_CLK_SEL", 0xff, 0x0}
	} },
	{"SMU3_SMU_SMC_IND_DATA", 0x87, {

	} },
	{"SMU_LCLK_DPM_STATE_2_CNTL_1", 0x3fd2c, {
		{"MIN_VDDNB", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_2_CNTL_0", 0x3fd28, {
		{"LOW_VOLTAGE_REQ_THRESHOLD", 0xff, 0x0},
		{"STATE_VALID", 0xff000000, 0x18},
		{"CLK_DIVIDER", 0xff0000, 0x10},
		{"VID", 0xff00, 0x8}
	} },
	{"SMU_LCLK_DPM_STATE_2_CNTL_3", 0x3fd34, {
		{"LCLK_FREQUENCY", 0xffffffff, 0x0}
	} },
	{"GCK_DFS_BYPASS_CNTL", 0xc0500118, {
		{"BYPASSDPREFCLK", 0x40, 0x6},
		{"BYPASSECLK", 0x1, 0x0},
		{"BYPASSPSPCLK", 0x200, 0x9},
		{"BYPASSEVCLK", 0x4, 0x2},
		{"BYPASSSAMCLK", 0x400, 0xa},
		{"BYPASSDCLK", 0x8, 0x3},
		{"USE_SPLL_BYPASS_EN", 0x1000, 0xc},
		{"BYPASSDISPCLK", 0x20, 0x5},
		{"BYPASSSCLK", 0x800, 0xb},
		{"BYPASSLCLK", 0x2, 0x1},
		{"BYPASSADIVCLK", 0x100, 0x8},
		{"BYPASSVCLK", 0x10, 0x4},
		{"BYPASSACLK", 0x80, 0x7}
	} },
	{"PM_FUSES_51", 0x3fb48, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_50", 0x3fb44, {
		{"NumBoostStates", 0xff000000, 0x18},
		{"Reserved1", 0xff0000, 0x10},
		{"Reserved2", 0xffff, 0x0}
	} },
	{"PM_FUSES_53", 0x3fb50, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_52", 0x3fb4c, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_59", 0x3fb68, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_58", 0x3fb64, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_3_CNTL_3", 0x3fd48, {
		{"LCLK_FREQUENCY", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_1_ACTIVITY_THRESHOLD", 0x3fd24, {
		{"LCLKBYPASSCNTL", 0xff00, 0x8},
		{"RESERVED", 0xff, 0x0},
		{"ENABLED_FOR_THROTTLE", 0xff0000, 0x10},
		{"ACTIVITY_THRESHOLD", 0xff000000, 0x18}
	} },
	{"CG_FREQ_TRAN_VOTING_2", 0xc02001b0, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"SMU_PM_STATUS_67", 0x3ff0c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_66", 0x3ff08, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_65", 0x3ff04, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_64", 0x3ff00, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_63", 0x3fefc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_62", 0x3fef8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_61", 0x3fef4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_60", 0x3fef0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_EFUSE_0", 0xc0100000, {
		{"EFUSE_DATA", 0xffffffff, 0x0}
	} },
	{"CC_RCU_FUSES", 0xc00c0000, {
		{"XFIRE_DISABLE", 0x40000, 0x12},
		{"DEBUG_DISABLE", 0x4, 0x2},
		{"SMU_IOC_MST_DISABLE", 0x8000, 0xf},
		{"DSMU_DISABLE", 0x1000000, 0x18},
		{"PSP_ENABLE", 0x80000000, 0x1f},
		{"BIF_RST_POLLING_DISABLE", 0x100000, 0x14},
		{"PCIE_INIT_DISABLE", 0x800000, 0x17},
		{"CG_RST_GLB_REQ_DIS", 0x20, 0x5},
		{"GPU_DIS", 0x2, 0x1},
		{"RCU_BREAK_POINT2", 0x400, 0xa},
		{"RCU_BREAK_POINT1", 0x200, 0x9},
		{"JPC_REP_DISABLE", 0x100, 0x8},
		{"ROM_DIS", 0x80, 0x7},
		{"EFUSE_RD_DISABLE", 0x10, 0x4},
		{"FCH_LOCKOUT_ENABLE", 0x10000, 0x10},
		{"DRV_RST_MODE", 0x40, 0x6},
		{"PHY_FUSE_VALID", 0x4000, 0xe},
		{"FCH_XFIRE_FILTER_ENABLE", 0x20000, 0x11},
		{"MEM_HARDREP_EN", 0x400000, 0x16},
		{"SAMU_FUSE_DISABLE", 0x80000, 0x13},
		{"RCU_SPARE", 0x7e000000, 0x19}
	} },
	{"SMU_PM_STATUS_69", 0x3ff14, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_68", 0x3ff10, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_83", 0x3f148, {
		{"UvdLevel_0_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_82", 0x3f144, {
		{"ACPILevel_padding_1", 0xff00, 0x8},
		{"ACPILevel_padding_0", 0xff0000, 0x10},
		{"ACPILevel_padding_2", 0xff, 0x0},
		{"ACPILevel_DeepSleepDivId", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_81", 0x3f140, {
		{"ACPILevel_GnbSlow", 0xff0000, 0x10},
		{"ACPILevel_DisplayWatermark", 0xff, 0x0},
		{"ACPILevel_ForceNbPs1", 0xff00, 0x8},
		{"ACPILevel_SclkDid", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_80", 0x3f13c, {
		{"ACPILevel_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_87", 0x3f158, {
		{"UvdLevel_1_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_86", 0x3f154, {
		{"UvdLevel_0_padding_1", 0xff, 0x0},
		{"UvdLevel_0_padding_0", 0xff00, 0x8},
		{"UvdLevel_0_VClkBypassCntl", 0xff000000, 0x18},
		{"UvdLevel_0_DClkBypassCntl", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_85", 0x3f150, {
		{"UvdLevel_0_MinVddNb", 0xffff0000, 0x10},
		{"UvdLevel_0_DclkDivider", 0xff, 0x0},
		{"UvdLevel_0_VclkDivider", 0xff00, 0x8}
	} },
	{"DPM_TABLE_84", 0x3f14c, {
		{"UvdLevel_0_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_89", 0x3f160, {
		{"UvdLevel_1_VclkDivider", 0xff00, 0x8},
		{"UvdLevel_1_MinVddNb", 0xffff0000, 0x10},
		{"UvdLevel_1_DclkDivider", 0xff, 0x0}
	} },
	{"DPM_TABLE_88", 0x3f15c, {
		{"UvdLevel_1_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"PLL_TEST_CNTL", 0xc020003c, {
		{"REF_TEST_COUNT", 0x7f00, 0x8},
		{"TST_RESET", 0x8000, 0xf},
		{"TEST_COUNT", 0xfffe0000, 0x11},
		{"TST_SRC_SEL", 0xf, 0x0},
		{"TST_REF_SEL", 0xf0, 0x4}
	} },
	{"AVS_CU0_TEMPERATURE_SENSOR", 0x3fa3c, {
		{"CsrAddr", 0x3f, 0x0},
		{"TcenID", 0x3c0, 0x6},
		{"RESERVED", 0xfffffc00, 0xa}
	} },
	{"SMU_PM_STATUS_118", 0x3ffd8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_119", 0x3ffdc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_114", 0x3ffc8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_115", 0x3ffcc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_116", 0x3ffd0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_117", 0x3ffd4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_110", 0x3ffb8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"AVSNB_CONFIG", 0x3fa34, {
		{"RESERVED", 0xff000000, 0x18},
		{"AvsPsmTempCompensation", 0x200, 0x9},
		{"RESERVED1", 0xfc00, 0xa},
		{"AvsOverrideEnabled", 0x100, 0x8},
		{"AvsEnabledForPstates", 0xf, 0x0},
		{"AvsOverrideOffset", 0xff0000, 0x10},
		{"RESERVED0", 0xf0, 0x4}
	} },
	{"SMU_PM_STATUS_112", 0x3ffc0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_113", 0x3ffc4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"LCAC_MC2_OVR_SEL", 0xc0400d4c, {
		{"MC2_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"SMC3_SMC_IND_DATA", 0x87, {

	} },
	{"SMU2_SMU_SMC_IND_DATA", 0x85, {

	} },
	{"LCAC_MC0_OVR_SEL", 0xc0400d34, {
		{"MC0_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"SMC2_SMC_IND_INDEX", 0x84, {

	} },
	{"FEATURE_STATUS", 0x3f818, {
		{"MCLK_DPM_FORCED", 0x80000, 0x13},
		{"LCLK_DPM_FORCED", 0x100000, 0x14},
		{"PCIE_DPM_FORCED", 0x200000, 0x15},
		{"TDC_LIMIT_ON", 0x4000, 0xe},
		{"VCE_DPM_ON", 0x10, 0x4},
		{"VOLTAGE_CONTROLLER_ON", 0x2000, 0xd},
		{"SCLK_DPM_FORCED", 0x40000, 0x12},
		{"UVD_DPM_ON", 0x8, 0x3},
		{"MCLK_DPM_ON", 0x2, 0x1},
		{"LHTC_ON", 0x800, 0xb},
		{"RESERVED", 0xff800000, 0x17},
		{"BAPM_ON", 0x100, 0x8},
		{"SPMI_ON", 0x20000, 0x11},
		{"AVS_ON", 0x10000, 0x10},
		{"PCIE_DPM_ON", 0x80, 0x7},
		{"ACP_DPM_ON", 0x20, 0x5},
		{"GPU_CAC_ON", 0x8000, 0xf},
		{"SCLK_DPM_ON", 0x1, 0x0},
		{"VPC_ON", 0x1000, 0xc},
		{"CLK_MON_ON", 0x400000, 0x16},
		{"LCLK_DPM_ON", 0x4, 0x2},
		{"LPMX_ON", 0x200, 0x9},
		{"NBDPM_ON", 0x400, 0xa},
		{"SAMU_DPM_ON", 0x40, 0x6}
	} },
	{"CG_VCLK_STATUS", 0xc05000a8, {
		{"VCLK_STATUS", 0x1, 0x0},
		{"VCLK_DIR_CNTL_DONETOG", 0x2, 0x1}
	} },
	{"SMU_MONITOR_PORT80_MEMBASE_LO", 0x3fa54, {
		{"MEMORY_BASE_LO", 0xffffffff, 0x0}
	} },
	{"SPMI_STATUS", 0x3fa30, {
		{"OpFailed", 0xff00, 0x8},
		{"OpDone", 0xff, 0x0}
	} },
	{"SMU_PM_STATUS_82", 0x3ff48, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_84", 0x3ff50, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_MAIN_PLL_OP_FREQ", 0xe0003020, {
		{"PLL_OP_FREQ", 0xffffffff, 0x0}
	} },
	{"BAPM_STATUS", 0x3f998, {
		{"COUNT_CORE0", 0xff000000, 0x18},
		{"THROTTLE_LAST", 0xff00, 0x8},
		{"THROTTLE", 0xff, 0x0},
		{"COUNT_CORE1", 0xff0000, 0x10}
	} },
	{"LCLK_DEEP_SLEEP_CNTL", 0xc020008c, {
		{"HYSTERESIS", 0xfff0, 0x4},
		{"RESERVED", 0x7fff0000, 0x10},
		{"DIV_ID", 0x7, 0x0},
		{"ENABLE_DS", 0x80000000, 0x1f},
		{"RAMP_DIS", 0x8, 0x3}
	} },
	{"TARGET_AND_CURRENT_PROFILE_INDEX_1", 0xc02000f0, {
		{"CURR_MVDD_INDEX", 0xf00, 0x8},
		{"CURR_VDDC_INDEX", 0xf0000, 0x10},
		{"TARG_VDDCI_INDEX", 0xf0, 0x4},
		{"TARG_MVDD_INDEX", 0xf000, 0xc},
		{"CURR_PCIE_INDEX", 0xf000000, 0x18},
		{"TARG_PCIE_INDEX", 0xf0000000, 0x1c},
		{"TARG_VDDC_INDEX", 0xf00000, 0x14},
		{"CURR_VDDCI_INDEX", 0xf, 0x0}
	} },
	{"PM_FUSES_55", 0x3fb58, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_54", 0x3fb54, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_57", 0x3fb60, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_LEVEL_COUNT", 0x3fdc4, {
		{"LCLK_DPM_LEVEL_COUNT", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_2_CNTL_2", 0x3fd30, {
		{"HYSTERESIS_UP", 0xff00, 0x8},
		{"HYSTERESIS_DOWN", 0xff, 0x0},
		{"RESIDENCY_COUNTER", 0xffff0000, 0x10}
	} },
	{"CC_TST_ID_STRAPS", 0xc00c0020, {
		{"MINOR_REV_ID", 0xf000000, 0x18},
		{"MAJOR_REV_ID", 0xf00000, 0x14},
		{"DEVICE_ID", 0xffff0, 0x4}
	} },
	{"SMC_PC_C", 0x80000370, {
		{"smc_pc_c", 0xffffffff, 0x0}
	} },
	{"PM_CONFIG", 0x3f9d8, {
		{"Enable_Hybrid_Boost", 0x100000, 0x14},
		{"Override_VPC_Current", 0x10000, 0x10},
		{"Override_Calc_Temp", 0x80000, 0x13},
		{"Reserved", 0xff80, 0x7},
		{"Enable_LoadLine", 0x40, 0x6},
		{"Enable_PKG_PWR_LIMIT", 0x80000000, 0x1f},
		{"NBPSTATE_AllCpusIdle", 0x8000000, 0x1b},
		{"Enable_PDM", 0x40000000, 0x1e},
		{"SVI_Mode", 0x20000000, 0x1d},
		{"PSTATE_AllCpusIdle", 0x7000000, 0x18},
		{"Enable_LPMx", 0x8, 0x3},
		{"Enable_TDC_Limit", 0x4, 0x2},
		{"Enable_BAPM", 0x2, 0x1},
		{"Enable_VPC_Accumulators", 0x1, 0x0},
		{"Reserved2", 0xe00000, 0x15},
		{"Reserved1", 0x60000, 0x11},
		{"Enable_NBDPM", 0x20, 0x5},
		{"Reserved3", 0x10000000, 0x1c},
		{"Enable_HTC_Limit", 0x10, 0x4}
	} },
	{"PDM_STATUS", 0x3fa64, {
		{"NewCpcTdpLimit", 0x1fffe, 0x1},
		{"NoofConnectedCores", 0x1e0000, 0x11},
		{"PDM_ENABLED", 0x1, 0x0},
		{"Reserved", 0xffe00000, 0x15}
	} },
	{"SMU_LCLK_DPM_STATE_1_CNTL_0", 0x3fd14, {
		{"LOW_VOLTAGE_REQ_THRESHOLD", 0xff, 0x0},
		{"STATE_VALID", 0xff000000, 0x18},
		{"CLK_DIVIDER", 0xff0000, 0x10},
		{"VID", 0xff00, 0x8}
	} },
	{"SMU_LCLK_DPM_STATE_1_CNTL_1", 0x3fd18, {
		{"MIN_VDDNB", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_1_CNTL_2", 0x3fd1c, {
		{"HYSTERESIS_UP", 0xff00, 0x8},
		{"HYSTERESIS_DOWN", 0xff, 0x0},
		{"RESIDENCY_COUNTER", 0xffff0000, 0x10}
	} },
	{"SMU_LCLK_DPM_STATE_1_CNTL_3", 0x3fd20, {
		{"LCLK_FREQUENCY", 0xffffffff, 0x0}
	} },
	{"SMU_INPUT_DATA", 0xe00030b8, {
		{"START_ADDR", 0x7fffffff, 0x0},
		{"AUTO_START", 0x80000000, 0x1f}
	} },
	{"DPM_TABLE_158", 0x3f274, {
		{"AcpLevel_6_Divider", 0xff00, 0x8},
		{"AcpLevel_6_ClkBypassCntl", 0xff, 0x0},
		{"AcpLevel_6_MinVoltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_159", 0x3f278, {
		{"AcpLevel_6_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_156", 0x3f26c, {
		{"AcpLevel_5_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_157", 0x3f270, {
		{"AcpLevel_6_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_154", 0x3f264, {
		{"AcpLevel_5_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_155", 0x3f268, {
		{"AcpLevel_5_ClkBypassCntl", 0xff, 0x0},
		{"AcpLevel_5_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_5_Divider", 0xff00, 0x8}
	} },
	{"DPM_TABLE_152", 0x3f25c, {
		{"AcpLevel_4_Divider", 0xff00, 0x8},
		{"AcpLevel_4_ClkBypassCntl", 0xff, 0x0},
		{"AcpLevel_4_MinVoltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_153", 0x3f260, {
		{"AcpLevel_4_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_150", 0x3f254, {
		{"AcpLevel_3_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_151", 0x3f258, {
		{"AcpLevel_4_Frequency", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_18", 0x3fe48, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_19", 0x3fe4c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_16", 0x3fe40, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_17", 0x3fe44, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_14", 0x3fe38, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_15", 0x3fe3c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CG_FPS_CNT", 0x1a4, {
		{"FPS_CNT", 0xff, 0x0}
	} },
	{"SMU_PM_STATUS_13", 0x3fe34, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_10", 0x3fe28, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_11", 0x3fe2c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_47", 0x3f0b8, {
		{"GraphicsLevel_3_UpHyst", 0xff, 0x0},
		{"GraphicsLevel_3_EnabledForThrottle", 0xff00, 0x8},
		{"GraphicsLevel_3_DisplayWatermark", 0xff000000, 0x18},
		{"GraphicsLevel_3_EnabledForActivity", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_46", 0x3f0b4, {
		{"GraphicsLevel_3_ForceNbPs1", 0xff00, 0x8},
		{"GraphicsLevel_3_SclkDid", 0xff, 0x0},
		{"GraphicsLevel_3_GnbSlow", 0xff0000, 0x10},
		{"GraphicsLevel_3_PowerThrottle", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_45", 0x3f0b0, {
		{"GraphicsLevel_3_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_3_VidOffset", 0xff0000, 0x10},
		{"GraphicsLevel_3_Vid", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_44", 0x3f0ac, {
		{"GraphicsLevel_3_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_43", 0x3f0a8, {
		{"GraphicsLevel_3_MinVddNb", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_42", 0x3f0a4, {
		{"GraphicsLevel_2_reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_41", 0x3f0a0, {
		{"GraphicsLevel_2_DownHyst", 0xff000000, 0x18},
		{"GraphicsLevel_2_DeepSleepDivId", 0xff00, 0x8},
		{"GraphicsLevel_2_ClkBypassCntl", 0xff, 0x0},
		{"GraphicsLevel_2_VoltageDownHyst", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_40", 0x3f09c, {
		{"GraphicsLevel_2_EnabledForThrottle", 0xff00, 0x8},
		{"GraphicsLevel_2_EnabledForActivity", 0xff0000, 0x10},
		{"GraphicsLevel_2_UpHyst", 0xff, 0x0},
		{"GraphicsLevel_2_DisplayWatermark", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_49", 0x3f0c0, {
		{"GraphicsLevel_3_reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_48", 0x3f0bc, {
		{"GraphicsLevel_3_DownHyst", 0xff000000, 0x18},
		{"GraphicsLevel_3_DeepSleepDivId", 0xff00, 0x8},
		{"GraphicsLevel_3_ClkBypassCntl", 0xff, 0x0},
		{"GraphicsLevel_3_VoltageDownHyst", 0xff0000, 0x10}
	} },
	{"GCK_PLL_TEST_CNTL_2", 0xc05001c4, {
		{"TEST_COUNT", 0xfffe0000, 0x11}
	} },
	{"SMU_PM_STATUS_89", 0x3ff64, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_88", 0x3ff60, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_81", 0x3ff44, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_80", 0x3ff40, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_83", 0x3ff4c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_MONITOR_PORT80_CTRL", 0x3fa5c, {
		{"RESERVED", 0xfffc, 0x2},
		{"ENABLE_DRAM_SHADOW", 0x1, 0x0},
		{"ENABLE_CSR_SHADOW", 0x2, 0x1},
		{"POLLING_INTERVAL", 0xffff0000, 0x10}
	} },
	{"SMU_PM_STATUS_85", 0x3ff54, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"GCK2_GCK_SMC_IND_DATA", 0x85, {

	} },
	{"SMU_PM_STATUS_87", 0x3ff5c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_86", 0x3ff58, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_19", 0x3f948, {
		{"Reserved_7", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_18", 0x3f944, {
		{"Reserved_6", 0xffffffff, 0x0}
	} },
	{"RCU_UC_EVENTS", 0xc0000004, {
		{"INTERRUPTS_ENABLED", 0x10000, 0x10},
		{"RCU_DtmCnt1_Done", 0x40000, 0x12},
		{"RCU_TST_jpc_rep_req", 0x1, 0x0},
		{"sclk_deep_sleep_exit", 0x100, 0x8},
		{"BREAK_PT1_ACTIVE", 0x200, 0x9},
		{"boot_seq_done", 0x80, 0x7},
		{"RCU_DtmCnt2_Done", 0x80000, 0x13},
		{"TP_Tester", 0x40, 0x6},
		{"RCU_GIO_fch_lockdown", 0x2000, 0xd},
		{"TST_RCU_jpc_rep_done", 0x2, 0x1},
		{"FCH_HALT", 0x800, 0xb},
		{"drv_rst_mode", 0x4, 0x2},
		{"BREAK_PT2_ACTIVE", 0x400, 0xa},
		{"RCU_DtmCnt0_Done", 0x20000, 0x11},
		{"irq31_sel", 0x3000000, 0x18}
	} },
	{"SOFT_REGISTERS_TABLE_11", 0x3f928, {
		{"VCEDpmEnabledLevels", 0xff, 0x0},
		{"SAMUDpmEnabledLevels", 0xff0000, 0x10},
		{"UVDDpmEnabledLevels", 0xff000000, 0x18},
		{"ACPDpmEnabledLevels", 0xff00, 0x8}
	} },
	{"SOFT_REGISTERS_TABLE_10", 0x3f924, {
		{"PCIeDpmEnabledLevels", 0xff, 0x0},
		{"LClkDpmEnabledLevels", 0xff00, 0x8},
		{"SClkDpmEnabledLevels", 0xff000000, 0x18},
		{"MClkDpmEnabledLevels", 0xff0000, 0x10}
	} },
	{"SOFT_REGISTERS_TABLE_13", 0x3f930, {
		{"Reserved_1", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_12", 0x3f92c, {
		{"Reserved_0", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_15", 0x3f938, {
		{"Reserved_3", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_14", 0x3f934, {
		{"Reserved_2", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_17", 0x3f940, {
		{"Reserved_5", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_16", 0x3f93c, {
		{"Reserved_4", 0xffffffff, 0x0}
	} },
	{"LCAC_MC3_CNTL", 0xc0400d54, {
		{"MC3_SIGNAL_ID", 0x3fc00000, 0x16},
		{"MC3_ENABLE", 0x1, 0x0},
		{"MC3_THRESHOLD", 0x1fffe, 0x1},
		{"MC3_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"GCK3_GCK_SMC_IND_INDEX", 0x86, {

	} },
	{"LCAC_SX0_OVR_SEL", 0xc0400d04, {
		{"SX0_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"GCK1_GCK_SMC_IND_INDEX", 0x82, {

	} },
	{"PM_FUSES_11", 0x3faa8, {
		{"LhtcHystLmt", 0xff0000, 0x10},
		{"LhtcPstateLimit", 0xff00, 0x8},
		{"LhtcTmpLmt", 0xff, 0x0},
		{"BAPMTI_GpuTjMax", 0xff000000, 0x18}
	} },
	{"PM_FUSES_10", 0x3faa4, {
		{"BAPMTI_TjMax_1", 0xff, 0x0},
		{"BAPMTI_TjMax_0", 0xff00, 0x8},
		{"BAPMTI_GpuTjHyst", 0xffff0000, 0x10}
	} },
	{"PM_FUSES_13", 0x3fab0, {
		{"MidPwrCpu_1", 0xff0000, 0x10},
		{"MidPwrCpu_0", 0xff000000, 0x18},
		{"NomPwrGpu", 0xffff, 0x0}
	} },
	{"PM_FUSES_12", 0x3faac, {
		{"NomPwrCpu_0", 0xff000000, 0x18},
		{"NomPwrCpu_1", 0xff0000, 0x10},
		{"MaxPwrCpu_1", 0xff, 0x0},
		{"MaxPwrCpu_0", 0xff00, 0x8}
	} },
	{"PM_FUSES_15", 0x3fab8, {
		{"PCIe2PhyOffset", 0xff00, 0x8},
		{"PCIe3PhyOffset", 0xff, 0x0},
		{"PCIe1PhyOffset", 0xff0000, 0x10},
		{"MidPwrTempHyst", 0xff000000, 0x18}
	} },
	{"PM_FUSES_14", 0x3fab4, {
		{"MinPwrGpu", 0xffff, 0x0},
		{"MaxPwrGpu", 0xffff0000, 0x10}
	} },
	{"PM_FUSES_17", 0x3fac0, {
		{"TDC_VDDNB_ThrottleReleaseLimitPerc", 0xff, 0x0},
		{"TDC_VDD_ThrottleReleaseLimitPerc", 0xff00, 0x8},
		{"TDC_VDDNB_PkgLimit", 0xffff0000, 0x10}
	} },
	{"PM_FUSES_16", 0x3fabc, {
		{"DCE2PhyOffset", 0xff0000, 0x10},
		{"TDC_VDD_PkgLimit", 0xffff, 0x0},
		{"DCE1PhyOffset", 0xff000000, 0x18}
	} },
	{"PM_FUSES_19", 0x3fac8, {
		{"BapmLhtcCap", 0xff, 0x0},
		{"BapmFuseOverride", 0xff00, 0x8},
		{"SmuCoolingIndex", 0xff0000, 0x10},
		{"SmuSocIndex", 0xff000000, 0x18}
	} },
	{"PM_FUSES_18", 0x3fac4, {
		{"TdcWaterfallCtl", 0xff, 0x0},
		{"TdpAgeValue", 0xff0000, 0x10},
		{"TDC_MAWt", 0xff000000, 0x18},
		{"TdpAgeRate", 0xff00, 0x8}
	} },
	{"CG_ACLK_CNTL", 0xc05000dc, {
		{"ACLK_DIR_CNTL_DIVIDER", 0x1fc00, 0xa},
		{"ACLK_DIR_CNTL_TOG", 0x200, 0x9},
		{"ACLK_DIVIDER", 0x7f, 0x0},
		{"ACLK_DIR_CNTL_EN", 0x100, 0x8}
	} },
	{"SMU_LCLK_DPM_STATE_5_CNTL_0", 0x3fd64, {
		{"LOW_VOLTAGE_REQ_THRESHOLD", 0xff, 0x0},
		{"STATE_VALID", 0xff000000, 0x18},
		{"CLK_DIVIDER", 0xff0000, 0x10},
		{"VID", 0xff00, 0x8}
	} },
	{"SMU_LCLK_DPM_STATE_5_CNTL_1", 0x3fd68, {
		{"MIN_VDDNB", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_5_CNTL_2", 0x3fd6c, {
		{"HYSTERESIS_UP", 0xff00, 0x8},
		{"HYSTERESIS_DOWN", 0xff, 0x0},
		{"RESIDENCY_COUNTER", 0xffff0000, 0x10}
	} },
	{"SMU_LCLK_DPM_STATE_5_CNTL_3", 0x3fd70, {
		{"LCLK_FREQUENCY", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_121", 0x3ffe4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TDC_STATUS", 0x3f9d0, {
		{"VDD_Throttle", 0xff00, 0x8},
		{"VDDNB_Throttle", 0xff000000, 0x18},
		{"VDDNB_Boost", 0xff0000, 0x10},
		{"VDD_Boost", 0xff, 0x0}
	} },
	{"SMU_PM_STATUS_123", 0x3ffec, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_122", 0x3ffe8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX", 0x80, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"GCK_SMC_IND_DATA", 0x81, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"EXT_API_IN_DATA_0_2", 0x3f860, {
		{"byte3", 0xff000000, 0x18},
		{"byte2", 0xff0000, 0x10},
		{"byte1", 0xff00, 0x8},
		{"byte0", 0xff, 0x0}
	} },
	{"EXT_API_IN_DATA_0_3", 0x3f864, {
		{"byte3", 0xff000000, 0x18},
		{"byte2", 0xff0000, 0x10},
		{"byte1", 0xff00, 0x8},
		{"byte0", 0xff, 0x0}
	} },
	{"EXT_API_IN_DATA_0_0", 0x3f858, {
		{"byte3", 0xff000000, 0x18},
		{"byte2", 0xff0000, 0x10},
		{"byte1", 0xff00, 0x8},
		{"byte0", 0xff, 0x0}
	} },
	{"EXT_API_IN_DATA_0_1", 0x3f85c, {
		{"byte3", 0xff000000, 0x18},
		{"byte2", 0xff0000, 0x10},
		{"byte1", 0xff00, 0x8},
		{"byte0", 0xff, 0x0}
	} },
	{"FIRMWARE_FLAGS", 0x3f800, {
		{"INTERRUPTS_ENABLED", 0x1, 0x0},
		{"TEST_COUNT", 0xff000000, 0x18},
		{"RESERVED", 0xfffffe, 0x1}
	} },
	{"CU_POWER", 0x3f9b0, {
		{"CU1_POWER", 0xffff0000, 0x10},
		{"CU0_POWER", 0xffff, 0x0}
	} },
	{"DISP_PHY_CONFIG", 0x3f84c, {
		{"Corner", 0xff, 0x0},
		{"DispPHYConfig", 0xff00, 0x8}
	} },
	{"SMU_PM_STATUS_125", 0x3fff4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_124", 0x3fff0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_FIRMWARE", 0xe00030a4, {
		{"SMU_RD_DONE", 0x6, 0x1},
		{"SMU_SEL", 0x20000, 0x11},
		{"SMU_MODE", 0x10000, 0x10},
		{"SMU_SRAM_RD_BLOCK_EN", 0x8, 0x3},
		{"SMU_IN_PROG", 0x1, 0x0},
		{"SMU_counter", 0xf00, 0x8},
		{"SMU_SRAM_WR_BLOCK_EN", 0x10, 0x4}
	} },
	{"FCH_PWR_CREDIT", 0x3f838, {
		{"FchPwrCredit", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_126", 0x3fff8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PKG_PWR_STATUS", 0x3f848, {
		{"PstateLimitSetFlag", 0x2, 0x1},
		{"PkgPwr_MAWt", 0xff000000, 0x18},
		{"GnbMinLimitSetFlag", 0x1, 0x0},
		{"RESERVED", 0xfc0000, 0x12},
		{"PkgPwrLimit_base", 0x3fffc, 0x2}
	} },
	{"SMU_PM_STATUS_120", 0x3ffe0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_20", 0x3fe50, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_6_ACTIVITY_THRESHOLD", 0x3fd88, {
		{"LCLKBYPASSCNTL", 0xff00, 0x8},
		{"RESERVED", 0xff, 0x0},
		{"ENABLED_FOR_THROTTLE", 0xff0000, 0x10},
		{"ACTIVITY_THRESHOLD", 0xff000000, 0x18}
	} },
	{"SMU_PM_STATUS_58", 0x3fee8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CC_FCTRL_FUSES", 0xc00c0024, {
		{"EXT_EFUSE_MACRO_PRESENT", 0x2, 0x1}
	} },
	{"GCK0_GCK_SMC_IND_DATA", 0x81, {

	} },
	{"SMC_MSG_ARG_5", 0xa9, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_112", 0x3f1bc, {
		{"UvdLevel_7_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_113", 0x3f1c0, {
		{"UvdLevel_7_DclkDivider", 0xff, 0x0},
		{"UvdLevel_7_MinVddNb", 0xffff0000, 0x10},
		{"UvdLevel_7_VclkDivider", 0xff00, 0x8}
	} },
	{"DPM_TABLE_110", 0x3f1b4, {
		{"UvdLevel_6_VClkBypassCntl", 0xff000000, 0x18},
		{"UvdLevel_6_DClkBypassCntl", 0xff0000, 0x10},
		{"UvdLevel_6_padding_1", 0xff, 0x0},
		{"UvdLevel_6_padding_0", 0xff00, 0x8}
	} },
	{"DPM_TABLE_111", 0x3f1b8, {
		{"UvdLevel_7_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_116", 0x3f1cc, {
		{"VceLevel_0_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_0_Divider", 0xff00, 0x8},
		{"VceLevel_0_ClkBypassCntl", 0xff, 0x0}
	} },
	{"DPM_TABLE_117", 0x3f1d0, {
		{"VceLevel_0_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_114", 0x3f1c4, {
		{"UvdLevel_7_DClkBypassCntl", 0xff0000, 0x10},
		{"UvdLevel_7_VClkBypassCntl", 0xff000000, 0x18},
		{"UvdLevel_7_padding_0", 0xff00, 0x8},
		{"UvdLevel_7_padding_1", 0xff, 0x0}
	} },
	{"DPM_TABLE_115", 0x3f1c8, {
		{"VceLevel_0_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_178", 0x3f2c4, {
		{"SamuLevel_5_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_118", 0x3f1d4, {
		{"VceLevel_1_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_119", 0x3f1d8, {
		{"VceLevel_1_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_1_Divider", 0xff00, 0x8},
		{"VceLevel_1_ClkBypassCntl", 0xff, 0x0}
	} },
	{"DPM_TABLE_179", 0x3f2c8, {
		{"SamuLevel_5_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_5_Divider", 0xff00, 0x8},
		{"SamuLevel_5_ClkBypassCntl", 0xff, 0x0}
	} },
	{"SMC3_SMC_IND_INDEX", 0x86, {

	} },
	{"CG_CLKPIN_CNTL", 0xc05001a0, {
		{"BCLK_AS_XCLK", 0x4, 0x2},
		{"XTALIN_DIVIDE", 0x2, 0x1}
	} },
	{"SMU_MONITOR_PORT80_MMIO_ADDR", 0x3fa4c, {
		{"MMIO_ADDRESS", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_9", 0xbe, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_189", 0x3f2f0, {
		{"GraphicsInterval", 0xff0000, 0x10},
		{"GraphicsVoltageChangeEnable", 0xff, 0x0},
		{"GraphicsBootLevel", 0xff000000, 0x18},
		{"GraphicsThermThrottleEnable", 0xff00, 0x8}
	} },
	{"DPM_TABLE_188", 0x3f2ec, {
		{"ACPInterval", 0xff00, 0x8},
		{"UVDInterval", 0xff000000, 0x18},
		{"SAMUInterval", 0xff, 0x0},
		{"VCEInterval", 0xff0000, 0x10}
	} },
	{"GPU_POWER", 0x3f9b4, {
		{"DGPU_POWER", 0xffff0000, 0x10},
		{"IGPU_POWER", 0xffff, 0x0}
	} },
	{"DPM_TABLE_181", 0x3f2d0, {
		{"SamuLevel_6_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_180", 0x3f2cc, {
		{"SamuLevel_5_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_183", 0x3f2d8, {
		{"SamuLevel_6_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_182", 0x3f2d4, {
		{"SamuLevel_6_Divider", 0xff00, 0x8},
		{"SamuLevel_6_ClkBypassCntl", 0xff, 0x0},
		{"SamuLevel_6_MinVoltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_185", 0x3f2e0, {
		{"SamuLevel_7_ClkBypassCntl", 0xff, 0x0},
		{"SamuLevel_7_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_7_Divider", 0xff00, 0x8}
	} },
	{"DPM_TABLE_184", 0x3f2dc, {
		{"SamuLevel_7_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_187", 0x3f2e8, {
		{"VceBootLevel", 0xff0000, 0x10},
		{"UvdBootLevel", 0xff000000, 0x18},
		{"SamuBootLevel", 0xff, 0x0},
		{"AcpBootLevel", 0xff00, 0x8}
	} },
	{"DPM_TABLE_186", 0x3f2e4, {
		{"SamuLevel_7_Reserved", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_6_CNTL_1", 0x3fd7c, {
		{"MIN_VDDNB", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_6_CNTL_0", 0x3fd78, {
		{"LOW_VOLTAGE_REQ_THRESHOLD", 0xff, 0x0},
		{"STATE_VALID", 0xff000000, 0x18},
		{"CLK_DIVIDER", 0xff0000, 0x10},
		{"VID", 0xff00, 0x8}
	} },
	{"SMU_LCLK_DPM_STATE_6_CNTL_3", 0x3fd84, {
		{"LCLK_FREQUENCY", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_6_CNTL_2", 0x3fd80, {
		{"HYSTERESIS_UP", 0xff00, 0x8},
		{"HYSTERESIS_DOWN", 0xff, 0x0},
		{"RESIDENCY_COUNTER", 0xffff0000, 0x10}
	} },
	{"PCIE_PLL_RECONF", 0x3f81c, {
		{"RECONF_WRAPPER", 0xff00, 0x8},
		{"RECONF_WAIT", 0xff, 0x0},
		{"SB_RELOCATE_EN", 0xff0000, 0x10},
		{"SB_NEW_PORT", 0xff000000, 0x18}
	} },
	{"GCK1_GCK_SMC_IND_DATA", 0x83, {

	} },
	{"SMC_RESP_11", 0xbc, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_10", 0xba, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_4_ACTIVITY_THRESHOLD", 0x3fd60, {
		{"LCLKBYPASSCNTL", 0xff00, 0x8},
		{"RESERVED", 0xff, 0x0},
		{"ENABLED_FOR_THROTTLE", 0xff0000, 0x10},
		{"ACTIVITY_THRESHOLD", 0xff000000, 0x18}
	} },
	{"CC_SMU_MISC_FUSES", 0xc00c0004, {
		{"GNB_SPARE", 0x60000000, 0x1d},
		{"L2IMU_tn2_itc_half", 0x100000, 0x14},
		{"L2IMU_tn2_pdc_half", 0x200000, 0x15},
		{"PostResetGnbClkDid", 0x3f800, 0xb},
		{"IOC_IOMMU_DISABLE", 0x10000000, 0x1c},
		{"IOMMU_V2_DISABLE", 0x2, 0x1},
		{"VCE_DISABLE", 0x8000000, 0x1b},
		{"MinSClkDid", 0x1fc, 0x2},
		{"L2IMU_tn2_itc_dis", 0x800000, 0x17},
		{"L2IMU_tn2_ptc_half", 0x80000, 0x13},
		{"MISC_SPARE", 0x600, 0x9},
		{"L2IMU_tn2_dtc_half", 0x40000, 0x12},
		{"L2IMU_tn2_ptc_dis", 0x400000, 0x16}
	} },
	{"SMU_PM_STATUS_4", 0x3fe10, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_5", 0x3fe14, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_6", 0x3fe18, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_7", 0x3fe1c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_0", 0x3fe00, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_1", 0x3fe04, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_2", 0x3fe08, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_3", 0x3fe0c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_52", 0x3fed0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_53", 0x3fed4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_50", 0x3fec8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_51", 0x3fecc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_8", 0x3fe20, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_9", 0x3fe24, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_54", 0x3fed8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_55", 0x3fedc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"HTC_CONFIG", 0x3fa38, {
		{"TCEN_ID", 0x3c0, 0x6},
		{"CSR_ADDR", 0x3f, 0x0},
		{"HTC_ACTIVE_PSTATE_LIMIT", 0xff0000, 0x10},
		{"Reserved", 0xff000000, 0x18}
	} },
	{"SPLL_CNTL_MODE", 0xc0500160, {
		{"SPLL_TEST", 0x4, 0x2},
		{"SPLL_RESET_EN", 0x10000000, 0x1c},
		{"SPLL_CTLREQ_DLY_CNT", 0xff000, 0xc},
		{"SPLL_SW_DIR_CONTROL", 0x1, 0x0},
		{"SPLL_TEST_CLK_EXT_DIV", 0xc00, 0xa},
		{"SPLL_ENSAT", 0x10, 0x4},
		{"SPLL_LEGACY_PDIV", 0x2, 0x1},
		{"SPLL_FASTEN", 0x8, 0x3},
		{"SPLL_VCO_MODE", 0x60000000, 0x1d}
	} },
	{"SMC2_SMC_IND_DATA", 0x85, {

	} },
	{"CG_FREQ_TRAN_VOTING_5", 0xc02001bc, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_FREQ_TRAN_VOTING_4", 0xc02001b8, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_FREQ_TRAN_VOTING_7", 0xc02001c4, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_FREQ_TRAN_VOTING_6", 0xc02001c0, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_FREQ_TRAN_VOTING_1", 0xc02001ac, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_FREQ_TRAN_VOTING_0", 0xc02001a8, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_FREQ_TRAN_VOTING_3", 0xc02001b4, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"SMU_PM_STATUS_111", 0x3ffbc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"ENTITY_TEMPERATURES_1", 0x3f9a4, {
		{"CORE0", 0xffffffff, 0x0}
	} },
	{"CG_THERMAL_INT_CTRL", 0xc2100028, {
		{"THERM_GNB_HW_ENA", 0x10000000, 0x1c},
		{"THERM_INTH_MASK", 0x1000000, 0x18},
		{"THERM_INTL_MASK", 0x2000000, 0x19},
		{"DIG_THERM_INTH", 0xff, 0x0},
		{"THERM_TRIGGER_MASK", 0x4000000, 0x1a},
		{"DIG_THERM_INTL", 0xff00, 0x8},
		{"GNB_TEMP_THRESHOLD", 0xff0000, 0x10},
		{"THERM_TRIGGER_CNB_MASK", 0x8000000, 0x1b}
	} },
	{"AVS_CU1_TEMPERATURE_SENSOR", 0x3fa40, {
		{"CsrAddr", 0x3f, 0x0},
		{"TcenID", 0x3c0, 0x6},
		{"RESERVED", 0xfffffc00, 0xa}
	} },
	{"CC_GIO_IOC_FUSES", 0xc00c0010, {
		{"IOC_FUSES", 0x3fffe, 0x1}
	} },
	{"ENTITY_TEMPERATURES_2", 0x3f9a8, {
		{"CORE1", 0xffffffff, 0x0}
	} },
	{"PKG_PWR_CNTL", 0x3f844, {
		{"PkgPwrLimit", 0x1fffe, 0x1},
		{"RESERVED", 0xe0000000, 0x1d},
		{"FchPwrCreditScale", 0x7e0000, 0x11},
		{"PkgHystCoeff", 0x1f800000, 0x17},
		{"CpcGpuPerfPri", 0x1, 0x0}
	} },
	{"SMU_HTC_STATUS", 0x3f99c, {
		{"HTC_ACTIVE", 0x1, 0x0},
		{"Reserved", 0xfffffffe, 0x1}
	} },
	{"BAPM_PARAMETERS", 0x3f984, {
		{"NomPwrCpu_0", 0xff000000, 0x18},
		{"NomPwrCpu_1", 0xff00, 0x8},
		{"MaxPwrCpu_1", 0xff, 0x0},
		{"MaxPwrCpu_0", 0xff0000, 0x10}
	} },
	{"PM_FUSES_48", 0x3fb3c, {
		{"HeatPdmThr2", 0xff0000, 0x10},
		{"PkgPwr_MAWt", 0xff, 0x0},
		{"GpuActThr", 0xff00, 0x8},
		{"HeatPdmThr1", 0xff000000, 0x18}
	} },
	{"PM_FUSES_49", 0x3fb40, {
		{"SocketTdp", 0xffff, 0x0},
		{"GpuPdmMult", 0xffff0000, 0x10}
	} },
	{"PM_FUSES_42", 0x3fb24, {
		{"VddNbVidOffset_2", 0xff, 0x0},
		{"VddNbVidOffset_1", 0xff00, 0x8},
		{"VddNbVidOffset_0", 0xff0000, 0x10},
		{"VddNbVid_4", 0xff000000, 0x18}
	} },
	{"PM_FUSES_43", 0x3fb28, {
		{"VddNbVidOffset_3", 0xff000000, 0x18},
		{"BapmDisable", 0xff, 0x0},
		{"VddNbVidOffset_4", 0xff0000, 0x10},
		{"CoreTdpLimit0", 0xff00, 0x8}
	} },
	{"PM_FUSES_40", 0x3fb1c, {
		{"BapmVddNbBaseLeakageLoSidd", 0xffff, 0x0},
		{"BapmVddNbBaseLeakageHiSidd", 0xffff0000, 0x10}
	} },
	{"PM_FUSES_41", 0x3fb20, {
		{"VddNbVid_0", 0xff000000, 0x18},
		{"VddNbVid_1", 0xff0000, 0x10},
		{"VddNbVid_2", 0xff00, 0x8},
		{"VddNbVid_3", 0xff, 0x0}
	} },
	{"PM_FUSES_46", 0x3fb34, {
		{"BaseCpcTdpLimit", 0xff000000, 0x18},
		{"BaseCpcTdpLimit2", 0xff00, 0x8},
		{"CoolPdmTc", 0xff, 0x0},
		{"BaseCpcTdpLimit1", 0xff0000, 0x10}
	} },
	{"PM_FUSES_47", 0x3fb38, {
		{"CoolPdmThr1", 0xff00, 0x8},
		{"GpuPdmTc", 0xff0000, 0x10},
		{"CoolPdmThr2", 0xff, 0x0},
		{"HeatPdmTc", 0xff000000, 0x18}
	} },
	{"PM_FUSES_44", 0x3fb2c, {
		{"LpmlL2_0", 0xff000000, 0x18},
		{"LpmlL2_1", 0xff0000, 0x10},
		{"LpmlL2_2", 0xff00, 0x8},
		{"LpmlL2_3", 0xff, 0x0}
	} },
	{"PM_FUSES_45", 0x3fb30, {
		{"LpmlL2_4", 0xff000000, 0x18},
		{"LpmlL2_5", 0xff0000, 0x10},
		{"LpmlL2_6", 0xff00, 0x8},
		{"LpmlL2_7", 0xff, 0x0}
	} },
	{"ENTITY_TEMPERATURES_3", 0x3f9ac, {
		{"GPU", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_94", 0x3ff78, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"BAPM_PARAMETERS_4", 0x3f990, {
		{"MinPwrGpu", 0xffff, 0x0},
		{"MidPwrCpu_0", 0xff000000, 0x18},
		{"MidPwrCpu_1", 0xff0000, 0x10}
	} },
	{"BAPM_PARAMETERS_3", 0x3f98c, {
		{"EnergyCntNorm", 0x3ff00, 0x8},
		{"Reserved", 0xfffc0000, 0x12},
		{"TjOffset", 0xff, 0x0}
	} },
	{"BAPM_PARAMETERS_2", 0x3f988, {
		{"NomPwrGpu", 0xffff0000, 0x10},
		{"MaxPwrGpu", 0xffff, 0x0}
	} },
	{"SMC_IND_INDEX_6", 0x8c, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_7", 0x8e, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_4", 0x88, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_5", 0x8a, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_2", 0x84, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_3", 0x86, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_0", 0x80, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_1", 0x82, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"LCAC_MC1_OVR_SEL", 0xc0400d40, {
		{"MC1_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"CG_SPLL_SPREAD_SPECTRUM", 0xc0500164, {
		{"SSEN", 0x1, 0x0},
		{"CLKS", 0xfff0, 0x4}
	} },
	{"SMU_LCLK_DPM_THERMAL_THROTTLING_THRESHOLDS", 0x3fdd4, {
		{"HIGH_THRESHOLD", 0xffff0000, 0x10},
		{"LOW_THRESHOLD", 0xffff, 0x0}
	} },
	{"CC_SCLK_VID_FUSES", 0xc00c0008, {
		{"SClkVid2", 0xff0000, 0x10},
		{"SClkVid3", 0xff000000, 0x18},
		{"SClkVid0", 0xff, 0x0},
		{"SClkVid1", 0xff00, 0x8}
	} },
	{"SMU_LCLK_DPM_STATE_3_ACTIVITY_THRESHOLD", 0x3fd4c, {
		{"LCLKBYPASSCNTL", 0xff00, 0x8},
		{"RESERVED", 0xff, 0x0},
		{"ENABLED_FOR_THROTTLE", 0xff0000, 0x10},
		{"ACTIVITY_THRESHOLD", 0xff000000, 0x18}
	} },
	{"SMU_PM_STATUS_99", 0x3ff8c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CG_ULV_PARAMETER", 0xc020015c, {
		{"ULV_THRESHOLD_UNIT", 0xf0000, 0x10},
		{"ULV_THRESHOLD", 0xffff, 0x0}
	} },
	{"EXT_API_OUT_DATA_0_0", 0x3f868, {
		{"byte3", 0xff000000, 0x18},
		{"byte2", 0xff0000, 0x10},
		{"byte1", 0xff00, 0x8},
		{"byte0", 0xff, 0x0}
	} },
	{"EXT_API_OUT_DATA_0_1", 0x3f86c, {
		{"byte3", 0xff000000, 0x18},
		{"byte2", 0xff0000, 0x10},
		{"byte1", 0xff00, 0x8},
		{"byte0", 0xff, 0x0}
	} },
	{"EXT_API_OUT_DATA_0_2", 0x3f870, {
		{"byte3", 0xff000000, 0x18},
		{"byte2", 0xff0000, 0x10},
		{"byte1", 0xff00, 0x8},
		{"byte0", 0xff, 0x0}
	} },
	{"EXT_API_OUT_DATA_0_3", 0x3f874, {
		{"byte3", 0xff000000, 0x18},
		{"byte2", 0xff0000, 0x10},
		{"byte1", 0xff00, 0x8},
		{"byte0", 0xff, 0x0}
	} },
	{"PM_FUSES_60", 0x3fb6c, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_169", 0x3f2a0, {
		{"SamuLevel_2_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_168", 0x3f29c, {
		{"SamuLevel_1_Reserved", 0xffffffff, 0x0}
	} },
	{"SMC_SYSCON_MISC_CNTL", 0x80000010, {

	} },
	{"PM_FUSES_61", 0x3fb70, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_163", 0x3f288, {
		{"SamuLevel_0_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_162", 0x3f284, {
		{"AcpLevel_7_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_161", 0x3f280, {
		{"AcpLevel_7_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_7_Divider", 0xff00, 0x8},
		{"AcpLevel_7_ClkBypassCntl", 0xff, 0x0}
	} },
	{"DPM_TABLE_160", 0x3f27c, {
		{"AcpLevel_7_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_167", 0x3f298, {
		{"SamuLevel_1_Divider", 0xff00, 0x8},
		{"SamuLevel_1_ClkBypassCntl", 0xff, 0x0},
		{"SamuLevel_1_MinVoltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_166", 0x3f294, {
		{"SamuLevel_1_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_165", 0x3f290, {
		{"SamuLevel_0_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_164", 0x3f28c, {
		{"SamuLevel_0_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_0_Divider", 0xff00, 0x8},
		{"SamuLevel_0_ClkBypassCntl", 0xff, 0x0}
	} },
	{"PM_FUSES_63", 0x3fb78, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_RESP_9", 0xb8, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_8", 0xb6, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_7", 0xa3, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_6", 0xa1, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_5", 0x9f, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_4", 0x9d, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_3", 0x9b, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_2", 0x99, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_1", 0x97, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_0", 0x95, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"DPM_TABLE_72", 0x3f11c, {
		{"GraphicsLevel_7_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_73", 0x3f120, {
		{"GraphicsLevel_7_VidOffset", 0xff0000, 0x10},
		{"GraphicsLevel_7_Vid", 0xff000000, 0x18},
		{"GraphicsLevel_7_ActivityLevel", 0xffff, 0x0}
	} },
	{"DPM_TABLE_70", 0x3f114, {
		{"GraphicsLevel_6_reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_71", 0x3f118, {
		{"GraphicsLevel_7_MinVddNb", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_76", 0x3f12c, {
		{"GraphicsLevel_7_DeepSleepDivId", 0xff00, 0x8},
		{"GraphicsLevel_7_ClkBypassCntl", 0xff, 0x0},
		{"GraphicsLevel_7_DownHyst", 0xff000000, 0x18},
		{"GraphicsLevel_7_VoltageDownHyst", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_77", 0x3f130, {
		{"GraphicsLevel_7_reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_74", 0x3f124, {
		{"GraphicsLevel_7_PowerThrottle", 0xff000000, 0x18},
		{"GraphicsLevel_7_GnbSlow", 0xff0000, 0x10},
		{"GraphicsLevel_7_ForceNbPs1", 0xff00, 0x8},
		{"GraphicsLevel_7_SclkDid", 0xff, 0x0}
	} },
	{"DPM_TABLE_75", 0x3f128, {
		{"GraphicsLevel_7_DisplayWatermark", 0xff000000, 0x18},
		{"GraphicsLevel_7_UpHyst", 0xff, 0x0},
		{"GraphicsLevel_7_EnabledForThrottle", 0xff00, 0x8},
		{"GraphicsLevel_7_EnabledForActivity", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_78", 0x3f134, {
		{"ACPILevel_Flags", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_79", 0x3f138, {
		{"ACPILevel_MinVddNb", 0xffffffff, 0x0}
	} },
	{"LCAC_SX0_CNTL", 0xc0400d00, {
		{"SX0_SIGNAL_ID", 0x3fc00000, 0x16},
		{"SX0_ENABLE", 0x1, 0x0},
		{"SX0_THRESHOLD", 0x1fffe, 0x1},
		{"SX0_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"CG_DISPLAY_GAP_CNTL", 0xc0200060, {
		{"VBI_TIMER_COUNT", 0x3fff0, 0x4},
		{"DISP_GAP", 0x3, 0x0},
		{"DISP_GAP_MCHG", 0x3000000, 0x18},
		{"VBI_TIMER_DISABLE", 0x10000000, 0x1c},
		{"VBI_TIMER_UNIT", 0x700000, 0x14}
	} },
	{"SMU_VPC_STATUS", 0x3f9a0, {
		{"Reserved", 0xfffffffe, 0x1},
		{"AllCpuIdleLast", 0x1, 0x0}
	} },
	{"CG_ACPI_CNTL", 0xc0200064, {
		{"SCLK_ACPI_DIV", 0x7f, 0x0},
		{"SCLK_CHANGE_SKIP", 0x80, 0x7}
	} },
	{"NTE_POWER", 0x3f9b8, {
		{"NTE0_POWER", 0xffff, 0x0},
		{"NTE1_POWER", 0xffff0000, 0x10}
	} },
	{"TEMPERATURE_READ_ADDR", 0x3f808, {
		{"TCEN_ID", 0x3c0, 0x6},
		{"CSR_ADDR", 0x3f, 0x0},
		{"RESERVED", 0xfffffc00, 0xa}
	} },
	{"LCAC_MC1_OVR_VAL", 0xc0400d44, {
		{"MC1_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"SMC1_SMC_IND_INDEX", 0x82, {

	} },
	{"GCK3_GCK_SMC_IND_DATA", 0x87, {

	} },
	{"PM_INTERVAL_CNTL_2", 0x3f82c, {
		{"LPMX_PERIOD", 0xff000000, 0x18},
		{"TDC_PERIOD", 0xff0000, 0x10},
		{"BAPM_PERIOD", 0xff, 0x0},
		{"HTC_PERIOD", 0xff00, 0x8}
	} },
	{"PM_INTERVAL_CNTL_0", 0x3f820, {
		{"VOLTAGE_CNTL", 0xff0000, 0x10},
		{"THERMAL_CNTL", 0xff00, 0x8},
		{"LCLK_DPM", 0xff, 0x0},
		{"LOADLINE", 0xff000000, 0x18}
	} },
	{"PM_INTERVAL_CNTL_1", 0x3f824, {
		{"NB_DPM", 0xff, 0x0},
		{"PKGPWR_PERIOD", 0xff0000, 0x10},
		{"TDP_CNTL", 0xff000000, 0x18},
		{"AVS_PERIOD", 0xff00, 0x8}
	} },
	{"SMU_LCLK_DPM_STATE_0_CNTL_3", 0x3fd0c, {
		{"LCLK_FREQUENCY", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_0_CNTL_2", 0x3fd08, {
		{"HYSTERESIS_UP", 0xff00, 0x8},
		{"HYSTERESIS_DOWN", 0xff, 0x0},
		{"RESIDENCY_COUNTER", 0xffff0000, 0x10}
	} },
	{"SMU_LCLK_DPM_STATE_0_CNTL_1", 0x3fd04, {
		{"MIN_VDDNB", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_0_CNTL_0", 0x3fd00, {
		{"LOW_VOLTAGE_REQ_THRESHOLD", 0xff, 0x0},
		{"STATE_VALID", 0xff000000, 0x18},
		{"CLK_DIVIDER", 0xff0000, 0x10},
		{"VID", 0xff00, 0x8}
	} },
	{"SMU_MONITOR_PORT80_MEMBASE_HI", 0x3fa50, {
		{"MEMORY_BASE_HI", 0xffffffff, 0x0}
	} },
	{"GIO_PID_CONTROLLER_CNTL_8", 0x3fdc0, {
		{"STATE_SHIFT", 0xffffffff, 0x0}
	} },
	{"GIO_PID_CONTROLLER_CNTL_4", 0x3fdb0, {
		{"LF_PRECISION", 0xffffffff, 0x0}
	} },
	{"GIO_PID_CONTROLLER_CNTL_5", 0x3fdb4, {
		{"LF_OFFSET", 0xffffffff, 0x0}
	} },
	{"GIO_PID_CONTROLLER_CNTL_6", 0x3fdb8, {
		{"MAX_STATE", 0xffffffff, 0x0}
	} },
	{"GIO_PID_CONTROLLER_CNTL_7", 0x3fdbc, {
		{"MAX_LF_FRACTION", 0xffffffff, 0x0}
	} },
	{"GIO_PID_CONTROLLER_CNTL_0", 0x3fda0, {
		{"K_I", 0xffffffff, 0x0}
	} },
	{"GIO_PID_CONTROLLER_CNTL_1", 0x3fda4, {
		{"LF_WINDUP_UPPER_LIM", 0xffffffff, 0x0}
	} },
	{"GIO_PID_CONTROLLER_CNTL_2", 0x3fda8, {
		{"LF_WINDUP_LOWER_LIM", 0xffffffff, 0x0}
	} },
	{"GIO_PID_CONTROLLER_CNTL_3", 0x3fdac, {
		{"STATE_PRECISION", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_56", 0x3fb5c, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} },
	{"SMU1_SMU_SMC_IND_DATA", 0x83, {

	} },
	{"TE2_TEMPERATURE_READ_ADDR", 0x3f9e4, {
		{"TCEN_ID", 0x3c0, 0x6},
		{"CSR_ADDR", 0x3f, 0x0},
		{"RESERVED", 0xfffffc00, 0xa}
	} },
	{"CG_DISPLAY_GAP_CNTL2", 0xc0200230, {
		{"VBI_PREDICTION", 0xffffffff, 0x0}
	} },
	{"CG_VCLK_CNTL", 0xc05000a4, {
		{"VCLK_DIVIDER", 0x7f, 0x0},
		{"VCLK_DIR_CNTL_EN", 0x100, 0x8},
		{"VCLK_DIR_CNTL_TOG", 0x200, 0x9},
		{"VCLK_DIR_CNTL_DIVIDER", 0x1fc00, 0xa}
	} },
	{"SMU_PM_STATUS_38", 0x3fe98, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_39", 0x3fe9c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_73", 0x3ff24, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_THERMAL_THROTTLING_CNTL", 0x3fdd0, {
		{"TEMPERATURE_SEL", 0xff00, 0x8},
		{"TT_HTC_ACTIVE", 0xff000000, 0x18},
		{"LCLK_TT_MODE", 0xff0000, 0x10},
		{"LCLK_THERMAL_THROTTLING_EN", 0xff, 0x0}
	} },
	{"SMC_MSG_ARG_0", 0xa4, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_1", 0xa5, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_2", 0xa6, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_3", 0xa7, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_4", 0xa8, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_SYSCON_MSG_ARG_0", 0x80000068, {
		{"smc_msg_arg", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_6", 0xaa, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_7", 0xab, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_8", 0xbd, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMU0_SMU_SMC_IND_INDEX", 0x80, {

	} },
	{"SMU_MONITOR_PORT80_MEMSETUP", 0x3fa58, {
		{"MEMORY_POSITION", 0xffff, 0x0},
		{"MEMORY_BUFFER_SIZE", 0xffff0000, 0x10}
	} },
	{"AVS_UNB_TEMPERATURE_SENSOR", 0x3fa48, {
		{"CsrAddr", 0x3f, 0x0},
		{"TcenID", 0x3c0, 0x6},
		{"RESERVED", 0xfffffc00, 0xa}
	} },
	{"CG_STATIC_SCREEN_PARAMETER", 0xc0200044, {
		{"STATIC_SCREEN_THRESHOLD_UNIT", 0xf0000, 0x10},
		{"STATIC_SCREEN_THRESHOLD", 0xffff, 0x0}
	} },
	{"SMU_PM_STATUS_79", 0x3ff3c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_36", 0x3f08c, {
		{"GraphicsLevel_2_MinVddNb", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_37", 0x3f090, {
		{"GraphicsLevel_2_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_34", 0x3f084, {
		{"GraphicsLevel_1_ClkBypassCntl", 0xff, 0x0},
		{"GraphicsLevel_1_DownHyst", 0xff000000, 0x18},
		{"GraphicsLevel_1_DeepSleepDivId", 0xff00, 0x8},
		{"GraphicsLevel_1_VoltageDownHyst", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_35", 0x3f088, {
		{"GraphicsLevel_1_reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_32", 0x3f07c, {
		{"GraphicsLevel_1_PowerThrottle", 0xff000000, 0x18},
		{"GraphicsLevel_1_SclkDid", 0xff, 0x0},
		{"GraphicsLevel_1_ForceNbPs1", 0xff00, 0x8},
		{"GraphicsLevel_1_GnbSlow", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_33", 0x3f080, {
		{"GraphicsLevel_1_DisplayWatermark", 0xff000000, 0x18},
		{"GraphicsLevel_1_UpHyst", 0xff, 0x0},
		{"GraphicsLevel_1_EnabledForThrottle", 0xff00, 0x8},
		{"GraphicsLevel_1_EnabledForActivity", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_30", 0x3f074, {
		{"GraphicsLevel_1_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_31", 0x3f078, {
		{"GraphicsLevel_1_Vid", 0xff000000, 0x18},
		{"GraphicsLevel_1_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_1_VidOffset", 0xff0000, 0x10}
	} },
	{"SMC_SCRATCH9", 0x80000424, {
		{"SCRATCH_VALUE", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_32", 0x3fe80, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_38", 0x3f094, {
		{"GraphicsLevel_2_VidOffset", 0xff0000, 0x10},
		{"GraphicsLevel_2_Vid", 0xff000000, 0x18},
		{"GraphicsLevel_2_ActivityLevel", 0xffff, 0x0}
	} },
	{"DPM_TABLE_39", 0x3f098, {
		{"GraphicsLevel_2_ForceNbPs1", 0xff00, 0x8},
		{"GraphicsLevel_2_GnbSlow", 0xff0000, 0x10},
		{"GraphicsLevel_2_SclkDid", 0xff, 0x0},
		{"GraphicsLevel_2_PowerThrottle", 0xff000000, 0x18}
	} },
	{"SMU_PM_STATUS_33", 0x3fe84, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_190", 0x3f2f4, {
		{"FpsLowThreshold", 0xffff, 0x0},
		{"GraphicsClkSlowDivider", 0xff0000, 0x10},
		{"GraphicsClkSlowEnable", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_191", 0x3f2f8, {
		{"DisplayCac", 0xffffffff, 0x0}
	} },
	{"SMC_SYSCON_CLOCK_CNTL_2", 0x8000000c, {
		{"wake_on_irq", 0xffffffff, 0x0}
	} },
	{"SMC0_SMC_IND_INDEX", 0x80, {

	} },
	{"TDC_VRM_LIMIT", 0x3fa04, {
		{"IDDNB", 0xffff0000, 0x10},
		{"IDD", 0xffff, 0x0}
	} },
	{"SMC_SYSCON_CLOCK_CNTL_0", 0x80000004, {
		{"auto_cg_timeout", 0xffff00, 0x8},
		{"auto_cg_en", 0x2, 0x1},
		{"cken", 0x1000000, 0x18},
		{"ck_disable", 0x1, 0x0}
	} },
	{"SMC_SYSCON_CLOCK_CNTL_1", 0x80000008, {
		{"auto_ck_disable", 0x1, 0x0}
	} },
	{"LCAC_CPL_CNTL", 0xc0400d80, {
		{"CPL_SIGNAL_ID", 0x3fc00000, 0x16},
		{"CPL_ENABLE", 0x1, 0x0},
		{"CPL_THRESHOLD", 0x1fffe, 0x1},
		{"CPL_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"SMC_MESSAGE_3", 0x9a, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_2", 0x98, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_1", 0x96, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_0", 0x94, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_7", 0xa2, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_6", 0xa0, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_5", 0x9e, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_4", 0x9c, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMU_PM_STATUS_30", 0x3fe78, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_31", 0x3fe7c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMC_MESSAGE_9", 0xb7, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_8", 0xb5, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMU_PM_STATUS_34", 0x3fe88, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_35", 0x3fe8c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_36", 0x3fe90, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_37", 0x3fe94, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_49", 0x3fec4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_48", 0x3fec0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_45", 0x3feb4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMC0_SMC_IND_DATA", 0x81, {

	} },
	{"SMU_PM_STATUS_47", 0x3febc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_46", 0x3feb8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_41", 0x3fea4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_40", 0x3fea0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_43", 0x3feac, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_42", 0x3fea8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_ACCESS_CNTL", 0x90, {
		{"AUTO_INCREMENT_IND_4", 0x10, 0x4},
		{"AUTO_INCREMENT_IND_5", 0x20, 0x5},
		{"AUTO_INCREMENT_IND_6", 0x40, 0x6},
		{"AUTO_INCREMENT_IND_7", 0x80, 0x7},
		{"AUTO_INCREMENT_IND_0", 0x1, 0x0},
		{"AUTO_INCREMENT_IND_1", 0x2, 0x1},
		{"AUTO_INCREMENT_IND_2", 0x4, 0x2},
		{"AUTO_INCREMENT_IND_3", 0x8, 0x3}
	} },
	{"DPM_TABLE_129", 0x3f200, {
		{"VceLevel_4_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_128", 0x3f1fc, {
		{"VceLevel_4_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_4_Divider", 0xff00, 0x8},
		{"VceLevel_4_ClkBypassCntl", 0xff, 0x0}
	} },
	{"DPM_TABLE_127", 0x3f1f8, {
		{"VceLevel_4_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_126", 0x3f1f4, {
		{"VceLevel_3_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_125", 0x3f1f0, {
		{"VceLevel_3_ClkBypassCntl", 0xff, 0x0},
		{"VceLevel_3_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_3_Divider", 0xff00, 0x8}
	} },
	{"DPM_TABLE_124", 0x3f1ec, {
		{"VceLevel_3_Frequency", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA", 0x81, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_122", 0x3f1e4, {
		{"VceLevel_2_Divider", 0xff00, 0x8},
		{"VceLevel_2_ClkBypassCntl", 0xff, 0x0},
		{"VceLevel_2_MinVoltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_121", 0x3f1e0, {
		{"VceLevel_2_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_120", 0x3f1dc, {
		{"VceLevel_1_Reserved", 0xffffffff, 0x0}
	} },
	{"SCLK_DEEP_SLEEP_CNTL", 0xc0200080, {
		{"SELF_REFRESH_MASK", 0x20000, 0x11},
		{"SCLK_RUNNING_MASK", 0x10000, 0x10},
		{"DEEP_SLEEP_ENTRY_MODE", 0x8000000, 0x1b},
		{"SELF_REFRESH_NLC_MASK", 0x2000000, 0x19},
		{"BIF_BUSY_MASK", 0x80000, 0x13},
		{"ENABLE_DS", 0x80000000, 0x1f},
		{"ALLOW_NBPSTATE_MASK", 0x40000, 0x12},
		{"MC0SRBM_BUSY_MASK", 0x200000, 0x15},
		{"AZ_BUSY_MASK", 0x40000000, 0x1e},
		{"MC_ALLOW_MASK", 0x800000, 0x17},
		{"HYSTERESIS", 0xfff0, 0x4},
		{"UVD_BUSY_MASK", 0x100000, 0x14},
		{"SMU_BUSY_MASK", 0x1000000, 0x18},
		{"RAMP_DIS", 0x8, 0x3},
		{"FAST_EXIT_REQ_NBPSTATE", 0x4000000, 0x1a},
		{"MBUS2_ACTIVE_MASK", 0x10000000, 0x1c},
		{"VCE_BUSY_MASK", 0x20000000, 0x1d},
		{"MC1SRBM_BUSY_MASK", 0x400000, 0x16},
		{"DIV_ID", 0x7, 0x0}
	} },
	{"CG_THERMAL_INT_STATUS", 0xc210002c, {
		{"THERM_INTL_DETECT", 0x2, 0x1},
		{"THERM_TRIGGER_DETECT", 0x4, 0x2},
		{"THERM_TRIGGER_CNB_DETECT", 0x8, 0x3},
		{"THERM_INTH_DETECT", 0x1, 0x0}
	} },
	{"AVS_GNB_TEMPERATURE_SENSOR", 0x3fa44, {
		{"CsrAddr", 0x3f, 0x0},
		{"TcenID", 0x3c0, 0x6},
		{"RESERVED", 0xfffffc00, 0xa}
	} },
	{"SMU2_SMU_SMC_IND_INDEX", 0x84, {

	} },
	{"TARGET_AND_CURRENT_PROFILE_INDEX", 0xc0200014, {
		{"TARG_MCLK_INDEX", 0xf000, 0xc},
		{"CURR_LCLK_INDEX", 0x1c000000, 0x1a},
		{"CURRENT_STATE", 0xf0, 0x4},
		{"TARG_SCLK_INDEX", 0x3e00000, 0x15},
		{"TARGET_STATE", 0xf, 0x0},
		{"CURR_SCLK_INDEX", 0x1f0000, 0x10},
		{"TARG_LCLK_INDEX", 0xe0000000, 0x1d},
		{"CURR_MCLK_INDEX", 0xf00, 0x8}
	} },
	{"CG_SPLL_SPREAD_SPECTRUM_2", 0xc0500168, {
		{"CLKV", 0x3ffffff, 0x0}
	} },
	{"CURRENT_GLOBAL_TEMP", 0x3f814, {
		{"TEMP", 0x7ff, 0x0}
	} },
	{"SMU_PM_STATUS_103", 0x3ff9c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"GCK0_GCK_SMC_IND_INDEX", 0x80, {

	} },
	{"PM_FUSES_39", 0x3fb18, {
		{"EClkDid_4", 0xff000000, 0x18},
		{"CoreDis", 0xff, 0x0},
		{"C6CstatePower", 0xff00, 0x8},
		{"BoostLock", 0xff0000, 0x10}
	} },
	{"PM_FUSES_38", 0x3fb14, {
		{"EClkDid_2", 0xff00, 0x8},
		{"EClkDid_3", 0xff, 0x0},
		{"EClkDid_0", 0xff000000, 0x18},
		{"EClkDid_1", 0xff0000, 0x10}
	} },
	{"PM_FUSES_37", 0x3fb10, {
		{"Lpmv_6", 0xff00, 0x8},
		{"Lpmv_7", 0xff, 0x0},
		{"Lpmv_4", 0xff000000, 0x18},
		{"Lpmv_5", 0xff0000, 0x10}
	} },
	{"PM_FUSES_36", 0x3fb0c, {
		{"Lpmv_2", 0xff00, 0x8},
		{"Lpmv_3", 0xff, 0x0},
		{"Lpmv_0", 0xff000000, 0x18},
		{"Lpmv_1", 0xff0000, 0x10}
	} },
	{"PM_FUSES_35", 0x3fb08, {
		{"Lpml_4", 0xff000000, 0x18},
		{"Lpml_5", 0xff0000, 0x10},
		{"Lpml_6", 0xff00, 0x8},
		{"Lpml_7", 0xff, 0x0}
	} },
	{"PM_FUSES_34", 0x3fb04, {
		{"Lpml_0", 0xff000000, 0x18},
		{"Lpml_1", 0xff0000, 0x10},
		{"Lpml_2", 0xff00, 0x8},
		{"Lpml_3", 0xff, 0x0}
	} },
	{"PM_FUSES_33", 0x3fb00, {
		{"GnbLPMLMinVid", 0xff0000, 0x10},
		{"Tdp2Watt", 0xffff, 0x0},
		{"GnbLPMLMaxVid", 0xff000000, 0x18}
	} },
	{"SMU_LCLK_DPM_CNTL", 0x3fdc8, {
		{"VOLTAGE_CHG_EN", 0xff0000, 0x10},
		{"RESERVED", 0xff, 0x0},
		{"LCLK_DPM_BOOT_STATE", 0xff00, 0x8},
		{"LCLK_DPM_EN", 0xff000000, 0x18}
	} },
	{"PM_FUSES_31", 0x3faf8, {
		{"CpuVid_2", 0xff00, 0x8},
		{"CpuVid_3", 0xff, 0x0},
		{"CpuVid_0", 0xff000000, 0x18},
		{"CpuVid_1", 0xff0000, 0x10}
	} },
	{"PM_FUSES_30", 0x3faf4, {
		{"NbVid_3", 0xff, 0x0},
		{"NbVid_2", 0xff00, 0x8},
		{"NbVid_1", 0xff0000, 0x10},
		{"NbVid_0", 0xff000000, 0x18}
	} },
	{"DISP_PHY_TDP_LIMIT", 0x3f834, {
		{"DisplayPhyTdpLimit", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_7_ACTIVITY_THRESHOLD", 0x3fd9c, {
		{"LCLKBYPASSCNTL", 0xff00, 0x8},
		{"RESERVED", 0xff, 0x0},
		{"ENABLED_FOR_THROTTLE", 0xff0000, 0x10},
		{"ACTIVITY_THRESHOLD", 0xff000000, 0x18}
	} },
	{"SMU_LCLK_DPM_STATE_7_CNTL_2", 0x3fd94, {
		{"HYSTERESIS_UP", 0xff00, 0x8},
		{"HYSTERESIS_DOWN", 0xff, 0x0},
		{"RESIDENCY_COUNTER", 0xffff0000, 0x10}
	} },
	{"SMU_LCLK_DPM_STATE_7_CNTL_3", 0x3fd98, {
		{"LCLK_FREQUENCY", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_7_CNTL_0", 0x3fd8c, {
		{"LOW_VOLTAGE_REQ_THRESHOLD", 0xff, 0x0},
		{"STATE_VALID", 0xff000000, 0x18},
		{"CLK_DIVIDER", 0xff0000, 0x10},
		{"VID", 0xff00, 0x8}
	} },
	{"SMU_LCLK_DPM_STATE_7_CNTL_1", 0x3fd90, {
		{"MIN_VDDNB", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_3", 0x87, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_2", 0x85, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_1", 0x83, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_0", 0x81, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_7", 0x8f, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_6", 0x8d, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_5", 0x8b, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_4", 0x89, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"CG_DCLK_STATUS", 0xc05000a0, {
		{"DCLK_DIR_CNTL_DONETOG", 0x2, 0x1},
		{"DCLK_STATUS", 0x1, 0x0}
	} },
	{"SCLK_DEEP_SLEEP_CNTL3", 0xc020009c, {
		{"GRBM_9_SMU_BUSY_MASK", 0x200, 0x9},
		{"GRBM_12_SMU_BUSY_MASK", 0x1000, 0xc},
		{"GRBM_13_SMU_BUSY_MASK", 0x2000, 0xd},
		{"GRBM_4_SMU_BUSY_MASK", 0x10, 0x4},
		{"GRBM_1_SMU_BUSY_MASK", 0x2, 0x1},
		{"GRBM_10_SMU_BUSY_MASK", 0x400, 0xa},
		{"GRBM_15_SMU_BUSY_MASK", 0x8000, 0xf},
		{"GRBM_8_SMU_BUSY_MASK", 0x100, 0x8},
		{"GRBM_11_SMU_BUSY_MASK", 0x800, 0xb},
		{"GRBM_5_SMU_BUSY_MASK", 0x20, 0x5},
		{"GRBM_6_SMU_BUSY_MASK", 0x40, 0x6},
		{"GRBM_7_SMU_BUSY_MASK", 0x80, 0x7},
		{"GRBM_0_SMU_BUSY_MASK", 0x1, 0x0},
		{"GRBM_2_SMU_BUSY_MASK", 0x4, 0x2},
		{"GRBM_3_SMU_BUSY_MASK", 0x8, 0x3},
		{"GRBM_14_SMU_BUSY_MASK", 0x4000, 0xe}
	} },
	{"LCAC_MC2_OVR_VAL", 0xc0400d50, {
		{"MC2_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_3", 0x3fa88, {
		{"BapmVddNbVidHiSidd_1", 0xff0000, 0x10},
		{"BapmVddNbVidHiSidd_0", 0xff000000, 0x18},
		{"BapmVddNbVidHiSidd_3", 0xff, 0x0},
		{"BapmVddNbVidHiSidd_2", 0xff00, 0x8}
	} },
	{"DPM_TABLE_123", 0x3f1e8, {
		{"VceLevel_2_Reserved", 0xffffffff, 0x0}
	} },
	{"LCAC_MC3_OVR_VAL", 0xc0400d5c, {
		{"MC3_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_9", 0x3f920, {
		{"AverageGioActivity", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_8", 0x3f91c, {
		{"AverageMemoryActivity", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_5", 0x3f910, {
		{"DisplayPhy4Config", 0xff, 0x0},
		{"DisplayPhy2Config", 0xff0000, 0x10},
		{"DisplayPhy3Config", 0xff00, 0x8},
		{"DisplayPhy1Config", 0xff000000, 0x18}
	} },
	{"SOFT_REGISTERS_TABLE_4", 0x3f90c, {
		{"HandshakeDisables", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_7", 0x3f918, {
		{"AverageGraphicsActivity", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_6", 0x3f914, {
		{"DisplayPhy6Config", 0xff0000, 0x10},
		{"DisplayPhy7Config", 0xff00, 0x8},
		{"DisplayPhy5Config", 0xff000000, 0x18},
		{"DisplayPhy8Config", 0xff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_1", 0x3f900, {
		{"RefClockFrequency", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_3", 0x3f908, {
		{"FeatureEnables", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_2", 0x3f904, {
		{"PmTimerPeriod", 0xffffffff, 0x0}
	} },
	{"LCAC_MC0_OVR_VAL", 0xc0400d38, {
		{"MC0_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"SPMI_CONFIG", 0x3fa10, {
		{"RESERVED", 0xffff0000, 0x10},
		{"SpmiTestCode", 0xff, 0x0},
		{"SpmiTestData", 0xff00, 0x8}
	} },
	{"SMU_IDD_OVERRIDE", 0x3f9fc, {
		{"IDDNB", 0xffff0000, 0x10},
		{"IDD", 0xffff, 0x0}
	} },
	{"PDM_CNTL_1", 0x3fa68, {
		{"BaseCoreTdpLimit0", 0xff, 0x0},
		{"BaseCoreTdpLimit1", 0xff00, 0x8},
		{"BaseCoreTdpLimit2", 0xff0000, 0x10},
		{"GpuPdmMult", 0xff000000, 0x18}
	} },
	{"TE0_TEMPERATURE_READ_ADDR", 0x3f9dc, {
		{"TCEN_ID", 0x3c0, 0x6},
		{"CSR_ADDR", 0x3f, 0x0},
		{"RESERVED", 0xfffffc00, 0xa}
	} },
	{"CG_ECLK_CNTL", 0xc05000ac, {
		{"ECLK_DIVIDER", 0x7f, 0x0},
		{"ECLK_DIR_CNTL_TOG", 0x200, 0x9},
		{"ECLK_DIR_CNTL_DIVIDER", 0x1fc00, 0xa},
		{"ECLK_DIR_CNTL_EN", 0x100, 0x8}
	} },
	{"SMU_LCLK_DPM_STATE_0_ACTIVITY_THRESHOLD", 0x3fd10, {
		{"LCLKBYPASSCNTL", 0xff00, 0x8},
		{"RESERVED", 0xff, 0x0},
		{"ENABLED_FOR_THROTTLE", 0xff0000, 0x10},
		{"ACTIVITY_THRESHOLD", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_174", 0x3f2b4, {
		{"SamuLevel_3_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_175", 0x3f2b8, {
		{"SamuLevel_4_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_176", 0x3f2bc, {
		{"SamuLevel_4_Divider", 0xff00, 0x8},
		{"SamuLevel_4_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_4_ClkBypassCntl", 0xff, 0x0}
	} },
	{"DPM_TABLE_177", 0x3f2c0, {
		{"SamuLevel_4_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_170", 0x3f2a4, {
		{"SamuLevel_2_ClkBypassCntl", 0xff, 0x0},
		{"SamuLevel_2_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_2_Divider", 0xff00, 0x8}
	} },
	{"DPM_TABLE_171", 0x3f2a8, {
		{"SamuLevel_2_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_172", 0x3f2ac, {
		{"SamuLevel_3_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_173", 0x3f2b0, {
		{"SamuLevel_3_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_3_Divider", 0xff00, 0x8},
		{"SamuLevel_3_ClkBypassCntl", 0xff, 0x0}
	} },
	{"CG_SPLL_FUNC_CNTL_3", 0xc0500148, {
		{"SPLL_DITHEN", 0x10000000, 0x1c},
		{"SPLL_FB_DIV", 0x3ffffff, 0x0}
	} },
	{"CG_SPLL_FUNC_CNTL_2", 0xc0500144, {
		{"SPLL_TEST_UNLOCK_CLR", 0x40000000, 0x1e},
		{"SPLL_CTLREQ", 0x800, 0xb},
		{"SCLK_MUX_UPDATE", 0x4000000, 0x1a},
		{"SPLL_CTLREQ_CHG", 0x800000, 0x17},
		{"SPLL_RESET_CHG", 0x1000000, 0x18},
		{"SPLL_UNLOCK_CLEAR", 0x8000000, 0x1b},
		{"SPLL_BYPASS_CHG", 0x400000, 0x16},
		{"SCLK_MUX_SEL", 0x1ff, 0x0},
		{"SPLL_CLKF_UPDATE", 0x10000000, 0x1c},
		{"SPLL_BABY_STEP_CHG", 0x2000000, 0x19}
	} },
	{"CG_SPLL_FUNC_CNTL_5", 0xc0500150, {
		{"FAST_LOCK_CNTRL", 0xc0, 0x6},
		{"REFCLK_BYPASS_EN", 0x400, 0xa},
		{"RISEFBVCO_EN", 0x2, 0x1},
		{"RESET_TIMER", 0x30, 0x4},
		{"PLLBYPASS", 0x800, 0xb},
		{"PFD_RESET_CNTRL", 0xc, 0x2},
		{"FBDIV_SSC_BYPASS", 0x1, 0x0},
		{"FAST_LOCK_EN", 0x100, 0x8},
		{"RESET_ANTI_MUX", 0x200, 0x9}
	} },
	{"CG_SPLL_FUNC_CNTL_4", 0xc050014c, {
		{"SPLL_SPARE_EXT", 0x70000000, 0x1c},
		{"TEST_FRAC_BYPASS", 0x200000, 0x15},
		{"SPLL_SSAMP_EN", 0x200, 0x9},
		{"SPLL_VCTRLADC_EN", 0x2000000, 0x19},
		{"SPLL_SPARE", 0x7fc00, 0xa},
		{"SPLL_SCLK_EXT", 0xc000000, 0x1a},
		{"SPLL_SCLK_EXT_SEL", 0x60, 0x5},
		{"SPLL_ILOCK", 0x800000, 0x17},
		{"SPLL_VTOI_BIAS_CNTL", 0x80000000, 0x1f},
		{"SPLL_SCLK_EN", 0x180, 0x7},
		{"SPLL_SCLK_TEST_SEL", 0xf, 0x0},
		{"SPLL_FBCLK_SEL", 0x1000000, 0x18}
	} },
	{"CG_SPLL_FUNC_CNTL_7", 0xc0500158, {
		{"SPLL_BW_CNTRL", 0xfff, 0x0}
	} },
	{"CG_SPLL_FUNC_CNTL_6", 0xc0500154, {
		{"SPLL_VCTL_CNTRL_IN", 0x1e0000, 0x11},
		{"SPLL_LF_CNTR", 0xfe000000, 0x19},
		{"SPLL_VCTL_EN", 0x10000, 0x10},
		{"SPLL_VCTL_CNTRL_OUT", 0x1e00000, 0x15},
		{"SCLKMUX1_CLKOFF_CNT", 0xff00, 0x8},
		{"SCLKMUX0_CLKOFF_CNT", 0xff, 0x0}
	} },
	{"DPM_TABLE_69", 0x3f110, {
		{"GraphicsLevel_6_VoltageDownHyst", 0xff0000, 0x10},
		{"GraphicsLevel_6_DownHyst", 0xff000000, 0x18},
		{"GraphicsLevel_6_DeepSleepDivId", 0xff00, 0x8},
		{"GraphicsLevel_6_ClkBypassCntl", 0xff, 0x0}
	} },
	{"DPM_TABLE_68", 0x3f10c, {
		{"GraphicsLevel_6_UpHyst", 0xff, 0x0},
		{"GraphicsLevel_6_DisplayWatermark", 0xff000000, 0x18},
		{"GraphicsLevel_6_EnabledForThrottle", 0xff00, 0x8},
		{"GraphicsLevel_6_EnabledForActivity", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_65", 0x3f100, {
		{"GraphicsLevel_6_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_64", 0x3f0fc, {
		{"GraphicsLevel_6_MinVddNb", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_67", 0x3f108, {
		{"GraphicsLevel_6_SclkDid", 0xff, 0x0},
		{"GraphicsLevel_6_PowerThrottle", 0xff000000, 0x18},
		{"GraphicsLevel_6_GnbSlow", 0xff0000, 0x10},
		{"GraphicsLevel_6_ForceNbPs1", 0xff00, 0x8}
	} },
	{"DPM_TABLE_66", 0x3f104, {
		{"GraphicsLevel_6_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_6_VidOffset", 0xff0000, 0x10},
		{"GraphicsLevel_6_Vid", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_61", 0x3f0f0, {
		{"GraphicsLevel_5_EnabledForThrottle", 0xff00, 0x8},
		{"GraphicsLevel_5_EnabledForActivity", 0xff0000, 0x10},
		{"GraphicsLevel_5_DisplayWatermark", 0xff000000, 0x18},
		{"GraphicsLevel_5_UpHyst", 0xff, 0x0}
	} },
	{"DPM_TABLE_60", 0x3f0ec, {
		{"GraphicsLevel_5_GnbSlow", 0xff0000, 0x10},
		{"GraphicsLevel_5_PowerThrottle", 0xff000000, 0x18},
		{"GraphicsLevel_5_SclkDid", 0xff, 0x0},
		{"GraphicsLevel_5_ForceNbPs1", 0xff00, 0x8}
	} },
	{"DPM_TABLE_63", 0x3f0f8, {
		{"GraphicsLevel_5_reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_62", 0x3f0f4, {
		{"GraphicsLevel_5_VoltageDownHyst", 0xff0000, 0x10},
		{"GraphicsLevel_5_ClkBypassCntl", 0xff, 0x0},
		{"GraphicsLevel_5_DownHyst", 0xff000000, 0x18},
		{"GraphicsLevel_5_DeepSleepDivId", 0xff00, 0x8}
	} },
	{"GENERAL_PWRMGT", 0xc0200000, {
		{"LOW_VOLT_D3_ACPI", 0x200, 0x9},
		{"VOLT_PWRMGT_EN", 0x400, 0xa},
		{"THERMAL_PROTECTION_DIS", 0x4, 0x2},
		{"GPU_COUNTER_ACPI", 0x4000, 0xe},
		{"THERMAL_PROTECTION_TYPE", 0x8, 0x3},
		{"GLOBAL_PWRMGT_EN", 0x1, 0x0},
		{"GPU_COUNTER_INTF_OFF", 0x20000, 0x11},
		{"SPARE11", 0x800, 0xb},
		{"LOW_VOLT_D2_ACPI", 0x100, 0x8},
		{"SPARE27", 0x8000000, 0x1b},
		{"SPARE", 0xf0000000, 0x1c},
		{"SW_SMIO_INDEX", 0x40, 0x6},
		{"GPU_COUNTER_OFF", 0x10000, 0x10},
		{"ACPI_D3_VID", 0x180000, 0x13},
		{"SPARE18", 0x40000, 0x12},
		{"DYN_SPREAD_SPECTRUM_EN", 0x800000, 0x17},
		{"STATIC_PM_EN", 0x2, 0x1},
		{"GPU_COUNTER_CLK", 0x8000, 0xf}
	} },
	{"GCK_SMC_IND_INDEX", 0x80, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_SYSCON_RESET_CNTL", 0x80000000, {
		{"RegReset", 0x40000000, 0x1e},
		{"srbm_soft_rst_override", 0x2, 0x1},
		{"rst_reg", 0x1, 0x0}
	} },
	{"GPU_TDP_LIMIT", 0x3f850, {
		{"Reserved", 0xffff0000, 0x10},
		{"Gpu_Tdp_Limit", 0xffff, 0x0}
	} },
	{"SMU1_SMU_SMC_IND_INDEX", 0x82, {

	} },
	{"SPMI_SMC_CHAIN_ADDR", 0x3fa14, {
		{"Addr", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_6", 0x3f014, {
		{"GraphicsPIDController_LfPrecision", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_7", 0x3f018, {
		{"GraphicsPIDController_LfOffset", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_4", 0x3f00c, {
		{"GraphicsPIDController_LFWindupLowerLim", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_5", 0x3f010, {
		{"GraphicsPIDController_StatePrecision", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_2", 0x3f004, {
		{"GraphicsPIDController_Ki", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_3", 0x3f008, {
		{"GraphicsPIDController_LFWindupUpperLim", 0xffffffff, 0x0}
	} },
	{"LCLK_DEEP_SLEEP_CNTL2", 0xc0200310, {
		{"L1IMUGPP_IDLE_MASK", 0x400, 0xa},
		{"ORB_IDLE_MASK", 0x8000, 0xf},
		{"PCIE_LCLK_IDLE1_MASK", 0x40, 0x6},
		{"ON_INB_WAKE_ACK_MASK", 0x20000, 0x11},
		{"RESERVED_BIT3", 0x8, 0x3},
		{"RLC_SMU_GFXCLK_OFF_MASK", 0x200000, 0x15},
		{"ON_INB_WAKE_MASK", 0x10000, 0x10},
		{"PCIE_LCLK_IDLE3_MASK", 0x100, 0x8},
		{"ON_OUTB_WAKE_MASK", 0x40000, 0x12},
		{"L1IMU_SMU_IDLE_MASK", 0x4, 0x2},
		{"PCIE_LCLK_IDLE2_MASK", 0x80, 0x7},
		{"RESERVED", 0xffc00000, 0x16},
		{"RFE_BUSY_MASK", 0x1, 0x0},
		{"BIF_CG_LCLK_BUSY_MASK", 0x2, 0x1},
		{"ON_OUTB_WAKE_ACK_MASK", 0x80000, 0x13},
		{"PCIE_LCLK_IDLE4_MASK", 0x200, 0x9},
		{"L1IMUBIF_IDLE_MASK", 0x1000, 0xc},
		{"DMAACTIVE_MASK", 0x100000, 0x14},
		{"SCLK_RUNNING_MASK", 0x10, 0x4},
		{"L1IMUINTGEN_IDLE_MASK", 0x2000, 0xd},
		{"L2IMU_IDLE_MASK", 0x4000, 0xe},
		{"L1IMUGPPSB_IDLE_MASK", 0x800, 0xb},
		{"SMU_BUSY_MASK", 0x20, 0x5}
	} },
	{"DPM_TABLE_1", 0x3f000, {
		{"SystemFlags", 0xffffffff, 0x0}
	} },
	{"GCK_PLL_TEST_CNTL", 0xc05001c0, {
		{"REF_TEST_COUNT", 0x1fc00, 0xa},
		{"TST_RESET", 0x20000, 0x11},
		{"TST_SRC_SEL", 0x1f, 0x0},
		{"TST_REF_SEL", 0x3e0, 0x5},
		{"TST_CLK_SEL_MODE", 0x40000, 0x12}
	} },
	{"DPM_TABLE_8", 0x3f01c, {
		{"GraphicsPIDController_MaxState", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_9", 0x3f020, {
		{"GraphicsPIDController_MaxLfFraction", 0xffffffff, 0x0}
	} },
	{"CU0_PSM_CONFIG", 0x3fa08, {
		{"Psm1", 0xff000000, 0x18},
		{"Psm2", 0xff0000, 0x10},
		{"Psm3", 0xff00, 0x8},
		{"Psm4", 0xff, 0x0}
	} },
	{"SMU_SMC_IND_DATA", 0x81, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_74", 0x3ff28, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_75", 0x3ff2c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_76", 0x3ff30, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_77", 0x3ff34, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_70", 0x3ff18, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_71", 0x3ff1c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_72", 0x3ff20, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU3_SMU_SMC_IND_INDEX", 0x86, {

	} },
	{"SMU_PM_STATUS_78", 0x3ff38, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_LCLK_DPM_STATE_5_ACTIVITY_THRESHOLD", 0x3fd74, {
		{"LCLKBYPASSCNTL", 0xff00, 0x8},
		{"RESERVED", 0xff, 0x0},
		{"ENABLED_FOR_THROTTLE", 0xff0000, 0x10},
		{"ACTIVITY_THRESHOLD", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_90", 0x3f164, {
		{"UvdLevel_1_DClkBypassCntl", 0xff0000, 0x10},
		{"UvdLevel_1_VClkBypassCntl", 0xff000000, 0x18},
		{"UvdLevel_1_padding_0", 0xff00, 0x8},
		{"UvdLevel_1_padding_1", 0xff, 0x0}
	} },
	{"DPM_TABLE_91", 0x3f168, {
		{"UvdLevel_2_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_92", 0x3f16c, {
		{"UvdLevel_2_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_93", 0x3f170, {
		{"UvdLevel_2_DclkDivider", 0xff, 0x0},
		{"UvdLevel_2_MinVddNb", 0xffff0000, 0x10},
		{"UvdLevel_2_VclkDivider", 0xff00, 0x8}
	} },
	{"DPM_TABLE_94", 0x3f174, {
		{"UvdLevel_2_DClkBypassCntl", 0xff0000, 0x10},
		{"UvdLevel_2_padding_1", 0xff, 0x0},
		{"UvdLevel_2_padding_0", 0xff00, 0x8},
		{"UvdLevel_2_VClkBypassCntl", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_95", 0x3f178, {
		{"UvdLevel_3_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_96", 0x3f17c, {
		{"UvdLevel_3_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_97", 0x3f180, {
		{"UvdLevel_3_MinVddNb", 0xffff0000, 0x10},
		{"UvdLevel_3_VclkDivider", 0xff00, 0x8},
		{"UvdLevel_3_DclkDivider", 0xff, 0x0}
	} },
	{"DPM_TABLE_98", 0x3f184, {
		{"UvdLevel_3_VClkBypassCntl", 0xff000000, 0x18},
		{"UvdLevel_3_padding_0", 0xff00, 0x8},
		{"UvdLevel_3_padding_1", 0xff, 0x0},
		{"UvdLevel_3_DClkBypassCntl", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_99", 0x3f188, {
		{"UvdLevel_4_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"PDM_CNTL_2", 0x3fa6c, {
		{"GpuPdmTc", 0xff0000, 0x10},
		{"HeatPdmTc", 0xff, 0x0},
		{"CoolPdmTc", 0xff00, 0x8},
		{"GpuActThr", 0xff000000, 0x18}
	} },
	{"PDM_CNTL_3", 0x3fa70, {
		{"CoolPdmThr1", 0xff0000, 0x10},
		{"CoolPdmThr2", 0xff000000, 0x18},
		{"HeatPdmThr2", 0xff00, 0x8},
		{"HeatPdmThr1", 0xff, 0x0}
	} },
	{"SMU_PM_STATUS_109", 0x3ffb4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_108", 0x3ffb0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CU1_PSM_CONFIG", 0x3fa0c, {
		{"Psm1", 0xff000000, 0x18},
		{"Psm2", 0xff0000, 0x10},
		{"Psm3", 0xff00, 0x8},
		{"Psm4", 0xff, 0x0}
	} },
	{"SMU_STATUS", 0xe0003088, {
		{"SMU_DONE", 0x1, 0x0},
		{"SMU_PASS", 0x2, 0x1}
	} },
	{"SMU_PM_STATUS_102", 0x3ff98, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_101", 0x3ff94, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_100", 0x3ff90, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_107", 0x3ffac, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_106", 0x3ffa8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_105", 0x3ffa4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_104", 0x3ffa0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CG_ECLK_STATUS", 0xc05000b0, {
		{"ECLK_DIR_CNTL_DONETOG", 0x2, 0x1},
		{"ECLK_STATUS", 0x1, 0x0}
	} },
	{"SMU_PM_STATUS_127", 0x3fffc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"LCAC_MC1_CNTL", 0xc0400d3c, {
		{"MC1_SIGNAL_ID", 0x3fc00000, 0x16},
		{"MC1_BLOCK_ID", 0x3e0000, 0x11},
		{"MC1_THRESHOLD", 0x1fffe, 0x1},
		{"MC1_ENABLE", 0x1, 0x0}
	} },
	{"PM_FUSES_62", 0x3fb74, {
		{"FUSE_DATA", 0xffffffff, 0x0}
	} }
};

}; // namespace amdregdb
