/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_smu_smu_8_0();

static const RegSpec smu_smu_8_0_regs[] = {
	{"PGRUNFEEDBACK_CPU_0", 0xd0220008, {
		{"PG_RUNFEEDBACK", 0x1, 0x0}
	} },
	{"PGRUNFEEDBACK_CPU_1", 0xd0230008, {
		{"PG_RUNFEEDBACK", 0x1, 0x0}
	} },
	{"TMON0_RDIR8_DATA", 0xd8202060, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"PCIE_PGFSM_CONFIG", 0xd02002d0, {
		{"FSM_ADDR", 0xff, 0x0},
		{"REG_ADDR", 0xf0000000, 0x1c},
		{"Power_Down", 0x100, 0x8},
		{"P1_Select", 0x400, 0xa},
		{"Read_Op", 0x2000, 0xd},
		{"P2_Select", 0x800, 0xb},
		{"Write_Op", 0x1000, 0xc},
		{"Reserved", 0xfffc000, 0xe},
		{"Power_Up", 0x200, 0x9}
	} },
	{"SCLK_MIN_DIV", 0xd02003ac, {
		{"FRACV", 0xfff, 0x0},
		{"INTV", 0x7f000, 0xc}
	} },
	{"TMON0_RDIL13_DATA", 0xd8202034, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"PWR_ACP_RESP", 0xd020030c, {
		{"RESPONSE", 0xffffffff, 0x0}
	} },
	{"DDR0_FUSE_SSB_XFER_CFG", 0xd021101c, {
		{"FUSE_DDR0_LAST_ADDR", 0x7ff, 0x0}
	} },
	{"SPR_LINK_PRODUCT_INFO", 0xd0211084, {
		{"Reserved", 0xffffffff, 0x0}
	} },
	{"TMON1_RDIR7_DATA", 0xd820215c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"LCAC_CPL_OVR_SEL", 0xd0208164, {
		{"CPL_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"SCLK_DEEP_SLEEP_MISC_CNTL", 0xd0200088, {
		{"OCP_SS_DIV_ID", 0x700000, 0x14},
		{"DPM_SS_DIV_ID", 0x38, 0x3},
		{"DPM_DS_DIV_ID", 0x7, 0x0},
		{"OCP_ENABLE", 0x10000, 0x10},
		{"OCP_DS_DIV_ID", 0xe0000, 0x11}
	} },
	{"MP_IOC_PHASE2", 0xcf10000c, {
		{"BiuCqfC_AltReqMask", 0xff00, 0x8},
		{"BiuCqfC_AltReqAddrHi", 0xff000000, 0x18},
		{"BiuCqfC_AltReqAddrMid", 0xff, 0x0},
		{"BiuCqfC_AltReqSize", 0x30000, 0x10}
	} },
	{"MISC_UNB_PWRMGT_CFG1", 0xd020c004, {
		{"TIMER_INTERVAL", 0x1fffe, 0x1},
		{"TIMER_EN", 0x1, 0x0},
		{"INT_GEN_EN", 0x20000, 0x11}
	} },
	{"MP_IOC_PHASE3", 0xcf100010, {
		{"BiuDbfC_C2aDataOut", 0xffffffff, 0x0}
	} },
	{"SPMI_FSM_WRITE_TRIGGER_0", 0xd022100c, {
		{"FSM_WRITE_TRIGGER", 0x1, 0x0}
	} },
	{"SPMI_FSM_WRITE_TRIGGER_1", 0xd023100c, {
		{"FSM_WRITE_TRIGGER", 0x1, 0x0}
	} },
	{"MP_IOC_READ_6", 0xcf10003c, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP1_SW_INT", 0xcf20040c, {
		{"VALID", 0x1, 0x0},
		{"INT_ID", 0x1fe, 0x1}
	} },
	{"SMU_MP1_SRBM2P_RESP_6", 0x1d6, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_7", 0x1d7, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"TMON1_RDIL10_DATA", 0xd8202128, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_5", 0x1d5, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_2", 0x1d2, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_3", 0x1d3, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"THM_THERMAL_INT_STATUS", 0xd8200d18, {
		{"THERM_INTL_DETECT", 0x2, 0x1},
		{"THERM_TRIGGER_DETECT", 0x4, 0x2},
		{"THERM_TRIGGER_CNB_DETECT", 0x8, 0x3},
		{"THERM_INTH_DETECT", 0x1, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_1", 0x1d1, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"MP_IOC_READ_0", 0xcf100024, {
		{"data", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_8", 0x1d8, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_9", 0x1d9, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"COREPM_SCRATCH_0", 0xd0220050, {
		{"SCRATCH_DATA", 0xffffffff, 0x0}
	} },
	{"COREPM_SCRATCH_1", 0xd0230050, {
		{"SCRATCH_DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDREQ_ADDR", 0xcf200040, {
		{"addr", 0xffffffff, 0x0}
	} },
	{"TMON0_RDIL10_DATA", 0xd8202028, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SPMI_FSM_BUSY_0", 0xd0221014, {
		{"FSM_BUSY", 0x1, 0x0}
	} },
	{"SPMI_FSM_BUSY_1", 0xd0231014, {
		{"FSM_BUSY", 0x1, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_NACK", 0xcf200050, {
		{"reserved", 0xffff0000, 0x10},
		{"nack_6", 0x3000, 0xc},
		{"nack_7", 0xc000, 0xe},
		{"nack_4", 0x300, 0x8},
		{"nack_5", 0xc00, 0xa},
		{"nack_2", 0x30, 0x4},
		{"nack_3", 0xc0, 0x6},
		{"nack_0", 0x3, 0x0},
		{"nack_1", 0xc, 0x2}
	} },
	{"MP_SRBM_CONFIG_XBAR", 0xcf200804, {
		{"MSTR_CREDITS", 0x1f, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_LOW_ADDR", 0xcf200008, {
		{"addr", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_14", 0xcf10009c, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_15", 0xcf1000a0, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_10", 0xcf10008c, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_11", 0xcf100090, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_12", 0xcf100094, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_13", 0xcf100098, {
		{"data", 0xffffffff, 0x0}
	} },
	{"TMON0_RDIL15_DATA", 0xd820203c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"CK_DISABLECORE_CPU_1", 0xd0230048, {
		{"CK_DISABLECORE", 0x1, 0x0}
	} },
	{"TMON1_RDIL5_DATA", 0xd8202114, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"NB_COF", 0xd021104c, {
		{"NB_COF", 0xffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_10", 0x194, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_11", 0x196, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_12", 0x198, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0_IND_ACCESS_CNTL", 0x1a0, {
		{"AUTO_INCREMENT_IND_14", 0x4000, 0xe},
		{"AUTO_INCREMENT_IND_15", 0x8000, 0xf},
		{"AUTO_INCREMENT_IND_12", 0x1000, 0xc},
		{"AUTO_INCREMENT_IND_13", 0x2000, 0xd},
		{"AUTO_INCREMENT_IND_10", 0x400, 0xa},
		{"AUTO_INCREMENT_IND_11", 0x800, 0xb},
		{"AUTO_INCREMENT_IND_4", 0x10, 0x4},
		{"AUTO_INCREMENT_IND_5", 0x20, 0x5},
		{"AUTO_INCREMENT_IND_6", 0x40, 0x6},
		{"AUTO_INCREMENT_IND_7", 0x80, 0x7},
		{"AUTO_INCREMENT_IND_0", 0x1, 0x0},
		{"AUTO_INCREMENT_IND_1", 0x2, 0x1},
		{"AUTO_INCREMENT_IND_2", 0x4, 0x2},
		{"AUTO_INCREMENT_IND_3", 0x8, 0x3},
		{"AUTO_INCREMENT_IND_8", 0x100, 0x8},
		{"AUTO_INCREMENT_IND_9", 0x200, 0x9}
	} },
	{"MP0PUB_IND_INDEX_14", 0x19c, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_15", 0x19e, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"TMON0_RDIL9_DATA", 0xd8202024, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"UNBPM_DEBUG_CONFIG_STATUS", 0xd02110c4, {
		{"MST_OUTSTANDING_TRANS", 0xff0000, 0x10},
		{"MASTER_DEBUG_EN", 0x20, 0x5},
		{"FIFO_DATA_COUNT", 0x3c00, 0xa},
		{"FIFO_BUFF_FLUSH", 0x10, 0x4},
		{"AXI_MASTER_ACTIVE", 0x100, 0x8},
		{"AXI_MASTER_BUSY", 0x200, 0x9},
		{"AXI_MASTER_QOS", 0xf, 0x0}
	} },
	{"TMON1_RDIL1_DATA", 0xd8202104, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_44", 0xcf200104, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_45", 0xcf200108, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_46", 0xcf20010c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_47", 0xcf200110, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_40", 0xcf2000f4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_41", 0xcf2000f8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_42", 0xcf2000fc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_43", 0xcf200100, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DDR1_FUSE_SSB_XFER", 0xd0211020, {
		{"START_STATUS_XFER", 0x1, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_48", 0xcf200114, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_49", 0xcf200118, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CNB_PWRMGT_CNTL", 0xd0200004, {
		{"GNB_SLOW_MODE", 0x3, 0x0},
		{"GNB_SLOW", 0x4, 0x2},
		{"DPM_ENABLED", 0x10, 0x4},
		{"FORCE_NB_PS1", 0x8, 0x3},
		{"SPARE", 0xffffffe0, 0x5}
	} },
	{"CK_JTCOOLRESET_LATCHED_CPU_1", 0xd0230044, {
		{"CK_JTCOOLRESET_LATCHED", 0x1, 0x0}
	} },
	{"MP_SRBM_CONTROL", 0xcf200c00, {
		{"SOFT_RST_MASK", 0x4, 0x2},
		{"ACC_VIO_EN", 0x1, 0x0},
		{"ALLOW_NS_ACC", 0x2, 0x1},
		{"SOFT_RST_STS", 0x8, 0x3}
	} },
	{"MP_DRAM_CNTL_WRREQ_CNTL_1", 0xcf200004, {
		{"fed", 0x8000000, 0x1b},
		{"vf", 0x1, 0x0},
		{"snoop", 0x200, 0x9},
		{"inval", 0x400, 0xa},
		{"vmid", 0x3c00000, 0x16},
		{"vfid", 0xfe, 0x1},
		{"atc", 0x4000000, 0x1a},
		{"swap", 0x300000, 0x14},
		{"op", 0x3f800, 0xb},
		{"physical", 0x100, 0x8}
	} },
	{"LDOIVRON_CPU_1", 0xd0230030, {
		{"CK_LDOIVRON", 0x1, 0x0}
	} },
	{"LDOIVRON_CPU_0", 0xd0220030, {
		{"CK_LDOIVRON", 0x1, 0x0}
	} },
	{"POWERON_CPU_1", 0xd0230000, {
		{"POWERON", 0x1, 0x0}
	} },
	{"THM_TMON1_REMOTE_START", 0xd8202900, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SAM_IH_EXT_ERR_INTR_STATUS", 0x1aa, {
		{"RESERVED", 0xfffffff8, 0x3},
		{"ISP", 0x4, 0x2},
		{"UVD", 0x1, 0x0},
		{"VCE", 0x2, 0x1}
	} },
	{"LCAC_MC2_OVR_SEL", 0xd020814c, {
		{"MC2_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"CORE_REDUN_SSB_XFER_1", 0xd023001c, {
		{"START_STATUS_XFER", 0x1, 0x0}
	} },
	{"CORE_REDUN_SSB_XFER_0", 0xd022001c, {
		{"START_STATUS_XFER", 0x1, 0x0}
	} },
	{"MISC_GNB_PWRMGT_CFG1", 0xd0211034, {
		{"TIMER_INTERVAL", 0x1fffe, 0x1},
		{"TIMER_EN", 0x1, 0x0},
		{"INT_GEN_EN", 0x20000, 0x11}
	} },
	{"MISC_GNB_PWRMGT_CFG0", 0xd0211094, {
		{"TARGET_ADDR", 0xffffffff, 0x0}
	} },
	{"TMON0_RDIR11_DATA", 0xd820206c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SCLK_PWRMGT_CNTL", 0xd0200008, {
		{"RESERVED_3", 0x1000000, 0x18},
		{"RESET_BUSY_CNT", 0x10, 0x4},
		{"RESERVED_0", 0x40, 0x6},
		{"RESET_SCLK_CNT", 0x20, 0x5}
	} },
	{"SCLK_DEEP_SLEEP_CNTL3", 0xd020009c, {
		{"SMUIF_SLAVE_SCLK_BUSY_MASK", 0x10000, 0x10},
		{"GRBM_9_SMU_BUSY_MASK", 0x200, 0x9},
		{"GRBM_12_SMU_BUSY_MASK", 0x1000, 0xc},
		{"GRBM_13_SMU_BUSY_MASK", 0x2000, 0xd},
		{"GRBM_4_SMU_BUSY_MASK", 0x10, 0x4},
		{"GRBM_1_SMU_BUSY_MASK", 0x2, 0x1},
		{"GRBM_10_SMU_BUSY_MASK", 0x400, 0xa},
		{"GRBM_15_SMU_BUSY_MASK", 0x8000, 0xf},
		{"GRBM_8_SMU_BUSY_MASK", 0x100, 0x8},
		{"GRBM_11_SMU_BUSY_MASK", 0x800, 0xb},
		{"GRBM_5_SMU_BUSY_MASK", 0x20, 0x5},
		{"GRBM_6_SMU_BUSY_MASK", 0x40, 0x6},
		{"GRBM_7_SMU_BUSY_MASK", 0x80, 0x7},
		{"GRBM_0_SMU_BUSY_MASK", 0x1, 0x0},
		{"GRBM_2_SMU_BUSY_MASK", 0x4, 0x2},
		{"GRBM_3_SMU_BUSY_MASK", 0x8, 0x3},
		{"GRBM_14_SMU_BUSY_MASK", 0x4000, 0xe},
		{"SMUIF_MASTER_SCLK_BUSY_MASK", 0x20000, 0x11}
	} },
	{"THM_TCON_CUR_TMP", 0xd8200ca4, {
		{"CUR_TEMP_RANGE_SEL", 0x80000, 0x13},
		{"TMP_MAX_DIFF_UP", 0x60, 0x5},
		{"TMP_SLEW_DN_EN", 0x80, 0x7},
		{"PER_STEP_TIME_UP", 0x1f, 0x0},
		{"CUR_TEMP", 0xffe00000, 0x15},
		{"PER_STEP_TIME_DN", 0x1f00, 0x8},
		{"CUR_TEMP_TJ_SEL", 0x30000, 0x10},
		{"CUR_TEMP_TJ_SLEW_SEL", 0x40000, 0x12}
	} },
	{"MP_SMUIF3_MP0PUB_IND_DATA", 0x187, {

	} },
	{"GC_CAC_LKG_AGGR_UPPER", 0x3295, {
		{"LKG_AGGR_63_32", 0xffffffff, 0x0}
	} },
	{"PHN_FUSERX_MISC_FUSES", 0xd02110b8, {
		{"ScanCLK400MHz", 0x20000, 0x11},
		{"MemPstate", 0x1e00, 0x9},
		{"NbPstateLo", 0x18000, 0xf},
		{"CoreDis", 0x3c0000, 0x12},
		{"NbPstateHi", 0x6000, 0xd},
		{"OverClockRefClkDis", 0x100, 0x8},
		{"Spare", 0xff, 0x0},
		{"PHN_FusesValid", 0x80000000, 0x1f}
	} },
	{"GN_GNB_SLOW", 0xd0211040, {
		{"GN_GNB_SLOW_DATA", 0x1, 0x0}
	} },
	{"TMON0_RDIL8_DATA", 0xd8202020, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"PWRHW0_PWRHW_SMC_IND_INDEX", 0x180, {

	} },
	{"SMU_VOLTAGE_STATUS", 0xd0200094, {
		{"SMU_VOLTAGE_STATUS", 0x1, 0x0},
		{"SMU_VOLTAGE_CURRENT_LEVEL", 0x1fe, 0x1}
	} },
	{"SERDES_BUSY", 0xd02002d8, {
		{"PCIE_SERDES_BUSY", 0x1, 0x0}
	} },
	{"LCAC_MC2_CNTL", 0xd0208148, {
		{"MC2_ENABLE", 0x1, 0x0},
		{"MC2_THRESHOLD", 0x1fffe, 0x1},
		{"MC2_BLOCK_ID", 0x3e0000, 0x11},
		{"MC2_SIGNAL_ID", 0x3fc00000, 0x16}
	} },
	{"MP_SMUIF5_MP0PUB_IND_DATA", 0x18b, {

	} },
	{"UNBPM_AXIMST_LAST_CMD", 0xd02110c8, {
		{"AXI_MASTER_LAST_CMD", 0xffffffff, 0x0}
	} },
	{"THM_TMON1_REMOTE_END", 0xd82029fc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"UNBPM_SCRATCH_1", 0xd021e004, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"UNBPM_SCRATCH_0", 0xd021e000, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX", 0x180, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"PWRHW2_PWRHW_SMC_IND_DATA", 0x185, {

	} },
	{"THM_TMON0_REMOTE_END", 0xd82028fc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPR_FUSE_THERMAL_SCRATCH", 0xd0211064, {
		{"ThermalScratch", 0xffffffff, 0x0}
	} },
	{"LCAC_MC3_OVR_SEL", 0xd0208158, {
		{"MC3_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"MP_SMUIF10_MP0PUB_IND_INDEX", 0x194, {

	} },
	{"MP_SMUIF2_MP0PUB_IND_INDEX", 0x184, {

	} },
	{"TMON0_RDIR7_DATA", 0xd820205c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"PWRHW1_PWRHW_SMC_IND_DATA", 0x183, {

	} },
	{"MP_SMUIF4_MP0PUB_IND_INDEX", 0x188, {

	} },
	{"TMON0_RDIR6_DATA", 0xd8202058, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP_SMUIF7_MP0PUB_IND_INDEX", 0x18e, {

	} },
	{"VDDGFX_IDLE_EXIT", 0xd0200374, {
		{"BIF_EXIT_REQ", 0x1, 0x0}
	} },
	{"TMON0_RDIL12_DATA", 0xd8202030, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"PCIE_PGFSM2_CONFIG", 0xd02002dc, {
		{"FSM_ADDR", 0xff, 0x0},
		{"REG_ADDR", 0xf0000000, 0x1c},
		{"Power_Down", 0x100, 0x8},
		{"P1_Select", 0x400, 0xa},
		{"Read_Op", 0x2000, 0xd},
		{"P2_Select", 0x800, 0xb},
		{"Write_Op", 0x1000, 0xc},
		{"Reserved", 0xfffc000, 0xe},
		{"Power_Up", 0x200, 0x9}
	} },
	{"LDOIVREXITDONE_CPU_0", 0xd0220034, {
		{"LDOIVREXITDONE", 0x1, 0x0}
	} },
	{"LDOIVREXITDONE_CPU_1", 0xd0230034, {
		{"LDOIVREXITDONE", 0x1, 0x0}
	} },
	{"TMON0_TEMP_CALC_COEFF3", 0xd82020ac, {
		{"C", 0x7ff, 0x0}
	} },
	{"TMON0_TEMP_CALC_COEFF2", 0xd82020a8, {
		{"B", 0x3f, 0x0}
	} },
	{"TMON0_TEMP_CALC_COEFF1", 0xd82020a4, {
		{"A", 0xfff, 0x0}
	} },
	{"TMON0_TEMP_CALC_COEFF0", 0xd82020a0, {
		{"Z", 0x7ff, 0x0}
	} },
	{"TMON0_TEMP_CALC_COEFF4", 0xd82020b0, {
		{"K", 0x1, 0x0}
	} },
	{"TMON0_RDIL4_DATA", 0xd8202010, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON1_RDIL0_DATA", 0xd8202100, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP_SMUIF12_MP0PUB_IND_INDEX", 0x198, {

	} },
	{"MP_IOC_RDDATA", 0xcf100004, {
		{"IOC_mst_rdData", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_4", 0x1d4, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"TMON0_RDIL0_DATA", 0xd8202000, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON0_RDIL3_DATA", 0xd820200c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"DDR0_FUSE_SSB_XFER", 0xd0211018, {
		{"START_STATUS_XFER", 0x1, 0x0}
	} },
	{"MP_IOC_READ_14", 0xcf10005c, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_READ_15", 0xcf100060, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_READ_12", 0xcf100054, {
		{"data", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_0", 0x1d0, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"MP_IOC_READ_10", 0xcf10004c, {
		{"data", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_0", 0x1e0, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SPMI_SRAM_ADDRESS_0", 0xd0221024, {
		{"SRAM_ADDRESS", 0xffffffff, 0x0}
	} },
	{"SPMI_SRAM_ADDRESS_1", 0xd0231024, {
		{"SRAM_ADDRESS", 0xffffffff, 0x0}
	} },
	{"POWERREADY_CPU_1", 0xd0230004, {
		{"POWERREADY", 0x1, 0x0}
	} },
	{"TMON1_RDIR14_DATA", 0xd8202178, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_MASK", 0xcf200010, {
		{"mask", 0xffffffff, 0x0}
	} },
	{"COREPM_ID_0", 0xd022004c, {
		{"COREPM_INDEX", 0x1, 0x0}
	} },
	{"COREPM_ID_1", 0xd023004c, {
		{"COREPM_INDEX", 0x1, 0x0}
	} },
	{"SPMI_FORCE_CLOCK_GATERS_1", 0xd0231030, {
		{"SRAM_CLOCK_GATER_FORCE", 0x100, 0x8},
		{"CLOCK_GATER_0_FORCE", 0x1, 0x0}
	} },
	{"MP_SMUIF15_MP0PUB_IND_INDEX", 0x19e, {

	} },
	{"UNBPM_FUSES_VAL_PWROK", 0xd0211028, {
		{"CK_FUSES_VAL_PWROK", 0x1, 0x0}
	} },
	{"MP_SRBM_ACCVIO_LOG", 0xcf200c04, {
		{"ACC_VIO_SRCID", 0xe, 0x1},
		{"ACC_VIO_OP", 0x1, 0x0},
		{"ACC_VIO_VALID", 0x80000000, 0x1f}
	} },
	{"UNBPM_WARM_RESET_HS_STATUS", 0xd021109c, {
		{"WARM_RESET_HS_DONE", 0x2, 0x1},
		{"NB_CSTATE_ACTIVE", 0x1, 0x0}
	} },
	{"MP_CRBBM_CONTROL", 0xcf200c0c, {
		{"MP0_ACCESS", 0x2, 0x1},
		{"ACC_VIO_EN", 0x1, 0x0},
		{"ALLOW_NS_ACC", 0x4, 0x2}
	} },
	{"SMU_MP1_SRBM2P_ARG_8", 0x1e8, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"TMON1_RDIL7_DATA", 0xd820211c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON1_RDIR8_DATA", 0xd8202160, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SPMI_SPARE_EX_1", 0xd0231038, {
		{"SPARE_DATA_EX", 0xffffffff, 0x0}
	} },
	{"SPMI_SPARE_EX_0", 0xd0221038, {
		{"SPARE_DATA_EX", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRRET_STATUS_0", 0xcf20003c, {
		{"nack", 0x6, 0x1},
		{"valid", 0x1, 0x0},
		{"reserved", 0xfff8, 0x3},
		{"tag", 0xffff0000, 0x10}
	} },
	{"TMON0_RDIR_PRESENT1", 0xd8202090, {
		{"RDIR_PRESENT_15_8", 0xff, 0x0}
	} },
	{"TMON0_RDIR_PRESENT0", 0xd820208c, {
		{"RDIR_PRESENT_7_0", 0xff, 0x0}
	} },
	{"UNB_IF_INTRGEN_LAST_SENT", 0xd02110cc, {
		{"GNBPM_LAST_DATA_SENT", 0xffff, 0x0},
		{"SMUPM_LAST_DATA_SENT", 0xffff0000, 0x10}
	} },
	{"SPMI_SRAM_CLK_GATER_0", 0xd022103c, {
		{"SRAM_CLK_GATER_EN", 0x1, 0x0},
		{"SRAM_CLK_GATER_TIMER", 0x7fe, 0x1}
	} },
	{"SPMI_SRAM_CLK_GATER_1", 0xd023103c, {
		{"SRAM_CLK_GATER_EN", 0x1, 0x0},
		{"SRAM_CLK_GATER_TIMER", 0x7fe, 0x1}
	} },
	{"TMON0_RDIR5_DATA", 0xd8202054, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"IVR_TARGETPSMREF_CPU_0", 0xd022003c, {
		{"IVR_TARGETPSMREF", 0x3fff, 0x0}
	} },
	{"IVR_TARGETPSMREF_CPU_1", 0xd023003c, {
		{"IVR_TARGETPSMREF", 0x3fff, 0x0}
	} },
	{"RCC3EXITDONE_CPU_1", 0xd0230010, {
		{"RCC3EXITDONE", 0x1, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_61", 0xcf200148, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_DATA_5", 0xcf200028, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_DATA_4", 0xcf200024, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_DATA_7", 0xcf200030, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_DATA_6", 0xcf20002c, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_DATA_1", 0xcf200018, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_DATA_0", 0xcf200014, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_DATA_3", 0xcf200020, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_DATA_2", 0xcf20001c, {
		{"data", 0xffffffff, 0x0}
	} },
	{"THM_FUSE8", 0xd8210020, {
		{"FUSE_TconBootDelay", 0x60000, 0x11},
		{"FUSE_TconCtValue0", 0x7ff, 0x0},
		{"FUSE_TconAtValue1", 0x7ff80000, 0x13},
		{"FUSE_TconAtValue0", 0x80000000, 0x1f},
		{"FUSE_TconBtValue", 0x1f800, 0xb}
	} },
	{"THM_FUSE9", 0xd8210024, {
		{"FUSE_HtcHystLmt", 0xf0000000, 0x1c},
		{"FUSE_ThermTripLimit", 0x7f800, 0xb},
		{"FUSE_TconAtValue0", 0x7ff, 0x0},
		{"FUSE_HtcMsrLock", 0x8000000, 0x1b},
		{"FUSE_HtcTmpLmt", 0x7f00000, 0x14},
		{"FUSE_ThermTripEn", 0x80000, 0x13}
	} },
	{"MP_DRAM_CNTL_RDRET_VALID", 0xcf20004c, {
		{"reserved", 0xffff00, 0x8},
		{"vld_2", 0x4, 0x2},
		{"vld_3", 0x8, 0x3},
		{"vld_0", 0x1, 0x0},
		{"vld_1", 0x2, 0x1},
		{"vld_6", 0x40, 0x6},
		{"vld_7", 0x80, 0x7},
		{"vld_4", 0x10, 0x4},
		{"vld_5", 0x20, 0x5},
		{"atomic", 0xff000000, 0x18}
	} },
	{"THM_FUSE0", 0xd8210000, {
		{"FUSE_TmonClkDiv", 0x60, 0x5},
		{"FUSE_TmonNumAcq", 0xe, 0x1},
		{"FUSE_TmonForceMaxAcq", 0x10, 0x4},
		{"FUSE_TmonRsInterleave", 0x1, 0x0},
		{"FUSE_TconZtValue", 0xff800000, 0x17},
		{"FUSE_TmonBGAdj1", 0x7f80, 0x7},
		{"FUSE_TmonBGAdj0", 0x7f8000, 0xf}
	} },
	{"THM_FUSE1", 0xd8210004, {
		{"FUSE_TconPwrDnTmpLmt", 0x380, 0x7},
		{"FUSE_TconKValue", 0x100000, 0x14},
		{"FUSE_TconPwrDnMinDelay", 0x7000, 0xc},
		{"FUSE_TconPwrDnDelaySlope", 0xe0000, 0x11},
		{"FUSE_TconDtValue30", 0xf8000000, 0x1b},
		{"FUSE_TconDtValue31", 0x7e00000, 0x15},
		{"FUSE_TconUseSecondary", 0xc, 0x2},
		{"FUSE_TconZtValue", 0x3, 0x0},
		{"FUSE_TconPwrUpStaggerTime", 0x60, 0x5},
		{"FUSE_TconPwrDnMaxDelayMult", 0x18000, 0xf},
		{"FUSE_TconPwrDnNumSensors", 0xc00, 0xa},
		{"FUSE_TconTmpAdjLoRes", 0x10, 0x4}
	} },
	{"THM_FUSE2", 0xd8210008, {
		{"FUSE_TconDtValue29", 0x7e, 0x1},
		{"FUSE_TconDtValue28", 0x1f80, 0x7},
		{"FUSE_TconDtValue30", 0x1, 0x0},
		{"FUSE_TconDtValue25", 0x7e000000, 0x19},
		{"FUSE_TconDtValue24", 0x80000000, 0x1f},
		{"FUSE_TconDtValue27", 0x7e000, 0xd},
		{"FUSE_TconDtValue26", 0x1f80000, 0x13}
	} },
	{"THM_FUSE3", 0xd821000c, {
		{"FUSE_TconDtValue19", 0xe0000000, 0x1d},
		{"FUSE_TconDtValue21", 0x7e0000, 0x11},
		{"FUSE_TconDtValue20", 0x1f800000, 0x17},
		{"FUSE_TconDtValue23", 0x7e0, 0x5},
		{"FUSE_TconDtValue22", 0x1f800, 0xb},
		{"FUSE_TconDtValue24", 0x1f, 0x0}
	} },
	{"THM_FUSE4", 0xd8210010, {
		{"FUSE_TconDtValue18", 0x1f8, 0x3},
		{"FUSE_TconDtValue19", 0x7, 0x0},
		{"FUSE_TconDtValue14", 0xf8000000, 0x1b},
		{"FUSE_TconDtValue15", 0x7e00000, 0x15},
		{"FUSE_TconDtValue16", 0x1f8000, 0xf},
		{"FUSE_TconDtValue17", 0x7e00, 0x9}
	} },
	{"THM_FUSE5", 0xd8210014, {
		{"FUSE_TconDtValue8", 0x80000000, 0x1f},
		{"FUSE_TconDtValue9", 0x7e000000, 0x19},
		{"FUSE_TconDtValue14", 0x1, 0x0},
		{"FUSE_TconDtValue10", 0x1f80000, 0x13},
		{"FUSE_TconDtValue11", 0x7e000, 0xd},
		{"FUSE_TconDtValue12", 0x1f80, 0x7},
		{"FUSE_TconDtValue13", 0x7e, 0x1}
	} },
	{"THM_FUSE6", 0xd8210018, {
		{"FUSE_TconDtValue8", 0x1f, 0x0},
		{"FUSE_TconDtValue3", 0xe0000000, 0x1d},
		{"FUSE_TconDtValue6", 0x1f800, 0xb},
		{"FUSE_TconDtValue7", 0x7e0, 0x5},
		{"FUSE_TconDtValue4", 0x1f800000, 0x17},
		{"FUSE_TconDtValue5", 0x7e0000, 0x11}
	} },
	{"THM_FUSE7", 0xd821001c, {
		{"FUSE_TconDtValue2", 0x1f8, 0x3},
		{"FUSE_TconDtValue3", 0x7, 0x0},
		{"FUSE_TconDtValue0", 0x1f8000, 0xf},
		{"FUSE_TconDtValue1", 0x7e00, 0x9},
		{"FUSE_TconCtValue1", 0xffe00000, 0x15}
	} },
	{"MP0_DISP_TIMER1_CMP_AUTOINC", 0x1b4, {
		{"AUTOINC", 0xf, 0x0},
		{"RESERVED", 0xfffffff0, 0x4}
	} },
	{"THM_THERMAL_INT_ENA", 0xd8200d10, {
		{"THERM_INTH_SET", 0x1, 0x0},
		{"THERM_INTL_SET", 0x2, 0x1},
		{"THERM_INTH_CLR", 0x8, 0x3},
		{"THERM_TRIGGER_SET", 0x4, 0x2},
		{"THERM_INTL_CLR", 0x10, 0x4},
		{"THERM_TRIGGER_CLR", 0x20, 0x5}
	} },
	{"MISC_SMU_PWRMGT_DATA", 0xd0211048, {
		{"NB_MEMPS", 0x2, 0x1},
		{"NB_NBPS", 0x1, 0x0}
	} },
	{"TMON0_RDIR4_DATA", 0xd8202050, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP0PUB_IND_DATA", 0x181, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"PWRHW3_PWRHW_SMC_IND_INDEX", 0x186, {

	} },
	{"SPMI_FSM_RESET_TRIGGER_0", 0xd0221010, {
		{"FSM_RESET_TRIGGER", 0x1, 0x0}
	} },
	{"SPMI_FSM_RESET_TRIGGER_1", 0xd0231010, {
		{"FSM_RESET_TRIGGER", 0x1, 0x0}
	} },
	{"SPR_EXT_PRODUCT_INFO", 0xd021107c, {
		{"Reserved", 0xffffffff, 0x0}
	} },
	{"THM_TCON_LOCAL14", 0xd8202efc, {
		{"boot_done", 0x1, 0x0}
	} },
	{"THM_TCON_LOCAL13", 0xd8202ef8, {
		{"PowerDownTmon1", 0x2, 0x1},
		{"PowerDownTmon0", 0x1, 0x0}
	} },
	{"THM_TCON_LOCAL12", 0xd8202e30, {
		{"TMON1_Tj_Max_RS_ID", 0xf, 0x0}
	} },
	{"THM_TCON_LOCAL11", 0xd8202e2c, {
		{"Tj_Max_TMON1", 0x7ff, 0x0}
	} },
	{"THM_TCON_LOCAL10", 0xd8202e28, {
		{"TMON0_Tj_Max_RS_ID", 0xf, 0x0}
	} },
	{"RCC3ON_CPU_0", 0xd022000c, {
		{"RCC3_AVG_EN", 0x10, 0x4},
		{"RCC3_DIDT_TIMER", 0x1f800, 0xb},
		{"RCC3_PSM_EN", 0x2, 0x1},
		{"RCC3_AVG_DIV", 0x7e0, 0x5},
		{"CK_RCC3ON", 0x1, 0x0},
		{"RCC3_WAKE_MIN_14_0", 0xfffe0000, 0x11},
		{"RCC3_PSM_CLK_DIV", 0xc, 0x2}
	} },
	{"MP_SMUIF11_MP0PUB_IND_INDEX", 0x196, {

	} },
	{"MP_SMUIF8_MP0PUB_IND_INDEX", 0x190, {

	} },
	{"TMON1_RDIR11_DATA", 0xd820216c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON0_RDIL11_DATA", 0xd820202c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP1_SW_INT_CTXID", 0xcf200410, {
		{"CTXID", 0xfffffff, 0x0}
	} },
	{"RCC3_WAKEMIN_CPU_0", 0xd0220054, {
		{"RCC3_WAKE_MIN_46_15", 0xffffffff, 0x0}
	} },
	{"RCC3ON_CPU_1", 0xd023000c, {
		{"RCC3_AVG_EN", 0x10, 0x4},
		{"RCC3_DIDT_TIMER", 0x1f800, 0xb},
		{"RCC3_PSM_EN", 0x2, 0x1},
		{"RCC3_AVG_DIV", 0x7e0, 0x5},
		{"CK_RCC3ON", 0x1, 0x0},
		{"RCC3_WAKE_MIN_14_0", 0xfffe0000, 0x11},
		{"RCC3_PSM_CLK_DIV", 0xc, 0x2}
	} },
	{"SMU_MP1_SRBM2P_ARG_1", 0x1e1, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"MP_SMUIF4_MP0PUB_IND_DATA", 0x189, {

	} },
	{"SMU_MP1_SRBM2P_ARG_3", 0x1e3, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_2", 0x1e2, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_5", 0x1e5, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_4", 0x1e4, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_7", 0x1e7, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_6", 0x1e6, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_9", 0x1e9, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_CNTL", 0xcf200000, {
		{"priv", 0x400000, 0x16},
		{"tag", 0x1ffff, 0x0},
		{"stall", 0x200000, 0x15},
		{"cid", 0xff800000, 0x17},
		{"urg", 0x1e0000, 0x11}
	} },
	{"TMON0_RDIR1_DATA", 0xd8202044, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON1_RDIR3_DATA", 0xd820214c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TARGET_AND_CURRENT_PROFILE_INDEX_2", 0xd02000f4, {
		{"TARG_UVD_INDEX", 0xf0, 0x4},
		{"TARG_SAMU_INDEX", 0xf0000000, 0x1c},
		{"CURR_ACP_INDEX", 0xf0000, 0x10},
		{"CURR_VCE_INDEX", 0xf00, 0x8},
		{"TARG_ACP_INDEX", 0xf00000, 0x14},
		{"TARG_VCE_INDEX", 0xf000, 0xc},
		{"CURR_UVD_INDEX", 0xf, 0x0},
		{"CURR_SAMU_INDEX", 0xf000000, 0x18}
	} },
	{"TARGET_AND_CURRENT_PROFILE_INDEX_1", 0xd02000f0, {
		{"CURR_MVDD_INDEX", 0xf00, 0x8},
		{"CURR_VDDC_INDEX", 0xf0000, 0x10},
		{"TARG_VDDCI_INDEX", 0xf0, 0x4},
		{"TARG_MVDD_INDEX", 0xf000, 0xc},
		{"CURR_PCIE_INDEX", 0xf000000, 0x18},
		{"TARG_PCIE_INDEX", 0xf0000000, 0x1c},
		{"TARG_VDDC_INDEX", 0xf00000, 0x14},
		{"CURR_VDDCI_INDEX", 0xf, 0x0}
	} },
	{"TMON1_RDIL14_DATA", 0xd8202138, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON1_RDIR0_DATA", 0xd8202140, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"RCC3_WAKEMIN_CPU_1", 0xd0230054, {
		{"RCC3_WAKE_MIN_46_15", 0xffffffff, 0x0}
	} },
	{"GC_CAC_WEIGHT_CU_3", 0x35, {
		{"WEIGHT_CU_SIG7", 0xffff0000, 0x10},
		{"WEIGHT_CU_SIG6", 0xffff, 0x0}
	} },
	{"LCAC_MC3_CNTL", 0xd0208154, {
		{"MC3_SIGNAL_ID", 0x3fc00000, 0x16},
		{"MC3_ENABLE", 0x1, 0x0},
		{"MC3_THRESHOLD", 0x1fffe, 0x1},
		{"MC3_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"SCLK_DEEP_SLEEP_CNTL2", 0xd0200084, {
		{"SDMA_BUSY_MASK", 0x80, 0x7},
		{"ROM_BUSY_MASK", 0x4, 0x2},
		{"VCE_1_CG_MC_STAT_BUSY_MASK", 0x400000, 0x16},
		{"REG_SCLK_DEEP_SLEEP_MASK", 0x800000, 0x17},
		{"HDP_BUSY_MASK", 0x2, 0x1},
		{"UVD_CG_MC_STAT_BUSY_MASK", 0x400, 0xa},
		{"IH_SEM_BUSY_MASK", 0x8, 0x3},
		{"INOUT_CUSHION", 0xff000000, 0x18},
		{"IDCT_BUSY_MASK", 0x40, 0x6},
		{"ACP_SMU_ALLOW_DSLEEP_STUTTER_MASK", 0x200, 0x9},
		{"VCE_0_CG_MC_STAT_BUSY_MASK", 0x800, 0xb},
		{"DC_AZ_BUSY_MASK", 0x100, 0x8},
		{"VCE_1_BUSY_MASK", 0x200000, 0x15},
		{"RLC_BUSY_MASK", 0x1, 0x0},
		{"PDMA_BUSY_MASK", 0x10, 0x4}
	} },
	{"PCIE_PGFSM2_WRITE", 0xd02002e0, {
		{"Write_value", 0xffffffff, 0x0}
	} },
	{"MP_SMUIF6_MP0PUB_IND_DATA", 0x18d, {

	} },
	{"TMON1_RDIR13_DATA", 0xd8202174, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"UNBPM_VOLTAGE_CNTL", 0xd02110a0, {
		{"VOLTAGE_LEVEL", 0x1fe, 0x1},
		{"VOLTAGE_EN", 0x1, 0x0}
	} },
	{"TMON0_DEBUG0", 0xd82020b4, {
		{"DEBUG_Z", 0x7ff, 0x0},
		{"DEBUG_Z_EN", 0x800, 0xb}
	} },
	{"TMON0_DEBUG1", 0xd82020b8, {
		{"DEBUG_RDI", 0x1f, 0x0}
	} },
	{"UNBPM_PWRCTRL_MISC", 0xd02110bc, {
		{"PWRGATEMASTERDIS", 0x1, 0x0}
	} },
	{"TMON0_RDIL1_DATA", 0xd8202004, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_11", 0x1cb, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_12", 0x1cc, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_13", 0x1cd, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_14", 0x1ce, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_15", 0x1cf, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_2", 0x184, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_3", 0x186, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_0", 0x180, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_1", 0x182, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_6", 0x18c, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_7", 0x18e, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_4", 0x188, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_5", 0x18a, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_53", 0xcf200128, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_52", 0xcf200124, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_8", 0x190, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_INDEX_9", 0x192, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_57", 0xcf200138, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_56", 0xcf200134, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_55", 0xcf200130, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_54", 0xcf20012c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_INTERRUPT_CONTROL", 0xcf200400, {
		{"MP0_SW_INT_ACK", 0x40, 0x6},
		{"MP0_SW_TRIG_MASK", 0x20, 0x5},
		{"MAX_CREDIT_VALUE", 0x1f, 0x0},
		{"MP1_SW_TRIG_MASK", 0x80, 0x7},
		{"MP1_SW_INT_ACK", 0x100, 0x8}
	} },
	{"TMON0_RDIR14_DATA", 0xd8202078, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SPMI_C6_STATE_0", 0xd022101c, {
		{"SPMI_IF_COUNTER_ADDRESS_C6", 0xfffc, 0x2},
		{"SPMI_IF_C6_STATE_ENTERED_WHEN_FSM_BUSY", 0x2, 0x1},
		{"SPMI_IF_C6_STATE_ENTERED", 0x1, 0x0}
	} },
	{"MP0_DISP_TIMER1_CNT", 0x1b8, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"TMON1_RDIR2_DATA", 0xd8202148, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"PWRHW_SMC_IND_DATA", 0x181, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP_SMUIF11_MP0PUB_IND_DATA", 0x197, {

	} },
	{"TMON1_RDIR6_DATA", 0xd8202158, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"CURRENT_VID_CPU0", 0xd0210008, {
		{"CURRENT_VID", 0xff, 0x0}
	} },
	{"CURRENT_VID_CPU1", 0xd0210018, {
		{"CURRENT_VID", 0xff, 0x0}
	} },
	{"TMON0_RDIR0_DATA", 0xd8202040, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SPMI_RESET_0", 0xd022102c, {
		{"SYNC_RESET", 0x80000000, 0x1f},
		{"ASYNC_RESET_0", 0x1, 0x0}
	} },
	{"SPMI_RESET_1", 0xd023102c, {
		{"SYNC_RESET", 0x80000000, 0x1f},
		{"ASYNC_RESET_0", 0x1, 0x0}
	} },
	{"MP_SRBM_ACCVIO_ADDR", 0xcf200c08, {
		{"ACC_VIO_ADDR", 0xffffffff, 0x0}
	} },
	{"TMON0_INT_DATA", 0xd8202080, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON0_CONFIG", 0xd8202098, {
		{"NUM_ACQ", 0x7, 0x0},
		{"RE_CALIB_EN", 0x40, 0x6},
		{"RDI_INTERLEAVE", 0x10, 0x4},
		{"FORCE_MAX_ACQ", 0x8, 0x3}
	} },
	{"CORE_REDUN_SSB_XFER_CFG_0", 0xd0220020, {
		{"FUSE_REDUN_LAST_ADDR", 0x7ff, 0x0}
	} },
	{"MP_SMUIF0_MP0PUB_IND_DATA", 0x181, {

	} },
	{"THM_THERMAL_INT_CTRL", 0xd8200d14, {
		{"THERM_GNB_HW_ENA", 0x10000000, 0x1c},
		{"THERM_INTH_MASK", 0x1000000, 0x18},
		{"THERM_INTL_MASK", 0x2000000, 0x19},
		{"DIG_THERM_INTH", 0xff, 0x0},
		{"THERM_TRIGGER_MASK", 0x4000000, 0x1a},
		{"DIG_THERM_INTL", 0xff00, 0x8},
		{"GNB_TEMP_THRESHOLD", 0xff0000, 0x10},
		{"THERM_TRIGGER_CNB_MASK", 0x8000000, 0x1b}
	} },
	{"MP0_SW_INT", 0xcf200404, {
		{"VALID", 0x1, 0x0},
		{"INT_ID", 0x1fe, 0x1}
	} },
	{"MISC_UNB_PWRMGT_DATA", 0xd020c00c, {
		{"NB_PRE_SELF_REFRESH", 0x10, 0x4},
		{"NB_REQ_NB_PSTATE", 0x20, 0x5},
		{"NB_ON_INB_WAKE_ACK", 0x80, 0x7},
		{"NB_CROSS_TRIGGER", 0xf, 0x0},
		{"NB_ON3_CH0LINK_WAKE_ACK", 0x100, 0x8},
		{"NB_ON3_CH1LINK_WAKE_ACK", 0x200, 0x9},
		{"NB_FLUSH_ACK_TOGGLE", 0x40, 0x6}
	} },
	{"TMON0_RDIL7_DATA", 0xd820201c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON1_RDIL8_DATA", 0xd8202120, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SMU_MP1_RLC2MP_RESP", 0x1f4, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"UNBPM_VOLTAGE_STATUS", 0xd02110a4, {
		{"VOLTAGE_STATUS", 0x1, 0x0},
		{"VOLTAGE_CURRENT_LEVEL", 0x1fe, 0x1}
	} },
	{"POWERREADY_CPU_0", 0xd0220004, {
		{"POWERREADY", 0x1, 0x0}
	} },
	{"MP_SMUIF3_MP0PUB_IND_INDEX", 0x186, {

	} },
	{"THM_GPIO_PROCHOT_CTRL", 0xd8200d00, {
		{"SCHMEN", 0x8, 0x3},
		{"A", 0x800, 0xb},
		{"OE_OVERRIDE", 0x100, 0x8},
		{"TX12_EN", 0x1, 0x0},
		{"PU", 0x4, 0x2},
		{"OE", 0x200, 0x9},
		{"SN", 0x10, 0x4},
		{"PD", 0x2, 0x1},
		{"Y", 0x1000, 0xc},
		{"A_OVERRIDE", 0x400, 0xa}
	} },
	{"MP_SMUIF0_MP0PUB_IND_INDEX", 0x180, {

	} },
	{"MP_SMUIF1_MP0PUB_IND_INDEX", 0x182, {

	} },
	{"SMU_MP1_SRBM2P_MSG_10", 0x1ca, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"PWRHW3_PWRHW_SMC_IND_DATA", 0x187, {

	} },
	{"SPR_SERIALNUM_REG2", 0xd0211070, {
		{"SPR_SERIALNUM_REG2", 0xffffffff, 0x0}
	} },
	{"SPR_SERIALNUM_REG1", 0xd021106c, {
		{"SPR_SERIALNUM_REG1", 0xffffffff, 0x0}
	} },
	{"MP_IOC_READ_13", 0xcf100058, {
		{"data", 0xffffffff, 0x0}
	} },
	{"TMON1_TEMP_CALC_COEFF4", 0xd82021b0, {
		{"K", 0x1, 0x0}
	} },
	{"TMON1_TEMP_CALC_COEFF0", 0xd82021a0, {
		{"Z", 0x7ff, 0x0}
	} },
	{"TMON1_TEMP_CALC_COEFF1", 0xd82021a4, {
		{"A", 0xfff, 0x0}
	} },
	{"TMON1_TEMP_CALC_COEFF2", 0xd82021a8, {
		{"B", 0x3f, 0x0}
	} },
	{"TMON1_TEMP_CALC_COEFF3", 0xd82021ac, {
		{"C", 0x7ff, 0x0}
	} },
	{"GC_CAC_LKG_AGGR_LOWER", 0x3294, {
		{"LKG_AGGR_31_0", 0xffffffff, 0x0}
	} },
	{"MP_IOC_READ_11", 0xcf100050, {
		{"data", 0xffffffff, 0x0}
	} },
	{"UNBPM_CK_IRESET", 0xd0211050, {
		{"CK_IRESET_LOCAL", 0x1, 0x0}
	} },
	{"MP0PUB_IND_INDEX_13", 0x19a, {
		{"MP0PUB_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"TMON1_RDIL9_DATA", 0xd8202124, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON0_RDIL5_DATA", 0xd8202014, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"CSTATE_ACTIVE_SAMPLER", 0xd02110c0, {
		{"SAMPLE_TIME", 0x1f, 0x0}
	} },
	{"CG_FREQ_TRAN_VOTING_5", 0xd02001bc, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_1_FREQ_THROTTLING_VOTE_EN", 0x80000000, 0x1f},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12},
		{"VCE_0_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa}
	} },
	{"CG_FREQ_TRAN_VOTING_4", 0xd02001b8, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_1_FREQ_THROTTLING_VOTE_EN", 0x80000000, 0x1f},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12},
		{"VCE_0_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa}
	} },
	{"CG_FREQ_TRAN_VOTING_7", 0xd02001c4, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_1_FREQ_THROTTLING_VOTE_EN", 0x80000000, 0x1f},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12},
		{"VCE_0_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa}
	} },
	{"CG_FREQ_TRAN_VOTING_6", 0xd02001c0, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_1_FREQ_THROTTLING_VOTE_EN", 0x80000000, 0x1f},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12},
		{"VCE_0_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa}
	} },
	{"CG_FREQ_TRAN_VOTING_1", 0xd02001ac, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_1_FREQ_THROTTLING_VOTE_EN", 0x80000000, 0x1f},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12},
		{"VCE_0_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_59", 0xcf200140, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CG_FREQ_TRAN_VOTING_3", 0xd02001b4, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_1_FREQ_THROTTLING_VOTE_EN", 0x80000000, 0x1f},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12},
		{"VCE_0_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa}
	} },
	{"CG_FREQ_TRAN_VOTING_2", 0xd02001b0, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_1_FREQ_THROTTLING_VOTE_EN", 0x80000000, 0x1f},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12},
		{"VCE_0_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_62", 0xcf20014c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_63", 0xcf200150, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_60", 0xcf200144, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_58", 0xcf20013c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_SMUIF9_MP0PUB_IND_INDEX", 0x192, {

	} },
	{"LCAC_MC0_OVR_SEL", 0xd0208134, {
		{"MC0_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_17", 0xcf200098, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_16", 0xcf200094, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_15", 0xcf200090, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_14", 0xcf20008c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_13", 0xcf200088, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_12", 0xcf200084, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_11", 0xcf200080, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_10", 0xcf20007c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_FPS_CNT_XBAR", 0xcf200800, {
		{"FPS_CNT", 0xffffffff, 0x0}
	} },
	{"MP0_DISP_TIMER0_INTEN", 0x1ae, {
		{"RESERVED", 0xfffffff0, 0x4},
		{"INTEN", 0xf, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_19", 0xcf2000a0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TMON0_RDIL14_DATA", 0xd8202038, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SMU_MP1_ACP2MP_RESP", 0x1f0, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_51", 0xcf200120, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TMON0_RDIR15_DATA", 0xd820207c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"THM_TCON_THERM_TRIP", 0xd8200ce4, {
		{"THERM_TP", 0x2, 0x1},
		{"SW_THERM_TP", 0x80000000, 0x1f},
		{"THERM_TP_SENSE", 0x8, 0x3},
		{"RSVD0", 0x1, 0x0},
		{"RSVD1", 0x4, 0x2},
		{"RSVD2", 0x10, 0x4},
		{"RSVD3", 0x7fffffc0, 0x6},
		{"THERM_TP_EN", 0x20, 0x5}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_50", 0xcf20011c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPMI_PATH_1", 0xd0231018, {
		{"PATH_ENABLE_ACK", 0x2, 0x1},
		{"PATH_ENABLE_REQ_auto_clear", 0x10, 0x4},
		{"PATH_ENABLE_REQ", 0x1, 0x0}
	} },
	{"SPMI_PATH_0", 0xd0221018, {
		{"PATH_ENABLE_ACK", 0x2, 0x1},
		{"PATH_ENABLE_REQ_auto_clear", 0x10, 0x4},
		{"PATH_ENABLE_REQ", 0x1, 0x0}
	} },
	{"SPMI_FSM_READ_TRIGGER_0", 0xd0221008, {
		{"FSM_READ_TRIGGER", 0x1, 0x0}
	} },
	{"SPMI_FSM_READ_TRIGGER_1", 0xd0231008, {
		{"FSM_READ_TRIGGER", 0x1, 0x0}
	} },
	{"VDDGFX_IDLE_CONTROL", 0xd0200370, {
		{"VDDGFX_IDLE_DETECT", 0x2, 0x1},
		{"FORCE_VDDGFX_IDLE_EXIT", 0x4, 0x2},
		{"VDDGFX_IDLE_EN", 0x1, 0x0},
		{"SMC_VDDGFX_IDLE_STATE", 0x8, 0x3}
	} },
	{"GN_FORCE_NBPS1", 0xd0211044, {
		{"GN_FORCE_NBPS1_DATA", 0x1, 0x0}
	} },
	{"MP_SMUIF14_MP0PUB_IND_DATA", 0x19d, {

	} },
	{"MISC_UNB_PWRMGT_CFG0", 0xd020c000, {
		{"TARGET_ADDR", 0xffffffff, 0x0}
	} },
	{"LCAC_MC1_OVR_SEL", 0xd0208140, {
		{"MC1_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"GNBPM_SMU_PWRMGT_STATUS", 0xd020c020, {
		{"PM_AllCpusInCC6", 0x1, 0x0},
		{"PM_ReqNbPstate", 0x20, 0x5},
		{"PM_AllowNbPstate", 0x40, 0x6},
		{"PM_HtcActive", 0x2, 0x1},
		{"SPARE", 0xfe00, 0x9},
		{"PM_AllowSelfRefresh", 0x80, 0x7},
		{"PM_IntrWake", 0x100, 0x8},
		{"PM_SmuIntSuperVminExit", 0x8, 0x3},
		{"PM_PreSelfRefresh", 0x10, 0x4},
		{"PM_SmuInt", 0x4, 0x2}
	} },
	{"THM_TCON_HTC", 0xd8200c64, {
		{"HTC_HYST_LMT", 0xf000000, 0x18},
		{"HTC_TO_GNB_EN", 0x400, 0xa},
		{"HTC_PSTATE_LIMIT", 0x70000000, 0x1c},
		{"PROCHOT_TO_GNB_EN", 0x800, 0xb},
		{"HTC_SLEW_SEL", 0x800000, 0x17},
		{"DIS_PROCHOT_PIN", 0x200, 0x9},
		{"HTC_P_STATE_EN", 0x4, 0x2},
		{"HTC_ACTIVE", 0x10, 0x4},
		{"HTC_DIAG", 0x100, 0x8},
		{"HTC_ACTIVE_LOG", 0x20, 0x5},
		{"RSVD1", 0x8, 0x3},
		{"RSVD0", 0x2, 0x1},
		{"HTC_EN", 0x1, 0x0},
		{"RSVD2", 0xf000, 0xc},
		{"HTC_TMP_LMT", 0x7f0000, 0x10},
		{"HTC_APIC_LO_EN", 0x80, 0x7},
		{"HTC_APIC_HI_EN", 0x40, 0x6}
	} },
	{"GC_CAC_WEIGHT_CU_2", 0x34, {
		{"WEIGHT_CU_SIG5", 0xffff0000, 0x10},
		{"WEIGHT_CU_SIG4", 0xffff, 0x0}
	} },
	{"TMON1_RDIL12_DATA", 0xd8202130, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SPMI_FORCE_CLOCK_GATERS_0", 0xd0221030, {
		{"SRAM_CLOCK_GATER_FORCE", 0x100, 0x8},
		{"CLOCK_GATER_0_FORCE", 0x1, 0x0}
	} },
	{"UNBPM_NBPWRMGT_FSM_CFG", 0xd0211014, {
		{"DIS_AUTO_PWRGATE_ON_EXIT", 0x2, 0x1}
	} },
	{"THM_GPIO_THERMTRIP_CTRL", 0xd8200d04, {
		{"SCHMEN", 0x8, 0x3},
		{"A", 0x800, 0xb},
		{"OE_OVERRIDE", 0x100, 0x8},
		{"TX12_EN", 0x1, 0x0},
		{"PU", 0x4, 0x2},
		{"OE", 0x200, 0x9},
		{"SN", 0x10, 0x4},
		{"PD", 0x2, 0x1},
		{"Y", 0x1000, 0xc},
		{"A_OVERRIDE", 0x400, 0xa}
	} },
	{"UNBPM_NBPWRMGT_CMD", 0xd0211010, {
		{"TARGET_BLOCK", 0x3, 0x0},
		{"TARGET_CMD", 0x100, 0x8},
		{"OVERRIDE_PARAMS", 0x2000000, 0x19},
		{"SET_NB_STUTTER_MODE", 0x8000000, 0x1b},
		{"RETURN_NB_ACK", 0x1000000, 0x18},
		{"DCT_SR_MAP", 0xff0000, 0x10},
		{"SET_NB_LOW_POWER", 0x4000000, 0x1a}
	} },
	{"TMON1_INT_DATA", 0xd8202180, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP0_DISP_TIMER0_OCMP_0_0", 0x1af, {
		{"OCMP", 0xffffffff, 0x0}
	} },
	{"MP0_DISP_TIMER0_OCMP_0_1", 0x1b0, {
		{"OCMP", 0xffffffff, 0x0}
	} },
	{"ONION_NO_STREAMS_PEND", 0xd02110b0, {
		{"ONION3_NO_STREAMS_PEND_1", 0x4, 0x2},
		{"ONION_NO_STREAMS_PEND", 0x1, 0x0},
		{"ONION3_NO_STREAMS_PEND_0", 0x2, 0x1}
	} },
	{"MP0_DISP_TIMER1_CTRL0", 0x1b2, {
		{"START", 0x1, 0x0},
		{"CLEAR", 0x100, 0x8},
		{"DEC", 0x10000, 0x10},
		{"PULSE_COUNT_MODE", 0x1000000, 0x18}
	} },
	{"MP0_DISP_TIMER1_CTRL1", 0x1b3, {
		{"TIME_SLICE_MODE_EN", 0x100, 0x8},
		{"TIMER_SATURATION_EN", 0x10000, 0x10},
		{"RESERVED", 0xff000000, 0x18},
		{"PWM_OUTPUT_EN", 0x1, 0x0}
	} },
	{"WARM_RESET_NB_CONTROL", 0xd02110ac, {
		{"WARM_RESET_CPU_VID", 0xff, 0x0},
		{"NB_DISABLE_CORE", 0xff00, 0x8}
	} },
	{"MISC_SMU_PWRMGT_CFG1", 0xd0211038, {
		{"TIMER_INTERVAL", 0x1fffe, 0x1},
		{"TIMER_EN", 0x1, 0x0},
		{"INT_GEN_EN", 0x20000, 0x11}
	} },
	{"MISC_SMU_PWRMGT_CFG0", 0xd0211030, {
		{"TARGET_ADDR", 0xffffffff, 0x0}
	} },
	{"CG_ULV_PARAMETER", 0xd020015c, {
		{"ULV_THRESHOLD_UNIT", 0xf0000, 0x10},
		{"ULV_THRESHOLD", 0xffff, 0x0}
	} },
	{"MP_IOC_READ_4", 0xcf100034, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP0_SW_INT_CTXID", 0xcf200408, {
		{"CTXID", 0xfffffff, 0x0}
	} },
	{"TMON1_RDIR10_DATA", 0xd8202168, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON1_CONFIG", 0xd8202198, {
		{"NUM_ACQ", 0x7, 0x0},
		{"RE_CALIB_EN", 0x40, 0x6},
		{"RDI_INTERLEAVE", 0x10, 0x4},
		{"FORCE_MAX_ACQ", 0x8, 0x3}
	} },
	{"TMON1_RDIL6_DATA", 0xd8202118, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP_IOC_READ_5", 0xcf100038, {
		{"data", 0xffffffff, 0x0}
	} },
	{"TMON1_RDIL2_DATA", 0xd8202108, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"DMA_ACTIVE_SAMPLER_CFG", 0xd020c014, {
		{"SAMPLING_TIMER_EN", 0x1, 0x0},
		{"DMA_ACTIVE_TRANS_CNT", 0x60000, 0x11},
		{"SAMPLING_TIMER_PERIOD", 0x1fffe, 0x1}
	} },
	{"SMU_DISP1_TIMER_INT_CONTROL", 0x1f7, {
		{"INT_STAT", 0x1, 0x0},
		{"INT_ACK", 0x8, 0x3},
		{"MASK", 0x10, 0x4},
		{"INT_UNMASK", 0x2, 0x1},
		{"INT_TYPE", 0x4, 0x2}
	} },
	{"MISC_GNB_PWRMGT_DATA", 0xd021103c, {
		{"GN_ON3_CH1LINK_WAKE", 0x200, 0x9},
		{"GN_ON3_CH0LINK_WAKE", 0x100, 0x8},
		{"GN_ALLOW_NB_PSTATES", 0x2, 0x1},
		{"GN_ON_INB_WAKE", 0x1, 0x0},
		{"GN_CROSS_TRIGGER", 0x78, 0x3},
		{"GN_STOP_CLOCKS", 0x80, 0x7},
		{"GN_FLUSH_REQ_TOGGLE", 0x4, 0x2}
	} },
	{"RCC3_TARGETPSMREF_CPU_1", 0xd0230038, {
		{"RCC3_TARGETPSMREF", 0x3fff, 0x0}
	} },
	{"RCC3_TARGETPSMREF_CPU_0", 0xd0220038, {
		{"RCC3_TARGETPSMREF", 0x3fff, 0x0}
	} },
	{"LCLK_DEEP_SLEEP_CNTL2", 0xd0200310, {
		{"L1IMUGPP_IDLE_MASK", 0x400, 0xa},
		{"ORB_IDLE_MASK", 0x8000, 0xf},
		{"PCIE_LCLK_IDLE1_MASK", 0x40, 0x6},
		{"ON_INB_WAKE_ACK_MASK", 0x20000, 0x11},
		{"RESERVED_BIT3", 0x8, 0x3},
		{"IP_SMU_IDLE1_MASK", 0x8000000, 0x1b},
		{"IP_SMU_IDLE3_MASK", 0x20000000, 0x1d},
		{"L1IMUPCIE1_IDLE_MASK", 0x400000, 0x16},
		{"ON_INB_WAKE_MASK", 0x10000, 0x10},
		{"L1IMUPCIE0_IDLE_MASK", 0x200000, 0x15},
		{"IP_SMU_IDLE0_MASK", 0x4000000, 0x1a},
		{"APG_SMU_IDLE_MASK", 0x2000000, 0x19},
		{"ON_OUTB_WAKE_MASK", 0x40000, 0x12},
		{"L1IMU_SMU_IDLE_MASK", 0x4, 0x2},
		{"PCIE_LCLK_IDLE2_MASK", 0x80, 0x7},
		{"RESERVED", 0xc0000000, 0x1e},
		{"RFE_BUSY_MASK", 0x1, 0x0},
		{"BIF_CG_LCLK_BUSY_MASK", 0x2, 0x1},
		{"ON_OUTB_WAKE_ACK_MASK", 0x80000, 0x13},
		{"PCIE_LCLK_IDLE4_MASK", 0x200, 0x9},
		{"IP_SMU_IDLE2_MASK", 0x10000000, 0x1c},
		{"L1IMUBIF_IDLE_MASK", 0x1000, 0xc},
		{"DMAACTIVE_MASK", 0x100000, 0x14},
		{"SCLK_RUNNING_MASK", 0x10, 0x4},
		{"L1IMUINTGEN_IDLE_MASK", 0x2000, 0xd},
		{"PCIE_LCLK_IDLE3_MASK", 0x100, 0x8},
		{"L2IMU_IDLE_MASK", 0x4000, 0xe},
		{"L1IMUGPPSB_IDLE_MASK", 0x800, 0xb},
		{"SMU_BUSY_MASK", 0x20, 0x5},
		{"SPG_SMU_IDLE_MASK", 0x1000000, 0x18},
		{"L1IMUIOAGR_IDLE_MASK", 0x800000, 0x17}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_18", 0xcf20009c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPR_BRAND_NAME_DATA", 0xd021108c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_3", 0x187, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_2", 0x185, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_1", 0x183, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_0", 0x181, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_7", 0x18f, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_6", 0x18d, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_5", 0x18b, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_4", 0x189, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SPR_PRODUCT_INFO1", 0xd0211074, {
		{"DiDtMode", 0x1, 0x0},
		{"Reserved", 0xffe00000, 0x15},
		{"DiDtCfg3", 0x10000, 0x10},
		{"DiDtCfg2", 0xc000, 0xe},
		{"DiDtCfg1", 0x3fc0, 0x6},
		{"DiDtCfg0", 0x3e, 0x1},
		{"DiDtCfg4", 0x1e0000, 0x11}
	} },
	{"TMON1_RDIL11_DATA", 0xd820212c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP0PUB_IND_DATA_9", 0x193, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_8", 0x191, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"CG_ACPI_CNTL", 0xd0200064, {
		{"SCLK_ACPI_DIV", 0x7f, 0x0},
		{"SCLK_CHANGE_SKIP", 0x80, 0x7}
	} },
	{"MP_SMUIF7_MP0PUB_IND_DATA", 0x18f, {

	} },
	{"LCAC_MC1_OVR_VAL", 0xd0208144, {
		{"MC1_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"MP_IOC_READ_7", 0xcf100040, {
		{"data", 0xffffffff, 0x0}
	} },
	{"GC_CAC_ACC_CU4", 0xbe, {
		{"ACCUMULATOR_31_0", 0xffffffff, 0x0}
	} },
	{"MP0_MSP_MESSAGE_4", 0x1a5, {
		{"MP0_MSP_MSG", 0xffffffff, 0x0}
	} },
	{"MP0_MSP_MESSAGE_5", 0x1a6, {
		{"MP0_MSP_MSG", 0xffffffff, 0x0}
	} },
	{"MP0_MSP_MESSAGE_6", 0x1a7, {
		{"MP0_MSP_MSG", 0xffffffff, 0x0}
	} },
	{"MP0_MSP_MESSAGE_7", 0x1a8, {
		{"MP0_MSP_MSG", 0xffffffff, 0x0}
	} },
	{"MP0_MSP_MESSAGE_0", 0x1a1, {
		{"MP0_MSP_MSG", 0xffffffff, 0x0}
	} },
	{"MP0_MSP_MESSAGE_1", 0x1a2, {
		{"MP0_MSP_MSG", 0xffffffff, 0x0}
	} },
	{"MP0_MSP_MESSAGE_2", 0x1a3, {
		{"MP0_MSP_MSG", 0xffffffff, 0x0}
	} },
	{"MP0_MSP_MESSAGE_3", 0x1a4, {
		{"MP0_MSP_MSG", 0xffffffff, 0x0}
	} },
	{"SPMI_JTAG_OVER_0", 0xd0221020, {
		{"SPMI_IF_JTAG_OVER_HAPPENED", 0x1, 0x0}
	} },
	{"SPMI_JTAG_OVER_1", 0xd0231020, {
		{"SPMI_IF_JTAG_OVER_HAPPENED", 0x1, 0x0}
	} },
	{"LCAC_MC0_CNTL", 0xd0208130, {
		{"MC0_SIGNAL_ID", 0x3fc00000, 0x16},
		{"MC0_THRESHOLD", 0x1fffe, 0x1},
		{"MC0_ENABLE", 0x1, 0x0},
		{"MC0_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"DDR1_FUSE_SSB_XFER_CFG", 0xd0211024, {
		{"FUSE_DDR1_LAST_ADDR", 0x7ff, 0x0}
	} },
	{"PWR_UVD_RESP", 0xd0200308, {
		{"RESPONSE", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_10", 0x1da, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_11", 0x1db, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_12", 0x1dc, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_13", 0x1dd, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_14", 0x1de, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_RESP_15", 0x1df, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"MP_IOC_READ_2", 0xcf10002c, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_READ_3", 0xcf100030, {
		{"data", 0xffffffff, 0x0}
	} },
	{"TMON0_RDIR3_DATA", 0xd820204c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON0_RDIR12_DATA", 0xd8202070, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP_IOC_READ_8", 0xcf100044, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_READ_9", 0xcf100048, {
		{"data", 0xffffffff, 0x0}
	} },
	{"CG_FREQ_TRAN_VOTING_0", 0xd02001a8, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_1_FREQ_THROTTLING_VOTE_EN", 0x80000000, 0x1f},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12},
		{"VCE_0_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa}
	} },
	{"MP_IOC_WRITE_6", 0xcf10007c, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_7", 0xcf100080, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_4", 0xcf100074, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_5", 0xcf100078, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_2", 0xcf10006c, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_3", 0xcf100070, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_0", 0xcf100064, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_1", 0xcf100068, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_SMUIF10_MP0PUB_IND_DATA", 0x195, {

	} },
	{"MP_IOC_WRITE_8", 0xcf100084, {
		{"data", 0xffffffff, 0x0}
	} },
	{"MP_IOC_WRITE_9", 0xcf100088, {
		{"data", 0xffffffff, 0x0}
	} },
	{"SPR_BRAND_NAME_ADDR", 0xd0211088, {
		{"Index", 0xf, 0x0},
		{"Reserved", 0xfffffff0, 0x4}
	} },
	{"SPR_FUSE_PSTATEPWR3", 0xd0211060, {
		{"Reserved", 0xff000000, 0x18},
		{"PwrValue7", 0xff0000, 0x10},
		{"PwrValue6", 0xff00, 0x8},
		{"PwrValue5", 0xff, 0x0}
	} },
	{"MP_IOC_READ_1", 0xcf100028, {
		{"data", 0xffffffff, 0x0}
	} },
	{"CURRENT_FREQ_STATE_NB", 0xd0211004, {
		{"CURRENT_DID", 0xff00, 0x8},
		{"NB_STUTTER_MODE", 0xff000000, 0x18},
		{"CURRENT_FID", 0xff, 0x0},
		{"NB_LOW_POWER", 0xff0000, 0x10}
	} },
	{"MP0_DISP_TIMER0_CNT", 0x1b1, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"PCIE_PGFSM_1_READ", 0xd02002ec, {
		{"Read_value", 0xffffff, 0x0},
		{"Read_valid", 0x1000000, 0x18}
	} },
	{"UNBPM_DEBUG_BUS_CNTL", 0xd02110d0, {
		{"DEBUG_BUS_LOGGING_EN", 0x1, 0x0},
		{"DEBUG_BUS_CYCLE_NUM", 0x1fe, 0x1}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_28", 0xcf2000c4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_29", 0xcf2000c8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_26", 0xcf2000bc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_27", 0xcf2000c0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_24", 0xcf2000b4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_25", 0xcf2000b8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_22", 0xcf2000ac, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_23", 0xcf2000b0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_20", 0xcf2000a4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_21", 0xcf2000a8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"POWERON_CPU_0", 0xd0220000, {
		{"POWERON", 0x1, 0x0}
	} },
	{"MP0_DISP_TIMER0_CMP_AUTOINC", 0x1ad, {
		{"AUTOINC", 0xf, 0x0},
		{"RESERVED", 0xfffffff0, 0x4}
	} },
	{"PWRHW1_PWRHW_SMC_IND_INDEX", 0x182, {

	} },
	{"TMON0_RDIR2_DATA", 0xd8202048, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"UNBPM_VIDCHG_REQ_DBG_STATUS", 0xd02110d8, {
		{"NB_Vid", 0xff0, 0x4},
		{"NB_VSTime", 0x7000, 0xc},
		{"CK_VidChgBusy", 0x10000, 0x10},
		{"NB_VidChgRamp", 0x8, 0x3},
		{"NB_VidPlane", 0x6, 0x1},
		{"NB_VidChgZeroVid", 0x1, 0x0}
	} },
	{"TMON0_RDIR10_DATA", 0xd8202068, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON1_RDIL_PRESENT0", 0xd8202184, {
		{"RDIL_PRESENT_7_0", 0xff, 0x0}
	} },
	{"TMON1_RDIL_PRESENT1", 0xd8202188, {
		{"RDIL_PRESENT_15_8", 0xff, 0x0}
	} },
	{"MP_SMUIF13_MP0PUB_IND_DATA", 0x19b, {

	} },
	{"LCAC_CPL_OVR_VAL", 0xd0208168, {
		{"CPL_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"UNBPM_EXIT_TO_PSTATE", 0xd0211098, {
		{"EXIT_TO_PSTATE", 0x1, 0x0}
	} },
	{"PWRHW2_PWRHW_SMC_IND_INDEX", 0x184, {

	} },
	{"SMU_MP1_UVD2MP_RESP", 0x1f2, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"CG_STATIC_SCREEN_PARAMETER", 0xd0200044, {
		{"STATIC_SCREEN_THRESHOLD_UNIT", 0xf0000, 0x10},
		{"STATIC_SCREEN_THRESHOLD", 0xffff, 0x0}
	} },
	{"SPMI_C6_STATE_1", 0xd023101c, {
		{"SPMI_IF_COUNTER_ADDRESS_C6", 0xfffc, 0x2},
		{"SPMI_IF_C6_STATE_ENTERED_WHEN_FSM_BUSY", 0x2, 0x1},
		{"SPMI_IF_C6_STATE_ENTERED", 0x1, 0x0}
	} },
	{"SMU_DISP0_TIMER_INT_CONTROL", 0x1f6, {
		{"INT_STAT", 0x1, 0x0},
		{"INT_ACK", 0x8, 0x3},
		{"MASK", 0x10, 0x4},
		{"INT_UNMASK", 0x2, 0x1},
		{"INT_TYPE", 0x4, 0x2}
	} },
	{"PWR_VCE_RESP", 0xd0200304, {
		{"RESPONSE", 0xffffffff, 0x0}
	} },
	{"SCLK_DEEP_SLEEP_CNTL", 0xd0200080, {
		{"SELF_REFRESH_MASK", 0x20000, 0x11},
		{"SCLK_RUNNING_MASK", 0x10000, 0x10},
		{"DEEP_SLEEP_ENTRY_MODE", 0x8000000, 0x1b},
		{"SELF_REFRESH_NLC_MASK", 0x2000000, 0x19},
		{"BIF_BUSY_MASK", 0x80000, 0x13},
		{"ENABLE_DS", 0x80000000, 0x1f},
		{"ALLOW_NBPSTATE_MASK", 0x40000, 0x12},
		{"MC0SRBM_BUSY_MASK", 0x200000, 0x15},
		{"VCE_0_BUSY_MASK", 0x20000000, 0x1d},
		{"AZ_BUSY_MASK", 0x40000000, 0x1e},
		{"MC_ALLOW_MASK", 0x800000, 0x17},
		{"HYSTERESIS", 0xfff0, 0x4},
		{"UVD_BUSY_MASK", 0x100000, 0x14},
		{"SMU_BUSY_MASK", 0x1000000, 0x18},
		{"RAMP_DIS", 0x8, 0x3},
		{"FAST_EXIT_REQ_NBPSTATE", 0x4000000, 0x1a},
		{"MBUS2_ACTIVE_MASK", 0x10000000, 0x1c},
		{"MC1SRBM_BUSY_MASK", 0x400000, 0x16},
		{"DIV_ID", 0x7, 0x0}
	} },
	{"MP0_DISP_TIMER1_INTEN", 0x1b5, {
		{"RESERVED", 0xfffffff0, 0x4},
		{"INTEN", 0xf, 0x0}
	} },
	{"SPR_COMBO_PHY_PRODUCT_INFO", 0xd0211090, {
		{"SPR_COMBO_PHY_PRODUCT_INFO", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_13", 0x19b, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_12", 0x199, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_11", 0x197, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_10", 0x195, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_15", 0x19f, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"MP0PUB_IND_DATA_14", 0x19d, {
		{"MP0PUB_IND_DATA", 0xffffffff, 0x0}
	} },
	{"GNBPM_SMU_PWRMGT_DATA", 0xd020c010, {
		{"UNBPM_SmuInt", 0x4, 0x2},
		{"UNBPM_AllCpusInCC6", 0x1, 0x0},
		{"UNBPM_HtcActive", 0x2, 0x1},
		{"UNBPM_SPARE", 0xf8, 0x3}
	} },
	{"TMON1_RDIR5_DATA", 0xd8202154, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_11", 0x1eb, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_10", 0x1ea, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_13", 0x1ed, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_12", 0x1ec, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_15", 0x1ef, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_ARG_14", 0x1ee, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"TMON0_RDIL6_DATA", 0xd8202018, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"PCIE_PGFSM_0_READ", 0xd02002e8, {
		{"Read_value", 0xffffff, 0x0},
		{"Read_valid", 0x1000000, 0x18}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_7", 0xcf200070, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_6", 0xcf20006c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_5", 0xcf200068, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_4", 0xcf200064, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_3", 0xcf200060, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_2", 0xcf20005c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_1", 0xcf200058, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_0", 0xcf200054, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TMON1_RDIR4_DATA", 0xd8202150, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"LCLK_DEEP_SLEEP_CNTL", 0xd020008c, {
		{"HYSTERESIS", 0xfff0, 0x4},
		{"RESERVED", 0x7fff0000, 0x10},
		{"DIV_ID", 0x7, 0x0},
		{"ENABLE_DS", 0x80000000, 0x1f},
		{"RAMP_DIS", 0x8, 0x3}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_9", 0xcf200078, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_8", 0xcf200074, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_REMOTE_START", 0xd8202800, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPR_FUSE_PSTATEPWR2", 0xd021105c, {
		{"Reserved", 0xff000000, 0x18},
		{"PwrValue4", 0xff, 0x0},
		{"PwrDiv7", 0xc00000, 0x16},
		{"PwrDiv6", 0x300000, 0x14},
		{"PwrDiv5", 0xc0000, 0x12},
		{"PwrDiv4", 0x30000, 0x10},
		{"PwrDiv3", 0xc000, 0xe},
		{"PwrDiv2", 0x3000, 0xc},
		{"PwrDiv1", 0xc00, 0xa},
		{"PwrDiv0", 0x300, 0x8}
	} },
	{"SPR_FUSE_PSTATEPWR1", 0xd0211058, {
		{"PwrValue3", 0xff000000, 0x18},
		{"PwrValue2", 0xff0000, 0x10},
		{"PwrValue1", 0xff00, 0x8},
		{"PwrValue0", 0xff, 0x0}
	} },
	{"CORE_FUNC_LATE_SSB_XFER_0", 0xd0220014, {
		{"START_STATUS_XFER", 0x1, 0x0}
	} },
	{"CORE_FUNC_LATE_SSB_XFER_1", 0xd0230014, {
		{"START_STATUS_XFER", 0x1, 0x0}
	} },
	{"LCAC_CPL_CNTL", 0xd0208160, {
		{"CPL_SIGNAL_ID", 0x3fc00000, 0x16},
		{"CPL_ENABLE", 0x1, 0x0},
		{"CPL_THRESHOLD", 0x1fffe, 0x1},
		{"CPL_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"THM_TCON_CSR_DATA", 0xd82014a8, {
		{"TCC_DATA", 0xfff, 0x0},
		{"TCC_REQ_DONE", 0x1000, 0xc}
	} },
	{"CORE_APM_SSB_XFER_CFG_0", 0xd0220028, {
		{"FUSE_APM_LAST_ADDR", 0x7ff, 0x0}
	} },
	{"CORE_APM_SSB_XFER_CFG_1", 0xd0230028, {
		{"FUSE_APM_LAST_ADDR", 0x7ff, 0x0}
	} },
	{"MP_SMUIF15_MP0PUB_IND_DATA", 0x19f, {

	} },
	{"TMON1_RDIR1_DATA", 0xd8202144, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP_SMUIF13_MP0PUB_IND_INDEX", 0x19a, {

	} },
	{"MP_SMUIF6_MP0PUB_IND_INDEX", 0x18c, {

	} },
	{"UNBPM_MSG_INT_CONFIG", 0xd021100c, {
		{"MSG_REG_TARGET_ADDR", 0xffffffff, 0x0}
	} },
	{"SPMI_CONFIG1_0", 0xd0221004, {
		{"SPMI_SIGNALING_RESET_HOLD_CYCLES", 0x1f, 0x0},
		{"SPMI_CHAIN_SIZE", 0xffe0, 0x5}
	} },
	{"SPMI_CONFIG1_1", 0xd0231004, {
		{"SPMI_SIGNALING_RESET_HOLD_CYCLES", 0x1f, 0x0},
		{"SPMI_CHAIN_SIZE", 0xffe0, 0x5}
	} },
	{"SOUTHBRIDGE_TYPE", 0xd020c01c, {
		{"DISCRETE_SB", 0x1, 0x0}
	} },
	{"SERDES2_BUSY", 0xd02002e4, {
		{"PCIE_SERDES_BUSY", 0x1, 0x0}
	} },
	{"UNBPM_PWRMGT_REQ_DBG_STATUS", 0xd02110d4, {
		{"NB_PwrMgtReqGateEn", 0x400000, 0x16},
		{"NbPwrMgtReqOutstanding", 0x7000000, 0x18},
		{"NB_PwrMgtReqDid", 0x38000, 0xf},
		{"NB_PwrMgtReqPstate", 0x40000, 0x12},
		{"NB_PwrMgtReqNbMemPstate", 0x100, 0x8},
		{"NB_PwrMgtReqCpuPrbEn", 0x800000, 0x17},
		{"NB_PwrMgtReqDct", 0x6, 0x1},
		{"NB_PwrMgtReqCpu", 0x38, 0x3},
		{"NB_PwrMgtReqPstateId", 0x380000, 0x13},
		{"NB_PwrMgtReqNb", 0x1, 0x0},
		{"NB_PwrMgtReqCpuPwrTog", 0x40, 0x6},
		{"NB_PwrMgtReqNbPstateLo", 0x80, 0x7},
		{"NB_PwrMgtReqCpuNbFid", 0x7e00, 0x9}
	} },
	{"TMON1_RDIL3_DATA", 0xd820210c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"GENERAL_PWRMGT", 0xd0200000, {
		{"LOW_VOLT_D3_ACPI", 0x200, 0x9},
		{"VOLT_PWRMGT_EN", 0x400, 0xa},
		{"THERMAL_PROTECTION_DIS", 0x4, 0x2},
		{"GPU_COUNTER_ACPI", 0x4000, 0xe},
		{"THERMAL_PROTECTION_TYPE", 0x8, 0x3},
		{"GLOBAL_PWRMGT_EN", 0x1, 0x0},
		{"GPU_COUNTER_INTF_OFF", 0x20000, 0x11},
		{"SPARE11", 0x800, 0xb},
		{"LOW_VOLT_D2_ACPI", 0x100, 0x8},
		{"SPARE27", 0x8000000, 0x1b},
		{"SPARE", 0xf0000000, 0x1c},
		{"SW_SMIO_INDEX", 0x40, 0x6},
		{"GPU_COUNTER_OFF", 0x10000, 0x10},
		{"ACPI_D3_VID", 0x180000, 0x13},
		{"SPARE18", 0x40000, 0x12},
		{"DYN_SPREAD_SPECTRUM_EN", 0x800000, 0x17},
		{"STATIC_PM_EN", 0x2, 0x1},
		{"GPU_COUNTER_CLK", 0x8000, 0xf}
	} },
	{"TMON0_RDIR9_DATA", 0xd8202064, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"THM_TCON_LOCAL8", 0xd8202e20, {
		{"THERMMAX", 0x7ff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDREQ_CNTL_1", 0xcf200048, {
		{"exe", 0x800000, 0x17},
		{"urg", 0xf, 0x0},
		{"atc", 0x200000, 0x15},
		{"snoop", 0x1000000, 0x18},
		{"cid", 0x1ff00, 0x8},
		{"vmid", 0x1e0000, 0x11},
		{"vf", 0x4000000, 0x1a},
		{"vfid", 0xf8000000, 0x1b},
		{"stall", 0x10, 0x4},
		{"swap", 0xc0, 0x6},
		{"shared", 0x2000000, 0x19},
		{"physical", 0x400000, 0x16},
		{"priv", 0x20, 0x5}
	} },
	{"THM_TCON_LOCAL3", 0xd8202e0c, {
		{"Global_TMAX", 0x7ff, 0x0}
	} },
	{"THM_TCON_LOCAL2", 0xd8202e08, {
		{"skip_scale_correction", 0x800, 0xb},
		{"PwrDn_NumSensors", 0xc, 0x2},
		{"smu_use_corrected", 0x100, 0x8},
		{"PwrDn_MaxDlyMult", 0x3, 0x0},
		{"short_stagger_count", 0x20, 0x5},
		{"sbtsi_use_corrected", 0x40, 0x6},
		{"start_mission_polling", 0x10, 0x4},
		{"csrslave_use_corrected", 0x80, 0x7}
	} },
	{"THM_TCON_LOCAL1", 0xd8202e04, {
		{"PwrDn_DelaySlope", 0x38, 0x3},
		{"PwrDn_Limit_Temp", 0x7, 0x0},
		{"PwrDn_MinDelay", 0x1c0, 0x6}
	} },
	{"THM_TCON_LOCAL0", 0xd8202e00, {
		{"HaltPolling", 0x1, 0x0},
		{"TMON0_PwrDn_Dis", 0x2, 0x1},
		{"TMON1_PwrDn_Dis", 0x4, 0x2}
	} },
	{"THM_TCON_LOCAL7", 0xd8202e1c, {
		{"THERMID", 0xff, 0x0}
	} },
	{"THM_TCON_LOCAL6", 0xd8202e18, {
		{"Global_TMIN_ID", 0xff, 0x0}
	} },
	{"THM_TCON_LOCAL5", 0xd8202e14, {
		{"Global_TMIN", 0x7ff, 0x0}
	} },
	{"THM_TCON_LOCAL4", 0xd8202e10, {
		{"Global_TMAX_ID", 0xff, 0x0}
	} },
	{"SYNFIFO_CLK_RATIO", 0xd021102c, {
		{"CK_CCLK_IS_FASTER1", 0x2, 0x1},
		{"CK_CCLK_IS_FASTER0", 0x1, 0x0},
		{"CK_SYNFIFO_ASYNC_EN0", 0x10, 0x4},
		{"CK_SYNFIFO_ASYNC_EN1", 0x20, 0x5},
		{"CK_NCLK_IS_FASTER0", 0x4, 0x2},
		{"CK_NCLK_IS_FASTER1", 0x8, 0x3}
	} },
	{"TMON1_RDIR12_DATA", 0xd8202170, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP0_DISP_TIMER1_OCMP_0_1", 0x1b7, {
		{"OCMP", 0xffffffff, 0x0}
	} },
	{"MP0_DISP_TIMER1_OCMP_0_0", 0x1b6, {
		{"OCMP", 0xffffffff, 0x0}
	} },
	{"VDDGFX_IDLE_PARAMETER", 0xd020036c, {
		{"VDDGFX_IDLE_THRESHOLD", 0xffff, 0x0},
		{"VDDGFX_IDLE_THRESHOLD_UNIT", 0xf0000, 0x10}
	} },
	{"PWRHW_SMC_IND_INDEX", 0x180, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MP_SMUIF2_MP0PUB_IND_DATA", 0x185, {

	} },
	{"PWR_ACPI_INTERRUPT", 0xd0200318, {
		{"AZ_CG_resp", 0x4, 0x2},
		{"AZ_CG_req", 0x2, 0x1},
		{"BIF_CG_req", 0x1, 0x0}
	} },
	{"MP_SMUIF14_MP0PUB_IND_INDEX", 0x19c, {

	} },
	{"MP_CRBBM_ACCVIO_LOG", 0xcf200c10, {
		{"ACC_VIO_INTF", 0x2, 0x1},
		{"ACC_VIO_OP", 0x1, 0x0},
		{"ACC_VIO_VALID", 0x80000000, 0x1f}
	} },
	{"TMON1_RDIR15_DATA", 0xd820217c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SPMI_SPARE_0", 0xd0221034, {
		{"SPARE_DATA", 0xffffffff, 0x0}
	} },
	{"SPMI_SPARE_1", 0xd0231034, {
		{"SPARE_DATA", 0xffffffff, 0x0}
	} },
	{"COREPM_PWRCTRL_MISC_0", 0xd022002c, {
		{"PWRGATEMASTERDIS", 0x1, 0x0}
	} },
	{"COREPM_PWRCTRL_MISC_1", 0xd023002c, {
		{"PWRGATEMASTERDIS", 0x1, 0x0}
	} },
	{"TMON0_RDIL2_DATA", 0xd8202008, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP_SMUIF5_MP0PUB_IND_INDEX", 0x18a, {

	} },
	{"DISP_TIMER_ID", 0xcf200414, {
		{"DISP_T0_INT_ID", 0xff, 0x0},
		{"DISP_T1_INT_ID", 0xff00, 0x8}
	} },
	{"MP_SMUIF9_MP0PUB_IND_DATA", 0x193, {

	} },
	{"PWR_DC_REQ", 0xd020031c, {
		{"REQUEST", 0x1, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_HIGH_ADDR", 0xcf20000c, {
		{"addr_47_37", 0x7ff, 0x0},
		{"reserved", 0xfffff800, 0xb}
	} },
	{"LCAC_MC2_OVR_VAL", 0xd0208150, {
		{"MC2_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_WRREQ_STATUS", 0xcf200038, {
		{"fifo_not_empty", 0x100, 0x8},
		{"credit_counter", 0x1f, 0x0},
		{"tag_pointer", 0xf0000, 0x10},
		{"reserved1", 0xfe00, 0x9},
		{"reserved0", 0xe0, 0x5},
		{"reserved2", 0xfff00000, 0x14}
	} },
	{"SMU_SRBM_CONFIG", 0x1f8, {
		{"MSTR_CREDITS", 0x1f, 0x0}
	} },
	{"LCAC_MC3_OVR_VAL", 0xd020815c, {
		{"MC3_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"ALLOW_SR_INTR_CTRL", 0xd020c024, {
		{"ALLOW_SR_INTR_CTRL", 0x3, 0x0}
	} },
	{"CORE_APM_SSB_XFER_1", 0xd0230024, {
		{"START_STATUS_XFER", 0x1, 0x0}
	} },
	{"CURRENT_STATE_CPU0", 0xd0210000, {
		{"CPU_COF", 0xfff000, 0xc},
		{"CPU_COF_IND_PROG", 0x7f000000, 0x18},
		{"CURRENT_DID", 0x38, 0x3},
		{"CURRENT_FID", 0xfc0, 0x6},
		{"CURRENT_PSTATE_ID", 0x7, 0x0}
	} },
	{"CURRENT_STATE_CPU1", 0xd0210010, {
		{"CPU_COF", 0xfff000, 0xc},
		{"CPU_COF_IND_PROG", 0x7f000000, 0x18},
		{"CURRENT_DID", 0x38, 0x3},
		{"CURRENT_FID", 0xfc0, 0x6},
		{"CURRENT_PSTATE_ID", 0x7, 0x0}
	} },
	{"LCAC_MC0_OVR_VAL", 0xd0208138, {
		{"MC0_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"TMON1_DEBUG1", 0xd82021b8, {
		{"DEBUG_RDI", 0x1f, 0x0}
	} },
	{"TMON1_DEBUG0", 0xd82021b4, {
		{"DEBUG_Z", 0x7ff, 0x0},
		{"DEBUG_Z_EN", 0x800, 0xb}
	} },
	{"PCIE_PGFSM_WRITE", 0xd02002d4, {
		{"Write_value", 0xffffffff, 0x0}
	} },
	{"CORE_FUNC_LATE_SSB_XFER_CFG_1", 0xd0230018, {
		{"FUSE_FUNC_LAST_ADDR", 0x7ff, 0x0},
		{"FUSE_LATE_LAST_ADDR", 0x7ff0000, 0x10}
	} },
	{"CORE_FUNC_LATE_SSB_XFER_CFG_0", 0xd0220018, {
		{"FUSE_FUNC_LAST_ADDR", 0x7ff, 0x0},
		{"FUSE_LATE_LAST_ADDR", 0x7ff0000, 0x10}
	} },
	{"MP_IOC_CTRL", 0xcf100000, {
		{"IOC_mst_rderr", 0x300, 0x8},
		{"IOC_mst_force_active", 0x4, 0x2},
		{"IOC_mst_stop", 0x2, 0x1},
		{"IOC_mst_stop_ack", 0x80, 0x7},
		{"IOC_mst_debug_rst", 0x40, 0x6},
		{"IOC_mst_send", 0x1, 0x0},
		{"IOC_mst_disabled", 0x20, 0x5},
		{"IOC_mst_rdValid", 0x8, 0x3},
		{"IOC_mst_busy", 0x10, 0x4}
	} },
	{"SMU_MP1_SRBM2P_MSG_8", 0x1c8, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_9", 0x1c9, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"TMON1_RDIL15_DATA", 0xd820213c, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"CORE_REDUN_SSB_XFER_CFG_1", 0xd0230020, {
		{"FUSE_REDUN_LAST_ADDR", 0x7ff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_2", 0x1c2, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_3", 0x1c3, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_0", 0x1c0, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_1", 0x1c1, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_6", 0x1c6, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_7", 0x1c7, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_4", 0x1c4, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"SMU_MP1_SRBM2P_MSG_5", 0x1c5, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDREQ_CNTL", 0xcf200044, {
		{"addr_47_40", 0xff000000, 0x18},
		{"tag", 0xffff, 0x0},
		{"mask", 0xff0000, 0x10}
	} },
	{"SMU_MP1_VCE2MP_RESP", 0x1f3, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"TMON1_RDIR_PRESENT0", 0xd820218c, {
		{"RDIR_PRESENT_7_0", 0xff, 0x0}
	} },
	{"TMON1_RDIR_PRESENT1", 0xd8202190, {
		{"RDIR_PRESENT_15_8", 0xff, 0x0}
	} },
	{"THM_TCON_CSR_CONFIG", 0xd82014a4, {
		{"TCC_ADDR", 0x3ff, 0x0},
		{"TCC_READ_OP", 0x400, 0xa}
	} },
	{"LCAC_MC1_CNTL", 0xd020813c, {
		{"MC1_SIGNAL_ID", 0x3fc00000, 0x16},
		{"MC1_BLOCK_ID", 0x3e0000, 0x11},
		{"MC1_THRESHOLD", 0x1fffe, 0x1},
		{"MC1_ENABLE", 0x1, 0x0}
	} },
	{"MP_FPS_CNT", 0x1f5, {
		{"FPS_CNT", 0xffffffff, 0x0}
	} },
	{"SAM_IH_EXT_ERR_INTR", 0x1a9, {
		{"RESERVED", 0xfffffff8, 0x3},
		{"ISP", 0x4, 0x2},
		{"UVD", 0x1, 0x0},
		{"VCE", 0x2, 0x1}
	} },
	{"SPR_PRODUCT_INFO0", 0xd0211068, {
		{"Reserved1", 0xfff00000, 0x14},
		{"SerialNumRdDis", 0x80000, 0x13},
		{"Reserved0", 0x70000, 0x10},
		{"BrandId", 0xffff, 0x0}
	} },
	{"CPU_REDUN_DONE1", 0xd0210014, {
		{"CPU_REDUN_DONE", 0x1, 0x0}
	} },
	{"CPU_REDUN_DONE0", 0xd0210004, {
		{"CPU_REDUN_DONE", 0x1, 0x0}
	} },
	{"TMON1_RDIL13_DATA", 0xd8202134, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"TMON1_RDIL4_DATA", 0xd8202110, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"PWRHW0_PWRHW_SMC_IND_DATA", 0x181, {

	} },
	{"THM_TCON_LOCAL9", 0xd8202e24, {
		{"Tj_Max_TMON0", 0x7ff, 0x0}
	} },
	{"GC_CAC_WEIGHT_CU_1", 0x33, {
		{"WEIGHT_CU_SIG3", 0xffff0000, 0x10},
		{"WEIGHT_CU_SIG2", 0xffff, 0x0}
	} },
	{"GC_CAC_WEIGHT_CU_0", 0x32, {
		{"WEIGHT_CU_SIG1", 0xffff0000, 0x10},
		{"WEIGHT_CU_SIG0", 0xffff, 0x0}
	} },
	{"MP0_DISP_TIMER0_CTRL1", 0x1ac, {
		{"TIME_SLICE_MODE_EN", 0x100, 0x8},
		{"TIMER_SATURATION_EN", 0x10000, 0x10},
		{"RESERVED", 0xff000000, 0x18},
		{"PWM_OUTPUT_EN", 0x1, 0x0}
	} },
	{"MP0_DISP_TIMER0_CTRL0", 0x1ab, {
		{"START", 0x1, 0x0},
		{"CLEAR", 0x100, 0x8},
		{"DEC", 0x10000, 0x10},
		{"PULSE_COUNT_MODE", 0x1000000, 0x18}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_34", 0xcf2000dc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TMON0_RDIR13_DATA", 0xd8202074, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"SPMI_SRAM_DATA_1", 0xd0231028, {
		{"SRAM_DATA", 0xffffffff, 0x0}
	} },
	{"SPMI_SRAM_DATA_0", 0xd0221028, {
		{"SRAM_DATA", 0xffffffff, 0x0}
	} },
	{"GC_CAC_ACC_CU1", 0xbb, {
		{"ACCUMULATOR_31_0", 0xffffffff, 0x0}
	} },
	{"GC_CAC_ACC_CU0", 0xba, {
		{"ACCUMULATOR_31_0", 0xffffffff, 0x0}
	} },
	{"GC_CAC_ACC_CU3", 0xbd, {
		{"ACCUMULATOR_31_0", 0xffffffff, 0x0}
	} },
	{"GC_CAC_ACC_CU2", 0xbc, {
		{"ACCUMULATOR_31_0", 0xffffffff, 0x0}
	} },
	{"GC_CAC_ACC_CU5", 0xbf, {
		{"ACCUMULATOR_31_0", 0xffffffff, 0x0}
	} },
	{"PWR_DC_RESP", 0xd0200300, {
		{"RESPONSE", 0x1, 0x0}
	} },
	{"GC_CAC_ACC_CU7", 0xc1, {
		{"ACCUMULATOR_31_0", 0xffffffff, 0x0}
	} },
	{"GC_CAC_ACC_CU6", 0xc0, {
		{"ACCUMULATOR_31_0", 0xffffffff, 0x0}
	} },
	{"SPMI_CONFIG0_1", 0xd0231000, {
		{"SPMI_SIGNALING_HOLD_CYCLES", 0x1f000, 0xc},
		{"SPMI_PATH_DISABLE_DELAY_CYCLES", 0x7c00000, 0x16},
		{"SPMI_PATH_ENABLE_DELAY_CYCLES", 0x3e0000, 0x11},
		{"SPMI_SIGNALING_DELAY_CYCLES", 0xf80, 0x7},
		{"SPMI_ENABLE", 0x1, 0x0},
		{"SPMI_PATH_NUM_TIMING_FLOPS", 0x7c, 0x2}
	} },
	{"NUM_BOOST_STATES", 0xd02110a8, {
		{"NUM_BOOST_STATES", 0x7, 0x0}
	} },
	{"TARGET_AND_CURRENT_PROFILE_INDEX", 0xd0200014, {
		{"TARG_SCLK_INDEX", 0x3e00000, 0x15},
		{"TARG_MCLK_INDEX", 0xf000, 0xc},
		{"CURR_LCLK_INDEX", 0x1c000000, 0x1a},
		{"CURR_ACPI_INDEX", 0xf0, 0x4},
		{"CURR_SCLK_INDEX", 0x1f0000, 0x10},
		{"TARG_ACPI_INDEX", 0xf, 0x0},
		{"TARG_LCLK_INDEX", 0xe0000000, 0x1d},
		{"CURR_MCLK_INDEX", 0xf00, 0x8}
	} },
	{"REG_SCLK_DEEP_SLEEP_EXIT", 0xd0200378, {
		{"REG_sclk_deep_sleep_exit", 0x1, 0x0}
	} },
	{"THM_FUSE12", 0xd8210030, {
		{"FusesValid", 0x1, 0x0}
	} },
	{"CURRENT_PSTATE_NB", 0xd0211008, {
		{"CURRENT_MEM_PSTATE_ID", 0x200, 0x9},
		{"CURRENT_PSTATE_LO", 0x100, 0x8},
		{"CURRENT_PSTATE_ID", 0xff, 0x0}
	} },
	{"THM_FUSE10", 0xd8210028, {
		{"FUSE_UnusedBits", 0xffffff80, 0x7},
		{"FUSE_HtcDis", 0x1, 0x0},
		{"FUSE_HtcClkInact", 0xe, 0x1},
		{"FUSE_HtcClkAct", 0x70, 0x4}
	} },
	{"THM_FUSE11", 0xd821002c, {
		{"PA_SPARE", 0xff, 0x0}
	} },
	{"CURRENT_VID_NB", 0xd0211054, {
		{"CURRENT_VID", 0xff, 0x0}
	} },
	{"SPMI_CONFIG0_0", 0xd0221000, {
		{"SPMI_SIGNALING_HOLD_CYCLES", 0x1f000, 0xc},
		{"SPMI_PATH_DISABLE_DELAY_CYCLES", 0x7c00000, 0x16},
		{"SPMI_PATH_ENABLE_DELAY_CYCLES", 0x3e0000, 0x11},
		{"SPMI_SIGNALING_DELAY_CYCLES", 0xf80, 0x7},
		{"SPMI_ENABLE", 0x1, 0x0},
		{"SPMI_PATH_NUM_TIMING_FLOPS", 0x7c, 0x2}
	} },
	{"TMON0_RDIL_PRESENT1", 0xd8202088, {
		{"RDIL_PRESENT_15_8", 0xff, 0x0}
	} },
	{"TMON0_RDIL_PRESENT0", 0xd8202084, {
		{"RDIL_PRESENT_7_0", 0xff, 0x0}
	} },
	{"SPR_MSIDFUSE", 0xd0211080, {
		{"Reserved", 0xff000000, 0x18},
		{"MSID", 0xffffff, 0x0}
	} },
	{"MP_IOC_PHASE1", 0xcf100008, {
		{"BiuCqfC_AltReqRdCmd", 0x4, 0x2},
		{"BiuCqfC_AltReqAddrLo", 0xfffffff8, 0x3},
		{"BiuCqfC_AwqReqCommit", 0x2, 0x1}
	} },
	{"SPR_PROGRAMMABLE_CTRL", 0xd02110b4, {
		{"PllVddOutUpTime", 0xc, 0x2},
		{"NbPLLPwrDnReg", 0x200, 0x9},
		{"PllRegUpTime", 0x3, 0x0},
		{"CC6PLLPwrDnReg", 0x100, 0x8},
		{"ResonanceTime", 0x30, 0x4},
		{"CC6PLLPwrDnVCO", 0x80, 0x7},
		{"SOIWait", 0x3c00, 0xa},
		{"C6PLLPwrDnReg", 0x40, 0x6}
	} },
	{"MP_SMUIF12_MP0PUB_IND_DATA", 0x199, {

	} },
	{"MP_CRBBM_ACCVIO_ADDR", 0xcf200c14, {
		{"ACC_VIO_ADDR", 0xffffffff, 0x0}
	} },
	{"MP_SMUIF1_MP0PUB_IND_DATA", 0x183, {

	} },
	{"CORE_APM_SSB_XFER_0", 0xd0220024, {
		{"START_STATUS_XFER", 0x1, 0x0}
	} },
	{"CAC_WEIGHT_LKG_DC_3", 0xd020803c, {
		{"WEIGHT_LKG_DC_SIG5", 0xffff0000, 0x10},
		{"WEIGHT_LKG_DC_SIG4", 0xffff, 0x0}
	} },
	{"CK_DISABLECORE_CPU_0", 0xd0220048, {
		{"CK_DISABLECORE", 0x1, 0x0}
	} },
	{"MP_SMUIF8_MP0PUB_IND_DATA", 0x191, {

	} },
	{"SMU_MP1_DC2MP_RESP", 0x1f1, {
		{"CONTENT", 0xffffffff, 0x0}
	} },
	{"RCC3EXITDONE_CPU_0", 0xd0220010, {
		{"RCC3EXITDONE", 0x1, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_39", 0xcf2000f0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_38", 0xcf2000ec, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CK_JTCOOLRESET_LATCHED_CPU_0", 0xd0220044, {
		{"CK_JTCOOLRESET_LATCHED", 0x1, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_35", 0xcf2000e0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TMON1_RDIR9_DATA", 0xd8202164, {
		{"TEMP_Z_DATA", 0xfff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_37", 0xcf2000e8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_36", 0xcf2000e4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_31", 0xcf2000d0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_30", 0xcf2000cc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_33", 0xcf2000d8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MP_DRAM_CNTL_RDRET_DATA_32", 0xcf2000d4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"UNBPM_PWRMGT_ACK", 0xd0211000, {
		{"REQUESTOR_CODE", 0x1f, 0x0},
		{"REQUEST_NACK", 0x10000, 0x10},
		{"ERROR_CODE", 0xff000000, 0x18},
		{"REQUEST_ACK", 0x100, 0x8}
	} },
	{"GC_CAC_OVRD_CU", 0xe7, {
		{"OVRRD_VALUE", 0xffff0000, 0x10},
		{"OVRRD_SELECT", 0xffff, 0x0}
	} }
};

}; // namespace amdregdb
