/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_uvd_uvd_4_0();

static const RegSpec uvd_uvd_4_0_regs[] = {
	{"UVD_VCPU_CACHE_OFFSET2", 0x3D3A, {
		{"CACHE_OFFSET2", 0x01ffffffL, 0x00000000}
	} },
	{"UVD_CTX_INDEX", 0x3D28, {
		{"INDEX", 0x000001ffL, 0x00000000}
	} },
	{"UVD_VCPU_CACHE_SIZE0", 0x3D37, {
		{"CACHE_SIZE0", 0x001fffffL, 0x00000000}
	} },
	{"UVD_RBC_RB_WPTR", 0x3DA5, {
		{"RB_WPTR", 0x007ffff0L, 0x00000004}
	} },
	{"UVD_MPC_SET_MUXA0", 0x3D79, {
		{"VARA_3", 0x00fc0000L, 0x00000012},
		{"VARA_2", 0x0003f000L, 0x0000000c},
		{"VARA_1", 0x00000fc0L, 0x00000006},
		{"VARA_0", 0x0000003fL, 0x00000000},
		{"VARA_4", 0x3f000000L, 0x00000018}
	} },
	{"UVD_MIF_CURR_ADDR_CONFIG", 0x0048, {
		{"NUM_SHADER_ENGINES", 0x00003000L, 0x0000000c},
		{"SHADER_ENGINE_TILE_SIZE", 0x00070000L, 0x00000010},
		{"NUM_GPUS", 0x00700000L, 0x00000014},
		{"NUM_PIPES", 0x00000007L, 0x00000000},
		{"BANK_INTERLEAVE_SIZE", 0x00000700L, 0x00000008},
		{"PIPE_INTERLEAVE_SIZE", 0x00000070L, 0x00000004},
		{"MULTI_GPU_TILE_SIZE", 0x03000000L, 0x00000018},
		{"NUM_LOWER_PIPES", 0x40000000L, 0x0000001e},
		{"ROW_SIZE", 0x30000000L, 0x0000001c}
	} },
	{"UVD_SEMA_WAIT_FAULT_TIMEOUT_CNTL", 0x3DB2, {
		{"WAIT_FAULT_EN", 0x00000001L, 0x00000000},
		{"RESEND_TIMER", 0x07000000L, 0x00000018},
		{"WAIT_FAULT_COUNT", 0x001ffffeL, 0x00000001}
	} },
	{"UVD_RBC_RB_RPTR", 0x3DA4, {
		{"RB_RPTR", 0x007ffff0L, 0x00000004}
	} },
	{"UVD_STATUS", 0x3DAF, {
		{"RBC_BUSY", 0x00000001L, 0x00000000},
		{"VCPU_REPORT", 0x000000feL, 0x00000001}
	} },
	{"UVD_VCPU_CACHE_OFFSET1", 0x3D38, {
		{"CACHE_OFFSET1", 0x01ffffffL, 0x00000000}
	} },
	{"UVD_VCPU_CACHE_SIZE1", 0x3D39, {
		{"CACHE_SIZE1", 0x001fffffL, 0x00000000}
	} },
	{"UVD_LMI_STATUS", 0x3D67, {
		{"UMC_READ_CLEAN", 0x00000010L, 0x00000004},
		{"PENDING_UVD_MC_WRITE", 0x00000080L, 0x00000007},
		{"READ_CLEAN", 0x00000001L, 0x00000000},
		{"UMC_WRITE_CLEAN_RAW", 0x00000040L, 0x00000006},
		{"UMC_UVD_IDLE", 0x00000400L, 0x0000000a},
		{"READ_CLEAN_RAW", 0x00000100L, 0x00000008},
		{"ADP_UMC_READ_CLEAN", 0x00002000L, 0x0000000d},
		{"VCPU_LMI_WRITE_CLEAN", 0x00000008L, 0x00000003},
		{"WRITE_CLEAN", 0x00000002L, 0x00000001},
		{"UMC_READ_CLEAN_RAW", 0x00000200L, 0x00000009},
		{"UMC_WRITE_CLEAN", 0x00000020L, 0x00000005},
		{"ADP_MC_READ_CLEAN", 0x00001000L, 0x0000000c},
		{"WRITE_CLEAN_RAW", 0x00000004L, 0x00000002},
		{"UMC_AVP_IDLE", 0x00000800L, 0x0000000b}
	} },
	{"UVD_RBC_RB_BASE", 0x3DA3, {
		{"RB_BASE", 0xffffffc0L, 0x00000006}
	} },
	{"UVD_SEMA_ADDR_LOW", 0x3BC0, {
		{"ADDR_22_3", 0x000fffffL, 0x00000000}
	} },
	{"UVD_MP_SWAP_CNTL", 0x3D6F, {
		{"MP_REF7_MC_SWAP", 0x0000c000L, 0x0000000e},
		{"MP_REF5_MC_SWAP", 0x00000c00L, 0x0000000a},
		{"MP_REF2_MC_SWAP", 0x00000030L, 0x00000004},
		{"MP_REF10_MC_SWAP", 0x00300000L, 0x00000014},
		{"MP_REF11_MC_SWAP", 0x00c00000L, 0x00000016},
		{"MP_REF14_MC_SWAP", 0x30000000L, 0x0000001c},
		{"MP_REF13_MC_SWAP", 0x0c000000L, 0x0000001a},
		{"MP_REF8_MC_SWAP", 0x00030000L, 0x00000010},
		{"MP_REF15_MC_SWAP", 0xc0000000L, 0x0000001e},
		{"MP_REF9_MC_SWAP", 0x000c0000L, 0x00000012},
		{"MP_REF4_MC_SWAP", 0x00000300L, 0x00000008},
		{"MP_REF0_MC_SWAP", 0x00000003L, 0x00000000},
		{"MP_REF3_MC_SWAP", 0x000000c0L, 0x00000006},
		{"MP_REF6_MC_SWAP", 0x00003000L, 0x0000000c},
		{"MP_REF1_MC_SWAP", 0x0000000cL, 0x00000002},
		{"MP_REF12_MC_SWAP", 0x03000000L, 0x00000018}
	} },
	{"UVD_RBC_IB_BASE", 0x3DA1, {
		{"IB_BASE", 0xffffffc0L, 0x00000006}
	} },
	{"UVD_CONTEXT_ID", 0x3DBD, {
		{"CONTEXT_ID", 0xffffffffL, 0x00000000}
	} },
	{"UVD_GPCOM_VCPU_DATA0", 0x3BC4, {
		{"DATA0", 0xffffffffL, 0x00000000}
	} },
	{"UVD_GPCOM_VCPU_DATA1", 0x3BC5, {
		{"DATA1", 0xffffffffL, 0x00000000}
	} },
	{"UVD_ENGINE_CNTL", 0x3BC6, {
		{"ENGINE_START", 0x00000001L, 0x00000000},
		{"ENGINE_START_MODE", 0x00000002L, 0x00000001}
	} },
	{"UVD_PGFSM_CONFIG", 0x38F8, {
		{"UVD_PGFSM_READ", 0x00002000L, 0x0000000d},
		{"UVD_PGFSM_POWER_UP", 0x00000200L, 0x00000009},
		{"UVD_PGFSM_WRITE", 0x00001000L, 0x0000000c},
		{"UVD_PGFSM_P2_SELECT", 0x00000800L, 0x0000000b},
		{"UVD_PGFSM_REG_ADDR", 0xf0000000L, 0x0000001c},
		{"UVD_PGFSM_P1_SELECT", 0x00000400L, 0x0000000a},
		{"UVD_PGFSM_POWER_DOWN", 0x00000100L, 0x00000008},
		{"UVD_PGFSM_FSM_ADDR", 0x000000ffL, 0x00000000}
	} },
	{"UVD_CGC_MEM_CTRL", 0x00C0, {
		{"LS_SET_DELAY", 0x000f0000L, 0x00000010},
		{"UDEC_CM_LS_EN", 0x00000020L, 0x00000005},
		{"SCPU_LS_EN", 0x00000800L, 0x0000000b},
		{"MPRD_LS_EN", 0x00000004L, 0x00000002},
		{"UDEC_RE_LS_EN", 0x00000010L, 0x00000004},
		{"WCB_LS_EN", 0x00000008L, 0x00000003},
		{"LMI_MC_LS_EN", 0x00000001L, 0x00000000},
		{"VCPU_LS_EN", 0x00000400L, 0x0000000a},
		{"MIF_LS_EN", 0x00001000L, 0x0000000c},
		{"UDEC_IT_LS_EN", 0x00000040L, 0x00000006},
		{"LCM_LS_EN", 0x00002000L, 0x0000000d},
		{"LS_CLEAR_DELAY", 0x00f00000L, 0x00000014},
		{"SYS_LS_EN", 0x00000200L, 0x00000009},
		{"MPC_LS_EN", 0x00000002L, 0x00000001},
		{"UDEC_MP_LS_EN", 0x00000100L, 0x00000008},
		{"UDEC_DB_LS_EN", 0x00000080L, 0x00000007}
	} },
	{"UVD_SEMA_SIGNAL_INCOMPLETE_TIMEOUT_CNTL", 0x3DB3, {
		{"RESEND_TIMER", 0x07000000L, 0x00000018},
		{"SIGNAL_INCOMPLETE_COUNT", 0x001ffffeL, 0x00000001},
		{"SIGNAL_INCOMPLETE_EN", 0x00000001L, 0x00000000}
	} },
	{"UVD_VCPU_CNTL", 0x3D98, {
		{"WMV9_EN", 0x40000000L, 0x0000001e},
		{"TIMEOUT_DIS", 0x00040000L, 0x00000012},
		{"RBBM_SOFT_RESET", 0x00000080L, 0x00000007},
		{"ABORT_REQ", 0x00000100L, 0x00000008},
		{"TRCE_MUX", 0x00001800L, 0x0000000b},
		{"JTAG_EN", 0x00010000L, 0x00000010},
		{"PMB_ED_ENABLE", 0x00000020L, 0x00000005},
		{"ECPU_AM32_EN", 0x20000000L, 0x0000001d},
		{"PMB_SOFT_RESET", 0x00000040L, 0x00000006},
		{"DBG_MUX", 0x0000e000L, 0x0000000d},
		{"CLK_ACTIVE", 0x00020000L, 0x00000011},
		{"IRQ_ERR", 0x0000000fL, 0x00000000},
		{"TRCE_EN", 0x00000400L, 0x0000000a},
		{"AXI_MAX_BRST_SIZE_IS_4", 0x00000010L, 0x00000004},
		{"CLK_EN", 0x00000200L, 0x00000009},
		{"CABAC_MB_ACC", 0x10000000L, 0x0000001c},
		{"PRB_TIMEOUT_VAL", 0x0ff00000L, 0x00000014}
	} },
	{"UVD_CTX_DATA", 0x3D29, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"UVD_MPC_CNTL", 0x3D77, {
		{"DBG_MUX", 0x00000700L, 0x00000008},
		{"REPLACEMENT_MODE", 0x00000038L, 0x00000003},
		{"PERF_RST", 0x00000040L, 0x00000006},
		{"URGENT_EN", 0x00040000L, 0x00000012},
		{"AVE_WEIGHT", 0x00030000L, 0x00000010}
	} },
	{"UVD_UDEC_ADDR_CONFIG", 0x3BD3, {
		{"NUM_SHADER_ENGINES", 0x00003000L, 0x0000000c},
		{"SHADER_ENGINE_TILE_SIZE", 0x00070000L, 0x00000010},
		{"NUM_GPUS", 0x00700000L, 0x00000014},
		{"NUM_PIPES", 0x00000007L, 0x00000000},
		{"BANK_INTERLEAVE_SIZE", 0x00000700L, 0x00000008},
		{"PIPE_INTERLEAVE_SIZE", 0x00000070L, 0x00000004},
		{"MULTI_GPU_TILE_SIZE", 0x03000000L, 0x00000018},
		{"NUM_LOWER_PIPES", 0x40000000L, 0x0000001e},
		{"ROW_SIZE", 0x30000000L, 0x0000001c}
	} },
	{"UVD_LMI_ADDR_EXT", 0x3D65, {
		{"VCPU_NC1_ADDR_EXT", 0xf0000000L, 0x0000001c},
		{"IT_ADDR_EXT", 0x00000f00L, 0x00000008},
		{"RE_ADDR_EXT", 0x000f0000L, 0x00000010},
		{"VCPU_NC0_ADDR_EXT", 0x0f000000L, 0x00000018},
		{"VCPU_ADDR_EXT", 0x0000000fL, 0x00000000},
		{"CM_ADDR_EXT", 0x000000f0L, 0x00000004},
		{"MP_ADDR_EXT", 0x00f00000L, 0x00000014},
		{"VCPU_VM_ADDR_EXT", 0x0000f000L, 0x0000000c}
	} },
	{"UVD_NO_OP", 0x3BFF, {

	} },
	{"UVD_CGC_GATE", 0x3D2A, {
		{"MPEG2", 0x00000004L, 0x00000002},
		{"UDEC_DB", 0x00008000L, 0x0000000f},
		{"MPC", 0x00000200L, 0x00000009},
		{"LMI_MC", 0x00000020L, 0x00000005},
		{"VCPU", 0x00040000L, 0x00000012},
		{"IDCT", 0x00000080L, 0x00000007},
		{"SCPU", 0x00080000L, 0x00000013},
		{"REGS", 0x00000008L, 0x00000003},
		{"LRBBM", 0x00000800L, 0x0000000b},
		{"SYS", 0x00000001L, 0x00000000},
		{"LMI_UMC", 0x00000040L, 0x00000006},
		{"WCB", 0x00020000L, 0x00000011},
		{"LBSI", 0x00000400L, 0x0000000a},
		{"UDEC_MP", 0x00010000L, 0x00000010},
		{"UDEC_CM", 0x00002000L, 0x0000000d},
		{"UDEC_RE", 0x00001000L, 0x0000000c},
		{"UDEC", 0x00000002L, 0x00000001},
		{"RBC", 0x00000010L, 0x00000004},
		{"UDEC_IT", 0x00004000L, 0x0000000e},
		{"MPRD", 0x00000100L, 0x00000008}
	} },
	{"UVD_CGC_CTRL", 0x3D2C, {
		{"IDCT_MODE", 0x00800000L, 0x00000017},
		{"LRBBM_MODE", 0x08000000L, 0x0000001b},
		{"DYN_CLOCK_MODE", 0x00000001L, 0x00000000},
		{"UDEC_RE_MODE", 0x00000800L, 0x0000000b},
		{"UDEC_MODE", 0x00020000L, 0x00000011},
		{"MPC_MODE", 0x02000000L, 0x00000019},
		{"CLK_OFF_DELAY", 0x000007c0L, 0x00000006},
		{"REGS_MODE", 0x00080000L, 0x00000013},
		{"UDEC_CM_MODE", 0x00001000L, 0x0000000c},
		{"CLK_GATE_DLY_TIMER", 0x0000003cL, 0x00000002},
		{"VCPU_MODE", 0x20000000L, 0x0000001d},
		{"SCPU_MODE", 0x40000000L, 0x0000001e},
		{"LMI_UMC_MODE", 0x00400000L, 0x00000016},
		{"UDEC_MP_MODE", 0x00008000L, 0x0000000f},
		{"WCB_MODE", 0x10000000L, 0x0000001c},
		{"LMI_MC_MODE", 0x00200000L, 0x00000015},
		{"UDEC_IT_MODE", 0x00002000L, 0x0000000d},
		{"SYS_MODE", 0x00010000L, 0x00000010},
		{"RBC_MODE", 0x00100000L, 0x00000014},
		{"LBSI_MODE", 0x04000000L, 0x0000001a},
		{"MPRD_MODE", 0x01000000L, 0x00000018},
		{"MPEG2_MODE", 0x00040000L, 0x00000012},
		{"UDEC_DB_MODE", 0x00004000L, 0x0000000e}
	} },
	{"UVD_GPCOM_VCPU_CMD", 0x3BC3, {
		{"CMD_SOURCE", 0x80000000L, 0x0000001f},
		{"CMD", 0x7ffffffeL, 0x00000001},
		{"CMD_SEND", 0x00000001L, 0x00000000}
	} },
	{"UVD_UDEC_DBW_ADDR_CONFIG", 0x3BD5, {
		{"NUM_SHADER_ENGINES", 0x00003000L, 0x0000000c},
		{"SHADER_ENGINE_TILE_SIZE", 0x00070000L, 0x00000010},
		{"NUM_GPUS", 0x00700000L, 0x00000014},
		{"NUM_PIPES", 0x00000007L, 0x00000000},
		{"BANK_INTERLEAVE_SIZE", 0x00000700L, 0x00000008},
		{"PIPE_INTERLEAVE_SIZE", 0x00000070L, 0x00000004},
		{"MULTI_GPU_TILE_SIZE", 0x03000000L, 0x00000018},
		{"NUM_LOWER_PIPES", 0x40000000L, 0x0000001e},
		{"ROW_SIZE", 0x30000000L, 0x0000001c}
	} },
	{"UVD_LMI_CACHE_CTRL", 0x009B, {
		{"CM_FLUSH", 0x00000008L, 0x00000003},
		{"VCPU_FLUSH", 0x00000020L, 0x00000005},
		{"IT_FLUSH", 0x00000002L, 0x00000001},
		{"IT_EN", 0x00000001L, 0x00000000},
		{"VCPU_EN", 0x00000010L, 0x00000004},
		{"CM_EN", 0x00000004L, 0x00000002}
	} },
	{"UVD_MIF_REF_ADDR_CONFIG", 0x004C, {
		{"NUM_SHADER_ENGINES", 0x00003000L, 0x0000000c},
		{"SHADER_ENGINE_TILE_SIZE", 0x00070000L, 0x00000010},
		{"NUM_GPUS", 0x00700000L, 0x00000014},
		{"NUM_PIPES", 0x00000007L, 0x00000000},
		{"BANK_INTERLEAVE_SIZE", 0x00000700L, 0x00000008},
		{"PIPE_INTERLEAVE_SIZE", 0x00000070L, 0x00000004},
		{"MULTI_GPU_TILE_SIZE", 0x03000000L, 0x00000018},
		{"NUM_LOWER_PIPES", 0x40000000L, 0x0000001e},
		{"ROW_SIZE", 0x30000000L, 0x0000001c}
	} },
	{"UVD_SEMA_TIMEOUT_STATUS", 0x3DB0, {
		{"SEMAPHORE_SIGNAL_INCOMPLETE_TIMEOUT_STAT", 0x00000004L, 0x00000002},
		{"SEMAPHORE_WAIT_INCOMPLETE_TIMEOUT_STAT", 0x00000001L, 0x00000000},
		{"SEMAPHORE_WAIT_FAULT_TIMEOUT_STAT", 0x00000002L, 0x00000001},
		{"SEMAPHORE_TIMEOUT_CLEAR", 0x00000008L, 0x00000003}
	} },
	{"UVD_LMI_ADDR_EXT2", 0x00AB, {
		{"SCPU_NC0_ADDR_EXT", 0x00000f00L, 0x00000008},
		{"SCPU_ADDR_EXT", 0x0000000fL, 0x00000000},
		{"SCPU_VM_ADDR_EXT", 0x000000f0L, 0x00000004},
		{"SCPU_NC1_ADDR_EXT", 0x0000f000L, 0x0000000c}
	} },
	{"UVD_GP_SCRATCH4", 0x3D38, {

	} },
	{"UVD_VCPU_CACHE_SIZE2", 0x3D3B, {
		{"CACHE_SIZE2", 0x001fffffL, 0x00000000}
	} },
	{"UVD_PGFSM_READ_TILE1", 0x38FA, {
		{"UVD_PGFSM_READ_TILE1_VALUE", 0x00ffffffL, 0x00000000}
	} },
	{"UVD_LMI_EXT40_ADDR", 0x3D26, {
		{"INDEX", 0x001f0000L, 0x00000010},
		{"WRITE_ADDR", 0x80000000L, 0x0000001f},
		{"ADDR", 0x000000ffL, 0x00000000}
	} },
	{"UVD_PGFSM_READ_TILE2", 0x38FB, {
		{"UVD_PGFSM_READ_TILE2_VALUE", 0x00ffffffL, 0x00000000}
	} },
	{"UVD_SOFT_RESET", 0x3DA0, {
		{"SPH_SOFT_RESET", 0x00004000L, 0x0000000e},
		{"CXW_SOFT_RESET", 0x00000040L, 0x00000006},
		{"FWV_SOFT_RESET", 0x00000200L, 0x00000009},
		{"IH_SOFT_RESET", 0x00000400L, 0x0000000a},
		{"MPRD_SOFT_RESET", 0x00000800L, 0x0000000b},
		{"IDCT_SOFT_RESET", 0x00001000L, 0x0000000c},
		{"CSM_SOFT_RESET", 0x00000020L, 0x00000005},
		{"LMI_SOFT_RESET", 0x00000004L, 0x00000002},
		{"TAP_SOFT_RESET", 0x00000080L, 0x00000007},
		{"LCM_SOFT_RESET", 0x00010000L, 0x00000010},
		{"MPC_SOFT_RESET", 0x00000100L, 0x00000008},
		{"VCPU_SOFT_RESET", 0x00000008L, 0x00000003},
		{"MIF_SOFT_RESET", 0x00008000L, 0x0000000f},
		{"LBSI_SOFT_RESET", 0x00000002L, 0x00000001},
		{"LMI_UMC_SOFT_RESET", 0x00002000L, 0x0000000d},
		{"RBC_SOFT_RESET", 0x00000001L, 0x00000000},
		{"UDEC_SOFT_RESET", 0x00000010L, 0x00000004}
	} },
	{"UVD_RBC_IB_SIZE", 0x3DA2, {
		{"IB_SIZE", 0x007ffff0L, 0x00000004}
	} },
	{"UVD_MPC_SET_MUXB0", 0x3D7B, {
		{"VARB_4", 0x3f000000L, 0x00000018},
		{"VARB_0", 0x0000003fL, 0x00000000},
		{"VARB_1", 0x00000fc0L, 0x00000006},
		{"VARB_2", 0x0003f000L, 0x0000000c},
		{"VARB_3", 0x00fc0000L, 0x00000012}
	} },
	{"UVD_MASTINT_EN", 0x3D40, {
		{"OVERRUN_RST", 0x00000001L, 0x00000000},
		{"INT_OVERRUN", 0x007ffff0L, 0x00000004},
		{"SYS_EN", 0x00000004L, 0x00000002},
		{"VCPU_EN", 0x00000002L, 0x00000001}
	} },
	{"UVD_CGC_STATUS", 0x3D2B, {
		{"MPEG2_DCLK", 0x00000080L, 0x00000007},
		{"REGS_SCLK", 0x00000200L, 0x00000009},
		{"MPRD_VCLK", 0x00040000L, 0x00000012},
		{"WCB_SCLK", 0x01000000L, 0x00000018},
		{"MPRD_SCLK", 0x00010000L, 0x00000010},
		{"LBSI_VCLK", 0x00400000L, 0x00000016},
		{"VCPU_SCLK", 0x02000000L, 0x00000019},
		{"LRBBM_SCLK", 0x00800000L, 0x00000017},
		{"IDCT_VCLK", 0x00008000L, 0x0000000f},
		{"MPC_SCLK", 0x00080000L, 0x00000013},
		{"MPRD_DCLK", 0x00020000L, 0x00000011},
		{"SYS_VCLK", 0x00000004L, 0x00000002},
		{"MPEG2_SCLK", 0x00000040L, 0x00000006},
		{"SYS_SCLK", 0x00000001L, 0x00000000},
		{"VCPU_VCLK", 0x04000000L, 0x0000001a},
		{"UDEC_SCLK", 0x00000008L, 0x00000003},
		{"SCPU_VCLK", 0x10000000L, 0x0000001c},
		{"SYS_DCLK", 0x00000002L, 0x00000001},
		{"REGS_VCLK", 0x00000400L, 0x0000000a},
		{"LMI_UMC_SCLK", 0x00002000L, 0x0000000d},
		{"UDEC_DCLK", 0x00000010L, 0x00000004},
		{"MPEG2_VCLK", 0x00000100L, 0x00000008},
		{"SCPU_SCLK", 0x08000000L, 0x0000001b},
		{"LBSI_SCLK", 0x00200000L, 0x00000015},
		{"IDCT_SCLK", 0x00004000L, 0x0000000e},
		{"LMI_MC_SCLK", 0x00001000L, 0x0000000c},
		{"RBC_SCLK", 0x00000800L, 0x0000000b},
		{"MPC_DCLK", 0x00100000L, 0x00000014},
		{"UDEC_VCLK", 0x00000020L, 0x00000005}
	} },
	{"UVD_LMI_CTRL2", 0x3D3D, {
		{"STALL_ARB_UMC", 0x00000100L, 0x00000008},
		{"SPU_EXTRA_CID_EN", 0x00008000L, 0x0000000f},
		{"MC_READ_ID_SEL", 0x00000600L, 0x00000009},
		{"MASK_UMC_URGENT", 0x00000008L, 0x00000003},
		{"VCPU_NC1_EXT_EN", 0x00004000L, 0x0000000e},
		{"VCPU_NC0_EXT_EN", 0x00002000L, 0x0000000d},
		{"SPH_DIS", 0x00000001L, 0x00000000},
		{"MC_WRITE_ID_SEL", 0x00001800L, 0x0000000b},
		{"ASSERT_UMC_URGENT", 0x00000004L, 0x00000002},
		{"MCIF_WR_WATERMARK", 0x00000070L, 0x00000004},
		{"STALL_ARB", 0x00000002L, 0x00000001},
		{"DRCITF_BUBBLE_FIX_DIS", 0x00000080L, 0x00000007}
	} },
	{"UVD_SEMA_CMD", 0x3BC2, {
		{"VMID_EN", 0x00000080L, 0x00000007},
		{"VMID", 0x00000f00L, 0x00000008},
		{"MODE", 0x00000040L, 0x00000006},
		{"REQ_CMD", 0x0000000fL, 0x00000000},
		{"WR_PHASE", 0x00000030L, 0x00000004}
	} },
	{"UVD_SEMA_CNTL", 0x3D00, {
		{"SEMAPHORE_EN", 0x00000001L, 0x00000000},
		{"ADVANCED_MODE_DIS", 0x00000002L, 0x00000001}
	} },
	{"UVD_SEMA_WAIT_INCOMPLETE_TIMEOUT_CNTL", 0x3DB1, {
		{"WAIT_INCOMPLETE_EN", 0x00000001L, 0x00000000},
		{"RESEND_TIMER", 0x07000000L, 0x00000018},
		{"WAIT_INCOMPLETE_COUNT", 0x001ffffeL, 0x00000001}
	} },
	{"UVD_VCPU_CACHE_OFFSET0", 0x3D36, {
		{"CACHE_OFFSET0", 0x01ffffffL, 0x00000000}
	} },
	{"UVD_LMI_SWAP_CNTL2", 0x00AA, {
		{"SCPU_W_MC_SWAP", 0x0000000cL, 0x00000002},
		{"SCPU_R_MC_SWAP", 0x00000003L, 0x00000000}
	} },
	{"UVD_SEMA_ADDR_HIGH", 0x3BC1, {
		{"ADDR_42_23", 0x000fffffL, 0x00000000}
	} },
	{"UVD_CGC_CTRL2", 0x00C1, {
		{"DYN_RCLK_RAMP_EN", 0x00000002L, 0x00000001},
		{"DYN_OCLK_RAMP_EN", 0x00000001L, 0x00000000},
		{"GATER_DIV_ID", 0x0000001cL, 0x00000002}
	} },
	{"UVD_MPC_SET_MUXA1", 0x3D7A, {
		{"VARA_7", 0x0003f000L, 0x0000000c},
		{"VARA_6", 0x00000fc0L, 0x00000006},
		{"VARA_5", 0x0000003fL, 0x00000000}
	} },
	{"UVD_POWER_STATUS", 0x38FC, {
		{"UVD_POWER_STATUS", 0x00000001L, 0x00000000}
	} },
	{"UVD_RBC_RB_RPTR_ADDR", 0x3DAA, {
		{"RB_RPTR_ADDR", 0xffffffffL, 0x00000000}
	} },
	{"UVD_RBC_RB_WPTR_CNTL", 0x3DA6, {

	} },
	{"UVD_CGC_UDEC_STATUS", 0x3D2D, {
		{"DB_VCLK", 0x00000800L, 0x0000000b},
		{"RE_DCLK", 0x00000002L, 0x00000001},
		{"DB_DCLK", 0x00000400L, 0x0000000a},
		{"IT_VCLK", 0x00000100L, 0x00000008},
		{"DB_SCLK", 0x00000200L, 0x00000009},
		{"RE_SCLK", 0x00000001L, 0x00000000},
		{"MP_SCLK", 0x00001000L, 0x0000000c},
		{"MP_VCLK", 0x00004000L, 0x0000000e},
		{"MP_DCLK", 0x00002000L, 0x0000000d},
		{"IT_SCLK", 0x00000040L, 0x00000006},
		{"IT_DCLK", 0x00000080L, 0x00000007},
		{"RE_VCLK", 0x00000004L, 0x00000002},
		{"CM_DCLK", 0x00000010L, 0x00000004},
		{"CM_SCLK", 0x00000008L, 0x00000003},
		{"CM_VCLK", 0x00000020L, 0x00000005}
	} },
	{"UVD_RBC_RB_CNTL", 0x3DA9, {
		{"RB_NO_FETCH", 0x00010000L, 0x00000010},
		{"RB_WPTR_POLL_EN", 0x00100000L, 0x00000014},
		{"RB_RPTR_WR_EN", 0x10000000L, 0x0000001c},
		{"RB_NO_UPDATE", 0x01000000L, 0x00000018},
		{"RB_BLKSZ", 0x00001f00L, 0x00000008},
		{"RB_BUFSZ", 0x0000001fL, 0x00000000}
	} },
	{"UVD_MPC_SET_MUX", 0x3D7D, {
		{"SET_0", 0x00000007L, 0x00000000},
		{"SET_1", 0x00000038L, 0x00000003},
		{"SET_2", 0x000001c0L, 0x00000006}
	} },
	{"UVD_RBC_IB_SIZE_UPDATE", 0x3DF1, {

	} },
	{"UVD_LMI_CTRL", 0x3D66, {
		{"WRITE_CLEAN_TIMER", 0x000000ffL, 0x00000000},
		{"DB_DB_DATA_COHERENCY_EN", 0x00800000L, 0x00000017},
		{"DISABLE_ON_FWV_FAIL", 0x00100000L, 0x00000014},
		{"RFU", 0xfc000000L, 0x0000001b},
		{"CM_DATA_COHERENCY_EN", 0x00400000L, 0x00000016},
		{"CRC_RESET", 0x00004000L, 0x0000000e},
		{"WRITE_CLEAN_TIMER_EN", 0x00000100L, 0x00000008},
		{"DB_IT_DATA_COHERENCY_EN", 0x01000000L, 0x00000018},
		{"VCPU_DATA_COHERENCY_EN", 0x00200000L, 0x00000015},
		{"ASSERT_MC_URGENT", 0x00000800L, 0x0000000b},
		{"IT_IT_DATA_COHERENCY_EN", 0x02000000L, 0x00000019},
		{"MIF_MIF_DATA_COHERENCY_EN", 0x04000000L, 0x0000001a},
		{"MASK_MC_URGENT", 0x00001000L, 0x0000000c},
		{"DATA_COHERENCY_EN", 0x00002000L, 0x0000000d},
		{"CRC_SEL", 0x000f8000L, 0x0000000f},
		{"REQ_MODE", 0x00000200L, 0x00000009}
	} },
	{"UVD_MPC_SET_MUXB1", 0x3D7C, {
		{"VARB_5", 0x0000003fL, 0x00000000},
		{"VARB_6", 0x00000fc0L, 0x00000006},
		{"VARB_7", 0x0003f000L, 0x0000000c}
	} },
	{"UVD_MPC_SET_ALU", 0x3D7E, {
		{"OPERAND", 0x00000ff0L, 0x00000004},
		{"FUNCT", 0x00000007L, 0x00000000}
	} },
	{"UVD_UDEC_DB_ADDR_CONFIG", 0x3BD4, {
		{"NUM_SHADER_ENGINES", 0x00003000L, 0x0000000c},
		{"SHADER_ENGINE_TILE_SIZE", 0x00070000L, 0x00000010},
		{"NUM_GPUS", 0x00700000L, 0x00000014},
		{"NUM_PIPES", 0x00000007L, 0x00000000},
		{"BANK_INTERLEAVE_SIZE", 0x00000700L, 0x00000008},
		{"PIPE_INTERLEAVE_SIZE", 0x00000070L, 0x00000004},
		{"MULTI_GPU_TILE_SIZE", 0x03000000L, 0x00000018},
		{"NUM_LOWER_PIPES", 0x40000000L, 0x0000001e},
		{"ROW_SIZE", 0x30000000L, 0x0000001c}
	} },
	{"UVD_MIF_RECON1_ADDR_CONFIG", 0x0114, {
		{"NUM_SHADER_ENGINES", 0x00003000L, 0x0000000c},
		{"SHADER_ENGINE_TILE_SIZE", 0x00070000L, 0x00000010},
		{"NUM_GPUS", 0x00700000L, 0x00000014},
		{"NUM_PIPES", 0x00000007L, 0x00000000},
		{"BANK_INTERLEAVE_SIZE", 0x00000700L, 0x00000008},
		{"PIPE_INTERLEAVE_SIZE", 0x00000070L, 0x00000004},
		{"MULTI_GPU_TILE_SIZE", 0x03000000L, 0x00000018},
		{"NUM_LOWER_PIPES", 0x40000000L, 0x0000001e},
		{"ROW_SIZE", 0x30000000L, 0x0000001c}
	} },
	{"UVD_LMI_SWAP_CNTL", 0x3D6D, {
		{"RB_MC_SWAP", 0x00000003L, 0x00000000},
		{"RE_MC_SWAP", 0x30000000L, 0x0000001c},
		{"RB_RPTR_MC_SWAP", 0x00000030L, 0x00000004},
		{"MP_MC_SWAP", 0xc0000000L, 0x0000001e},
		{"IB_MC_SWAP", 0x0000000cL, 0x00000002},
		{"DB_R_MC_SWAP", 0x0000c000L, 0x0000000e},
		{"CM_MC_SWAP", 0x00000c00L, 0x0000000a},
		{"RB_WR_MC_SWAP", 0x0c000000L, 0x0000001a},
		{"CSM_MC_SWAP", 0x000c0000L, 0x00000012},
		{"IT_MC_SWAP", 0x00003000L, 0x0000000c},
		{"VCPU_R_MC_SWAP", 0x000000c0L, 0x00000006},
		{"VCPU_W_MC_SWAP", 0x00000300L, 0x00000008},
		{"DBW_MC_SWAP", 0x03000000L, 0x00000018},
		{"DB_W_MC_SWAP", 0x00030000L, 0x00000010},
		{"MP_REF16_MC_SWAP", 0x00c00000L, 0x00000016}
	} }
};

}; // namespace amdregdb
