/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_uvd_uvd_4_2();

static const RegSpec uvd_uvd_4_2_regs[] = {
	{"UVD_VCPU_CACHE_OFFSET2", 0x3d86, {
		{"CACHE_OFFSET2", 0x1ffffff, 0x0}
	} },
	{"UVD_CTX_INDEX", 0x3d28, {
		{"INDEX", 0x1ff, 0x0}
	} },
	{"UVD_RBC_RB_WPTR", 0x3da5, {
		{"RB_WPTR", 0x7ffff0, 0x4}
	} },
	{"UVD_RBC_IB_SIZE", 0x3da2, {
		{"IB_SIZE", 0x7ffff0, 0x4}
	} },
	{"UVD_MIF_CURR_ADDR_CONFIG", 0x48, {
		{"BANK_INTERLEAVE_SIZE", 0x700, 0x8},
		{"MULTI_GPU_TILE_SIZE", 0x3000000, 0x18},
		{"NUM_GPUS", 0x700000, 0x14},
		{"NUM_PIPES", 0x7, 0x0},
		{"NUM_SHADER_ENGINES", 0x3000, 0xc},
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4},
		{"SHADER_ENGINE_TILE_SIZE", 0x70000, 0x10},
		{"NUM_LOWER_PIPES", 0x40000000, 0x1e},
		{"ROW_SIZE", 0x30000000, 0x1c}
	} },
	{"UVD_RBC_RB_BASE", 0x3da3, {
		{"RB_BASE", 0xffffffc0, 0x6}
	} },
	{"UVD_RBC_RB_RPTR", 0x3da4, {
		{"RB_RPTR", 0x7ffff0, 0x4}
	} },
	{"UVD_STATUS", 0x3daf, {
		{"RBC_BUSY", 0x1, 0x0},
		{"VCPU_REPORT", 0xfe, 0x1}
	} },
	{"UVD_PGFSM_READ_TILE1", 0x38fa, {
		{"UVD_PGFSM_READ_TILE1_VALUE", 0xffffff, 0x0}
	} },
	{"UVD_VCPU_CACHE_SIZE0", 0x3d83, {
		{"CACHE_SIZE0", 0x1fffff, 0x0}
	} },
	{"UVD_MIF_REF_ADDR_CONFIG", 0x4c, {
		{"BANK_INTERLEAVE_SIZE", 0x700, 0x8},
		{"MULTI_GPU_TILE_SIZE", 0x3000000, 0x18},
		{"NUM_GPUS", 0x700000, 0x14},
		{"NUM_PIPES", 0x7, 0x0},
		{"NUM_SHADER_ENGINES", 0x3000, 0xc},
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4},
		{"SHADER_ENGINE_TILE_SIZE", 0x70000, 0x10},
		{"NUM_LOWER_PIPES", 0x40000000, 0x1e},
		{"ROW_SIZE", 0x30000000, 0x1c}
	} },
	{"UVD_SEMA_ADDR_LOW", 0x3bc0, {
		{"ADDR_22_3", 0xfffff, 0x0}
	} },
	{"UVD_MP_SWAP_CNTL", 0x3d6f, {
		{"MP_REF11_MC_SWAP", 0xc00000, 0x16},
		{"MP_REF5_MC_SWAP", 0xc00, 0xa},
		{"MP_REF12_MC_SWAP", 0x3000000, 0x18},
		{"MP_REF2_MC_SWAP", 0x30, 0x4},
		{"MP_REF10_MC_SWAP", 0x300000, 0x14},
		{"MP_REF7_MC_SWAP", 0xc000, 0xe},
		{"MP_REF14_MC_SWAP", 0x30000000, 0x1c},
		{"MP_REF13_MC_SWAP", 0xc000000, 0x1a},
		{"MP_REF8_MC_SWAP", 0x30000, 0x10},
		{"MP_REF15_MC_SWAP", 0xc0000000, 0x1e},
		{"MP_REF9_MC_SWAP", 0xc0000, 0x12},
		{"MP_REF0_MC_SWAP", 0x3, 0x0},
		{"MP_REF3_MC_SWAP", 0xc0, 0x6},
		{"MP_REF6_MC_SWAP", 0x3000, 0xc},
		{"MP_REF1_MC_SWAP", 0xc, 0x2},
		{"MP_REF4_MC_SWAP", 0x300, 0x8}
	} },
	{"UVD_RBC_IB_BASE", 0x3da1, {
		{"IB_BASE", 0xffffffc0, 0x6}
	} },
	{"UVD_LMI_STATUS", 0x3d67, {
		{"UMC_READ_CLEAN", 0x10, 0x4},
		{"PENDING_UVD_MC_WRITE", 0x80, 0x7},
		{"READ_CLEAN", 0x1, 0x0},
		{"ADP_UMC_READ_CLEAN", 0x2000, 0xd},
		{"UMC_WRITE_CLEAN_RAW", 0x40, 0x6},
		{"UMC_AVP_IDLE", 0x800, 0xb},
		{"READ_CLEAN_RAW", 0x100, 0x8},
		{"UMC_UVD_IDLE", 0x400, 0xa},
		{"VCPU_LMI_WRITE_CLEAN", 0x8, 0x3},
		{"UMC_READ_CLEAN_RAW", 0x200, 0x9},
		{"WRITE_CLEAN", 0x2, 0x1},
		{"ADP_MC_READ_CLEAN", 0x1000, 0xc},
		{"WRITE_CLEAN_RAW", 0x4, 0x2},
		{"UMC_WRITE_CLEAN", 0x20, 0x5}
	} },
	{"UVD_GPCOM_VCPU_DATA0", 0x3bc4, {
		{"DATA0", 0xffffffff, 0x0}
	} },
	{"UVD_GPCOM_VCPU_DATA1", 0x3bc5, {
		{"DATA1", 0xffffffff, 0x0}
	} },
	{"UVD_ENGINE_CNTL", 0x3bc6, {
		{"ENGINE_START", 0x1, 0x0},
		{"ENGINE_START_MODE", 0x2, 0x1}
	} },
	{"UVD_UDEC_DB_ADDR_CONFIG", 0x3bd4, {
		{"BANK_INTERLEAVE_SIZE", 0x700, 0x8},
		{"MULTI_GPU_TILE_SIZE", 0x3000000, 0x18},
		{"NUM_GPUS", 0x700000, 0x14},
		{"NUM_PIPES", 0x7, 0x0},
		{"NUM_SHADER_ENGINES", 0x3000, 0xc},
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4},
		{"SHADER_ENGINE_TILE_SIZE", 0x70000, 0x10},
		{"NUM_LOWER_PIPES", 0x40000000, 0x1e},
		{"ROW_SIZE", 0x30000000, 0x1c}
	} },
	{"UVD_RBC_IB_SIZE_UPDATE", 0x3df1, {

	} },
	{"UVD_SEMA_SIGNAL_INCOMPLETE_TIMEOUT_CNTL", 0x3db3, {
		{"RESEND_TIMER", 0x7000000, 0x18},
		{"SIGNAL_INCOMPLETE_COUNT", 0x1ffffe, 0x1},
		{"SIGNAL_INCOMPLETE_EN", 0x1, 0x0}
	} },
	{"UVD_VCPU_CNTL", 0x3d98, {
		{"TIMEOUT_DIS", 0x40000, 0x12},
		{"RE_OFFLOAD_EN", 0x80000000, 0x1f},
		{"RBBM_SOFT_RESET", 0x80, 0x7},
		{"ABORT_REQ", 0x100, 0x8},
		{"TRCE_MUX", 0x1800, 0xb},
		{"JTAG_EN", 0x10000, 0x10},
		{"WMV9_EN", 0x40000000, 0x1e},
		{"ECPU_AM32_EN", 0x20000000, 0x1d},
		{"PMB_SOFT_RESET", 0x40, 0x6},
		{"DBG_MUX", 0xe000, 0xd},
		{"CLK_ACTIVE", 0x20000, 0x11},
		{"CABAC_MB_ACC", 0x10000000, 0x1c},
		{"IRQ_ERR", 0xf, 0x0},
		{"TRCE_EN", 0x400, 0xa},
		{"AXI_MAX_BRST_SIZE_IS_4", 0x10, 0x4},
		{"CLK_EN", 0x200, 0x9},
		{"PMB_ED_ENABLE", 0x20, 0x5},
		{"PRB_TIMEOUT_VAL", 0xff00000, 0x14}
	} },
	{"UVD_CTX_DATA", 0x3d29, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"UVD_SEMA_WAIT_INCOMPLETE_TIMEOUT_CNTL", 0x3db1, {
		{"WAIT_INCOMPLETE_EN", 0x1, 0x0},
		{"RESEND_TIMER", 0x7000000, 0x18},
		{"WAIT_INCOMPLETE_COUNT", 0x1ffffe, 0x1}
	} },
	{"UVD_UDEC_ADDR_CONFIG", 0x3bd3, {
		{"BANK_INTERLEAVE_SIZE", 0x700, 0x8},
		{"MULTI_GPU_TILE_SIZE", 0x3000000, 0x18},
		{"NUM_GPUS", 0x700000, 0x14},
		{"NUM_PIPES", 0x7, 0x0},
		{"NUM_SHADER_ENGINES", 0x3000, 0xc},
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4},
		{"SHADER_ENGINE_TILE_SIZE", 0x70000, 0x10},
		{"NUM_LOWER_PIPES", 0x40000000, 0x1e},
		{"ROW_SIZE", 0x30000000, 0x1c}
	} },
	{"UVD_LMI_ADDR_EXT", 0x3d65, {
		{"VCPU_NC1_ADDR_EXT", 0xf0000000, 0x1c},
		{"IT_ADDR_EXT", 0xf00, 0x8},
		{"RE_ADDR_EXT", 0xf0000, 0x10},
		{"VCPU_NC0_ADDR_EXT", 0xf000000, 0x18},
		{"VCPU_ADDR_EXT", 0xf, 0x0},
		{"CM_ADDR_EXT", 0xf0, 0x4},
		{"MP_ADDR_EXT", 0xf00000, 0x14},
		{"VCPU_VM_ADDR_EXT", 0xf000, 0xc}
	} },
	{"UVD_CGC_CTRL2", 0xc1, {
		{"DYN_RCLK_RAMP_EN", 0x2, 0x1},
		{"DYN_OCLK_RAMP_EN", 0x1, 0x0},
		{"GATER_DIV_ID", 0x1c, 0x2}
	} },
	{"UVD_NO_OP", 0x3bff, {

	} },
	{"UVD_CGC_GATE", 0x3d2a, {
		{"UDEC_IT", 0x4000, 0xe},
		{"MPEG2", 0x4, 0x2},
		{"UDEC_DB", 0x8000, 0xf},
		{"MPRD", 0x100, 0x8},
		{"LMI_MC", 0x20, 0x5},
		{"VCPU", 0x40000, 0x12},
		{"IDCT", 0x80, 0x7},
		{"SCPU", 0x80000, 0x13},
		{"REGS", 0x8, 0x3},
		{"LBSI", 0x400, 0xa},
		{"SYS", 0x1, 0x0},
		{"LMI_UMC", 0x40, 0x6},
		{"WCB", 0x20000, 0x11},
		{"LRBBM", 0x800, 0xb},
		{"UDEC_MP", 0x10000, 0x10},
		{"UDEC_CM", 0x2000, 0xd},
		{"UDEC", 0x2, 0x1},
		{"RBC", 0x10, 0x4},
		{"UDEC_RE", 0x1000, 0xc},
		{"MPC", 0x200, 0x9}
	} },
	{"UVD_CGC_CTRL", 0x3d2c, {
		{"IDCT_MODE", 0x800000, 0x17},
		{"LRBBM_MODE", 0x8000000, 0x1b},
		{"DYN_CLOCK_MODE", 0x1, 0x0},
		{"UDEC_RE_MODE", 0x800, 0xb},
		{"UDEC_MODE", 0x20000, 0x11},
		{"MPC_MODE", 0x2000000, 0x19},
		{"CLK_OFF_DELAY", 0x7c0, 0x6},
		{"REGS_MODE", 0x80000, 0x13},
		{"UDEC_CM_MODE", 0x1000, 0xc},
		{"CLK_GATE_DLY_TIMER", 0x3c, 0x2},
		{"VCPU_MODE", 0x20000000, 0x1d},
		{"WCB_MODE", 0x10000000, 0x1c},
		{"LMI_UMC_MODE", 0x400000, 0x16},
		{"UDEC_MP_MODE", 0x8000, 0xf},
		{"SCPU_MODE", 0x40000000, 0x1e},
		{"LMI_MC_MODE", 0x200000, 0x15},
		{"UDEC_IT_MODE", 0x2000, 0xd},
		{"SYS_MODE", 0x10000, 0x10},
		{"RBC_MODE", 0x100000, 0x14},
		{"LBSI_MODE", 0x4000000, 0x1a},
		{"MPRD_MODE", 0x1000000, 0x18},
		{"MPEG2_MODE", 0x40000, 0x12},
		{"UDEC_DB_MODE", 0x4000, 0xe}
	} },
	{"UVD_MPC_SET_MUX", 0x3d7d, {
		{"SET_0", 0x7, 0x0},
		{"SET_1", 0x38, 0x3},
		{"SET_2", 0x1c0, 0x6}
	} },
	{"UVD_GPCOM_VCPU_CMD", 0x3bc3, {
		{"CMD_SOURCE", 0x80000000, 0x1f},
		{"CMD", 0x7ffffffe, 0x1},
		{"CMD_SEND", 0x1, 0x0}
	} },
	{"UVD_SEMA_WAIT_FAULT_TIMEOUT_CNTL", 0x3db2, {
		{"WAIT_FAULT_EN", 0x1, 0x0},
		{"RESEND_TIMER", 0x7000000, 0x18},
		{"WAIT_FAULT_COUNT", 0x1ffffe, 0x1}
	} },
	{"UVD_UDEC_DBW_ADDR_CONFIG", 0x3bd5, {
		{"BANK_INTERLEAVE_SIZE", 0x700, 0x8},
		{"MULTI_GPU_TILE_SIZE", 0x3000000, 0x18},
		{"NUM_GPUS", 0x700000, 0x14},
		{"NUM_PIPES", 0x7, 0x0},
		{"NUM_SHADER_ENGINES", 0x3000, 0xc},
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4},
		{"SHADER_ENGINE_TILE_SIZE", 0x70000, 0x10},
		{"NUM_LOWER_PIPES", 0x40000000, 0x1e},
		{"ROW_SIZE", 0x30000000, 0x1c}
	} },
	{"UVD_LMI_CACHE_CTRL", 0x9b, {
		{"CM_FLUSH", 0x8, 0x3},
		{"VCPU_FLUSH", 0x20, 0x5},
		{"IT_FLUSH", 0x2, 0x1},
		{"IT_EN", 0x1, 0x0},
		{"VCPU_EN", 0x10, 0x4},
		{"CM_EN", 0x4, 0x2}
	} },
	{"UVD_MPC_CNTL", 0x3d77, {
		{"DBG_MUX", 0x700, 0x8},
		{"REPLACEMENT_MODE", 0x38, 0x3},
		{"AVE_WEIGHT", 0x30000, 0x10},
		{"URGENT_EN", 0x40000, 0x12},
		{"PERF_RST", 0x40, 0x6}
	} },
	{"UVD_PGFSM_READ_TILE2", 0x38fb, {
		{"UVD_PGFSM_READ_TILE2_VALUE", 0xffffff, 0x0}
	} },
	{"UVD_SEMA_TIMEOUT_STATUS", 0x3db0, {
		{"SEMAPHORE_WAIT_FAULT_TIMEOUT_STAT", 0x2, 0x1},
		{"SEMAPHORE_TIMEOUT_CLEAR", 0x8, 0x3},
		{"SEMAPHORE_WAIT_INCOMPLETE_TIMEOUT_STAT", 0x1, 0x0},
		{"SEMAPHORE_SIGNAL_INCOMPLETE_TIMEOUT_STAT", 0x4, 0x2}
	} },
	{"UVD_SEMA_CNTL", 0x3d00, {
		{"ADVANCED_MODE_DIS", 0x2, 0x1},
		{"SEMAPHORE_EN", 0x1, 0x0}
	} },
	{"UVD_RBC_RB_CNTL", 0x3da9, {
		{"RB_NO_FETCH", 0x10000, 0x10},
		{"RB_WPTR_POLL_EN", 0x100000, 0x14},
		{"RB_RPTR_WR_EN", 0x10000000, 0x1c},
		{"RB_NO_UPDATE", 0x1000000, 0x18},
		{"RB_BLKSZ", 0x1f00, 0x8},
		{"RB_BUFSZ", 0x1f, 0x0}
	} },
	{"UVD_CGC_MEM_CTRL", 0xc0, {
		{"LS_SET_DELAY", 0xf0000, 0x10},
		{"LS_CLEAR_DELAY", 0xf00000, 0x14},
		{"UDEC_CM_LS_EN", 0x20, 0x5},
		{"MPRD_LS_EN", 0x4, 0x2},
		{"MIF_LS_EN", 0x1000, 0xc},
		{"LMI_MC_LS_EN", 0x1, 0x0},
		{"VCPU_LS_EN", 0x400, 0xa},
		{"UDEC_IT_LS_EN", 0x40, 0x6},
		{"SCPU_LS_EN", 0x800, 0xb},
		{"UDEC_RE_LS_EN", 0x10, 0x4},
		{"LCM_LS_EN", 0x2000, 0xd},
		{"UDEC_DB_LS_EN", 0x80, 0x7},
		{"SYS_LS_EN", 0x200, 0x9},
		{"MPC_LS_EN", 0x2, 0x1},
		{"UDEC_MP_LS_EN", 0x100, 0x8},
		{"WCB_LS_EN", 0x8, 0x3}
	} },
	{"UVD_VCPU_CACHE_SIZE1", 0x3d85, {
		{"CACHE_SIZE1", 0x1fffff, 0x0}
	} },
	{"UVD_LMI_EXT40_ADDR", 0x3d26, {
		{"INDEX", 0x1f0000, 0x10},
		{"WRITE_ADDR", 0x80000000, 0x1f},
		{"ADDR", 0xff, 0x0}
	} },
	{"UVD_VCPU_CACHE_SIZE2", 0x3d87, {
		{"CACHE_SIZE2", 0x1fffff, 0x0}
	} },
	{"UVD_SOFT_RESET", 0x3da0, {
		{"SPH_SOFT_RESET", 0x4000, 0xe},
		{"CXW_SOFT_RESET", 0x40, 0x6},
		{"FWV_SOFT_RESET", 0x200, 0x9},
		{"IH_SOFT_RESET", 0x400, 0xa},
		{"LMI_UMC_SOFT_RESET", 0x2000, 0xd},
		{"IDCT_SOFT_RESET", 0x1000, 0xc},
		{"CSM_SOFT_RESET", 0x20, 0x5},
		{"LMI_SOFT_RESET", 0x4, 0x2},
		{"TAP_SOFT_RESET", 0x80, 0x7},
		{"LCM_SOFT_RESET", 0x10000, 0x10},
		{"MPC_SOFT_RESET", 0x100, 0x8},
		{"VCPU_SOFT_RESET", 0x8, 0x3},
		{"MIF_SOFT_RESET", 0x8000, 0xf},
		{"LBSI_SOFT_RESET", 0x2, 0x1},
		{"MPRD_SOFT_RESET", 0x800, 0xb},
		{"RBC_SOFT_RESET", 0x1, 0x0},
		{"UDEC_SOFT_RESET", 0x10, 0x4}
	} },
	{"UVD_MPC_SET_MUXB0", 0x3d7b, {
		{"VARB_4", 0x3f000000, 0x18},
		{"VARB_0", 0x3f, 0x0},
		{"VARB_1", 0xfc0, 0x6},
		{"VARB_2", 0x3f000, 0xc},
		{"VARB_3", 0xfc0000, 0x12}
	} },
	{"UVD_MASTINT_EN", 0x3d40, {
		{"INT_OVERRUN", 0x7ffff0, 0x4},
		{"OVERRUN_RST", 0x1, 0x0},
		{"VCPU_EN", 0x2, 0x1},
		{"SYS_EN", 0x4, 0x2}
	} },
	{"UVD_CONTEXT_ID", 0x3dbd, {
		{"CONTEXT_ID", 0xffffffff, 0x0}
	} },
	{"UVD_CGC_STATUS", 0x3d2b, {
		{"REGS_SCLK", 0x200, 0x9},
		{"MPEG2_DCLK", 0x80, 0x7},
		{"RBC_SCLK", 0x800, 0xb},
		{"WCB_SCLK", 0x1000000, 0x18},
		{"MPRD_SCLK", 0x10000, 0x10},
		{"LBSI_VCLK", 0x400000, 0x16},
		{"VCPU_SCLK", 0x2000000, 0x19},
		{"LRBBM_SCLK", 0x800000, 0x17},
		{"IDCT_VCLK", 0x8000, 0xf},
		{"MPC_SCLK", 0x80000, 0x13},
		{"MPRD_DCLK", 0x20000, 0x11},
		{"SYS_VCLK", 0x4, 0x2},
		{"MPEG2_SCLK", 0x40, 0x6},
		{"SYS_SCLK", 0x1, 0x0},
		{"VCPU_VCLK", 0x4000000, 0x1a},
		{"UDEC_SCLK", 0x8, 0x3},
		{"SCPU_VCLK", 0x10000000, 0x1c},
		{"SYS_DCLK", 0x2, 0x1},
		{"REGS_VCLK", 0x400, 0xa},
		{"LMI_UMC_SCLK", 0x2000, 0xd},
		{"UDEC_DCLK", 0x10, 0x4},
		{"MPEG2_VCLK", 0x100, 0x8},
		{"SCPU_SCLK", 0x8000000, 0x1b},
		{"LBSI_SCLK", 0x200000, 0x15},
		{"IDCT_SCLK", 0x4000, 0xe},
		{"LMI_MC_SCLK", 0x1000, 0xc},
		{"MPRD_VCLK", 0x40000, 0x12},
		{"MPC_DCLK", 0x100000, 0x14},
		{"UDEC_VCLK", 0x20, 0x5}
	} },
	{"UVD_LMI_CTRL2", 0x3d3d, {
		{"STALL_ARB_UMC", 0x100, 0x8},
		{"RE_OFFLOAD_EN", 0x10000, 0x10},
		{"SPU_EXTRA_CID_EN", 0x8000, 0xf},
		{"MC_READ_ID_SEL", 0x600, 0x9},
		{"MASK_UMC_URGENT", 0x8, 0x3},
		{"VCPU_NC1_EXT_EN", 0x4000, 0xe},
		{"RE_OFLD_MIF_WR_REQ_NUM", 0x1fe0000, 0x11},
		{"VCPU_NC0_EXT_EN", 0x2000, 0xd},
		{"SPH_DIS", 0x1, 0x0},
		{"MC_WRITE_ID_SEL", 0x1800, 0xb},
		{"ASSERT_UMC_URGENT", 0x4, 0x2},
		{"MCIF_WR_WATERMARK", 0x70, 0x4},
		{"STALL_ARB", 0x2, 0x1},
		{"DRCITF_BUBBLE_FIX_DIS", 0x80, 0x7}
	} },
	{"UVD_SEMA_CMD", 0x3bc2, {
		{"VMID_EN", 0x80, 0x7},
		{"VMID", 0xf00, 0x8},
		{"MODE", 0x40, 0x6},
		{"REQ_CMD", 0xf, 0x0},
		{"WR_PHASE", 0x30, 0x4}
	} },
	{"UVD_LMI_ADDR_EXT2", 0xab, {
		{"SCPU_NC0_ADDR_EXT", 0xf00, 0x8},
		{"SCPU_ADDR_EXT", 0xf, 0x0},
		{"SCPU_VM_ADDR_EXT", 0xf0, 0x4},
		{"SCPU_NC1_ADDR_EXT", 0xf000, 0xc}
	} },
	{"UVD_VCPU_CACHE_OFFSET1", 0x3d84, {
		{"CACHE_OFFSET1", 0x1ffffff, 0x0}
	} },
	{"UVD_VCPU_CACHE_OFFSET0", 0x3d82, {
		{"CACHE_OFFSET0", 0x1ffffff, 0x0}
	} },
	{"UVD_LMI_SWAP_CNTL2", 0xaa, {
		{"SCPU_W_MC_SWAP", 0xc, 0x2},
		{"SCPU_R_MC_SWAP", 0x3, 0x0}
	} },
	{"UVD_SEMA_ADDR_HIGH", 0x3bc1, {
		{"ADDR_42_23", 0xfffff, 0x0}
	} },
	{"UVD_MPC_SET_MUXA0", 0x3d79, {
		{"VARA_3", 0xfc0000, 0x12},
		{"VARA_2", 0x3f000, 0xc},
		{"VARA_1", 0xfc0, 0x6},
		{"VARA_0", 0x3f, 0x0},
		{"VARA_4", 0x3f000000, 0x18}
	} },
	{"UVD_MPC_SET_MUXA1", 0x3d7a, {
		{"VARA_7", 0x3f000, 0xc},
		{"VARA_6", 0xfc0, 0x6},
		{"VARA_5", 0x3f, 0x0}
	} },
	{"UVD_POWER_STATUS", 0x38fc, {
		{"UVD_POWER_STATUS", 0x1, 0x0}
	} },
	{"UVD_RBC_RB_RPTR_ADDR", 0x3daa, {
		{"RB_RPTR_ADDR", 0xffffffff, 0x0}
	} },
	{"UVD_RBC_RB_WPTR_CNTL", 0x3da6, {

	} },
	{"UVD_CGC_UDEC_STATUS", 0x3d2d, {
		{"DB_VCLK", 0x800, 0xb},
		{"RE_DCLK", 0x2, 0x1},
		{"DB_DCLK", 0x400, 0xa},
		{"IT_VCLK", 0x100, 0x8},
		{"DB_SCLK", 0x200, 0x9},
		{"RE_SCLK", 0x1, 0x0},
		{"MP_SCLK", 0x1000, 0xc},
		{"MP_VCLK", 0x4000, 0xe},
		{"RE_VCLK", 0x4, 0x2},
		{"MP_DCLK", 0x2000, 0xd},
		{"IT_SCLK", 0x40, 0x6},
		{"IT_DCLK", 0x80, 0x7},
		{"CM_DCLK", 0x10, 0x4},
		{"CM_SCLK", 0x8, 0x3},
		{"CM_VCLK", 0x20, 0x5}
	} },
	{"UVD_MPC_SET_MUXB1", 0x3d7c, {
		{"VARB_5", 0x3f, 0x0},
		{"VARB_6", 0xfc0, 0x6},
		{"VARB_7", 0x3f000, 0xc}
	} },
	{"UVD_LMI_CTRL", 0x3d66, {
		{"IT_IT_DATA_COHERENCY_EN", 0x2000000, 0x19},
		{"DB_DB_DATA_COHERENCY_EN", 0x800000, 0x17},
		{"DISABLE_ON_FWV_FAIL", 0x100000, 0x14},
		{"RFU", 0xf8000000, 0x1b},
		{"CM_DATA_COHERENCY_EN", 0x400000, 0x16},
		{"CRC_RESET", 0x4000, 0xe},
		{"WRITE_CLEAN_TIMER_EN", 0x100, 0x8},
		{"DB_IT_DATA_COHERENCY_EN", 0x1000000, 0x18},
		{"VCPU_DATA_COHERENCY_EN", 0x200000, 0x15},
		{"ASSERT_MC_URGENT", 0x800, 0xb},
		{"WRITE_CLEAN_TIMER", 0xff, 0x0},
		{"MIF_MIF_DATA_COHERENCY_EN", 0x4000000, 0x1a},
		{"MASK_MC_URGENT", 0x1000, 0xc},
		{"DATA_COHERENCY_EN", 0x2000, 0xd},
		{"CRC_SEL", 0xf8000, 0xf},
		{"REQ_MODE", 0x200, 0x9}
	} },
	{"UVD_MPC_SET_ALU", 0x3d7e, {
		{"OPERAND", 0xff0, 0x4},
		{"FUNCT", 0x7, 0x0}
	} },
	{"UVD_PGFSM_CONFIG", 0x38f8, {
		{"UVD_PGFSM_POWER_DOWN", 0x100, 0x8},
		{"UVD_PGFSM_READ", 0x2000, 0xd},
		{"UVD_PGFSM_POWER_UP", 0x200, 0x9},
		{"UVD_PGFSM_P2_SELECT", 0x800, 0xb},
		{"UVD_PGFSM_REG_ADDR", 0xf0000000, 0x1c},
		{"UVD_PGFSM_P1_SELECT", 0x400, 0xa},
		{"UVD_PGFSM_WRITE", 0x1000, 0xc},
		{"UVD_PGFSM_FSM_ADDR", 0xff, 0x0}
	} },
	{"UVD_MIF_RECON1_ADDR_CONFIG", 0x114, {
		{"BANK_INTERLEAVE_SIZE", 0x700, 0x8},
		{"MULTI_GPU_TILE_SIZE", 0x3000000, 0x18},
		{"NUM_GPUS", 0x700000, 0x14},
		{"NUM_PIPES", 0x7, 0x0},
		{"NUM_SHADER_ENGINES", 0x3000, 0xc},
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4},
		{"SHADER_ENGINE_TILE_SIZE", 0x70000, 0x10},
		{"NUM_LOWER_PIPES", 0x40000000, 0x1e},
		{"ROW_SIZE", 0x30000000, 0x1c}
	} },
	{"UVD_LMI_SWAP_CNTL", 0x3d6d, {
		{"RB_MC_SWAP", 0x3, 0x0},
		{"RE_MC_SWAP", 0x30000000, 0x1c},
		{"RB_RPTR_MC_SWAP", 0x30, 0x4},
		{"MP_MC_SWAP", 0xc0000000, 0x1e},
		{"IB_MC_SWAP", 0xc, 0x2},
		{"DB_R_MC_SWAP", 0xc000, 0xe},
		{"CSM_MC_SWAP", 0xc0000, 0x12},
		{"CM_MC_SWAP", 0xc00, 0xa},
		{"RB_WR_MC_SWAP", 0xc000000, 0x1a},
		{"DB_W_MC_SWAP", 0x30000, 0x10},
		{"VCPU_R_MC_SWAP", 0xc0, 0x6},
		{"VCPU_W_MC_SWAP", 0x300, 0x8},
		{"DBW_MC_SWAP", 0x3000000, 0x18},
		{"IT_MC_SWAP", 0x3000, 0xc},
		{"MP_REF16_MC_SWAP", 0xc00000, 0x16}
	} }
};

}; // namespace amdregdb
