/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_vce_vce_1_0();

static const RegSpec vce_vce_1_0_regs[] = {
	{"VCE_VCPU_CNTL", 0x8005, {
		{"CLK_EN", 0x00000001L, 0x00000000},
		{"RBBM_SOFT_RESET", 0x00040000L, 0x00000012}
	} },
	{"VCE_RB_RPTR2", 0x805E, {
		{"RB_RPTR", 0x007ffff0L, 0x00000004}
	} },
	{"VCE_RB_BASE_HI", 0x8061, {
		{"RB_BASE_HI", 0xffffffffL, 0x00000000}
	} },
	{"VCE_RB_WPTR2", 0x805F, {
		{"RB_WPTR", 0x007ffff0L, 0x00000004}
	} },
	{"VCE_LMI_CACHE_CTRL", 0x83BD, {
		{"VCPU_EN", 0x00000001L, 0x00000000}
	} },
	{"VCE_VCPU_CACHE_SIZE0", 0x800A, {
		{"SIZE", 0x00ffffffL, 0x00000000}
	} },
	{"VCE_VCPU_CACHE_SIZE1", 0x800C, {
		{"SIZE", 0x00ffffffL, 0x00000000}
	} },
	{"VCE_SYS_INT_EN", 0x8340, {
		{"VCE_SYS_INT_TRAP_INTERRUPT_EN", 0x00000008L, 0x00000003}
	} },
	{"VCE_RB_SIZE2", 0x805D, {
		{"RB_SIZE", 0x007ffff0L, 0x00000004}
	} },
	{"VCE_CLOCK_GATING_B", 0x80BF, {

	} },
	{"VCE_CLOCK_GATING_A", 0x80BE, {

	} },
	{"VCE_RB_SIZE", 0x8062, {
		{"RB_SIZE", 0x007ffff0L, 0x00000004}
	} },
	{"VCE_UENC_DMA_DCLK_CTRL", 0x8250, {
		{"RDDMCLK_FORCEON", 0x00000002L, 0x00000001},
		{"WRDMCLK_FORCEON", 0x00000001L, 0x00000000},
		{"REGCLK_FORCEON", 0x00000004L, 0x00000002}
	} },
	{"VCE_RB_BASE_LO2", 0x805B, {
		{"RB_BASE_LO", 0xffffffc0L, 0x00000006}
	} },
	{"VCE_LMI_MISC_CTRL", 0x83B5, {

	} },
	{"VCE_SOFT_RESET", 0x8048, {
		{"ECPU_SOFT_RESET", 0x00000001L, 0x00000000}
	} },
	{"VCE_UENC_CLOCK_GATING", 0x816F, {

	} },
	{"VCE_LMI_CTRL2", 0x839D, {
		{"STALL_ARB_UMC", 0x00000100L, 0x00000008}
	} },
	{"VCE_STATUS", 0x8001, {
		{"JOB_BUSY", 0x00000001L, 0x00000000},
		{"UENC_BUSY", 0x00000100L, 0x00000008},
		{"VCPU_REPORT", 0x000000feL, 0x00000001}
	} },
	{"VCE_SYS_INT_STATUS", 0x8341, {
		{"VCE_SYS_INT_TRAP_INTERRUPT_INT", 0x00000008L, 0x00000003}
	} },
	{"VCE_LMI_SWAP_CNTL", 0x83AD, {
		{"WR_MC_CID_SWAP", 0x00003ffcL, 0x00000002},
		{"VCPU_W_MC_SWAP", 0x00000003L, 0x00000000}
	} },
	{"VCE_LMI_VM_CTRL", 0x83A8, {

	} },
	{"VCE_VCPU_CACHE_OFFSET2", 0x800D, {
		{"OFFSET", 0x0fffffffL, 0x00000000}
	} },
	{"VCE_VCPU_CACHE_OFFSET0", 0x8009, {
		{"OFFSET", 0x0fffffffL, 0x00000000}
	} },
	{"VCE_VCPU_CACHE_OFFSET1", 0x800B, {
		{"OFFSET", 0x0fffffffL, 0x00000000}
	} },
	{"VCE_LMI_STATUS", 0x83A7, {

	} },
	{"VCE_RB_RPTR", 0x8063, {
		{"RB_RPTR", 0x007ffff0L, 0x00000004}
	} },
	{"VCE_LMI_CTRL", 0x83A6, {
		{"VCPU_DATA_COHERENCY_EN", 0x00200000L, 0x00000015}
	} },
	{"VCE_RB_ARB_CTRL", 0x809F, {

	} },
	{"VCE_SYS_INT_ACK", 0x8341, {
		{"VCE_SYS_INT_TRAP_INTERRUPT_ACK", 0x00000008L, 0x00000003}
	} },
	{"VCE_VCPU_CACHE_SIZE2", 0x800E, {
		{"SIZE", 0x00ffffffL, 0x00000000}
	} },
	{"VCE_RB_WPTR", 0x8064, {
		{"RB_WPTR", 0x007ffff0L, 0x00000004}
	} },
	{"VCE_UENC_REG_CLOCK_GATING", 0x8170, {

	} },
	{"VCE_LMI_SWAP_CNTL1", 0x83AE, {
		{"RD_MC_CID_SWAP", 0x00003ffcL, 0x00000002},
		{"VCPU_R_MC_SWAP", 0x00000003L, 0x00000000}
	} },
	{"VCE_RB_BASE_HI2", 0x805C, {
		{"RB_BASE_HI", 0xffffffffL, 0x00000000}
	} },
	{"VCE_LMI_VCPU_CACHE_40BIT_BAR", 0x8397, {
		{"BAR", 0xffffffffL, 0x00000000}
	} },
	{"VCE_RB_BASE_LO", 0x8060, {
		{"RB_BASE_LO", 0xffffffc0L, 0x00000006}
	} }
};

}; // namespace amdregdb
