/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_vce_vce_2_0();

static const RegSpec vce_vce_2_0_regs[] = {
	{"VCE_VCPU_CNTL", 0x8005, {
		{"CLK_EN", 0x1, 0x0},
		{"RBBM_SOFT_RESET", 0x40000, 0x12}
	} },
	{"VCE_RB_RPTR2", 0x805e, {
		{"RB_RPTR", 0x7ffff0, 0x4}
	} },
	{"VCE_RB_BASE_HI", 0x8061, {
		{"RB_BASE_HI", 0xffffffff, 0x0}
	} },
	{"VCE_LMI_CACHE_CTRL", 0x853d, {
		{"VCPU_EN", 0x1, 0x0}
	} },
	{"VCE_RB_WPTR2", 0x805f, {
		{"RB_WPTR", 0x7ffff0, 0x4}
	} },
	{"VCE_VCPU_CACHE_SIZE2", 0x800e, {
		{"SIZE", 0xffffff, 0x0}
	} },
	{"VCE_VCPU_CACHE_SIZE0", 0x800a, {
		{"SIZE", 0xffffff, 0x0}
	} },
	{"VCE_VCPU_CACHE_SIZE1", 0x800c, {
		{"SIZE", 0xffffff, 0x0}
	} },
	{"VCE_LMI_SWAP_CNTL3", 0x851e, {
		{"RD_MC_CID_SWAP", 0x3, 0x0}
	} },
	{"VCE_SYS_INT_EN", 0x84c0, {
		{"VCE_SYS_INT_TRAP_INTERRUPT_EN", 0x8, 0x3}
	} },
	{"VCE_RB_SIZE2", 0x805d, {
		{"RB_SIZE", 0x7ffff0, 0x4}
	} },
	{"VCE_CLOCK_GATING_B", 0x80bf, {

	} },
	{"VCE_CLOCK_GATING_A", 0x80be, {

	} },
	{"VCE_LMI_SWAP_CNTL2", 0x8533, {
		{"WR_MC_CID_SWAP", 0xff, 0x0}
	} },
	{"VCE_RB_SIZE", 0x8062, {
		{"RB_SIZE", 0x7ffff0, 0x4}
	} },
	{"VCE_LMI_SWAP_CNTL1", 0x852e, {
		{"RD_MC_CID_SWAP", 0x3ffc, 0x2},
		{"VCPU_R_MC_SWAP", 0x3, 0x0}
	} },
	{"VCE_RB_BASE_LO2", 0x805b, {
		{"RB_BASE_LO", 0xffffffc0, 0x6}
	} },
	{"VCE_LMI_MISC_CTRL", 0x8535, {

	} },
	{"VCE_SOFT_RESET", 0x8048, {
		{"ECPU_SOFT_RESET", 0x1, 0x0}
	} },
	{"VCE_UENC_CLOCK_GATING", 0x81ef, {

	} },
	{"VCE_LMI_CTRL2", 0x851d, {
		{"STALL_ARB_UMC", 0x100, 0x8}
	} },
	{"VCE_STATUS", 0x8001, {
		{"JOB_BUSY", 0x1, 0x0},
		{"UENC_BUSY", 0x100, 0x8},
		{"VCPU_REPORT", 0xfe, 0x1}
	} },
	{"VCE_SYS_INT_STATUS", 0x84c1, {
		{"VCE_SYS_INT_TRAP_INTERRUPT_INT", 0x8, 0x3}
	} },
	{"VCE_LMI_SWAP_CNTL", 0x852d, {
		{"WR_MC_CID_SWAP", 0x3ffc, 0x2},
		{"VCPU_W_MC_SWAP", 0x3, 0x0}
	} },
	{"VCE_LMI_VM_CTRL", 0x8528, {

	} },
	{"VCE_VCPU_CACHE_OFFSET2", 0x800d, {
		{"OFFSET", 0xfffffff, 0x0}
	} },
	{"VCE_VCPU_CACHE_OFFSET0", 0x8009, {
		{"OFFSET", 0xfffffff, 0x0}
	} },
	{"VCE_VCPU_CACHE_OFFSET1", 0x800b, {
		{"OFFSET", 0xfffffff, 0x0}
	} },
	{"VCE_CGTT_CLK_OVERRIDE", 0x81e8, {

	} },
	{"VCE_LMI_STATUS", 0x8527, {

	} },
	{"VCE_RB_RPTR", 0x8063, {
		{"RB_RPTR", 0x7ffff0, 0x4}
	} },
	{"VCE_SYS_INT_ACK", 0x84c1, {
		{"VCE_SYS_INT_TRAP_INTERRUPT_ACK", 0x8, 0x3}
	} },
	{"VCE_RB_ARB_CTRL", 0x809f, {

	} },
	{"VCE_LMI_CTRL", 0x8526, {
		{"VCPU_DATA_COHERENCY_EN", 0x200000, 0x15}
	} },
	{"VCE_RB_WPTR", 0x8064, {
		{"RB_WPTR", 0x7ffff0, 0x4}
	} },
	{"VCE_UENC_REG_CLOCK_GATING", 0x81f0, {

	} },
	{"VCE_UENC_DMA_DCLK_CTRL", 0x8390, {
		{"RDDMCLK_FORCEON", 0x2, 0x1},
		{"WRDMCLK_FORCEON", 0x1, 0x0},
		{"REGCLK_FORCEON", 0x4, 0x2}
	} },
	{"VCE_RB_BASE_HI2", 0x805c, {
		{"RB_BASE_HI", 0xffffffff, 0x0}
	} },
	{"VCE_LMI_VCPU_CACHE_40BIT_BAR", 0x8517, {
		{"BAR", 0xffffffff, 0x0}
	} },
	{"VCE_RB_BASE_LO", 0x8060, {
		{"RB_BASE_LO", 0xffffffc0, 0x6}
	} }
};

}; // namespace amdregdb
