/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_bif_bif_5_1();

static const RegSpec bif_bif_5_1_regs[] = {
	{"D2F5_SECONDARY_STATUS", 0x6000007, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"RECEIVED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"PSX81_WRP_BIOSTIMER_CNTL", 0x13180f1, {
		{"ClockRate", 0xff, 0x0}
	} },
	{"D3F4_PCIE_LANE_4_EQUALIZATION_CNTL", 0xa0000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F2_BIST", 0x8000003, {
		{"BIST_STRT", 0x40000000, 0x1e},
		{"BIST_COMP", 0xf000000, 0x18},
		{"BIST_CAP", 0x80000000, 0x1f}
	} },
	{"PSX81_BIF_PCIE_CNTL", 0x1410010, {
		{"UR_ERR_REPORT_DIS", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_TEST_MODE", 0x80000, 0x13},
		{"RX_RCB_WRONG_FUNCNUM_DIS", 0x400000, 0x16},
		{"RX_RCB_UNEXP_CPL_DIS", 0x40000, 0x12},
		{"RX_RCB_INVALID_SIZE_DIS", 0x20000, 0x11},
		{"RX_CPL_POSTED_REQ_ORD_EN", 0x80000000, 0x1f},
		{"RX_ATS_TRAN_CPL_SPLIT_DIS", 0x800000, 0x17},
		{"PCIE_MALFORM_ATOMIC_OPS", 0x100, 0x8},
		{"LC_HOT_PLUG_DELAY_SEL", 0xe, 0x1},
		{"RX_RCB_WRONG_PREFIX_DIS", 0x100000, 0x14},
		{"HWINIT_WR_LOCK", 0x1, 0x0},
		{"RX_SB_ADJ_PAYLOAD_SIZE", 0x1c00, 0xa},
		{"RX_IGNORE_LTR_MSG_UR", 0x40000000, 0x1e},
		{"TX_CPL_DEBUG", 0x3f000000, 0x18},
		{"PCIE_HT_NP_MEM_WRITE", 0x200, 0x9},
		{"RX_RCB_ATS_UC_DIS", 0x8000, 0xf},
		{"RX_RCB_REORDER_EN", 0x10000, 0x10},
		{"RX_RCB_WRONG_ATTR_DIS", 0x200000, 0x15}
	} },
	{"D2F4_PCIEP_STRAP_MISC", 0xc1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"GARLIC_FLUSH_REQ", 0x1412, {
		{"FLUSH_REQ", 0x1, 0x0}
	} },
	{"PSX81_PHY0_RX_DLL_CTL_BROADCAST", 0x121fe03, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"D2F3_PCIE_MC_BLOCK_UNTRANSLATED_0", 0x40000c4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_MC_BLOCK_UNTRANSLATED_1", 0x40000c5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_CPM_CONTROL", 0x1400118, {
		{"TXCLK_PRBS_GATE_ENABLE", 0x80, 0x7},
		{"TXCLK_PERM_GATE_ENABLE", 0x4, 0x2},
		{"TXCLK_GSKT_GATE_ENABLE", 0x10, 0x4},
		{"FAST_TXCLK_LATENCY", 0xe0000, 0x11},
		{"TXCLK_PERM_GATE_LATENCY", 0x800, 0xb},
		{"REFCLK_XSTCLK_LATENCY", 0x800000, 0x17},
		{"REFCLK_REGS_GATE_LATENCY", 0x2000, 0xd},
		{"TXCLK_PERM_GATE_PLL_PDN", 0x10000, 0x10},
		{"TXCLK_REGS_GATE_ENABLE", 0x40, 0x6},
		{"TXCLK_REGS_GATE_LATENCY", 0x1000, 0xc},
		{"MASTER_PCIE_PLL_SELECT", 0x100000, 0x14},
		{"LCLK_GATE_TXCLK_FREE", 0x4000, 0xe},
		{"REFCLK_REGS_GATE_ENABLE", 0x100, 0x8},
		{"LCLK_DYN_GATE_LATENCY", 0x200, 0x9},
		{"MASTER_PCIE_PLL_AUTO", 0x200000, 0x15},
		{"REFCLK_XSTCLK_ENABLE", 0x400000, 0x16},
		{"TXCLK_DYN_GATE_ENABLE", 0x2, 0x1},
		{"TXCLK_PIF_GATE_ENABLE", 0x8, 0x3},
		{"RCVR_DET_CLK_ENABLE", 0x8000, 0xf},
		{"TXCLK_LCNT_GATE_ENABLE", 0x20, 0x5},
		{"SPARE_REGS", 0xff000000, 0x18},
		{"TXCLK_DYN_GATE_LATENCY", 0x400, 0xa},
		{"LCLK_DYN_GATE_ENABLE", 0x1, 0x0}
	} },
	{"D3F4_PCIE_CORR_ERR_MASK", 0xa000059, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"PSX80_PIF0_CTRL", 0x1100004, {
		{"PIF_PLL_DEGRADE_OFF_VOTE", 0x100, 0x8},
		{"PIF_LANEUNUSED_AFFECT_GANG", 0x2000, 0xd},
		{"PIF_PLL_PWRDN_EARLY_EXIT", 0x8, 0x3},
		{"PIF_PLL_UNUSED_OFF_VOTE", 0x200, 0x9},
		{"PIF_PLL_HNDSHK_EARLY_ABORT", 0x4, 0x2},
		{"PIF_PLL_PWRDN_EN", 0x1, 0x0},
		{"PIF_PLL_STATUS", 0xc0, 0x6},
		{"PIF_PG_EXIT_MODE", 0x800, 0xb},
		{"PHY_RST_PWROK_VDD", 0x10, 0x4},
		{"PIF_DEGRADE_PWR_PLL_MODE", 0x1000, 0xc},
		{"DTM_FORCE_FREQDIV_X1", 0x2, 0x1},
		{"PIF_PLL_DEGRADE_S2_VOTE", 0x400, 0xa},
		{"PIF_PG_ABORT_DISABLE", 0x4000, 0xe}
	} },
	{"PSX81_PHY0_TX_DEEMPH_LANE4", 0x1212402, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"D3F2_PCIE_LC_BW_CHANGE_CNTL", 0xb2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"D3F4_PROG_INTERFACE", 0xa000002, {
		{"PROG_INTERFACE", 0xff00, 0x8}
	} },
	{"D3F5_PCIE_LANE_14_EQUALIZATION_CNTL", 0xb0000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F3_PCIE_MC_BLOCK_UNTRANSLATED_1", 0x90000c5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_TX_DEEMPH_LANE6", 0x1212602, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_0", 0x14000d0, {
		{"PRBS_ERRCNT_0", 0xffffffff, 0x0}
	} },
	{"D2F1_SUB_CLASS", 0x2000002, {
		{"SUB_CLASS", 0xff0000, 0x10}
	} },
	{"D2F1_MSI_MSG_ADDR_LO", 0x2000029, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"PSX81_PHY0_TX_DEEMPH_LANE7", 0x1212702, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PCIE_PRBS_ERRCNT_13", 0x14000dd, {
		{"PRBS_ERRCNT_13", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_12", 0x14000dc, {
		{"PRBS_ERRCNT_12", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_11", 0x14000db, {
		{"PRBS_ERRCNT_11", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_10", 0x14000da, {
		{"PRBS_ERRCNT_10", 0xffffffff, 0x0}
	} },
	{"D3F4_STATUS", 0xa000001, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"INT_STATUS", 0x80000, 0x13},
		{"SIGNALED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"PCIE_PRBS_ERRCNT_15", 0x14000df, {
		{"PRBS_ERRCNT_15", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_14", 0x14000de, {
		{"PRBS_ERRCNT_14", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIEP_HPGI_PRIVATE", 0xd2, {
		{"PRESENCE_DETECT_STATE_PRIVATE", 0x40, 0x6},
		{"PRESENCE_DETECT_CHANGED_PRIVATE", 0x8, 0x3}
	} },
	{"D2F2_PCIE_SECONDARY_ENH_CAP_LIST", 0x300009c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F3_PCIE_RX_CNTL3", 0x74, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"D3F5_PMI_CAP_LIST", 0xb000014, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX80_WRP_DTM_RX_BP_CNTL", 0x130ffe0, {
		{"td_hold_training_override", 0x1f000000, 0x18},
		{"rxElasBP_SlideValue", 0xf00000, 0x14},
		{"rxElasBP_Cntl", 0xff, 0x0},
		{"Dbg_Cntl", 0xf0000, 0x10}
	} },
	{"D2F2_PCIE_LC_N_FTS_CNTL", 0xa3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"PSX81_PIF0_LANE1_OVRD", 0x1110016, {
		{"RXPGENABLE_OVRD_EN_1", 0x80, 0x7},
		{"REQUESTTRK_OVRD_EN_1", 0x1000, 0xc},
		{"LINKSPEED_OVRD_EN_1", 0x4, 0x2},
		{"REQUESTFOM_OVRD_EN_1", 0x400, 0xa},
		{"CDREN_OVRD_VAL_1", 0x20000, 0x11},
		{"REQUESTTRN_OVRD_EN_1", 0x2000, 0xd},
		{"RESPONSEMODE_OVRD_EN_1", 0x800, 0xb},
		{"GANGMODE_OVRD_EN_1", 0x1, 0x0},
		{"TXPWR_OVRD_EN_1", 0x10, 0x4},
		{"FREQDIV_OVRD_EN_1", 0x2, 0x1},
		{"COEFFICIENTID_OVRD_EN_1", 0x4000, 0xe},
		{"TWOSYMENABLE_OVRD_EN_1", 0x8, 0x3},
		{"RXPWR_OVRD_EN_1", 0x40, 0x6},
		{"CDREN_OVRD_EN_1", 0x10000, 0x10},
		{"ELECIDLEDETEN_OVRD_EN_1", 0x100, 0x8},
		{"COEFFICIENT_OVRD_EN_1", 0x8000, 0xf},
		{"ENABLEFOM_OVRD_EN_1", 0x200, 0x9},
		{"TXPGENABLE_OVRD_EN_1", 0x20, 0x5}
	} },
	{"D2F2_PCIE_ROOT_ERR_STATUS", 0x3000060, {
		{"ERR_CORR_RCVD", 0x1, 0x0},
		{"NONFATAL_ERROR_MSG_RCVD", 0x20, 0x5},
		{"FIRST_UNCORRECTABLE_FATAL", 0x10, 0x4},
		{"ADV_ERR_INT_MSG_NUM", 0xf8000000, 0x1b},
		{"MULT_ERR_CORR_RCVD", 0x2, 0x1},
		{"FATAL_ERROR_MSG_RCVD", 0x40, 0x6},
		{"MULT_ERR_FATAL_NONFATAL_RCVD", 0x8, 0x3},
		{"ERR_FATAL_NONFATAL_RCVD", 0x4, 0x2}
	} },
	{"PSX81_PHY0_RX_FOMCALCCTL_LANE2", 0x121020b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"PSX81_BIF_PCIE_LC_STATE10", 0x1410026, {
		{"LC_PREV_STATE40", 0x3f, 0x0},
		{"LC_PREV_STATE41", 0x3f00, 0x8},
		{"LC_PREV_STATE42", 0x3f0000, 0x10},
		{"LC_PREV_STATE43", 0x3f000000, 0x18}
	} },
	{"D2F1_PCIE_TX_REQUESTER_ID", 0x21, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"D3F4_PCIE_MC_ADDR1", 0xa0000bf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"BIF_RB_WPTR_IND", 0x1091533, {
		{"BIF_RB_OVERFLOW", 0x1, 0x0},
		{"OFFSET", 0x3fffc, 0x2}
	} },
	{"D3F2_MSI_MAP_CAP_LIST", 0x8000032, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"BIF_XDMA_LO_IND", 0x10914c0, {
		{"BIF_XDMA_LOWER_BOUND", 0x1fffffff, 0x0},
		{"BIF_XDMA_APER_EN", 0x80000000, 0x1f}
	} },
	{"PCIE_P_PORT_LANE_STATUS", 0x10010050, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"D2F2_PCIE_CAP_LIST", 0x3000016, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX80_WRP_BIF_STRAP_ASPM_B", 0x1500902, {
		{"STRAP_BIF_L0S_EXIT_LATENCY", 0x380000, 0x13},
		{"STRAP_BIF_L1_EXIT_LATENCY", 0x70000, 0x10},
		{"STRAP_BIF_PM_SUPPORT", 0xc000, 0xe},
		{"STRAP_ENABLE_SIGNAL_EXIT_L1", 0x400000, 0x16}
	} },
	{"PCIE_PASID_CAP", 0xb5, {
		{"PASID_EXE_PERMISSION_SUPPORTED", 0x2, 0x1},
		{"MAX_PASID_WIDTH", 0x1f00, 0x8},
		{"PASID_PRIV_MODE_SUPPORTED", 0x4, 0x2}
	} },
	{"PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0x50, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F5_PCIE_VC1_RESOURCE_CAP", 0x600004b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"BIOS_SCRATCH_12_IND", 0x10905d5, {
		{"BIOS_SCRATCH_12", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_TLP_PREFIX_LOG0", 0x8000062, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_VC1_RESOURCE_CAP", 0x900004b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D3F1_PCIE_PORT_VC_CAP_REG1", 0x7000045, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"D2F2_PCIE_LINK_CNTL3", 0x300009d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE1", 0x1210101, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"D3F1_INTERRUPT_PIN", 0x700000f, {
		{"INTERRUPT_PIN", 0xff00, 0x8}
	} },
	{"D2F1_PCIE_DEV_SERIAL_NUM_DW1", 0x2000051, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_DEV_SERIAL_NUM_DW2", 0x2000052, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"PCIEP_HW_DEBUG", 0x10010002, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D2F3_PCIEP_STRAP_MISC", 0xc1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"D2F4_PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0x5000040, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PEER0_FB_OFFSET_LO", 0x14f2, {
		{"PEER0_FB_EN", 0x80000000, 0x1f},
		{"PEER0_FB_OFFSET_LO", 0xfffff, 0x0}
	} },
	{"RFE_SNOOP_RST", 0x3c, {

	} },
	{"D3F1_PCIE_LC_LINK_WIDTH_CNTL", 0xa2, {
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_WAIT_FOR_L_IDLE_IN_R_IDLE", 0x4000000, 0x1a},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_HOLD_EI_FOR_RSPEED_CMD_CHANGE", 0x10000000, 0x1c},
		{"LC_BYPASS_RXL0S_ON_SHORT_EI", 0x20000000, 0x1d},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_RESET_TSX_CNT_IN_RCONFIG_EN", 0x2000000, 0x19},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_MULT_REVERSE_ATTEMP_EN", 0x1000000, 0x18},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_WAIT_FOR_NON_EI_ON_RXL0S_EXIT", 0x8000000, 0x1b},
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc}
	} },
	{"D2F2_PCIE_TX_CREDITS_INIT_NP", 0x34, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"DBG_BYPASS_SRBM_ACCESS_IND", 0x10914eb, {
		{"DBG_BYPASS_SRBM_ACCESS_EN", 0x1, 0x0},
		{"DBG_APER_AD", 0x1e, 0x1}
	} },
	{"D2F4_MSI_CAP_LIST", 0x5000028, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F5_PCIEP_BCH_ECC_CNTL", 0xd0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_SPEED_CORE", 0x1510002, {
		{"STRAP_PLL_CMP_FREQ_MODE", 0xc, 0x2},
		{"STRAP_BIF_FORCE_GEN2_MODE", 0x10, 0x4},
		{"STRAP_BIF_ALWAYS_USE_FAST_TXCLK", 0x2, 0x1}
	} },
	{"D3F3_PCIEP_STRAP_LC", 0xc0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"PCIE_STRAP_I2C_BD", 0x14000c4, {
		{"STRAP_BIF_I2C_SLV_ADR", 0x7f, 0x0},
		{"STRAP_BIF_DBG_I2C_EN", 0x80, 0x7}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_BROADCAST", 0x120fe01, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_BIF_LM_PCIETXMUX3", 0x1410124, {
		{"TXLANE15", 0xff000000, 0x18},
		{"TXLANE14", 0xff0000, 0x10},
		{"TXLANE13", 0xff00, 0x8},
		{"TXLANE12", 0xff, 0x0}
	} },
	{"PSX81_BIF_LM_PCIETXMUX2", 0x1410123, {
		{"TXLANE9", 0xff00, 0x8},
		{"TXLANE8", 0xff, 0x0},
		{"TXLANE11", 0xff000000, 0x18},
		{"TXLANE10", 0xff0000, 0x10}
	} },
	{"PSX81_BIF_LM_PCIETXMUX1", 0x1410122, {
		{"TXLANE5", 0xff00, 0x8},
		{"TXLANE4", 0xff, 0x0},
		{"TXLANE7", 0xff000000, 0x18},
		{"TXLANE6", 0xff0000, 0x10}
	} },
	{"D2F4_PCIE_LANE_14_EQUALIZATION_CNTL", 0x50000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F5_PCIE_SECONDARY_ENH_CAP_LIST", 0xb00009c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_RX_RX_CTL_LANE5", 0x1210502, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"D3F2_CAP_PTR", 0x800000d, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"PSX80_BIF_LM_CONTROL", 0x1400120, {
		{"LoopbackSelect", 0x1e, 0x1},
		{"LoopbackHalfRate", 0xc0, 0x6},
		{"PRBSPCIeLbSelect", 0x20, 0x5},
		{"LoopbackFifoPtr", 0x700, 0x8}
	} },
	{"D2F5_PCIE_UNCORR_ERR_STATUS", 0x6000055, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"D3F1_MSI_MSG_DATA", 0x700002a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"D2F5_PCIEP_BCH_ECC_CNTL", 0xd0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"PCIE_LTR_ENH_CAP_LIST", 0xc8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F2_PCIE_VC1_RESOURCE_STATUS", 0x300004d, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"PSX81_PHY0_RX_RX_CTL_LANE4", 0x1210402, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"CONFIG_REG_APER_SIZE_IND", 0x109150d, {
		{"REG_APER_SIZE", 0xfffff, 0x0}
	} },
	{"PSX81_WRP_DTM_RX_BP_CNTL", 0x131ffe0, {
		{"td_hold_training_override", 0x1f000000, 0x18},
		{"rxElasBP_SlideValue", 0xf00000, 0x14},
		{"rxElasBP_Cntl", 0xff, 0x0},
		{"Dbg_Cntl", 0xf0000, 0x10}
	} },
	{"D2F2_PCIE_LC_BEST_EQ_SETTINGS", 0xb9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PciPllTestDebug3", 0x1214009, {
		{"ADCRefIn", 0x3f00000, 0x14},
		{"StartCntEn", 0x8000000, 0x1b},
		{"FinalFbCnt", 0x3fff, 0x0},
		{"CalFail", 0xe0000, 0x11},
		{"ManCalRdyNext", 0x10000, 0x10},
		{"CalDone", 0x8000, 0xf},
		{"ContinueCal", 0x20000000, 0x1d},
		{"PLC_AdcOut", 0x4000000, 0x1a}
	} },
	{"D2F1_PCIE_TX_CNTL", 0x20, {
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"D3F5_DEVICE_CAP2", 0xb00001f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"ATOMICOP_ROUTING_SUPPORTED", 0x40, 0x6},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"ATOMICOP_32CMPLT_SUPPORTED", 0x80, 0x7},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"CAS128_CMPLT_SUPPORTED", 0x200, 0x9},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"ATOMICOP_64CMPLT_SUPPORTED", 0x100, 0x8},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"D3F4_PCIE_VC1_RESOURCE_STATUS", 0xa00004d, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PciPllTestDebug5", 0x121400c, {
		{"VregCtl7_0", 0xff, 0x0},
		{"VregCtl11_8", 0xf00, 0x8}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PciPllTestDebug4", 0x121400b, {
		{"AltDiv", 0xffff, 0x0}
	} },
	{"PSX80_WRP_BIF_STRAP_TEST_DFT", 0x1500005, {
		{"STRAP_BIF_FORCE_CDR_MODE", 0x4000000, 0x1a},
		{"STRAP_BIF_TX_TEST_ALL", 0xc0000000, 0x1e}
	} },
	{"D2F2_PCIE_VC0_RESOURCE_STATUS", 0x300004a, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D3F4_IO_BASE_LIMIT", 0xa000007, {
		{"IO_LIMIT", 0xf000, 0xc},
		{"IO_LIMIT_TYPE", 0xf00, 0x8},
		{"IO_BASE", 0xf0, 0x4},
		{"IO_BASE_TYPE", 0xf, 0x0}
	} },
	{"D2F2_PCIE_CORR_ERR_STATUS", 0x3000058, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"D3F5_PCIE_VC0_RESOURCE_STATUS", 0xb00004a, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D3F1_SECONDARY_STATUS", 0x7000007, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"RECEIVED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D2F1_MEM_BASE_LIMIT", 0x2000008, {
		{"MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"MEM_BASE_31_20", 0xfff0, 0x4},
		{"MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"PSX81_PHY0_RX_ADAPTCTL_BROADCAST", 0x121fe0a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"D3F2_PCIE_LANE_4_EQUALIZATION_CNTL", 0x80000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_PHY0_TX_MARGDEEMPHSTATUS_BROADCAST", 0x121ff04, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"D2F3_PCIE_LANE_9_EQUALIZATION_CNTL", 0x40000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F2_PMI_CAP", 0x3000014, {
		{"DEV_SPECIFIC_INIT", 0x200000, 0x15},
		{"AUX_CURRENT", 0x1c00000, 0x16},
		{"VERSION", 0x70000, 0x10},
		{"D2_SUPPORT", 0x4000000, 0x1a},
		{"PME_SUPPORT", 0xf8000000, 0x1b},
		{"PME_CLOCK", 0x80000, 0x13},
		{"D1_SUPPORT", 0x2000000, 0x19}
	} },
	{"PSX81_PHY0_RX_RX_CTL_LANE6", 0x1210602, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"D2F1_PCIE_LANE_2_EQUALIZATION_CNTL", 0x20000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"BIF_SMU_INDEX_IND", 0x109143d, {
		{"BIF_SMU_INDEX", 0x7fffc, 0x2}
	} },
	{"D3F1_MSI_MSG_ADDR_HI", 0x700002a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"MM_CFGREGS_CNTL", 0x1513, {
		{"MM_WR_TO_CFG_EN", 0x8, 0x3},
		{"MM_CFG_FUNC_SEL", 0x7, 0x0}
	} },
	{"BIF_VDDGFX_RSV2_UPPER", 0x1437, {
		{"VDDGFX_RSV2_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"D2F4_PCIEP_HPGI", 0xda, {
		{"HPGI_REG_DEASSERT_TO_SCI_STATUS", 0x800, 0xb},
		{"REG_HPGI_PRESENCE_DETECT_STATE_CHANGE_EN", 0x10000, 0x10},
		{"REG_HPGI_ASSERT_TO_SCI_EN", 0x2, 0x1},
		{"REG_HPGI_DEASSERT_TO_SMI_EN", 0x4, 0x2},
		{"HPGI_REG_DEASSERT_TO_SMI_STATUS", 0x400, 0xa},
		{"REG_HPGI_HOOK", 0x80, 0x7},
		{"HPGI_REG_ASSERT_TO_SMI_STATUS", 0x100, 0x8},
		{"REG_HPGI_ASSERT_TO_SMI_EN", 0x1, 0x0},
		{"REG_HPGI_DEASSERT_TO_SCI_EN", 0x8, 0x3},
		{"HPGI_REG_ASSERT_TO_SCI_STATUS", 0x200, 0x9},
		{"HPGI_REG_PRESENCE_DETECT_STATE_CHANGE_STATUS", 0x8000, 0xf}
	} },
	{"RFE_MST_TMOUT_STATUS", 0x108003f, {
		{"MstTmoutStatus", 0x1, 0x0}
	} },
	{"D3F1_PROG_INTERFACE", 0x7000002, {
		{"PROG_INTERFACE", 0xff00, 0x8}
	} },
	{"D3F1_PCIE_TX_CREDITS_ADVT_NP", 0x31, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"PCIE_LC_STATE11", 0x1400027, {
		{"LC_PREV_STATE44", 0x3f, 0x0},
		{"LC_PREV_STATE45", 0x3f00, 0x8},
		{"LC_PREV_STATE46", 0x3f0000, 0x10},
		{"LC_PREV_STATE47", 0x3f000000, 0x18}
	} },
	{"PCIE_LC_STATE10", 0x1400026, {
		{"LC_PREV_STATE40", 0x3f, 0x0},
		{"LC_PREV_STATE41", 0x3f00, 0x8},
		{"LC_PREV_STATE42", 0x3f0000, 0x10},
		{"LC_PREV_STATE43", 0x3f000000, 0x18}
	} },
	{"D3F3_MSI_MAP_CAP_LIST", 0x9000032, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F5_DEVICE_STATUS2", 0xb000020, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"PCIE_FC_P", 0x10010060, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"D2F4_PCIE_ROOT_ERR_CMD", 0x500005f, {
		{"FATAL_ERR_REP_EN", 0x4, 0x2},
		{"CORR_ERR_REP_EN", 0x1, 0x0},
		{"NONFATAL_ERR_REP_EN", 0x2, 0x1}
	} },
	{"D3F2_PCIE_PORT_VC_CNTL", 0x8000047, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"D2F1_PCIE_MC_RCV1", 0x20000c1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"PCIE_OUTSTAND_PAGE_REQ_ALLOC", 0xb3, {
		{"OUTSTAND_PAGE_REQ_ALLOC", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_RX_CTL_LANE1", 0x1210102, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_7", 0x14000d7, {
		{"PRBS_ERRCNT_7", 0xffffffff, 0x0}
	} },
	{"PSX80_PIF0_LANE6_OVRD", 0x1100020, {
		{"RESPONSEMODE_OVRD_EN_6", 0x800, 0xb},
		{"REQUESTTRN_OVRD_EN_6", 0x2000, 0xd},
		{"REQUESTFOM_OVRD_EN_6", 0x400, 0xa},
		{"LINKSPEED_OVRD_EN_6", 0x4, 0x2},
		{"RXPGENABLE_OVRD_EN_6", 0x80, 0x7},
		{"COEFFICIENTID_OVRD_EN_6", 0x4000, 0xe},
		{"GANGMODE_OVRD_EN_6", 0x1, 0x0},
		{"REQUESTTRK_OVRD_EN_6", 0x1000, 0xc},
		{"ENABLEFOM_OVRD_EN_6", 0x200, 0x9},
		{"CDREN_OVRD_EN_6", 0x10000, 0x10},
		{"TWOSYMENABLE_OVRD_EN_6", 0x8, 0x3},
		{"RXPWR_OVRD_EN_6", 0x40, 0x6},
		{"FREQDIV_OVRD_EN_6", 0x2, 0x1},
		{"COEFFICIENT_OVRD_EN_6", 0x8000, 0xf},
		{"TXPWR_OVRD_EN_6", 0x10, 0x4},
		{"TXPGENABLE_OVRD_EN_6", 0x20, 0x5},
		{"ELECIDLEDETEN_OVRD_EN_6", 0x100, 0x8},
		{"CDREN_OVRD_VAL_6", 0x20000, 0x11}
	} },
	{"D2F2_DEVICE_CAP2", 0x300001f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"ATOMICOP_ROUTING_SUPPORTED", 0x40, 0x6},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"ATOMICOP_32CMPLT_SUPPORTED", 0x80, 0x7},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"CAS128_CMPLT_SUPPORTED", 0x200, 0x9},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"ATOMICOP_64CMPLT_SUPPORTED", 0x100, 0x8},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"D3F3_PCIEP_BCH_ECC_CNTL", 0xd0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"D2F4_STATUS", 0x5000001, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"INT_STATUS", 0x80000, 0x13},
		{"SIGNALED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"PCIE_UNCORR_ERR_SEVERITY", 0x57, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"BIF_VDDGFX_GFX3_UPPER", 0x142f, {
		{"VDDGFX_GFX3_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX80_PHY0_TX_TXCNTRL_LANE1", 0x1202106, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"PSX80_PHY0_TX_TXCNTRL_LANE2", 0x1202206, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"PSX80_PHY0_TX_TXCNTRL_LANE3", 0x1202306, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"D2F1_PCIE_MC_OVERLAY_BAR0", 0x20000c6, {
		{"MC_OVERLAY_SIZE", 0x3f, 0x0},
		{"MC_OVERLAY_BAR_0", 0xffffffc0, 0x6}
	} },
	{"D2F1_PCIE_MC_OVERLAY_BAR1", 0x20000c7, {
		{"MC_OVERLAY_BAR_1", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_HDR_LOG2", 0xb00005d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_HDR_LOG3", 0xb00005e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"GPU_HDP_FLUSH_REQ", 0x1537, {
		{"SDMA0", 0x400, 0xa},
		{"CP8", 0x100, 0x8},
		{"CP9", 0x200, 0x9},
		{"SDMA1", 0x800, 0xb},
		{"CP0", 0x1, 0x0},
		{"CP1", 0x2, 0x1},
		{"CP2", 0x4, 0x2},
		{"CP3", 0x8, 0x3},
		{"CP4", 0x10, 0x4},
		{"CP5", 0x20, 0x5},
		{"CP6", 0x40, 0x6},
		{"CP7", 0x80, 0x7}
	} },
	{"BIF_MEM_PG_CNTL_IND", 0x130148a, {
		{"BIF_MEM_SD_TIMER", 0xffff0000, 0x10},
		{"BIF_MEM_SD_EN", 0x1, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_6", 0x14000d6, {
		{"PRBS_ERRCNT_6", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_TX_REPLAY", 0x25, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"BIF_VDDGFX_GFX0_LOWER_IND", 0x1091428, {
		{"VDDGFX_GFX0_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_GFX0_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX0_REG_STALL_EN", 0x80000000, 0x1f}
	} },
	{"D3F4_PCIE_ROOT_ERR_CMD", 0xa00005f, {
		{"FATAL_ERR_REP_EN", 0x4, 0x2},
		{"CORR_ERR_REP_EN", 0x1, 0x0},
		{"NONFATAL_ERR_REP_EN", 0x2, 0x1}
	} },
	{"D3F1_PCIE_VC1_RESOURCE_STATUS", 0x700004d, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"PSX81_BIF_PCIE_PRBS_HI_BITCNT", 0x14100cf, {
		{"PRBS_HI_BITCNT", 0xff, 0x0}
	} },
	{"D3F3_PCIE_UNCORR_ERR_MASK", 0x9000056, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"PSX81_PIF0_SCRATCH", 0x1110001, {
		{"PIF_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_LINK_CNTL3", 0x700009d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_10", 0x14100da, {
		{"PRBS_ERRCNT_10", 0xffffffff, 0x0}
	} },
	{"D2F3_REVISION_ID", 0x4000002, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"D3F4_SLOT_CAP2", 0xa000023, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_LANE_0_EQUALIZATION_CNTL", 0x600009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_PHY0_RX_RX_CTL_LANE3", 0x1210302, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"D2F5_MSI_MSG_ADDR_HI", 0x600002a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"PCIE_CORR_ERR_STATUS", 0x58, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PciPllUpdateCtrl", 0x1214008, {
		{"MeasCycleCnt", 0x3800000, 0x17},
		{"PllControlUpdate", 0x1, 0x0}
	} },
	{"D2F3_PREF_LIMIT_UPPER", 0x400000b, {
		{"PREF_LIMIT_UPPER", 0xffffffff, 0x0}
	} },
	{"D3F3_IO_BASE_LIMIT_HI", 0x900000c, {
		{"IO_LIMIT_31_16", 0xffff0000, 0x10},
		{"IO_BASE_31_16", 0xffff, 0x0}
	} },
	{"D3F1_DEVICE_CAP", 0x7000017, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"PSX81_PIF0_CTRL", 0x1110004, {
		{"PIF_PLL_DEGRADE_OFF_VOTE", 0x100, 0x8},
		{"PIF_LANEUNUSED_AFFECT_GANG", 0x2000, 0xd},
		{"PIF_PLL_PWRDN_EARLY_EXIT", 0x8, 0x3},
		{"PIF_PLL_UNUSED_OFF_VOTE", 0x200, 0x9},
		{"PIF_PLL_HNDSHK_EARLY_ABORT", 0x4, 0x2},
		{"PIF_PLL_PWRDN_EN", 0x1, 0x0},
		{"PIF_PLL_STATUS", 0xc0, 0x6},
		{"PIF_PG_EXIT_MODE", 0x800, 0xb},
		{"PHY_RST_PWROK_VDD", 0x10, 0x4},
		{"PIF_DEGRADE_PWR_PLL_MODE", 0x1000, 0xc},
		{"DTM_FORCE_FREQDIV_X1", 0x2, 0x1},
		{"PIF_PLL_DEGRADE_S2_VOTE", 0x400, 0xa},
		{"PIF_PG_ABORT_DISABLE", 0x4000, 0xe}
	} },
	{"PCIE_P_CNTL", 0x1400040, {
		{"P_IGNORE_EDB_ERR", 0x40, 0x6},
		{"P_PWRDN_EN", 0x1, 0x0},
		{"P_IGNORE_TOK_ERR", 0x100, 0x8},
		{"DLP_IGNORE_IN_L1_EN", 0x10000, 0x10},
		{"P_ALWAYS_USE_FAST_TXCLK", 0x2000, 0xd},
		{"P_IGNORE_IDL_ERR", 0x80, 0x7},
		{"P_BLK_LOCK_MODE", 0x1000, 0xc},
		{"P_IGNORE_LEN_ERR", 0x20, 0x5},
		{"P_IGNORE_CRC_ERR", 0x10, 0x4},
		{"P_ELASTDESKEW_HW_DEBUG", 0x8, 0x3},
		{"P_SYMALIGN_HW_DEBUG", 0x4, 0x2},
		{"P_SYMALIGN_MODE", 0x2, 0x1},
		{"P_ELEC_IDLE_MODE", 0xc000, 0xe}
	} },
	{"D3F1_SUB_BUS_NUMBER_LATENCY", 0x7000006, {
		{"SECONDARY_BUS", 0xff00, 0x8},
		{"PRIMARY_BUS", 0xff, 0x0},
		{"SUB_BUS_NUM", 0xff0000, 0x10},
		{"SECONDARY_LATENCY_TIMER", 0xff000000, 0x18}
	} },
	{"MIN_GRANT", 0xf, {
		{"MIN_GNT", 0xff, 0x0}
	} },
	{"D3F3_SLOT_STATUS", 0x900001c, {
		{"PRESENCE_DETECT_STATE", 0x400000, 0x16},
		{"DL_STATE_CHANGED", 0x1000000, 0x18},
		{"MRL_SENSOR_CHANGED", 0x40000, 0x12},
		{"ELECTROMECH_INTERLOCK_STATUS", 0x800000, 0x17},
		{"ATTN_BUTTON_PRESSED", 0x10000, 0x10},
		{"MRL_SENSOR_STATE", 0x200000, 0x15},
		{"PWR_FAULT_DETECTED", 0x20000, 0x11},
		{"COMMAND_COMPLETED", 0x100000, 0x14},
		{"PRESENCE_DETECT_CHANGED", 0x80000, 0x13}
	} },
	{"D2F4_ROOT_CNTL", 0x500001d, {
		{"SERR_ON_CORR_ERR_EN", 0x1, 0x0},
		{"SERR_ON_NONFATAL_ERR_EN", 0x2, 0x1},
		{"SERR_ON_FATAL_ERR_EN", 0x4, 0x2},
		{"PM_INTERRUPT_EN", 0x8, 0x3},
		{"CRS_SOFTWARE_VISIBILITY_EN", 0x10, 0x4}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_TX_CONTROL_LANE4", 0x1202400, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D3F5_PCIE_TX_REQUEST_NUM_CNTL", 0x23, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"D3F4_PCIE_PORT_VC_CNTL", 0xa000047, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"D3F2_PCIE_LC_BEST_EQ_SETTINGS", 0xb9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"PSX80_BIF_PCIE_STRAP_I2C_BD", 0x14000c4, {
		{"STRAP_BIF_I2C_SLV_ADR", 0x7f, 0x0},
		{"STRAP_BIF_DBG_I2C_EN", 0x80, 0x7}
	} },
	{"D3F5_PCIE_ACS_CNTL", 0xb0000a9, {
		{"UPSTREAM_FORWARDING_EN", 0x100000, 0x14},
		{"SOURCE_VALIDATION_EN", 0x10000, 0x10},
		{"P2P_EGRESS_CONTROL_EN", 0x200000, 0x15},
		{"P2P_COMPLETION_REDIRECT_EN", 0x80000, 0x13},
		{"DIRECT_TRANSLATED_P2P_EN", 0x400000, 0x16},
		{"P2P_REQUEST_REDIRECT_EN", 0x40000, 0x12},
		{"TRANSLATION_BLOCKING_EN", 0x20000, 0x11}
	} },
	{"D2F3_PCIE_VENDOR_SPECIFIC_HDR", 0x4000041, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_CAP_LIST", 0xa000016, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F4_SLOT_CNTL2", 0xa000024, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"D3F1_LATENCY", 0x7000003, {
		{"LATENCY_TIMER", 0xff00, 0x8}
	} },
	{"PCIE_VENDOR_SPECIFIC2", 0x43, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"PCIE_VENDOR_SPECIFIC1", 0x42, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIEP_ERROR_INJECT_PHYSICAL", 0x83, {
		{"ERROR_INJECT_PL_BAD_SYNC_HEADER", 0xc00000, 0x16},
		{"ERROR_INJECT_PL_LOOPBACK_OFLOW", 0xc00, 0xa},
		{"ERROR_INJECT_PL_BAD_PARITY_IN_SKP", 0x30, 0x4},
		{"ERROR_INJECT_PL_8B10B_DISPARITY_ERR", 0xc000, 0xe},
		{"ERROR_INJECT_PL_LOOPBACK_UFLOW", 0x300, 0x8},
		{"ERROR_INJECT_PL_FRAMING_ERR", 0xc, 0x2},
		{"ERROR_INJECT_PL_BAD_LFSR_IN_SKP", 0xc0, 0x6},
		{"ERROR_INJECT_PL_LANE_ERR", 0x3, 0x0},
		{"ERROR_INJECT_PL_SKP_OS_ERROR", 0xc0000, 0x12},
		{"ERROR_INJECT_PL_INV_OS_IDENTIFIER", 0x300000, 0x14},
		{"ERROR_INJECT_PL_DESKEW_ERR", 0x3000, 0xc},
		{"ERROR_INJECT_PL_8B10B_DECODE_ERR", 0x30000, 0x10}
	} },
	{"D2F1_PCIE_LANE_ERROR_STATUS", 0x200009e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"D2F3_PCIE_TX_REQUEST_NUM_CNTL", 0x23, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"D3F5_LINK_STATUS2", 0xb000022, {
		{"LINK_EQUALIZATION_REQUEST", 0x200000, 0x15},
		{"CUR_DEEMPHASIS_LEVEL", 0x10000, 0x10},
		{"EQUALIZATION_COMPLETE", 0x20000, 0x11},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x80000, 0x13},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x100000, 0x14},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x40000, 0x12}
	} },
	{"BIF_CLK_PDWN_DELAY_TIMER", 0x1483, {
		{"TIMER", 0x3ff, 0x0}
	} },
	{"PCIE_BAR4_CAP", 0x87, {
		{"BAR_SIZE_SUPPORTED", 0xfffff0, 0x4}
	} },
	{"PSX81_PHY0_TX_DFX_LANE2", 0x1212201, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"D2F3_PREF_BASE_UPPER", 0x400000a, {
		{"PREF_BASE_UPPER", 0xffffffff, 0x0}
	} },
	{"PCIE_LANE_5_EQUALIZATION_CNTL", 0xa1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_PHY0_COM_COMMON_ADAPT_DBG_BYP_VAL", 0x120620e, {
		{"adapt_dbg_doff_byp_val", 0x1ff, 0x0},
		{"adapt_dbg_eoff_byp_val", 0x7fc00000, 0x16},
		{"adapt_dbg_xoff_byp_val", 0xff800, 0xb}
	} },
	{"DBG_BYPASS_SRBM_ACCESS", 0x14eb, {
		{"DBG_BYPASS_SRBM_ACCESS_EN", 0x1, 0x0},
		{"DBG_APER_AD", 0x1e, 0x1}
	} },
	{"D3F3_PCIE_MC_RCV0", 0x90000c0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_MC_RCV1", 0x90000c1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"BIF_VDDGFX_GFX0_UPPER", 0x1429, {
		{"VDDGFX_GFX0_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PCIE_PERF_CNTL_SLV_R_CLK", 0x140008a, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D2F4_IRQ_BRIDGE_CNTL", 0x500000f, {
		{"PARITY_RESPONSE_EN", 0x10000, 0x10},
		{"ISA_EN", 0x40000, 0x12},
		{"FAST_B2B_EN", 0x800000, 0x17},
		{"VGA_EN", 0x80000, 0x13},
		{"SERR_EN", 0x20000, 0x11},
		{"MASTER_ABORT_MODE", 0x200000, 0x15},
		{"VGA_DEC", 0x100000, 0x14},
		{"SECONDARY_BUS_RESET", 0x400000, 0x16}
	} },
	{"D2F2_LATENCY", 0x3000003, {
		{"LATENCY_TIMER", 0xff00, 0x8}
	} },
	{"PSX81_WRP_BIF_STRAP_PM", 0x151000b, {

	} },
	{"PSX81_PHY0_RX_RXTEST_REGS_LANE0", 0x1210004, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"PSX81_BIF_SWRST_COMMAND_STATUS", 0x1410100, {
		{"RESET_COMPLETE", 0x10000, 0x10},
		{"ATOMIC_RESET", 0x2, 0x1},
		{"RECONFIGURE", 0x1, 0x0},
		{"WAIT_STATE", 0x20000, 0x11}
	} },
	{"D2F5_PMI_CAP", 0x6000014, {
		{"DEV_SPECIFIC_INIT", 0x200000, 0x15},
		{"AUX_CURRENT", 0x1c00000, 0x16},
		{"VERSION", 0x70000, 0x10},
		{"D2_SUPPORT", 0x4000000, 0x1a},
		{"PME_SUPPORT", 0xf8000000, 0x1b},
		{"PME_CLOCK", 0x80000, 0x13},
		{"D1_SUPPORT", 0x2000000, 0x19}
	} },
	{"D3F3_PCIE_RX_VENDOR_SPECIFIC", 0x72, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"D2F5_PCIE_MC_ENH_CAP_LIST", 0x60000bc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_RX_RXTEST_REGS_LANE2", 0x1210204, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"D3F2_PCIE_UNCORR_ERR_MASK", 0x8000056, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"PCIE_WRAPPER0_C_PCIE_INDEX", 0x28, {

	} },
	{"D2F5_SUB_CLASS", 0x6000002, {
		{"SUB_CLASS", 0xff0000, 0x10}
	} },
	{"D3F1_MSI_MAP_ADDR_LO", 0x7000033, {
		{"MSI_MAP_ADDR_LO", 0xfff00000, 0x14}
	} },
	{"D3F2_PCIE_VC0_RESOURCE_STATUS", 0x800004a, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D2F3_LINK_CAP2", 0x4000021, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"D3F4_PCIE_VC0_RESOURCE_STATUS", 0xa00004a, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D2F5_PCIE_SECONDARY_ENH_CAP_LIST", 0x600009c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE6", 0x1212607, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"D2F1_PCIE_LC_BEST_EQ_SETTINGS", 0xb9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"D3F5_PCIE_LANE_4_EQUALIZATION_CNTL", 0xb0000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F4_PCIE_TX_CREDITS_ADVT_NP", 0x31, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"D3F1_PCIEP_STRAP_MISC", 0xc1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"D2F4_MSI_MSG_ADDR_LO", 0x5000029, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"GARLIC_COHE_CP_RB0_WPTR_IND", 0x1091415, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F4_PCIE_LC_FORCE_EQ_REQ_COEFF", 0xba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"PSX81_WRP_DTM_DENTIST_GATE_TIMING_DI_clk10x", 0x131ffe4, {
		{"DentistGate_startTime_DI_clk10x", 0xff, 0x0},
		{"DentistGate_dropoutTime_DI_clk10x", 0xff00, 0x8},
		{"DentistGate_stopTime_DI_clk10x", 0xff0000, 0x10}
	} },
	{"LINK_CAP", 0x19, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"PCIE_PERF_COUNT1_SLV_NS_C_CLK", 0x1400092, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_MC_ADDR1", 0x70000bf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIEP_HPGI", 0xda, {
		{"HPGI_REG_DEASSERT_TO_SCI_STATUS", 0x800, 0xb},
		{"REG_HPGI_PRESENCE_DETECT_STATE_CHANGE_EN", 0x10000, 0x10},
		{"REG_HPGI_ASSERT_TO_SCI_EN", 0x2, 0x1},
		{"REG_HPGI_DEASSERT_TO_SMI_EN", 0x4, 0x2},
		{"HPGI_REG_DEASSERT_TO_SMI_STATUS", 0x400, 0xa},
		{"REG_HPGI_HOOK", 0x80, 0x7},
		{"HPGI_REG_ASSERT_TO_SMI_STATUS", 0x100, 0x8},
		{"REG_HPGI_ASSERT_TO_SMI_EN", 0x1, 0x0},
		{"REG_HPGI_DEASSERT_TO_SCI_EN", 0x8, 0x3},
		{"HPGI_REG_ASSERT_TO_SCI_STATUS", 0x200, 0x9},
		{"HPGI_REG_PRESENCE_DETECT_STATE_CHANGE_STATUS", 0x8000, 0xf}
	} },
	{"PSX81_WRP_BIF_STRAP_ASPM_B", 0x1510902, {
		{"STRAP_BIF_L0S_EXIT_LATENCY", 0x380000, 0x13},
		{"STRAP_BIF_L1_EXIT_LATENCY", 0x70000, 0x10},
		{"STRAP_BIF_PM_SUPPORT", 0xc000, 0xe},
		{"STRAP_ENABLE_SIGNAL_EXIT_L1", 0x400000, 0x16}
	} },
	{"PSX81_WRP_BIF_STRAP_ASPM_C", 0x1510a02, {
		{"STRAP_BIF_L0S_EXIT_LATENCY", 0x380000, 0x13},
		{"STRAP_BIF_L1_EXIT_LATENCY", 0x70000, 0x10},
		{"STRAP_BIF_PM_SUPPORT", 0xc000, 0xe},
		{"STRAP_ENABLE_SIGNAL_EXIT_L1", 0x400000, 0x16}
	} },
	{"D2F1_PREF_LIMIT_UPPER", 0x200000b, {
		{"PREF_LIMIT_UPPER", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_BIF_STRAP_ASPM_D", 0x1510b02, {
		{"STRAP_BIF_L0S_EXIT_LATENCY", 0x380000, 0x13},
		{"STRAP_BIF_L1_EXIT_LATENCY", 0x70000, 0x10},
		{"STRAP_BIF_PM_SUPPORT", 0xc000, 0xe},
		{"STRAP_ENABLE_SIGNAL_EXIT_L1", 0x400000, 0x16}
	} },
	{"PSX81_WRP_BIF_STRAP_ASPM_E", 0x1510c02, {
		{"STRAP_BIF_L0S_EXIT_LATENCY", 0x380000, 0x13},
		{"STRAP_BIF_L1_EXIT_LATENCY", 0x70000, 0x10},
		{"STRAP_BIF_PM_SUPPORT", 0xc000, 0xe},
		{"STRAP_ENABLE_SIGNAL_EXIT_L1", 0x400000, 0x16}
	} },
	{"GARLIC_COHE_CP_DMA_PFP_COMMAND_IND", 0x109141c, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PCIE_LC_CDR_CNTL", 0x100100b3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"D3F2_ROOT_STATUS", 0x800001e, {
		{"PME_REQUESTOR_ID", 0xffff, 0x0},
		{"PME_PENDING", 0x20000, 0x11},
		{"PME_STATUS", 0x10000, 0x10}
	} },
	{"BIF_MM_INDACCESS_CNTL", 0x1500, {
		{"MM_INDACCESS_DIS", 0x2, 0x1}
	} },
	{"PSX81_PHY0_RX_ELECIDLE_DEBUG_LANE1", 0x1210105, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"D3F5_PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0xb000054, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"LATENCY", 0x3, {
		{"LATENCY_TIMER", 0xff, 0x0}
	} },
	{"PCIE_INDEX_2", 0xc, {
		{"PCIE_INDEX", 0xffffffff, 0x0}
	} },
	{"GARLIC_COHE_UVD_RBC_RB_WPTR", 0x1418, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"BASE_ADDR_4", 0x7, {
		{"BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"SUB_CLASS", 0x2, {
		{"SUB_CLASS", 0xff, 0x0}
	} },
	{"BASE_ADDR_6", 0x9, {
		{"BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"BASE_ADDR_1", 0x4, {
		{"BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_TX_CONTROL_LANE6", 0x1202600, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"BASE_ADDR_3", 0x6, {
		{"BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"BASE_ADDR_2", 0x5, {
		{"BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_COM_COMMON_LANE_PWRMGMT", 0x1216209, {
		{"pgmask", 0x3f0, 0x4},
		{"pgdelay", 0xf, 0x0}
	} },
	{"D2F1_PCIE_MC_CNTL", 0x20000bd, {
		{"MC_NUM_GROUP", 0x3f0000, 0x10},
		{"MC_ENABLE", 0x80000000, 0x1f}
	} },
	{"D3F2_PCIE_LANE_0_EQUALIZATION_CNTL", 0x800009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"BIF_RFE_SOFTRST_CNTL", 0x1441, {
		{"REG_RST_rstTimer", 0xffff, 0x0},
		{"SoftRstReg", 0x80000000, 0x1f},
		{"REG_RST_softRstPropEn", 0x40000000, 0x1e}
	} },
	{"D3F4_EXT_BRIDGE_CNTL", 0xa000010, {
		{"IO_PORT_80_EN", 0x1, 0x0}
	} },
	{"D3F5_SUB_CLASS", 0xb000002, {
		{"SUB_CLASS", 0xff0000, 0x10}
	} },
	{"D3F2_PCIE_SECONDARY_ENH_CAP_LIST", 0x800009c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_TX_REQUESTER_ID", 0x21, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_1", 0x14100d1, {
		{"PRBS_ERRCNT_1", 0xffffffff, 0x0}
	} },
	{"PCIE_UNCORR_ERR_STATUS", 0x55, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_TX_CONTROL_LANE2", 0x1202200, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D2F2_PCIE_LC_TRAINING_CNTL", 0xa1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_WAIT_FOR_SETS_IN_RCFG", 0x4000, 0xe},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_HOT_RESET_QUICK_EXIT_EN", 0x8000, 0xf},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_TX_CONTROL_LANE3", 0x1202300, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D3F2_PCIE_LANE_13_EQUALIZATION_CNTL", 0x80000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_WRP_BIF_STRAP_ID", 0x1500006, {

	} },
	{"D2F5_PCIE_MC_OVERLAY_BAR0", 0x60000c6, {
		{"MC_OVERLAY_SIZE", 0x3f, 0x0},
		{"MC_OVERLAY_BAR_0", 0xffffffc0, 0x6}
	} },
	{"D2F5_PCIE_MC_OVERLAY_BAR1", 0x60000c7, {
		{"MC_OVERLAY_BAR_1", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_LC_CNTL3", 0xb5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"PSX80_WRP_BIF_SERIAL_NUM", 0x1500045, {

	} },
	{"D2F1_PCIE_TX_SEQ", 0x24, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"BIF_BACO_MSIC", 0x1480, {
		{"ACPI_BACO_MUX_DIS", 0x10, 0x4},
		{"BACO_LINK_RST_SEL", 0x6, 0x1},
		{"BIF_XTALIN_SEL", 0x1, 0x0}
	} },
	{"D3F1_ROOT_CAP", 0x700001d, {
		{"CRS_SOFTWARE_VISIBILITY", 0x10000, 0x10}
	} },
	{"PCIE_FC_CPL", 0x10010062, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"GARLIC_FLUSH_ADDR_END_5", 0x140d, {
		{"ADDR_END", 0xfffffffc, 0x2}
	} },
	{"GARLIC_FLUSH_ADDR_END_4", 0x140b, {
		{"ADDR_END", 0xfffffffc, 0x2}
	} },
	{"GARLIC_FLUSH_ADDR_END_7", 0x1411, {
		{"ADDR_END", 0xfffffffc, 0x2}
	} },
	{"GARLIC_FLUSH_ADDR_END_6", 0x140f, {
		{"ADDR_END", 0xfffffffc, 0x2}
	} },
	{"GARLIC_FLUSH_ADDR_END_1", 0x1405, {
		{"ADDR_END", 0xfffffffc, 0x2}
	} },
	{"GARLIC_FLUSH_ADDR_END_0", 0x1403, {
		{"ADDR_END", 0xfffffffc, 0x2}
	} },
	{"GARLIC_FLUSH_ADDR_END_3", 0x1409, {
		{"ADDR_END", 0xfffffffc, 0x2}
	} },
	{"GARLIC_FLUSH_ADDR_END_2", 0x1407, {
		{"ADDR_END", 0xfffffffc, 0x2}
	} },
	{"D3F4_DEVICE_CAP", 0xa000017, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"D3F5_PCIE_MC_RCV0", 0xb0000c0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_MC_RCV1", 0xb0000c1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_MC_OVERLAY_BAR1", 0x50000c7, {
		{"MC_OVERLAY_BAR_1", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_MC_OVERLAY_BAR0", 0x50000c6, {
		{"MC_OVERLAY_SIZE", 0x3f, 0x0},
		{"MC_OVERLAY_BAR_0", 0xffffffc0, 0x6}
	} },
	{"D2F4_PCIE_CORR_ERR_MASK", 0x5000059, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"D2F5_PCIEP_ERROR_INJECT_TRANSACTION", 0x84, {
		{"ERROR_INJECT_TL_MALFORMED_TLP", 0x3000, 0xc},
		{"ERROR_INJECT_TL_UNSUPPORTED_REQ", 0x300, 0x8},
		{"ERROR_INJECT_TL_COMPLETER_ABORT", 0x30000, 0x10},
		{"ERROR_INJECT_TL_BAD_TLP", 0xc0, 0x6},
		{"ERROR_INJECT_TL_UNEXPECTED_CMPLT", 0xc000, 0xe},
		{"ERROR_INJECT_TL_REPLAY_NUM_ROLLOVER", 0xc, 0x2},
		{"ERROR_INJECT_TL_COMPLETION_TIMEOUT", 0xc0000, 0x12},
		{"ERROR_INJECT_TL_ECRC_ERROR", 0xc00, 0xa},
		{"ERROR_INJECT_TL_BAD_DLLP", 0x30, 0x4},
		{"ERROR_INJECT_TL_FLOW_CTL_ERR", 0x3, 0x0}
	} },
	{"PCIE_VC0_RESOURCE_STATUS", 0x4a, {
		{"PORT_ARB_TABLE_STATUS", 0x1, 0x0},
		{"VC_NEGOTIATION_PENDING", 0x2, 0x1}
	} },
	{"PSX80_PHY0_RX_ADAPTDBG1_BROADCAST", 0x120fe0e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"D2F4_MSI_MAP_CAP_LIST", 0x5000032, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F5_PCIE_LANE_10_EQUALIZATION_CNTL", 0x60000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F1_BASE_CLASS", 0x2000002, {
		{"BASE_CLASS", 0xff000000, 0x18}
	} },
	{"PSX81_BIF_PCIE_BUS_CNTL", 0x1410021, {
		{"IMMEDIATE_PMI_DIS", 0x80, 0x7},
		{"TRUE_PM_STATUS_EN", 0x1000, 0xc},
		{"PMI_INT_DIS", 0x40, 0x6}
	} },
	{"D2F2_PCIEP_ERROR_INJECT_TRANSACTION", 0x84, {
		{"ERROR_INJECT_TL_MALFORMED_TLP", 0x3000, 0xc},
		{"ERROR_INJECT_TL_UNSUPPORTED_REQ", 0x300, 0x8},
		{"ERROR_INJECT_TL_COMPLETER_ABORT", 0x30000, 0x10},
		{"ERROR_INJECT_TL_BAD_TLP", 0xc0, 0x6},
		{"ERROR_INJECT_TL_UNEXPECTED_CMPLT", 0xc000, 0xe},
		{"ERROR_INJECT_TL_REPLAY_NUM_ROLLOVER", 0xc, 0x2},
		{"ERROR_INJECT_TL_COMPLETION_TIMEOUT", 0xc0000, 0x12},
		{"ERROR_INJECT_TL_ECRC_ERROR", 0xc00, 0xa},
		{"ERROR_INJECT_TL_BAD_DLLP", 0x30, 0x4},
		{"ERROR_INJECT_TL_FLOW_CTL_ERR", 0x3, 0x0}
	} },
	{"PSX80_PHY0_COM_COMMON_ADAPT_CFG_BYP_VAL", 0x120620c, {
		{"adapt_cfg_gen3_leq_dcattn_byp_val", 0x7c0, 0x6},
		{"adapt_cfg_gen12_leq_dcattn_byp_val", 0x1f, 0x0},
		{"adapt_cfg_gen3_leq_pole_byp_val", 0xe0000, 0x11},
		{"adapt_cfg_gen12_leq_pole_byp_val", 0xe000, 0xd},
		{"adapt_cfg_gen12_dfe_tp1_byp_val", 0xfc00000, 0x16}
	} },
	{"PCIE_VENDOR_SPECIFIC_HDR", 0x41, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_TX_TSTMARGDEEMPH_LANE5", 0x1212503, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"BIF_BUSNUM_CNTL1", 0x1525, {
		{"ID_MASK", 0xff, 0x0}
	} },
	{"BIF_BUSNUM_CNTL2", 0x152b, {
		{"AUTOUPDATE_EN", 0x100, 0x8},
		{"ERROR_MULTIPLE_ID_MATCH", 0x20000, 0x11},
		{"AUTOUPDATE_SEL", 0xff, 0x0},
		{"HDPREG_CNTL", 0x10000, 0x10}
	} },
	{"D3F3_PCIE_TX_CREDITS_ADVT_NP", 0x31, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"PSX80_PHY0_TX_DEEMPH_BROADCAST", 0x120ff02, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PSX81_PHY0_TX_TSTMARGDEEMPH_LANE0", 0x1212003, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"D2F4_PCIE_ADV_ERR_CAP_CNTL", 0x500005a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"PSX81_PHY0_TX_TSTMARGDEEMPH_LANE2", 0x1212203, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"PSX81_WRP_BIF_STRAP_LC_MISC_CORE", 0x1510003, {
		{"STRAP_BIF_ECRC_CHECK_EN", 0x4000, 0xe},
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x18000, 0xf},
		{"STRAP_BIF_ECRC_GEN_EN", 0x2000, 0xd},
		{"STRAP_BIF_FORCE_GEN3_MODE", 0x400, 0xa},
		{"STRAP_BIF_GEN3_COMPLIANCE", 0x800, 0xb}
	} },
	{"D2F1_HEADER", 0x2000003, {
		{"HEADER_TYPE", 0x7f0000, 0x10},
		{"DEVICE_TYPE", 0x800000, 0x17}
	} },
	{"D3F1_PCIE_TX_SEQ", 0x24, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"D3F4_PCIE_TX_CNTL", 0x20, {
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"D3F5_PCIE_TX_CREDITS_ADVT_CPL", 0x32, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"PSX81_BIF_PCIE_P_BUF_STATUS", 0x1410041, {
		{"P_UNDERFLOW_ERR", 0xffff0000, 0x10},
		{"P_OVERFLOW_ERR", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_LC_LANE_CNTL", 0xb4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"PCIE_PORT_VC_CAP_REG1", 0x45, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"PCIE_PORT_VC_CAP_REG2", 0x46, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"D3F3_MSI_CAP_LIST", 0x9000028, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_CNTL_SLV_R_CLK", 0x140008a, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D2F1_PCIE_TX_CREDITS_INIT_P", 0x33, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"D2F3_PCIE_VENDOR_SPECIFIC2", 0x4000043, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_VENDOR_SPECIFIC1", 0x4000042, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"BIF_DEVFUNCNUM_LIST1_IND", 0x10914e7, {
		{"DEVFUNC_ID4", 0xff, 0x0},
		{"DEVFUNC_ID5", 0xff00, 0x8},
		{"DEVFUNC_ID6", 0xff0000, 0x10},
		{"DEVFUNC_ID7", 0xff000000, 0x18}
	} },
	{"D3F5_MSI_MSG_CNTL", 0xb000028, {
		{"MSI_MULTI_EN", 0x700000, 0x14},
		{"MSI_MULTI_CAP", 0xe0000, 0x11},
		{"MSI_PERVECTOR_MASKING_CAP", 0x1000000, 0x18},
		{"MSI_64BIT", 0x800000, 0x17},
		{"MSI_EN", 0x10000, 0x10}
	} },
	{"D3F1_PCIE_MC_CNTL", 0x70000bd, {
		{"MC_NUM_GROUP", 0x3f0000, 0x10},
		{"MC_ENABLE", 0x80000000, 0x1f}
	} },
	{"D3F3_IRQ_BRIDGE_CNTL", 0x900000f, {
		{"PARITY_RESPONSE_EN", 0x10000, 0x10},
		{"ISA_EN", 0x40000, 0x12},
		{"FAST_B2B_EN", 0x800000, 0x17},
		{"VGA_EN", 0x80000, 0x13},
		{"SERR_EN", 0x20000, 0x11},
		{"MASTER_ABORT_MODE", 0x200000, 0x15},
		{"VGA_DEC", 0x100000, 0x14},
		{"SECONDARY_BUS_RESET", 0x400000, 0x16}
	} },
	{"D2F2_PCIE_RX_VENDOR_SPECIFIC", 0x72, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"D3F4_REVISION_ID", 0xa000002, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"BIF_CLK_PDWN_DELAY_TIMER_IND", 0x1301483, {
		{"TIMER", 0x3ff, 0x0}
	} },
	{"PSX81_PHY0_TX_DEEMPH_LANE0", 0x1212002, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PCIE_MC_BLOCK_ALL0", 0xc2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"PCIE_MC_BLOCK_ALL1", 0xc3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_RX_DBG_BYP_EN_BROADCAST", 0x120fe0d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"D2F2_PCIE_UNCORR_ERR_SEVERITY", 0x3000057, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"D2F4_SLOT_STATUS", 0x500001c, {
		{"PRESENCE_DETECT_STATE", 0x400000, 0x16},
		{"DL_STATE_CHANGED", 0x1000000, 0x18},
		{"MRL_SENSOR_CHANGED", 0x40000, 0x12},
		{"ELECTROMECH_INTERLOCK_STATUS", 0x800000, 0x17},
		{"ATTN_BUTTON_PRESSED", 0x10000, 0x10},
		{"MRL_SENSOR_STATE", 0x200000, 0x15},
		{"PWR_FAULT_DETECTED", 0x20000, 0x11},
		{"COMMAND_COMPLETED", 0x100000, 0x14},
		{"PRESENCE_DETECT_CHANGED", 0x80000, 0x13}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT0_SLV_NS_C_CLK", 0x1400091, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_RX_RX_CTL_BROADCAST", 0x120fe02, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE2", 0x1210201, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"D3F2_LINK_STATUS", 0x800001a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x80000000, 0x1f},
		{"DL_ACTIVE", 0x20000000, 0x1d},
		{"SLOT_CLOCK_CFG", 0x10000000, 0x1c},
		{"LINK_TRAINING", 0x8000000, 0x1b},
		{"LINK_BW_MANAGEMENT_STATUS", 0x40000000, 0x1e},
		{"CURRENT_LINK_SPEED", 0xf0000, 0x10},
		{"NEGOTIATED_LINK_WIDTH", 0x3f00000, 0x14}
	} },
	{"D2F5_PCIE_MC_BLOCK_UNTRANSLATED_0", 0x60000c4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_MC_BLOCK_UNTRANSLATED_1", 0x60000c5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_RX_CREDITS_ALLOCATED_CPL", 0x82, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"PSX81_BIF_PCIE_STRAP_MISC", 0x14100c0, {
		{"STRAP_ECN1P1_EN", 0x2000000, 0x19},
		{"STRAP_MST_ADR64_EN", 0x20000000, 0x1d},
		{"STRAP_INTERNAL_ERR_EN", 0x80000000, 0x1f},
		{"STRAP_CLK_PM_EN", 0x1000000, 0x18},
		{"STRAP_EXT_VC_COUNT", 0x4000000, 0x1a},
		{"STRAP_FLR_EN", 0x40000000, 0x1e},
		{"STRAP_TL_ALT_BUF_EN", 0x10, 0x4},
		{"STRAP_REVERSE_ALL", 0x10000000, 0x1c}
	} },
	{"D3F4_PCIE_MC_RCV1", 0xa0000c1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_MC_RCV0", 0xa0000c0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"D2F4_EXT_BRIDGE_CNTL", 0x5000010, {
		{"IO_PORT_80_EN", 0x1, 0x0}
	} },
	{"PEER0_FB_OFFSET_LO_IND", 0x10914f2, {
		{"PEER0_FB_EN", 0x80000000, 0x1f},
		{"PEER0_FB_OFFSET_LO", 0xfffff, 0x0}
	} },
	{"D3F3_PCIE_LANE_4_EQUALIZATION_CNTL", 0x90000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F4_ROOT_CAP", 0x500001d, {
		{"CRS_SOFTWARE_VISIBILITY", 0x10000, 0x10}
	} },
	{"D2F4_LINK_STATUS", 0x500001a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x80000000, 0x1f},
		{"DL_ACTIVE", 0x20000000, 0x1d},
		{"SLOT_CLOCK_CFG", 0x10000000, 0x1c},
		{"LINK_TRAINING", 0x8000000, 0x1b},
		{"LINK_BW_MANAGEMENT_STATUS", 0x40000000, 0x1e},
		{"CURRENT_LINK_SPEED", 0xf0000, 0x10},
		{"NEGOTIATED_LINK_WIDTH", 0x3f00000, 0x14}
	} },
	{"PSX80_BIF_PCIE_LC_STATUS2", 0x1400029, {
		{"LC_TURN_ON_LANE", 0xffff0000, 0x10},
		{"LC_TOTAL_INACTIVE_LANES", 0xffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_LC_STATUS1", 0x1400028, {
		{"LC_REVERSE_RCVR", 0x1, 0x0},
		{"LC_DETECTED_LINK_WIDTH", 0xe0, 0x5},
		{"LC_OPERATING_LINK_WIDTH", 0x1c, 0x2},
		{"LC_REVERSE_XMIT", 0x2, 0x1}
	} },
	{"PSX81_WRP_CFG_LNC_WINDOW", 0x1518031, {
		{"CFG_LNC_WINDOW0", 0xffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_8", 0x14000d8, {
		{"PRBS_ERRCNT_8", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_LANE_10_EQUALIZATION_CNTL", 0xa0000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F5_LATENCY", 0x6000003, {
		{"LATENCY_TIMER", 0xff00, 0x8}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_3", 0x14000d3, {
		{"PRBS_ERRCNT_3", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_2", 0x14000d2, {
		{"PRBS_ERRCNT_2", 0xffffffff, 0x0}
	} },
	{"MSI_MSG_ADDR_LO", 0x29, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"D2F4_PCIE_LC_CDR_CNTL", 0xb3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"D3F1_PCIE_ACS_ENH_CAP_LIST", 0x70000a8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_MC_OVERLAY_BAR1", 0xa0000c7, {
		{"MC_OVERLAY_BAR_1", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_DTM_DENTIST_GATE_TIMING_FI_clk10x", 0x131ffe6, {
		{"DentistGate_stopTime_FI_clk10x", 0xff0000, 0x10},
		{"DentistGate_dropoutTime_FI_clk10x", 0xff00, 0x8},
		{"DentistGate_startTime_FI_clk10x", 0xff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_4", 0x14000d4, {
		{"PRBS_ERRCNT_4", 0xffffffff, 0x0}
	} },
	{"D3F4_SUB_BUS_NUMBER_LATENCY", 0xa000006, {
		{"SECONDARY_BUS", 0xff00, 0x8},
		{"PRIMARY_BUS", 0xff, 0x0},
		{"SUB_BUS_NUM", 0xff0000, 0x10},
		{"SECONDARY_LATENCY_TIMER", 0xff000000, 0x18}
	} },
	{"D2F2_PCIE_MC_ADDR1", 0x30000bf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_VENDOR_SPECIFIC_HDR", 0x3000041, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"D2F3_PCIE_CORR_ERR_STATUS", 0x4000058, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"D2F2_PCIE_MC_ADDR0", 0x30000be, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"D2F3_PCIE_VC1_RESOURCE_CNTL", 0x400004c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D2F2_PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0x3000054, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F3_PCIE_FC_P", 0x60, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"PSX80_PHY0_RX_ELECIDLE_DEBUG_BROADCAST", 0x120fe05, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"D3F1_PCIE_RX_EXPECTED_SEQNUM", 0x71, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"D2F1_SLOT_CNTL2", 0x2000024, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"D2F1_PCIE_LANE_0_EQUALIZATION_CNTL", 0x200009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_BIF_PCIE_PERF_CNTL_TXCLK", 0x1410081, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D3F1_PCIE_LANE_3_EQUALIZATION_CNTL", 0x70000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_WRP_LNC_BW_WACC", 0x1508035, {
		{"LNC_BW_WACC", 0xffffffff, 0x0}
	} },
	{"D3F3_PREF_BASE_LIMIT", 0x9000009, {
		{"PREF_MEM_BASE_31_20", 0xfff0, 0x4},
		{"PREF_MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"PREF_MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"PREF_MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D2F5_SSID_CAP", 0x6000031, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"PSX80_PIF0_LANE2_OVRD2", 0x1100019, {
		{"REQUESTTRK_2", 0x400000, 0x16},
		{"TWOSYMENABLE_2", 0x80, 0x7},
		{"COEFFICIENT_2", 0xfc000000, 0x1a},
		{"RXPWR_2", 0xe000, 0xd},
		{"FREQDIV_2", 0x18, 0x3},
		{"ELECIDLEDETEN_2", 0x40000, 0x12},
		{"GANGMODE_2", 0x7, 0x0},
		{"REQUESTTRN_2", 0x800000, 0x17},
		{"LINKSPEED_2", 0x60, 0x5},
		{"RESPONSEMODE_2", 0x200000, 0x15},
		{"TXPGENABLE_2", 0x1800, 0xb},
		{"RXPGENABLE_2", 0x30000, 0x10},
		{"REQUESTFOM_2", 0x100000, 0x14},
		{"ENABLEFOM_2", 0x80000, 0x13},
		{"COEFFICIENTID_2", 0x3000000, 0x18},
		{"TXPWR_2", 0x700, 0x8}
	} },
	{"D3F4_INTERRUPT_LINE", 0xa00000f, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"D3F2_PCIEP_HW_DEBUG", 0x2, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D2F3_INTERRUPT_PIN", 0x400000f, {
		{"INTERRUPT_PIN", 0xff00, 0x8}
	} },
	{"PCIE_MC_ADDR1", 0xbf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"PCIE_MC_ADDR0", 0xbe, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_SPEED_PORT_B", 0x1510901, {
		{"STRAP_BIF_LC_EQ_FS", 0x3f0000, 0x10},
		{"STRAP_BIF_LC_BYPASS_EQ_REQ_PHASE", 0x100, 0x8},
		{"STRAP_BIF_LC_EQ_LF", 0x3f000000, 0x18},
		{"STRAP_BIF_LC_BYPASS_EQ", 0x80, 0x7},
		{"STRAP_BIF_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x4, 0x2},
		{"STRAP_BIF_LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x40, 0x6},
		{"STRAP_BIF_TARGET_LINK_SPEED", 0x3000, 0xc},
		{"STRAP_BIF_LC_EQ_SEARCH_MODE", 0x600, 0x9}
	} },
	{"D2F4_PCIE_LANE_ERROR_STATUS", 0x500009e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_TX_TXCNTRL_LANE6", 0x1212606, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_SPEED_PORT_A", 0x1510801, {
		{"STRAP_BIF_LC_EQ_FS", 0x3f0000, 0x10},
		{"STRAP_BIF_LC_BYPASS_EQ_REQ_PHASE", 0x100, 0x8},
		{"STRAP_BIF_LC_EQ_LF", 0x3f000000, 0x18},
		{"STRAP_BIF_LC_BYPASS_EQ", 0x80, 0x7},
		{"STRAP_BIF_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x4, 0x2},
		{"STRAP_BIF_LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x40, 0x6},
		{"STRAP_BIF_TARGET_LINK_SPEED", 0x3000, 0xc},
		{"STRAP_BIF_LC_EQ_SEARCH_MODE", 0x600, 0x9}
	} },
	{"D3F4_PREF_BASE_LIMIT", 0xa000009, {
		{"PREF_MEM_BASE_31_20", 0xfff0, 0x4},
		{"PREF_MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"PREF_MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"PREF_MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D3F1_PCIE_HDR_LOG3", 0x700005e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_ACS_CNTL", 0x50000a9, {
		{"UPSTREAM_FORWARDING_EN", 0x100000, 0x14},
		{"SOURCE_VALIDATION_EN", 0x10000, 0x10},
		{"P2P_EGRESS_CONTROL_EN", 0x200000, 0x15},
		{"P2P_COMPLETION_REDIRECT_EN", 0x80000, 0x13},
		{"DIRECT_TRANSLATED_P2P_EN", 0x400000, 0x16},
		{"P2P_REQUEST_REDIRECT_EN", 0x40000, 0x12},
		{"TRANSLATION_BLOCKING_EN", 0x20000, 0x11}
	} },
	{"D3F4_PCIEP_HPGI_PRIVATE", 0xd2, {
		{"PRESENCE_DETECT_STATE_PRIVATE", 0x40, 0x6},
		{"PRESENCE_DETECT_CHANGED_PRIVATE", 0x8, 0x3}
	} },
	{"MSI_MSG_CNTL", 0x28, {
		{"MSI_MULTI_EN", 0x70, 0x4},
		{"MSI_MULTI_CAP", 0xe, 0x1},
		{"MSI_64BIT", 0x80, 0x7},
		{"MSI_EN", 0x1, 0x0}
	} },
	{"PCIE_ACS_CNTL", 0xa9, {
		{"UPSTREAM_FORWARDING_EN", 0x10, 0x4},
		{"SOURCE_VALIDATION_EN", 0x1, 0x0},
		{"P2P_EGRESS_CONTROL_EN", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT_EN", 0x8, 0x3},
		{"DIRECT_TRANSLATED_P2P_EN", 0x40, 0x6},
		{"P2P_REQUEST_REDIRECT_EN", 0x4, 0x2},
		{"TRANSLATION_BLOCKING_EN", 0x2, 0x1}
	} },
	{"D3F4_PCIEP_PORT_CNTL", 0x10, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_RX_CONTROL_LANE6", 0x1200600, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_RX_CONTROL_LANE7", 0x1200700, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_RX_CONTROL_LANE0", 0x1200000, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_RX_CONTROL_LANE1", 0x1200100, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D3F2_PCIEP_RESERVED", 0x0, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT0_SLV_R_CLK", 0x140008b, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PERF_CNTL_TXCLK2", 0x1410095, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"PSX80_PIF0_LANE1_OVRD", 0x1100016, {
		{"RXPGENABLE_OVRD_EN_1", 0x80, 0x7},
		{"REQUESTTRK_OVRD_EN_1", 0x1000, 0xc},
		{"LINKSPEED_OVRD_EN_1", 0x4, 0x2},
		{"REQUESTFOM_OVRD_EN_1", 0x400, 0xa},
		{"CDREN_OVRD_VAL_1", 0x20000, 0x11},
		{"REQUESTTRN_OVRD_EN_1", 0x2000, 0xd},
		{"RESPONSEMODE_OVRD_EN_1", 0x800, 0xb},
		{"GANGMODE_OVRD_EN_1", 0x1, 0x0},
		{"TXPWR_OVRD_EN_1", 0x10, 0x4},
		{"FREQDIV_OVRD_EN_1", 0x2, 0x1},
		{"COEFFICIENTID_OVRD_EN_1", 0x4000, 0xe},
		{"TWOSYMENABLE_OVRD_EN_1", 0x8, 0x3},
		{"RXPWR_OVRD_EN_1", 0x40, 0x6},
		{"CDREN_OVRD_EN_1", 0x10000, 0x10},
		{"ELECIDLEDETEN_OVRD_EN_1", 0x100, 0x8},
		{"COEFFICIENT_OVRD_EN_1", 0x8000, 0xf},
		{"ENABLEFOM_OVRD_EN_1", 0x200, 0x9},
		{"TXPGENABLE_OVRD_EN_1", 0x20, 0x5}
	} },
	{"D3F5_PCIEP_HPGI_PRIVATE", 0xd2, {
		{"PRESENCE_DETECT_STATE_PRIVATE", 0x40, 0x6},
		{"PRESENCE_DETECT_CHANGED_PRIVATE", 0x8, 0x3}
	} },
	{"D2F3_PCIE_TX_CREDITS_INIT_P", 0x33, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"D2F5_PCIE_DEV_SERIAL_NUM_DW2", 0x6000052, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_PORT_INDEX", 0x2000038, {
		{"PCIE_INDEX", 0xff, 0x0}
	} },
	{"PSX80_PHY0_RX_ADAPTCTL_LANE6", 0x120060a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"GARLIC_COHE_CP_DMA_PIO_COMMAND_IND", 0x1091424, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PCIE_SCRATCH", 0x1400001, {
		{"PCIE_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_TX_ACK_LATENCY_LIMIT", 0x26, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"D3F5_PCIE_LC_CNTL3", 0xb5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"D3F5_PCIE_LC_CNTL4", 0xb6, {
		{"LC_DIS_CONTIG_END_SET_CHECK", 0x4, 0x2},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_DIS_ASPM_L1_IN_SPEED_CHANGE", 0x8, 0x3}
	} },
	{"D3F5_PCIE_LC_CNTL5", 0xb7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_DSC_EQ_FS_LF_INVALID_TO_PRESETS", 0x1000000, 0x18},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"D3F5_PCIE_LC_CNTL6", 0xbb, {
		{"LC_SPC_MODE_8GT", 0x10, 0x4},
		{"LC_SPC_MODE_5GT", 0x4, 0x2},
		{"LC_SPC_MODE_2P5GT", 0x1, 0x0}
	} },
	{"D2F1_PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0x2000054, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT1_MST_C_CLK", 0x1410089, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D3F5_REVISION_ID", 0xb000002, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"PSX80_WRP_PCIE_EFUSE3", 0x150fff2, {
		{"PCIE_EFUSE3", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_COM_COMMON_CDR_FRCTL", 0x1216215, {
		{"cdr_fr_limit", 0xc00000, 0x16},
		{"cdr_fr_gain_gen12", 0x3c, 0x2},
		{"cdr_fr_gain_gen3", 0x780, 0x7},
		{"cdr_fr_byp_val", 0x1ff000, 0xc},
		{"cdr_fr_en", 0x1, 0x0}
	} },
	{"D2F1_DEVICE_STATUS2", 0x2000020, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"PSX80_BIF_PCIE_TX_LAST_TLP3", 0x1400038, {
		{"TX_LAST_TLP3", 0xffffffff, 0x0}
	} },
	{"D3F3_CACHE_LINE", 0x9000003, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"PCIE_BAR4_CNTL", 0x88, {
		{"BAR_TOTAL_NUM", 0xe0, 0x5},
		{"BAR_SIZE", 0x1f00, 0x8},
		{"BAR_INDEX", 0x7, 0x0}
	} },
	{"D2F1_PCIE_CAP", 0x2000016, {
		{"SLOT_IMPLEMENTED", 0x1000000, 0x18},
		{"VERSION", 0xf0000, 0x10},
		{"DEVICE_TYPE", 0xf00000, 0x14},
		{"INT_MESSAGE_NUM", 0x3e000000, 0x19}
	} },
	{"NB_GBIF_DATA", 0x35, {
		{"NB_GBIF_DATA", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_VENDOR_SPECIFIC_HDR", 0xa000041, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"D3F3_MSI_MSG_DATA_64", 0x900002b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"D2F2_PCIE_PORT_VC_CAP_REG1", 0x3000045, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"D2F2_PCIE_PORT_VC_CAP_REG2", 0x3000046, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"D3F2_PCIE_LC_CNTL6", 0xbb, {
		{"LC_SPC_MODE_8GT", 0x10, 0x4},
		{"LC_SPC_MODE_5GT", 0x4, 0x2},
		{"LC_SPC_MODE_2P5GT", 0x1, 0x0}
	} },
	{"D3F2_PCIE_LC_CNTL5", 0xb7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_DSC_EQ_FS_LF_INVALID_TO_PRESETS", 0x1000000, 0x18},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"D3F2_PCIE_TX_CNTL", 0x20, {
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"D3F2_PCIE_LC_CNTL3", 0xb5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"D3F2_PCIE_LC_CNTL2", 0xb1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"D2F3_SLOT_STATUS", 0x400001c, {
		{"PRESENCE_DETECT_STATE", 0x400000, 0x16},
		{"DL_STATE_CHANGED", 0x1000000, 0x18},
		{"MRL_SENSOR_CHANGED", 0x40000, 0x12},
		{"ELECTROMECH_INTERLOCK_STATUS", 0x800000, 0x17},
		{"ATTN_BUTTON_PRESSED", 0x10000, 0x10},
		{"MRL_SENSOR_STATE", 0x200000, 0x15},
		{"PWR_FAULT_DETECTED", 0x20000, 0x11},
		{"COMMAND_COMPLETED", 0x100000, 0x14},
		{"PRESENCE_DETECT_CHANGED", 0x80000, 0x13}
	} },
	{"D2F5_LINK_CNTL2", 0x6000022, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"D2F5_IO_BASE_LIMIT_HI", 0x600000c, {
		{"IO_LIMIT_31_16", 0xffff0000, 0x10},
		{"IO_BASE_31_16", 0xffff, 0x0}
	} },
	{"D2F4_PCIE_VENDOR_SPECIFIC_HDR", 0x5000041, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"D2F2_PCIE_UNCORR_ERR_MASK", 0x3000056, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"BIF_RFE_MST_FBU_CMDSTATUS", 0x1446, {
		{"REG_FBU_timeout_timer", 0xff0000, 0x10},
		{"REG_FBU_clkSetup_timer", 0xf00, 0x8},
		{"FBU_RFE_mstTimeout", 0x1000000, 0x18},
		{"REG_FBU_clkGate_timer", 0xff, 0x0}
	} },
	{"D3F5_PCIE_PORT_VC_STATUS", 0xb000047, {
		{"VC_ARB_TABLE_STATUS", 0x10000, 0x10}
	} },
	{"PCIE_VC_ENH_CAP_LIST", 0x44, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F5_PCIEP_STRAP_MISC", 0xc1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"D3F1_PCIE_PORT_VC_CNTL", 0x7000047, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"D2F1_PCIE_CORR_ERR_STATUS", 0x2000058, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"D2F5_PCIE_LC_BEST_EQ_SETTINGS", 0xb9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"D3F3_PCIE_LANE_10_EQUALIZATION_CNTL", 0x90000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F2_PCIE_VC1_RESOURCE_CNTL", 0x800004c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"PCIE_TLP_PREFIX_LOG0", 0x62, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"PCIE_TLP_PREFIX_LOG1", 0x63, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"PCIE_TLP_PREFIX_LOG2", 0x64, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"PCIE_TLP_PREFIX_LOG3", 0x65, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_CORR_ERR_MASK", 0x4000059, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"D3F5_PCIE_LC_LINK_WIDTH_CNTL", 0xa2, {
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_WAIT_FOR_L_IDLE_IN_R_IDLE", 0x4000000, 0x1a},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_HOLD_EI_FOR_RSPEED_CMD_CHANGE", 0x10000000, 0x1c},
		{"LC_BYPASS_RXL0S_ON_SHORT_EI", 0x20000000, 0x1d},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_RESET_TSX_CNT_IN_RCONFIG_EN", 0x2000000, 0x19},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_MULT_REVERSE_ATTEMP_EN", 0x1000000, 0x18},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_WAIT_FOR_NON_EI_ON_RXL0S_EXIT", 0x8000000, 0x1b},
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc}
	} },
	{"D2F3_PCIE_RX_CREDITS_ALLOCATED_P", 0x80, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"D2F1_PCIE_HDR_LOG1", 0x200005c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_HDR_LOG0", 0x200005b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_HDR_LOG3", 0x200005e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_HDR_LOG2", 0x200005d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"PCIE_P_MISC_STATUS", 0x1400043, {
		{"P_DESKEW_ERR", 0xff, 0x0},
		{"P_SYMUNLOCK_ERR", 0xffff0000, 0x10}
	} },
	{"D3F4_PREF_LIMIT_UPPER", 0xa00000b, {
		{"PREF_LIMIT_UPPER", 0xffffffff, 0x0}
	} },
	{"D3F3_DEVICE_CNTL2", 0x9000020, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"OBFF_EN", 0x6000, 0xd},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKING", 0x80, 0x7},
		{"ATOMICOP_REQUEST_EN", 0x40, 0x6},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"D2F1_PCIE_PORT_VC_CAP_REG2", 0x2000046, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"D2F1_PCIE_PORT_VC_CAP_REG1", 0x2000045, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"PCIE_LANE_8_EQUALIZATION_CNTL", 0xa3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_WRP_BIOSTIMER_CNTL", 0x13080f1, {
		{"ClockRate", 0xff, 0x0}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PowerDownEn", 0x1204080, {
		{"PllPowerDownEn", 0x7, 0x0},
		{"PllPowerDownOvrd", 0x10, 0x4}
	} },
	{"D2F1_PCIE_RX_CREDITS_ALLOCATED_CPL", 0x82, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"D3F2_PREF_BASE_LIMIT", 0x8000009, {
		{"PREF_MEM_BASE_31_20", 0xfff0, 0x4},
		{"PREF_MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"PREF_MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"PREF_MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D2F2_PCIE_RX_EXPECTED_SEQNUM", 0x71, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"D2F1_PCIE_ERR_SRC_ID", 0x2000061, {
		{"ERR_CORR_SRC_ID", 0xffff, 0x0},
		{"ERR_FATAL_NONFATAL_SRC_ID", 0xffff0000, 0x10}
	} },
	{"D2F4_PCIE_LANE_6_EQUALIZATION_CNTL", 0x50000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"BIF_PIF_TXCLK_SWITCH_TIMER", 0x1481, {
		{"PLL_SWITCH_TIMER", 0x3c0, 0x6},
		{"PLL0_ACK_TIMER", 0x7, 0x0},
		{"PLL1_ACK_TIMER", 0x38, 0x3}
	} },
	{"D2F5_MSI_MAP_CAP", 0x6000032, {
		{"FIXD", 0x20000, 0x11},
		{"EN", 0x10000, 0x10},
		{"CAP_TYPE", 0xf8000000, 0x1b}
	} },
	{"D2F3_PCIE_RX_EXPECTED_SEQNUM", 0x71, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"PSX81_BIF_PCIE_I2C_REG_DATA", 0x141003b, {
		{"I2C_REG_DATA", 0xffffffff, 0x0}
	} },
	{"D3F5_MSI_MAP_ADDR_LO", 0xb000033, {
		{"MSI_MAP_ADDR_LO", 0xfff00000, 0x14}
	} },
	{"D2F3_PCIE_CAP_LIST", 0x4000016, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PCIE_DPA_ENH_CAP_LIST", 0x94, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F5_PCIE_LANE_13_EQUALIZATION_CNTL", 0xb0000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F4_PCIE_MC_CNTL", 0xa0000bd, {
		{"MC_NUM_GROUP", 0x3f0000, 0x10},
		{"MC_ENABLE", 0x80000000, 0x1f}
	} },
	{"PSX80_PHY0_TX_TSTMARGDEEMPH_BROADCAST", 0x120ff03, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"D3F4_VENDOR_ID", 0xa000000, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"D2F2_PCIE_LC_FORCE_EQ_REQ_COEFF", 0xba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"D2F3_HEADER", 0x4000003, {
		{"HEADER_TYPE", 0x7f0000, 0x10},
		{"DEVICE_TYPE", 0x800000, 0x17}
	} },
	{"D3F3_PCIE_MC_BLOCK_UNTRANSLATED_0", 0x90000c4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"D2F5_DEVICE_ID", 0x6000000, {
		{"DEVICE_ID", 0xffff0000, 0x10}
	} },
	{"D2F3_PCIE_LANE_7_EQUALIZATION_CNTL", 0x40000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"GARLIC_COHE_UVD_RBC_RB_WPTR_IND", 0x1091418, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D3F5_MSI_MSG_DATA", 0xb00002a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"D3F2_PCIEP_STRAP_LC", 0xc0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"D3F3_PCIE_LC_CNTL", 0xa0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"PSX81_PHY0_TX_DEEMPH_BROADCAST", 0x121ff02, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PCIE_CI_CNTL", 0x1400020, {
		{"CI_MST_CMPL_DUMMY_DATA", 0x10, 0x4},
		{"CI_SLV_RC_RD_REQ_SIZE", 0xc0, 0x6},
		{"CI_SLV_CPL_ALLOC_SOR", 0x1000, 0xc},
		{"CI_SLAVE_GEN_USR_DIS", 0x8, 0x3},
		{"CI_RC_ORDERING_DIS", 0x200, 0x9},
		{"CI_SLV_ORDERING_DIS", 0x100, 0x8},
		{"CI_SLV_CPL_ALLOC_DIS", 0x400, 0xa},
		{"CI_MST_IGNORE_PAGE_ALIGNED_REQUEST", 0x2000, 0xd},
		{"CI_SLV_CPL_ALLOC_MODE", 0x800, 0xb},
		{"CI_SLAVE_SPLIT_MODE", 0x4, 0x2}
	} },
	{"PSX81_BIF_PCIE_I2C_REG_ADDR_EXPAND", 0x141003a, {
		{"I2C_REG_ADDR", 0x1ffff, 0x0}
	} },
	{"D3F3_PCIE_RX_CREDITS_ALLOCATED_P", 0x80, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"BACO_CNTL_MISC_IND", 0x10914db, {
		{"BACO_LINK_RST_WIDTH_SEL", 0xc, 0x2},
		{"BIF_AZ_REQ_DIS", 0x2, 0x1},
		{"BIF_ROM_REQ_DIS", 0x1, 0x0}
	} },
	{"D2F5_PCIE_RX_EXPECTED_SEQNUM", 0x71, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PciPllTestDebug2", 0x1214104, {
		{"PLL_Tpo", 0x40000, 0x12},
		{"PllDsmObsSel", 0xe00000, 0x15},
		{"PLL_MeasOut", 0x3ffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT1_MST_R_CLK", 0x1400086, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_MC_RCV0", 0x30000c0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_MC_RCV1", 0x30000c1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"D3F4_DEVICE_CNTL", 0xa000018, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"BRIDGE_CFG_RETRY_EN", 0x8000, 0xf},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"D2F1_ROOT_CAP", 0x200001d, {
		{"CRS_SOFTWARE_VISIBILITY", 0x10000, 0x10}
	} },
	{"D3F3_VENDOR_ID", 0x9000000, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PciPllFreqMode", 0x1214105, {
		{"HalfRateClkEn", 0x10000, 0x10},
		{"Clk2CtlrRateOvrd", 0x800, 0xb},
		{"Clk2CtlrRate", 0x400, 0xa},
		{"PllClkFreq", 0x7f, 0x0},
		{"PllFreqModeOvrd", 0x80, 0x7},
		{"Clk2CtlrEn", 0x100, 0x8},
		{"FullRateClkEnOvrd", 0x2000, 0xd},
		{"FullRateClkEn", 0x1000, 0xc},
		{"HalfRateClkEnOvrd", 0x20000, 0x11},
		{"Clk2CtlrEnOvrd", 0x200, 0x9}
	} },
	{"PSX81_PHY0_TX_DFX_LANE1", 0x1212101, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"D2F1_PCIE_UNCORR_ERR_STATUS", 0x2000055, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"PCIE_LC_LANE_CNTL", 0x100100b4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT1_SLV_R_CLK", 0x140008c, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_LC_LINK_WIDTH_CNTL", 0xa2, {
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_WAIT_FOR_L_IDLE_IN_R_IDLE", 0x4000000, 0x1a},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_HOLD_EI_FOR_RSPEED_CMD_CHANGE", 0x10000000, 0x1c},
		{"LC_BYPASS_RXL0S_ON_SHORT_EI", 0x20000000, 0x1d},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_RESET_TSX_CNT_IN_RCONFIG_EN", 0x2000000, 0x19},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_MULT_REVERSE_ATTEMP_EN", 0x1000000, 0x18},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_WAIT_FOR_NON_EI_ON_RXL0S_EXIT", 0x8000000, 0x1b},
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc}
	} },
	{"D3F1_PCIE_MC_OVERLAY_BAR1", 0x70000c7, {
		{"MC_OVERLAY_BAR_1", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_MC_OVERLAY_BAR0", 0x70000c6, {
		{"MC_OVERLAY_SIZE", 0x3f, 0x0},
		{"MC_OVERLAY_BAR_0", 0xffffffc0, 0x6}
	} },
	{"D2F4_PCIE_RX_CNTL", 0x70, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_RCB_FLR_TIMEOUT_DIS", 0x8000000, 0x1b},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_TPH_DIS", 0x4000000, 0x1a},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"D2F3_PCIE_ROOT_ERR_STATUS", 0x4000060, {
		{"ERR_CORR_RCVD", 0x1, 0x0},
		{"NONFATAL_ERROR_MSG_RCVD", 0x20, 0x5},
		{"FIRST_UNCORRECTABLE_FATAL", 0x10, 0x4},
		{"ADV_ERR_INT_MSG_NUM", 0xf8000000, 0x1b},
		{"MULT_ERR_CORR_RCVD", 0x2, 0x1},
		{"FATAL_ERROR_MSG_RCVD", 0x40, 0x6},
		{"MULT_ERR_FATAL_NONFATAL_RCVD", 0x8, 0x3},
		{"ERR_FATAL_NONFATAL_RCVD", 0x4, 0x2}
	} },
	{"D2F4_PCIE_LC_FORCE_COEFF", 0xb8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_PRESET_10_EN", 0x100000, 0x14},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"PCIE_RX_LAST_TLP0", 0x1400031, {
		{"RX_LAST_TLP0", 0xffffffff, 0x0}
	} },
	{"PCIE_RX_LAST_TLP3", 0x1400034, {
		{"RX_LAST_TLP3", 0xffffffff, 0x0}
	} },
	{"PCIE_RX_LAST_TLP2", 0x1400033, {
		{"RX_LAST_TLP2", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_PORT_VC_CAP_REG2", 0x5000046, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"BIF_VDDGFX_GFX4_LOWER_IND", 0x1091430, {
		{"VDDGFX_GFX4_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX4_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_GFX4_REG_STALL_EN", 0x80000000, 0x1f}
	} },
	{"D2F4_PCIE_PORT_VC_CAP_REG1", 0x5000045, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"D3F2_PCIE_MC_OVERLAY_BAR0", 0x80000c6, {
		{"MC_OVERLAY_SIZE", 0x3f, 0x0},
		{"MC_OVERLAY_BAR_0", 0xffffffc0, 0x6}
	} },
	{"D3F2_PCIE_MC_OVERLAY_BAR1", 0x80000c7, {
		{"MC_OVERLAY_BAR_1", 0xffffffff, 0x0}
	} },
	{"GPU_HDP_FLUSH_DONE_IND", 0x1091538, {
		{"SDMA0", 0x400, 0xa},
		{"CP8", 0x100, 0x8},
		{"CP9", 0x200, 0x9},
		{"SDMA1", 0x800, 0xb},
		{"CP0", 0x1, 0x0},
		{"CP1", 0x2, 0x1},
		{"CP2", 0x4, 0x2},
		{"CP3", 0x8, 0x3},
		{"CP4", 0x10, 0x4},
		{"CP5", 0x20, 0x5},
		{"CP6", 0x40, 0x6},
		{"CP7", 0x80, 0x7}
	} },
	{"D2F1_MSI_CAP_LIST", 0x2000028, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F5_BIST", 0x6000003, {
		{"BIST_STRT", 0x40000000, 0x1e},
		{"BIST_COMP", 0xf000000, 0x18},
		{"BIST_CAP", 0x80000000, 0x1f}
	} },
	{"D3F2_PCIE_LC_TRAINING_CNTL", 0xa1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_WAIT_FOR_SETS_IN_RCFG", 0x4000, 0xe},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_HOT_RESET_QUICK_EXIT_EN", 0x8000, 0xf},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"PCIE_TX_F1_F2_ATTR_CNTL", 0x140001f, {
		{"TX_F2_SNR_OVERRIDE_NP", 0x30000000, 0x1c},
		{"TX_F2_IDO_OVERRIDE_NP", 0xc0000, 0x12},
		{"TX_F1_IDO_OVERRIDE_P", 0x3, 0x0},
		{"TX_F2_IDO_OVERRIDE_P", 0x30000, 0x10},
		{"TX_F1_RO_OVERRIDE_NP", 0x300, 0x8},
		{"TX_F2_RO_OVERRIDE_NP", 0x3000000, 0x18},
		{"TX_F2_RO_OVERRIDE_P", 0xc00000, 0x16},
		{"TX_F1_IDO_OVERRIDE_CPL", 0x30, 0x4},
		{"TX_F1_SNR_OVERRIDE_NP", 0x3000, 0xc},
		{"TX_F1_SNR_OVERRIDE_P", 0xc00, 0xa},
		{"TX_F2_IDO_OVERRIDE_CPL", 0x300000, 0x14},
		{"TX_F1_RO_OVERRIDE_P", 0xc0, 0x6},
		{"TX_F2_SNR_OVERRIDE_P", 0xc000000, 0x1a},
		{"TX_F1_IDO_OVERRIDE_NP", 0xc, 0x2}
	} },
	{"COMMAND", 0x1, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"D2F2_PCIE_VC_ENH_CAP_LIST", 0x3000044, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F4_LINK_CNTL", 0xa00001a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"D3F3_PCIE_RX_CNTL", 0x70, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_RCB_FLR_TIMEOUT_DIS", 0x8000000, 0x1b},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_TPH_DIS", 0x4000000, 0x1a},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"PSX81_WRP_BIF_STRAP_TEST_DFT", 0x1510005, {
		{"STRAP_BIF_FORCE_CDR_MODE", 0x4000000, 0x1a},
		{"STRAP_BIF_TX_TEST_ALL", 0xc0000000, 0x1e}
	} },
	{"BIF_VDDGFX_RSV1_UPPER_IND", 0x1091435, {
		{"VDDGFX_RSV1_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"D2F4_VENDOR_ID", 0x5000000, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"PSX81_BIF_SWRST_GENERAL_CONTROL", 0x1410101, {
		{"HLDTRAIN_XFER_MODE", 0x4000, 0xe},
		{"BYPASS_HOLD", 0x10000, 0x10},
		{"RESET_PERIOD", 0x1c, 0x2},
		{"CONFIG_XFER_MODE", 0x1000, 0xc},
		{"FORCE_REGIDLE", 0x200, 0x9},
		{"ATOMIC_RESET_EN", 0x2, 0x1},
		{"RECONFIGURE_EN", 0x1, 0x0},
		{"BLOCK_ON_IDLE", 0x400, 0xa},
		{"MUXSEL_XFER_MODE", 0x2000, 0xd},
		{"BYPASS_PIF_HOLD", 0x20000, 0x11},
		{"WAIT_LINKUP", 0x100, 0x8}
	} },
	{"PSX81_BIF_PCIE_P_RCV_L0S_FTS_DET", 0x1410050, {
		{"P_RCV_L0S_FTS_DET_MIN", 0xff, 0x0},
		{"P_RCV_L0S_FTS_DET_MAX", 0xff00, 0x8}
	} },
	{"PSX80_PHY0_RX_ELECIDLE_DEBUG_LANE7", 0x1200705, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PSX80_PHY0_RX_ELECIDLE_DEBUG_LANE6", 0x1200605, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PSX80_PHY0_RX_ELECIDLE_DEBUG_LANE5", 0x1200505, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PSX81_BIF_PCIE_WPR_CNTL", 0x1410030, {
		{"WPR_RESET_STY_EN", 0x20, 0x5},
		{"WPR_RESET_HOT_RST_EN", 0x1, 0x0},
		{"WPR_RESET_LNK_DIS_EN", 0x4, 0x2},
		{"WPR_RESET_REG_EN", 0x10, 0x4},
		{"WPR_RESET_LNK_DWN_EN", 0x2, 0x1},
		{"WPR_RESET_COR_EN", 0x8, 0x3},
		{"WPR_RESET_PHY_EN", 0x40, 0x6}
	} },
	{"PSX80_PHY0_RX_ELECIDLE_DEBUG_LANE3", 0x1200305, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PSX80_PHY0_RX_ELECIDLE_DEBUG_LANE2", 0x1200205, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PSX80_PHY0_RX_ELECIDLE_DEBUG_LANE1", 0x1200105, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PSX80_PHY0_RX_ELECIDLE_DEBUG_LANE0", 0x1200005, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_RX_CONTROL_LANE3", 0x1210300, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D2F3_PCIE_TX_CREDITS_INIT_CPL", 0x35, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_RX_CONTROL_LANE1", 0x1210100, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"PSX81_WRP_BIF_STRAP_REV_ID", 0x1510007, {

	} },
	{"PSX81_PHY0_RX_CMD_BUS_RX_CONTROL_LANE7", 0x1210700, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_RX_CONTROL_LANE6", 0x1210600, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D3F2_PCIE_TX_VENDOR_SPECIFIC", 0x22, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_RX_CONTROL_LANE4", 0x1210400, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D3F3_COMMAND", 0x9000001, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_SPEED_PORT_E", 0x1500c01, {
		{"STRAP_BIF_LC_EQ_FS", 0x3f0000, 0x10},
		{"STRAP_BIF_LC_BYPASS_EQ_REQ_PHASE", 0x100, 0x8},
		{"STRAP_BIF_LC_EQ_LF", 0x3f000000, 0x18},
		{"STRAP_BIF_LC_BYPASS_EQ", 0x80, 0x7},
		{"STRAP_BIF_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x4, 0x2},
		{"STRAP_BIF_LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x40, 0x6},
		{"STRAP_BIF_TARGET_LINK_SPEED", 0x3000, 0xc},
		{"STRAP_BIF_LC_EQ_SEARCH_MODE", 0x600, 0x9}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_SPEED_PORT_D", 0x1500b01, {
		{"STRAP_BIF_LC_EQ_FS", 0x3f0000, 0x10},
		{"STRAP_BIF_LC_BYPASS_EQ_REQ_PHASE", 0x100, 0x8},
		{"STRAP_BIF_LC_EQ_LF", 0x3f000000, 0x18},
		{"STRAP_BIF_LC_BYPASS_EQ", 0x80, 0x7},
		{"STRAP_BIF_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x4, 0x2},
		{"STRAP_BIF_LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x40, 0x6},
		{"STRAP_BIF_TARGET_LINK_SPEED", 0x3000, 0xc},
		{"STRAP_BIF_LC_EQ_SEARCH_MODE", 0x600, 0x9}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_SPEED_PORT_C", 0x1500a01, {
		{"STRAP_BIF_LC_EQ_FS", 0x3f0000, 0x10},
		{"STRAP_BIF_LC_BYPASS_EQ_REQ_PHASE", 0x100, 0x8},
		{"STRAP_BIF_LC_EQ_LF", 0x3f000000, 0x18},
		{"STRAP_BIF_LC_BYPASS_EQ", 0x80, 0x7},
		{"STRAP_BIF_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x4, 0x2},
		{"STRAP_BIF_LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x40, 0x6},
		{"STRAP_BIF_TARGET_LINK_SPEED", 0x3000, 0xc},
		{"STRAP_BIF_LC_EQ_SEARCH_MODE", 0x600, 0x9}
	} },
	{"D2F5_PCIE_LANE_15_EQUALIZATION_CNTL", 0x60000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F3_PCIE_SECONDARY_ENH_CAP_LIST", 0x400009c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_WRP_PCIE_HOLD_TRAINING_A", 0x1510800, {
		{"HOLD_TRAINING", 0x1, 0x0}
	} },
	{"PCIE_MC_BLOCK_UNTRANSLATED_1", 0xc5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"PCIE_MC_BLOCK_UNTRANSLATED_0", 0xc4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_PCIE_HOLD_TRAINING_D", 0x1510b00, {
		{"HOLD_TRAINING", 0x1, 0x0}
	} },
	{"PSX81_WRP_PCIE_HOLD_TRAINING_E", 0x1510c00, {
		{"HOLD_TRAINING", 0x1, 0x0}
	} },
	{"D3F4_PCIE_PORT_VC_STATUS", 0xa000047, {
		{"VC_ARB_TABLE_STATUS", 0x10000, 0x10}
	} },
	{"D2F1_PCIE_ACS_CAP", 0x20000a9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"PCIE_TX_ACK_LATENCY_LIMIT", 0x10010026, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PciPllTestDebug1", 0x1204103, {
		{"PllTp", 0xfffff800, 0xb},
		{"PllMeasCtl", 0x7ff, 0x0}
	} },
	{"D2F4_PMI_CAP", 0x5000014, {
		{"DEV_SPECIFIC_INIT", 0x200000, 0x15},
		{"AUX_CURRENT", 0x1c00000, 0x16},
		{"VERSION", 0x70000, 0x10},
		{"D2_SUPPORT", 0x4000000, 0x1a},
		{"PME_SUPPORT", 0xf8000000, 0x1b},
		{"PME_CLOCK", 0x80000, 0x13},
		{"D1_SUPPORT", 0x2000000, 0x19}
	} },
	{"D3F3_PCIE_LC_CNTL6", 0xbb, {
		{"LC_SPC_MODE_8GT", 0x10, 0x4},
		{"LC_SPC_MODE_5GT", 0x4, 0x2},
		{"LC_SPC_MODE_2P5GT", 0x1, 0x0}
	} },
	{"D3F3_PCIE_LC_CNTL4", 0xb6, {
		{"LC_DIS_CONTIG_END_SET_CHECK", 0x4, 0x2},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_DIS_ASPM_L1_IN_SPEED_CHANGE", 0x8, 0x3}
	} },
	{"D3F3_PCIE_LC_CNTL5", 0xb7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_DSC_EQ_FS_LF_INVALID_TO_PRESETS", 0x1000000, 0x18},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"D3F3_PCIE_LC_CNTL2", 0xb1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"D3F3_PCIE_LC_CNTL3", 0xb5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PciLcVcoCtrl", 0x1214007, {
		{"LCTankI", 0xff, 0x0}
	} },
	{"PSX80_PHY0_TX_DEEMPH_LANE6", 0x1202602, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"D2F1_PCIE_LANE_13_EQUALIZATION_CNTL", 0x20000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_PHY0_COM_COMMON_ELECIDLE", 0x1206204, {
		{"ei_det_initiate_ofc_cal", 0x2, 0x1},
		{"ei_det_dac_test_code", 0x3f0, 0x4},
		{"ei_det_dac_test_ofc_sel", 0x4, 0x2},
		{"ei_det_dis_ps0", 0x1, 0x0}
	} },
	{"D3F3_LINK_CAP2", 0x9000021, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"D3F5_PCIE_PORT_VC_CAP_REG2", 0xb000046, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"D3F1_PCIE_LC_CDR_CNTL", 0xb3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"D3F5_PCIE_LANE_7_EQUALIZATION_CNTL", 0xb0000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F5_MSI_MSG_ADDR_HI", 0xb00002a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_VC1_RESOURCE_CAP", 0x500004b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"PSX81_PHY0_RX_DLL_CTL_LANE1", 0x1210103, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX80_BIF_LM_POWERCONTROL4", 0x140012f, {
		{"SpcMode3", 0x80000000, 0x1f},
		{"SpcMode2", 0x40000000, 0x1e},
		{"SpcMode1", 0x20000000, 0x1d},
		{"SpcMode0", 0x10000000, 0x1c},
		{"LaneNum2", 0xf00000, 0x14},
		{"LaneNum3", 0xf000000, 0x18},
		{"LaneNum0", 0xf000, 0xc},
		{"LaneNum1", 0xf0000, 0x10},
		{"LinkNum0", 0x7, 0x0},
		{"LinkNum1", 0x38, 0x3},
		{"LinkNum2", 0x1c0, 0x6},
		{"LinkNum3", 0xe00, 0x9}
	} },
	{"D3F3_PCIE_TX_CREDITS_ADVT_P", 0x30, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"PSX80_BIF_LM_POWERCONTROL3", 0x140012e, {
		{"TxCoeff3", 0x3f, 0x0},
		{"RxEqCtl1", 0x3f000, 0xc},
		{"RxEqCtl0", 0xfc0, 0x6},
		{"RxEqCtl3", 0x3f000000, 0x18},
		{"RxEqCtl2", 0xfc0000, 0x12}
	} },
	{"D2F4_PCIE_LANE_15_EQUALIZATION_CNTL", 0x50000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_BIF_LM_POWERCONTROL1", 0x140012c, {
		{"LMTxMargin2", 0x700000, 0x14},
		{"LMTxMargin0", 0x1c, 0x2},
		{"LMTxMargin1", 0x3800, 0xb},
		{"LMTxEn2", 0x40000, 0x12},
		{"LMTxEn1", 0x200, 0x9},
		{"LMTxEn0", 0x1, 0x0},
		{"LMDeemph2", 0x4000000, 0x1a},
		{"LMDeemph1", 0x20000, 0x11},
		{"LMDeemph0", 0x100, 0x8},
		{"LMTxMarginEn2", 0x2000000, 0x19},
		{"LMTxMarginEn1", 0x10000, 0x10},
		{"LMTxMarginEn0", 0x80, 0x7},
		{"TxCoeffID0", 0x18000000, 0x1b},
		{"TxCoeffID1", 0x60000000, 0x1d},
		{"LMSkipBit1", 0x4000, 0xe},
		{"LMSkipBit0", 0x20, 0x5},
		{"LMSkipBit2", 0x800000, 0x17},
		{"LMTxClkEn0", 0x2, 0x1},
		{"LMTxClkEn1", 0x400, 0xa},
		{"LMTxClkEn2", 0x80000, 0x13},
		{"LMLaneUnused2", 0x1000000, 0x18},
		{"LMLaneUnused0", 0x40, 0x6},
		{"LMLaneUnused1", 0x8000, 0xf}
	} },
	{"D2F3_LINK_STATUS", 0x400001a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x80000000, 0x1f},
		{"DL_ACTIVE", 0x20000000, 0x1d},
		{"SLOT_CLOCK_CFG", 0x10000000, 0x1c},
		{"LINK_TRAINING", 0x8000000, 0x1b},
		{"LINK_BW_MANAGEMENT_STATUS", 0x40000000, 0x1e},
		{"CURRENT_LINK_SPEED", 0xf0000, 0x10},
		{"NEGOTIATED_LINK_WIDTH", 0x3f00000, 0x14}
	} },
	{"D2F3_DEVICE_CAP2", 0x400001f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"ATOMICOP_ROUTING_SUPPORTED", 0x40, 0x6},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"ATOMICOP_32CMPLT_SUPPORTED", 0x80, 0x7},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"CAS128_CMPLT_SUPPORTED", 0x200, 0x9},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"ATOMICOP_64CMPLT_SUPPORTED", 0x100, 0x8},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"D3F2_PCIE_PORT_VC_CAP_REG1", 0x8000045, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"D3F2_PCIE_PORT_VC_CAP_REG2", 0x8000046, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"PMI_STATUS_CNTL", 0x15, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"PSX80_BIF_PCIE_LC_STATE6", 0x1400022, {
		{"LC_PREV_STATE26", 0x3f0000, 0x10},
		{"LC_PREV_STATE27", 0x3f000000, 0x18},
		{"LC_PREV_STATE24", 0x3f, 0x0},
		{"LC_PREV_STATE25", 0x3f00, 0x8}
	} },
	{"D2F4_PCIE_ROOT_ERR_STATUS", 0x5000060, {
		{"ERR_CORR_RCVD", 0x1, 0x0},
		{"NONFATAL_ERROR_MSG_RCVD", 0x20, 0x5},
		{"FIRST_UNCORRECTABLE_FATAL", 0x10, 0x4},
		{"ADV_ERR_INT_MSG_NUM", 0xf8000000, 0x1b},
		{"MULT_ERR_CORR_RCVD", 0x2, 0x1},
		{"FATAL_ERROR_MSG_RCVD", 0x40, 0x6},
		{"MULT_ERR_FATAL_NONFATAL_RCVD", 0x8, 0x3},
		{"ERR_FATAL_NONFATAL_RCVD", 0x4, 0x2}
	} },
	{"D3F4_PCIE_MC_ADDR0", 0xa0000be, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"D3F4_PCIE_LANE_11_EQUALIZATION_CNTL", 0xa0000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F5_BASE_CLASS", 0xb000002, {
		{"BASE_CLASS", 0xff000000, 0x18}
	} },
	{"D2F1_PCIE_VC0_RESOURCE_CNTL", 0x2000049, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D2F4_PCIE_LANE_10_EQUALIZATION_CNTL", 0x50000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_BIF_PCIE_PERF_CNTL_EVENT1_PORT_SEL", 0x1400094, {
		{"PERF1_PORT_SEL_MST_R_CLK", 0xf0, 0x4},
		{"PERF1_PORT_SEL_MST_C_CLK", 0xf00, 0x8},
		{"PERF1_PORT_SEL_SLV_R_CLK", 0xf000, 0xc},
		{"PERF1_PORT_SEL_SLV_S_C_CLK", 0xf0000, 0x10},
		{"PERF1_PORT_SEL_TXCLK", 0xf, 0x0},
		{"PERF1_PORT_SEL_SLV_NS_C_CLK", 0xf00000, 0x14},
		{"PERF1_PORT_SEL_TXCLK2", 0xf000000, 0x18}
	} },
	{"D2F4_PCIE_MC_CNTL", 0x50000bd, {
		{"MC_NUM_GROUP", 0x3f0000, 0x10},
		{"MC_ENABLE", 0x80000000, 0x1f}
	} },
	{"D2F5_PCIE_TX_REQUESTER_ID", 0x21, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"D2F3_PCIE_FC_CPL", 0x62, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"PSX81_PHY0_RX_RXTEST_REGS_BROADCAST", 0x121fe04, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"LNCNT_CONTROL", 0x1487, {
		{"LNCNT_ACC_MODE", 0x1, 0x0},
		{"LNCNT_REF_TIMEBASE", 0x6, 0x1}
	} },
	{"D2F3_MSI_MSG_DATA_64", 0x400002b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"D2F3_DEVICE_ID", 0x4000000, {
		{"DEVICE_ID", 0xffff0000, 0x10}
	} },
	{"D2F5_MSI_MSG_DATA_64", 0x600002b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"D2F3_MSI_MSG_CNTL", 0x4000028, {
		{"MSI_MULTI_EN", 0x700000, 0x14},
		{"MSI_MULTI_CAP", 0xe0000, 0x11},
		{"MSI_PERVECTOR_MASKING_CAP", 0x1000000, 0x18},
		{"MSI_64BIT", 0x800000, 0x17},
		{"MSI_EN", 0x10000, 0x10}
	} },
	{"VENDOR_ID", 0x0, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"D3F2_PCIE_FC_CPL", 0x62, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"D2F1_PCIE_FC_NP", 0x61, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"D3F5_PCIE_VC1_RESOURCE_CAP", 0xb00004b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D3F5_PCIE_TX_CREDITS_STATUS", 0x36, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"PCIE_TX_LTR_CNTL", 0x1400060, {
		{"LTR_PRIV_NS_SHORT_VALUE", 0x380, 0x7},
		{"LTR_PRIV_MSG_DIS_IN_PM_NON_D0", 0x4000, 0xe},
		{"LTR_PRIV_S_LONG_VALUE", 0x38, 0x3},
		{"LTR_PRIV_S_SHORT_VALUE", 0x7, 0x0},
		{"LTR_PRIV_RST_LTR_IN_DL_DOWN", 0x8000, 0xf},
		{"LTR_PRIV_S_REQUIREMENT", 0x40, 0x6},
		{"LTR_PRIV_NS_LONG_VALUE", 0x1c00, 0xa},
		{"LTR_PRIV_NS_REQUIREMENT", 0x2000, 0xd}
	} },
	{"BIOS_SCRATCH_9_IND", 0x10905d2, {
		{"BIOS_SCRATCH_9", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_ACS_ENH_CAP_LIST", 0x80000a8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"HDP_REG_COHERENCY_FLUSH_CNTL", 0x1528, {
		{"HDP_REG_FLUSH_ADDR", 0x1, 0x0}
	} },
	{"D3F2_SSID_CAP_LIST", 0x8000030, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F4_COMMAND", 0x5000001, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"D2F4_SLOT_CAP2", 0x5000023, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"NEW_REFCLKB_TIMER_1", 0x1484, {
		{"PLL0_PDNB_EN", 0x400, 0xa},
		{"PHY_PLL_PDWN_TIMER", 0x3ff, 0x0}
	} },
	{"D2F5_PCIE_LC_CNTL5", 0xb7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_DSC_EQ_FS_LF_INVALID_TO_PRESETS", 0x1000000, 0x18},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"D2F5_PCIE_LC_CNTL4", 0xb6, {
		{"LC_DIS_CONTIG_END_SET_CHECK", 0x4, 0x2},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_DIS_ASPM_L1_IN_SPEED_CHANGE", 0x8, 0x3}
	} },
	{"D3F1_PREF_BASE_UPPER", 0x700000a, {
		{"PREF_BASE_UPPER", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_LC_CNTL6", 0xbb, {
		{"LC_SPC_MODE_8GT", 0x10, 0x4},
		{"LC_SPC_MODE_5GT", 0x4, 0x2},
		{"LC_SPC_MODE_2P5GT", 0x1, 0x0}
	} },
	{"PCIE_I2C_REG_ADDR_EXPAND", 0x140003a, {
		{"I2C_REG_ADDR", 0x1ffff, 0x0}
	} },
	{"D2F5_PCIE_LC_CNTL2", 0xb1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"D3F1_HEADER", 0x7000003, {
		{"HEADER_TYPE", 0x7f0000, 0x10},
		{"DEVICE_TYPE", 0x800000, 0x17}
	} },
	{"D3F1_PCIEP_STRAP_LC", 0xc0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"PCIE_RX_EXPECTED_SEQNUM", 0x10010071, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"D2F2_LINK_CNTL2", 0x3000022, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"BIF_BACO_DEBUG_LATCH_IND", 0x10914dc, {
		{"BIF_BACO_LATCH_FLG", 0x1, 0x0}
	} },
	{"PSX80_PHY0_TX_DFX_LANE0", 0x1202001, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"D2F3_PCIE_TLP_PREFIX_LOG3", 0x4000065, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_TLP_PREFIX_LOG2", 0x4000064, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_TLP_PREFIX_LOG1", 0x4000063, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_TLP_PREFIX_LOG0", 0x4000062, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_LNC_CMN_WACC", 0x1518036, {
		{"LNC_CMN_WACC", 0xffffffff, 0x0}
	} },
	{"D2F2_MSI_MAP_CAP", 0x3000032, {
		{"FIXD", 0x20000, 0x11},
		{"EN", 0x10000, 0x10},
		{"CAP_TYPE", 0xf8000000, 0x1b}
	} },
	{"D2F5_SLOT_CNTL2", 0x6000024, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"D2F1_LATENCY", 0x2000003, {
		{"LATENCY_TIMER", 0xff00, 0x8}
	} },
	{"PSX80_PHY0_TX_DEEMPH_LANE0", 0x1202002, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"D2F1_PCIE_VENDOR_SPECIFIC1", 0x2000042, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_VENDOR_SPECIFIC2", 0x2000043, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"GPU_HDP_FLUSH_REQ_IND", 0x1091537, {
		{"SDMA0", 0x400, 0xa},
		{"CP8", 0x100, 0x8},
		{"CP9", 0x200, 0x9},
		{"SDMA1", 0x800, 0xb},
		{"CP0", 0x1, 0x0},
		{"CP1", 0x2, 0x1},
		{"CP2", 0x4, 0x2},
		{"CP3", 0x8, 0x3},
		{"CP4", 0x10, 0x4},
		{"CP5", 0x20, 0x5},
		{"CP6", 0x40, 0x6},
		{"CP7", 0x80, 0x7}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_SPEED_PORT_A", 0x1500801, {
		{"STRAP_BIF_LC_EQ_FS", 0x3f0000, 0x10},
		{"STRAP_BIF_LC_BYPASS_EQ_REQ_PHASE", 0x100, 0x8},
		{"STRAP_BIF_LC_EQ_LF", 0x3f000000, 0x18},
		{"STRAP_BIF_LC_BYPASS_EQ", 0x80, 0x7},
		{"STRAP_BIF_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x4, 0x2},
		{"STRAP_BIF_LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x40, 0x6},
		{"STRAP_BIF_TARGET_LINK_SPEED", 0x3000, 0xc},
		{"STRAP_BIF_LC_EQ_SEARCH_MODE", 0x600, 0x9}
	} },
	{"D2F5_DEVICE_STATUS2", 0x6000020, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D2F2_PMI_CAP_LIST", 0x3000014, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F2_PCIE_MC_BLOCK_ALL1", 0x80000c3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_MC_BLOCK_ALL0", 0x80000c2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"PSX80_PIF0_LANE5_OVRD", 0x110001e, {
		{"REQUESTTRN_OVRD_EN_5", 0x2000, 0xd},
		{"RESPONSEMODE_OVRD_EN_5", 0x800, 0xb},
		{"RXPGENABLE_OVRD_EN_5", 0x80, 0x7},
		{"LINKSPEED_OVRD_EN_5", 0x4, 0x2},
		{"REQUESTFOM_OVRD_EN_5", 0x400, 0xa},
		{"GANGMODE_OVRD_EN_5", 0x1, 0x0},
		{"COEFFICIENTID_OVRD_EN_5", 0x4000, 0xe},
		{"CDREN_OVRD_VAL_5", 0x20000, 0x11},
		{"TWOSYMENABLE_OVRD_EN_5", 0x8, 0x3},
		{"CDREN_OVRD_EN_5", 0x10000, 0x10},
		{"TXPWR_OVRD_EN_5", 0x10, 0x4},
		{"ENABLEFOM_OVRD_EN_5", 0x200, 0x9},
		{"FREQDIV_OVRD_EN_5", 0x2, 0x1},
		{"REQUESTTRK_OVRD_EN_5", 0x1000, 0xc},
		{"TXPGENABLE_OVRD_EN_5", 0x20, 0x5},
		{"COEFFICIENT_OVRD_EN_5", 0x8000, 0xf},
		{"RXPWR_OVRD_EN_5", 0x40, 0x6},
		{"ELECIDLEDETEN_OVRD_EN_5", 0x100, 0x8}
	} },
	{"D2F4_PCIE_LANE_11_EQUALIZATION_CNTL", 0x50000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F3_LINK_STATUS2", 0x4000022, {
		{"LINK_EQUALIZATION_REQUEST", 0x200000, 0x15},
		{"CUR_DEEMPHASIS_LEVEL", 0x10000, 0x10},
		{"EQUALIZATION_COMPLETE", 0x20000, 0x11},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x80000, 0x13},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x100000, 0x14},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x40000, 0x12}
	} },
	{"D2F5_PREF_LIMIT_UPPER", 0x600000b, {
		{"PREF_LIMIT_UPPER", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIEP_HPGI", 0xda, {
		{"HPGI_REG_DEASSERT_TO_SCI_STATUS", 0x800, 0xb},
		{"REG_HPGI_PRESENCE_DETECT_STATE_CHANGE_EN", 0x10000, 0x10},
		{"REG_HPGI_ASSERT_TO_SCI_EN", 0x2, 0x1},
		{"REG_HPGI_DEASSERT_TO_SMI_EN", 0x4, 0x2},
		{"HPGI_REG_DEASSERT_TO_SMI_STATUS", 0x400, 0xa},
		{"REG_HPGI_HOOK", 0x80, 0x7},
		{"HPGI_REG_ASSERT_TO_SMI_STATUS", 0x100, 0x8},
		{"REG_HPGI_ASSERT_TO_SMI_EN", 0x1, 0x0},
		{"REG_HPGI_DEASSERT_TO_SCI_EN", 0x8, 0x3},
		{"HPGI_REG_ASSERT_TO_SCI_STATUS", 0x200, 0x9},
		{"HPGI_REG_PRESENCE_DETECT_STATE_CHANGE_STATUS", 0x8000, 0xf}
	} },
	{"D2F4_ROOT_STATUS", 0x500001e, {
		{"PME_REQUESTOR_ID", 0xffff, 0x0},
		{"PME_PENDING", 0x20000, 0x11},
		{"PME_STATUS", 0x10000, 0x10}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PciPllControlExt", 0x1214001, {
		{"BgRcFiltShortTimer", 0x7, 0x0},
		{"BgRcFiltShortForce", 0x8, 0x3}
	} },
	{"D2F1_PCIE_LC_CNTL", 0xa0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"GARLIC_COHE_CP_DMA_ME_COMMAND_IND", 0x109141b, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PCIE_CONFIG_CNTL", 0x1400011, {
		{"CI_MAX_READ_SAFE_MODE", 0x1000000, 0x18},
		{"CI_PRIV_MAX_PAYLOAD_SIZE", 0xe0000, 0x11},
		{"CI_MAX_PAYLOAD_SIZE_MODE", 0x10000, 0x10},
		{"CI_EXTENDED_TAG_EN_OVERRIDE", 0x6000000, 0x19},
		{"DYN_CLK_LATENCY", 0xf, 0x0},
		{"CI_PRIV_MAX_READ_REQUEST_SIZE", 0xe00000, 0x15},
		{"CI_MAX_READ_REQUEST_SIZE_MODE", 0x100000, 0x14}
	} },
	{"PCIEP_SCRATCH", 0x10010001, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIEP_RESERVED", 0x0, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"BIF_VDDGFX_RSV1_UPPER", 0x1435, {
		{"VDDGFX_RSV1_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX81_PHY0_TX_TSTMARGDEEMPH_LANE4", 0x1212403, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"PCIE_TX_REQUEST_NUM_CNTL", 0x10010023, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"D2F5_PCIE_FC_P", 0x60, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"D3F1_PCIEP_PORT_CNTL", 0x10, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"PCIE_ACS_CAP", 0xa9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"D3F4_PCIE_LC_TRAINING_CNTL", 0xa1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_WAIT_FOR_SETS_IN_RCFG", 0x4000, 0xe},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_HOT_RESET_QUICK_EXIT_EN", 0x8000, 0xf},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"PSX80_BIF_PCIE_STRAP_PI", 0x14000c2, {
		{"STRAP_TEST_TOGGLE_MODE", 0x20000000, 0x1d},
		{"STRAP_TEST_TOGGLE_PATTERN", 0x10000000, 0x1c},
		{"STRAP_QUICKSIM_START", 0x1, 0x0}
	} },
	{"BIOS_SCRATCH_1", 0x5ca, {
		{"BIOS_SCRATCH_1", 0xffffffff, 0x0}
	} },
	{"D2F2_SUB_CLASS", 0x3000002, {
		{"SUB_CLASS", 0xff0000, 0x10}
	} },
	{"D2F2_PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0x3000050, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"SMU_BIF_VDDGFX_PWR_STATUS_IND", 0x10914f8, {
		{"VDDGFX_GFX_PWR_OFF", 0x1, 0x0}
	} },
	{"D2F4_PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0x5000054, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX80_PHY0_TX_DFX_LANE5", 0x1202501, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"PSX80_PHY0_TX_DFX_LANE4", 0x1202401, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"PSX80_PHY0_TX_DFX_LANE7", 0x1202701, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"PSX80_PHY0_TX_DFX_LANE6", 0x1202601, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"PSX80_PHY0_TX_DFX_LANE1", 0x1202101, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_TRAINING_A", 0x1510805, {
		{"STRAP_BIF_INITIAL_N_FTS", 0xff000000, 0x18},
		{"STRAP_BIF_LC_ENHANCED_HOT_PLUG_EN", 0x200, 0x9}
	} },
	{"PSX80_PHY0_TX_DFX_LANE3", 0x1202301, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"PSX80_PHY0_TX_DFX_LANE2", 0x1202201, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"PSX81_PHY0_TX_TSTMARGDEEMPH_BROADCAST", 0x121ff03, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"D2F1_PCIE_TX_ACK_LATENCY_LIMIT", 0x26, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"D2F2_PCIE_ACS_CNTL", 0x30000a9, {
		{"UPSTREAM_FORWARDING_EN", 0x100000, 0x14},
		{"SOURCE_VALIDATION_EN", 0x10000, 0x10},
		{"P2P_EGRESS_CONTROL_EN", 0x200000, 0x15},
		{"P2P_COMPLETION_REDIRECT_EN", 0x80000, 0x13},
		{"DIRECT_TRANSLATED_P2P_EN", 0x400000, 0x16},
		{"P2P_REQUEST_REDIRECT_EN", 0x40000, 0x12},
		{"TRANSLATION_BLOCKING_EN", 0x20000, 0x11}
	} },
	{"IMPCTL_RESET", 0x14f5, {
		{"IMP_SW_RESET", 0x1, 0x0}
	} },
	{"PSX81_PIF0_LANE1_OVRD2", 0x1110017, {
		{"TWOSYMENABLE_1", 0x80, 0x7},
		{"COEFFICIENT_1", 0xfc000000, 0x1a},
		{"RXPGENABLE_1", 0x30000, 0x10},
		{"RXPWR_1", 0xe000, 0xd},
		{"REQUESTTRK_1", 0x400000, 0x16},
		{"FREQDIV_1", 0x18, 0x3},
		{"REQUESTTRN_1", 0x800000, 0x17},
		{"GANGMODE_1", 0x7, 0x0},
		{"ELECIDLEDETEN_1", 0x40000, 0x12},
		{"LINKSPEED_1", 0x60, 0x5},
		{"TXPGENABLE_1", 0x1800, 0xb},
		{"COEFFICIENTID_1", 0x3000000, 0x18},
		{"TXPWR_1", 0x700, 0x8},
		{"RESPONSEMODE_1", 0x200000, 0x15},
		{"ENABLEFOM_1", 0x80000, 0x13},
		{"REQUESTFOM_1", 0x100000, 0x14}
	} },
	{"PSX80_BIF_PCIE_CNTL", 0x1400010, {
		{"UR_ERR_REPORT_DIS", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_TEST_MODE", 0x80000, 0x13},
		{"RX_RCB_WRONG_FUNCNUM_DIS", 0x400000, 0x16},
		{"RX_RCB_UNEXP_CPL_DIS", 0x40000, 0x12},
		{"RX_RCB_INVALID_SIZE_DIS", 0x20000, 0x11},
		{"RX_CPL_POSTED_REQ_ORD_EN", 0x80000000, 0x1f},
		{"RX_ATS_TRAN_CPL_SPLIT_DIS", 0x800000, 0x17},
		{"PCIE_MALFORM_ATOMIC_OPS", 0x100, 0x8},
		{"LC_HOT_PLUG_DELAY_SEL", 0xe, 0x1},
		{"RX_RCB_WRONG_PREFIX_DIS", 0x100000, 0x14},
		{"HWINIT_WR_LOCK", 0x1, 0x0},
		{"RX_SB_ADJ_PAYLOAD_SIZE", 0x1c00, 0xa},
		{"RX_IGNORE_LTR_MSG_UR", 0x40000000, 0x1e},
		{"TX_CPL_DEBUG", 0x3f000000, 0x18},
		{"PCIE_HT_NP_MEM_WRITE", 0x200, 0x9},
		{"RX_RCB_ATS_UC_DIS", 0x8000, 0xf},
		{"RX_RCB_REORDER_EN", 0x10000, 0x10},
		{"RX_RCB_WRONG_ATTR_DIS", 0x200000, 0x15}
	} },
	{"CONFIG_F0_BASE", 0x150b, {
		{"F0_BASE", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_ACS_CAP", 0x90000a9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"BIF_RFE_MST_BX_CMDSTATUS", 0x1448, {
		{"BX_RFE_mstTimeout", 0x1000000, 0x18},
		{"REG_BX_clkSetup_timer", 0xf00, 0x8},
		{"REG_BX_clkGate_timer", 0xff, 0x0},
		{"REG_BX_timeout_timer", 0xff0000, 0x10}
	} },
	{"BIF_SMU_INDEX", 0x143d, {
		{"BIF_SMU_INDEX", 0x7fffc, 0x2}
	} },
	{"INTERRUPT_PIN", 0xf, {
		{"INTERRUPT_PIN", 0xff, 0x0}
	} },
	{"D3F3_PCIE_FC_P", 0x60, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"D3F2_MSI_MAP_ADDR_LO", 0x8000033, {
		{"MSI_MAP_ADDR_LO", 0xfff00000, 0x14}
	} },
	{"MEM_TYPE_CNTL", 0x14e4, {
		{"BF_MEM_PHY_G5_G3", 0x1, 0x0}
	} },
	{"D2F3_PCIE_LC_CNTL3", 0xb5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"D2F3_PCIE_LC_CNTL2", 0xb1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"RFE_MASTER_SOFTRST_TRIGGER", 0x1080005, {
		{"RWREG_RFEWRC_rst", 0x4, 0x2},
		{"PCIEW0_rst", 0x1, 0x0},
		{"PCIEW1_rst", 0x2, 0x1}
	} },
	{"D2F3_PCIE_LC_CNTL6", 0xbb, {
		{"LC_SPC_MODE_8GT", 0x10, 0x4},
		{"LC_SPC_MODE_5GT", 0x4, 0x2},
		{"LC_SPC_MODE_2P5GT", 0x1, 0x0}
	} },
	{"D2F3_PCIE_LC_CNTL5", 0xb7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_DSC_EQ_FS_LF_INVALID_TO_PRESETS", 0x1000000, 0x18},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"D2F3_PCIE_LC_CNTL4", 0xb6, {
		{"LC_DIS_CONTIG_END_SET_CHECK", 0x4, 0x2},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_DIS_ASPM_L1_IN_SPEED_CHANGE", 0x8, 0x3}
	} },
	{"PSX80_PHY0_RX_ADAPT_CFG_BYP_EN_LANE3", 0x120030c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"PSX80_WRP_LNCNT_CONTROL", 0x1508030, {
		{"CFG_LNC_OVRD_VAL4", 0x10, 0x4},
		{"CFG_LNC_OVRD_EN3", 0x8, 0x3},
		{"CFG_LNC_CMN_CNT_EN2", 0x4, 0x2},
		{"CFG_LNC_WINDOW_EN0", 0x1, 0x0},
		{"CFG_LNC_BW_CNT_EN1", 0x2, 0x1}
	} },
	{"D2F5_PCIE_LANE_14_EQUALIZATION_CNTL", 0x60000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_PHY0_RX_ADAPT_CFG_BYP_EN_LANE2", 0x120020c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"D2F4_PCIE_PORT_DATA", 0x5000039, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_VC_ENH_CAP_LIST", 0x9000044, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PCIE_PERF_COUNT1_SLV_R_CLK", 0x140008c, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0x9000054, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F4_ROOT_CAP", 0xa00001d, {
		{"CRS_SOFTWARE_VISIBILITY", 0x10000, 0x10}
	} },
	{"D3F4_PCIEP_BCH_ECC_CNTL", 0xd0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"PCIE_UNCORR_ERR_MASK", 0x56, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"PSX80_PHY0_RX_ADAPT_CFG_BYP_EN_LANE0", 0x120000c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"D2F3_PCIEP_HPGI", 0xda, {
		{"HPGI_REG_DEASSERT_TO_SCI_STATUS", 0x800, 0xb},
		{"REG_HPGI_PRESENCE_DETECT_STATE_CHANGE_EN", 0x10000, 0x10},
		{"REG_HPGI_ASSERT_TO_SCI_EN", 0x2, 0x1},
		{"REG_HPGI_DEASSERT_TO_SMI_EN", 0x4, 0x2},
		{"HPGI_REG_DEASSERT_TO_SMI_STATUS", 0x400, 0xa},
		{"REG_HPGI_HOOK", 0x80, 0x7},
		{"HPGI_REG_ASSERT_TO_SMI_STATUS", 0x100, 0x8},
		{"REG_HPGI_ASSERT_TO_SMI_EN", 0x1, 0x0},
		{"REG_HPGI_DEASSERT_TO_SCI_EN", 0x8, 0x3},
		{"HPGI_REG_ASSERT_TO_SCI_STATUS", 0x200, 0x9},
		{"HPGI_REG_PRESENCE_DETECT_STATE_CHANGE_STATUS", 0x8000, 0xf}
	} },
	{"D3F5_PCIE_LANE_6_EQUALIZATION_CNTL", 0xb0000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PCIE_VC1_RESOURCE_CAP", 0x4b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"PCIE_CAP_LIST", 0x16, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F1_PCIE_LANE_1_EQUALIZATION_CNTL", 0x200009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F5_PCIEP_ERROR_INJECT_PHYSICAL", 0x83, {
		{"ERROR_INJECT_PL_BAD_SYNC_HEADER", 0xc00000, 0x16},
		{"ERROR_INJECT_PL_LOOPBACK_OFLOW", 0xc00, 0xa},
		{"ERROR_INJECT_PL_BAD_PARITY_IN_SKP", 0x30, 0x4},
		{"ERROR_INJECT_PL_8B10B_DISPARITY_ERR", 0xc000, 0xe},
		{"ERROR_INJECT_PL_LOOPBACK_UFLOW", 0x300, 0x8},
		{"ERROR_INJECT_PL_FRAMING_ERR", 0xc, 0x2},
		{"ERROR_INJECT_PL_BAD_LFSR_IN_SKP", 0xc0, 0x6},
		{"ERROR_INJECT_PL_LANE_ERR", 0x3, 0x0},
		{"ERROR_INJECT_PL_SKP_OS_ERROR", 0xc0000, 0x12},
		{"ERROR_INJECT_PL_INV_OS_IDENTIFIER", 0x300000, 0x14},
		{"ERROR_INJECT_PL_DESKEW_ERR", 0x3000, 0xc},
		{"ERROR_INJECT_PL_8B10B_DECODE_ERR", 0x30000, 0x10}
	} },
	{"GPU_HDP_FLUSH_DONE", 0x1538, {
		{"SDMA0", 0x400, 0xa},
		{"CP8", 0x100, 0x8},
		{"CP9", 0x200, 0x9},
		{"SDMA1", 0x800, 0xb},
		{"CP0", 0x1, 0x0},
		{"CP1", 0x2, 0x1},
		{"CP2", 0x4, 0x2},
		{"CP3", 0x8, 0x3},
		{"CP4", 0x10, 0x4},
		{"CP5", 0x20, 0x5},
		{"CP6", 0x40, 0x6},
		{"CP7", 0x80, 0x7}
	} },
	{"D3F1_PMI_CAP_LIST", 0x7000014, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX80_PHY0_RX_ADAPTCTL_LANE4", 0x120040a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"D3F1_PCIE_RX_CNTL", 0x70, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_RCB_FLR_TIMEOUT_DIS", 0x8000000, 0x1b},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_TPH_DIS", 0x4000000, 0x1a},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"D2F2_MSI_MSG_CNTL", 0x3000028, {
		{"MSI_MULTI_EN", 0x700000, 0x14},
		{"MSI_MULTI_CAP", 0xe0000, 0x11},
		{"MSI_PERVECTOR_MASKING_CAP", 0x1000000, 0x18},
		{"MSI_64BIT", 0x800000, 0x17},
		{"MSI_EN", 0x10000, 0x10}
	} },
	{"D3F1_PCIEP_BCH_ECC_CNTL", 0xd0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"D2F3_PCIE_ACS_CAP", 0x40000a9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"D2F1_PCIE_ADV_ERR_CAP_CNTL", 0x200005a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"D2F4_PCIE_HDR_LOG0", 0x500005b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_HDR_LOG1", 0x500005c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_HDR_LOG2", 0x500005d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_HDR_LOG3", 0x500005e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_RX_NUM_NAK", 0x140000e, {
		{"RX_NUM_NAK", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_ROOT_ERR_CMD", 0x800005f, {
		{"FATAL_ERR_REP_EN", 0x4, 0x2},
		{"CORR_ERR_REP_EN", 0x1, 0x0},
		{"NONFATAL_ERR_REP_EN", 0x2, 0x1}
	} },
	{"D3F3_PCIE_ERR_CNTL", 0x6a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"D2F3_PCIE_VC1_RESOURCE_CAP", 0x400004b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D3F5_PCIE_RX_EXPECTED_SEQNUM", 0x71, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"D2F4_PCIE_TX_VENDOR_SPECIFIC", 0x22, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_CNTL_SLV_S_C_CLK", 0x140008d, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D3F4_MSI_CAP_LIST", 0xa000028, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F5_PCIE_UNCORR_ERR_MASK", 0x6000056, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"D3F2_PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0x8000050, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F3_PCIE_HDR_LOG2", 0x400005d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_LC_N_FTS_CNTL", 0xa3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"BIF_VDDGFX_RSV3_LOWER", 0x1438, {
		{"VDDGFX_RSV3_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_RSV3_REG_STALL_EN", 0x80000000, 0x1f},
		{"VDDGFX_RSV3_REG_LOWER", 0x3fffc, 0x2}
	} },
	{"PCIE_LC_BW_CHANGE_CNTL", 0x100100b2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"D2F3_PCIE_LC_BEST_EQ_SETTINGS", 0xb9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"PCIE_PERF_COUNT1_TXCLK", 0x1400083, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D2F4_DEVICE_CNTL2", 0x5000020, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"OBFF_EN", 0x6000, 0xd},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKING", 0x80, 0x7},
		{"ATOMICOP_REQUEST_EN", 0x40, 0x6},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"D3F5_PCIE_LC_TRAINING_CNTL", 0xa1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_WAIT_FOR_SETS_IN_RCFG", 0x4000, 0xe},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_HOT_RESET_QUICK_EXIT_EN", 0x8000, 0xf},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"PSX81_PHY0_COM_COMMON_ADAPT_DBG_BYP_VAL1", 0x121620f, {
		{"adapt_dbg_gen3_dfe_tp2_byp_val", 0x1f80, 0x7},
		{"adapt_dbg_gen3_dfe_tp1_byp_val", 0x3f, 0x0}
	} },
	{"PSX80_PIF0_LANE3_OVRD2", 0x110001b, {
		{"TWOSYMENABLE_3", 0x80, 0x7},
		{"COEFFICIENT_3", 0xfc000000, 0x1a},
		{"RXPWR_3", 0xe000, 0xd},
		{"ELECIDLEDETEN_3", 0x40000, 0x12},
		{"FREQDIV_3", 0x18, 0x3},
		{"REQUESTTRK_3", 0x400000, 0x16},
		{"COEFFICIENTID_3", 0x3000000, 0x18},
		{"GANGMODE_3", 0x7, 0x0},
		{"RESPONSEMODE_3", 0x200000, 0x15},
		{"REQUESTTRN_3", 0x800000, 0x17},
		{"LINKSPEED_3", 0x60, 0x5},
		{"RXPGENABLE_3", 0x30000, 0x10},
		{"TXPGENABLE_3", 0x1800, 0xb},
		{"ENABLEFOM_3", 0x80000, 0x13},
		{"REQUESTFOM_3", 0x100000, 0x14},
		{"TXPWR_3", 0x700, 0x8}
	} },
	{"D2F3_BIST", 0x4000003, {
		{"BIST_STRT", 0x40000000, 0x1e},
		{"BIST_COMP", 0xf000000, 0x18},
		{"BIST_CAP", 0x80000000, 0x1f}
	} },
	{"D3F1_PCIEP_ERROR_INJECT_TRANSACTION", 0x84, {
		{"ERROR_INJECT_TL_MALFORMED_TLP", 0x3000, 0xc},
		{"ERROR_INJECT_TL_UNSUPPORTED_REQ", 0x300, 0x8},
		{"ERROR_INJECT_TL_COMPLETER_ABORT", 0x30000, 0x10},
		{"ERROR_INJECT_TL_BAD_TLP", 0xc0, 0x6},
		{"ERROR_INJECT_TL_UNEXPECTED_CMPLT", 0xc000, 0xe},
		{"ERROR_INJECT_TL_REPLAY_NUM_ROLLOVER", 0xc, 0x2},
		{"ERROR_INJECT_TL_COMPLETION_TIMEOUT", 0xc0000, 0x12},
		{"ERROR_INJECT_TL_ECRC_ERROR", 0xc00, 0xa},
		{"ERROR_INJECT_TL_BAD_DLLP", 0x30, 0x4},
		{"ERROR_INJECT_TL_FLOW_CTL_ERR", 0x3, 0x0}
	} },
	{"D2F4_LINK_CNTL2", 0x5000022, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"PSX81_BIF_LM_POWERCONTROL2", 0x141012d, {
		{"LMTxMarginEn3", 0x80, 0x7},
		{"LMTxClkEn3", 0x2, 0x1},
		{"TxCoeffID2", 0x600, 0x9},
		{"TxCoeffID3", 0x1800, 0xb},
		{"LMTxMargin3", 0x1c, 0x2},
		{"LMSkipBit3", 0x20, 0x5},
		{"LMTxEn3", 0x1, 0x0},
		{"TxCoeff0", 0x7e000, 0xd},
		{"TxCoeff1", 0x1f80000, 0x13},
		{"LMLaneUnused3", 0x40, 0x6},
		{"TxCoeff2", 0x7e000000, 0x19},
		{"LMDeemph3", 0x100, 0x8}
	} },
	{"D2F4_PCIE_LANE_9_EQUALIZATION_CNTL", 0x50000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PCIE_PRBS_CLR", 0x14000c8, {
		{"PRBS_CHECKER_DEBUG_BUS_SELECT", 0xf0000, 0x10},
		{"PRBS_CLR", 0xffff, 0x0}
	} },
	{"D2F4_PCIE_MC_RCV1", 0x50000c1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_RX_CNTL2", 0x141001d, {
		{"RX_RCB_LATENCY_EN", 0x100, 0x8},
		{"RX_IGNORE_EP_ATSTRANSREQ_UR", 0x8, 0x3},
		{"RX_RCB_LATENCY_SCALE", 0xe00, 0x9},
		{"RX_RCB_LATENCY_MAX_COUNT", 0x3ff0000, 0x10},
		{"RX_IGNORE_EP_INVCPL_UR", 0x20, 0x5},
		{"FLR_EXTEND_MODE", 0x70000000, 0x1c},
		{"RX_IGNORE_EP_PAGEREQMSG_UR", 0x10, 0x4},
		{"RX_IGNORE_EP_TRANSMWR_UR", 0x4, 0x2},
		{"SLVCPL_MEM_SD_EN", 0x2000, 0xd},
		{"SLVCPL_MEM_LS_EN", 0x1000, 0xc},
		{"SLVCPL_MEM_DS_EN", 0x4000, 0xe},
		{"RX_IGNORE_EP_TRANSMRD_UR", 0x2, 0x1},
		{"RX_IGNORE_EP_INVALIDPASID_UR", 0x1, 0x0}
	} },
	{"PSX81_PHY0_RX_DBG_BYP_EN_LANE7", 0x121070d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"D3F4_LATENCY", 0xa000003, {
		{"LATENCY_TIMER", 0xff00, 0x8}
	} },
	{"MM_DATA_IND", 0x1090001, {
		{"MM_DATA", 0xffffffff, 0x0}
	} },
	{"BIF_VDDGFX_GFX2_LOWER", 0x142c, {
		{"VDDGFX_GFX2_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX2_REG_STALL_EN", 0x80000000, 0x1f},
		{"VDDGFX_GFX2_REG_CMP_EN", 0x40000000, 0x1e}
	} },
	{"D3F4_MSI_MAP_CAP_LIST", 0xa000032, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F1_PCIE_UNCORR_ERR_MASK", 0x2000056, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"D3F1_PCIE_LC_BW_CHANGE_CNTL", 0xb2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"D3F5_INTERRUPT_LINE", 0xb00000f, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"D2F2_PREF_LIMIT_UPPER", 0x300000b, {
		{"PREF_LIMIT_UPPER", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_VENDOR_SPECIFIC_HDR", 0x8000041, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"D2F3_LATENCY", 0x4000003, {
		{"LATENCY_TIMER", 0xff00, 0x8}
	} },
	{"PCIEP_STRAP_MISC", 0x100100c1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"CONFIG_MEMSIZE", 0x150a, {
		{"CONFIG_MEMSIZE", 0xffffffff, 0x0}
	} },
	{"D2F4_MSI_MAP_CAP", 0x5000032, {
		{"FIXD", 0x20000, 0x11},
		{"EN", 0x10000, 0x10},
		{"CAP_TYPE", 0xf8000000, 0x1b}
	} },
	{"PSX80_BIF_SWRST_CONTROL_1", 0x1400105, {
		{"RESETMNTR_RCEN", 0x2000, 0xd},
		{"RESETPCFG_RCEN", 0x2, 0x1},
		{"SWITCHCLK_RCEN", 0x1, 0x0},
		{"STRAPVLD_RCEN", 0x10000000, 0x1c},
		{"RESETLANEMUX_RCEN", 0x4, 0x2},
		{"RESETPIF1_RCEN", 0x20000, 0x11},
		{"SYNCIDLEPIF0_RCEN", 0x100, 0x8},
		{"RESETPIF0_RCEN", 0x10000, 0x10},
		{"RESETPHY1_RCEN", 0x2000000, 0x19},
		{"CMDCFG_RCEN", 0x20000000, 0x1d},
		{"RESETSRBM0_RCEN", 0x10, 0x4},
		{"RESETSRBM1_RCEN", 0x20, 0x5},
		{"RESETCPM_RCEN", 0x8000, 0xf},
		{"SYNCIDLEPIF1_RCEN", 0x200, 0x9},
		{"RESETPHY0_RCEN", 0x1000000, 0x18},
		{"RESETHLTR_RCEN", 0x4000, 0xe},
		{"RESETWRAPREGS_RCEN", 0x8, 0x3},
		{"RESETIMPARB0_RCEN", 0x100000, 0x14},
		{"RESETLC_RCEN", 0x40, 0x6},
		{"RESETIMPARB1_RCEN", 0x200000, 0x15}
	} },
	{"PSX80_BIF_SWRST_CONTROL_0", 0x1400104, {
		{"BIF0_REGISTER_RESETRCEN", 0x80000, 0x13},
		{"BIF0_CONFIG_RESETRCEN", 0x400000, 0x16},
		{"BIF0_PHY_RESETRCEN", 0x100000, 0x14},
		{"BIF_STRAPREG_RESETRCEN", 0x8000, 0xf},
		{"BIF0_CALIB_RESETRCEN", 0x20000, 0x11},
		{"BIF0_CORE_RESETRCEN", 0x40000, 0x12},
		{"BIF0_STICKY_RESETRCEN", 0x200000, 0x15},
		{"BIF0_GLOBAL_RESETRCEN", 0x10000, 0x10}
	} },
	{"PSX80_BIF_SWRST_CONTROL_3", 0x1400107, {
		{"RESETHLTR_ATEN", 0x4000, 0xe},
		{"RESETWRAPREGS_ATEN", 0x8, 0x3},
		{"RESETSRBM1_ATEN", 0x20, 0x5},
		{"RESETPCFG_ATEN", 0x2, 0x1},
		{"SWITCHCLK_ATEN", 0x1, 0x0},
		{"RESETLC_ATEN", 0x40, 0x6},
		{"RESETIMPARB0_ATEN", 0x100000, 0x14},
		{"SYNCIDLEPIF1_ATEN", 0x200, 0x9},
		{"RESETIMPARB1_ATEN", 0x200000, 0x15},
		{"RESETPIF0_ATEN", 0x10000, 0x10},
		{"SYNCIDLEPIF0_ATEN", 0x100, 0x8},
		{"RESETPIF1_ATEN", 0x20000, 0x11},
		{"CMDCFG_ATEN", 0x20000000, 0x1d},
		{"RESETMNTR_ATEN", 0x2000, 0xd},
		{"RESETPHY1_ATEN", 0x2000000, 0x19},
		{"STRAPVLD_ATEN", 0x10000000, 0x1c},
		{"RESETPHY0_ATEN", 0x1000000, 0x18},
		{"RESETSRBM0_ATEN", 0x10, 0x4},
		{"RESETLANEMUX_ATEN", 0x4, 0x2},
		{"RESETCPM_ATEN", 0x8000, 0xf}
	} },
	{"BIF_PWDN_STATUS", 0x1445, {
		{"BX_REG_pw_status", 0x4, 0x2},
		{"RWREG_RFEWGBIF_REG_pw_status", 0x2, 0x1},
		{"FBU_REG_pw_status", 0x1, 0x0}
	} },
	{"D3F5_DEVICE_STATUS", 0xb000018, {
		{"CORR_ERR", 0x10000, 0x10},
		{"TRANSACTIONS_PEND", 0x200000, 0x15},
		{"AUX_PWR", 0x100000, 0x14},
		{"USR_DETECTED", 0x80000, 0x13},
		{"NON_FATAL_ERR", 0x20000, 0x11},
		{"FATAL_ERR", 0x40000, 0x12}
	} },
	{"PSX80_BIF_SWRST_CONTROL_4", 0x1400108, {
		{"BIF_STRAPREG_WRRESETEN", 0x4000, 0xe},
		{"BIF0_PHY_WRRESETEN", 0x100000, 0x14},
		{"BIF0_CORE_WRRESETEN", 0x40000, 0x12},
		{"BIF0_GLOBAL_WRRESETEN", 0x10000, 0x10},
		{"BIF0_STICKY_WRRESETEN", 0x200000, 0x15},
		{"BIF0_CALIB_WRRESETEN", 0x20000, 0x11},
		{"BIF0_REGISTER_WRRESETEN", 0x80000, 0x13},
		{"BIF0_CONFIG_WRRESETEN", 0x400000, 0x16}
	} },
	{"D2F4_PCIE_FC_CPL", 0x62, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"PSX80_BIF_SWRST_CONTROL_6", 0x140010a, {
		{"CONNECTWITHWRAPREGS_EN", 0x100, 0x8},
		{"WARMRESET_EN", 0x1, 0x0}
	} },
	{"D2F5_PCIE_TX_CREDITS_ADVT_NP", 0x31, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"D3F2_PCIE_MC_ENH_CAP_LIST", 0x80000bc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F5_PCIE_TX_CREDITS_FCU_THRESHOLD", 0x37, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"RFE_IMPRST_CNTL", 0x1085160, {
		{"REG_RST_impEn", 0x1, 0x0}
	} },
	{"BIF_SLVARB_MODE", 0x14c4, {
		{"SLVARB_MODE", 0x3, 0x0}
	} },
	{"D2F5_DEVICE_CNTL", 0x6000018, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"BRIDGE_CFG_RETRY_EN", 0x8000, 0xf},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"BIOS_SCRATCH_10_IND", 0x10905d3, {
		{"BIOS_SCRATCH_10", 0xffffffff, 0x0}
	} },
	{"D2F4_SLOT_CNTL", 0x500001c, {
		{"HOTPLUG_INTR_EN", 0x20, 0x5},
		{"PWR_FAULT_DETECTED_EN", 0x2, 0x1},
		{"PRESENCE_DETECT_CHANGED_EN", 0x8, 0x3},
		{"PWR_INDICATOR_CNTL", 0x300, 0x8},
		{"COMMAND_COMPLETED_INTR_EN", 0x10, 0x4},
		{"ATTN_BUTTON_PRESSED_EN", 0x1, 0x0},
		{"MRL_SENSOR_CHANGED_EN", 0x4, 0x2},
		{"ATTN_INDICATOR_CNTL", 0xc0, 0x6},
		{"DL_STATE_CHANGED_EN", 0x1000, 0xc},
		{"ELECTROMECH_INTERLOCK_CNTL", 0x800, 0xb},
		{"PWR_CONTROLLER_CNTL", 0x400, 0xa}
	} },
	{"D2F5_SLOT_STATUS", 0x600001c, {
		{"PRESENCE_DETECT_STATE", 0x400000, 0x16},
		{"DL_STATE_CHANGED", 0x1000000, 0x18},
		{"MRL_SENSOR_CHANGED", 0x40000, 0x12},
		{"ELECTROMECH_INTERLOCK_STATUS", 0x800000, 0x17},
		{"ATTN_BUTTON_PRESSED", 0x10000, 0x10},
		{"MRL_SENSOR_STATE", 0x200000, 0x15},
		{"PWR_FAULT_DETECTED", 0x20000, 0x11},
		{"COMMAND_COMPLETED", 0x100000, 0x14},
		{"PRESENCE_DETECT_CHANGED", 0x80000, 0x13}
	} },
	{"PCIE_VC1_RESOURCE_STATUS", 0x4d, {
		{"PORT_ARB_TABLE_STATUS", 0x1, 0x0},
		{"VC_NEGOTIATION_PENDING", 0x2, 0x1}
	} },
	{"PSX81_PHY0_COM_COMMON_ADAPT_DBG1", 0x1216210, {
		{"adapt_dbg_apu_exec", 0x1c0, 0x6},
		{"adapt_dbg_apu_inst", 0x3fffc00, 0xa},
		{"adapt_dbg_apu_mode", 0x7, 0x0}
	} },
	{"D2F3_EXT_BRIDGE_CNTL", 0x4000010, {
		{"IO_PORT_80_EN", 0x1, 0x0}
	} },
	{"D2F5_PCIE_TX_VENDOR_SPECIFIC", 0x22, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"PSX80_PHY0_TX_TXCNTRL_LANE0", 0x1202006, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"D2F3_SLOT_CAP", 0x400001b, {
		{"SLOT_PWR_LIMIT_VALUE", 0x7f80, 0x7},
		{"PWR_INDICATOR_PRESENT", 0x10, 0x4},
		{"HOTPLUG_SURPRISE", 0x20, 0x5},
		{"NO_COMMAND_COMPLETED_SUPPORTED", 0x40000, 0x12},
		{"ATTN_INDICATOR_PRESENT", 0x8, 0x3},
		{"ATTN_BUTTON_PRESENT", 0x1, 0x0},
		{"PHYSICAL_SLOT_NUM", 0xfff80000, 0x13},
		{"PWR_CONTROLLER_PRESENT", 0x2, 0x1},
		{"MRL_SENSOR_PRESENT", 0x4, 0x2},
		{"HOTPLUG_CAPABLE", 0x40, 0x6},
		{"ELECTROMECH_INTERLOCK_PRESENT", 0x20000, 0x11},
		{"SLOT_PWR_LIMIT_SCALE", 0x18000, 0xf}
	} },
	{"D2F4_PCIE_LC_CNTL", 0xa0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"D2F4_LINK_CAP2", 0x5000021, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"D3F5_PCIE_MC_ADDR1", 0xb0000bf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"BIF_RFE_MST_TMOUT_STATUS", 0x144b, {
		{"MstTmoutStatus", 0x1, 0x0}
	} },
	{"D3F1_PCIE_ROOT_ERR_STATUS", 0x7000060, {
		{"ERR_CORR_RCVD", 0x1, 0x0},
		{"NONFATAL_ERROR_MSG_RCVD", 0x20, 0x5},
		{"FIRST_UNCORRECTABLE_FATAL", 0x10, 0x4},
		{"ADV_ERR_INT_MSG_NUM", 0xf8000000, 0x1b},
		{"MULT_ERR_CORR_RCVD", 0x2, 0x1},
		{"FATAL_ERROR_MSG_RCVD", 0x40, 0x6},
		{"MULT_ERR_FATAL_NONFATAL_RCVD", 0x8, 0x3},
		{"ERR_FATAL_NONFATAL_RCVD", 0x4, 0x2}
	} },
	{"D3F2_IRQ_BRIDGE_CNTL", 0x800000f, {
		{"PARITY_RESPONSE_EN", 0x10000, 0x10},
		{"ISA_EN", 0x40000, 0x12},
		{"FAST_B2B_EN", 0x800000, 0x17},
		{"VGA_EN", 0x80000, 0x13},
		{"SERR_EN", 0x20000, 0x11},
		{"MASTER_ABORT_MODE", 0x200000, 0x15},
		{"VGA_DEC", 0x100000, 0x14},
		{"SECONDARY_BUS_RESET", 0x400000, 0x16}
	} },
	{"ADAPTER_ID_W", 0x13, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"D3F5_PCIE_HDR_LOG0", 0xb00005b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_PORT_VC_CNTL", 0x6000047, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"D3F3_MEM_BASE_LIMIT", 0x9000008, {
		{"MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"MEM_BASE_31_20", 0xfff0, 0x4},
		{"MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D3F3_PCIE_LANE_6_EQUALIZATION_CNTL", 0x90000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F4_PCIE_LC_SPEED_CNTL", 0xa4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"D2F4_SSID_CAP", 0x5000031, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"D3F1_ROOT_CNTL", 0x700001d, {
		{"SERR_ON_CORR_ERR_EN", 0x1, 0x0},
		{"SERR_ON_NONFATAL_ERR_EN", 0x2, 0x1},
		{"SERR_ON_FATAL_ERR_EN", 0x4, 0x2},
		{"PM_INTERRUPT_EN", 0x8, 0x3},
		{"CRS_SOFTWARE_VISIBILITY_EN", 0x10, 0x4}
	} },
	{"BIF_DEVFUNCNUM_LIST0_IND", 0x10914e8, {
		{"DEVFUNC_ID0", 0xff, 0x0},
		{"DEVFUNC_ID1", 0xff00, 0x8},
		{"DEVFUNC_ID2", 0xff0000, 0x10},
		{"DEVFUNC_ID3", 0xff000000, 0x18}
	} },
	{"PSX80_PHY0_TX_TXCNTRL_LANE7", 0x1202706, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"BIF_VDDGFX_GFX4_LOWER", 0x1430, {
		{"VDDGFX_GFX4_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX4_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_GFX4_REG_STALL_EN", 0x80000000, 0x1f}
	} },
	{"D3F3_PCIE_LC_TRAINING_CNTL", 0xa1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_WAIT_FOR_SETS_IN_RCFG", 0x4000, 0xe},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_HOT_RESET_QUICK_EXIT_EN", 0x8000, 0xf},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"BIF_BUSY_DELAY_CNTR", 0x1529, {
		{"DELAY_CNT", 0x3f, 0x0}
	} },
	{"D3F2_PCIE_TX_CREDITS_ADVT_P", 0x30, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"D3F2_PCIEP_HPGI", 0xda, {
		{"HPGI_REG_DEASSERT_TO_SCI_STATUS", 0x800, 0xb},
		{"REG_HPGI_PRESENCE_DETECT_STATE_CHANGE_EN", 0x10000, 0x10},
		{"REG_HPGI_ASSERT_TO_SCI_EN", 0x2, 0x1},
		{"REG_HPGI_DEASSERT_TO_SMI_EN", 0x4, 0x2},
		{"HPGI_REG_DEASSERT_TO_SMI_STATUS", 0x400, 0xa},
		{"REG_HPGI_HOOK", 0x80, 0x7},
		{"HPGI_REG_ASSERT_TO_SMI_STATUS", 0x100, 0x8},
		{"REG_HPGI_ASSERT_TO_SMI_EN", 0x1, 0x0},
		{"REG_HPGI_DEASSERT_TO_SCI_EN", 0x8, 0x3},
		{"HPGI_REG_ASSERT_TO_SCI_STATUS", 0x200, 0x9},
		{"HPGI_REG_PRESENCE_DETECT_STATE_CHANGE_STATUS", 0x8000, 0xf}
	} },
	{"PSX81_PIF0_LANE3_OVRD", 0x111001a, {
		{"LINKSPEED_OVRD_EN_3", 0x4, 0x2},
		{"REQUESTFOM_OVRD_EN_3", 0x400, 0xa},
		{"RXPGENABLE_OVRD_EN_3", 0x80, 0x7},
		{"RESPONSEMODE_OVRD_EN_3", 0x800, 0xb},
		{"REQUESTTRN_OVRD_EN_3", 0x2000, 0xd},
		{"RXPWR_OVRD_EN_3", 0x40, 0x6},
		{"GANGMODE_OVRD_EN_3", 0x1, 0x0},
		{"REQUESTTRK_OVRD_EN_3", 0x1000, 0xc},
		{"COEFFICIENTID_OVRD_EN_3", 0x4000, 0xe},
		{"FREQDIV_OVRD_EN_3", 0x2, 0x1},
		{"ENABLEFOM_OVRD_EN_3", 0x200, 0x9},
		{"TXPWR_OVRD_EN_3", 0x10, 0x4},
		{"CDREN_OVRD_EN_3", 0x10000, 0x10},
		{"TWOSYMENABLE_OVRD_EN_3", 0x8, 0x3},
		{"ELECIDLEDETEN_OVRD_EN_3", 0x100, 0x8},
		{"CDREN_OVRD_VAL_3", 0x20000, 0x11},
		{"TXPGENABLE_OVRD_EN_3", 0x20, 0x5},
		{"COEFFICIENT_OVRD_EN_3", 0x8000, 0xf}
	} },
	{"PCIE_ATS_ENH_CAP_LIST", 0xac, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX80_PHY0_RX_RX_CTL_LANE7", 0x1200702, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"D2F5_PCIE_LC_FORCE_EQ_REQ_COEFF", 0xba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"PCIE_LANE_10_EQUALIZATION_CNTL", 0xa4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F4_PCIE_TX_CREDITS_ADVT_CPL", 0x32, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"D2F5_PCIE_PORT_VC_STATUS", 0x6000047, {
		{"VC_ARB_TABLE_STATUS", 0x10000, 0x10}
	} },
	{"D3F2_INTERRUPT_LINE", 0x800000f, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"D3F5_PCIE_LANE_1_EQUALIZATION_CNTL", 0xb00009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F2_LINK_CAP2", 0x8000021, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE1", 0x1200101, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"D3F3_PCIE_P_PORT_LANE_STATUS", 0x50, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"D2F5_PCIE_P_PORT_LANE_STATUS", 0x50, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"D2F4_PCIE_LANE_12_EQUALIZATION_CNTL", 0x50000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE5", 0x1200501, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE4", 0x1200401, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"BIF_RFE_CLIENT_SOFTRST_TRIGGER", 0x1442, {
		{"CLIENT2_RFE_RFEWGBIF_rst", 0x4, 0x2},
		{"CLIENT1_RFE_RFEWGBIF_rst", 0x2, 0x1},
		{"CLIENT0_RFE_RFEWGBIF_rst", 0x1, 0x0}
	} },
	{"PSX81_BIF_PCIE_RX_NUM_NAK", 0x141000e, {
		{"RX_NUM_NAK", 0xffffffff, 0x0}
	} },
	{"D3F3_CAP_PTR", 0x900000d, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT0_TXCLK2", 0x1400096, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT0_SLV_S_C_CLK", 0x141008e, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"D3F3_DEVICE_STATUS2", 0x9000020, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"PSX80_PIF0_GLB_OVRD", 0x110000c, {
		{"RXDETECT_OVERRIDE_EN", 0x10000, 0x10},
		{"RXDETECT_OVERRIDE_VAL_0", 0x1, 0x0},
		{"RXDETECT_OVERRIDE_VAL_1", 0x2, 0x1},
		{"RXDETECT_OVERRIDE_VAL_2", 0x4, 0x2},
		{"RXDETECT_OVERRIDE_VAL_3", 0x8, 0x3},
		{"RXDETECT_OVERRIDE_VAL_4", 0x10, 0x4},
		{"RXDETECT_OVERRIDE_VAL_5", 0x20, 0x5},
		{"RXDETECT_OVERRIDE_VAL_6", 0x40, 0x6},
		{"RXDETECT_OVERRIDE_VAL_7", 0x80, 0x7}
	} },
	{"D3F4_PCIE_UNCORR_ERR_STATUS", 0xa000055, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"D2F5_PCIE_LANE_6_EQUALIZATION_CNTL", 0x60000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0x54, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_PIF0_RX_CTRL2", 0x111000b, {
		{"RX_L1_PG_PHY_STATUS_MODE", 0x200, 0x9},
		{"EI_DET_CYCLE_MODE", 0x60000, 0x11},
		{"RXPHYSTATUS_DELAY", 0x1c0, 0x6},
		{"RX_STATUS_DASRT_COUNT", 0x38, 0x3},
		{"FORCE_CDREN_IN_L0S", 0x10000, 0x10},
		{"EI_DET_ON_TIME", 0x180000, 0x13},
		{"RX_OFF_PG_PHY_STATUS_MODE", 0x400, 0xa},
		{"RX_RDY_DASRT_COUNT", 0x7, 0x0},
		{"RX_L0S_TO_L0_DETECT_EI", 0x8000000, 0x1b},
		{"RX_CDR_XTND_MODE", 0x6000000, 0x19},
		{"EI_DET_OFF_TIME", 0xe00000, 0x15},
		{"EI_DET_CYCLE_DIS_IN_PS1", 0x1000000, 0x18}
	} },
	{"D2F2_PCIE_TX_CREDITS_FCU_THRESHOLD", 0x37, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"D2F5_MSI_MSG_CNTL", 0x6000028, {
		{"MSI_MULTI_EN", 0x700000, 0x14},
		{"MSI_MULTI_CAP", 0xe0000, 0x11},
		{"MSI_PERVECTOR_MASKING_CAP", 0x1000000, 0x18},
		{"MSI_64BIT", 0x800000, 0x17},
		{"MSI_EN", 0x10000, 0x10}
	} },
	{"D3F5_PCIE_UNCORR_ERR_MASK", 0xb000056, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"D3F1_DEVICE_STATUS2", 0x7000020, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"BIF_VDDGFX_GFX5_UPPER_IND", 0x1091433, {
		{"VDDGFX_GFX5_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"MASTER_CREDIT_CNTL_IND", 0x1091516, {
		{"BIF_AZ_RDRET_CREDIT", 0x3f0000, 0x10},
		{"BIF_MC_RDRET_CREDIT", 0x7f, 0x0}
	} },
	{"GARLIC_COHE_SAM_SAB_RBO_WPTR", 0x141e, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F4_MSI_MSG_DATA_64", 0x500002b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"INTERRUPT_LINE", 0xf, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"D3F3_PCIE_UNCORR_ERR_SEVERITY", 0x9000057, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"PSX80_BIF_PCIE_STRAP_F0", 0x14000b0, {
		{"STRAP_F0_ACS_EN", 0x40, 0x6},
		{"STRAP_F0_VC_EN", 0x8, 0x3},
		{"STRAP_F0_MSI_EN", 0x4, 0x2},
		{"STRAP_F0_MC_EN", 0x20000, 0x11},
		{"STRAP_F0_ATOMIC_ROUTING_EN", 0x100000, 0x14},
		{"STRAP_F0_LEGACY_DEVICE_TYPE_EN", 0x2, 0x1},
		{"STRAP_F0_DPA_EN", 0x200, 0x9},
		{"STRAP_F0_ECRC_GEN_EN", 0x4000, 0xe},
		{"STRAP_F0_PASID_EN", 0x1000, 0xc},
		{"STRAP_F0_DSN_EN", 0x10, 0x4},
		{"STRAP_F0_NO_RO_ENABLED_P2P_PASSING", 0x10000000, 0x1c},
		{"STRAP_F0_ECRC_CHECK_EN", 0x2000, 0xd},
		{"STRAP_F0_AER_EN", 0x20, 0x5},
		{"STRAP_F0_EN", 0x1, 0x0},
		{"STRAP_F0_CPL_ABORT_ERR_EN", 0x8000, 0xf},
		{"STRAP_F0_BAR_EN", 0x80, 0x7},
		{"STRAP_F0_ATOMIC_64BIT_EN", 0x80000, 0x13},
		{"STRAP_F0_MSI_PERVECTOR_MASK_CAP", 0x8000000, 0x1b},
		{"STRAP_F0_SRIOV_EN", 0x40000000, 0x1e},
		{"STRAP_F0_ATS_EN", 0x400, 0xa},
		{"STRAP_F0_POISONED_ADVISORY_NONFATAL", 0x10000, 0x10},
		{"STRAP_F0_PWR_EN", 0x100, 0x8},
		{"STRAP_F0_PAGE_REQ_EN", 0x800, 0xb},
		{"STRAP_F0_ARI_EN", 0x20000000, 0x1d},
		{"STRAP_F0_MSI_MULTI_CAP", 0xe00000, 0x15},
		{"STRAP_F0_VFn_MSI_MULTI_CAP", 0x7000000, 0x18},
		{"STRAP_F0_ATOMIC_EN", 0x40000, 0x12}
	} },
	{"D3F5_PCIE_TLP_PREFIX_LOG1", 0xb000063, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F3_LATENCY", 0x9000003, {
		{"LATENCY_TIMER", 0xff00, 0x8}
	} },
	{"D2F5_PCIE_MC_ADDR0", 0x60000be, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"D2F1_ROOT_STATUS", 0x200001e, {
		{"PME_REQUESTOR_ID", 0xffff, 0x0},
		{"PME_PENDING", 0x20000, 0x11},
		{"PME_STATUS", 0x10000, 0x10}
	} },
	{"PSX81_PHY0_TX_TXCNTRL_LANE7", 0x1212706, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"D3F4_PCIE_CORR_ERR_STATUS", 0xa000058, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"PSX81_WRP_BIF_STRAP_FEATURE_EN_1", 0x1510000, {
		{"STRAP_BIF_EN_DEC_TO_HIDDEN_REG", 0x20, 0x5},
		{"STRAP_BIF_GEN2_COMPLIANCE", 0x8, 0x3},
		{"STRAP_BIF_LTR_SUPPORTED", 0x20000000, 0x1d},
		{"STRAP_BIF_AER_EN", 0x2, 0x1},
		{"STRAP_BIF_TPH_SUPPORTED", 0x800, 0xb},
		{"STRAP_BIF_ECN1P1_EN", 0x4, 0x2},
		{"STRAP_BIF_OBFF_SUPPORTED", 0xc0000000, 0x1e},
		{"STRAP_BIF_FORCE_MASTER_TIMEOUT_EN", 0x200, 0x9},
		{"STRAP_BIF_MULTI_FUNC_EN", 0x2000, 0xd},
		{"STRAP_BIF_ARI_EN", 0x800000, 0x17},
		{"STRAP_BIF_2VC_EN", 0x200000, 0x15},
		{"STRAP_BIF_TL_ALT_BUF_EN", 0x10000000, 0x1c}
	} },
	{"PSX81_PHY0_TX_TXCNTRL_LANE0", 0x1212006, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"PSX81_PHY0_TX_TXCNTRL_LANE3", 0x1212306, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"D2F5_PCIE_LC_N_FTS_CNTL", 0xa3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"PSX81_PHY0_TX_TXCNTRL_LANE5", 0x1212506, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"PSX81_PHY0_TX_TXCNTRL_LANE4", 0x1212406, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"D3F5_PCIE_LANE_11_EQUALIZATION_CNTL", 0xb0000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F3_PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0x4000054, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F2_PCIE_MC_CNTL", 0x30000bd, {
		{"MC_NUM_GROUP", 0x3f0000, 0x10},
		{"MC_ENABLE", 0x80000000, 0x1f}
	} },
	{"D3F5_PCIEP_PORT_CNTL", 0x10, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"HOST_BUSNUM_IND", 0x109153d, {
		{"HOST_ID", 0xffff, 0x0}
	} },
	{"PSX80_PHY0_RX_RX_CTL_LANE3", 0x1200302, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"D3F4_PCIE_LC_CNTL", 0xa0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"D2F1_ROOT_CNTL", 0x200001d, {
		{"SERR_ON_CORR_ERR_EN", 0x1, 0x0},
		{"SERR_ON_NONFATAL_ERR_EN", 0x2, 0x1},
		{"SERR_ON_FATAL_ERR_EN", 0x4, 0x2},
		{"PM_INTERRUPT_EN", 0x8, 0x3},
		{"CRS_SOFTWARE_VISIBILITY_EN", 0x10, 0x4}
	} },
	{"RFE_MST_PCIEW0_CMDSTATUS", 0x1080020, {
		{"REG_PCIEW0_clkGate_timer", 0xff, 0x0},
		{"REG_PCIEW0_clkSetup_timer", 0xf00, 0x8},
		{"PCIEW0_RFE_mstTimeout", 0x1000000, 0x18},
		{"REG_PCIEW0_timeout_timer", 0xff0000, 0x10}
	} },
	{"D3F3_DEVICE_CAP2", 0x900001f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"ATOMICOP_ROUTING_SUPPORTED", 0x40, 0x6},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"ATOMICOP_32CMPLT_SUPPORTED", 0x80, 0x7},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"CAS128_CMPLT_SUPPORTED", 0x200, 0x9},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"ATOMICOP_64CMPLT_SUPPORTED", 0x100, 0x8},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"PSX81_BIF_PCIE_PRBS_MISC", 0x14100cc, {
		{"PRBS_EN", 0x1, 0x0},
		{"PRBS_CHK_ERR_MASK", 0xffff0000, 0x10},
		{"PRBS_COMMA_NUM", 0xc0, 0x6},
		{"PRBS_LOCK_CNT", 0x1f00, 0x8},
		{"PRBS_TEST_MODE", 0xe, 0x1},
		{"PRBS_USER_PATTERN_TOGGLE", 0x10, 0x4},
		{"PRBS_DATA_RATE", 0xc000, 0xe},
		{"PRBS_8BIT_SEL", 0x20, 0x5}
	} },
	{"PCIE_STRAP_PI", 0x14000c2, {
		{"STRAP_TEST_TOGGLE_MODE", 0x20000000, 0x1d},
		{"STRAP_TEST_TOGGLE_PATTERN", 0x10000000, 0x1c},
		{"STRAP_QUICKSIM_START", 0x1, 0x0}
	} },
	{"D2F1_CAP_PTR", 0x200000d, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"PSX80_PHY0_TX_DEEMPH_LANE3", 0x1202302, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PSX81_PHY0_TX_DFX_LANE7", 0x1212701, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"D3F2_PCIE_VC1_RESOURCE_STATUS", 0x800004d, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D2F5_MSI_CAP_LIST", 0x6000028, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F3_PCIEP_SCRATCH", 0x1, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_TX_CREDITS_ADVT_P", 0x30, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"D3F5_IO_BASE_LIMIT_HI", 0xb00000c, {
		{"IO_LIMIT_31_16", 0xffff0000, 0x10},
		{"IO_BASE_31_16", 0xffff, 0x0}
	} },
	{"D3F2_CACHE_LINE", 0x8000003, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"D3F4_MSI_MAP_CAP", 0xa000032, {
		{"FIXD", 0x20000, 0x11},
		{"EN", 0x10000, 0x10},
		{"CAP_TYPE", 0xf8000000, 0x1b}
	} },
	{"SMBDAT_PAD_CNTL", 0x1522, {
		{"SMBDAT_PAD_SN1", 0x40, 0x6},
		{"SMBDAT_PAD_SN0", 0x20, 0x5},
		{"SMBDAT_PAD_SN3", 0x100, 0x8},
		{"SMBDAT_PAD_SN2", 0x80, 0x7},
		{"SMBDAT_PAD_SCHMEN", 0x800, 0xb},
		{"SMBDAT_PAD_SPARE", 0x18, 0x3},
		{"SMBDAT_PAD_A", 0x1, 0x0},
		{"SMBDAT_PAD_MODE", 0x4, 0x2},
		{"SMBDAT_PAD_SEL", 0x2, 0x1},
		{"SMBDAT_PAD_SLEWN", 0x200, 0x9},
		{"SMBDAT_PAD_CNTL_EN", 0x1000, 0xc},
		{"SMBDAT_PAD_WAKE", 0x400, 0xa}
	} },
	{"PSX80_PHY0_COM_COMMON_DFX", 0x1206205, {
		{"force_cdr_en", 0x800, 0xb},
		{"hold_rdy_response", 0x20000000, 0x1d},
		{"prbs_seed", 0x7fe, 0x1},
		{"dsm_en", 0xf000000, 0x18},
		{"ovrd_pll_on", 0x2000, 0xd},
		{"dsm_sel", 0x7e0000, 0x11},
		{"ovrd_clk_en", 0x8000, 0xf},
		{"nelb_en", 0x1, 0x0}
	} },
	{"PSX81_PIF0_CMD_BUS_CTRL", 0x1110011, {
		{"CMD_BUS_SCHL_MODE", 0x3, 0x0},
		{"CMD_BUS_IGNR_PEND_PWR", 0x80, 0x7},
		{"CMD_BUS_STAG_MODE", 0xc, 0x2},
		{"CMD_BUS_IGNR_PWR_NOT_ON", 0x200, 0x9},
		{"SEND_GANGED_MODE_UPDATE_FOR_OFFPG_LANES", 0x100, 0x8},
		{"CMD_BUS_SCH_REQ_MODE", 0x60, 0x5},
		{"CMD_BUS_STAG_DIS", 0x10, 0x4}
	} },
	{"D2F2_PCIE_FC_NP", 0x61, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"PSX81_WRP_PCIE_WRAP_TURNAROUND_DAISYCHAIN", 0x1318007, {
		{"END_BIFCORE_REGISTER_DAISYCHAIN", 0x1, 0x0},
		{"END_WRAPPER_REGISTER_DAISYCHAIN", 0x2, 0x1}
	} },
	{"D3F2_DEVICE_ID", 0x8000000, {
		{"DEVICE_ID", 0xffff0000, 0x10}
	} },
	{"RFE_MST_RWREG_RFEWRC_CMDSTATUS", 0x1080022, {
		{"REG_RWREG_RFEWRC_clkGate_timer", 0xff, 0x0},
		{"REG_RWREG_RFEWRC_clkSetup_timer", 0xf00, 0x8},
		{"RWREG_RFEWRC_RFE_mstTimeout", 0x1000000, 0x18},
		{"REG_RWREG_RFEWRC_timeout_timer", 0xff0000, 0x10}
	} },
	{"D3F3_PCIE_LANE_2_EQUALIZATION_CNTL", 0x90000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F2_PROG_INTERFACE", 0x8000002, {
		{"PROG_INTERFACE", 0xff00, 0x8}
	} },
	{"PSX81_WRP_BIF_SERIAL_NUM", 0x1510045, {

	} },
	{"D3F2_PCIE_LANE_3_EQUALIZATION_CNTL", 0x80000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F2_PCIE_LC_FORCE_EQ_REQ_COEFF", 0xba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"D2F4_PCIE_SECONDARY_ENH_CAP_LIST", 0x500009c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F4_DEVICE_STATUS", 0x5000018, {
		{"CORR_ERR", 0x10000, 0x10},
		{"TRANSACTIONS_PEND", 0x200000, 0x15},
		{"AUX_PWR", 0x100000, 0x14},
		{"USR_DETECTED", 0x80000, 0x13},
		{"NON_FATAL_ERR", 0x20000, 0x11},
		{"FATAL_ERR", 0x40000, 0x12}
	} },
	{"D3F2_SUB_CLASS", 0x8000002, {
		{"SUB_CLASS", 0xff0000, 0x10}
	} },
	{"D3F2_PCIEP_ERROR_INJECT_TRANSACTION", 0x84, {
		{"ERROR_INJECT_TL_MALFORMED_TLP", 0x3000, 0xc},
		{"ERROR_INJECT_TL_UNSUPPORTED_REQ", 0x300, 0x8},
		{"ERROR_INJECT_TL_COMPLETER_ABORT", 0x30000, 0x10},
		{"ERROR_INJECT_TL_BAD_TLP", 0xc0, 0x6},
		{"ERROR_INJECT_TL_UNEXPECTED_CMPLT", 0xc000, 0xe},
		{"ERROR_INJECT_TL_REPLAY_NUM_ROLLOVER", 0xc, 0x2},
		{"ERROR_INJECT_TL_COMPLETION_TIMEOUT", 0xc0000, 0x12},
		{"ERROR_INJECT_TL_ECRC_ERROR", 0xc00, 0xa},
		{"ERROR_INJECT_TL_BAD_DLLP", 0x30, 0x4},
		{"ERROR_INJECT_TL_FLOW_CTL_ERR", 0x3, 0x0}
	} },
	{"D3F1_PREF_BASE_LIMIT", 0x7000009, {
		{"PREF_MEM_BASE_31_20", 0xfff0, 0x4},
		{"PREF_MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"PREF_MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"PREF_MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D2F5_PCIE_ADV_ERR_CAP_CNTL", 0x600005a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"PSX80_PHY0_COM_COMMON_CDR_PHCTL", 0x1206214, {
		{"cdr_pi_stpsz_gen3", 0x1, 0x0},
		{"cdr_ph_gain_gen3", 0x780, 0x7},
		{"cdr_ph_byp_val", 0x7e000, 0xd}
	} },
	{"D2F2_SLOT_STATUS", 0x300001c, {
		{"PRESENCE_DETECT_STATE", 0x400000, 0x16},
		{"DL_STATE_CHANGED", 0x1000000, 0x18},
		{"MRL_SENSOR_CHANGED", 0x40000, 0x12},
		{"ELECTROMECH_INTERLOCK_STATUS", 0x800000, 0x17},
		{"ATTN_BUTTON_PRESSED", 0x10000, 0x10},
		{"MRL_SENSOR_STATE", 0x200000, 0x15},
		{"PWR_FAULT_DETECTED", 0x20000, 0x11},
		{"COMMAND_COMPLETED", 0x100000, 0x14},
		{"PRESENCE_DETECT_CHANGED", 0x80000, 0x13}
	} },
	{"PSX81_PIF0_CMD_BUS_GLB_OVRD", 0x1110013, {
		{"PLLFREQ", 0x180, 0x7},
		{"RESPONSEMODE_PIF_OVRD", 0x200, 0x9},
		{"PLLFREQ_OVRD_EN", 0x4, 0x2},
		{"CMD_BUS_LANE_DIS_7", 0x800000, 0x17},
		{"DEEMPH", 0x40, 0x6},
		{"DEEMPH_OVRD_EN", 0x2, 0x1},
		{"CMD_BUS_LANE_DIS_3", 0x80000, 0x13},
		{"CMD_BUS_LANE_DIS_2", 0x40000, 0x12},
		{"TXMARG_OVRD_EN", 0x1, 0x0},
		{"CMD_BUS_LANE_DIS_0", 0x10000, 0x10},
		{"CMD_BUS_LANE_DIS_1", 0x20000, 0x11},
		{"CMD_BUS_LANE_DIS_6", 0x400000, 0x16},
		{"TXMARG", 0x38, 0x3},
		{"CMD_BUS_LANE_DIS_4", 0x100000, 0x14},
		{"CMD_BUS_LANE_DIS_5", 0x200000, 0x15}
	} },
	{"D3F5_SSID_CAP_LIST", 0xb000030, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PCIE_BAR3_CAP", 0x85, {
		{"BAR_SIZE_SUPPORTED", 0xfffff0, 0x4}
	} },
	{"D3F5_ROOT_STATUS", 0xb00001e, {
		{"PME_REQUESTOR_ID", 0xffff, 0x0},
		{"PME_PENDING", 0x20000, 0x11},
		{"PME_STATUS", 0x10000, 0x10}
	} },
	{"D2F3_PCIE_LC_BW_CHANGE_CNTL", 0xb2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"D3F5_PCIEP_HPGI", 0xda, {
		{"HPGI_REG_DEASSERT_TO_SCI_STATUS", 0x800, 0xb},
		{"REG_HPGI_PRESENCE_DETECT_STATE_CHANGE_EN", 0x10000, 0x10},
		{"REG_HPGI_ASSERT_TO_SCI_EN", 0x2, 0x1},
		{"REG_HPGI_DEASSERT_TO_SMI_EN", 0x4, 0x2},
		{"HPGI_REG_DEASSERT_TO_SMI_STATUS", 0x400, 0xa},
		{"REG_HPGI_HOOK", 0x80, 0x7},
		{"HPGI_REG_ASSERT_TO_SMI_STATUS", 0x100, 0x8},
		{"REG_HPGI_ASSERT_TO_SMI_EN", 0x1, 0x0},
		{"REG_HPGI_DEASSERT_TO_SCI_EN", 0x8, 0x3},
		{"HPGI_REG_ASSERT_TO_SCI_STATUS", 0x200, 0x9},
		{"HPGI_REG_PRESENCE_DETECT_STATE_CHANGE_STATUS", 0x8000, 0xf}
	} },
	{"D2F5_PCIE_RX_CNTL3", 0x74, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"D2F1_PCIE_TX_VENDOR_SPECIFIC", 0x22, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"D2F2_PCIE_MC_ENH_CAP_LIST", 0x30000bc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT0_MST_C_CLK", 0x1400088, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"HW_DEBUG_IND", 0x1091515, {
		{"HW_25_DEBUG", 0x2000000, 0x19},
		{"HW_27_DEBUG", 0x8000000, 0x1b},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_28_DEBUG", 0x10000000, 0x1c},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_18_DEBUG", 0x40000, 0x12},
		{"HW_30_DEBUG", 0x40000000, 0x1e},
		{"HW_31_DEBUG", 0x80000000, 0x1f},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_21_DEBUG", 0x200000, 0x15},
		{"HW_19_DEBUG", 0x80000, 0x13},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_20_DEBUG", 0x100000, 0x14},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_00_DEBUG", 0x1, 0x0},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_16_DEBUG", 0x10000, 0x10},
		{"HW_23_DEBUG", 0x800000, 0x17},
		{"HW_22_DEBUG", 0x400000, 0x16},
		{"HW_26_DEBUG", 0x4000000, 0x1a},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_24_DEBUG", 0x1000000, 0x18},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_29_DEBUG", 0x20000000, 0x1d},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_17_DEBUG", 0x20000, 0x11}
	} },
	{"D3F3_PCIE_MC_CAP", 0x90000bd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"PCIE_STRAP_F2", 0x14000b2, {
		{"STRAP_F2_AER_EN", 0x20, 0x5},
		{"STRAP_F2_CPL_ABORT_ERR_EN", 0x8000, 0xf},
		{"STRAP_F2_POISONED_ADVISORY_NONFATAL", 0x10000, 0x10},
		{"STRAP_F2_DPA_EN", 0x200, 0x9},
		{"STRAP_F2_MSI_EN", 0x4, 0x2},
		{"STRAP_F2_BAR_EN", 0x80, 0x7},
		{"STRAP_F2_DSN_EN", 0x10, 0x4},
		{"STRAP_F2_PASID_EN", 0x1000, 0xc},
		{"STRAP_F2_LEGACY_DEVICE_TYPE_EN", 0x2, 0x1},
		{"STRAP_F2_ECRC_GEN_EN", 0x4000, 0xe},
		{"STRAP_F2_PWR_EN", 0x100, 0x8},
		{"STRAP_F2_EN", 0x1, 0x0},
		{"STRAP_F2_ECRC_CHECK_EN", 0x2000, 0xd},
		{"STRAP_F2_VC_EN", 0x8, 0x3},
		{"STRAP_F2_ACS_EN", 0x40, 0x6},
		{"STRAP_F2_PAGE_REQ_EN", 0x800, 0xb},
		{"STRAP_F2_ATS_EN", 0x400, 0xa}
	} },
	{"PCIE_STRAP_F3", 0x14000b3, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"PCIE_STRAP_F0", 0x14000b0, {
		{"STRAP_F0_DSN_EN", 0x10, 0x4},
		{"STRAP_F0_PAGE_REQ_EN", 0x800, 0xb},
		{"STRAP_F0_VC_EN", 0x8, 0x3},
		{"STRAP_F0_PWR_EN", 0x100, 0x8},
		{"STRAP_F0_MSI_EN", 0x4, 0x2},
		{"STRAP_F0_ECRC_CHECK_EN", 0x2000, 0xd},
		{"STRAP_F0_AER_EN", 0x20, 0x5},
		{"STRAP_F0_EN", 0x1, 0x0},
		{"STRAP_F0_ACS_EN", 0x40, 0x6},
		{"STRAP_F0_BAR_EN", 0x80, 0x7},
		{"STRAP_F0_CPL_ABORT_ERR_EN", 0x8000, 0xf},
		{"STRAP_F0_LEGACY_DEVICE_TYPE_EN", 0x2, 0x1},
		{"STRAP_F0_DPA_EN", 0x200, 0x9},
		{"STRAP_F0_ECRC_GEN_EN", 0x4000, 0xe},
		{"STRAP_F0_ATS_EN", 0x400, 0xa},
		{"STRAP_F0_POISONED_ADVISORY_NONFATAL", 0x10000, 0x10},
		{"STRAP_F0_PASID_EN", 0x1000, 0xc},
		{"STRAP_F0_MC_EN", 0x20000, 0x11}
	} },
	{"PCIE_STRAP_F1", 0x14000b1, {
		{"STRAP_F1_DSN_EN", 0x10, 0x4},
		{"STRAP_F1_DPA_EN", 0x200, 0x9},
		{"STRAP_F1_LEGACY_DEVICE_TYPE_EN", 0x2, 0x1},
		{"STRAP_F1_PAGE_REQ_EN", 0x800, 0xb},
		{"STRAP_F1_PASID_EN", 0x1000, 0xc},
		{"STRAP_F1_AER_EN", 0x20, 0x5},
		{"STRAP_F1_BAR_EN", 0x80, 0x7},
		{"STRAP_F1_ECRC_GEN_EN", 0x4000, 0xe},
		{"STRAP_F1_CPL_ABORT_ERR_EN", 0x8000, 0xf},
		{"STRAP_F1_VC_EN", 0x8, 0x3},
		{"STRAP_F1_ACS_EN", 0x40, 0x6},
		{"STRAP_F1_MSI_EN", 0x4, 0x2},
		{"STRAP_F1_POISONED_ADVISORY_NONFATAL", 0x10000, 0x10},
		{"STRAP_F1_ATS_EN", 0x400, 0xa},
		{"STRAP_F1_EN", 0x1, 0x0},
		{"STRAP_F1_PWR_EN", 0x100, 0x8},
		{"STRAP_F1_ECRC_CHECK_EN", 0x2000, 0xd}
	} },
	{"PCIE_STRAP_F6", 0x14000b6, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"PCIE_STRAP_F7", 0x14000b7, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"PCIE_STRAP_F4", 0x14000b4, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"PCIE_PERF_COUNT1_MST_R_CLK", 0x1400086, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"BIF_BUSNUM_CNTL2_IND", 0x109152b, {
		{"AUTOUPDATE_EN", 0x100, 0x8},
		{"ERROR_MULTIPLE_ID_MATCH", 0x20000, 0x11},
		{"AUTOUPDATE_SEL", 0xff, 0x0},
		{"HDPREG_CNTL", 0x10000, 0x10}
	} },
	{"D3F3_SSID_CAP_LIST", 0x9000030, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F2_PCIE_TX_REQUEST_NUM_CNTL", 0x23, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"GARLIC_COHE_SDMA1_GFX_RB_WPTR_IND", 0x109141a, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"GARLIC_COHE_VCE_RB_WPTR2", 0x1420, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"GARLIC_COHE_CP_RB1_WPTR", 0x1416, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PCIE_TX_REPLAY", 0x10010025, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"D2F5_PCIE_TX_CREDITS_INIT_P", 0x33, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"D2F3_SUB_BUS_NUMBER_LATENCY", 0x4000006, {
		{"SECONDARY_BUS", 0xff00, 0x8},
		{"PRIMARY_BUS", 0xff, 0x0},
		{"SUB_BUS_NUM", 0xff0000, 0x10},
		{"SECONDARY_LATENCY_TIMER", 0xff000000, 0x18}
	} },
	{"BIF_DOORBELL_GBLAPER2_LOWER", 0x14fe, {
		{"DOORBELL_GBLAPER2_LOWER", 0xffc, 0x2},
		{"DOORBELL_GBLAPER2_EN", 0x80000000, 0x1f}
	} },
	{"PEER1_FB_OFFSET_HI_IND", 0x10914f1, {
		{"PEER1_FB_OFFSET_HI", 0xfffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_LC_STATUS2", 0x1410029, {
		{"LC_TURN_ON_LANE", 0xffff0000, 0x10},
		{"LC_TOTAL_INACTIVE_LANES", 0xffff, 0x0}
	} },
	{"D3F3_PCIE_VC1_RESOURCE_CNTL", 0x900004c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"PSX81_BIF_PCIE_LC_STATUS1", 0x1410028, {
		{"LC_REVERSE_RCVR", 0x1, 0x0},
		{"LC_DETECTED_LINK_WIDTH", 0xe0, 0x5},
		{"LC_OPERATING_LINK_WIDTH", 0x1c, 0x2},
		{"LC_REVERSE_XMIT", 0x2, 0x1}
	} },
	{"D3F1_CACHE_LINE", 0x7000003, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"D2F2_DEVICE_ID", 0x3000000, {
		{"DEVICE_ID", 0xffff0000, 0x10}
	} },
	{"PSX81_BIF_LM_PCIETXMUX0", 0x1410121, {
		{"TXLANE1", 0xff00, 0x8},
		{"TXLANE0", 0xff, 0x0},
		{"TXLANE3", 0xff000000, 0x18},
		{"TXLANE2", 0xff0000, 0x10}
	} },
	{"D2F2_PCIE_TX_CREDITS_INIT_P", 0x33, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"D2F4_SECONDARY_STATUS", 0x5000007, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"RECEIVED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D3F3_PCIE_LC_N_FTS_CNTL", 0xa3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"PSX80_WRP_DTM_DENTIST_GATE_TIMING_FI_clk10x", 0x130ffe6, {
		{"DentistGate_stopTime_FI_clk10x", 0xff0000, 0x10},
		{"DentistGate_dropoutTime_FI_clk10x", 0xff00, 0x8},
		{"DentistGate_startTime_FI_clk10x", 0xff, 0x0}
	} },
	{"D3F2_IO_BASE_LIMIT", 0x8000007, {
		{"IO_LIMIT", 0xf000, 0xc},
		{"IO_LIMIT_TYPE", 0xf00, 0x8},
		{"IO_BASE", 0xf0, 0x4},
		{"IO_BASE_TYPE", 0xf, 0x0}
	} },
	{"D3F3_PCIE_FC_NP", 0x61, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"D3F4_PCIE_VC1_RESOURCE_CAP", 0xa00004b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D2F4_PCIE_MC_BLOCK_UNTRANSLATED_1", 0x50000c5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_MC_BLOCK_UNTRANSLATED_0", 0x50000c4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"D3F5_PREF_BASE_UPPER", 0xb00000a, {
		{"PREF_BASE_UPPER", 0xffffffff, 0x0}
	} },
	{"BIF_RB_WPTR_ADDR_HI", 0x1534, {
		{"ADDR", 0xff, 0x0}
	} },
	{"D3F1_DEVICE_CNTL2", 0x7000020, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"OBFF_EN", 0x6000, 0xd},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKING", 0x80, 0x7},
		{"ATOMICOP_REQUEST_EN", 0x40, 0x6},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"PSX81_PIF0_LANE4_OVRD2", 0x111001d, {
		{"RXPGENABLE_4", 0x30000, 0x10},
		{"ELECIDLEDETEN_4", 0x40000, 0x12},
		{"TWOSYMENABLE_4", 0x80, 0x7},
		{"REQUESTTRK_4", 0x400000, 0x16},
		{"FREQDIV_4", 0x18, 0x3},
		{"COEFFICIENT_4", 0xfc000000, 0x1a},
		{"RXPWR_4", 0xe000, 0xd},
		{"LINKSPEED_4", 0x60, 0x5},
		{"REQUESTTRN_4", 0x800000, 0x17},
		{"RESPONSEMODE_4", 0x200000, 0x15},
		{"GANGMODE_4", 0x7, 0x0},
		{"TXPWR_4", 0x700, 0x8},
		{"REQUESTFOM_4", 0x100000, 0x14},
		{"ENABLEFOM_4", 0x80000, 0x13},
		{"COEFFICIENTID_4", 0x3000000, 0x18},
		{"TXPGENABLE_4", 0x1800, 0xb}
	} },
	{"BIOS_SCRATCH_5_IND", 0x10905ce, {
		{"BIOS_SCRATCH_5", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_ACS_CNTL", 0x80000a9, {
		{"UPSTREAM_FORWARDING_EN", 0x100000, 0x14},
		{"SOURCE_VALIDATION_EN", 0x10000, 0x10},
		{"P2P_EGRESS_CONTROL_EN", 0x200000, 0x15},
		{"P2P_COMPLETION_REDIRECT_EN", 0x80000, 0x13},
		{"DIRECT_TRANSLATED_P2P_EN", 0x400000, 0x16},
		{"P2P_REQUEST_REDIRECT_EN", 0x40000, 0x12},
		{"TRANSLATION_BLOCKING_EN", 0x20000, 0x11}
	} },
	{"PSX81_BIF_PCIE_CNTL2", 0x141001c, {
		{"SLV_MEM_AGGRESSIVE_LS_EN", 0x20000, 0x11},
		{"TX_ATOMIC_OPS_DISABLE", 0x2000, 0xd},
		{"SLV_MEM_LS_EN", 0x10000, 0x10},
		{"MST_MEM_DS_EN", 0x40000000, 0x1e},
		{"MST_MEM_SD_EN", 0x400000, 0x16},
		{"RX_NP_MEM_WRITE_ENCODING", 0x1f000000, 0x18},
		{"SLV_MEM_DS_EN", 0x20000000, 0x1d},
		{"TX_ARB_MST_LIMIT", 0x7c0, 0x6},
		{"SLV_MEM_SD_EN", 0x100000, 0x14},
		{"REPLAY_MEM_LS_EN", 0x80000, 0x13},
		{"TX_NP_MEM_WRITE_SWP_ENCODING", 0x1000, 0xc},
		{"REPLAY_MEM_SD_EN", 0x800000, 0x17},
		{"TX_ATOMIC_ORDERING_DIS", 0x4000, 0xe},
		{"SLV_MEM_AGGRESSIVE_SD_EN", 0x200000, 0x15},
		{"TX_ARB_ROUND_ROBIN_EN", 0x1, 0x0},
		{"TX_ARB_SLV_LIMIT", 0x3e, 0x1},
		{"MST_MEM_LS_EN", 0x40000, 0x12},
		{"TX_BLOCK_TLP_ON_PM_DIS", 0x800, 0xb},
		{"REPLAY_MEM_DS_EN", 0x80000000, 0x1f}
	} },
	{"PCIE_ATS_CAP", 0xad, {
		{"PAGE_ALIGNED_REQUEST", 0x20, 0x5},
		{"INVALIDATE_Q_DEPTH", 0x1f, 0x0},
		{"GLOBAL_INVALIDATE_SUPPORTED", 0x40, 0x6}
	} },
	{"D2F1_PCIE_VC1_RESOURCE_CNTL", 0x200004c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D2F1_IO_BASE_LIMIT_HI", 0x200000c, {
		{"IO_LIMIT_31_16", 0xffff0000, 0x10},
		{"IO_BASE_31_16", 0xffff, 0x0}
	} },
	{"D3F1_PCIE_MC_RCV0", 0x70000c0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"NEW_REFCLKB_TIMER_1_IND", 0x1301484, {
		{"PLL0_PDNB_EN", 0x400, 0xa},
		{"PHY_PLL_PDWN_TIMER", 0x3ff, 0x0}
	} },
	{"PCIE_PERF_CNTL_SLV_S_C_CLK", 0x140008d, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D2F2_PCIEP_SCRATCH", 0x1, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_RX_DBG_BYP_EN_LANE5", 0x120050d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PSX80_PHY0_RX_DBG_BYP_EN_LANE4", 0x120040d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PSX80_PHY0_RX_DBG_BYP_EN_LANE3", 0x120030d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PSX80_PHY0_RX_DBG_BYP_EN_LANE2", 0x120020d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PCIE_PERF_COUNT0_MST_R_CLK", 0x1400085, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PCIE_TX_VENDOR_SPECIFIC", 0x10010022, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"D2F2_PCIE_VENDOR_SPECIFIC2", 0x3000043, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_VENDOR_SPECIFIC1", 0x3000042, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_TX_CNTL", 0x20, {
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"D2F1_LINK_STATUS", 0x200001a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x80000000, 0x1f},
		{"DL_ACTIVE", 0x20000000, 0x1d},
		{"SLOT_CLOCK_CFG", 0x10000000, 0x1c},
		{"LINK_TRAINING", 0x8000000, 0x1b},
		{"LINK_BW_MANAGEMENT_STATUS", 0x40000000, 0x1e},
		{"CURRENT_LINK_SPEED", 0xf0000, 0x10},
		{"NEGOTIATED_LINK_WIDTH", 0x3f00000, 0x14}
	} },
	{"D3F2_PCIE_ADV_ERR_CAP_CNTL", 0x800005a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"D3F4_COMMAND", 0xa000001, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"D2F1_PCIE_PORT_VC_CNTL", 0x2000047, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"PSX80_PHY0_COM_COMMON_ADAPTCTL2", 0x120620b, {
		{"adapt_cfg_dfe_tap_loop_gain", 0x3c0000, 0x12},
		{"adapt_cfg_leq_loop_gain", 0x3, 0x0},
		{"adapt_cfg_pi_off_range_rt", 0x3800000, 0x17},
		{"adapt_cfg_dfe_ref_loop_gain", 0x1e000, 0xd},
		{"adapt_cfg_pi_off_range_lt", 0x38000000, 0x1b},
		{"adapt_cfg_ofc_loop_gain", 0x78, 0x3},
		{"adapt_cfg_fom_loop_gain", 0xf00, 0x8}
	} },
	{"D3F4_PCIE_LC_STATE3", 0xa8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"D2F5_PMI_STATUS_CNTL", 0x6000015, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"PSX81_BIF_LM_POWERCONTROL4", 0x141012f, {
		{"SpcMode3", 0x80000000, 0x1f},
		{"SpcMode2", 0x40000000, 0x1e},
		{"SpcMode1", 0x20000000, 0x1d},
		{"SpcMode0", 0x10000000, 0x1c},
		{"LaneNum2", 0xf00000, 0x14},
		{"LaneNum3", 0xf000000, 0x18},
		{"LaneNum0", 0xf000, 0xc},
		{"LaneNum1", 0xf0000, 0x10},
		{"LinkNum0", 0x7, 0x0},
		{"LinkNum1", 0x38, 0x3},
		{"LinkNum2", 0x1c0, 0x6},
		{"LinkNum3", 0xe00, 0x9}
	} },
	{"D3F4_PCIE_LC_STATE4", 0xa9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"PCIE_DEV_SERIAL_NUM_DW2", 0x52, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_RX_CREDITS_ALLOCATED_CPL", 0x82, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"PCIE_DEV_SERIAL_NUM_DW1", 0x51, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_P_PORT_LANE_STATUS", 0x50, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"PCIE_DPA_CNTL", 0x97, {
		{"SUBSTATE_CNTL", 0x1f, 0x0}
	} },
	{"PSX80_WRP_REG_ADAPT_pif0_CONTROL", 0x1308098, {
		{"ACCESS_MODE_pif0", 0x1, 0x0}
	} },
	{"D3F3_PCIE_TLP_PREFIX_LOG0", 0x9000062, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_TLP_PREFIX_LOG1", 0x9000063, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_TLP_PREFIX_LOG2", 0x9000064, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_RX_VENDOR_SPECIFIC", 0x72, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"D2F1_PCIE_TX_CREDITS_FCU_THRESHOLD", 0x37, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"PSX81_PIF0_LANE6_OVRD2", 0x1110021, {
		{"COEFFICIENT_6", 0xfc000000, 0x1a},
		{"RXPGENABLE_6", 0x30000, 0x10},
		{"COEFFICIENTID_6", 0x3000000, 0x18},
		{"TWOSYMENABLE_6", 0x80, 0x7},
		{"FREQDIV_6", 0x18, 0x3},
		{"REQUESTTRK_6", 0x400000, 0x16},
		{"RXPWR_6", 0xe000, 0xd},
		{"RESPONSEMODE_6", 0x200000, 0x15},
		{"LINKSPEED_6", 0x60, 0x5},
		{"GANGMODE_6", 0x7, 0x0},
		{"REQUESTTRN_6", 0x800000, 0x17},
		{"ELECIDLEDETEN_6", 0x40000, 0x12},
		{"REQUESTFOM_6", 0x100000, 0x14},
		{"ENABLEFOM_6", 0x80000, 0x13},
		{"TXPWR_6", 0x700, 0x8},
		{"TXPGENABLE_6", 0x1800, 0xb}
	} },
	{"D3F3_ROOT_CAP", 0x900001d, {
		{"CRS_SOFTWARE_VISIBILITY", 0x10000, 0x10}
	} },
	{"D2F1_SLOT_CNTL", 0x200001c, {
		{"HOTPLUG_INTR_EN", 0x20, 0x5},
		{"PWR_FAULT_DETECTED_EN", 0x2, 0x1},
		{"PRESENCE_DETECT_CHANGED_EN", 0x8, 0x3},
		{"PWR_INDICATOR_CNTL", 0x300, 0x8},
		{"COMMAND_COMPLETED_INTR_EN", 0x10, 0x4},
		{"ATTN_BUTTON_PRESSED_EN", 0x1, 0x0},
		{"MRL_SENSOR_CHANGED_EN", 0x4, 0x2},
		{"ATTN_INDICATOR_CNTL", 0xc0, 0x6},
		{"DL_STATE_CHANGED_EN", 0x1000, 0xc},
		{"ELECTROMECH_INTERLOCK_CNTL", 0x800, 0xb},
		{"PWR_CONTROLLER_CNTL", 0x400, 0xa}
	} },
	{"PSX80_PHY0_COM_COMMON_MAR_DEEMPH_NOM", 0x1206206, {
		{"deemph35_gen2_nom", 0xff0000, 0x10},
		{"deemph60_gen2_nom", 0xff000000, 0x18},
		{"deemph_gen1_nom", 0xff00, 0x8},
		{"tx_margin_nom", 0xff, 0x0}
	} },
	{"D2F1_PCIE_VC_ENH_CAP_LIST", 0x2000044, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_LC_STATE7", 0x1410023, {
		{"LC_PREV_STATE31", 0x3f000000, 0x18},
		{"LC_PREV_STATE30", 0x3f0000, 0x10},
		{"LC_PREV_STATE28", 0x3f, 0x0},
		{"LC_PREV_STATE29", 0x3f00, 0x8}
	} },
	{"PCIE_TX_CREDITS_INIT_CPL", 0x10010035, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"D3F3_PCIE_LC_FORCE_COEFF", 0xb8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_PRESET_10_EN", 0x100000, 0x14},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"PCIE_BAR1_CNTL", 0x82, {
		{"BAR_TOTAL_NUM", 0xe0, 0x5},
		{"BAR_SIZE", 0x1f00, 0x8},
		{"BAR_INDEX", 0x7, 0x0}
	} },
	{"PSX81_BIF_PCIE_LC_STATE9", 0x1410025, {
		{"LC_PREV_STATE39", 0x3f000000, 0x18},
		{"LC_PREV_STATE38", 0x3f0000, 0x10},
		{"LC_PREV_STATE37", 0x3f00, 0x8},
		{"LC_PREV_STATE36", 0x3f, 0x0}
	} },
	{"PSX81_WRP_BIF_STRAP_MISC_PORT_D", 0x1510b04, {
		{"STRAP_BIF_POISONED_ADVISORY_NONFATAL", 0x1, 0x0},
		{"STRAP_BIF_BCH_ECC_EN", 0x80, 0x7},
		{"STRAP_BIF_E2E_PREFIX_EN", 0x40, 0x6},
		{"STRAP_BIF_MAX_PAYLOAD_SUPPORT", 0xe, 0x1},
		{"STRAP_BIF_EXTENDED_FMT_SUPPORTED", 0x20, 0x5},
		{"STRAP_BIF_MC_ECRC_REGEN_SUPP", 0x100, 0x8},
		{"STRAP_BIF_FIRST_RCVD_ERR_LOG", 0x10, 0x4}
	} },
	{"PSX81_WRP_BIF_STRAP_MISC_PORT_E", 0x1510c04, {
		{"STRAP_BIF_POISONED_ADVISORY_NONFATAL", 0x1, 0x0},
		{"STRAP_BIF_BCH_ECC_EN", 0x80, 0x7},
		{"STRAP_BIF_E2E_PREFIX_EN", 0x40, 0x6},
		{"STRAP_BIF_MAX_PAYLOAD_SUPPORT", 0xe, 0x1},
		{"STRAP_BIF_EXTENDED_FMT_SUPPORTED", 0x20, 0x5},
		{"STRAP_BIF_MC_ECRC_REGEN_SUPP", 0x100, 0x8},
		{"STRAP_BIF_FIRST_RCVD_ERR_LOG", 0x10, 0x4}
	} },
	{"D2F2_MSI_MSG_DATA", 0x300002a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"PSX81_WRP_BIF_STRAP_MISC_PORT_B", 0x1510904, {
		{"STRAP_BIF_POISONED_ADVISORY_NONFATAL", 0x1, 0x0},
		{"STRAP_BIF_BCH_ECC_EN", 0x80, 0x7},
		{"STRAP_BIF_E2E_PREFIX_EN", 0x40, 0x6},
		{"STRAP_BIF_MAX_PAYLOAD_SUPPORT", 0xe, 0x1},
		{"STRAP_BIF_EXTENDED_FMT_SUPPORTED", 0x20, 0x5},
		{"STRAP_BIF_MC_ECRC_REGEN_SUPP", 0x100, 0x8},
		{"STRAP_BIF_FIRST_RCVD_ERR_LOG", 0x10, 0x4}
	} },
	{"PSX81_WRP_BIF_STRAP_MISC_PORT_C", 0x1510a04, {
		{"STRAP_BIF_POISONED_ADVISORY_NONFATAL", 0x1, 0x0},
		{"STRAP_BIF_BCH_ECC_EN", 0x80, 0x7},
		{"STRAP_BIF_E2E_PREFIX_EN", 0x40, 0x6},
		{"STRAP_BIF_MAX_PAYLOAD_SUPPORT", 0xe, 0x1},
		{"STRAP_BIF_EXTENDED_FMT_SUPPORTED", 0x20, 0x5},
		{"STRAP_BIF_MC_ECRC_REGEN_SUPP", 0x100, 0x8},
		{"STRAP_BIF_FIRST_RCVD_ERR_LOG", 0x10, 0x4}
	} },
	{"D3F1_PCIE_TX_CREDITS_INIT_NP", 0x34, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"D2F1_PCIE_VENDOR_SPECIFIC_HDR", 0x2000041, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PciPllFreqMode", 0x1204005, {
		{"FullRateClkEnOvrd", 0x2000, 0xd},
		{"HalfRateClkEn", 0x10000, 0x10},
		{"HalfRateClkEnOvrd", 0x20000, 0x11},
		{"FullRateClkEn", 0x1000, 0xc}
	} },
	{"D2F1_PCIE_LANE_14_EQUALIZATION_CNTL", 0x20000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F1_PCIE_LC_CNTL", 0xa0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"D2F2_SLOT_CNTL", 0x300001c, {
		{"HOTPLUG_INTR_EN", 0x20, 0x5},
		{"PWR_FAULT_DETECTED_EN", 0x2, 0x1},
		{"PRESENCE_DETECT_CHANGED_EN", 0x8, 0x3},
		{"PWR_INDICATOR_CNTL", 0x300, 0x8},
		{"COMMAND_COMPLETED_INTR_EN", 0x10, 0x4},
		{"ATTN_BUTTON_PRESSED_EN", 0x1, 0x0},
		{"MRL_SENSOR_CHANGED_EN", 0x4, 0x2},
		{"ATTN_INDICATOR_CNTL", 0xc0, 0x6},
		{"DL_STATE_CHANGED_EN", 0x1000, 0xc},
		{"ELECTROMECH_INTERLOCK_CNTL", 0x800, 0xb},
		{"PWR_CONTROLLER_CNTL", 0x400, 0xa}
	} },
	{"D2F2_PCIE_ERR_CNTL", 0x6a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"BIF_DOORBELL_GBLAPER2_UPPER", 0x14ff, {
		{"DOORBELL_GBLAPER2_UPPER", 0xffc, 0x2}
	} },
	{"PSX81_BIF_PCIE_PRBS_STATUS1", 0x14100c9, {
		{"PRBS_LOCKED", 0xffff0000, 0x10},
		{"PRBS_ERRSTAT", 0xffff, 0x0}
	} },
	{"D2F4_SUB_CLASS", 0x5000002, {
		{"SUB_CLASS", 0xff0000, 0x10}
	} },
	{"D2F5_EXT_BRIDGE_CNTL", 0x6000010, {
		{"IO_PORT_80_EN", 0x1, 0x0}
	} },
	{"D3F4_PCIE_LANE_0_EQUALIZATION_CNTL", 0xa00009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F1_PCIE_LC_STATE0", 0xa5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"PCIE_PERF_COUNT1_SLV_S_C_CLK", 0x140008f, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIEP_PORT_CNTL", 0x10, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"D3F1_SSID_CAP", 0x7000031, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"D3F1_PCIE_ACS_CNTL", 0x70000a9, {
		{"UPSTREAM_FORWARDING_EN", 0x100000, 0x14},
		{"SOURCE_VALIDATION_EN", 0x10000, 0x10},
		{"P2P_EGRESS_CONTROL_EN", 0x200000, 0x15},
		{"P2P_COMPLETION_REDIRECT_EN", 0x80000, 0x13},
		{"DIRECT_TRANSLATED_P2P_EN", 0x400000, 0x16},
		{"P2P_REQUEST_REDIRECT_EN", 0x40000, 0x12},
		{"TRANSLATION_BLOCKING_EN", 0x20000, 0x11}
	} },
	{"PSX80_WRP_BIF_LANE_EQUALIZATION_CNTL", 0x1500050, {
		{"STRAP_BIF_PCIE_LANE_EQUALIZATION_CNTL_UPSTREAM_PORT_RX_PRESET_HINT", 0x38, 0x3},
		{"STRAP_BIF_PCIE_LANE_EQUALIZATION_CNTL_DOWNSTREAM_PORT_RX_PRESET_HINT", 0x7, 0x0},
		{"STRAP_BIF_PCIE_LANE_EQUALIZATION_CNTL_UPSTREAM_PORT_TX_PRESET", 0x3c00, 0xa},
		{"STRAP_BIF_PCIE_LANE_EQUALIZATION_CNTL_DOWNSTREAM_PORT_TX_PRESET", 0x3c0, 0x6}
	} },
	{"D2F1_PCIE_TX_CREDITS_STATUS", 0x36, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"D2F5_ROOT_STATUS", 0x600001e, {
		{"PME_REQUESTOR_ID", 0xffff, 0x0},
		{"PME_PENDING", 0x20000, 0x11},
		{"PME_STATUS", 0x10000, 0x10}
	} },
	{"D3F2_PCIE_TX_REPLAY", 0x25, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"BIF_DEBUG_CNTL", 0x151c, {
		{"DEBUG_SYNC_EN", 0x40, 0x6},
		{"DEBUG_MULTIBLOCKEN", 0x2, 0x1},
		{"DEBUG_IDSEL_XSP", 0x1000000, 0x18},
		{"DEBUG_SYNC_CLKSEL", 0xc0000000, 0x1e},
		{"DEBUG_BYTESEL_BLK1", 0x10, 0x4},
		{"DEBUG_BYTESEL_BLK2", 0x20, 0x5},
		{"DEBUG_EN", 0x1, 0x0},
		{"DEBUG_SWAP", 0x80, 0x7},
		{"DEBUG_OUT_EN", 0x4, 0x2},
		{"DEBUG_IDSEL_BLK2", 0x1f0000, 0x10},
		{"DEBUG_IDSEL_BLK1", 0x1f00, 0x8},
		{"DEBUG_PAD_SEL", 0x8, 0x3}
	} },
	{"D2F2_PCIE_TX_CNTL", 0x20, {
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"PSX80_BIF_PCIE_CONFIG_CNTL", 0x1400011, {
		{"CI_MAX_READ_SAFE_MODE", 0x1000000, 0x18},
		{"CI_PRIV_MAX_PAYLOAD_SIZE", 0xe0000, 0x11},
		{"CI_MAX_PAYLOAD_SIZE_MODE", 0x10000, 0x10},
		{"CI_EXTENDED_TAG_EN_OVERRIDE", 0x6000000, 0x19},
		{"DYN_CLK_LATENCY", 0xf, 0x0},
		{"CI_PRIV_MAX_READ_REQUEST_SIZE", 0xe00000, 0x15},
		{"CI_MAX_READ_REQUEST_SIZE_MODE", 0x100000, 0x14}
	} },
	{"D3F2_LINK_CNTL2", 0x8000022, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"GARLIC_COHE_VCE_OUT_RB_WPTR", 0x141f, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"GARLIC_COHE_CP_RB0_WPTR", 0x1415, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F4_PCIE_TX_CREDITS_STATUS", 0x36, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"PCIE_PORT_VC_STATUS", 0x47, {
		{"VC_ARB_TABLE_STATUS", 0x1, 0x0}
	} },
	{"D2F4_PCIE_VC_ENH_CAP_LIST", 0x5000044, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F1_PCIE_UNCORR_ERR_SEVERITY", 0x2000057, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_TX_CONTROL_LANE7", 0x1212700, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE3", 0x1202307, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE2", 0x1202207, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"D3F1_PCIE_TX_ACK_LATENCY_LIMIT", 0x26, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE0", 0x1202007, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE7", 0x1202707, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE6", 0x1202607, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE5", 0x1202507, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE4", 0x1202407, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"D3F4_PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0xa000054, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F1_SLOT_CAP2", 0x7000023, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_PORT_INDEX", 0x8000038, {
		{"PCIE_INDEX", 0xff, 0x0}
	} },
	{"D2F5_PCIE_PORT_VC_CAP_REG2", 0x6000046, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"D2F5_PCIE_PORT_VC_CAP_REG1", 0x6000045, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"D3F5_MEM_BASE_LIMIT", 0xb000008, {
		{"MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"MEM_BASE_31_20", 0xfff0, 0x4},
		{"MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D2F4_PCIEP_RESERVED", 0x0, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"BIF_VDDGFX_GFX4_UPPER", 0x1431, {
		{"VDDGFX_GFX4_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_TX_CONTROL_LANE6", 0x1212600, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D2F4_PCIE_LANE_8_EQUALIZATION_CNTL", 0x50000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F3_PCIE_CORR_ERR_MASK", 0x9000059, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"D3F2_PREF_BASE_UPPER", 0x800000a, {
		{"PREF_BASE_UPPER", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_TLP_PREFIX_LOG1", 0x6000063, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_TLP_PREFIX_LOG0", 0x6000062, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_TLP_PREFIX_LOG3", 0x6000065, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"BIF_MM_INDACCESS_CNTL_IND", 0x1091500, {
		{"MM_INDACCESS_DIS", 0x2, 0x1}
	} },
	{"D3F3_SUB_CLASS", 0x9000002, {
		{"SUB_CLASS", 0xff0000, 0x10}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PciFuseProcess", 0x121410a, {
		{"PhyFuseValid", 0x1, 0x0},
		{"FuseProcPllSpare", 0xf00, 0x8},
		{"FuseProcRefAdj", 0x1e, 0x1}
	} },
	{"GARLIC_COHE_CP_DMA_PFP_COMMAND", 0x141c, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PEER_REG_RANGE0_IND", 0x109153e, {
		{"START_ADDR", 0xffff, 0x0},
		{"END_ADDR", 0xffff0000, 0x10}
	} },
	{"D2F5_INTERRUPT_PIN", 0x600000f, {
		{"INTERRUPT_PIN", 0xff00, 0x8}
	} },
	{"PCIE_LINK_CNTL3", 0x9d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"PSX81_BIF_PCIE_RX_LAST_TLP0", 0x1410031, {
		{"RX_LAST_TLP0", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_RX_LAST_TLP1", 0x1410032, {
		{"RX_LAST_TLP1", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_RX_LAST_TLP2", 0x1410033, {
		{"RX_LAST_TLP2", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_RX_LAST_TLP3", 0x1410034, {
		{"RX_LAST_TLP3", 0xffffffff, 0x0}
	} },
	{"D2F1_LINK_CAP", 0x2000019, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"D2F1_PCIE_TX_CREDITS_ADVT_CPL", 0x32, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"D2F3_PCIEP_STRAP_LC", 0xc0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT0_TXCLK", 0x1410082, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"D2F1_SLOT_CAP", 0x200001b, {
		{"SLOT_PWR_LIMIT_VALUE", 0x7f80, 0x7},
		{"PWR_INDICATOR_PRESENT", 0x10, 0x4},
		{"HOTPLUG_SURPRISE", 0x20, 0x5},
		{"NO_COMMAND_COMPLETED_SUPPORTED", 0x40000, 0x12},
		{"ATTN_INDICATOR_PRESENT", 0x8, 0x3},
		{"ATTN_BUTTON_PRESENT", 0x1, 0x0},
		{"PHYSICAL_SLOT_NUM", 0xfff80000, 0x13},
		{"PWR_CONTROLLER_PRESENT", 0x2, 0x1},
		{"MRL_SENSOR_PRESENT", 0x4, 0x2},
		{"HOTPLUG_CAPABLE", 0x40, 0x6},
		{"ELECTROMECH_INTERLOCK_PRESENT", 0x20000, 0x11},
		{"SLOT_PWR_LIMIT_SCALE", 0x18000, 0xf}
	} },
	{"PCIE_RESERVED", 0x1400000, {
		{"PCIE_RESERVED", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_FOMCALCCTL_LANE7", 0x121070b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"PCIE_PERF_COUNT0_TXCLK2", 0x1400096, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_FOMCALCCTL_LANE1", 0x121010b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"PSX81_PHY0_RX_FOMCALCCTL_LANE0", 0x121000b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"PSX81_WRP_REG_ADAPT_pwregr_CONTROL", 0x1318097, {
		{"ACCESS_MODE_pwregr", 0x1, 0x0}
	} },
	{"D2F5_PCIE_LC_FORCE_COEFF", 0xb8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_PRESET_10_EN", 0x100000, 0x14},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"PSX80_PHY0_RX_DBG_BYP_EN_LANE1", 0x120010d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PSX81_BIF_LM_PRBSCONTROL", 0x141012a, {
		{"LMLaneDegrade3", 0x80000000, 0x1f},
		{"PRBSPCIeSelect", 0xffff, 0x0},
		{"LMLaneDegrade2", 0x40000000, 0x1e},
		{"LMLaneDegrade1", 0x20000000, 0x1d},
		{"LMLaneDegrade0", 0x10000000, 0x1c}
	} },
	{"D3F4_PCIE_HDR_LOG1", 0xa00005c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_HDR_LOG0", 0xa00005b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_LC_STATE0", 0xa5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"D3F4_PCIE_HDR_LOG2", 0xa00005d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_LC_LINK_WIDTH_CNTL", 0xa2, {
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_WAIT_FOR_L_IDLE_IN_R_IDLE", 0x4000000, 0x1a},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_HOLD_EI_FOR_RSPEED_CMD_CHANGE", 0x10000000, 0x1c},
		{"LC_BYPASS_RXL0S_ON_SHORT_EI", 0x20000000, 0x1d},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_RESET_TSX_CNT_IN_RCONFIG_EN", 0x2000000, 0x19},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_MULT_REVERSE_ATTEMP_EN", 0x1000000, 0x18},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_WAIT_FOR_NON_EI_ON_RXL0S_EXIT", 0x8000000, 0x1b},
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc}
	} },
	{"D3F5_PCIE_ADV_ERR_CAP_CNTL", 0xb00005a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"D3F2_PCIE_LC_CDR_CNTL", 0xb3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_TX_CONTROL_LANE3", 0x1212300, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"PSX80_PIF0_LANE0_OVRD2", 0x1100015, {
		{"TWOSYMENABLE_0", 0x80, 0x7},
		{"RESPONSEMODE_0", 0x200000, 0x15},
		{"COEFFICIENT_0", 0xfc000000, 0x1a},
		{"ELECIDLEDETEN_0", 0x40000, 0x12},
		{"RXPWR_0", 0xe000, 0xd},
		{"REQUESTTRK_0", 0x400000, 0x16},
		{"FREQDIV_0", 0x18, 0x3},
		{"REQUESTTRN_0", 0x800000, 0x17},
		{"RXPGENABLE_0", 0x30000, 0x10},
		{"GANGMODE_0", 0x7, 0x0},
		{"COEFFICIENTID_0", 0x3000000, 0x18},
		{"LINKSPEED_0", 0x60, 0x5},
		{"TXPGENABLE_0", 0x1800, 0xb},
		{"TXPWR_0", 0x700, 0x8},
		{"REQUESTFOM_0", 0x100000, 0x14},
		{"ENABLEFOM_0", 0x80000, 0x13}
	} },
	{"D3F4_PCIE_TX_ACK_LATENCY_LIMIT", 0x26, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"D3F4_PCIE_PORT_VC_CAP_REG2", 0xa000046, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"D3F4_PCIE_PORT_VC_CAP_REG1", 0xa000045, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"D2F5_PCIE_LANE_5_EQUALIZATION_CNTL", 0x60000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F4_PCIE_ACS_CAP", 0xa0000a9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"BIF_SCRATCH0", 0x150e, {
		{"BIF_SCRATCH0", 0xffffffff, 0x0}
	} },
	{"BIF_SCRATCH1", 0x150f, {
		{"BIF_SCRATCH1", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_RX_CREDITS_ALLOCATED_CPL", 0x82, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"D3F5_PCIE_LANE_8_EQUALIZATION_CNTL", 0xb0000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F5_CAP_PTR", 0xb00000d, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"D3F4_PCIEP_STRAP_LC", 0xc0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"D3F1_MEM_BASE_LIMIT", 0x7000008, {
		{"MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"MEM_BASE_31_20", 0xfff0, 0x4},
		{"MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PciFuseProcess", 0x120410a, {
		{"PhyFuseValid", 0x1, 0x0},
		{"FuseProcPllSpare", 0xf00, 0x8},
		{"FuseProcRefAdj", 0x1e, 0x1}
	} },
	{"PCIE_DPA_LATENCY_INDICATOR", 0x96, {
		{"TRANS_LAT_INDICATOR_BITS", 0xff, 0x0}
	} },
	{"D3F1_PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0x7000054, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F3_PCIE_LANE_1_EQUALIZATION_CNTL", 0x900009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F4_PCIE_ERR_CNTL", 0x6a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"D2F5_PCIE_RX_CREDITS_ALLOCATED_P", 0x80, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"D3F3_LINK_CAP", 0x9000019, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"D3F3_PCIE_ACS_ENH_CAP_LIST", 0x90000a8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_TX_CONTROL_LANE1", 0x1212100, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D2F2_PCIE_TX_CREDITS_INIT_CPL", 0x35, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"D2F4_PCIE_LC_CNTL4", 0xb6, {
		{"LC_DIS_CONTIG_END_SET_CHECK", 0x4, 0x2},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_DIS_ASPM_L1_IN_SPEED_CHANGE", 0x8, 0x3}
	} },
	{"D2F4_PCIE_LC_CNTL5", 0xb7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_DSC_EQ_FS_LF_INVALID_TO_PRESETS", 0x1000000, 0x18},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"PCIEP_PORT_CNTL", 0x10010010, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"D2F5_PCIE_ROOT_ERR_STATUS", 0x6000060, {
		{"ERR_CORR_RCVD", 0x1, 0x0},
		{"NONFATAL_ERROR_MSG_RCVD", 0x20, 0x5},
		{"FIRST_UNCORRECTABLE_FATAL", 0x10, 0x4},
		{"ADV_ERR_INT_MSG_NUM", 0xf8000000, 0x1b},
		{"MULT_ERR_CORR_RCVD", 0x2, 0x1},
		{"FATAL_ERROR_MSG_RCVD", 0x40, 0x6},
		{"MULT_ERR_FATAL_NONFATAL_RCVD", 0x8, 0x3},
		{"ERR_FATAL_NONFATAL_RCVD", 0x4, 0x2}
	} },
	{"D3F3_MSI_MSG_ADDR_LO", 0x9000029, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"D2F4_PCIE_LC_CNTL2", 0xb1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"D2F4_PCIE_LC_CNTL3", 0xb5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"D3F1_PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0x7000050, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F5_PCIE_LC_STATE3", 0xa8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"D2F5_PCIEP_RESERVED", 0x0, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_LANE_9_EQUALIZATION_CNTL", 0x90000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"GARLIC_COHE_SDMA1_GFX_RB_WPTR", 0x141a, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PEER2_FB_OFFSET_HI_IND", 0x10914ef, {
		{"PEER2_FB_OFFSET_HI", 0xfffff, 0x0}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_TX_CONTROL_LANE0", 0x1212000, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D2F2_DEVICE_CNTL", 0x3000018, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"BRIDGE_CFG_RETRY_EN", 0x8000, 0xf},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"D2F1_PCIE_RX_VENDOR_SPECIFIC", 0x72, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PciPllFreqMode", 0x1214005, {
		{"FullRateClkEnOvrd", 0x2000, 0xd},
		{"HalfRateClkEn", 0x10000, 0x10},
		{"HalfRateClkEnOvrd", 0x20000, 0x11},
		{"FullRateClkEn", 0x1000, 0xc}
	} },
	{"SMBCLK_PAD_CNTL", 0x1523, {
		{"SMBCLK_PAD_A", 0x1, 0x0},
		{"SMBCLK_PAD_SN2", 0x80, 0x7},
		{"SMBCLK_PAD_SN0", 0x20, 0x5},
		{"SMBCLK_PAD_SN1", 0x40, 0x6},
		{"SMBCLK_PAD_SCHMEN", 0x800, 0xb},
		{"SMBCLK_PAD_SLEWN", 0x200, 0x9},
		{"SMBCLK_PAD_SN3", 0x100, 0x8},
		{"SMBCLK_PAD_CNTL_EN", 0x1000, 0xc},
		{"SMBCLK_PAD_MODE", 0x4, 0x2},
		{"SMBCLK_PAD_SPARE", 0x18, 0x3},
		{"SMBCLK_PAD_WAKE", 0x400, 0xa},
		{"SMBCLK_PAD_SEL", 0x2, 0x1}
	} },
	{"D3F4_PCIE_LANE_15_EQUALIZATION_CNTL", 0xa0000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"BIF_VDDGFX_GFX4_UPPER_IND", 0x1091431, {
		{"VDDGFX_GFX4_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"D2F2_PCIE_LC_SPEED_CNTL", 0xa4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_SPEED_PORT_D", 0x1510b01, {
		{"STRAP_BIF_LC_EQ_FS", 0x3f0000, 0x10},
		{"STRAP_BIF_LC_BYPASS_EQ_REQ_PHASE", 0x100, 0x8},
		{"STRAP_BIF_LC_EQ_LF", 0x3f000000, 0x18},
		{"STRAP_BIF_LC_BYPASS_EQ", 0x80, 0x7},
		{"STRAP_BIF_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x4, 0x2},
		{"STRAP_BIF_LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x40, 0x6},
		{"STRAP_BIF_TARGET_LINK_SPEED", 0x3000, 0xc},
		{"STRAP_BIF_LC_EQ_SEARCH_MODE", 0x600, 0x9}
	} },
	{"PCIE_F0_DPA_LATENCY_INDICATOR", 0x14000e4, {
		{"TRANS_LAT_INDICATOR_BITS", 0xff, 0x0}
	} },
	{"D2F3_DEVICE_CNTL2", 0x4000020, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"OBFF_EN", 0x6000, 0xd},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKING", 0x80, 0x7},
		{"ATOMICOP_REQUEST_EN", 0x40, 0x6},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"PSX80_PIF0_LANE6_OVRD2", 0x1100021, {
		{"COEFFICIENT_6", 0xfc000000, 0x1a},
		{"RXPGENABLE_6", 0x30000, 0x10},
		{"COEFFICIENTID_6", 0x3000000, 0x18},
		{"TWOSYMENABLE_6", 0x80, 0x7},
		{"FREQDIV_6", 0x18, 0x3},
		{"REQUESTTRK_6", 0x400000, 0x16},
		{"RXPWR_6", 0xe000, 0xd},
		{"RESPONSEMODE_6", 0x200000, 0x15},
		{"LINKSPEED_6", 0x60, 0x5},
		{"GANGMODE_6", 0x7, 0x0},
		{"REQUESTTRN_6", 0x800000, 0x17},
		{"ELECIDLEDETEN_6", 0x40000, 0x12},
		{"REQUESTFOM_6", 0x100000, 0x14},
		{"ENABLEFOM_6", 0x80000, 0x13},
		{"TXPWR_6", 0x700, 0x8},
		{"TXPGENABLE_6", 0x1800, 0xb}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PciPllTestDebug3", 0x1204109, {
		{"ADCRefIn", 0x3f00000, 0x14},
		{"ContinueCal", 0x4, 0x2},
		{"ManTrigRoCal", 0x2, 0x1},
		{"CalFail", 0x60, 0x5},
		{"AutoTrigRoCal", 0x1, 0x0},
		{"ManCalRdyNext", 0x10, 0x4},
		{"PLL_AdcOut", 0x4000000, 0x1a},
		{"CalDone", 0x8, 0x3}
	} },
	{"D2F4_PCIE_VC1_RESOURCE_CNTL", 0x500004c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D3F2_ROOT_CAP", 0x800001d, {
		{"CRS_SOFTWARE_VISIBILITY", 0x10000, 0x10}
	} },
	{"D3F2_PCIE_RX_CNTL3", 0x74, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"PSX80_PIF0_TX_CTRL", 0x1100008, {
		{"TXPWR_IN_DEGRADE", 0xe00, 0x9},
		{"TXPWR_IN_INIT", 0x38000, 0xf},
		{"TXPWR_IN_PLL_OFF", 0x1c0000, 0x12},
		{"TXPWR_GATING_IN_UNUSED", 0x1000000, 0x18},
		{"TXPWR_IN_DEGRADE_MODE", 0x200000, 0x15},
		{"TXPWR_GATING_IN_L1", 0x800000, 0x17},
		{"TXPWR_IN_UNUSED_MODE", 0x400000, 0x16},
		{"TXPWR_IN_SPDCHNG", 0x38, 0x3},
		{"TXPWR_IN_UNUSED", 0x7000, 0xc},
		{"TXPWR_IN_S2", 0x7, 0x0},
		{"TXPWR_IN_OFF", 0x1c0, 0x6}
	} },
	{"D3F2_PCIE_LINK_CNTL3", 0x800009d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"D3F3_PCIE_VC0_RESOURCE_STATUS", 0x900004a, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D3F3_LINK_STATUS", 0x900001a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x80000000, 0x1f},
		{"DL_ACTIVE", 0x20000000, 0x1d},
		{"SLOT_CLOCK_CFG", 0x10000000, 0x1c},
		{"LINK_TRAINING", 0x8000000, 0x1b},
		{"LINK_BW_MANAGEMENT_STATUS", 0x40000000, 0x1e},
		{"CURRENT_LINK_SPEED", 0xf0000, 0x10},
		{"NEGOTIATED_LINK_WIDTH", 0x3f00000, 0x14}
	} },
	{"PSX81_BIF_PCIE_SCRATCH", 0x1410001, {
		{"PCIE_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIEP_SCRATCH", 0x1, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_PORT_DATA", 0xa000039, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_PORT_INDEX", 0x7000038, {
		{"PCIE_INDEX", 0xff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PRBS_STATUS2", 0x14100ca, {
		{"PRBS_BITCNT_DONE", 0xffff, 0x0}
	} },
	{"D2F5_PCIE_PORT_DATA", 0x6000039, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_TX_TSTMARGDEEMPH_LANE6", 0x1202603, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"D3F1_PCIE_ROOT_ERR_CMD", 0x700005f, {
		{"FATAL_ERR_REP_EN", 0x4, 0x2},
		{"CORR_ERR_REP_EN", 0x1, 0x0},
		{"NONFATAL_ERR_REP_EN", 0x2, 0x1}
	} },
	{"BIF_MEM_PG_CNTL", 0x148a, {
		{"BIF_MEM_SD_TIMER", 0xffff0000, 0x10},
		{"BIF_MEM_SD_EN", 0x1, 0x0}
	} },
	{"D3F3_PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0x9000040, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F2_DEVICE_STATUS2", 0x3000020, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D3F1_PCIE_PORT_VC_CAP_REG2", 0x7000046, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"D3F1_MSI_MAP_CAP_LIST", 0x7000032, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F3_PCIE_LANE_14_EQUALIZATION_CNTL", 0x40000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F3_PCIE_LC_LANE_CNTL", 0xb4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"D3F5_PCIE_ACS_CAP", 0xb0000a9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_RX_CONTROL_BROADCAST", 0x121fe00, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D2F3_PCIE_LANE_10_EQUALIZATION_CNTL", 0x40000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F5_DEVICE_CNTL2", 0x6000020, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"OBFF_EN", 0x6000, 0xd},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKING", 0x80, 0x7},
		{"ATOMICOP_REQUEST_EN", 0x40, 0x6},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"D2F1_PCIE_RX_CNTL", 0x70, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_RCB_FLR_TIMEOUT_DIS", 0x8000000, 0x1b},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_TPH_DIS", 0x4000000, 0x1a},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"D2F2_PCIE_VC0_RESOURCE_CNTL", 0x3000049, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D3F2_PCIE_MC_ADDR1", 0x80000bf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_MC_BLOCK_UNTRANSLATED_1", 0x70000c5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_MC_BLOCK_UNTRANSLATED_0", 0x70000c4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_LC_N_FTS_CNTL", 0xa3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"D2F1_DEVICE_STATUS", 0x2000018, {
		{"CORR_ERR", 0x10000, 0x10},
		{"TRANSACTIONS_PEND", 0x200000, 0x15},
		{"AUX_PWR", 0x100000, 0x14},
		{"USR_DETECTED", 0x80000, 0x13},
		{"NON_FATAL_ERR", 0x20000, 0x11},
		{"FATAL_ERR", 0x40000, 0x12}
	} },
	{"PSX80_BIF_PCIE_PERF_CNTL_TXCLK", 0x1400081, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"BIOS_SCRATCH_3_IND", 0x10905cc, {
		{"BIOS_SCRATCH_3", 0xffffffff, 0x0}
	} },
	{"D3F1_VENDOR_ID", 0x7000000, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"C_PCIE_INDEX", 0x28, {
		{"PCIE_INDEX", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_TX_CONTROL_BROADCAST", 0x121ff00, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"PEER_REG_RANGE0", 0x153e, {
		{"START_ADDR", 0xffff, 0x0},
		{"END_ADDR", 0xffff0000, 0x10}
	} },
	{"PEER_REG_RANGE1", 0x153f, {
		{"START_ADDR", 0xffff, 0x0},
		{"END_ADDR", 0xffff0000, 0x10}
	} },
	{"D3F4_IO_BASE_LIMIT_HI", 0xa00000c, {
		{"IO_LIMIT_31_16", 0xffff0000, 0x10},
		{"IO_BASE_31_16", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PciPllTestDebug4", 0x121410b, {
		{"AltDiv", 0xffff, 0x0}
	} },
	{"D3F2_PCIE_RX_CNTL", 0x70, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_RCB_FLR_TIMEOUT_DIS", 0x8000000, 0x1b},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_TPH_DIS", 0x4000000, 0x1a},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"PCIE_OBFF_CNTL", 0x1400061, {
		{"TX_OBFF_HOSTMEM_TO_ACTIVE", 0x4, 0x2},
		{"TX_OBFF_WAKE_SIMPLE_MODE_EN", 0x2, 0x1},
		{"TX_OBFF_INTR_TO_ACTIVE", 0x10000, 0x10},
		{"TX_OBFF_ERR_TO_ACTIVE", 0x20000, 0x11},
		{"TX_OBFF_WAKE_SAMPLING_PERIOD", 0xf000, 0xc},
		{"TX_OBFF_WAKE_MAX_TWO_FALLING_WIDTH", 0xf00, 0x8},
		{"TX_OBFF_PRIV_DISABLE", 0x1, 0x0},
		{"TX_OBFF_WAKE_MAX_PULSE_WIDTH", 0xf0, 0x4},
		{"TX_OBFF_ANY_MSG_TO_ACTIVE", 0x40000, 0x12},
		{"TX_OBFF_SLVCPL_TO_ACTIVE", 0x8, 0x3},
		{"TX_OBFF_PENDING_REQ_TO_ACTIVE", 0xf00000, 0x14}
	} },
	{"D3F2_STATUS", 0x8000001, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"INT_STATUS", 0x80000, 0x13},
		{"SIGNALED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D3F2_REVISION_ID", 0x8000002, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"D3F3_PCIE_LANE_3_EQUALIZATION_CNTL", 0x90000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F2_PCIE_LC_LANE_CNTL", 0xb4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"PSX81_BIF_PCIE_LC_STATE11", 0x1410027, {
		{"LC_PREV_STATE44", 0x3f, 0x0},
		{"LC_PREV_STATE45", 0x3f00, 0x8},
		{"LC_PREV_STATE46", 0x3f0000, 0x10},
		{"LC_PREV_STATE47", 0x3f000000, 0x18}
	} },
	{"PSX80_BIF_SWRST_CONTROL_5", 0x1400109, {
		{"WRRESETIMPARB0_EN", 0x100000, 0x14},
		{"WRRESETPIF0_EN", 0x10000, 0x10},
		{"WRRESETPCFG_EN", 0x2, 0x1},
		{"WRSYNCIDLEPIF1_EN", 0x200, 0x9},
		{"WRCMDCFG_EN", 0x20000000, 0x1d},
		{"WRRESETMNTR_EN", 0x2000, 0xd},
		{"WRRESETLC_EN", 0x40, 0x6},
		{"WRRESETIMPARB1_EN", 0x200000, 0x15},
		{"WRRESETSRBM0_EN", 0x10, 0x4},
		{"WRSWITCHCLK_EN", 0x1, 0x0},
		{"WRRESETPIF1_EN", 0x20000, 0x11},
		{"WRRESETHLTR_EN", 0x4000, 0xe},
		{"WRRESETWRAPREGS_EN", 0x8, 0x3},
		{"WRRESETPHY0_EN", 0x1000000, 0x18},
		{"WRRESETSRBM1_EN", 0x20, 0x5},
		{"WRRESETLANEMUX_EN", 0x4, 0x2},
		{"WRSYNCIDLEPIF0_EN", 0x100, 0x8},
		{"WRSTRAPVLD_EN", 0x10000000, 0x1c},
		{"WRRESETPHY1_EN", 0x2000000, 0x19},
		{"WRRESETCPM_EN", 0x8000, 0xf}
	} },
	{"D2F4_MSI_MSG_ADDR_HI", 0x500002a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"PSX80_PIF0_LANE4_OVRD", 0x110001c, {
		{"REQUESTTRN_OVRD_EN_4", 0x2000, 0xd},
		{"REQUESTTRK_OVRD_EN_4", 0x1000, 0xc},
		{"RXPWR_OVRD_EN_4", 0x40, 0x6},
		{"COEFFICIENTID_OVRD_EN_4", 0x4000, 0xe},
		{"RXPGENABLE_OVRD_EN_4", 0x80, 0x7},
		{"REQUESTFOM_OVRD_EN_4", 0x400, 0xa},
		{"LINKSPEED_OVRD_EN_4", 0x4, 0x2},
		{"GANGMODE_OVRD_EN_4", 0x1, 0x0},
		{"CDREN_OVRD_EN_4", 0x10000, 0x10},
		{"TWOSYMENABLE_OVRD_EN_4", 0x8, 0x3},
		{"COEFFICIENT_OVRD_EN_4", 0x8000, 0xf},
		{"RESPONSEMODE_OVRD_EN_4", 0x800, 0xb},
		{"TXPWR_OVRD_EN_4", 0x10, 0x4},
		{"FREQDIV_OVRD_EN_4", 0x2, 0x1},
		{"ENABLEFOM_OVRD_EN_4", 0x200, 0x9},
		{"TXPGENABLE_OVRD_EN_4", 0x20, 0x5},
		{"CDREN_OVRD_VAL_4", 0x20000, 0x11},
		{"ELECIDLEDETEN_OVRD_EN_4", 0x100, 0x8}
	} },
	{"D2F2_PCIE_TX_CREDITS_ADVT_CPL", 0x32, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"D3F5_PCIE_LC_CNTL2", 0xb1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"D2F4_PCIE_TX_CREDITS_ADVT_NP", 0x31, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"D3F5_DEVICE_CNTL2", 0xb000020, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"OBFF_EN", 0x6000, 0xd},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKING", 0x80, 0x7},
		{"ATOMICOP_REQUEST_EN", 0x40, 0x6},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"D3F2_EXT_BRIDGE_CNTL", 0x8000010, {
		{"IO_PORT_80_EN", 0x1, 0x0}
	} },
	{"D3F2_LINK_CNTL", 0x800001a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"D3F4_PCIE_TX_CREDITS_INIT_NP", 0x34, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"PCIE_LC_LINK_WIDTH_CNTL", 0x100100a2, {
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14}
	} },
	{"D2F2_PCIE_MC_OVERLAY_BAR1", 0x30000c7, {
		{"MC_OVERLAY_BAR_1", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_MC_OVERLAY_BAR0", 0x30000c6, {
		{"MC_OVERLAY_SIZE", 0x3f, 0x0},
		{"MC_OVERLAY_BAR_0", 0xffffffc0, 0x6}
	} },
	{"PSX81_PIF0_TX_CTRL2", 0x1110009, {
		{"TX_HIGH_IMP_STAG_MODE", 0x60000, 0x11},
		{"TX_FORCE_DATA_VALID", 0x200000, 0x15},
		{"TX_L0_TO_HIZ_DLY", 0x1c00000, 0x16},
		{"TX_HIZ_TO_L0_DLY", 0x1c000000, 0x1a},
		{"TX_RDY_DASRT_COUNT", 0x7, 0x0},
		{"TX_OFF_PG_PHY_STATUS_MODE", 0x400, 0xa},
		{"TX_STATUS_DASRT_COUNT", 0x38, 0x3},
		{"TX_HIGH_IMP_STAG_MP", 0x10000, 0x10},
		{"TX_LINKSPEED_ACK_IN_S2", 0x20000000, 0x1d},
		{"TX_DELAY_FIFO_INIT_IN_S1", 0x40000000, 0x1e},
		{"TX_FIFO_INIT_UPCONFIG", 0x2000000, 0x19},
		{"TXPHYSTATUS_DELAY", 0x1c0, 0x6},
		{"TX_L1_PG_PHY_STATUS_MODE", 0x200, 0x9}
	} },
	{"D3F4_PCIE_VC_ENH_CAP_LIST", 0xa000044, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F4_IO_BASE_LIMIT", 0x5000007, {
		{"IO_LIMIT", 0xf000, 0xc},
		{"IO_LIMIT_TYPE", 0xf00, 0x8},
		{"IO_BASE", 0xf0, 0x4},
		{"IO_BASE_TYPE", 0xf, 0x0}
	} },
	{"D2F2_PCIE_CORR_ERR_MASK", 0x3000059, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"MEM_TYPE_CNTL_IND", 0x10914e4, {
		{"BF_MEM_PHY_G5_G3", 0x1, 0x0}
	} },
	{"D3F1_PCIE_VC1_RESOURCE_CAP", 0x700004b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D3F4_LINK_CNTL2", 0xa000022, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"D3F5_PCIE_FC_CPL", 0x62, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"D3F5_PCIE_LANE_5_EQUALIZATION_CNTL", 0xb0000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"SLAVE_HANG_PROTECTION_CNTL_IND", 0x1091536, {
		{"HANG_PROTECTION_TIMER_SEL", 0xe, 0x1}
	} },
	{"PSX80_PIF0_CMD_BUS_CTRL", 0x1100011, {
		{"CMD_BUS_SCHL_MODE", 0x3, 0x0},
		{"CMD_BUS_IGNR_PEND_PWR", 0x80, 0x7},
		{"CMD_BUS_STAG_MODE", 0xc, 0x2},
		{"CMD_BUS_IGNR_PWR_NOT_ON", 0x200, 0x9},
		{"SEND_GANGED_MODE_UPDATE_FOR_OFFPG_LANES", 0x100, 0x8},
		{"CMD_BUS_SCH_REQ_MODE", 0x60, 0x5},
		{"CMD_BUS_STAG_DIS", 0x10, 0x4}
	} },
	{"D2F2_MEM_BASE_LIMIT", 0x3000008, {
		{"MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"MEM_BASE_31_20", 0xfff0, 0x4},
		{"MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"SMBDAT_PAD_CNTL_IND", 0x1091522, {
		{"SMBDAT_PAD_SN1", 0x40, 0x6},
		{"SMBDAT_PAD_SN0", 0x20, 0x5},
		{"SMBDAT_PAD_SN3", 0x100, 0x8},
		{"SMBDAT_PAD_SN2", 0x80, 0x7},
		{"SMBDAT_PAD_SCHMEN", 0x800, 0xb},
		{"SMBDAT_PAD_SPARE", 0x18, 0x3},
		{"SMBDAT_PAD_A", 0x1, 0x0},
		{"SMBDAT_PAD_MODE", 0x4, 0x2},
		{"SMBDAT_PAD_SEL", 0x2, 0x1},
		{"SMBDAT_PAD_SLEWN", 0x200, 0x9},
		{"SMBDAT_PAD_CNTL_EN", 0x1000, 0xc},
		{"SMBDAT_PAD_WAKE", 0x400, 0xa}
	} },
	{"D2F4_PCIE_LINK_CNTL3", 0x500009d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"PSX80_PIF0_GLB_OVRD2", 0x110000d, {
		{"X2_LANE_5_4_OVRD", 0x4, 0x2},
		{"X4_LANE_11_8_OVRD", 0x400, 0xa},
		{"X2_LANE_3_2_OVRD", 0x2, 0x1},
		{"X4_LANE_3_0_OVRD", 0x100, 0x8},
		{"X8_LANE_7_0_OVRD", 0x10000, 0x10},
		{"X2_LANE_9_8_OVRD", 0x10, 0x4},
		{"X4_LANE_7_4_OVRD", 0x200, 0x9},
		{"X4_LANE_15_12_OVRD", 0x800, 0xb},
		{"X8_LANE_15_8_OVRD", 0x20000, 0x11},
		{"X16_LANE_15_0_OVRD", 0x100000, 0x14},
		{"X2_LANE_13_12_OVRD", 0x40, 0x6},
		{"X2_LANE_1_0_OVRD", 0x1, 0x0},
		{"X2_LANE_7_6_OVRD", 0x8, 0x3},
		{"X2_LANE_11_10_OVRD", 0x20, 0x5},
		{"X2_LANE_15_14_OVRD", 0x80, 0x7}
	} },
	{"D3F3_PCIE_MC_BLOCK_ALL0", 0x90000c2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_MC_BLOCK_ALL1", 0x90000c3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"D3F2_SLOT_CAP", 0x800001b, {
		{"SLOT_PWR_LIMIT_VALUE", 0x7f80, 0x7},
		{"PWR_INDICATOR_PRESENT", 0x10, 0x4},
		{"HOTPLUG_SURPRISE", 0x20, 0x5},
		{"NO_COMMAND_COMPLETED_SUPPORTED", 0x40000, 0x12},
		{"ATTN_INDICATOR_PRESENT", 0x8, 0x3},
		{"ATTN_BUTTON_PRESENT", 0x1, 0x0},
		{"PHYSICAL_SLOT_NUM", 0xfff80000, 0x13},
		{"PWR_CONTROLLER_PRESENT", 0x2, 0x1},
		{"MRL_SENSOR_PRESENT", 0x4, 0x2},
		{"HOTPLUG_CAPABLE", 0x40, 0x6},
		{"ELECTROMECH_INTERLOCK_PRESENT", 0x20000, 0x11},
		{"SLOT_PWR_LIMIT_SCALE", 0x18000, 0xf}
	} },
	{"D2F2_DEVICE_CNTL2", 0x3000020, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"OBFF_EN", 0x6000, 0xd},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKING", 0x80, 0x7},
		{"ATOMICOP_REQUEST_EN", 0x40, 0x6},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"PSX80_PHY0_TX_MARGDEEMPHSTATUS_BROADCAST", 0x120ff04, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"PCIE_PERF_COUNT_CNTL", 0x1400080, {
		{"GLOBAL_SHADOW_WR", 0x2, 0x1},
		{"GLOBAL_COUNT_EN", 0x1, 0x0},
		{"GLOBAL_COUNT_RESET", 0x4, 0x2}
	} },
	{"D2F2_SLOT_CAP2", 0x3000023, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_TX_VENDOR_SPECIFIC", 0x22, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"D3F2_PCIE_CORR_ERR_MASK", 0x8000059, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"BIF_PERFCOUNTER0_RESULT", 0x152d, {
		{"PERFCOUNTER_RESULT", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_LANE_2_EQUALIZATION_CNTL", 0xb0000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F4_PCIE_MC_BLOCK_ALL0", 0x50000c2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_MC_BLOCK_ALL1", 0x50000c3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"HOST_BUSNUM", 0x153d, {
		{"HOST_ID", 0xffff, 0x0}
	} },
	{"D3F5_INTERRUPT_PIN", 0xb00000f, {
		{"INTERRUPT_PIN", 0xff00, 0x8}
	} },
	{"D3F4_PCIEP_RESERVED", 0x0, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"PCIE_PERF_COUNT0_MST_C_CLK", 0x1400088, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_TX_SEQ", 0x24, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"D3F4_PCIE_MC_CAP", 0xa0000bd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"D3F5_MSI_CAP_LIST", 0xb000028, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F3_PCIE_FC_NP", 0x61, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"D2F5_PCIE_LC_LANE_CNTL", 0xb4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"PSX80_PIF0_LANE0_OVRD", 0x1100014, {
		{"RXPGENABLE_OVRD_EN_0", 0x80, 0x7},
		{"ENABLEFOM_OVRD_EN_0", 0x200, 0x9},
		{"LINKSPEED_OVRD_EN_0", 0x4, 0x2},
		{"REQUESTTRN_OVRD_EN_0", 0x2000, 0xd},
		{"ELECIDLEDETEN_OVRD_EN_0", 0x100, 0x8},
		{"RESPONSEMODE_OVRD_EN_0", 0x800, 0xb},
		{"REQUESTTRK_OVRD_EN_0", 0x1000, 0xc},
		{"COEFFICIENTID_OVRD_EN_0", 0x4000, 0xe},
		{"REQUESTFOM_OVRD_EN_0", 0x400, 0xa},
		{"GANGMODE_OVRD_EN_0", 0x1, 0x0},
		{"TXPWR_OVRD_EN_0", 0x10, 0x4},
		{"FREQDIV_OVRD_EN_0", 0x2, 0x1},
		{"TWOSYMENABLE_OVRD_EN_0", 0x8, 0x3},
		{"CDREN_OVRD_EN_0", 0x10000, 0x10},
		{"CDREN_OVRD_VAL_0", 0x20000, 0x11},
		{"COEFFICIENT_OVRD_EN_0", 0x8000, 0xf},
		{"RXPWR_OVRD_EN_0", 0x40, 0x6},
		{"TXPGENABLE_OVRD_EN_0", 0x20, 0x5}
	} },
	{"D2F5_PCIE_LANE_3_EQUALIZATION_CNTL", 0x60000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F3_PCIE_LANE_6_EQUALIZATION_CNTL", 0x40000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F4_LATENCY", 0x5000003, {
		{"LATENCY_TIMER", 0xff00, 0x8}
	} },
	{"BIOS_SCRATCH_7_IND", 0x10905d0, {
		{"BIOS_SCRATCH_7", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_CAP_LIST", 0x8000016, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX81_PHY0_COM_COMMON_TXTESTDEBUG", 0x1216212, {
		{"test_single_leg_en", 0x40, 0x6},
		{"test_single_leg_sel", 0x1f, 0x0}
	} },
	{"GARLIC_FLUSH_REQ_IND", 0x1091412, {
		{"FLUSH_REQ", 0x1, 0x0}
	} },
	{"D3F1_PCIE_VC_ENH_CAP_LIST", 0x7000044, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_UNCORR_ERR_SEVERITY", 0xa000057, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"D3F5_MSI_MAP_CAP_LIST", 0xb000032, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F5_PCIE_TX_ACK_LATENCY_LIMIT", 0x26, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"D3F2_IO_BASE_LIMIT_HI", 0x800000c, {
		{"IO_LIMIT_31_16", 0xffff0000, 0x10},
		{"IO_BASE_31_16", 0xffff, 0x0}
	} },
	{"SLAVE_HANG_ERROR_IND", 0x109153b, {
		{"GARLIC_HANG_ERROR", 0x200, 0x9},
		{"DOORBELL_HANG_ERROR", 0x100, 0x8},
		{"AUDIO_HANG_ERROR", 0x10, 0x4},
		{"VGA_HANG_ERROR", 0x4, 0x2},
		{"CEC_HANG_ERROR", 0x20, 0x5},
		{"ROM_HANG_ERROR", 0x8, 0x3},
		{"XDMA_HANG_ERROR", 0x80, 0x7},
		{"HDP_HANG_ERROR", 0x2, 0x1},
		{"SRBM_HANG_ERROR", 0x1, 0x0}
	} },
	{"GPU_GARLIC_FLUSH_DONE", 0x1414, {
		{"SDMA3", 0x2000, 0xd},
		{"SDMA2", 0x1000, 0xc},
		{"SDMA0", 0x400, 0xa},
		{"CP8", 0x100, 0x8},
		{"CP9", 0x200, 0x9},
		{"SDMA1", 0x800, 0xb},
		{"CP0", 0x1, 0x0},
		{"CP1", 0x2, 0x1},
		{"CP2", 0x4, 0x2},
		{"CP3", 0x8, 0x3},
		{"CP4", 0x10, 0x4},
		{"CP5", 0x20, 0x5},
		{"CP6", 0x40, 0x6},
		{"CP7", 0x80, 0x7}
	} },
	{"D3F5_LINK_CAP", 0xb000019, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"D2F2_REVISION_ID", 0x3000002, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"D2F2_PCIEP_STRAP_LC", 0xc0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"D2F1_PCIE_LANE_12_EQUALIZATION_CNTL", 0x20000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F4_PCIE_CORR_ERR_STATUS", 0x5000058, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"PSX80_PHY0_RX_ADAPTCTL_LANE3", 0x120030a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"PSX80_PHY0_RX_ADAPTCTL_LANE2", 0x120020a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"PSX80_PHY0_RX_ADAPTCTL_LANE1", 0x120010a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"PSX80_PHY0_RX_ADAPTCTL_LANE0", 0x120000a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"PSX80_PHY0_RX_ADAPTCTL_LANE7", 0x120070a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT1_SLV_R_CLK", 0x141008c, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_RX_ADAPTCTL_LANE5", 0x120050a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"PSX81_WRP_LNCNT_CONTROL", 0x1518030, {
		{"CFG_LNC_OVRD_VAL4", 0x10, 0x4},
		{"CFG_LNC_OVRD_EN3", 0x8, 0x3},
		{"CFG_LNC_CMN_CNT_EN2", 0x4, 0x2},
		{"CFG_LNC_WINDOW_EN0", 0x1, 0x0},
		{"CFG_LNC_BW_CNT_EN1", 0x2, 0x1}
	} },
	{"PCIE_TX_SEQ", 0x10010024, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"D3F4_PCIE_RX_VENDOR_SPECIFIC", 0x72, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"PSX80_BIF_LM_PCIETXMUX3", 0x1400124, {
		{"TXLANE15", 0xff000000, 0x18},
		{"TXLANE14", 0xff0000, 0x10},
		{"TXLANE13", 0xff00, 0x8},
		{"TXLANE12", 0xff, 0x0}
	} },
	{"D2F5_PCIEP_HPGI_PRIVATE", 0xd2, {
		{"PRESENCE_DETECT_STATE_PRIVATE", 0x40, 0x6},
		{"PRESENCE_DETECT_CHANGED_PRIVATE", 0x8, 0x3}
	} },
	{"D3F2_SSID_CAP", 0x8000031, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"GARLIC_COHE_SDMA0_GFX_RB_WPTR", 0x1419, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D3F3_PCIE_LANE_0_EQUALIZATION_CNTL", 0x900009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_WRP_IMPCTL_CNTL_PIF0", 0x1318070, {
		{"ArbEn0", 0x1, 0x0},
		{"QuickSimOverRide0", 0x800, 0xb}
	} },
	{"D2F3_SLOT_CAP2", 0x4000023, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_VENDOR_SPECIFIC1", 0xa000042, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_VENDOR_SPECIFIC2", 0xa000043, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F4_LINK_CAP", 0xa000019, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"PSX80_WRP_BIF_STRAP_LC_MISC_CORE", 0x1500003, {
		{"STRAP_BIF_ECRC_CHECK_EN", 0x4000, 0xe},
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x18000, 0xf},
		{"STRAP_BIF_ECRC_GEN_EN", 0x2000, 0xd},
		{"STRAP_BIF_FORCE_GEN3_MODE", 0x400, 0xa},
		{"STRAP_BIF_GEN3_COMPLIANCE", 0x800, 0xb}
	} },
	{"D3F3_PCIE_ROOT_ERR_CMD", 0x900005f, {
		{"FATAL_ERR_REP_EN", 0x4, 0x2},
		{"CORR_ERR_REP_EN", 0x1, 0x0},
		{"NONFATAL_ERR_REP_EN", 0x2, 0x1}
	} },
	{"D3F1_REVISION_ID", 0x7000002, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"IMPCTL_RESET_IND", 0x10914f5, {
		{"IMP_SW_RESET", 0x1, 0x0}
	} },
	{"D3F4_PCIE_TX_CREDITS_ADVT_CPL", 0x32, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"D2F3_PMI_STATUS_CNTL", 0x4000015, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"D2F4_PCIE_LC_BEST_EQ_SETTINGS", 0xb9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"D3F3_PCIE_UNCORR_ERR_STATUS", 0x9000055, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"D3F4_SLOT_CAP", 0xa00001b, {
		{"SLOT_PWR_LIMIT_VALUE", 0x7f80, 0x7},
		{"PWR_INDICATOR_PRESENT", 0x10, 0x4},
		{"HOTPLUG_SURPRISE", 0x20, 0x5},
		{"NO_COMMAND_COMPLETED_SUPPORTED", 0x40000, 0x12},
		{"ATTN_INDICATOR_PRESENT", 0x8, 0x3},
		{"ATTN_BUTTON_PRESENT", 0x1, 0x0},
		{"PHYSICAL_SLOT_NUM", 0xfff80000, 0x13},
		{"PWR_CONTROLLER_PRESENT", 0x2, 0x1},
		{"MRL_SENSOR_PRESENT", 0x4, 0x2},
		{"HOTPLUG_CAPABLE", 0x40, 0x6},
		{"ELECTROMECH_INTERLOCK_PRESENT", 0x20000, 0x11},
		{"SLOT_PWR_LIMIT_SCALE", 0x18000, 0xf}
	} },
	{"D2F3_PCIE_LANE_3_EQUALIZATION_CNTL", 0x40000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F5_MSI_MSG_DATA", 0x600002a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"D3F4_IRQ_BRIDGE_CNTL", 0xa00000f, {
		{"PARITY_RESPONSE_EN", 0x10000, 0x10},
		{"ISA_EN", 0x40000, 0x12},
		{"FAST_B2B_EN", 0x800000, 0x17},
		{"VGA_EN", 0x80000, 0x13},
		{"SERR_EN", 0x20000, 0x11},
		{"MASTER_ABORT_MODE", 0x200000, 0x15},
		{"VGA_DEC", 0x100000, 0x14},
		{"SECONDARY_BUS_RESET", 0x400000, 0x16}
	} },
	{"PSX81_BIF_PCIE_PERF_CNTL_EVENT1_PORT_SEL", 0x1410094, {
		{"PERF1_PORT_SEL_MST_R_CLK", 0xf0, 0x4},
		{"PERF1_PORT_SEL_MST_C_CLK", 0xf00, 0x8},
		{"PERF1_PORT_SEL_SLV_R_CLK", 0xf000, 0xc},
		{"PERF1_PORT_SEL_SLV_S_C_CLK", 0xf0000, 0x10},
		{"PERF1_PORT_SEL_TXCLK", 0xf, 0x0},
		{"PERF1_PORT_SEL_SLV_NS_C_CLK", 0xf00000, 0x14},
		{"PERF1_PORT_SEL_TXCLK2", 0xf000000, 0x18}
	} },
	{"D2F1_PCIE_TX_CREDITS_ADVT_NP", 0x31, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"D2F1_PCIE_TX_REQUEST_NUM_CNTL", 0x23, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"D2F4_PCIE_MC_RCV0", 0x50000c0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"D2F4_MSI_MSG_CNTL", 0x5000028, {
		{"MSI_MULTI_EN", 0x700000, 0x14},
		{"MSI_MULTI_CAP", 0xe0000, 0x11},
		{"MSI_PERVECTOR_MASKING_CAP", 0x1000000, 0x18},
		{"MSI_64BIT", 0x800000, 0x17},
		{"MSI_EN", 0x10000, 0x10}
	} },
	{"D3F2_PCIEP_HPGI_PRIVATE", 0xd2, {
		{"PRESENCE_DETECT_STATE_PRIVATE", 0x40, 0x6},
		{"PRESENCE_DETECT_CHANGED_PRIVATE", 0x8, 0x3}
	} },
	{"D2F4_DEVICE_ID", 0x5000000, {
		{"DEVICE_ID", 0xffff0000, 0x10}
	} },
	{"D3F5_PCIE_MC_ADDR0", 0xb0000be, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"PCIE_RX_CNTL3", 0x10010074, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"PCIE_RX_CNTL2", 0x140001d, {
		{"RX_RCB_LATENCY_EN", 0x100, 0x8},
		{"RX_IGNORE_EP_ATSTRANSREQ_UR", 0x8, 0x3},
		{"RX_RCB_LATENCY_SCALE", 0xe00, 0x9},
		{"RX_IGNORE_EP_INVCPL_UR", 0x20, 0x5},
		{"RX_IGNORE_EP_PAGEREQMSG_UR", 0x10, 0x4},
		{"RX_IGNORE_EP_TRANSMWR_UR", 0x4, 0x2},
		{"RX_RCB_LATENCY_MAX_COUNT", 0x3ff0000, 0x10},
		{"RX_IGNORE_EP_TRANSMRD_UR", 0x2, 0x1},
		{"RX_IGNORE_EP_INVALIDPASID_UR", 0x1, 0x0}
	} },
	{"PSX80_PIF0_CMD_BUS_GLB_OVRD", 0x1100013, {
		{"PLLFREQ", 0x180, 0x7},
		{"RESPONSEMODE_PIF_OVRD", 0x200, 0x9},
		{"PLLFREQ_OVRD_EN", 0x4, 0x2},
		{"CMD_BUS_LANE_DIS_7", 0x800000, 0x17},
		{"DEEMPH", 0x40, 0x6},
		{"DEEMPH_OVRD_EN", 0x2, 0x1},
		{"CMD_BUS_LANE_DIS_3", 0x80000, 0x13},
		{"CMD_BUS_LANE_DIS_2", 0x40000, 0x12},
		{"TXMARG_OVRD_EN", 0x1, 0x0},
		{"CMD_BUS_LANE_DIS_0", 0x10000, 0x10},
		{"CMD_BUS_LANE_DIS_1", 0x20000, 0x11},
		{"CMD_BUS_LANE_DIS_6", 0x400000, 0x16},
		{"TXMARG", 0x38, 0x3},
		{"CMD_BUS_LANE_DIS_4", 0x100000, 0x14},
		{"CMD_BUS_LANE_DIS_5", 0x200000, 0x15}
	} },
	{"PCIE_TPH_REQR_ENH_CAP_LIST", 0xb8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F5_PCIE_LC_FORCE_EQ_REQ_COEFF", 0xba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"D3F3_PCIE_MC_ENH_CAP_LIST", 0x90000bc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"LINK_STATUS", 0x1a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x8000, 0xf},
		{"DL_ACTIVE", 0x2000, 0xd},
		{"SLOT_CLOCK_CFG", 0x1000, 0xc},
		{"LINK_TRAINING", 0x800, 0xb},
		{"LINK_BW_MANAGEMENT_STATUS", 0x4000, 0xe},
		{"CURRENT_LINK_SPEED", 0xf, 0x0},
		{"NEGOTIATED_LINK_WIDTH", 0x3f0, 0x4}
	} },
	{"D2F4_PCIE_TLP_PREFIX_LOG2", 0x5000064, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_TLP_PREFIX_LOG3", 0x5000065, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_TLP_PREFIX_LOG0", 0x5000062, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_TLP_PREFIX_LOG1", 0x5000063, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F2_DEVICE_CAP2", 0x800001f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"ATOMICOP_ROUTING_SUPPORTED", 0x40, 0x6},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"ATOMICOP_32CMPLT_SUPPORTED", 0x80, 0x7},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"CAS128_CMPLT_SUPPORTED", 0x200, 0x9},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"ATOMICOP_64CMPLT_SUPPORTED", 0x100, 0x8},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"D2F2_PCIE_TX_CREDITS_STATUS", 0x36, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"PCIE_CAP", 0x16, {
		{"SLOT_IMPLEMENTED", 0x100, 0x8},
		{"VERSION", 0xf, 0x0},
		{"DEVICE_TYPE", 0xf0, 0x4},
		{"INT_MESSAGE_NUM", 0x3e00, 0x9}
	} },
	{"D2F5_PCIE_MC_CAP", 0x60000bd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"D2F2_IO_BASE_LIMIT_HI", 0x300000c, {
		{"IO_LIMIT_31_16", 0xffff0000, 0x10},
		{"IO_BASE_31_16", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_RX_ADAPTDBG1_LANE6", 0x121060e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX80_PHY0_TX_DFX_BROADCAST", 0x120ff01, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"RFE_PWDN_COMMAND", 0x1080010, {
		{"REG_PCIEW1_pw_cmd", 0x2, 0x1},
		{"REG_RWREG_RFEWRC_pw_cmd", 0x4, 0x2},
		{"REG_PCIEW0_pw_cmd", 0x1, 0x0}
	} },
	{"D3F2_PCIE_LANE_12_EQUALIZATION_CNTL", 0x80000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PCIE_SECONDARY_ENH_CAP_LIST", 0x9c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_MC_BLOCK_ALL1", 0xa0000c3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_MC_BLOCK_ALL0", 0xa0000c2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_TX_MARGDEEMPHSTATUS_LANE0", 0x1202004, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"D3F5_PCIE_LANE_3_EQUALIZATION_CNTL", 0xb0000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"LINK_CAP2", 0x21, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"PCIE_PRBS_HI_BITCNT", 0x14000cf, {
		{"PRBS_HI_BITCNT", 0xff, 0x0}
	} },
	{"MM_INDEX_HI", 0x6, {
		{"MM_OFFSET_HI", 0xffffffff, 0x0}
	} },
	{"D2F2_IO_BASE_LIMIT", 0x3000007, {
		{"IO_LIMIT", 0xf000, 0xc},
		{"IO_LIMIT_TYPE", 0xf00, 0x8},
		{"IO_BASE", 0xf0, 0x4},
		{"IO_BASE_TYPE", 0xf, 0x0}
	} },
	{"D3F1_PCIE_HDR_LOG0", 0x700005b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_VC1_RESOURCE_CNTL", 0x600004c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D2F3_PCIE_TX_CREDITS_INIT_NP", 0x34, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"D3F2_PMI_CAP_LIST", 0x8000014, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F1_PCIE_SECONDARY_ENH_CAP_LIST", 0x700009c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F3_PCIE_LINK_CNTL3", 0x400009d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"D3F5_LINK_CAP2", 0xb000021, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"D3F1_MSI_MAP_ADDR_HI", 0x7000034, {
		{"MSI_MAP_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_VC0_RESOURCE_STATUS", 0x400004a, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D2F5_PCIE_LC_SPEED_CNTL", 0xa4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"PSX80_BIF_PCIE_RX_NUM_NAK_GENERATED", 0x140000f, {
		{"RX_NUM_NAK_GENERATED", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_LM_POWERCONTROL1", 0x141012c, {
		{"LMTxMargin2", 0x700000, 0x14},
		{"LMTxMargin0", 0x1c, 0x2},
		{"LMTxMargin1", 0x3800, 0xb},
		{"LMTxEn2", 0x40000, 0x12},
		{"LMTxEn1", 0x200, 0x9},
		{"LMTxEn0", 0x1, 0x0},
		{"LMDeemph2", 0x4000000, 0x1a},
		{"LMDeemph1", 0x20000, 0x11},
		{"LMDeemph0", 0x100, 0x8},
		{"LMTxMarginEn2", 0x2000000, 0x19},
		{"LMTxMarginEn1", 0x10000, 0x10},
		{"LMTxMarginEn0", 0x80, 0x7},
		{"TxCoeffID0", 0x18000000, 0x1b},
		{"TxCoeffID1", 0x60000000, 0x1d},
		{"LMSkipBit1", 0x4000, 0xe},
		{"LMSkipBit0", 0x20, 0x5},
		{"LMSkipBit2", 0x800000, 0x17},
		{"LMTxClkEn0", 0x2, 0x1},
		{"LMTxClkEn1", 0x400, 0xa},
		{"LMTxClkEn2", 0x80000, 0x13},
		{"LMLaneUnused2", 0x1000000, 0x18},
		{"LMLaneUnused0", 0x40, 0x6},
		{"LMLaneUnused1", 0x8000, 0xf}
	} },
	{"PSX81_BIF_LM_POWERCONTROL3", 0x141012e, {
		{"TxCoeff3", 0x3f, 0x0},
		{"RxEqCtl1", 0x3f000, 0xc},
		{"RxEqCtl0", 0xfc0, 0x6},
		{"RxEqCtl3", 0x3f000000, 0x18},
		{"RxEqCtl2", 0xfc0000, 0x12}
	} },
	{"REMAP_HDP_MEM_FLUSH_CNTL_IND", 0x1091426, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D3F3_SLOT_CAP", 0x900001b, {
		{"SLOT_PWR_LIMIT_VALUE", 0x7f80, 0x7},
		{"PWR_INDICATOR_PRESENT", 0x10, 0x4},
		{"HOTPLUG_SURPRISE", 0x20, 0x5},
		{"NO_COMMAND_COMPLETED_SUPPORTED", 0x40000, 0x12},
		{"ATTN_INDICATOR_PRESENT", 0x8, 0x3},
		{"ATTN_BUTTON_PRESENT", 0x1, 0x0},
		{"PHYSICAL_SLOT_NUM", 0xfff80000, 0x13},
		{"PWR_CONTROLLER_PRESENT", 0x2, 0x1},
		{"MRL_SENSOR_PRESENT", 0x4, 0x2},
		{"HOTPLUG_CAPABLE", 0x40, 0x6},
		{"ELECTROMECH_INTERLOCK_PRESENT", 0x20000, 0x11},
		{"SLOT_PWR_LIMIT_SCALE", 0x18000, 0xf}
	} },
	{"MASTER_CREDIT_CNTL", 0x1516, {
		{"BIF_AZ_RDRET_CREDIT", 0x3f0000, 0x10},
		{"BIF_MC_RDRET_CREDIT", 0x7f, 0x0}
	} },
	{"D2F2_PCIE_LANE_4_EQUALIZATION_CNTL", 0x30000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_BIF_PCIE_CONFIG_CNTL", 0x1410011, {
		{"CI_MAX_READ_SAFE_MODE", 0x1000000, 0x18},
		{"CI_PRIV_MAX_PAYLOAD_SIZE", 0xe0000, 0x11},
		{"CI_MAX_PAYLOAD_SIZE_MODE", 0x10000, 0x10},
		{"CI_EXTENDED_TAG_EN_OVERRIDE", 0x6000000, 0x19},
		{"DYN_CLK_LATENCY", 0xf, 0x0},
		{"CI_PRIV_MAX_READ_REQUEST_SIZE", 0xe00000, 0x15},
		{"CI_MAX_READ_REQUEST_SIZE_MODE", 0x100000, 0x14}
	} },
	{"D2F5_LINK_CAP", 0x6000019, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"PSX81_PIF0_LANE0_OVRD", 0x1110014, {
		{"RXPGENABLE_OVRD_EN_0", 0x80, 0x7},
		{"ENABLEFOM_OVRD_EN_0", 0x200, 0x9},
		{"LINKSPEED_OVRD_EN_0", 0x4, 0x2},
		{"REQUESTTRN_OVRD_EN_0", 0x2000, 0xd},
		{"ELECIDLEDETEN_OVRD_EN_0", 0x100, 0x8},
		{"RESPONSEMODE_OVRD_EN_0", 0x800, 0xb},
		{"REQUESTTRK_OVRD_EN_0", 0x1000, 0xc},
		{"COEFFICIENTID_OVRD_EN_0", 0x4000, 0xe},
		{"REQUESTFOM_OVRD_EN_0", 0x400, 0xa},
		{"GANGMODE_OVRD_EN_0", 0x1, 0x0},
		{"TXPWR_OVRD_EN_0", 0x10, 0x4},
		{"FREQDIV_OVRD_EN_0", 0x2, 0x1},
		{"TWOSYMENABLE_OVRD_EN_0", 0x8, 0x3},
		{"CDREN_OVRD_EN_0", 0x10000, 0x10},
		{"CDREN_OVRD_VAL_0", 0x20000, 0x11},
		{"COEFFICIENT_OVRD_EN_0", 0x8000, 0xf},
		{"RXPWR_OVRD_EN_0", 0x40, 0x6},
		{"TXPGENABLE_OVRD_EN_0", 0x20, 0x5}
	} },
	{"PSX81_WRP_REG_ADAPT_pciecore0_CONTROL", 0x1318090, {
		{"ACCESS_MODE_pciecore0", 0x1, 0x0}
	} },
	{"D2F5_PCIE_FC_NP", 0x61, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"D2F2_SECONDARY_STATUS", 0x3000007, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"RECEIVED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"PSX80_PHY0_TX_MARGDEEMPHSTATUS_LANE2", 0x1202204, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"D3F1_PCIE_LANE_10_EQUALIZATION_CNTL", 0x70000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F2_PCIE_UNCORR_ERR_SEVERITY", 0x8000057, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_TX_CONTROL_BROADCAST", 0x120ff00, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D3F3_PCIE_ERR_SRC_ID", 0x9000061, {
		{"ERR_CORR_SRC_ID", 0xffff, 0x0},
		{"ERR_FATAL_NONFATAL_SRC_ID", 0xffff0000, 0x10}
	} },
	{"D2F4_PCIE_RX_CREDITS_ALLOCATED_NP", 0x81, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"PSX81_BIF_LM_LANEENABLE", 0x1410129, {
		{"LANE_enable", 0xffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_STRAP_I2C_BD", 0x14100c4, {
		{"STRAP_BIF_I2C_SLV_ADR", 0x7f, 0x0},
		{"STRAP_BIF_DBG_I2C_EN", 0x80, 0x7}
	} },
	{"D3F3_PCIE_LANE_12_EQUALIZATION_CNTL", 0x90000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_PHY0_RX_RXTEST_REGS_BROADCAST", 0x120fe04, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"D3F2_PCIE_LANE_8_EQUALIZATION_CNTL", 0x80000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F5_LINK_CAP2", 0x6000021, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"D3F3_LINK_CNTL2", 0x9000022, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"D2F5_ROOT_CNTL", 0x600001d, {
		{"SERR_ON_CORR_ERR_EN", 0x1, 0x0},
		{"SERR_ON_NONFATAL_ERR_EN", 0x2, 0x1},
		{"SERR_ON_FATAL_ERR_EN", 0x4, 0x2},
		{"PM_INTERRUPT_EN", 0x8, 0x3},
		{"CRS_SOFTWARE_VISIBILITY_EN", 0x10, 0x4}
	} },
	{"D2F4_PCIE_TX_REQUESTER_ID", 0x21, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"DEVICE_CNTL2", 0x20, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"OBFF_EN", 0x6000, 0xd},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"D3F1_PCIE_TX_CREDITS_INIT_P", 0x33, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"D2F5_PCIE_ACS_CAP", 0x60000a9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"BIF_BUSNUM_LIST0_IND", 0x1091526, {
		{"ID2", 0xff0000, 0x10},
		{"ID3", 0xff000000, 0x18},
		{"ID0", 0xff, 0x0},
		{"ID1", 0xff00, 0x8}
	} },
	{"D3F2_PCIE_LANE_ERROR_STATUS", 0x800009e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_ADV_ERR_CAP_CNTL", 0xa00005a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"D2F2_MSI_MSG_DATA_64", 0x300002b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"D3F1_PCIE_HDR_LOG1", 0x700005c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_HDR_LOG2", 0x700005d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F4_DEVICE_CNTL", 0x5000018, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"BRIDGE_CFG_RETRY_EN", 0x8000, 0xf},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"D3F3_PCIE_LANE_15_EQUALIZATION_CNTL", 0x90000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F1_PCIE_MC_CAP", 0x70000bd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"D2F3_PCIE_LC_TRAINING_CNTL", 0xa1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_WAIT_FOR_SETS_IN_RCFG", 0x4000, 0xe},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_HOT_RESET_QUICK_EXIT_EN", 0x8000, 0xf},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"D3F1_PCIE_PORT_VC_STATUS", 0x7000047, {
		{"VC_ARB_TABLE_STATUS", 0x10000, 0x10}
	} },
	{"D2F4_PCIE_TX_SEQ", 0x24, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"D3F2_PCIE_LANE_15_EQUALIZATION_CNTL", 0x80000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F2_PCIE_FC_P", 0x60, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT0_SLV_R_CLK", 0x141008b, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_TX_TSTMARGDEEMPH_LANE7", 0x1212703, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"D3F3_PCIE_LC_BEST_EQ_SETTINGS", 0xb9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"D2F3_STATUS", 0x4000001, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"INT_STATUS", 0x80000, 0x13},
		{"SIGNALED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D2F3_SLOT_CNTL", 0x400001c, {
		{"HOTPLUG_INTR_EN", 0x20, 0x5},
		{"PWR_FAULT_DETECTED_EN", 0x2, 0x1},
		{"PRESENCE_DETECT_CHANGED_EN", 0x8, 0x3},
		{"PWR_INDICATOR_CNTL", 0x300, 0x8},
		{"COMMAND_COMPLETED_INTR_EN", 0x10, 0x4},
		{"ATTN_BUTTON_PRESSED_EN", 0x1, 0x0},
		{"MRL_SENSOR_CHANGED_EN", 0x4, 0x2},
		{"ATTN_INDICATOR_CNTL", 0xc0, 0x6},
		{"DL_STATE_CHANGED_EN", 0x1000, 0xc},
		{"ELECTROMECH_INTERLOCK_CNTL", 0x800, 0xb},
		{"PWR_CONTROLLER_CNTL", 0x400, 0xa}
	} },
	{"PSX80_PIF0_LANE7_OVRD2", 0x1100023, {
		{"COEFFICIENT_7", 0xfc000000, 0x1a},
		{"COEFFICIENTID_7", 0x3000000, 0x18},
		{"TWOSYMENABLE_7", 0x80, 0x7},
		{"FREQDIV_7", 0x18, 0x3},
		{"RESPONSEMODE_7", 0x200000, 0x15},
		{"REQUESTTRK_7", 0x400000, 0x16},
		{"RXPWR_7", 0xe000, 0xd},
		{"LINKSPEED_7", 0x60, 0x5},
		{"ELECIDLEDETEN_7", 0x40000, 0x12},
		{"GANGMODE_7", 0x7, 0x0},
		{"REQUESTTRN_7", 0x800000, 0x17},
		{"ENABLEFOM_7", 0x80000, 0x13},
		{"REQUESTFOM_7", 0x100000, 0x14},
		{"TXPWR_7", 0x700, 0x8},
		{"TXPGENABLE_7", 0x1800, 0xb},
		{"RXPGENABLE_7", 0x30000, 0x10}
	} },
	{"D2F1_SECONDARY_STATUS", 0x2000007, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"RECEIVED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D2F5_PCIE_LANE_13_EQUALIZATION_CNTL", 0x60000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_8", 0x14100d8, {
		{"PRBS_ERRCNT_8", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_TX_REPLAY", 0x25, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"D2F4_SLOT_CNTL2", 0x5000024, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"D2F3_DEVICE_STATUS2", 0x4000020, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"PSX80_PIF0_LANE1_OVRD2", 0x1100017, {
		{"TWOSYMENABLE_1", 0x80, 0x7},
		{"COEFFICIENT_1", 0xfc000000, 0x1a},
		{"RXPGENABLE_1", 0x30000, 0x10},
		{"RXPWR_1", 0xe000, 0xd},
		{"REQUESTTRK_1", 0x400000, 0x16},
		{"FREQDIV_1", 0x18, 0x3},
		{"REQUESTTRN_1", 0x800000, 0x17},
		{"GANGMODE_1", 0x7, 0x0},
		{"ELECIDLEDETEN_1", 0x40000, 0x12},
		{"LINKSPEED_1", 0x60, 0x5},
		{"TXPGENABLE_1", 0x1800, 0xb},
		{"COEFFICIENTID_1", 0x3000000, 0x18},
		{"TXPWR_1", 0x700, 0x8},
		{"RESPONSEMODE_1", 0x200000, 0x15},
		{"ENABLEFOM_1", 0x80000, 0x13},
		{"REQUESTFOM_1", 0x100000, 0x14}
	} },
	{"PCIE_LANE_11_EQUALIZATION_CNTL", 0xa4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F3_MSI_MAP_CAP_LIST", 0x4000032, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_2", 0x14100d2, {
		{"PRBS_ERRCNT_2", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_3", 0x14100d3, {
		{"PRBS_ERRCNT_3", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_4", 0x14100d4, {
		{"PRBS_ERRCNT_4", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_5", 0x14100d5, {
		{"PRBS_ERRCNT_5", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_6", 0x14100d6, {
		{"PRBS_ERRCNT_6", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_7", 0x14100d7, {
		{"PRBS_ERRCNT_7", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_HDR_LOG2", 0x900005d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F1_REVISION_ID", 0x2000002, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"D3F3_PCIE_HDR_LOG0", 0x900005b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_HDR_LOG1", 0x900005c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_LANE_9_EQUALIZATION_CNTL", 0x70000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F1_PCIEP_STRAP_MISC", 0xc1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"GARLIC_COHE_CP_RB2_WPTR", 0x1417, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D3F3_MSI_MAP_CAP", 0x9000032, {
		{"FIXD", 0x20000, 0x11},
		{"EN", 0x10000, 0x10},
		{"CAP_TYPE", 0xf8000000, 0x1b}
	} },
	{"D2F3_SLOT_STATUS2", 0x4000024, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D3F4_MSI_MSG_ADDR_HI", 0xa00002a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_DEV_SERIAL_NUM_DW2", 0x3000052, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"BIF_PERFMON_CNTL", 0x152c, {
		{"PERFCOUNTER_EN", 0x1, 0x0},
		{"PERFCOUNTER_RESET1", 0x4, 0x2},
		{"PERFCOUNTER_RESET0", 0x2, 0x1},
		{"PERF_SEL1", 0x3e000, 0xd},
		{"PERF_SEL0", 0x1f00, 0x8}
	} },
	{"D2F2_PCIE_DEV_SERIAL_NUM_DW1", 0x3000051, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_LC_N_FTS_CNTL", 0xa3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"D2F3_VENDOR_ID", 0x4000000, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"D2F2_INTERRUPT_PIN", 0x300000f, {
		{"INTERRUPT_PIN", 0xff00, 0x8}
	} },
	{"D3F5_PCIE_LC_N_FTS_CNTL", 0xa3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"D2F2_ROOT_CNTL", 0x300001d, {
		{"SERR_ON_CORR_ERR_EN", 0x1, 0x0},
		{"SERR_ON_NONFATAL_ERR_EN", 0x2, 0x1},
		{"SERR_ON_FATAL_ERR_EN", 0x4, 0x2},
		{"PM_INTERRUPT_EN", 0x8, 0x3},
		{"CRS_SOFTWARE_VISIBILITY_EN", 0x10, 0x4}
	} },
	{"D3F2_PCIEP_SCRATCH", 0x1, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F3_ROOT_CNTL", 0x400001d, {
		{"SERR_ON_CORR_ERR_EN", 0x1, 0x0},
		{"SERR_ON_NONFATAL_ERR_EN", 0x2, 0x1},
		{"SERR_ON_FATAL_ERR_EN", 0x4, 0x2},
		{"PM_INTERRUPT_EN", 0x8, 0x3},
		{"CRS_SOFTWARE_VISIBILITY_EN", 0x10, 0x4}
	} },
	{"D3F5_PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0xb000040, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F2_PCIE_LANE_10_EQUALIZATION_CNTL", 0x30000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F3_PCIE_RX_CNTL3", 0x74, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"D2F5_PCIE_VC_ENH_CAP_LIST", 0x6000044, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F1_PCIE_LC_STATE3", 0xa8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"D3F1_PCIE_LC_STATE2", 0xa7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"D3F1_PCIE_LC_STATE1", 0xa6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"CONFIG_MEMSIZE_IND", 0x109150a, {
		{"CONFIG_MEMSIZE", 0xffffffff, 0x0}
	} },
	{"BIF_RFE_CNTL_MISC", 0x148c, {
		{"ADAPT_pif1_bu_reg_accessMode", 0x2, 0x1},
		{"ADAPT_pif0_bu_reg_accessMode", 0x1, 0x0},
		{"ADAPT_pwreg_bu_reg_accessMode", 0x4, 0x2},
		{"ADAPT_pciecore0_bu_reg_accessMode", 0x8, 0x3}
	} },
	{"D3F1_PCIE_LC_STATE5", 0xaa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"D3F1_PCIE_LC_STATE4", 0xa9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"D3F1_SLOT_CNTL", 0x700001c, {
		{"HOTPLUG_INTR_EN", 0x20, 0x5},
		{"PWR_FAULT_DETECTED_EN", 0x2, 0x1},
		{"PRESENCE_DETECT_CHANGED_EN", 0x8, 0x3},
		{"PWR_INDICATOR_CNTL", 0x300, 0x8},
		{"COMMAND_COMPLETED_INTR_EN", 0x10, 0x4},
		{"ATTN_BUTTON_PRESSED_EN", 0x1, 0x0},
		{"MRL_SENSOR_CHANGED_EN", 0x4, 0x2},
		{"ATTN_INDICATOR_CNTL", 0xc0, 0x6},
		{"DL_STATE_CHANGED_EN", 0x1000, 0xc},
		{"ELECTROMECH_INTERLOCK_CNTL", 0x800, 0xb},
		{"PWR_CONTROLLER_CNTL", 0x400, 0xa}
	} },
	{"D2F3_DEVICE_STATUS", 0x4000018, {
		{"CORR_ERR", 0x10000, 0x10},
		{"TRANSACTIONS_PEND", 0x200000, 0x15},
		{"AUX_PWR", 0x100000, 0x14},
		{"USR_DETECTED", 0x80000, 0x13},
		{"NON_FATAL_ERR", 0x20000, 0x11},
		{"FATAL_ERR", 0x40000, 0x12}
	} },
	{"SMBUS_BACO_DUMMY", 0x14c6, {
		{"SMBUS_BACO_DUMMY_DATA", 0xffffffff, 0x0}
	} },
	{"BIF_VDDGFX_FB_CMP_IND", 0x109143c, {
		{"VDDGFX_FB_XDMA_CMP_EN", 0x4, 0x2},
		{"VDDGFX_FB_HDP_STALL_EN", 0x2, 0x1},
		{"VDDGFX_FB_HDP_CMP_EN", 0x1, 0x0},
		{"VDDGFX_FB_XDMA_STALL_EN", 0x8, 0x3},
		{"VDDGFX_FB_VGA_STALL_EN", 0x20, 0x5},
		{"VDDGFX_FB_VGA_CMP_EN", 0x10, 0x4}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_9", 0x14100d9, {
		{"PRBS_ERRCNT_9", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_TX_CREDITS_ADVT_CPL", 0x32, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"PSX80_BIF_PCIE_RX_LAST_TLP2", 0x1400033, {
		{"RX_LAST_TLP2", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIEP_STRAP_MISC", 0xc1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"D2F3_SSID_CAP", 0x4000031, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"D3F1_LINK_CAP2", 0x7000021, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"PCIE_BAR5_CNTL", 0x8a, {
		{"BAR_TOTAL_NUM", 0xe0, 0x5},
		{"BAR_SIZE", 0x1f00, 0x8},
		{"BAR_INDEX", 0x7, 0x0}
	} },
	{"D3F5_SLOT_STATUS2", 0xb000024, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D3F5_SLOT_CNTL2", 0xb000024, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"NEW_REFCLKB_TIMER_IND", 0x1301485, {
		{"STOP_REFCLK_TIMER", 0x1ffffe, 0x1},
		{"REFCLK_ON", 0x200000, 0x15},
		{"REG_STOP_REFCLK_EN", 0x1, 0x0}
	} },
	{"PSX80_PHY0_RX_RXTEST_REGS_LANE3", 0x1200304, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"D2F2_PCIE_RX_CREDITS_ALLOCATED_P", 0x80, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"PCIE_PWR_BUDGET_CAP", 0x93, {
		{"SYSTEM_ALLOCATED", 0x1, 0x0}
	} },
	{"PSX80_WRP_BIF_STRAP_PM", 0x150000b, {

	} },
	{"D2F3_MSI_MAP_ADDR_LO", 0x4000033, {
		{"MSI_MAP_ADDR_LO", 0xfff00000, 0x14}
	} },
	{"D2F3_INTERRUPT_LINE", 0x400000f, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"D2F1_PCIE_MC_BLOCK_UNTRANSLATED_0", 0x20000c4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_MC_BLOCK_UNTRANSLATED_1", 0x20000c5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"D2F1_PREF_BASE_LIMIT", 0x2000009, {
		{"PREF_MEM_BASE_31_20", 0xfff0, 0x4},
		{"PREF_MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"PREF_MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"PREF_MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D2F4_PCIE_LANE_13_EQUALIZATION_CNTL", 0x50000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F5_MSI_MAP_ADDR_HI", 0xb000034, {
		{"MSI_MAP_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_HDR_LOG3", 0x800005e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_HDR_LOG2", 0x800005d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_HDR_LOG1", 0x800005c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_HDR_LOG0", 0x800005b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_MC_ADDR0", 0x70000be, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"D2F3_PCIE_LC_LINK_WIDTH_CNTL", 0xa2, {
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_WAIT_FOR_L_IDLE_IN_R_IDLE", 0x4000000, 0x1a},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_HOLD_EI_FOR_RSPEED_CMD_CHANGE", 0x10000000, 0x1c},
		{"LC_BYPASS_RXL0S_ON_SHORT_EI", 0x20000000, 0x1d},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_RESET_TSX_CNT_IN_RCONFIG_EN", 0x2000000, 0x19},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_MULT_REVERSE_ATTEMP_EN", 0x1000000, 0x18},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_WAIT_FOR_NON_EI_ON_RXL0S_EXIT", 0x8000000, 0x1b},
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc}
	} },
	{"PCIE_RX_CREDITS_ALLOCATED_CPL", 0x10010082, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"PSX80_BIF_PCIE_CI_CNTL", 0x1400020, {
		{"CI_MST_CMPL_DUMMY_DATA", 0x10, 0x4},
		{"CI_SLV_RC_RD_REQ_SIZE", 0xc0, 0x6},
		{"CI_SLV_CPL_ALLOC_SOR", 0x1000, 0xc},
		{"CI_SLAVE_GEN_USR_DIS", 0x8, 0x3},
		{"CI_RC_ORDERING_DIS", 0x200, 0x9},
		{"CI_SLV_ORDERING_DIS", 0x100, 0x8},
		{"CI_SLV_CPL_ALLOC_DIS", 0x400, 0xa},
		{"CI_SLV_CPL_ALLOC_MODE", 0x800, 0xb},
		{"CI_SLAVE_SPLIT_MODE", 0x4, 0x2}
	} },
	{"GARLIC_COHE_GARLIC_FLUSH_REQ_IND", 0x1091425, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F3_PCIE_ACS_CNTL", 0x40000a9, {
		{"UPSTREAM_FORWARDING_EN", 0x100000, 0x14},
		{"SOURCE_VALIDATION_EN", 0x10000, 0x10},
		{"P2P_EGRESS_CONTROL_EN", 0x200000, 0x15},
		{"P2P_COMPLETION_REDIRECT_EN", 0x80000, 0x13},
		{"DIRECT_TRANSLATED_P2P_EN", 0x400000, 0x16},
		{"P2P_REQUEST_REDIRECT_EN", 0x40000, 0x12},
		{"TRANSLATION_BLOCKING_EN", 0x20000, 0x11}
	} },
	{"D2F1_PCIEP_PORT_CNTL", 0x10, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"D2F3_PCIE_PORT_VC_STATUS", 0x4000047, {
		{"VC_ARB_TABLE_STATUS", 0x10000, 0x10}
	} },
	{"D3F3_MSI_MAP_ADDR_HI", 0x9000034, {
		{"MSI_MAP_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_DTM_DENTIST_GATE_TIMING_DI_clkGskt", 0x131ffe5, {
		{"DentistGate_stopTime_DI_clkGskt", 0xff0000, 0x10},
		{"DentistGate_startTime_DI_clkGskt", 0xff, 0x0},
		{"DentistGate_dropoutTime_DI_clkGskt", 0xff00, 0x8}
	} },
	{"PSX81_WRP_BIF_INT_CNTL", 0x1510009, {
		{"INT_LINKAUTONOMOUSBWINT", 0x1, 0x0}
	} },
	{"GARLIC_COHE_VCE_RB_WPTR", 0x1421, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PciPllFreqMode", 0x1204105, {
		{"HalfRateClkEn", 0x10000, 0x10},
		{"Clk2CtlrRateOvrd", 0x800, 0xb},
		{"Clk2CtlrRate", 0x400, 0xa},
		{"PllClkFreq", 0x7f, 0x0},
		{"PllFreqModeOvrd", 0x80, 0x7},
		{"Clk2CtlrEn", 0x100, 0x8},
		{"FullRateClkEnOvrd", 0x2000, 0xd},
		{"FullRateClkEn", 0x1000, 0xc},
		{"HalfRateClkEnOvrd", 0x20000, 0x11},
		{"Clk2CtlrEnOvrd", 0x200, 0x9}
	} },
	{"PSX80_PHY0_COM_COMMON_FUSE1", 0x1206200, {
		{"fuse1_ei_det_thresh_sel", 0x6, 0x1},
		{"fuse1_rxdetect_samp_time", 0xc0000, 0x12},
		{"fuse1_cdr_pi_stpsz_gen12", 0x100, 0x8},
		{"fuse1_spare", 0xfff00000, 0x14},
		{"fuse1_rtt_ctl", 0x1800, 0xb},
		{"fuse1_cdr_ph_gain_gen12", 0xf0, 0x4},
		{"fuse1_valid", 0x1, 0x0},
		{"fuse1_dll_flock_disable", 0x8, 0x3},
		{"fuse1_ron_ctl", 0x600, 0x9}
	} },
	{"PSX80_PHY0_COM_COMMON_FUSE2", 0x1206201, {
		{"fuse2_valid", 0x1, 0x0},
		{"fuse2_spare", 0xfffffffe, 0x1}
	} },
	{"D3F3_PCIE_HDR_LOG3", 0x900005e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_UNCORR_ERR_STATUS", 0x7000055, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"PEER0_FB_OFFSET_HI", 0x14f3, {
		{"PEER0_FB_OFFSET_HI", 0xfffff, 0x0}
	} },
	{"BASE_ADDR_5", 0x8, {
		{"BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_VENDOR_SPECIFIC2", 0x9000043, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_FREERUN", 0x14000cb, {
		{"PRBS_FREERUN", 0xffff, 0x0}
	} },
	{"D3F3_PCIE_VENDOR_SPECIFIC1", 0x9000042, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_CORR_ERR_STATUS", 0x7000058, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"D2F3_PCIE_PORT_VC_CAP_REG1", 0x4000045, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE3", 0x1200301, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"D2F3_PCIE_PORT_VC_CAP_REG2", 0x4000046, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"D3F2_PCIE_TX_CREDITS_INIT_CPL", 0x35, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"D3F2_MSI_MSG_DATA", 0x800002a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"D3F3_PCIE_PORT_VC_CAP_REG1", 0x9000045, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"D3F3_PCIE_PORT_VC_CAP_REG2", 0x9000046, {
		{"VC_ARB_TABLE_OFFSET", 0xff000000, 0x18},
		{"VC_ARB_CAP", 0xff, 0x0}
	} },
	{"D3F3_PCIEP_STRAP_MISC", 0xc1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"PSX81_BIF_PCIE_CFG_CNTL", 0x141003c, {
		{"CFG_EN_DEC_TO_HIDDEN_REG", 0x1, 0x0},
		{"CFG_EN_DEC_TO_GEN3_HIDDEN_REG", 0x4, 0x2},
		{"CFG_EN_DEC_TO_GEN2_HIDDEN_REG", 0x2, 0x1}
	} },
	{"PSX81_PHY0_RX_DBG_BYP_EN_LANE4", 0x121040d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PCIE_DATA", 0xf, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_DBG_BYP_EN_LANE6", 0x121060d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE0", 0x1200001, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_PHY0_RX_DBG_BYP_EN_LANE0", 0x121000d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PSX81_PHY0_RX_DBG_BYP_EN_LANE1", 0x121010d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PSX81_PHY0_RX_DBG_BYP_EN_LANE2", 0x121020d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PSX81_PHY0_RX_DBG_BYP_EN_LANE3", 0x121030d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"GARLIC_COHE_SAM_SAB_RBI_WPTR_IND", 0x109141d, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F3_PCIE_MC_CAP", 0x40000bd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE6", 0x1200601, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"D2F3_PCIE_PORT_DATA", 0x4000039, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"PSX81_PIF0_LANE7_OVRD2", 0x1110023, {
		{"COEFFICIENT_7", 0xfc000000, 0x1a},
		{"COEFFICIENTID_7", 0x3000000, 0x18},
		{"TWOSYMENABLE_7", 0x80, 0x7},
		{"FREQDIV_7", 0x18, 0x3},
		{"RESPONSEMODE_7", 0x200000, 0x15},
		{"REQUESTTRK_7", 0x400000, 0x16},
		{"RXPWR_7", 0xe000, 0xd},
		{"LINKSPEED_7", 0x60, 0x5},
		{"ELECIDLEDETEN_7", 0x40000, 0x12},
		{"GANGMODE_7", 0x7, 0x0},
		{"REQUESTTRN_7", 0x800000, 0x17},
		{"ENABLEFOM_7", 0x80000, 0x13},
		{"REQUESTFOM_7", 0x100000, 0x14},
		{"TXPWR_7", 0x700, 0x8},
		{"TXPGENABLE_7", 0x1800, 0xb},
		{"RXPGENABLE_7", 0x30000, 0x10}
	} },
	{"D2F4_PCIE_LANE_4_EQUALIZATION_CNTL", 0x50000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F5_PCIE_MC_BLOCK_ALL0", 0xb0000c2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_MC_BLOCK_ALL1", 0xb0000c3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"PSX80_PIF0_LANE4_OVRD2", 0x110001d, {
		{"RXPGENABLE_4", 0x30000, 0x10},
		{"ELECIDLEDETEN_4", 0x40000, 0x12},
		{"TWOSYMENABLE_4", 0x80, 0x7},
		{"REQUESTTRK_4", 0x400000, 0x16},
		{"FREQDIV_4", 0x18, 0x3},
		{"COEFFICIENT_4", 0xfc000000, 0x1a},
		{"RXPWR_4", 0xe000, 0xd},
		{"LINKSPEED_4", 0x60, 0x5},
		{"REQUESTTRN_4", 0x800000, 0x17},
		{"RESPONSEMODE_4", 0x200000, 0x15},
		{"GANGMODE_4", 0x7, 0x0},
		{"TXPWR_4", 0x700, 0x8},
		{"REQUESTFOM_4", 0x100000, 0x14},
		{"ENABLEFOM_4", 0x80000, 0x13},
		{"COEFFICIENTID_4", 0x3000000, 0x18},
		{"TXPGENABLE_4", 0x1800, 0xb}
	} },
	{"D2F3_DEVICE_CNTL", 0x4000018, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"BRIDGE_CFG_RETRY_EN", 0x8000, 0xf},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"PSX80_WRP_CFG_LNC_WINDOW", 0x1508031, {
		{"CFG_LNC_WINDOW0", 0xffffff, 0x0}
	} },
	{"D2F2_PCIE_LANE_3_EQUALIZATION_CNTL", 0x30000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F1_PCIE_LC_BEST_EQ_SETTINGS", 0xb9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"D2F4_PCIE_FC_NP", 0x61, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"PSX81_WRP_BIOSTIMER_CMD", 0x13180f0, {
		{"Microseconds", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_LANE_9_EQUALIZATION_CNTL", 0x60000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F5_ROOT_CAP", 0xb00001d, {
		{"CRS_SOFTWARE_VISIBILITY", 0x10000, 0x10}
	} },
	{"D3F4_PCIE_TX_REQUEST_NUM_CNTL", 0x23, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"D3F4_ROOT_CNTL", 0xa00001d, {
		{"SERR_ON_CORR_ERR_EN", 0x1, 0x0},
		{"SERR_ON_NONFATAL_ERR_EN", 0x2, 0x1},
		{"SERR_ON_FATAL_ERR_EN", 0x4, 0x2},
		{"PM_INTERRUPT_EN", 0x8, 0x3},
		{"CRS_SOFTWARE_VISIBILITY_EN", 0x10, 0x4}
	} },
	{"D3F1_MSI_MSG_CNTL", 0x7000028, {
		{"MSI_MULTI_EN", 0x700000, 0x14},
		{"MSI_MULTI_CAP", 0xe0000, 0x11},
		{"MSI_PERVECTOR_MASKING_CAP", 0x1000000, 0x18},
		{"MSI_64BIT", 0x800000, 0x17},
		{"MSI_EN", 0x10000, 0x10}
	} },
	{"DEVICE_STATUS2", 0x20, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"PCIE_LC_BEST_EQ_SETTINGS", 0x100100b9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"PSX81_BIF_LM_POWERCONTROL", 0x141012b, {
		{"LMRxPhyCmd3", 0x38000000, 0x1b},
		{"LMRxPhyCmd2", 0x380000, 0x13},
		{"LMTxPhyCmd3", 0x7000000, 0x18},
		{"LMTxPhyCmd1", 0x700, 0x8},
		{"LMTxPhyCmd0", 0x7, 0x0},
		{"LMRxPhyCmd1", 0x3800, 0xb},
		{"LMRxPhyCmd0", 0x38, 0x3},
		{"LMLinkSpeed2", 0xc00000, 0x16},
		{"LMLinkSpeed3", 0xc0000000, 0x1e},
		{"LMLinkSpeed0", 0xc0, 0x6},
		{"LMLinkSpeed1", 0xc000, 0xe},
		{"LMTxPhyCmd2", 0x70000, 0x10}
	} },
	{"D3F5_PCIE_LC_FORCE_COEFF", 0xb8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_PRESET_10_EN", 0x100000, 0x14},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"PCIE_TX_REQUESTER_ID", 0x10010021, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT1_SLV_NS_C_CLK", 0x1410092, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIEP_ERROR_INJECT_PHYSICAL", 0x83, {
		{"ERROR_INJECT_PL_BAD_SYNC_HEADER", 0xc00000, 0x16},
		{"ERROR_INJECT_PL_LOOPBACK_OFLOW", 0xc00, 0xa},
		{"ERROR_INJECT_PL_BAD_PARITY_IN_SKP", 0x30, 0x4},
		{"ERROR_INJECT_PL_8B10B_DISPARITY_ERR", 0xc000, 0xe},
		{"ERROR_INJECT_PL_LOOPBACK_UFLOW", 0x300, 0x8},
		{"ERROR_INJECT_PL_FRAMING_ERR", 0xc, 0x2},
		{"ERROR_INJECT_PL_BAD_LFSR_IN_SKP", 0xc0, 0x6},
		{"ERROR_INJECT_PL_LANE_ERR", 0x3, 0x0},
		{"ERROR_INJECT_PL_SKP_OS_ERROR", 0xc0000, 0x12},
		{"ERROR_INJECT_PL_INV_OS_IDENTIFIER", 0x300000, 0x14},
		{"ERROR_INJECT_PL_DESKEW_ERR", 0x3000, 0xc},
		{"ERROR_INJECT_PL_8B10B_DECODE_ERR", 0x30000, 0x10}
	} },
	{"D2F1_PROG_INTERFACE", 0x2000002, {
		{"PROG_INTERFACE", 0xff00, 0x8}
	} },
	{"D3F1_PCIE_TLP_PREFIX_LOG2", 0x7000064, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_TLP_PREFIX_LOG3", 0x7000065, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_TLP_PREFIX_LOG0", 0x7000062, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_TLP_PREFIX_LOG1", 0x7000063, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_LANE_0_EQUALIZATION_CNTL", 0x500009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_12", 0x14100dc, {
		{"PRBS_ERRCNT_12", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIEP_STRAP_MISC", 0xc1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"D2F5_PCIE_CORR_ERR_STATUS", 0x6000058, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_11", 0x14100db, {
		{"PRBS_ERRCNT_11", 0xffffffff, 0x0}
	} },
	{"D3F5_MSI_MSG_ADDR_LO", 0xb000029, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_14", 0x14100de, {
		{"PRBS_ERRCNT_14", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_15", 0x14100df, {
		{"PRBS_ERRCNT_15", 0xffffffff, 0x0}
	} },
	{"BIF_DOORBELL_GBLAPER2_LOWER_IND", 0x10914fe, {
		{"DOORBELL_GBLAPER2_LOWER", 0xffc, 0x2},
		{"DOORBELL_GBLAPER2_EN", 0x80000000, 0x1f}
	} },
	{"D2F1_STATUS", 0x2000001, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"INT_STATUS", 0x80000, 0x13},
		{"SIGNALED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D2F4_PCIEP_HPGI_PRIVATE", 0xd2, {
		{"PRESENCE_DETECT_STATE_PRIVATE", 0x40, 0x6},
		{"PRESENCE_DETECT_CHANGED_PRIVATE", 0x8, 0x3}
	} },
	{"PSX80_PHY0_COM_COMMON_CDR_FRCTL", 0x1206215, {
		{"cdr_fr_limit", 0xc00000, 0x16},
		{"cdr_fr_gain_gen12", 0x3c, 0x2},
		{"cdr_fr_gain_gen3", 0x780, 0x7},
		{"cdr_fr_byp_val", 0x1ff000, 0xc},
		{"cdr_fr_en", 0x1, 0x0}
	} },
	{"D2F5_PCIE_TX_REPLAY", 0x25, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"BIF_RFE_MASTER_SOFTRST_TRIGGER", 0x1443, {
		{"FBU_rst", 0x1, 0x0},
		{"BX_rst", 0x4, 0x2},
		{"RWREG_RFEWGBIF_rst", 0x2, 0x1}
	} },
	{"PSX80_PHY0_COM_COMMON_LANE_PWRMGMT", 0x1206209, {
		{"pgmask", 0x3f0, 0x4},
		{"pgdelay", 0xf, 0x0}
	} },
	{"PCIE_CNTL2", 0x140001c, {
		{"SLV_MEM_AGGRESSIVE_LS_EN", 0x20000, 0x11},
		{"SLV_MEM_LS_EN", 0x10000, 0x10},
		{"MST_MEM_SD_EN", 0x400000, 0x16},
		{"RX_NP_MEM_WRITE_ENCODING", 0x1f000000, 0x18},
		{"TX_ARB_MST_LIMIT", 0x7c0, 0x6},
		{"SLV_MEM_SD_EN", 0x100000, 0x14},
		{"REPLAY_MEM_LS_EN", 0x80000, 0x13},
		{"REPLAY_MEM_SD_EN", 0x800000, 0x17},
		{"SLV_MEM_AGGRESSIVE_SD_EN", 0x200000, 0x15},
		{"TX_ARB_ROUND_ROBIN_EN", 0x1, 0x0},
		{"TX_ARB_SLV_LIMIT", 0x3e, 0x1},
		{"MST_MEM_LS_EN", 0x40000, 0x12},
		{"TX_BLOCK_TLP_ON_PM_DIS", 0x800, 0xb}
	} },
	{"BIF_VDDGFX_GFX5_LOWER", 0x1432, {
		{"VDDGFX_GFX5_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX5_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_GFX5_REG_STALL_EN", 0x80000000, 0x1f}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_TRAINING_D", 0x1500b05, {
		{"STRAP_BIF_INITIAL_N_FTS", 0xff000000, 0x18},
		{"STRAP_BIF_LC_ENHANCED_HOT_PLUG_EN", 0x200, 0x9}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_TRAINING_E", 0x1500c05, {
		{"STRAP_BIF_INITIAL_N_FTS", 0xff000000, 0x18},
		{"STRAP_BIF_LC_ENHANCED_HOT_PLUG_EN", 0x200, 0x9}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_TRAINING_B", 0x1500905, {
		{"STRAP_BIF_INITIAL_N_FTS", 0xff000000, 0x18},
		{"STRAP_BIF_LC_ENHANCED_HOT_PLUG_EN", 0x200, 0x9}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_TRAINING_C", 0x1500a05, {
		{"STRAP_BIF_INITIAL_N_FTS", 0xff000000, 0x18},
		{"STRAP_BIF_LC_ENHANCED_HOT_PLUG_EN", 0x200, 0x9}
	} },
	{"MM_DATA", 0x1, {
		{"MM_DATA", 0xffffffff, 0x0}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_TRAINING_A", 0x1500805, {
		{"STRAP_BIF_INITIAL_N_FTS", 0xff000000, 0x18},
		{"STRAP_BIF_LC_ENHANCED_HOT_PLUG_EN", 0x200, 0x9}
	} },
	{"D3F1_DEVICE_STATUS", 0x7000018, {
		{"CORR_ERR", 0x10000, 0x10},
		{"TRANSACTIONS_PEND", 0x200000, 0x15},
		{"AUX_PWR", 0x100000, 0x14},
		{"USR_DETECTED", 0x80000, 0x13},
		{"NON_FATAL_ERR", 0x20000, 0x11},
		{"FATAL_ERR", 0x40000, 0x12}
	} },
	{"D2F2_PCIE_PORT_INDEX", 0x3000038, {
		{"PCIE_INDEX", 0xff, 0x0}
	} },
	{"D2F5_PCIE_LC_CDR_CNTL", 0xb3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"D2F5_PCIE_LANE_1_EQUALIZATION_CNTL", 0x600009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F4_PREF_BASE_LIMIT", 0x5000009, {
		{"PREF_MEM_BASE_31_20", 0xfff0, 0x4},
		{"PREF_MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"PREF_MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"PREF_MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"PSX81_PHY0_RX_DBG_BYP_EN_BROADCAST", 0x121fe0d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"D3F1_INTERRUPT_LINE", 0x700000f, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"D3F5_PCIEP_HW_DEBUG", 0x2, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D3F4_MSI_MAP_ADDR_LO", 0xa000033, {
		{"MSI_MAP_ADDR_LO", 0xfff00000, 0x14}
	} },
	{"PSX80_PHY0_RX_ELECIDLE_DEBUG_LANE4", 0x1200405, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"D2F5_INTERRUPT_LINE", 0x600000f, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"STATUS", 0x1, {
		{"CAP_LIST", 0x10, 0x4},
		{"RECEIVED_MASTER_ABORT", 0x2000, 0xd},
		{"INT_STATUS", 0x8, 0x3},
		{"SIGNALED_SYSTEM_ERROR", 0x4000, 0xe},
		{"SIGNAL_TARGET_ABORT", 0x800, 0xb},
		{"MASTER_DATA_PARITY_ERROR", 0x100, 0x8},
		{"RECEIVED_TARGET_ABORT", 0x1000, 0xc},
		{"FAST_BACK_CAPABLE", 0x80, 0x7},
		{"PCI_66_EN", 0x20, 0x5},
		{"PARITY_ERROR_DETECTED", 0x8000, 0xf},
		{"DEVSEL_TIMING", 0x600, 0x9}
	} },
	{"HW_DEBUG", 0x1515, {
		{"HW_25_DEBUG", 0x2000000, 0x19},
		{"HW_27_DEBUG", 0x8000000, 0x1b},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_28_DEBUG", 0x10000000, 0x1c},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_18_DEBUG", 0x40000, 0x12},
		{"HW_30_DEBUG", 0x40000000, 0x1e},
		{"HW_31_DEBUG", 0x80000000, 0x1f},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_21_DEBUG", 0x200000, 0x15},
		{"HW_19_DEBUG", 0x80000, 0x13},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_20_DEBUG", 0x100000, 0x14},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_00_DEBUG", 0x1, 0x0},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_16_DEBUG", 0x10000, 0x10},
		{"HW_23_DEBUG", 0x800000, 0x17},
		{"HW_22_DEBUG", 0x400000, 0x16},
		{"HW_26_DEBUG", 0x4000000, 0x1a},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_24_DEBUG", 0x1000000, 0x18},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_29_DEBUG", 0x20000000, 0x1d},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_17_DEBUG", 0x20000, 0x11}
	} },
	{"D3F4_PCIE_LC_FORCE_EQ_REQ_COEFF", 0xba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"PSX80_PHY0_TX_MARGDEEMPHSTATUS_LANE1", 0x1202104, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"PSX80_PHY0_RX_DLL_CTL_BROADCAST", 0x120fe03, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX81_PHY0_TX_MARGDEEMPHSTATUS_LANE2", 0x1212204, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"PSX81_PHY0_TX_MARGDEEMPHSTATUS_LANE1", 0x1212104, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"BIF_VDDGFX_GFX3_LOWER", 0x142e, {
		{"VDDGFX_GFX3_REG_STALL_EN", 0x80000000, 0x1f},
		{"VDDGFX_GFX3_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX3_REG_CMP_EN", 0x40000000, 0x1e}
	} },
	{"D3F2_PCIE_TX_CREDITS_INIT_P", 0x33, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"D3F5_PCIE_VC0_RESOURCE_CNTL", 0xb000049, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"PSX81_PHY0_TX_MARGDEEMPHSTATUS_LANE5", 0x1212504, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"D3F3_PCIE_PORT_INDEX", 0x9000038, {
		{"PCIE_INDEX", 0xff, 0x0}
	} },
	{"D2F1_INTERRUPT_LINE", 0x200000f, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"D2F1_DEVICE_CNTL", 0x2000018, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"BRIDGE_CFG_RETRY_EN", 0x8000, 0xf},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"PSX80_PHY0_TX_MARGDEEMPHSTATUS_LANE3", 0x1202304, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"D2F1_PCIEP_HPGI_PRIVATE", 0xd2, {
		{"PRESENCE_DETECT_STATE_PRIVATE", 0x40, 0x6},
		{"PRESENCE_DETECT_CHANGED_PRIVATE", 0x8, 0x3}
	} },
	{"D3F1_PCIE_RX_CREDITS_ALLOCATED_NP", 0x81, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"BIF_XDMA_LO", 0x14c0, {
		{"BIF_XDMA_LOWER_BOUND", 0x1fffffff, 0x0},
		{"BIF_XDMA_APER_EN", 0x80000000, 0x1f}
	} },
	{"PSX80_PHY0_TX_MARGDEEMPHSTATUS_LANE4", 0x1202404, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"PSX80_PHY0_TX_MARGDEEMPHSTATUS_LANE5", 0x1202504, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"PSX81_PIF0_RX_CTRL", 0x111000a, {
		{"RX_HLD_EIE_COUNT", 0x2000000, 0x19},
		{"RXPWR_IN_UNUSED", 0x7000, 0xc},
		{"RX_EI_DET_IN_PS2_DEGRADE", 0x4000000, 0x1a},
		{"RXPWR_GATING_IN_L1", 0x800000, 0x17},
		{"RXPWR_IN_SPDCHNG", 0x38, 0x3},
		{"RXPWR_IN_INIT", 0x38000, 0xf},
		{"RXPWR_IN_UNUSED_MODE", 0x400000, 0x16},
		{"RXPWR_GATING_IN_UNUSED", 0x1000000, 0x18},
		{"RXPWR_IN_PLL_OFF", 0x1c0000, 0x12},
		{"RXPWR_IN_S2", 0x7, 0x0},
		{"RXPWR_IN_DEGRADE_MODE", 0x200000, 0x15},
		{"RXPWR_IN_DEGRADE", 0xe00, 0x9},
		{"RXPWR_IN_OFF", 0x1c0, 0x6}
	} },
	{"PSX81_BIF_PCIE_LC_STATE6", 0x1410022, {
		{"LC_PREV_STATE26", 0x3f0000, 0x10},
		{"LC_PREV_STATE27", 0x3f000000, 0x18},
		{"LC_PREV_STATE24", 0x3f, 0x0},
		{"LC_PREV_STATE25", 0x3f00, 0x8}
	} },
	{"D3F1_PCIE_TX_REQUESTER_ID", 0x21, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"D3F2_PCIE_CORR_ERR_STATUS", 0x8000058, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"INTERRUPT_CNTL", 0x151a, {
		{"IH_DUMMY_RD_OVERRIDE", 0x1, 0x0},
		{"GEN_IH_INT_EN", 0x100, 0x8},
		{"BIF_RB_REQ_NONSNOOP_EN", 0x8000, 0xf},
		{"SELECT_INT_GPIO_OUTPUT", 0x6000, 0xd},
		{"IH_REQ_NONSNOOP_EN", 0x8, 0x3},
		{"IH_DUMMY_RD_EN", 0x2, 0x1},
		{"IH_INTR_DLY_CNTR", 0xf0, 0x4},
		{"GEN_GPIO_INT_EN", 0x1e00, 0x9}
	} },
	{"PCIE_LC_SPEED_CNTL", 0x100100a4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"D3F5_PCIE_ROOT_ERR_CMD", 0xb00005f, {
		{"FATAL_ERR_REP_EN", 0x4, 0x2},
		{"CORR_ERR_REP_EN", 0x1, 0x0},
		{"NONFATAL_ERR_REP_EN", 0x2, 0x1}
	} },
	{"BIF_VDDGFX_RSV1_LOWER_IND", 0x1091434, {
		{"VDDGFX_RSV1_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_RSV1_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_RSV1_REG_STALL_EN", 0x80000000, 0x1f}
	} },
	{"BUS_CNTL_IND", 0x1091508, {
		{"PMI_MEM_DIS", 0x8, 0x3},
		{"BIF_ERR_RTR_BKPRESSURE_EN", 0x100, 0x8},
		{"SET_AZ_TC", 0x1c00, 0xa},
		{"PMI_BM_DIS", 0x10, 0x4},
		{"PMI_IO_DIS", 0x4, 0x2},
		{"ZERO_BE_RD_EN", 0x20000, 0x11},
		{"VGA_MEM_COHERENCY_DIS", 0x80, 0x7},
		{"RD_STALL_IO_WR", 0x40000, 0x12},
		{"SET_MC_TC", 0xe000, 0xd},
		{"VGA_REG_COHERENCY_DIS", 0x40, 0x6},
		{"BIOS_ROM_WRT_EN", 0x1, 0x0},
		{"ZERO_BE_WR_EN", 0x10000, 0x10},
		{"PMI_INT_DIS", 0x20, 0x5},
		{"BIOS_ROM_DIS", 0x2, 0x1}
	} },
	{"BIF_VDDGFX_GFX3_UPPER_IND", 0x109142f, {
		{"VDDGFX_GFX3_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"INTERRUPT_CNTL_IND", 0x109151a, {
		{"IH_DUMMY_RD_OVERRIDE", 0x1, 0x0},
		{"GEN_IH_INT_EN", 0x100, 0x8},
		{"BIF_RB_REQ_NONSNOOP_EN", 0x8000, 0xf},
		{"SELECT_INT_GPIO_OUTPUT", 0x6000, 0xd},
		{"IH_REQ_NONSNOOP_EN", 0x8, 0x3},
		{"IH_DUMMY_RD_EN", 0x2, 0x1},
		{"IH_INTR_DLY_CNTR", 0xf0, 0x4},
		{"GEN_GPIO_INT_EN", 0x1e00, 0x9}
	} },
	{"D2F5_PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0x6000054, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F5_PCIE_LC_BEST_EQ_SETTINGS", 0xb9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"D3F2_ROOT_CNTL", 0x800001d, {
		{"SERR_ON_CORR_ERR_EN", 0x1, 0x0},
		{"SERR_ON_NONFATAL_ERR_EN", 0x2, 0x1},
		{"SERR_ON_FATAL_ERR_EN", 0x4, 0x2},
		{"PM_INTERRUPT_EN", 0x8, 0x3},
		{"CRS_SOFTWARE_VISIBILITY_EN", 0x10, 0x4}
	} },
	{"GPU_GARLIC_FLUSH_REQ_IND", 0x1091413, {
		{"SDMA3", 0x2000, 0xd},
		{"SDMA2", 0x1000, 0xc},
		{"SDMA0", 0x400, 0xa},
		{"CP8", 0x100, 0x8},
		{"CP9", 0x200, 0x9},
		{"SDMA1", 0x800, 0xb},
		{"CP0", 0x1, 0x0},
		{"CP1", 0x2, 0x1},
		{"CP2", 0x4, 0x2},
		{"CP3", 0x8, 0x3},
		{"CP4", 0x10, 0x4},
		{"CP5", 0x20, 0x5},
		{"CP6", 0x40, 0x6},
		{"CP7", 0x80, 0x7}
	} },
	{"D3F2_PCIE_ACS_CAP", 0x80000a9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_SPEED_PORT_B", 0x1500901, {
		{"STRAP_BIF_LC_EQ_FS", 0x3f0000, 0x10},
		{"STRAP_BIF_LC_BYPASS_EQ_REQ_PHASE", 0x100, 0x8},
		{"STRAP_BIF_LC_EQ_LF", 0x3f000000, 0x18},
		{"STRAP_BIF_LC_BYPASS_EQ", 0x80, 0x7},
		{"STRAP_BIF_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x4, 0x2},
		{"STRAP_BIF_LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x40, 0x6},
		{"STRAP_BIF_TARGET_LINK_SPEED", 0x3000, 0xc},
		{"STRAP_BIF_LC_EQ_SEARCH_MODE", 0x600, 0x9}
	} },
	{"D2F4_PCIE_DEV_SERIAL_NUM_DW2", 0x5000052, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_TX_CREDITS_INIT_P", 0x33, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"D3F4_SECONDARY_STATUS", 0xa000007, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"RECEIVED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"BIF_RB_BASE", 0x1531, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"D3F5_MSI_MAP_CAP", 0xb000032, {
		{"FIXD", 0x20000, 0x11},
		{"EN", 0x10000, 0x10},
		{"CAP_TYPE", 0xf8000000, 0x1b}
	} },
	{"D3F1_PCIE_ERR_SRC_ID", 0x7000061, {
		{"ERR_CORR_SRC_ID", 0xffff, 0x0},
		{"ERR_FATAL_NONFATAL_SRC_ID", 0xffff0000, 0x10}
	} },
	{"D3F1_MSI_MAP_CAP", 0x7000032, {
		{"FIXD", 0x20000, 0x11},
		{"EN", 0x10000, 0x10},
		{"CAP_TYPE", 0xf8000000, 0x1b}
	} },
	{"PSX81_BIF_PCIE_P_MISC_STATUS", 0x1410043, {
		{"P_DESKEW_ERR", 0xff, 0x0},
		{"P_SYMUNLOCK_ERR", 0xffff0000, 0x10}
	} },
	{"PSX81_PHY0_TX_DFX_BROADCAST", 0x121ff01, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"D3F2_SLOT_CAP2", 0x8000023, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT1_TXCLK", 0x1400083, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIEP_STRAP_MISC", 0xc1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_TRAINING_C", 0x1510a05, {
		{"STRAP_BIF_INITIAL_N_FTS", 0xff000000, 0x18},
		{"STRAP_BIF_LC_ENHANCED_HOT_PLUG_EN", 0x200, 0x9}
	} },
	{"D2F3_PCIE_PORT_INDEX", 0x4000038, {
		{"PCIE_INDEX", 0xff, 0x0}
	} },
	{"VENDOR_CAP_LIST", 0x12, {
		{"LENGTH", 0xff0000, 0x10},
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX80_BIF_PCIE_SCRATCH", 0x1400001, {
		{"PCIE_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_P_PORT_LANE_STATUS", 0x50, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"D3F4_CACHE_LINE", 0xa000003, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"D2F3_PCIE_P_PORT_LANE_STATUS", 0x50, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"PSX81_BIF_SWRST_COMMAND_0", 0x1410102, {
		{"BIF0_CONFIG_RESET", 0x400000, 0x16},
		{"BIF0_CALIB_RESET", 0x20000, 0x11},
		{"BIF0_STICKY_RESET", 0x200000, 0x15},
		{"BIF0_REGISTER_RESET", 0x80000, 0x13},
		{"BIF_STRAPREG_RESET", 0x8000, 0xf},
		{"BIF0_GLOBAL_RESET", 0x10000, 0x10},
		{"BIF0_PHY_RESET", 0x100000, 0x14},
		{"BIF0_CORE_RESET", 0x40000, 0x12}
	} },
	{"PSX81_BIF_SWRST_COMMAND_1", 0x1410103, {
		{"RESETLANEMUX", 0x4, 0x2},
		{"SYNCIDLEPIF0", 0x100, 0x8},
		{"SYNCIDLEPIF1", 0x200, 0x9},
		{"RESETHLTR", 0x4000, 0xe},
		{"TOGGLESTRAP", 0x10000000, 0x1c},
		{"RESETPHY1", 0x2000000, 0x19},
		{"RESETPHY0", 0x1000000, 0x18},
		{"RESETSRBM1", 0x20, 0x5},
		{"RESETSRBM0", 0x10, 0x4},
		{"RESETLC", 0x40, 0x6},
		{"SWITCHCLK", 0x1, 0x0},
		{"CMDCFGEN", 0x20000000, 0x1d},
		{"RESETWRAPREGS", 0x8, 0x3},
		{"RESETPIF1", 0x20000, 0x11},
		{"RESETPIF0", 0x10000, 0x10},
		{"RESETCPM", 0x8000, 0xf},
		{"RESETPCFG", 0x2, 0x1},
		{"RESETIMPARB1", 0x200000, 0x15},
		{"RESETIMPARB0", 0x100000, 0x14},
		{"RESETMNTR", 0x2000, 0xd}
	} },
	{"PROG_INTERFACE", 0x2, {
		{"PROG_INTERFACE", 0xff, 0x0}
	} },
	{"D2F3_BASE_CLASS", 0x4000002, {
		{"BASE_CLASS", 0xff000000, 0x18}
	} },
	{"D2F4_DEVICE_CAP2", 0x500001f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"ATOMICOP_ROUTING_SUPPORTED", 0x40, 0x6},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"ATOMICOP_32CMPLT_SUPPORTED", 0x80, 0x7},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"CAS128_CMPLT_SUPPORTED", 0x200, 0x9},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"ATOMICOP_64CMPLT_SUPPORTED", 0x100, 0x8},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"BIF_VDDGFX_RSV3_LOWER_IND", 0x1091438, {
		{"VDDGFX_RSV3_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_RSV3_REG_STALL_EN", 0x80000000, 0x1f},
		{"VDDGFX_RSV3_REG_LOWER", 0x3fffc, 0x2}
	} },
	{"D2F5_PCIE_ERR_SRC_ID", 0x6000061, {
		{"ERR_CORR_SRC_ID", 0xffff, 0x0},
		{"ERR_FATAL_NONFATAL_SRC_ID", 0xffff0000, 0x10}
	} },
	{"D3F3_PCIEP_HW_DEBUG", 0x2, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D2F4_PROG_INTERFACE", 0x5000002, {
		{"PROG_INTERFACE", 0xff00, 0x8}
	} },
	{"D2F3_PCIE_ERR_SRC_ID", 0x4000061, {
		{"ERR_CORR_SRC_ID", 0xffff, 0x0},
		{"ERR_FATAL_NONFATAL_SRC_ID", 0xffff0000, 0x10}
	} },
	{"D2F4_PCIE_VC0_RESOURCE_CAP", 0x5000048, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D2F4_PCIEP_BCH_ECC_CNTL", 0xd0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE2", 0x1200201, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PciPllTestDebug3", 0x1214109, {
		{"ADCRefIn", 0x3f00000, 0x14},
		{"ContinueCal", 0x4, 0x2},
		{"ManTrigRoCal", 0x2, 0x1},
		{"CalFail", 0x60, 0x5},
		{"AutoTrigRoCal", 0x1, 0x0},
		{"ManCalRdyNext", 0x10, 0x4},
		{"PLL_AdcOut", 0x4000000, 0x1a},
		{"CalDone", 0x8, 0x3}
	} },
	{"PEER_REG_RANGE1_IND", 0x109153f, {
		{"START_ADDR", 0xffff, 0x0},
		{"END_ADDR", 0xffff0000, 0x10}
	} },
	{"D2F2_VENDOR_ID", 0x3000000, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"D2F2_PCIE_TX_REQUESTER_ID", 0x21, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"D3F4_PCIE_TX_CREDITS_FCU_THRESHOLD", 0x37, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"D3F2_PCIE_TX_CREDITS_STATUS", 0x36, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"D3F4_SLOT_CNTL", 0xa00001c, {
		{"HOTPLUG_INTR_EN", 0x20, 0x5},
		{"PWR_FAULT_DETECTED_EN", 0x2, 0x1},
		{"PRESENCE_DETECT_CHANGED_EN", 0x8, 0x3},
		{"PWR_INDICATOR_CNTL", 0x300, 0x8},
		{"COMMAND_COMPLETED_INTR_EN", 0x10, 0x4},
		{"ATTN_BUTTON_PRESSED_EN", 0x1, 0x0},
		{"MRL_SENSOR_CHANGED_EN", 0x4, 0x2},
		{"ATTN_INDICATOR_CNTL", 0xc0, 0x6},
		{"DL_STATE_CHANGED_EN", 0x1000, 0xc},
		{"ELECTROMECH_INTERLOCK_CNTL", 0x800, 0xb},
		{"PWR_CONTROLLER_CNTL", 0x400, 0xa}
	} },
	{"D2F3_PCIE_TX_REQUESTER_ID", 0x21, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"BIF_DEBUG_OUT", 0x151e, {
		{"DEBUG_OUTPUT", 0x1ffff, 0x0}
	} },
	{"D2F5_PCIE_ERR_CNTL", 0x6a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"CAPTURE_HOST_BUSNUM_IND", 0x109153c, {
		{"CHECK_EN", 0x1, 0x0}
	} },
	{"D3F4_PCIE_LC_SPEED_CNTL", 0xa4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"PSX80_WRP_BIF_STRAP_REV_ID", 0x1500007, {

	} },
	{"D2F3_PCIE_TX_SEQ", 0x24, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"PSX80_PHY0_TX_TSTMARGDEEMPH_LANE0", 0x1202003, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"PSX80_PHY0_TX_TSTMARGDEEMPH_LANE1", 0x1202103, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"PSX80_PHY0_TX_TSTMARGDEEMPH_LANE2", 0x1202203, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"PSX80_PHY0_TX_TSTMARGDEEMPH_LANE3", 0x1202303, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT0_MST_R_CLK", 0x1400085, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_TX_TSTMARGDEEMPH_LANE5", 0x1202503, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"D2F1_MSI_MAP_ADDR_HI", 0x2000034, {
		{"MSI_MAP_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_TX_TSTMARGDEEMPH_LANE7", 0x1202703, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"PSX81_WRP_LNC_TOTAL_WACC", 0x1518034, {
		{"LNC_TOTAL_WACC", 0xffffffff, 0x0}
	} },
	{"D3F2_MSI_MAP_CAP", 0x8000032, {
		{"FIXD", 0x20000, 0x11},
		{"EN", 0x10000, 0x10},
		{"CAP_TYPE", 0xf8000000, 0x1b}
	} },
	{"BIOS_SCRATCH_15", 0x5d8, {
		{"BIOS_SCRATCH_15", 0xffffffff, 0x0}
	} },
	{"BIOS_SCRATCH_14", 0x5d7, {
		{"BIOS_SCRATCH_14", 0xffffffff, 0x0}
	} },
	{"D3F5_STATUS", 0xb000001, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"INT_STATUS", 0x80000, 0x13},
		{"SIGNALED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"BIOS_SCRATCH_11", 0x5d4, {
		{"BIOS_SCRATCH_11", 0xffffffff, 0x0}
	} },
	{"BIOS_SCRATCH_10", 0x5d3, {
		{"BIOS_SCRATCH_10", 0xffffffff, 0x0}
	} },
	{"BIF_VDDGFX_GFX5_UPPER", 0x1433, {
		{"VDDGFX_GFX5_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"BIOS_SCRATCH_12", 0x5d5, {
		{"BIOS_SCRATCH_12", 0xffffffff, 0x0}
	} },
	{"D3F3_SLOT_CNTL", 0x900001c, {
		{"HOTPLUG_INTR_EN", 0x20, 0x5},
		{"PWR_FAULT_DETECTED_EN", 0x2, 0x1},
		{"PRESENCE_DETECT_CHANGED_EN", 0x8, 0x3},
		{"PWR_INDICATOR_CNTL", 0x300, 0x8},
		{"COMMAND_COMPLETED_INTR_EN", 0x10, 0x4},
		{"ATTN_BUTTON_PRESSED_EN", 0x1, 0x0},
		{"MRL_SENSOR_CHANGED_EN", 0x4, 0x2},
		{"ATTN_INDICATOR_CNTL", 0xc0, 0x6},
		{"DL_STATE_CHANGED_EN", 0x1000, 0xc},
		{"ELECTROMECH_INTERLOCK_CNTL", 0x800, 0xb},
		{"PWR_CONTROLLER_CNTL", 0x400, 0xa}
	} },
	{"PCIE_F0_DPA_CNTL", 0x14000e5, {
		{"SUBSTATE_STATUS", 0x1f, 0x0}
	} },
	{"D3F1_SUB_CLASS", 0x7000002, {
		{"SUB_CLASS", 0xff0000, 0x10}
	} },
	{"PSX80_BIF_PCIE_PRBS_MISC", 0x14000cc, {
		{"PRBS_EN", 0x1, 0x0},
		{"PRBS_CHK_ERR_MASK", 0xffff0000, 0x10},
		{"PRBS_COMMA_NUM", 0xc0, 0x6},
		{"PRBS_LOCK_CNT", 0x1f00, 0x8},
		{"PRBS_TEST_MODE", 0xe, 0x1},
		{"PRBS_USER_PATTERN_TOGGLE", 0x10, 0x4},
		{"PRBS_DATA_RATE", 0xc000, 0xe},
		{"PRBS_8BIT_SEL", 0x20, 0x5}
	} },
	{"D2F2_PCIE_RX_CNTL3", 0x74, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"PSX81_BIF_CPM_CONTROL", 0x1410118, {
		{"TXCLK_PRBS_GATE_ENABLE", 0x80, 0x7},
		{"TXCLK_PERM_GATE_ENABLE", 0x4, 0x2},
		{"TXCLK_GSKT_GATE_ENABLE", 0x10, 0x4},
		{"FAST_TXCLK_LATENCY", 0xe0000, 0x11},
		{"TXCLK_PERM_GATE_LATENCY", 0x800, 0xb},
		{"REFCLK_XSTCLK_LATENCY", 0x800000, 0x17},
		{"REFCLK_REGS_GATE_LATENCY", 0x2000, 0xd},
		{"TXCLK_PERM_GATE_PLL_PDN", 0x10000, 0x10},
		{"TXCLK_REGS_GATE_ENABLE", 0x40, 0x6},
		{"TXCLK_REGS_GATE_LATENCY", 0x1000, 0xc},
		{"MASTER_PCIE_PLL_SELECT", 0x100000, 0x14},
		{"LCLK_GATE_TXCLK_FREE", 0x4000, 0xe},
		{"REFCLK_REGS_GATE_ENABLE", 0x100, 0x8},
		{"LCLK_DYN_GATE_LATENCY", 0x200, 0x9},
		{"MASTER_PCIE_PLL_AUTO", 0x200000, 0x15},
		{"REFCLK_XSTCLK_ENABLE", 0x400000, 0x16},
		{"TXCLK_DYN_GATE_ENABLE", 0x2, 0x1},
		{"TXCLK_PIF_GATE_ENABLE", 0x8, 0x3},
		{"RCVR_DET_CLK_ENABLE", 0x8000, 0xf},
		{"TXCLK_LCNT_GATE_ENABLE", 0x20, 0x5},
		{"SPARE_REGS", 0xff000000, 0x18},
		{"TXCLK_DYN_GATE_LATENCY", 0x400, 0xa},
		{"LCLK_DYN_GATE_ENABLE", 0x1, 0x0}
	} },
	{"PCIE_RX_CREDITS_ALLOCATED_P", 0x10010080, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"BX_RESET_CNTL_IND", 0x1091518, {
		{"LINK_TRAIN_EN", 0x1, 0x0}
	} },
	{"PCIE_LC_CNTL4", 0x100100b6, {
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb}
	} },
	{"PCIE_LC_CNTL5", 0x100100b7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"PCIE_LC_CNTL2", 0x100100b1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"PCIE_LC_CNTL3", 0x100100b5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"D3F4_PCIE_MC_BLOCK_UNTRANSLATED_0", 0xa0000c4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_MC_BLOCK_UNTRANSLATED_1", 0xa0000c5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"D2F4_SUB_BUS_NUMBER_LATENCY", 0x5000006, {
		{"SECONDARY_BUS", 0xff00, 0x8},
		{"PRIMARY_BUS", 0xff, 0x0},
		{"SUB_BUS_NUM", 0xff0000, 0x10},
		{"SECONDARY_LATENCY_TIMER", 0xff000000, 0x18}
	} },
	{"D3F4_SLOT_STATUS", 0xa00001c, {
		{"PRESENCE_DETECT_STATE", 0x400000, 0x16},
		{"DL_STATE_CHANGED", 0x1000000, 0x18},
		{"MRL_SENSOR_CHANGED", 0x40000, 0x12},
		{"ELECTROMECH_INTERLOCK_STATUS", 0x800000, 0x17},
		{"ATTN_BUTTON_PRESSED", 0x10000, 0x10},
		{"MRL_SENSOR_STATE", 0x200000, 0x15},
		{"PWR_FAULT_DETECTED", 0x20000, 0x11},
		{"COMMAND_COMPLETED", 0x100000, 0x14},
		{"PRESENCE_DETECT_CHANGED", 0x80000, 0x13}
	} },
	{"PSX80_WRP_LNC_TOTAL_WACC", 0x1508034, {
		{"LNC_TOTAL_WACC", 0xffffffff, 0x0}
	} },
	{"RFE_IMPARBH_STATUS", 0x1085140, {
		{"IMPAH_REG_calDone", 0x1, 0x0}
	} },
	{"D3F3_EXT_BRIDGE_CNTL", 0x9000010, {
		{"IO_PORT_80_EN", 0x1, 0x0}
	} },
	{"D2F5_PCIE_TX_CNTL", 0x20, {
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"PSX81_WRP_BIF_STRAP_I2C_CNTL", 0x1510008, {

	} },
	{"PSX81_WRP_DTM_CNTL", 0x131ffe1, {
		{"TxClkGskt_Cntl", 0xc00, 0xa},
		{"Determinism_En_DTM", 0x4, 0x2},
		{"Dtm_Dummy6", 0x80, 0x7},
		{"Dtm_Dummy7", 0x10000, 0x10},
		{"Dtm_Dummy4", 0x20, 0x5},
		{"Dtm_Dummy5", 0x40, 0x6},
		{"Dtm_Dummy2", 0x8, 0x3},
		{"Dtm_Dummy3", 0x10, 0x4},
		{"Dtm_Dummy0", 0x1, 0x0},
		{"Dtm_Dummy1", 0x2, 0x1},
		{"Dtm_Dummy8", 0x20000, 0x11},
		{"Dtm_Dummy9", 0x40000, 0x12},
		{"refClk_Cntl", 0x3000, 0xc},
		{"Warm_RstTimer", 0x60000000, 0x1d},
		{"TxClk1x_Cntl", 0x300, 0x8},
		{"dtmClk_Sel_Timer", 0xc000, 0xe},
		{"Dtm_Dummy11", 0x100000, 0x14},
		{"Dtm_Dummy18", 0x80000000, 0x1f},
		{"Dtm_Dummy14", 0x2000000, 0x19},
		{"Dtm_Dummy15", 0x4000000, 0x1a},
		{"Dtm_Dummy16", 0x8000000, 0x1b},
		{"Dtm_Dummy17", 0x10000000, 0x1c},
		{"Dtm_Dummy10", 0x80000, 0x13},
		{"rxElasWidth_Cntl", 0xc00000, 0x16},
		{"Dtm_Dummy12", 0x200000, 0x15},
		{"Dtm_Dummy13", 0x1000000, 0x18}
	} },
	{"D2F1_PREF_BASE_UPPER", 0x200000a, {
		{"PREF_BASE_UPPER", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_DEV_SERIAL_NUM_DW2", 0x8000052, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"PCIEP_STRAP_LC", 0x100100c0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"D3F1_LINK_STATUS2", 0x7000022, {
		{"LINK_EQUALIZATION_REQUEST", 0x200000, 0x15},
		{"CUR_DEEMPHASIS_LEVEL", 0x10000, 0x10},
		{"EQUALIZATION_COMPLETE", 0x20000, 0x11},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x80000, 0x13},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x100000, 0x14},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x40000, 0x12}
	} },
	{"D2F4_PCIE_PORT_VC_CNTL", 0x5000047, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"D3F3_PMI_CAP_LIST", 0x9000014, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"CACHE_LINE", 0x3, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"D3F3_PCIE_CORR_ERR_STATUS", 0x9000058, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"PCIE_PERF_COUNT1_MST_C_CLK", 0x1400089, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_RX_FOMCALCCTL_BROADCAST", 0x120fe0b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"D3F2_PCIE_LC_LANE_CNTL", 0xb4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"D2F3_PCIE_VC1_RESOURCE_STATUS", 0x400004d, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"BIF_RFE_WARMRST_CNTL", 0x1459, {
		{"REG_RST_warmRstRfeEn", 0x1, 0x0}
	} },
	{"PSX81_WRP_PCIE_EFUSE", 0x151fff0, {
		{"PCIE_EFUSE", 0xffffffff, 0x0}
	} },
	{"D2F2_PROG_INTERFACE", 0x3000002, {
		{"PROG_INTERFACE", 0xff00, 0x8}
	} },
	{"D2F1_EXT_BRIDGE_CNTL", 0x2000010, {
		{"IO_PORT_80_EN", 0x1, 0x0}
	} },
	{"D3F3_PCIE_ADV_ERR_CAP_CNTL", 0x900005a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"D3F4_PCIE_CAP", 0xa000016, {
		{"SLOT_IMPLEMENTED", 0x1000000, 0x18},
		{"VERSION", 0xf0000, 0x10},
		{"DEVICE_TYPE", 0xf00000, 0x14},
		{"INT_MESSAGE_NUM", 0x3e000000, 0x19}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT0_TXCLK", 0x1400082, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT1_TXCLK2", 0x1400097, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"PEER2_FB_OFFSET_HI", 0x14ef, {
		{"PEER2_FB_OFFSET_HI", 0xfffff, 0x0}
	} },
	{"D3F1_PCIE_LANE_8_EQUALIZATION_CNTL", 0x70000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_WRP_DTM_DENTIST_GATE_TIMING_DI_clk10x", 0x130ffe4, {
		{"DentistGate_startTime_DI_clk10x", 0xff, 0x0},
		{"DentistGate_dropoutTime_DI_clk10x", 0xff00, 0x8},
		{"DentistGate_stopTime_DI_clk10x", 0xff0000, 0x10}
	} },
	{"PSX80_WRP_BIF_STRAP_I2C_CNTL", 0x1500008, {

	} },
	{"D3F5_PCIE_MC_OVERLAY_BAR0", 0xb0000c6, {
		{"MC_OVERLAY_SIZE", 0x3f, 0x0},
		{"MC_OVERLAY_BAR_0", 0xffffffc0, 0x6}
	} },
	{"PSX80_WRP_BIF_INT_CNTL", 0x1500009, {
		{"INT_LINKAUTONOMOUSBWINT", 0x1, 0x0}
	} },
	{"PCIE_RX_LAST_TLP1", 0x1400032, {
		{"RX_LAST_TLP1", 0xffffffff, 0x0}
	} },
	{"D2F3_MSI_CAP_LIST", 0x4000028, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F5_PCIE_MC_BLOCK_UNTRANSLATED_0", 0xb0000c4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_LC_CNTL6", 0xbb, {
		{"LC_SPC_MODE_8GT", 0x10, 0x4},
		{"LC_SPC_MODE_5GT", 0x4, 0x2},
		{"LC_SPC_MODE_2P5GT", 0x1, 0x0}
	} },
	{"PCIE_P_RCV_L0S_FTS_DET", 0x1400050, {
		{"P_RCV_L0S_FTS_DET_MIN", 0xff, 0x0},
		{"P_RCV_L0S_FTS_DET_MAX", 0xff00, 0x8}
	} },
	{"BIF_RB_WPTR_ADDR_LO_IND", 0x1091535, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"D2F1_PCIE_LC_BW_CHANGE_CNTL", 0xb2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"D2F5_PCIE_LC_LINK_WIDTH_CNTL", 0xa2, {
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_WAIT_FOR_L_IDLE_IN_R_IDLE", 0x4000000, 0x1a},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_HOLD_EI_FOR_RSPEED_CMD_CHANGE", 0x10000000, 0x1c},
		{"LC_BYPASS_RXL0S_ON_SHORT_EI", 0x20000000, 0x1d},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_RESET_TSX_CNT_IN_RCONFIG_EN", 0x2000000, 0x19},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_MULT_REVERSE_ATTEMP_EN", 0x1000000, 0x18},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_WAIT_FOR_NON_EI_ON_RXL0S_EXIT", 0x8000000, 0x1b},
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc}
	} },
	{"BIF_BUSNUM_LIST1", 0x1527, {
		{"ID6", 0xff0000, 0x10},
		{"ID7", 0xff000000, 0x18},
		{"ID4", 0xff, 0x0},
		{"ID5", 0xff00, 0x8}
	} },
	{"BIF_BUSNUM_LIST0", 0x1526, {
		{"ID2", 0xff0000, 0x10},
		{"ID3", 0xff000000, 0x18},
		{"ID0", 0xff, 0x0},
		{"ID1", 0xff00, 0x8}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT1_MST_R_CLK", 0x1410086, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D3F2_LINK_STATUS2", 0x8000022, {
		{"LINK_EQUALIZATION_REQUEST", 0x200000, 0x15},
		{"CUR_DEEMPHASIS_LEVEL", 0x10000, 0x10},
		{"EQUALIZATION_COMPLETE", 0x20000, 0x11},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x80000, 0x13},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x100000, 0x14},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x40000, 0x12}
	} },
	{"D2F5_PCIE_TX_CREDITS_INIT_CPL", 0x35, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"PSX81_WRP_PCIE_WRAP_PIF_MISC", 0x1318009, {
		{"DTM_PIF_ATSEL_DI", 0x100, 0x8},
		{"DTM_PIF_DELAY_FI", 0x7, 0x0},
		{"DTM_PIF_DELAY_DI", 0x70, 0x4},
		{"DTM_PIF_ATSEL_FI", 0x80, 0x7}
	} },
	{"SMBCLK_PAD_CNTL_IND", 0x1091523, {
		{"SMBCLK_PAD_A", 0x1, 0x0},
		{"SMBCLK_PAD_SN2", 0x80, 0x7},
		{"SMBCLK_PAD_SN0", 0x20, 0x5},
		{"SMBCLK_PAD_SN1", 0x40, 0x6},
		{"SMBCLK_PAD_SCHMEN", 0x800, 0xb},
		{"SMBCLK_PAD_SLEWN", 0x200, 0x9},
		{"SMBCLK_PAD_SN3", 0x100, 0x8},
		{"SMBCLK_PAD_CNTL_EN", 0x1000, 0xc},
		{"SMBCLK_PAD_MODE", 0x4, 0x2},
		{"SMBCLK_PAD_SPARE", 0x18, 0x3},
		{"SMBCLK_PAD_WAKE", 0x400, 0xa},
		{"SMBCLK_PAD_SEL", 0x2, 0x1}
	} },
	{"PCIE_RX_CNTL", 0x10010070, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"PSX80_WRP_PCIE_WRAP_DTM_MISC", 0x1308006, {
		{"DTM_BULKPHY_FREQDIV_OVERRIDE", 0x1, 0x0}
	} },
	{"PSX81_PHY0_RX_ADAPT_CFG_BYP_EN_LANE0", 0x121000c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"D3F1_PCIE_LANE_4_EQUALIZATION_CNTL", 0x70000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_BIF_LM_PCIERXMUX0", 0x1400125, {
		{"RXLANE3", 0xff000000, 0x18},
		{"RXLANE2", 0xff0000, 0x10},
		{"RXLANE1", 0xff00, 0x8},
		{"RXLANE0", 0xff, 0x0}
	} },
	{"D2F3_PCIE_MC_ENH_CAP_LIST", 0x40000bc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX80_BIF_LM_PCIERXMUX2", 0x1400127, {
		{"RXLANE11", 0xff000000, 0x18},
		{"RXLANE10", 0xff0000, 0x10},
		{"RXLANE9", 0xff00, 0x8},
		{"RXLANE8", 0xff, 0x0}
	} },
	{"PSX80_BIF_LM_PCIERXMUX3", 0x1400128, {
		{"RXLANE13", 0xff00, 0x8},
		{"RXLANE12", 0xff, 0x0},
		{"RXLANE15", 0xff000000, 0x18},
		{"RXLANE14", 0xff0000, 0x10}
	} },
	{"D3F4_MSI_MSG_DATA_64", 0xa00002b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"D2F3_PCIE_MC_RCV1", 0x40000c1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_MC_RCV0", 0x40000c0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_TX_TXCNTRL_LANE1", 0x1212106, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"PSX80_BIF_PCIE_CFG_CNTL", 0x140003c, {
		{"CFG_EN_DEC_TO_HIDDEN_REG", 0x1, 0x0},
		{"CFG_EN_DEC_TO_GEN3_HIDDEN_REG", 0x4, 0x2},
		{"CFG_EN_DEC_TO_GEN2_HIDDEN_REG", 0x2, 0x1}
	} },
	{"PSX81_WRP_REG_ADAPT_pif0_CONTROL", 0x1318098, {
		{"ACCESS_MODE_pif0", 0x1, 0x0}
	} },
	{"PSX81_PHY0_RX_RX_CTL_BROADCAST", 0x121fe02, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"D3F5_PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0xb000050, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX80_WRP_BIF_STRAP_ASPM_A", 0x1500802, {
		{"STRAP_BIF_L0S_EXIT_LATENCY", 0x380000, 0x13},
		{"STRAP_BIF_L1_EXIT_LATENCY", 0x70000, 0x10},
		{"STRAP_BIF_PM_SUPPORT", 0xc000, 0xe},
		{"STRAP_ENABLE_SIGNAL_EXIT_L1", 0x400000, 0x16}
	} },
	{"PSX80_WRP_BIF_STRAP_ASPM_C", 0x1500a02, {
		{"STRAP_BIF_L0S_EXIT_LATENCY", 0x380000, 0x13},
		{"STRAP_BIF_L1_EXIT_LATENCY", 0x70000, 0x10},
		{"STRAP_BIF_PM_SUPPORT", 0xc000, 0xe},
		{"STRAP_ENABLE_SIGNAL_EXIT_L1", 0x400000, 0x16}
	} },
	{"D3F2_PCIE_FC_NP", 0x61, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"PSX80_WRP_BIF_STRAP_ASPM_E", 0x1500c02, {
		{"STRAP_BIF_L0S_EXIT_LATENCY", 0x380000, 0x13},
		{"STRAP_BIF_L1_EXIT_LATENCY", 0x70000, 0x10},
		{"STRAP_BIF_PM_SUPPORT", 0xc000, 0xe},
		{"STRAP_ENABLE_SIGNAL_EXIT_L1", 0x400000, 0x16}
	} },
	{"PSX80_WRP_BIF_STRAP_ASPM_D", 0x1500b02, {
		{"STRAP_BIF_L0S_EXIT_LATENCY", 0x380000, 0x13},
		{"STRAP_BIF_L1_EXIT_LATENCY", 0x70000, 0x10},
		{"STRAP_BIF_PM_SUPPORT", 0xc000, 0xe},
		{"STRAP_ENABLE_SIGNAL_EXIT_L1", 0x400000, 0x16}
	} },
	{"D3F1_CAP_PTR", 0x700000d, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"D2F3_PCIE_UNCORR_ERR_SEVERITY", 0x4000057, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"D2F4_PCIE_RX_EXPECTED_SEQNUM", 0x71, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"D2F3_PCIE_ACS_ENH_CAP_LIST", 0x40000a8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F1_DEVICE_CNTL2", 0x2000020, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"OBFF_EN", 0x6000, 0xd},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKING", 0x80, 0x7},
		{"ATOMICOP_REQUEST_EN", 0x40, 0x6},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"D2F4_PCIEP_PORT_CNTL", 0x10, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"PCIE_PWR_BUDGET_ENH_CAP_LIST", 0x90, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F5_SLOT_CNTL", 0xb00001c, {
		{"HOTPLUG_INTR_EN", 0x20, 0x5},
		{"PWR_FAULT_DETECTED_EN", 0x2, 0x1},
		{"PRESENCE_DETECT_CHANGED_EN", 0x8, 0x3},
		{"PWR_INDICATOR_CNTL", 0x300, 0x8},
		{"COMMAND_COMPLETED_INTR_EN", 0x10, 0x4},
		{"ATTN_BUTTON_PRESSED_EN", 0x1, 0x0},
		{"MRL_SENSOR_CHANGED_EN", 0x4, 0x2},
		{"ATTN_INDICATOR_CNTL", 0xc0, 0x6},
		{"DL_STATE_CHANGED_EN", 0x1000, 0xc},
		{"ELECTROMECH_INTERLOCK_CNTL", 0x800, 0xb},
		{"PWR_CONTROLLER_CNTL", 0x400, 0xa}
	} },
	{"PEER3_FB_OFFSET_HI_IND", 0x10914ed, {
		{"PEER3_FB_OFFSET_HI", 0xfffff, 0x0}
	} },
	{"PSX81_PIF0_HW_DEBUG", 0x1110002, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"PCIE_BAR1_CAP", 0x81, {
		{"BAR_SIZE_SUPPORTED", 0xfffff0, 0x4}
	} },
	{"GARLIC_COHE_GARLIC_FLUSH_REQ", 0x1425, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D3F2_PCIE_DEV_SERIAL_NUM_DW1", 0x8000051, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_LANE_2_EQUALIZATION_CNTL", 0x30000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F5_PCIE_PORT_INDEX", 0x6000038, {
		{"PCIE_INDEX", 0xff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PERF_CNTL_MST_R_CLK", 0x1410084, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D2F2_MSI_MAP_CAP_LIST", 0x3000032, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PCIE_OUTSTAND_PAGE_REQ_CAPACITY", 0xb2, {
		{"OUTSTAND_PAGE_REQ_CAPACITY", 0xffffffff, 0x0}
	} },
	{"D2F5_COMMAND", 0x6000001, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"D3F2_PCIE_TX_REQUESTER_ID", 0x21, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"D3F3_MSI_MSG_ADDR_HI", 0x900002a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D3F2_DEVICE_CAP", 0x8000017, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"D3F1_PCIE_ERR_CNTL", 0x6a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"GARLIC_COHE_CP_DMA_PIO_COMMAND", 0x1424, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PSX80_BIF_PCIE_PERF_CNTL_SLV_NS_C_CLK", 0x1400090, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"MM_INDEX_IND", 0x1090000, {
		{"MM_APER", 0x80000000, 0x1f},
		{"MM_OFFSET", 0x7fffffff, 0x0}
	} },
	{"D2F5_PCIE_LC_TRAINING_CNTL", 0xa1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_WAIT_FOR_SETS_IN_RCFG", 0x4000, 0xe},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_HOT_RESET_QUICK_EXIT_EN", 0x8000, 0xf},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"D3F1_PCIE_LC_CNTL4", 0xb6, {
		{"LC_DIS_CONTIG_END_SET_CHECK", 0x4, 0x2},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_DIS_ASPM_L1_IN_SPEED_CHANGE", 0x8, 0x3}
	} },
	{"D3F1_PCIE_LC_CNTL5", 0xb7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_DSC_EQ_FS_LF_INVALID_TO_PRESETS", 0x1000000, 0x18},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"D3F1_PCIE_LC_CNTL6", 0xbb, {
		{"LC_SPC_MODE_8GT", 0x10, 0x4},
		{"LC_SPC_MODE_5GT", 0x4, 0x2},
		{"LC_SPC_MODE_2P5GT", 0x1, 0x0}
	} },
	{"D3F1_DEVICE_CNTL", 0x7000018, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"BRIDGE_CFG_RETRY_EN", 0x8000, 0xf},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_TX_CONTROL_LANE0", 0x1202000, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_TX_CONTROL_LANE1", 0x1202100, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D3F1_PCIE_LC_CNTL2", 0xb1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"D3F1_PCIE_LC_CNTL3", 0xb5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"D2F5_PCIE_TX_CREDITS_INIT_NP", 0x34, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"D3F3_PCIE_TLP_PREFIX_LOG3", 0x9000065, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_TX_CONTROL_LANE5", 0x1212500, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"RFE_PWDN_STATUS", 0x1080011, {
		{"PCIEW0_REG_pw_status", 0x1, 0x0},
		{"RWREG_RFEWRC_REG_pw_status", 0x4, 0x2},
		{"PCIEW1_REG_pw_status", 0x2, 0x1}
	} },
	{"PSX80_PHY0_COM_COMMON_SELDEEMPH60", 0x1206208, {
		{"deemph_6db_3", 0xff0000, 0x10},
		{"deemph_6db_2", 0xff00, 0x8},
		{"deemph_6db_1", 0xff, 0x0},
		{"deemph_6db_4", 0xff000000, 0x18}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_TX_CONTROL_LANE4", 0x1212400, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D3F3_PCIE_LANE_ERROR_STATUS", 0x900009e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"D3F5_PCIE_VENDOR_SPECIFIC1", 0xb000042, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_VENDOR_SPECIFIC2", 0xb000043, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT0_SLV_NS_C_CLK", 0x1410091, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PciPllUpdateCtrl", 0x1204108, {
		{"PllControlUpdate", 0x1, 0x0}
	} },
	{"REVISION_ID", 0x2, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"D2F1_PCIE_ERR_CNTL", 0x6a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_TX_CONTROL_LANE2", 0x1212200, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D2F1_CACHE_LINE", 0x2000003, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PowerDownEn", 0x1204180, {
		{"PllPowerDownEn", 0x7, 0x0},
		{"PllPowerDownOvrd", 0x10, 0x4}
	} },
	{"PCIE_P_BUF_STATUS", 0x1400041, {
		{"P_UNDERFLOW_ERR", 0xffff0000, 0x10},
		{"P_OVERFLOW_ERR", 0xffff, 0x0}
	} },
	{"BIF_FEATURES_CONTROL_MISC_IND", 0x10914c2, {
		{"BIF_RB_SET_OVERFLOW_EN", 0x1000, 0xc},
		{"MC_BIF_REQ_ID_ROUTING_DIS", 0x200, 0x9},
		{"PLL_SWITCH_IMPCTL_CAL_DONE_DIS", 0x80, 0x7},
		{"BIF_MST_CPL_EP_DIS", 0x8, 0x3},
		{"BIF_SLV_REQ_EP_DIS", 0x4, 0x2},
		{"SLV_BIF_CPL_EP_DIS", 0x2, 0x1},
		{"POST_PSN_ONLY_PKT_REPORT_UR_ALL_DIS", 0x20, 0x5},
		{"POST_PSN_ONLY_PKT_REPORT_UR_PART_DIS", 0x40, 0x6},
		{"MST_BIF_REQ_EP_DIS", 0x1, 0x0},
		{"AZ_BIF_REQ_ID_ROUTING_DIS", 0x400, 0xa},
		{"ATC_PRG_RESP_PASID_UR_EN", 0x800, 0xb},
		{"UR_PSN_PKT_REPORT_POISON_DIS", 0x10, 0x4},
		{"IGNORE_BE_CHECK_GASKET_COMB_DIS", 0x100, 0x8}
	} },
	{"PSX80_WRP_PCIE_EFUSE2", 0x150fff1, {
		{"PCIE_EFUSE2", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_STRAP_MISC2", 0x14000c1, {
		{"STRAP_TPH_SUPPORTED", 0x10, 0x4},
		{"STRAP_LINK_BW_NOTIFICATION_CAP_EN", 0x1, 0x0},
		{"STRAP_GEN2_COMPLIANCE", 0x2, 0x1},
		{"STRAP_MSTCPL_TIMEOUT_EN", 0x4, 0x2},
		{"STRAP_GEN3_COMPLIANCE", 0x8, 0x3}
	} },
	{"PSX81_PHY0_COM_COMMON_SELDEEMPH35", 0x1216207, {
		{"deemph_3pt5db_2", 0xff00, 0x8},
		{"deemph_3pt5db_3", 0xff0000, 0x10},
		{"deemph_3pt5db_1", 0xff, 0x0},
		{"deemph_3pt5db_4", 0xff000000, 0x18}
	} },
	{"BIF_BACO_DEBUG_IND", 0x10914df, {
		{"BIF_BACO_SCANDUMP_FLG", 0x1, 0x0}
	} },
	{"D3F4_PCIE_DEV_SERIAL_NUM_DW2", 0xa000052, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_UNCORR_ERR_SEVERITY", 0x5000057, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"PSX81_PHY0_TX_TSTMARGDEEMPH_LANE6", 0x1212603, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"D2F4_LINK_STATUS2", 0x5000022, {
		{"LINK_EQUALIZATION_REQUEST", 0x200000, 0x15},
		{"CUR_DEEMPHASIS_LEVEL", 0x10000, 0x10},
		{"EQUALIZATION_COMPLETE", 0x20000, 0x11},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x80000, 0x13},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x100000, 0x14},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x40000, 0x12}
	} },
	{"D2F5_PCIE_LANE_4_EQUALIZATION_CNTL", 0x60000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_PHY0_TX_TSTMARGDEEMPH_LANE1", 0x1212103, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"D2F5_SUB_BUS_NUMBER_LATENCY", 0x6000006, {
		{"SECONDARY_BUS", 0xff00, 0x8},
		{"PRIMARY_BUS", 0xff, 0x0},
		{"SUB_BUS_NUM", 0xff0000, 0x10},
		{"SECONDARY_LATENCY_TIMER", 0xff000000, 0x18}
	} },
	{"D2F1_DEVICE_CAP", 0x2000017, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"D3F4_PMI_CAP", 0xa000014, {
		{"DEV_SPECIFIC_INIT", 0x200000, 0x15},
		{"AUX_CURRENT", 0x1c00000, 0x16},
		{"VERSION", 0x70000, 0x10},
		{"D2_SUPPORT", 0x4000000, 0x1a},
		{"PME_SUPPORT", 0xf8000000, 0x1b},
		{"PME_CLOCK", 0x80000, 0x13},
		{"D1_SUPPORT", 0x2000000, 0x19}
	} },
	{"D2F2_PCIEP_HPGI", 0xda, {
		{"HPGI_REG_DEASSERT_TO_SCI_STATUS", 0x800, 0xb},
		{"REG_HPGI_PRESENCE_DETECT_STATE_CHANGE_EN", 0x10000, 0x10},
		{"REG_HPGI_ASSERT_TO_SCI_EN", 0x2, 0x1},
		{"REG_HPGI_DEASSERT_TO_SMI_EN", 0x4, 0x2},
		{"HPGI_REG_DEASSERT_TO_SMI_STATUS", 0x400, 0xa},
		{"REG_HPGI_HOOK", 0x80, 0x7},
		{"HPGI_REG_ASSERT_TO_SMI_STATUS", 0x100, 0x8},
		{"REG_HPGI_ASSERT_TO_SMI_EN", 0x1, 0x0},
		{"REG_HPGI_DEASSERT_TO_SCI_EN", 0x8, 0x3},
		{"HPGI_REG_ASSERT_TO_SCI_STATUS", 0x200, 0x9},
		{"HPGI_REG_PRESENCE_DETECT_STATE_CHANGE_STATUS", 0x8000, 0xf}
	} },
	{"PSX81_PHY0_TX_TSTMARGDEEMPH_LANE3", 0x1212303, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"BIF_VDDGFX_RSV4_UPPER_IND", 0x109143b, {
		{"VDDGFX_RSV4_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX80_WRP_PCIE_PORT_IS_SB_B", 0x1500913, {
		{"PORT_IS_SB", 0x1, 0x0}
	} },
	{"D3F1_PCIEP_SCRATCH", 0x1, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F2_SECONDARY_STATUS", 0x8000007, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"RECEIVED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"PSX80_PIF0_RX_CTRL2", 0x110000b, {
		{"RX_L1_PG_PHY_STATUS_MODE", 0x200, 0x9},
		{"EI_DET_CYCLE_MODE", 0x60000, 0x11},
		{"RXPHYSTATUS_DELAY", 0x1c0, 0x6},
		{"RX_STATUS_DASRT_COUNT", 0x38, 0x3},
		{"FORCE_CDREN_IN_L0S", 0x10000, 0x10},
		{"EI_DET_ON_TIME", 0x180000, 0x13},
		{"RX_OFF_PG_PHY_STATUS_MODE", 0x400, 0xa},
		{"RX_RDY_DASRT_COUNT", 0x7, 0x0},
		{"RX_L0S_TO_L0_DETECT_EI", 0x8000000, 0x1b},
		{"RX_CDR_XTND_MODE", 0x6000000, 0x19},
		{"EI_DET_OFF_TIME", 0xe00000, 0x15},
		{"EI_DET_CYCLE_DIS_IN_PS1", 0x1000000, 0x18}
	} },
	{"PSX80_PHY0_TX_DEEMPH_LANE7", 0x1202702, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"D3F1_PCIE_RX_CREDITS_ALLOCATED_P", 0x80, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"PSX80_WRP_LNC_CMN_WACC", 0x1508036, {
		{"LNC_CMN_WACC", 0xffffffff, 0x0}
	} },
	{"BIF_XDMA_HI_IND", 0x10914c1, {
		{"BIF_XDMA_UPPER_BOUND", 0x1fffffff, 0x0}
	} },
	{"PSX81_WRP_BIF_STRAP_ACS", 0x151000a, {
		{"STRAP_BIF_ACS_EN", 0x1, 0x0},
		{"STRAP_BIF_ACS_TRANSLATION_BLOCKING", 0x4, 0x2},
		{"STRAP_BIF_ACS_SOURCE_VALIDATION", 0x2, 0x1}
	} },
	{"PCIE_MC_ENH_CAP_LIST", 0xbc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F4_SLOT_CAP", 0x500001b, {
		{"SLOT_PWR_LIMIT_VALUE", 0x7f80, 0x7},
		{"PWR_INDICATOR_PRESENT", 0x10, 0x4},
		{"HOTPLUG_SURPRISE", 0x20, 0x5},
		{"NO_COMMAND_COMPLETED_SUPPORTED", 0x40000, 0x12},
		{"ATTN_INDICATOR_PRESENT", 0x8, 0x3},
		{"ATTN_BUTTON_PRESENT", 0x1, 0x0},
		{"PHYSICAL_SLOT_NUM", 0xfff80000, 0x13},
		{"PWR_CONTROLLER_PRESENT", 0x2, 0x1},
		{"MRL_SENSOR_PRESENT", 0x4, 0x2},
		{"HOTPLUG_CAPABLE", 0x40, 0x6},
		{"ELECTROMECH_INTERLOCK_PRESENT", 0x20000, 0x11},
		{"SLOT_PWR_LIMIT_SCALE", 0x18000, 0xf}
	} },
	{"D2F1_MSI_MSG_DATA", 0x200002a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"D3F1_PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0x7000040, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F5_IRQ_BRIDGE_CNTL", 0xb00000f, {
		{"PARITY_RESPONSE_EN", 0x10000, 0x10},
		{"ISA_EN", 0x40000, 0x12},
		{"FAST_B2B_EN", 0x800000, 0x17},
		{"VGA_EN", 0x80000, 0x13},
		{"SERR_EN", 0x20000, 0x11},
		{"MASTER_ABORT_MODE", 0x200000, 0x15},
		{"VGA_DEC", 0x100000, 0x14},
		{"SECONDARY_BUS_RESET", 0x400000, 0x16}
	} },
	{"D3F5_PCIE_TX_CREDITS_INIT_CPL", 0x35, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"D2F2_PCIE_LANE_14_EQUALIZATION_CNTL", 0x30000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"BIF_VDDGFX_GFX3_LOWER_IND", 0x109142e, {
		{"VDDGFX_GFX3_REG_STALL_EN", 0x80000000, 0x1f},
		{"VDDGFX_GFX3_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX3_REG_CMP_EN", 0x40000000, 0x1e}
	} },
	{"D3F3_PCIE_DEV_SERIAL_NUM_DW2", 0x9000052, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_PORT_DATA", 0x9000039, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_RX_EXPECTED_SEQNUM", 0x71, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"D2F2_INTERRUPT_LINE", 0x300000f, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"PSX81_PHY0_TX_MARGDEEMPHSTATUS_LANE3", 0x1212304, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PowerDownEn", 0x1214080, {
		{"PllPowerDownEn", 0x7, 0x0},
		{"PllPowerDownOvrd", 0x10, 0x4}
	} },
	{"BIF_PIF_TXCLK_SWITCH_TIMER_IND", 0x1301481, {
		{"PLL_SWITCH_TIMER", 0x3c0, 0x6},
		{"PLL0_ACK_TIMER", 0x7, 0x0},
		{"PLL1_ACK_TIMER", 0x38, 0x3}
	} },
	{"D3F4_DEVICE_STATUS", 0xa000018, {
		{"CORR_ERR", 0x10000, 0x10},
		{"TRANSACTIONS_PEND", 0x200000, 0x15},
		{"AUX_PWR", 0x100000, 0x14},
		{"USR_DETECTED", 0x80000, 0x13},
		{"NON_FATAL_ERR", 0x20000, 0x11},
		{"FATAL_ERR", 0x40000, 0x12}
	} },
	{"D3F3_PCIE_DEV_SERIAL_NUM_DW1", 0x9000051, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_LANE_13_EQUALIZATION_CNTL", 0x30000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PCIE_PERF_CNTL_TXCLK2", 0x1400095, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D2F3_MSI_MSG_DATA", 0x400002a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"D3F5_PCIE_MC_CAP", 0xb0000bd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"D2F5_STATUS", 0x6000001, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"INT_STATUS", 0x80000, 0x13},
		{"SIGNALED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"CONFIG_APER_SIZE", 0x150c, {
		{"APER_SIZE", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PERF_CNTL_SLV_R_CLK", 0x141008a, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D2F1_PCIE_LANE_9_EQUALIZATION_CNTL", 0x20000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"BIF_LNCNT_RESET", 0x1488, {
		{"RESET_LNCNT_EN", 0x1, 0x0}
	} },
	{"D2F4_PCIE_CAP", 0x5000016, {
		{"SLOT_IMPLEMENTED", 0x1000000, 0x18},
		{"VERSION", 0xf0000, 0x10},
		{"DEVICE_TYPE", 0xf00000, 0x14},
		{"INT_MESSAGE_NUM", 0x3e000000, 0x19}
	} },
	{"D3F2_SLOT_CNTL", 0x800001c, {
		{"HOTPLUG_INTR_EN", 0x20, 0x5},
		{"PWR_FAULT_DETECTED_EN", 0x2, 0x1},
		{"PRESENCE_DETECT_CHANGED_EN", 0x8, 0x3},
		{"PWR_INDICATOR_CNTL", 0x300, 0x8},
		{"COMMAND_COMPLETED_INTR_EN", 0x10, 0x4},
		{"ATTN_BUTTON_PRESSED_EN", 0x1, 0x0},
		{"MRL_SENSOR_CHANGED_EN", 0x4, 0x2},
		{"ATTN_INDICATOR_CNTL", 0xc0, 0x6},
		{"DL_STATE_CHANGED_EN", 0x1000, 0xc},
		{"ELECTROMECH_INTERLOCK_CNTL", 0x800, 0xb},
		{"PWR_CONTROLLER_CNTL", 0x400, 0xa}
	} },
	{"D3F1_BASE_CLASS", 0x7000002, {
		{"BASE_CLASS", 0xff000000, 0x18}
	} },
	{"D2F2_PCIE_PORT_VC_STATUS", 0x3000047, {
		{"VC_ARB_TABLE_STATUS", 0x10000, 0x10}
	} },
	{"PCIE_CORR_ERR_MASK", 0x59, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"D2F5_MSI_MAP_ADDR_LO", 0x6000033, {
		{"MSI_MAP_ADDR_LO", 0xfff00000, 0x14}
	} },
	{"PSX81_BIF_PCIE_PRBS_USER_PATTERN", 0x14100cd, {
		{"PRBS_USER_PATTERN", 0x3fffffff, 0x0}
	} },
	{"D2F2_PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0x3000040, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F5_PCIE_VC0_RESOURCE_CNTL", 0x6000049, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D2F1_PCIE_VC1_RESOURCE_CAP", 0x200004b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D3F1_PCIEP_ERROR_INJECT_PHYSICAL", 0x83, {
		{"ERROR_INJECT_PL_BAD_SYNC_HEADER", 0xc00000, 0x16},
		{"ERROR_INJECT_PL_LOOPBACK_OFLOW", 0xc00, 0xa},
		{"ERROR_INJECT_PL_BAD_PARITY_IN_SKP", 0x30, 0x4},
		{"ERROR_INJECT_PL_8B10B_DISPARITY_ERR", 0xc000, 0xe},
		{"ERROR_INJECT_PL_LOOPBACK_UFLOW", 0x300, 0x8},
		{"ERROR_INJECT_PL_FRAMING_ERR", 0xc, 0x2},
		{"ERROR_INJECT_PL_BAD_LFSR_IN_SKP", 0xc0, 0x6},
		{"ERROR_INJECT_PL_LANE_ERR", 0x3, 0x0},
		{"ERROR_INJECT_PL_SKP_OS_ERROR", 0xc0000, 0x12},
		{"ERROR_INJECT_PL_INV_OS_IDENTIFIER", 0x300000, 0x14},
		{"ERROR_INJECT_PL_DESKEW_ERR", 0x3000, 0xc},
		{"ERROR_INJECT_PL_8B10B_DECODE_ERR", 0x30000, 0x10}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_RX_CONTROL_BROADCAST", 0x120fe00, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D2F1_PCIE_VC0_RESOURCE_CAP", 0x2000048, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D3F3_PCIE_LINK_CNTL3", 0x900009d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"D3F1_IO_BASE_LIMIT", 0x7000007, {
		{"IO_LIMIT", 0xf000, 0xc},
		{"IO_LIMIT_TYPE", 0xf00, 0x8},
		{"IO_BASE", 0xf0, 0x4},
		{"IO_BASE_TYPE", 0xf, 0x0}
	} },
	{"D2F1_PCIE_LANE_10_EQUALIZATION_CNTL", 0x20000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F3_DEVICE_STATUS", 0x9000018, {
		{"CORR_ERR", 0x10000, 0x10},
		{"TRANSACTIONS_PEND", 0x200000, 0x15},
		{"AUX_PWR", 0x100000, 0x14},
		{"USR_DETECTED", 0x80000, 0x13},
		{"NON_FATAL_ERR", 0x20000, 0x11},
		{"FATAL_ERR", 0x40000, 0x12}
	} },
	{"D3F5_DEVICE_CNTL", 0xb000018, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"BRIDGE_CFG_RETRY_EN", 0x8000, 0xf},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"D3F5_SLOT_STATUS", 0xb00001c, {
		{"PRESENCE_DETECT_STATE", 0x400000, 0x16},
		{"DL_STATE_CHANGED", 0x1000000, 0x18},
		{"MRL_SENSOR_CHANGED", 0x40000, 0x12},
		{"ELECTROMECH_INTERLOCK_STATUS", 0x800000, 0x17},
		{"ATTN_BUTTON_PRESSED", 0x10000, 0x10},
		{"MRL_SENSOR_STATE", 0x200000, 0x15},
		{"PWR_FAULT_DETECTED", 0x20000, 0x11},
		{"COMMAND_COMPLETED", 0x100000, 0x14},
		{"PRESENCE_DETECT_CHANGED", 0x80000, 0x13}
	} },
	{"D3F2_PCIE_LC_FORCE_COEFF", 0xb8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_PRESET_10_EN", 0x100000, 0x14},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"BIF_RFE_MMCFG_CNTL", 0x144c, {
		{"CLIENT2_RFE_RFEWGBIF_MM_CFG_FUNC_SEL", 0xe0, 0x5},
		{"CLIENT1_RFE_RFEWGBIF_MM_CFG_FUNC_SEL", 0xe, 0x1},
		{"CLIENT2_RFE_RFEWGBIF_MM_WR_TO_CFG_EN", 0x10, 0x4},
		{"CLIENT1_RFE_RFEWGBIF_MM_WR_TO_CFG_EN", 0x1, 0x0}
	} },
	{"D3F2_PCIE_RX_EXPECTED_SEQNUM", 0x71, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"BIF_VDDGFX_GFX1_LOWER_IND", 0x109142a, {
		{"VDDGFX_GFX1_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX1_REG_STALL_EN", 0x80000000, 0x1f},
		{"VDDGFX_GFX1_REG_CMP_EN", 0x40000000, 0x1e}
	} },
	{"GARLIC_COHE_SDMA3_GFX_RB_WPTR", 0x1423, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D3F4_PCIE_LC_FORCE_COEFF", 0xb8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_PRESET_10_EN", 0x100000, 0x14},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"D3F4_PCIEP_ERROR_INJECT_TRANSACTION", 0x84, {
		{"ERROR_INJECT_TL_MALFORMED_TLP", 0x3000, 0xc},
		{"ERROR_INJECT_TL_UNSUPPORTED_REQ", 0x300, 0x8},
		{"ERROR_INJECT_TL_COMPLETER_ABORT", 0x30000, 0x10},
		{"ERROR_INJECT_TL_BAD_TLP", 0xc0, 0x6},
		{"ERROR_INJECT_TL_UNEXPECTED_CMPLT", 0xc000, 0xe},
		{"ERROR_INJECT_TL_REPLAY_NUM_ROLLOVER", 0xc, 0x2},
		{"ERROR_INJECT_TL_COMPLETION_TIMEOUT", 0xc0000, 0x12},
		{"ERROR_INJECT_TL_ECRC_ERROR", 0xc00, 0xa},
		{"ERROR_INJECT_TL_BAD_DLLP", 0x30, 0x4},
		{"ERROR_INJECT_TL_FLOW_CTL_ERR", 0x3, 0x0}
	} },
	{"D2F4_PCIE_LANE_2_EQUALIZATION_CNTL", 0x50000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F5_PCIE_UNCORR_ERR_STATUS", 0xb000055, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"PCIE_LANE_12_EQUALIZATION_CNTL", 0xa5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_WRP_BIOSTIMER_DEBUG", 0x13080f2, {
		{"Microseconds_compare", 0xffffffff, 0x0}
	} },
	{"D2F4_PREF_LIMIT_UPPER", 0x500000b, {
		{"PREF_LIMIT_UPPER", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_LANE_6_EQUALIZATION_CNTL", 0x70000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F3_STATUS", 0x9000001, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"INT_STATUS", 0x80000, 0x13},
		{"SIGNALED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D2F2_PCIE_LC_CDR_CNTL", 0xb3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"D3F3_PCIE_PORT_VC_CNTL", 0x9000047, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"D2F5_ROOT_CAP", 0x600001d, {
		{"CRS_SOFTWARE_VISIBILITY", 0x10000, 0x10}
	} },
	{"PSX81_PIF0_LANE3_OVRD2", 0x111001b, {
		{"TWOSYMENABLE_3", 0x80, 0x7},
		{"COEFFICIENT_3", 0xfc000000, 0x1a},
		{"RXPWR_3", 0xe000, 0xd},
		{"ELECIDLEDETEN_3", 0x40000, 0x12},
		{"FREQDIV_3", 0x18, 0x3},
		{"REQUESTTRK_3", 0x400000, 0x16},
		{"COEFFICIENTID_3", 0x3000000, 0x18},
		{"GANGMODE_3", 0x7, 0x0},
		{"RESPONSEMODE_3", 0x200000, 0x15},
		{"REQUESTTRN_3", 0x800000, 0x17},
		{"LINKSPEED_3", 0x60, 0x5},
		{"RXPGENABLE_3", 0x30000, 0x10},
		{"TXPGENABLE_3", 0x1800, 0xb},
		{"ENABLEFOM_3", 0x80000, 0x13},
		{"REQUESTFOM_3", 0x100000, 0x14},
		{"TXPWR_3", 0x700, 0x8}
	} },
	{"D2F4_PCIE_TX_CREDITS_FCU_THRESHOLD", 0x37, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"PSX81_PHY0_RX_ADAPTCTL_LANE4", 0x121040a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"D3F2_LINK_CAP", 0x8000019, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"D2F1_PMI_STATUS_CNTL", 0x2000015, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"BF_ANA_ISO_CNTL_IND", 0x10914c7, {
		{"BF_VDDC_ISO_DIS_MASK", 0x2, 0x1},
		{"BF_ANA_ISO_DIS_MASK", 0x1, 0x0}
	} },
	{"D2F5_PCIE_VC1_RESOURCE_STATUS", 0x600004d, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D3F2_DEVICE_CNTL", 0x8000018, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"BRIDGE_CFG_RETRY_EN", 0x8000, 0xf},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"D3F4_MEM_BASE_LIMIT", 0xa000008, {
		{"MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"MEM_BASE_31_20", 0xfff0, 0x4},
		{"MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D3F4_PCIE_LC_STATE0", 0xa5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"D3F4_PCIE_LC_STATE1", 0xa6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"D3F4_PCIE_LC_STATE2", 0xa7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"PCIE_PERF_COUNT0_SLV_R_CLK", 0x140008b, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"D2F2_BASE_CLASS", 0x3000002, {
		{"BASE_CLASS", 0xff000000, 0x18}
	} },
	{"D3F4_PCIE_LC_STATE5", 0xaa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"D3F5_PCIE_LC_BW_CHANGE_CNTL", 0xb2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"PCIE_LANE_4_EQUALIZATION_CNTL", 0xa1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F3_PCIEP_RESERVED", 0x0, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PciPllControl", 0x1214102, {
		{"ClearLockDetect", 0x10000000, 0x1c},
		{"FastLock", 0x4000000, 0x1a},
		{"LpfRes", 0x3c00, 0xa},
		{"FastLockTimer", 0x3c00000, 0x16},
		{"CpiDac", 0x3fc000, 0xe},
		{"PllLocked", 0x20000000, 0x1d},
		{"ManaregRampTimer", 0xc0000000, 0x1e},
		{"VcoRange", 0xff, 0x0}
	} },
	{"D3F5_PREF_LIMIT_UPPER", 0xb00000b, {
		{"PREF_LIMIT_UPPER", 0xffffffff, 0x0}
	} },
	{"PSX80_WRP_DTM_CNTL", 0x130ffe1, {
		{"TxClkGskt_Cntl", 0xc00, 0xa},
		{"Determinism_En_DTM", 0x4, 0x2},
		{"Dtm_Dummy6", 0x80, 0x7},
		{"Dtm_Dummy7", 0x10000, 0x10},
		{"Dtm_Dummy4", 0x20, 0x5},
		{"Dtm_Dummy5", 0x40, 0x6},
		{"Dtm_Dummy2", 0x8, 0x3},
		{"Dtm_Dummy3", 0x10, 0x4},
		{"Dtm_Dummy0", 0x1, 0x0},
		{"Dtm_Dummy1", 0x2, 0x1},
		{"Dtm_Dummy8", 0x20000, 0x11},
		{"Dtm_Dummy9", 0x40000, 0x12},
		{"refClk_Cntl", 0x3000, 0xc},
		{"Warm_RstTimer", 0x60000000, 0x1d},
		{"TxClk1x_Cntl", 0x300, 0x8},
		{"dtmClk_Sel_Timer", 0xc000, 0xe},
		{"Dtm_Dummy11", 0x100000, 0x14},
		{"Dtm_Dummy18", 0x80000000, 0x1f},
		{"Dtm_Dummy14", 0x2000000, 0x19},
		{"Dtm_Dummy15", 0x4000000, 0x1a},
		{"Dtm_Dummy16", 0x8000000, 0x1b},
		{"Dtm_Dummy17", 0x10000000, 0x1c},
		{"Dtm_Dummy10", 0x80000, 0x13},
		{"rxElasWidth_Cntl", 0xc00000, 0x16},
		{"Dtm_Dummy12", 0x200000, 0x15},
		{"Dtm_Dummy13", 0x1000000, 0x18}
	} },
	{"D3F3_PCIE_ROOT_ERR_STATUS", 0x9000060, {
		{"ERR_CORR_RCVD", 0x1, 0x0},
		{"NONFATAL_ERROR_MSG_RCVD", 0x20, 0x5},
		{"FIRST_UNCORRECTABLE_FATAL", 0x10, 0x4},
		{"ADV_ERR_INT_MSG_NUM", 0xf8000000, 0x1b},
		{"MULT_ERR_CORR_RCVD", 0x2, 0x1},
		{"FATAL_ERROR_MSG_RCVD", 0x40, 0x6},
		{"MULT_ERR_FATAL_NONFATAL_RCVD", 0x8, 0x3},
		{"ERR_FATAL_NONFATAL_RCVD", 0x4, 0x2}
	} },
	{"BIF_RB_WPTR_ADDR_LO", 0x1535, {
		{"ADDR", 0xfffffffc, 0x2}
	} },
	{"GARLIC_FLUSH_CNTL", 0x1401, {
		{"VCE_RB_WPTR", 0x1000, 0xc},
		{"IGNORE_MC_DISABLE", 0x40000000, 0x1e},
		{"CP_DMA_PIO_COMMAND", 0x8000, 0xf},
		{"DISPLAY", 0x10000, 0x10},
		{"SDMA2_GFX_RB_WPTR", 0x20000, 0x11},
		{"SDMA3_GFX_RB_WPTR", 0x40000, 0x12},
		{"SDMA1_GFX_RB_WPTR", 0x20, 0x5},
		{"CP_RB2_WPTR", 0x4, 0x2},
		{"CP_DMA_PFP_COMMAND", 0x80, 0x7},
		{"VCE_RB_WPTR2", 0x800, 0xb},
		{"CP_DMA_ME_COMMAND", 0x40, 0x6},
		{"SDMA0_GFX_RB_WPTR", 0x10, 0x4},
		{"SAM_SAB_RBI_WPTR", 0x100, 0x8},
		{"SAM_SAB_RBO_WPTR", 0x200, 0x9},
		{"VCE_OUT_RB_WPTR", 0x400, 0xa},
		{"HOST_DOORBELL", 0x2000, 0xd},
		{"CP_RB0_WPTR", 0x1, 0x0},
		{"CP_RB1_WPTR", 0x2, 0x1},
		{"SELFRING_DOORBELL", 0x4000, 0xe},
		{"DISABLE_ALL", 0x80000000, 0x1f},
		{"UVD_RBC_RB_WPTR", 0x8, 0x3}
	} },
	{"D3F3_PCIE_ACS_CNTL", 0x90000a9, {
		{"UPSTREAM_FORWARDING_EN", 0x100000, 0x14},
		{"SOURCE_VALIDATION_EN", 0x10000, 0x10},
		{"P2P_EGRESS_CONTROL_EN", 0x200000, 0x15},
		{"P2P_COMPLETION_REDIRECT_EN", 0x80000, 0x13},
		{"DIRECT_TRANSLATED_P2P_EN", 0x400000, 0x16},
		{"P2P_REQUEST_REDIRECT_EN", 0x40000, 0x12},
		{"TRANSLATION_BLOCKING_EN", 0x20000, 0x11}
	} },
	{"D3F2_PCIE_LC_STATE4", 0xa9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"D3F2_PCIE_LC_STATE5", 0xaa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"D3F2_PCIE_LC_STATE2", 0xa7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"D3F2_PCIE_LC_STATE3", 0xa8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"D3F2_PCIE_LC_STATE0", 0xa5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"D3F2_PCIE_LC_STATE1", 0xa6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"BIF_VDDGFX_GFX0_LOWER", 0x1428, {
		{"VDDGFX_GFX0_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_GFX0_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX0_REG_STALL_EN", 0x80000000, 0x1f}
	} },
	{"D2F5_PCIEP_HW_DEBUG", 0x2, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D3F2_BASE_CLASS", 0x8000002, {
		{"BASE_CLASS", 0xff000000, 0x18}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT1_SLV_S_C_CLK", 0x141008f, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_LC_FORCE_EQ_REQ_COEFF", 0xba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"PSX81_WRP_BIF_STRAP_ERROR_IGNORE", 0x1510004, {
		{"STRAP_BIF_RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"STRAP_BIF_ERR_REPORTING_DIS", 0x10000, 0x10},
		{"STRAP_BIF_RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"STRAP_BIF_RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"STRAP_BIF_INTERNAL_ERR_EN", 0x40000, 0x12},
		{"STRAP_BIF_RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"STRAP_BIF_RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"STRAP_BIF_RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"STRAP_BIF_RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"STRAP_BIF_RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"STRAP_BIF_RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"STRAP_BIF_CPL_ABORT_ERR_EN", 0x20000, 0x11},
		{"STRAP_BIF_RX_IGNORE_AT_ERR", 0x1000, 0xc}
	} },
	{"PSX81_PHY0_COM_COMMON_RXTESTDEBUG", 0x1216213, {
		{"rx2tx_bypass_sel", 0x70, 0x4}
	} },
	{"D2F5_PCIE_VC0_RESOURCE_CAP", 0x6000048, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D3F2_PCIE_LANE_1_EQUALIZATION_CNTL", 0x800009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_WRP_BIF_STRAP_FEATURE_EN_2", 0x150000c, {
		{"STRAP_BIF_MSI_MULTI_CAP", 0x70, 0x4},
		{"STRAP_BIF_STRAP_F0_NO_RO_ENABLED_P2P_PASSING", 0x80, 0x7},
		{"STRAP_BIF_KILL_GEN3", 0x1, 0x0},
		{"STRAP_BIF_STRAP_F0_ATOMIC_EN", 0x4, 0x2},
		{"STRAP_BIF_STRAP_F0_ATOMIC_ROUTING_EN", 0x8, 0x3},
		{"STRAP_BIF_ENABLE_LEGACY_DEBUG_BUS", 0x100, 0x8}
	} },
	{"D2F1_PCIEP_HW_DEBUG", 0x2, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D2F2_PCIE_LANE_12_EQUALIZATION_CNTL", 0x30000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F3_PCIE_UNCORR_ERR_STATUS", 0x4000055, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"D3F2_PCIE_MC_ADDR0", 0x80000be, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"D3F2_PCIE_LANE_5_EQUALIZATION_CNTL", 0x80000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F4_LINK_CNTL", 0x500001a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"LNCNT_CONTROL_IND", 0x1301487, {
		{"LNCNT_ACC_MODE", 0x1, 0x0},
		{"LNCNT_REF_TIMEBASE", 0x6, 0x1}
	} },
	{"BIF_CLOCKS_BITS", 0x1489, {
		{"OBFF_XSL_FORCE_REFCLK", 0x1, 0x0}
	} },
	{"D3F5_PCIE_TX_REPLAY", 0x25, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"GARLIC_COHE_CP_DMA_ME_COMMAND", 0x141b, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F3_PCIE_LC_LANE_CNTL", 0xb4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"D3F5_PCIE_TX_CREDITS_INIT_NP", 0x34, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"PCIE_ADV_ERR_CAP_CNTL", 0x5a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"D3F4_DEVICE_CAP2", 0xa00001f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"ATOMICOP_ROUTING_SUPPORTED", 0x40, 0x6},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"ATOMICOP_32CMPLT_SUPPORTED", 0x80, 0x7},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"CAS128_CMPLT_SUPPORTED", 0x200, 0x9},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"ATOMICOP_64CMPLT_SUPPORTED", 0x100, 0x8},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"D2F2_COMMAND", 0x3000001, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"PSX80_BIF_PCIE_RX_CNTL2", 0x140001d, {
		{"RX_RCB_LATENCY_EN", 0x100, 0x8},
		{"RX_IGNORE_EP_ATSTRANSREQ_UR", 0x8, 0x3},
		{"RX_RCB_LATENCY_SCALE", 0xe00, 0x9},
		{"RX_RCB_LATENCY_MAX_COUNT", 0x3ff0000, 0x10},
		{"RX_IGNORE_EP_INVCPL_UR", 0x20, 0x5},
		{"FLR_EXTEND_MODE", 0x70000000, 0x1c},
		{"RX_IGNORE_EP_PAGEREQMSG_UR", 0x10, 0x4},
		{"RX_IGNORE_EP_TRANSMWR_UR", 0x4, 0x2},
		{"SLVCPL_MEM_SD_EN", 0x2000, 0xd},
		{"SLVCPL_MEM_LS_EN", 0x1000, 0xc},
		{"SLVCPL_MEM_DS_EN", 0x4000, 0xe},
		{"RX_IGNORE_EP_TRANSMRD_UR", 0x2, 0x1},
		{"RX_IGNORE_EP_INVALIDPASID_UR", 0x1, 0x0}
	} },
	{"D3F3_PCIE_TX_REPLAY", 0x25, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"D2F5_LINK_CNTL", 0x600001a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"D2F1_PCIE_TLP_PREFIX_LOG1", 0x2000063, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_TLP_PREFIX_LOG0", 0x2000062, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_TLP_PREFIX_LOG3", 0x2000065, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_TLP_PREFIX_LOG2", 0x2000064, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"PCIE_PAGE_REQ_CNTL", 0xb1, {
		{"PRI_RESET", 0x2, 0x1},
		{"PRI_ENABLE", 0x1, 0x0}
	} },
	{"D2F2_PCIE_CAP", 0x3000016, {
		{"SLOT_IMPLEMENTED", 0x1000000, 0x18},
		{"VERSION", 0xf0000, 0x10},
		{"DEVICE_TYPE", 0xf00000, 0x14},
		{"INT_MESSAGE_NUM", 0x3e000000, 0x19}
	} },
	{"PCIE_TX_CREDITS_FCU_THRESHOLD", 0x10010037, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"D3F3_PCIE_LANE_5_EQUALIZATION_CNTL", 0x90000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F2_PCIE_VC0_RESOURCE_CNTL", 0x8000049, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"BIF_VDDGFX_FB_CMP", 0x143c, {
		{"VDDGFX_FB_XDMA_CMP_EN", 0x4, 0x2},
		{"VDDGFX_FB_HDP_STALL_EN", 0x2, 0x1},
		{"VDDGFX_FB_HDP_CMP_EN", 0x1, 0x0},
		{"VDDGFX_FB_XDMA_STALL_EN", 0x8, 0x3},
		{"VDDGFX_FB_VGA_STALL_EN", 0x20, 0x5},
		{"VDDGFX_FB_VGA_CMP_EN", 0x10, 0x4}
	} },
	{"D3F1_DEVICE_ID", 0x7000000, {
		{"DEVICE_ID", 0xffff0000, 0x10}
	} },
	{"PCIE_PERF_CNTL_TXCLK", 0x1400081, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"PSX80_PHY0_RX_RX_CTL_LANE6", 0x1200602, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"D3F1_PCIE_LANE_5_EQUALIZATION_CNTL", 0x70000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_PHY0_RX_RX_CTL_LANE4", 0x1200402, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"PSX80_PHY0_RX_RX_CTL_LANE5", 0x1200502, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"PSX80_PHY0_RX_RX_CTL_LANE2", 0x1200202, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"D2F5_DEVICE_STATUS", 0x6000018, {
		{"CORR_ERR", 0x10000, 0x10},
		{"TRANSACTIONS_PEND", 0x200000, 0x15},
		{"AUX_PWR", 0x100000, 0x14},
		{"USR_DETECTED", 0x80000, 0x13},
		{"NON_FATAL_ERR", 0x20000, 0x11},
		{"FATAL_ERR", 0x40000, 0x12}
	} },
	{"PSX80_PHY0_RX_RX_CTL_LANE0", 0x1200002, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"PSX80_PHY0_RX_RX_CTL_LANE1", 0x1200102, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"PSX81_BIF_PCIE_RESERVED", 0x1410000, {
		{"PCIE_RESERVED", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_ACS_ENH_CAP_LIST", 0x60000a8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F3_PCIE_LC_LINK_WIDTH_CNTL", 0xa2, {
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_WAIT_FOR_L_IDLE_IN_R_IDLE", 0x4000000, 0x1a},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_HOLD_EI_FOR_RSPEED_CMD_CHANGE", 0x10000000, 0x1c},
		{"LC_BYPASS_RXL0S_ON_SHORT_EI", 0x20000000, 0x1d},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_RESET_TSX_CNT_IN_RCONFIG_EN", 0x2000000, 0x19},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_MULT_REVERSE_ATTEMP_EN", 0x1000000, 0x18},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_WAIT_FOR_NON_EI_ON_RXL0S_EXIT", 0x8000000, 0x1b},
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc}
	} },
	{"D2F5_PCIE_RX_CREDITS_ALLOCATED_CPL", 0x82, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"D3F5_PCIE_CAP_LIST", 0xb000016, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F3_PCIE_CAP_LIST", 0x9000016, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX81_WRP_PCIE_WRAP_MISC", 0x1318008, {
		{"STRAP_BIF_QUICKSIM_START", 0x4, 0x2},
		{"HOLD_TRAINING_STICKY", 0x2, 0x1}
	} },
	{"D2F3_PCIEP_PORT_CNTL", 0x10, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"D3F4_DEVICE_CNTL2", 0xa000020, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"OBFF_EN", 0x6000, 0xd},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKING", 0x80, 0x7},
		{"ATOMICOP_REQUEST_EN", 0x40, 0x6},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"D2F1_PCIE_LANE_3_EQUALIZATION_CNTL", 0x20000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F2_PCIE_PORT_VC_STATUS", 0x8000047, {
		{"VC_ARB_TABLE_STATUS", 0x10000, 0x10}
	} },
	{"PSX80_BIF_PCIE_RX_LAST_TLP1", 0x1400032, {
		{"RX_LAST_TLP1", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_RX_LAST_TLP0", 0x1400031, {
		{"RX_LAST_TLP0", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_RX_LAST_TLP3", 0x1400034, {
		{"RX_LAST_TLP3", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_DTM_DENTIST_GATE_TIMING_FI_clkGskt", 0x131ffe7, {
		{"DentistGate_dropoutTime_FI_clkGskt", 0xff00, 0x8},
		{"DentistGate_startTime_FI_clkGskt", 0xff, 0x0},
		{"DentistGate_stopTime_FI_clkGskt", 0xff0000, 0x10}
	} },
	{"D2F1_MSI_MAP_CAP", 0x2000032, {
		{"FIXD", 0x20000, 0x11},
		{"EN", 0x10000, 0x10},
		{"CAP_TYPE", 0xf8000000, 0x1b}
	} },
	{"D2F3_PCIEP_HW_DEBUG", 0x2, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D2F1_SSID_CAP_LIST", 0x2000030, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F3_PCIE_LC_CDR_CNTL", 0xb3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"D3F2_PCIE_ERR_CNTL", 0x6a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"D3F4_PCIE_LC_CNTL3", 0xb5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"D3F1_PCIE_FC_NP", 0x61, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"PSX80_WRP_PCIE_HOLD_TRAINING_E", 0x1500c00, {
		{"HOLD_TRAINING", 0x1, 0x0}
	} },
	{"D2F4_PCIE_TX_CREDITS_INIT_CPL", 0x35, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"BIF_PERFCOUNTER1_RESULT_IND", 0x109152e, {
		{"PERFCOUNTER_RESULT", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT1_TXCLK2", 0x1410097, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"PCIE_VC1_RESOURCE_CNTL", 0x4c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D3F3_DEVICE_ID", 0x9000000, {
		{"DEVICE_ID", 0xffff0000, 0x10}
	} },
	{"D3F1_PCIE_DEV_SERIAL_NUM_DW2", 0x7000052, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_LANE_5_EQUALIZATION_CNTL", 0x50000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_PIF0_LANE5_OVRD2", 0x110001f, {
		{"COEFFICIENT_5", 0xfc000000, 0x1a},
		{"COEFFICIENTID_5", 0x3000000, 0x18},
		{"TWOSYMENABLE_5", 0x80, 0x7},
		{"REQUESTTRK_5", 0x400000, 0x16},
		{"FREQDIV_5", 0x18, 0x3},
		{"RXPWR_5", 0xe000, 0xd},
		{"RXPGENABLE_5", 0x30000, 0x10},
		{"LINKSPEED_5", 0x60, 0x5},
		{"RESPONSEMODE_5", 0x200000, 0x15},
		{"GANGMODE_5", 0x7, 0x0},
		{"TXPWR_5", 0x700, 0x8},
		{"ENABLEFOM_5", 0x80000, 0x13},
		{"REQUESTFOM_5", 0x100000, 0x14},
		{"ELECIDLEDETEN_5", 0x40000, 0x12},
		{"TXPGENABLE_5", 0x1800, 0xb},
		{"REQUESTTRN_5", 0x800000, 0x17}
	} },
	{"D3F4_PCIE_RX_CREDITS_ALLOCATED_P", 0x80, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"BX_RESET_CNTL", 0x1518, {
		{"LINK_TRAIN_EN", 0x1, 0x0}
	} },
	{"D3F1_PCIE_P_PORT_LANE_STATUS", 0x50, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT0_MST_C_CLK", 0x1410088, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_RX_CNTL", 0x70, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_RCB_FLR_TIMEOUT_DIS", 0x8000000, 0x1b},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_TPH_DIS", 0x4000000, 0x1a},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"PCIE_LANE_3_EQUALIZATION_CNTL", 0xa0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F2_PCIE_MC_BLOCK_ALL1", 0x30000c3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"GARLIC_COHE_VCE_RB_WPTR2_IND", 0x1091420, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F4_PCIE_LC_LANE_CNTL", 0xb4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"D3F4_PCIE_LINK_CNTL3", 0xa00009d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"D3F3_PCIE_RX_CREDITS_ALLOCATED_NP", 0x81, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"D3F2_PCIE_VC0_RESOURCE_CAP", 0x8000048, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D2F5_PCIE_TX_REQUEST_NUM_CNTL", 0x23, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"D3F4_PMI_CAP_LIST", 0xa000014, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"BIF_DEBUG_MUX", 0x151d, {
		{"DEBUG_MUX_BLK1", 0x3f, 0x0},
		{"DEBUG_MUX_BLK2", 0x3f00, 0x8}
	} },
	{"D2F3_PCIEP_HPGI_PRIVATE", 0xd2, {
		{"PRESENCE_DETECT_STATE_PRIVATE", 0x40, 0x6},
		{"PRESENCE_DETECT_CHANGED_PRIVATE", 0x8, 0x3}
	} },
	{"D3F1_PCIE_UNCORR_ERR_SEVERITY", 0x7000057, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"PSX80_BIF_PCIE_HW_DEBUG", 0x1400002, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"PSX80_BIF_PCIE_BUS_CNTL", 0x1400021, {
		{"IMMEDIATE_PMI_DIS", 0x80, 0x7},
		{"TRUE_PM_STATUS_EN", 0x1000, 0xc},
		{"PMI_INT_DIS", 0x40, 0x6}
	} },
	{"D3F1_PCIE_LANE_ERROR_STATUS", 0x700009e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"D2F3_PCIE_MC_CNTL", 0x40000bd, {
		{"MC_NUM_GROUP", 0x3f0000, 0x10},
		{"MC_ENABLE", 0x80000000, 0x1f}
	} },
	{"GPU_GARLIC_FLUSH_DONE_IND", 0x1091414, {
		{"SDMA3", 0x2000, 0xd},
		{"SDMA2", 0x1000, 0xc},
		{"SDMA0", 0x400, 0xa},
		{"CP8", 0x100, 0x8},
		{"CP9", 0x200, 0x9},
		{"SDMA1", 0x800, 0xb},
		{"CP0", 0x1, 0x0},
		{"CP1", 0x2, 0x1},
		{"CP2", 0x4, 0x2},
		{"CP3", 0x8, 0x3},
		{"CP4", 0x10, 0x4},
		{"CP5", 0x20, 0x5},
		{"CP6", 0x40, 0x6},
		{"CP7", 0x80, 0x7}
	} },
	{"PCIE_TPH_REQR_CNTL", 0xba, {
		{"TPH_REQR_ST_MODE_SEL", 0x7, 0x0},
		{"TPH_REQR_EN", 0x300, 0x8}
	} },
	{"SLAVE_REQ_CREDIT_CNTL_IND", 0x1091517, {
		{"BIF_XDMA_REQ_CREDIT", 0x7e000000, 0x19},
		{"BIF_AZ_REQ_CREDIT", 0x100000, 0x14},
		{"BIF_VGA_REQ_CREDIT", 0x1e0, 0x5},
		{"BIF_ROM_REQ_CREDIT", 0x8000, 0xf},
		{"BIF_SRBM_REQ_CREDIT", 0x1f, 0x0},
		{"BIF_HDP_REQ_CREDIT", 0x7c00, 0xa}
	} },
	{"PSX81_PHY0_TX_MARGDEEMPHSTATUS_LANE0", 0x1212004, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"PSX81_PHY0_RX_DLL_CTL_LANE5", 0x1210503, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"D3F1_PCIE_VENDOR_SPECIFIC_HDR", 0x7000041, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"BIF_RESET_CNTL_IND", 0x1301486, {
		{"RECAP_STRAP_WARMRST", 0x100, 0x8},
		{"HOLD_LKTRN_WARMRST_DIS", 0x200, 0x9},
		{"RST_DONE", 0x2, 0x1},
		{"STRAP_ALL_VALID", 0x8, 0x3},
		{"STRAP_EN", 0x1, 0x0},
		{"LINK_TRAIN_EN", 0x4, 0x2}
	} },
	{"D3F1_PCIE_LANE_14_EQUALIZATION_CNTL", 0x70000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_PHY0_RX_DLL_CTL_LANE2", 0x1210203, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX81_PHY0_RX_DLL_CTL_LANE3", 0x1210303, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"D2F2_PCIE_FC_CPL", 0x62, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"D2F2_PCIE_LANE_8_EQUALIZATION_CNTL", 0x30000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_WRP_BIF_STRAP_PI_CNTL", 0x1500001, {
		{"STRAP_PI_PRBS_CLK_ADJ", 0x6000, 0xd},
		{"STRAP_BIF_PI_HW_DEBUG", 0x1ff8, 0x3},
		{"STRAP_RXP_HW_DEBUG", 0x1f8000, 0xf},
		{"STRAP_PI_PREP_ELASTDESKEW_FOR_PRBS", 0x200000, 0x15}
	} },
	{"D3F1_SLOT_CAP", 0x700001b, {
		{"SLOT_PWR_LIMIT_VALUE", 0x7f80, 0x7},
		{"PWR_INDICATOR_PRESENT", 0x10, 0x4},
		{"HOTPLUG_SURPRISE", 0x20, 0x5},
		{"NO_COMMAND_COMPLETED_SUPPORTED", 0x40000, 0x12},
		{"ATTN_INDICATOR_PRESENT", 0x8, 0x3},
		{"ATTN_BUTTON_PRESENT", 0x1, 0x0},
		{"PHYSICAL_SLOT_NUM", 0xfff80000, 0x13},
		{"PWR_CONTROLLER_PRESENT", 0x2, 0x1},
		{"MRL_SENSOR_PRESENT", 0x4, 0x2},
		{"HOTPLUG_CAPABLE", 0x40, 0x6},
		{"ELECTROMECH_INTERLOCK_PRESENT", 0x20000, 0x11},
		{"SLOT_PWR_LIMIT_SCALE", 0x18000, 0xf}
	} },
	{"D2F2_PCIE_TX_ACK_LATENCY_LIMIT", 0x26, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"D3F4_MSI_MSG_DATA", 0xa00002a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_COM_COMMON_LNCNTRL", 0x1216211, {
		{"clkgate_dis", 0x20, 0x5},
		{"dll_lock_time_sel", 0xc0, 0x6},
		{"cdr_lock_time_sel", 0x300, 0x8}
	} },
	{"D2F3_IO_BASE_LIMIT", 0x4000007, {
		{"IO_LIMIT", 0xf000, 0xc},
		{"IO_LIMIT_TYPE", 0xf00, 0x8},
		{"IO_BASE", 0xf0, 0x4},
		{"IO_BASE_TYPE", 0xf, 0x0}
	} },
	{"PCIE_LANE_2_EQUALIZATION_CNTL", 0xa0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_PHY0_TX_DEEMPH_LANE5", 0x1202502, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"D3F1_PCIE_LC_LANE_CNTL", 0xb4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"PSX80_WRP_BIF_STRAP_ERROR_IGNORE", 0x1500004, {
		{"STRAP_BIF_RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"STRAP_BIF_ERR_REPORTING_DIS", 0x10000, 0x10},
		{"STRAP_BIF_RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"STRAP_BIF_RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"STRAP_BIF_INTERNAL_ERR_EN", 0x40000, 0x12},
		{"STRAP_BIF_RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"STRAP_BIF_RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"STRAP_BIF_RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"STRAP_BIF_RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"STRAP_BIF_RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"STRAP_BIF_RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"STRAP_BIF_CPL_ABORT_ERR_EN", 0x20000, 0x11},
		{"STRAP_BIF_RX_IGNORE_AT_ERR", 0x1000, 0xc}
	} },
	{"PSX80_PHY0_TX_DEEMPH_LANE2", 0x1202202, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PSX80_PHY0_TX_DEEMPH_LANE1", 0x1202102, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"D2F4_PCIE_FC_P", 0x60, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"PSX81_BIF_PCIE_TX_LAST_TLP2", 0x1410037, {
		{"TX_LAST_TLP2", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_TX_LAST_TLP3", 0x1410038, {
		{"TX_LAST_TLP3", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_TX_LAST_TLP0", 0x1410035, {
		{"TX_LAST_TLP0", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_TX_LAST_TLP1", 0x1410036, {
		{"TX_LAST_TLP1", 0xffffffff, 0x0}
	} },
	{"D3F2_PREF_LIMIT_UPPER", 0x800000b, {
		{"PREF_LIMIT_UPPER", 0xffffffff, 0x0}
	} },
	{"PSX81_PIF0_GLB_OVRD", 0x111000c, {
		{"RXDETECT_OVERRIDE_EN", 0x10000, 0x10},
		{"RXDETECT_OVERRIDE_VAL_0", 0x1, 0x0},
		{"RXDETECT_OVERRIDE_VAL_1", 0x2, 0x1},
		{"RXDETECT_OVERRIDE_VAL_2", 0x4, 0x2},
		{"RXDETECT_OVERRIDE_VAL_3", 0x8, 0x3},
		{"RXDETECT_OVERRIDE_VAL_4", 0x10, 0x4},
		{"RXDETECT_OVERRIDE_VAL_5", 0x20, 0x5},
		{"RXDETECT_OVERRIDE_VAL_6", 0x40, 0x6},
		{"RXDETECT_OVERRIDE_VAL_7", 0x80, 0x7}
	} },
	{"D2F2_LINK_STATUS2", 0x3000022, {
		{"LINK_EQUALIZATION_REQUEST", 0x200000, 0x15},
		{"CUR_DEEMPHASIS_LEVEL", 0x10000, 0x10},
		{"EQUALIZATION_COMPLETE", 0x20000, 0x11},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x80000, 0x13},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x100000, 0x14},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x40000, 0x12}
	} },
	{"PSX81_PHY0_RX_DBG_BYP_EN_LANE5", 0x121050d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"BIF_VDDGFX_GFX1_UPPER_IND", 0x109142b, {
		{"VDDGFX_GFX1_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX80_WRP_REG_ADAPT_pwregt_CONTROL", 0x1308096, {
		{"ACCESS_MODE_pwregt", 0x1, 0x0}
	} },
	{"PCIE_PERF_CNTL_SLV_NS_C_CLK", 0x1400090, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"PSX80_WRP_BIF_STRAP_MISC_PORT_A", 0x1500804, {
		{"STRAP_BIF_POISONED_ADVISORY_NONFATAL", 0x1, 0x0},
		{"STRAP_BIF_BCH_ECC_EN", 0x80, 0x7},
		{"STRAP_BIF_E2E_PREFIX_EN", 0x40, 0x6},
		{"STRAP_BIF_MAX_PAYLOAD_SUPPORT", 0xe, 0x1},
		{"STRAP_BIF_EXTENDED_FMT_SUPPORTED", 0x20, 0x5},
		{"STRAP_BIF_MC_ECRC_REGEN_SUPP", 0x100, 0x8},
		{"STRAP_BIF_FIRST_RCVD_ERR_LOG", 0x10, 0x4}
	} },
	{"PSX80_WRP_BIF_STRAP_MISC_PORT_C", 0x1500a04, {
		{"STRAP_BIF_POISONED_ADVISORY_NONFATAL", 0x1, 0x0},
		{"STRAP_BIF_BCH_ECC_EN", 0x80, 0x7},
		{"STRAP_BIF_E2E_PREFIX_EN", 0x40, 0x6},
		{"STRAP_BIF_MAX_PAYLOAD_SUPPORT", 0xe, 0x1},
		{"STRAP_BIF_EXTENDED_FMT_SUPPORTED", 0x20, 0x5},
		{"STRAP_BIF_MC_ECRC_REGEN_SUPP", 0x100, 0x8},
		{"STRAP_BIF_FIRST_RCVD_ERR_LOG", 0x10, 0x4}
	} },
	{"PSX80_WRP_BIF_STRAP_MISC_PORT_B", 0x1500904, {
		{"STRAP_BIF_POISONED_ADVISORY_NONFATAL", 0x1, 0x0},
		{"STRAP_BIF_BCH_ECC_EN", 0x80, 0x7},
		{"STRAP_BIF_E2E_PREFIX_EN", 0x40, 0x6},
		{"STRAP_BIF_MAX_PAYLOAD_SUPPORT", 0xe, 0x1},
		{"STRAP_BIF_EXTENDED_FMT_SUPPORTED", 0x20, 0x5},
		{"STRAP_BIF_MC_ECRC_REGEN_SUPP", 0x100, 0x8},
		{"STRAP_BIF_FIRST_RCVD_ERR_LOG", 0x10, 0x4}
	} },
	{"PSX80_WRP_BIF_STRAP_MISC_PORT_E", 0x1500c04, {
		{"STRAP_BIF_POISONED_ADVISORY_NONFATAL", 0x1, 0x0},
		{"STRAP_BIF_BCH_ECC_EN", 0x80, 0x7},
		{"STRAP_BIF_E2E_PREFIX_EN", 0x40, 0x6},
		{"STRAP_BIF_MAX_PAYLOAD_SUPPORT", 0xe, 0x1},
		{"STRAP_BIF_EXTENDED_FMT_SUPPORTED", 0x20, 0x5},
		{"STRAP_BIF_MC_ECRC_REGEN_SUPP", 0x100, 0x8},
		{"STRAP_BIF_FIRST_RCVD_ERR_LOG", 0x10, 0x4}
	} },
	{"PSX80_WRP_BIF_STRAP_MISC_PORT_D", 0x1500b04, {
		{"STRAP_BIF_POISONED_ADVISORY_NONFATAL", 0x1, 0x0},
		{"STRAP_BIF_BCH_ECC_EN", 0x80, 0x7},
		{"STRAP_BIF_E2E_PREFIX_EN", 0x40, 0x6},
		{"STRAP_BIF_MAX_PAYLOAD_SUPPORT", 0xe, 0x1},
		{"STRAP_BIF_EXTENDED_FMT_SUPPORTED", 0x20, 0x5},
		{"STRAP_BIF_MC_ECRC_REGEN_SUPP", 0x100, 0x8},
		{"STRAP_BIF_FIRST_RCVD_ERR_LOG", 0x10, 0x4}
	} },
	{"HDP_MEM_COHERENCY_FLUSH_CNTL", 0x1520, {
		{"HDP_MEM_FLUSH_ADDR", 0x1, 0x0}
	} },
	{"D3F5_PCIE_P_PORT_LANE_STATUS", 0x50, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"PCIE_TX_CNTL", 0x10010020, {
		{"TX_F0_TPH_DIS", 0x1000000, 0x18},
		{"TX_F2_TPH_DIS", 0x4000000, 0x1a},
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_F1_TPH_DIS", 0x2000000, 0x19},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"D3F1_PCIE_CAP", 0x7000016, {
		{"SLOT_IMPLEMENTED", 0x1000000, 0x18},
		{"VERSION", 0xf0000, 0x10},
		{"DEVICE_TYPE", 0xf00000, 0x14},
		{"INT_MESSAGE_NUM", 0x3e000000, 0x19}
	} },
	{"D2F5_PCIE_VENDOR_SPECIFIC_HDR", 0x6000041, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_COM_COMMON_ADAPTCTL1", 0x121620a, {
		{"adapt_cfg_oc_time", 0xf0, 0x4},
		{"adapt_cfg_fom_time", 0x1e000000, 0x19},
		{"adapt_cfg_dfe_time", 0x780000, 0x13},
		{"adapt_cfg_cdr_time", 0x1e00, 0x9},
		{"adapt_cfg_dfe_alg_sel", 0xe0000000, 0x1d},
		{"adapt_cfg_leq_time", 0x3c000, 0xe},
		{"adapt_cfg_fom_ber", 0x7, 0x0}
	} },
	{"D3F4_PCIE_TX_SEQ", 0x24, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"PSX81_PHY0_COM_COMMON_ADAPTCTL2", 0x121620b, {
		{"adapt_cfg_dfe_tap_loop_gain", 0x3c0000, 0x12},
		{"adapt_cfg_leq_loop_gain", 0x3, 0x0},
		{"adapt_cfg_pi_off_range_rt", 0x3800000, 0x17},
		{"adapt_cfg_dfe_ref_loop_gain", 0x1e000, 0xd},
		{"adapt_cfg_pi_off_range_lt", 0x38000000, 0x1b},
		{"adapt_cfg_ofc_loop_gain", 0x78, 0x3},
		{"adapt_cfg_fom_loop_gain", 0xf00, 0x8}
	} },
	{"PCIE_STRAP_MISC2", 0x14000c1, {
		{"STRAP_TPH_SUPPORTED", 0x10, 0x4},
		{"STRAP_MSTCPL_TIMEOUT_EN", 0x4, 0x2},
		{"STRAP_GEN2_COMPLIANCE", 0x2, 0x1},
		{"STRAP_GEN3_COMPLIANCE", 0x8, 0x3}
	} },
	{"D2F1_DEVICE_ID", 0x2000000, {
		{"DEVICE_ID", 0xffff0000, 0x10}
	} },
	{"PCIE_WRAPPER1_C_PCIE_INDEX", 0x38, {

	} },
	{"D3F1_PCIE_DEV_SERIAL_NUM_DW1", 0x7000051, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIEP_HPGI", 0xda, {
		{"HPGI_REG_DEASSERT_TO_SCI_STATUS", 0x800, 0xb},
		{"REG_HPGI_PRESENCE_DETECT_STATE_CHANGE_EN", 0x10000, 0x10},
		{"REG_HPGI_ASSERT_TO_SCI_EN", 0x2, 0x1},
		{"REG_HPGI_DEASSERT_TO_SMI_EN", 0x4, 0x2},
		{"HPGI_REG_DEASSERT_TO_SMI_STATUS", 0x400, 0xa},
		{"REG_HPGI_HOOK", 0x80, 0x7},
		{"HPGI_REG_ASSERT_TO_SMI_STATUS", 0x100, 0x8},
		{"REG_HPGI_ASSERT_TO_SMI_EN", 0x1, 0x0},
		{"REG_HPGI_DEASSERT_TO_SCI_EN", 0x8, 0x3},
		{"HPGI_REG_ASSERT_TO_SCI_STATUS", 0x200, 0x9},
		{"HPGI_REG_PRESENCE_DETECT_STATE_CHANGE_STATUS", 0x8000, 0xf}
	} },
	{"D2F1_COMMAND", 0x2000001, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"PSX80_PHY0_RX_RXTEST_REGS_LANE1", 0x1200104, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"D2F5_IRQ_BRIDGE_CNTL", 0x600000f, {
		{"PARITY_RESPONSE_EN", 0x10000, 0x10},
		{"ISA_EN", 0x40000, 0x12},
		{"FAST_B2B_EN", 0x800000, 0x17},
		{"VGA_EN", 0x80000, 0x13},
		{"SERR_EN", 0x20000, 0x11},
		{"MASTER_ABORT_MODE", 0x200000, 0x15},
		{"VGA_DEC", 0x100000, 0x14},
		{"SECONDARY_BUS_RESET", 0x400000, 0x16}
	} },
	{"PSX81_PHY0_COM_COMMON_ADAPT_DBG_BYP_VAL", 0x121620e, {
		{"adapt_dbg_doff_byp_val", 0x1ff, 0x0},
		{"adapt_dbg_eoff_byp_val", 0x7fc00000, 0x16},
		{"adapt_dbg_xoff_byp_val", 0xff800, 0xb}
	} },
	{"PSX80_PHY0_RX_RXTEST_REGS_LANE0", 0x1200004, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"PSX81_PHY0_RX_DLL_CTL_LANE6", 0x1210603, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX81_PHY0_RX_DLL_CTL_LANE7", 0x1210703, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX81_PHY0_RX_DLL_CTL_LANE4", 0x1210403, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"D2F5_PCIE_ACS_CNTL", 0x60000a9, {
		{"UPSTREAM_FORWARDING_EN", 0x100000, 0x14},
		{"SOURCE_VALIDATION_EN", 0x10000, 0x10},
		{"P2P_EGRESS_CONTROL_EN", 0x200000, 0x15},
		{"P2P_COMPLETION_REDIRECT_EN", 0x80000, 0x13},
		{"DIRECT_TRANSLATED_P2P_EN", 0x400000, 0x16},
		{"P2P_REQUEST_REDIRECT_EN", 0x40000, 0x12},
		{"TRANSLATION_BLOCKING_EN", 0x20000, 0x11}
	} },
	{"D2F5_PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0x6000050, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F1_MSI_MSG_DATA_64", 0x700002b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_RX_DLL_CTL_LANE0", 0x1210003, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"DEVICE_ID", 0x0, {
		{"DEVICE_ID", 0xffff, 0x0}
	} },
	{"PSX80_WRP_PCIE_LINK_CONFIG", 0x1500080, {
		{"STRAP_BIF_LINK_CONFIG", 0xf, 0x0}
	} },
	{"BACO_CNTL_MISC", 0x14db, {
		{"BACO_LINK_RST_WIDTH_SEL", 0xc, 0x2},
		{"BIF_AZ_REQ_DIS", 0x2, 0x1},
		{"BIF_ROM_REQ_DIS", 0x1, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_CNTL_MST_C_CLK", 0x1400087, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D2F4_PCIE_RX_VENDOR_SPECIFIC", 0x72, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"D2F2_PCIE_LANE_ERROR_STATUS", 0x300009e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"PCIE_DPA_STATUS", 0x97, {
		{"SUBSTATE_STATUS", 0x1f, 0x0},
		{"SUBSTATE_CNTL_ENABLED", 0x100, 0x8}
	} },
	{"PCIE_PRBS_FREERUN", 0x14000cb, {
		{"PRBS_FREERUN", 0xffff, 0x0}
	} },
	{"RFE_CLIENT_SOFTRST_TRIGGER", 0x1080004, {
		{"CLIENT1_RFE_RFEWRC_rst", 0x2, 0x1},
		{"CLIENT2_RFE_RFEWRC_rst", 0x4, 0x2},
		{"CLIENT0_RFE_RFEWRC_rst", 0x1, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_9", 0x14000d9, {
		{"PRBS_ERRCNT_9", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PERF_CNTL_SLV_NS_C_CLK", 0x1410090, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D2F5_PCIE_VC0_RESOURCE_STATUS", 0x600004a, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"BIF_SMU_DATA_IND", 0x109143e, {
		{"BIF_SMU_DATA", 0x7fffc, 0x2}
	} },
	{"D3F1_STATUS", 0x7000001, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"INT_STATUS", 0x80000, 0x13},
		{"SIGNALED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D3F3_INTERRUPT_LINE", 0x900000f, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"PSX81_WRP_REG_ADAPT_pwregt_CONTROL", 0x1318096, {
		{"ACCESS_MODE_pwregt", 0x1, 0x0}
	} },
	{"D3F3_PCIE_TX_SEQ", 0x24, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"PCIE_LANE_6_EQUALIZATION_CNTL", 0xa2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PCIE_ATS_CNTL", 0xad, {
		{"STU", 0x1f, 0x0},
		{"ATC_ENABLE", 0x8000, 0xf}
	} },
	{"D2F4_PCIE_TX_CREDITS_INIT_NP", 0x34, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"D2F5_PCIE_TX_ACK_LATENCY_LIMIT", 0x26, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"PCIE_INDEX", 0xe, {
		{"PCIE_INDEX", 0xffffffff, 0x0}
	} },
	{"BIOS_SCRATCH_4_IND", 0x10905cd, {
		{"BIOS_SCRATCH_4", 0xffffffff, 0x0}
	} },
	{"PCIE_VC0_RESOURCE_CNTL", 0x49, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PciPllControlExt", 0x1214101, {
		{"BgRcFiltShortTimer", 0x7, 0x0},
		{"BgRcFiltShortForce", 0x8, 0x3}
	} },
	{"D2F5_PREF_BASE_UPPER", 0x600000a, {
		{"PREF_BASE_UPPER", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_CORR_ERR_MASK", 0x2000059, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"D3F1_PREF_LIMIT_UPPER", 0x700000b, {
		{"PREF_LIMIT_UPPER", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_1", 0x14000d1, {
		{"PRBS_ERRCNT_1", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_CNTL_EVENT0_PORT_SEL", 0x1400093, {
		{"PERF0_PORT_SEL_MST_C_CLK", 0xf00, 0x8},
		{"PERF0_PORT_SEL_TXCLK2", 0xf000000, 0x18},
		{"PERF0_PORT_SEL_SLV_NS_C_CLK", 0xf00000, 0x14},
		{"PERF0_PORT_SEL_TXCLK", 0xf, 0x0},
		{"PERF0_PORT_SEL_SLV_R_CLK", 0xf000, 0xc},
		{"PERF0_PORT_SEL_SLV_S_C_CLK", 0xf0000, 0x10},
		{"PERF0_PORT_SEL_MST_R_CLK", 0xf0, 0x4}
	} },
	{"D2F3_PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0x4000040, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_PIF0_TX_CTRL", 0x1110008, {
		{"TXPWR_IN_DEGRADE", 0xe00, 0x9},
		{"TXPWR_IN_INIT", 0x38000, 0xf},
		{"TXPWR_IN_PLL_OFF", 0x1c0000, 0x12},
		{"TXPWR_GATING_IN_UNUSED", 0x1000000, 0x18},
		{"TXPWR_IN_DEGRADE_MODE", 0x200000, 0x15},
		{"TXPWR_GATING_IN_L1", 0x800000, 0x17},
		{"TXPWR_IN_UNUSED_MODE", 0x400000, 0x16},
		{"TXPWR_IN_SPDCHNG", 0x38, 0x3},
		{"TXPWR_IN_UNUSED", 0x7000, 0xc},
		{"TXPWR_IN_S2", 0x7, 0x0},
		{"TXPWR_IN_OFF", 0x1c0, 0x6}
	} },
	{"D3F3_PREF_BASE_UPPER", 0x900000a, {
		{"PREF_BASE_UPPER", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_LANE_11_EQUALIZATION_CNTL", 0x20000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F5_PCIE_TX_SEQ", 0x24, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"D3F5_PCIE_LANE_9_EQUALIZATION_CNTL", 0xb0000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F4_PCIE_MC_OVERLAY_BAR0", 0xa0000c6, {
		{"MC_OVERLAY_SIZE", 0x3f, 0x0},
		{"MC_OVERLAY_BAR_0", 0xffffffc0, 0x6}
	} },
	{"PEER1_FB_OFFSET_LO", 0x14f0, {
		{"PEER1_FB_OFFSET_LO", 0xfffff, 0x0},
		{"PEER1_FB_EN", 0x80000000, 0x1f}
	} },
	{"PSX80_BIF_PCIE_RESERVED", 0x1400000, {
		{"PCIE_RESERVED", 0xffffffff, 0x0}
	} },
	{"PCIE_LANE_0_EQUALIZATION_CNTL", 0x9f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"MSI_MSG_DATA", 0x2a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"D2F1_INTERRUPT_PIN", 0x200000f, {
		{"INTERRUPT_PIN", 0xff00, 0x8}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_5", 0x14000d5, {
		{"PRBS_ERRCNT_5", 0xffffffff, 0x0}
	} },
	{"PCIE_BAR6_CNTL", 0x8c, {
		{"BAR_TOTAL_NUM", 0xe0, 0x5},
		{"BAR_SIZE", 0x1f00, 0x8},
		{"BAR_INDEX", 0x7, 0x0}
	} },
	{"PCIE_DATA_2", 0xd, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"CONFIG_REG_APER_SIZE", 0x150d, {
		{"REG_APER_SIZE", 0xfffff, 0x0}
	} },
	{"D3F4_PMI_STATUS_CNTL", 0xa000015, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"D2F3_PCIE_TX_CREDITS_FCU_THRESHOLD", 0x37, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"PSX81_BIF_LM_PCIERXMUX0", 0x1410125, {
		{"RXLANE3", 0xff000000, 0x18},
		{"RXLANE2", 0xff0000, 0x10},
		{"RXLANE1", 0xff00, 0x8},
		{"RXLANE0", 0xff, 0x0}
	} },
	{"PSX81_BIF_LM_PCIERXMUX3", 0x1410128, {
		{"RXLANE13", 0xff00, 0x8},
		{"RXLANE12", 0xff, 0x0},
		{"RXLANE15", 0xff000000, 0x18},
		{"RXLANE14", 0xff0000, 0x10}
	} },
	{"PSX81_BIF_LM_PCIERXMUX2", 0x1410127, {
		{"RXLANE11", 0xff000000, 0x18},
		{"RXLANE10", 0xff0000, 0x10},
		{"RXLANE9", 0xff00, 0x8},
		{"RXLANE8", 0xff, 0x0}
	} },
	{"D3F2_PMI_CAP", 0x8000014, {
		{"DEV_SPECIFIC_INIT", 0x200000, 0x15},
		{"AUX_CURRENT", 0x1c00000, 0x16},
		{"VERSION", 0x70000, 0x10},
		{"D2_SUPPORT", 0x4000000, 0x1a},
		{"PME_SUPPORT", 0xf8000000, 0x1b},
		{"PME_CLOCK", 0x80000, 0x13},
		{"D1_SUPPORT", 0x2000000, 0x19}
	} },
	{"PSX80_BIF_PCIE_P_BUF_STATUS", 0x1400041, {
		{"P_UNDERFLOW_ERR", 0xffff0000, 0x10},
		{"P_OVERFLOW_ERR", 0xffff, 0x0}
	} },
	{"PCIE_STRAP_F5", 0x14000b5, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_ROOT_ERR_STATUS", 0x2000060, {
		{"ERR_CORR_RCVD", 0x1, 0x0},
		{"NONFATAL_ERROR_MSG_RCVD", 0x20, 0x5},
		{"FIRST_UNCORRECTABLE_FATAL", 0x10, 0x4},
		{"ADV_ERR_INT_MSG_NUM", 0xf8000000, 0x1b},
		{"MULT_ERR_CORR_RCVD", 0x2, 0x1},
		{"FATAL_ERROR_MSG_RCVD", 0x40, 0x6},
		{"MULT_ERR_FATAL_NONFATAL_RCVD", 0x8, 0x3},
		{"ERR_FATAL_NONFATAL_RCVD", 0x4, 0x2}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PciPllControl", 0x1204002, {
		{"FastLock", 0x4000000, 0x1a},
		{"LpfRes", 0x3000, 0xc},
		{"VcoRangeBin", 0x700, 0x8},
		{"FastLockTimer", 0x3c00000, 0x16},
		{"ClearLockDetect", 0x10000000, 0x1c},
		{"PllLocked", 0x20000000, 0x1d},
		{"CpiDac3_0", 0x3c000, 0xe},
		{"ManaregRampTimer", 0xc0000000, 0x1e},
		{"VcoRange", 0xff, 0x0},
		{"CpiDac7_4", 0x3c0000, 0x12}
	} },
	{"PCIE_PAGE_REQ_ENH_CAP_LIST", 0xb0, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"BIF_FEATURES_CONTROL_MISC", 0x14c2, {
		{"BIF_RB_SET_OVERFLOW_EN", 0x1000, 0xc},
		{"MC_BIF_REQ_ID_ROUTING_DIS", 0x200, 0x9},
		{"PLL_SWITCH_IMPCTL_CAL_DONE_DIS", 0x80, 0x7},
		{"BIF_MST_CPL_EP_DIS", 0x8, 0x3},
		{"BIF_SLV_REQ_EP_DIS", 0x4, 0x2},
		{"SLV_BIF_CPL_EP_DIS", 0x2, 0x1},
		{"POST_PSN_ONLY_PKT_REPORT_UR_ALL_DIS", 0x20, 0x5},
		{"POST_PSN_ONLY_PKT_REPORT_UR_PART_DIS", 0x40, 0x6},
		{"MST_BIF_REQ_EP_DIS", 0x1, 0x0},
		{"AZ_BIF_REQ_ID_ROUTING_DIS", 0x400, 0xa},
		{"ATC_PRG_RESP_PASID_UR_EN", 0x800, 0xb},
		{"UR_PSN_PKT_REPORT_POISON_DIS", 0x10, 0x4},
		{"IGNORE_BE_CHECK_GASKET_COMB_DIS", 0x100, 0x8}
	} },
	{"D2F3_MSI_MSG_ADDR_HI", 0x400002a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_LANE_ERROR_STATUS", 0xa00009e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"D2F2_PREF_BASE_UPPER", 0x300000a, {
		{"PREF_BASE_UPPER", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_RX_CREDITS_ALLOCATED_CPL", 0x82, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"D2F3_PCIE_TX_REPLAY", 0x25, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"ADAPTER_ID", 0xb, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"CONFIG_F0_BASE_IND", 0x109150b, {
		{"F0_BASE", 0xffffffff, 0x0}
	} },
	{"D3F5_SLOT_CAP", 0xb00001b, {
		{"SLOT_PWR_LIMIT_VALUE", 0x7f80, 0x7},
		{"PWR_INDICATOR_PRESENT", 0x10, 0x4},
		{"HOTPLUG_SURPRISE", 0x20, 0x5},
		{"NO_COMMAND_COMPLETED_SUPPORTED", 0x40000, 0x12},
		{"ATTN_INDICATOR_PRESENT", 0x8, 0x3},
		{"ATTN_BUTTON_PRESENT", 0x1, 0x0},
		{"PHYSICAL_SLOT_NUM", 0xfff80000, 0x13},
		{"PWR_CONTROLLER_PRESENT", 0x2, 0x1},
		{"MRL_SENSOR_PRESENT", 0x4, 0x2},
		{"HOTPLUG_CAPABLE", 0x40, 0x6},
		{"ELECTROMECH_INTERLOCK_PRESENT", 0x20000, 0x11},
		{"SLOT_PWR_LIMIT_SCALE", 0x18000, 0xf}
	} },
	{"PCIE_HDR_LOG2", 0x5d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"PCIE_HDR_LOG3", 0x5e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"PCIE_HDR_LOG0", 0x5b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"PCIE_HDR_LOG1", 0x5c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"SLAVE_REQ_CREDIT_CNTL", 0x1517, {
		{"BIF_XDMA_REQ_CREDIT", 0x7e000000, 0x19},
		{"BIF_AZ_REQ_CREDIT", 0x100000, 0x14},
		{"BIF_VGA_REQ_CREDIT", 0x1e0, 0x5},
		{"BIF_ROM_REQ_CREDIT", 0x8000, 0xf},
		{"BIF_SRBM_REQ_CREDIT", 0x1f, 0x0},
		{"BIF_HDP_REQ_CREDIT", 0x7c00, 0xa}
	} },
	{"D2F4_HEADER", 0x5000003, {
		{"HEADER_TYPE", 0x7f0000, 0x10},
		{"DEVICE_TYPE", 0x800000, 0x17}
	} },
	{"D2F4_PCIEP_STRAP_LC", 0xc0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"D3F5_PCIE_ERR_SRC_ID", 0xb000061, {
		{"ERR_CORR_SRC_ID", 0xffff, 0x0},
		{"ERR_FATAL_NONFATAL_SRC_ID", 0xffff0000, 0x10}
	} },
	{"D3F5_LINK_STATUS", 0xb00001a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x80000000, 0x1f},
		{"DL_ACTIVE", 0x20000000, 0x1d},
		{"SLOT_CLOCK_CFG", 0x10000000, 0x1c},
		{"LINK_TRAINING", 0x8000000, 0x1b},
		{"LINK_BW_MANAGEMENT_STATUS", 0x40000000, 0x1e},
		{"CURRENT_LINK_SPEED", 0xf0000, 0x10},
		{"NEGOTIATED_LINK_WIDTH", 0x3f00000, 0x14}
	} },
	{"PSX81_BIF_PCIE_P_DECODER_STATUS", 0x1410042, {
		{"P_DECODE_ERR", 0xffff, 0x0}
	} },
	{"PSX80_PHY0_RX_DBG_BYP_EN_LANE0", 0x120000d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"GARLIC_COHE_SAM_SAB_RBI_WPTR", 0x141d, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F2_PCIEP_RESERVED", 0x0, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_LANE_ERROR_STATUS", 0xb00009e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"D2F2_PCIEP_HW_DEBUG", 0x2, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"PSX81_PHY0_COM_COMMON_CDR_PHCTL", 0x1216214, {
		{"cdr_pi_stpsz_gen3", 0x1, 0x0},
		{"cdr_ph_gain_gen3", 0x780, 0x7},
		{"cdr_ph_byp_val", 0x7e000, 0xd}
	} },
	{"D2F2_PCIE_LC_CNTL2", 0xb1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"D2F2_PCIE_LC_CNTL3", 0xb5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"D2F1_MSI_MSG_CNTL", 0x2000028, {
		{"MSI_MULTI_EN", 0x700000, 0x14},
		{"MSI_MULTI_CAP", 0xe0000, 0x11},
		{"MSI_PERVECTOR_MASKING_CAP", 0x1000000, 0x18},
		{"MSI_64BIT", 0x800000, 0x17},
		{"MSI_EN", 0x10000, 0x10}
	} },
	{"D2F2_PCIE_LC_CNTL4", 0xb6, {
		{"LC_DIS_CONTIG_END_SET_CHECK", 0x4, 0x2},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_DIS_ASPM_L1_IN_SPEED_CHANGE", 0x8, 0x3}
	} },
	{"D2F2_PCIE_LC_CNTL5", 0xb7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_DSC_EQ_FS_LF_INVALID_TO_PRESETS", 0x1000000, 0x18},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"D2F3_LINK_CNTL", 0x400001a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"D2F2_CACHE_LINE", 0x3000003, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"D3F3_PCIE_RX_EXPECTED_SEQNUM", 0x71, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"D2F4_PREF_BASE_UPPER", 0x500000a, {
		{"PREF_BASE_UPPER", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_TLP_PREFIX_LOG3", 0xa000065, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_TLP_PREFIX_LOG2", 0xa000064, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"PSX80_WRP_PCIE_EFUSE7", 0x150fff6, {
		{"PCIE_EFUSE7", 0xffffffff, 0x0}
	} },
	{"PSX80_WRP_PCIE_EFUSE6", 0x150fff5, {
		{"PCIE_EFUSE6", 0xffffffff, 0x0}
	} },
	{"PSX80_WRP_PCIE_EFUSE5", 0x150fff4, {
		{"PCIE_EFUSE5", 0xffffffff, 0x0}
	} },
	{"PSX80_WRP_PCIE_EFUSE4", 0x150fff3, {
		{"PCIE_EFUSE4", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_LC_CNTL4", 0xb6, {
		{"LC_DIS_CONTIG_END_SET_CHECK", 0x4, 0x2},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_DIS_ASPM_L1_IN_SPEED_CHANGE", 0x8, 0x3}
	} },
	{"D3F5_PCIE_LANE_10_EQUALIZATION_CNTL", 0xb0000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F2_PCIE_TX_CREDITS_ADVT_P", 0x30, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"BIF_VDDGFX_RSV4_LOWER_IND", 0x109143a, {
		{"VDDGFX_RSV4_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_RSV4_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_RSV4_REG_STALL_EN", 0x80000000, 0x1f}
	} },
	{"D3F5_PCIE_LANE_15_EQUALIZATION_CNTL", 0xb0000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F3_SECONDARY_STATUS", 0x4000007, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"RECEIVED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D3F1_PCIE_LC_FORCE_EQ_REQ_COEFF", 0xba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"PSX80_PHY0_TX_TXCNTRL_LANE4", 0x1202406, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"PCIE_I2C_REG_DATA", 0x140003b, {
		{"I2C_REG_DATA", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_LANE_1_EQUALIZATION_CNTL", 0x500009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F4_PCIEP_HPGI", 0xda, {
		{"HPGI_REG_DEASSERT_TO_SCI_STATUS", 0x800, 0xb},
		{"REG_HPGI_PRESENCE_DETECT_STATE_CHANGE_EN", 0x10000, 0x10},
		{"REG_HPGI_ASSERT_TO_SCI_EN", 0x2, 0x1},
		{"REG_HPGI_DEASSERT_TO_SMI_EN", 0x4, 0x2},
		{"HPGI_REG_DEASSERT_TO_SMI_STATUS", 0x400, 0xa},
		{"REG_HPGI_HOOK", 0x80, 0x7},
		{"HPGI_REG_ASSERT_TO_SMI_STATUS", 0x100, 0x8},
		{"REG_HPGI_ASSERT_TO_SMI_EN", 0x1, 0x0},
		{"REG_HPGI_DEASSERT_TO_SCI_EN", 0x8, 0x3},
		{"HPGI_REG_ASSERT_TO_SCI_STATUS", 0x200, 0x9},
		{"HPGI_REG_PRESENCE_DETECT_STATE_CHANGE_STATUS", 0x8000, 0xf}
	} },
	{"D2F1_PCIE_LANE_8_EQUALIZATION_CNTL", 0x20000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F2_MSI_MSG_ADDR_LO", 0x3000029, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"PSX81_PIF0_LANE2_OVRD", 0x1110018, {
		{"REQUESTFOM_OVRD_EN_2", 0x400, 0xa},
		{"LINKSPEED_OVRD_EN_2", 0x4, 0x2},
		{"COEFFICIENTID_OVRD_EN_2", 0x4000, 0xe},
		{"RXPGENABLE_OVRD_EN_2", 0x80, 0x7},
		{"RESPONSEMODE_OVRD_EN_2", 0x800, 0xb},
		{"ENABLEFOM_OVRD_EN_2", 0x200, 0x9},
		{"CDREN_OVRD_VAL_2", 0x20000, 0x11},
		{"GANGMODE_OVRD_EN_2", 0x1, 0x0},
		{"RXPWR_OVRD_EN_2", 0x40, 0x6},
		{"REQUESTTRN_OVRD_EN_2", 0x2000, 0xd},
		{"FREQDIV_OVRD_EN_2", 0x2, 0x1},
		{"REQUESTTRK_OVRD_EN_2", 0x1000, 0xc},
		{"TXPWR_OVRD_EN_2", 0x10, 0x4},
		{"CDREN_OVRD_EN_2", 0x10000, 0x10},
		{"TWOSYMENABLE_OVRD_EN_2", 0x8, 0x3},
		{"ELECIDLEDETEN_OVRD_EN_2", 0x100, 0x8},
		{"TXPGENABLE_OVRD_EN_2", 0x20, 0x5},
		{"COEFFICIENT_OVRD_EN_2", 0x8000, 0xf}
	} },
	{"D3F1_PCIE_LANE_0_EQUALIZATION_CNTL", 0x700009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F4_PCIE_TX_CREDITS_ADVT_P", 0x30, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"D3F3_DEVICE_CAP", 0x9000017, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"PSX80_PHY0_TX_TXCNTRL_LANE5", 0x1202506, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"D3F3_REVISION_ID", 0x9000002, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"BIF_BUSNUM_LIST1_IND", 0x1091527, {
		{"ID6", 0xff0000, 0x10},
		{"ID7", 0xff000000, 0x18},
		{"ID4", 0xff, 0x0},
		{"ID5", 0xff00, 0x8}
	} },
	{"D3F1_PCIE_TX_CREDITS_INIT_CPL", 0x35, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"D3F5_PCIE_MC_OVERLAY_BAR1", 0xb0000c7, {
		{"MC_OVERLAY_BAR_1", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_FC_CPL", 0x62, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_TX_CONTROL_LANE7", 0x1202700, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"BIF_VDDGFX_GFX1_LOWER", 0x142a, {
		{"VDDGFX_GFX1_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX1_REG_STALL_EN", 0x80000000, 0x1f},
		{"VDDGFX_GFX1_REG_CMP_EN", 0x40000000, 0x1e}
	} },
	{"BIF_DEVFUNCNUM_LIST0", 0x14e8, {
		{"DEVFUNC_ID0", 0xff, 0x0},
		{"DEVFUNC_ID1", 0xff00, 0x8},
		{"DEVFUNC_ID2", 0xff0000, 0x10},
		{"DEVFUNC_ID3", 0xff000000, 0x18}
	} },
	{"BIF_RB_BASE_IND", 0x1091531, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_LANE_7_EQUALIZATION_CNTL", 0x90000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"C_PCIE_DATA", 0x29, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_LC_CNTL3", 0xb5, {
		{"LC_GO_TO_RECOVERY", 0x40000000, 0x1e},
		{"LC_RCVD_DEEMPHASIS", 0x8, 0x3},
		{"LC_L1_BLOCK_RECONFIG_EN", 0x20000, 0x11},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_MAX_FAIL_SEL", 0x180000, 0x13},
		{"LC_N_EIE_SEL", 0x80000000, 0x1f},
		{"LC_RXPHYCMD_INACTIVE_EN_MODE", 0x400000, 0x16},
		{"LC_COMP_TO_DETECT", 0x10, 0x4},
		{"LC_SELECT_DEEMPHASIS_CNTL", 0x6, 0x1},
		{"LC_ENHANCED_HOT_PLUG_EN", 0x400, 0xa},
		{"LC_DSC_DONT_ENTER_L23_AFTER_PME_ACK", 0x800000, 0x17},
		{"LC_RCVR_DET_EN_OVERRIDE", 0x800, 0xb},
		{"LC_EHP_TX_PHY_CMD", 0xc000, 0xe},
		{"LC_EHP_RX_PHY_CMD", 0x3000, 0xc},
		{"LC_RESET_TSX_CNT_IN_RLOCK_EN", 0x20, 0x5},
		{"LC_SELECT_DEEMPHASIS", 0x1, 0x0},
		{"LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x40000, 0x12},
		{"LC_HW_VOLTAGE_IF_CONTROL", 0x3000000, 0x18},
		{"LC_VOLTAGE_TIMER_SEL", 0x3c000000, 0x1a},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPT_FAILED", 0x100, 0x8},
		{"LC_CHIP_BIF_USB_IDLE_EN", 0x10000, 0x10},
		{"LC_CLR_FAILED_AUTO_SPD_CHANGE_CNT", 0x200, 0x9},
		{"LC_AUTO_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc0, 0x6},
		{"LC_FAST_L1_ENTRY_EXIT_EN", 0x200000, 0x15}
	} },
	{"D2F1_PCIE_LC_CNTL2", 0xb1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"D2F1_PCIE_LC_CNTL5", 0xb7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_DSC_EQ_FS_LF_INVALID_TO_PRESETS", 0x1000000, 0x18},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"D2F1_PCIE_LC_CNTL4", 0xb6, {
		{"LC_DIS_CONTIG_END_SET_CHECK", 0x4, 0x2},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_DIS_ASPM_L1_IN_SPEED_CHANGE", 0x8, 0x3}
	} },
	{"D2F1_PCIE_LC_CNTL6", 0xbb, {
		{"LC_SPC_MODE_8GT", 0x10, 0x4},
		{"LC_SPC_MODE_5GT", 0x4, 0x2},
		{"LC_SPC_MODE_2P5GT", 0x1, 0x0}
	} },
	{"PSX80_WRP_PCIE_PORT_IS_SB_A", 0x1500813, {
		{"PORT_IS_SB", 0x1, 0x0}
	} },
	{"PSX81_BIF_PCIE_PERF_CNTL_MST_C_CLK", 0x1410087, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D2F4_PCIE_TX_REQUEST_NUM_CNTL", 0x23, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"D3F3_PCIE_LANE_14_EQUALIZATION_CNTL", 0x90000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_WRP_LNCNT_QUAN_THRD", 0x1518032, {
		{"CFG_LNC_CMN_QUAN_THRD4", 0x70, 0x4},
		{"CFG_LNC_BW_QUAN_THRD0", 0x7, 0x0}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_BROADCAST", 0x121fe01, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_WRP_BIOSTIMER_DEBUG", 0x13180f2, {
		{"Microseconds_compare", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIEP_RESERVED", 0x0, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"D2F2_BIST", 0x3000003, {
		{"BIST_STRT", 0x40000000, 0x1e},
		{"BIST_COMP", 0xf000000, 0x18},
		{"BIST_CAP", 0x80000000, 0x1f}
	} },
	{"D3F1_PMI_STATUS_CNTL", 0x7000015, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_SPEED_PORT_E", 0x1510c01, {
		{"STRAP_BIF_LC_EQ_FS", 0x3f0000, 0x10},
		{"STRAP_BIF_LC_BYPASS_EQ_REQ_PHASE", 0x100, 0x8},
		{"STRAP_BIF_LC_EQ_LF", 0x3f000000, 0x18},
		{"STRAP_BIF_LC_BYPASS_EQ", 0x80, 0x7},
		{"STRAP_BIF_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x4, 0x2},
		{"STRAP_BIF_LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x40, 0x6},
		{"STRAP_BIF_TARGET_LINK_SPEED", 0x3000, 0xc},
		{"STRAP_BIF_LC_EQ_SEARCH_MODE", 0x600, 0x9}
	} },
	{"D2F2_PCIE_LC_CNTL", 0xa0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_SPEED_PORT_C", 0x1510a01, {
		{"STRAP_BIF_LC_EQ_FS", 0x3f0000, 0x10},
		{"STRAP_BIF_LC_BYPASS_EQ_REQ_PHASE", 0x100, 0x8},
		{"STRAP_BIF_LC_EQ_LF", 0x3f000000, 0x18},
		{"STRAP_BIF_LC_BYPASS_EQ", 0x80, 0x7},
		{"STRAP_BIF_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x4, 0x2},
		{"STRAP_BIF_LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x40, 0x6},
		{"STRAP_BIF_TARGET_LINK_SPEED", 0x3000, 0xc},
		{"STRAP_BIF_LC_EQ_SEARCH_MODE", 0x600, 0x9}
	} },
	{"PCIE_LC_FORCE_EQ_REQ_COEFF", 0x100100ba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"D2F2_PCIE_VC0_RESOURCE_CAP", 0x3000048, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"PSX81_BIF_PCIE_LC_STATE8", 0x1410024, {
		{"LC_PREV_STATE33", 0x3f00, 0x8},
		{"LC_PREV_STATE32", 0x3f, 0x0},
		{"LC_PREV_STATE35", 0x3f000000, 0x18},
		{"LC_PREV_STATE34", 0x3f0000, 0x10}
	} },
	{"D2F2_PCIEP_HPGI_PRIVATE", 0xd2, {
		{"PRESENCE_DETECT_STATE_PRIVATE", 0x40, 0x6},
		{"PRESENCE_DETECT_CHANGED_PRIVATE", 0x8, 0x3}
	} },
	{"BIOS_SCRATCH_6_IND", 0x10905cf, {
		{"BIOS_SCRATCH_6", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIEP_BCH_ECC_CNTL", 0xd0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PciLcVcoCtrl", 0x1204007, {
		{"LCTankI", 0xff, 0x0}
	} },
	{"PCIE_TX_LAST_TLP1", 0x1400036, {
		{"TX_LAST_TLP1", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_PCIE_PORT_IS_SB_C", 0x1510a13, {
		{"PORT_IS_SB", 0x1, 0x0}
	} },
	{"PSX81_WRP_PCIE_PORT_IS_SB_B", 0x1510913, {
		{"PORT_IS_SB", 0x1, 0x0}
	} },
	{"PSX81_WRP_PCIE_PORT_IS_SB_A", 0x1510813, {
		{"PORT_IS_SB", 0x1, 0x0}
	} },
	{"GARLIC_COHE_SDMA3_GFX_RB_WPTR_IND", 0x1091423, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PCIE_PORT_VC_CNTL", 0x47, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"PSX81_WRP_PCIE_PORT_IS_SB_D", 0x1510b13, {
		{"PORT_IS_SB", 0x1, 0x0}
	} },
	{"D2F3_MEM_BASE_LIMIT", 0x4000008, {
		{"MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"MEM_BASE_31_20", 0xfff0, 0x4},
		{"MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D3F1_PCIE_CORR_ERR_MASK", 0x7000059, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"D3F1_PCIE_TX_REPLAY", 0x25, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"MSI_MSG_DATA_64", 0x2b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"D2F4_PCIE_PORT_INDEX", 0x5000038, {
		{"PCIE_INDEX", 0xff, 0x0}
	} },
	{"PCIE_DPA_SUBSTATE_PWR_ALLOC_7", 0x99, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_DPA_SUBSTATE_PWR_ALLOC_6", 0x99, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"D2F3_IRQ_BRIDGE_CNTL", 0x400000f, {
		{"PARITY_RESPONSE_EN", 0x10000, 0x10},
		{"ISA_EN", 0x40000, 0x12},
		{"FAST_B2B_EN", 0x800000, 0x17},
		{"VGA_EN", 0x80000, 0x13},
		{"SERR_EN", 0x20000, 0x11},
		{"MASTER_ABORT_MODE", 0x200000, 0x15},
		{"VGA_DEC", 0x100000, 0x14},
		{"SECONDARY_BUS_RESET", 0x400000, 0x16}
	} },
	{"PCIE_DPA_SUBSTATE_PWR_ALLOC_0", 0x98, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_DPA_SUBSTATE_PWR_ALLOC_3", 0x98, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_DPA_SUBSTATE_PWR_ALLOC_2", 0x98, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE7", 0x1200701, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"D2F5_PCIE_LANE_12_EQUALIZATION_CNTL", 0x60000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F5_PCIE_TX_CREDITS_ADVT_CPL", 0x32, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"D2F4_CACHE_LINE", 0x5000003, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"D2F2_LINK_STATUS", 0x300001a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x80000000, 0x1f},
		{"DL_ACTIVE", 0x20000000, 0x1d},
		{"SLOT_CLOCK_CFG", 0x10000000, 0x1c},
		{"LINK_TRAINING", 0x8000000, 0x1b},
		{"LINK_BW_MANAGEMENT_STATUS", 0x40000000, 0x1e},
		{"CURRENT_LINK_SPEED", 0xf0000, 0x10},
		{"NEGOTIATED_LINK_WIDTH", 0x3f00000, 0x14}
	} },
	{"D3F5_PCIE_LC_STATE1", 0xa6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"D3F1_PCIE_FC_P", 0x60, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"D3F4_PCIE_TX_CREDITS_INIT_P", 0x33, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"D2F5_VENDOR_ID", 0x6000000, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"D3F5_PCIE_RX_VENDOR_SPECIFIC", 0x72, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"ROM_BASE_ADDR", 0xc, {
		{"BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_LANE_ERROR_STATUS", 0x600009e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"D2F4_PCIEP_ERROR_INJECT_TRANSACTION", 0x84, {
		{"ERROR_INJECT_TL_MALFORMED_TLP", 0x3000, 0xc},
		{"ERROR_INJECT_TL_UNSUPPORTED_REQ", 0x300, 0x8},
		{"ERROR_INJECT_TL_COMPLETER_ABORT", 0x30000, 0x10},
		{"ERROR_INJECT_TL_BAD_TLP", 0xc0, 0x6},
		{"ERROR_INJECT_TL_UNEXPECTED_CMPLT", 0xc000, 0xe},
		{"ERROR_INJECT_TL_REPLAY_NUM_ROLLOVER", 0xc, 0x2},
		{"ERROR_INJECT_TL_COMPLETION_TIMEOUT", 0xc0000, 0x12},
		{"ERROR_INJECT_TL_ECRC_ERROR", 0xc00, 0xa},
		{"ERROR_INJECT_TL_BAD_DLLP", 0x30, 0x4},
		{"ERROR_INJECT_TL_FLOW_CTL_ERR", 0x3, 0x0}
	} },
	{"LINK_CNTL", 0x1a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"PCIE_LC_STATUS1", 0x1400028, {
		{"LC_REVERSE_RCVR", 0x1, 0x0},
		{"LC_DETECTED_LINK_WIDTH", 0xe0, 0x5},
		{"LC_OPERATING_LINK_WIDTH", 0x1c, 0x2},
		{"LC_REVERSE_XMIT", 0x2, 0x1}
	} },
	{"D2F5_PCIEP_STRAP_LC", 0xc0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"PCIE_RX_CREDITS_ALLOCATED_NP", 0x10010081, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"PSX80_BIF_PCIE_DEBUG_CNTL", 0x1400012, {
		{"DEBUG_PORT_EN", 0xff, 0x0},
		{"DEBUG_SELECT", 0x100, 0x8},
		{"DEBUG_LANE_EN", 0xffff0000, 0x10}
	} },
	{"D2F2_MSI_MAP_ADDR_LO", 0x3000033, {
		{"MSI_MAP_ADDR_LO", 0xfff00000, 0x14}
	} },
	{"PCIE_LANE_7_EQUALIZATION_CNTL", 0xa2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F3_MSI_MSG_CNTL", 0x9000028, {
		{"MSI_MULTI_EN", 0x700000, 0x14},
		{"MSI_MULTI_CAP", 0xe0000, 0x11},
		{"MSI_PERVECTOR_MASKING_CAP", 0x1000000, 0x18},
		{"MSI_64BIT", 0x800000, 0x17},
		{"MSI_EN", 0x10000, 0x10}
	} },
	{"D3F3_ROOT_STATUS", 0x900001e, {
		{"PME_REQUESTOR_ID", 0xffff, 0x0},
		{"PME_PENDING", 0x20000, 0x11},
		{"PME_STATUS", 0x10000, 0x10}
	} },
	{"PSX81_WRP_BIF_STRAP_PI_CNTL", 0x1510001, {
		{"STRAP_PI_PRBS_CLK_ADJ", 0x6000, 0xd},
		{"STRAP_BIF_PI_HW_DEBUG", 0x1ff8, 0x3},
		{"STRAP_RXP_HW_DEBUG", 0x1f8000, 0xf},
		{"STRAP_PI_PREP_ELASTDESKEW_FOR_PRBS", 0x200000, 0x15}
	} },
	{"BIF_DOORBELL_GBLAPER1_UPPER", 0x14fd, {
		{"DOORBELL_GBLAPER1_UPPER", 0xffc, 0x2}
	} },
	{"PCIE_RX_NUM_NAK_GENERATED", 0x140000f, {
		{"RX_NUM_NAK_GENERATED", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0x9000050, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PCIE_INT_CNTL", 0x140001a, {
		{"QUIESCE_RCVD_INT_EN", 0x100, 0x8},
		{"LINK_BW_INT_EN", 0x80, 0x7},
		{"NON_FATAL_ERR_INT_EN", 0x2, 0x1},
		{"USR_DETECTED_INT_EN", 0x8, 0x3},
		{"FATAL_ERR_INT_EN", 0x4, 0x2},
		{"MISC_ERR_INT_EN", 0x10, 0x4},
		{"POWER_STATE_CHG_INT_EN", 0x40, 0x6},
		{"CORR_ERR_INT_EN", 0x1, 0x0}
	} },
	{"PSX81_WRP_BIF_SSID", 0x1510046, {
		{"STRAP_BIF_SUBSYS_ID", 0xffff0000, 0x10},
		{"STRAP_BIF_SUBSYS_VEN_ID", 0xffff, 0x0}
	} },
	{"D2F3_ROOT_STATUS", 0x400001e, {
		{"PME_REQUESTOR_ID", 0xffff, 0x0},
		{"PME_PENDING", 0x20000, 0x11},
		{"PME_STATUS", 0x10000, 0x10}
	} },
	{"PSX80_WRP_BIOSTIMER_CMD", 0x13080f0, {
		{"Microseconds", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_ROOT_ERR_CMD", 0x600005f, {
		{"FATAL_ERR_REP_EN", 0x4, 0x2},
		{"CORR_ERR_REP_EN", 0x1, 0x0},
		{"NONFATAL_ERR_REP_EN", 0x2, 0x1}
	} },
	{"D3F3_ROOT_CNTL", 0x900001d, {
		{"SERR_ON_CORR_ERR_EN", 0x1, 0x0},
		{"SERR_ON_NONFATAL_ERR_EN", 0x2, 0x1},
		{"SERR_ON_FATAL_ERR_EN", 0x4, 0x2},
		{"PM_INTERRUPT_EN", 0x8, 0x3},
		{"CRS_SOFTWARE_VISIBILITY_EN", 0x10, 0x4}
	} },
	{"D2F4_PCIE_LC_BW_CHANGE_CNTL", 0xb2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"D3F5_PCIE_LC_LANE_CNTL", 0xb4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"D2F5_SLOT_STATUS2", 0x6000024, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D2F1_PCIE_TX_CREDITS_INIT_NP", 0x34, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"D2F3_DEVICE_CAP", 0x4000017, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"PCIE_TX_CREDITS_ADVT_CPL", 0x10010032, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"D3F3_SUB_BUS_NUMBER_LATENCY", 0x9000006, {
		{"SECONDARY_BUS", 0xff00, 0x8},
		{"PRIMARY_BUS", 0xff, 0x0},
		{"SUB_BUS_NUM", 0xff0000, 0x10},
		{"SECONDARY_LATENCY_TIMER", 0xff000000, 0x18}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_13", 0x14100dd, {
		{"PRBS_ERRCNT_13", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_CORR_ERR_MASK", 0xb000059, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"DEVICE_STATUS", 0x18, {
		{"CORR_ERR", 0x1, 0x0},
		{"TRANSACTIONS_PEND", 0x20, 0x5},
		{"AUX_PWR", 0x10, 0x4},
		{"USR_DETECTED", 0x8, 0x3},
		{"NON_FATAL_ERR", 0x2, 0x1},
		{"FATAL_ERR", 0x4, 0x2}
	} },
	{"D3F5_PCIE_PORT_INDEX", 0xb000038, {
		{"PCIE_INDEX", 0xff, 0x0}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_RX_CONTROL_LANE4", 0x1200400, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D3F5_LINK_CNTL", 0xb00001a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"D2F4_PCIE_CAP_LIST", 0x5000016, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX81_WRP_BIF_STRAP_ID", 0x1510006, {

	} },
	{"D2F2_PCIE_TLP_PREFIX_LOG0", 0x3000062, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_TLP_PREFIX_LOG1", 0x3000063, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_TLP_PREFIX_LOG2", 0x3000064, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_TLP_PREFIX_LOG3", 0x3000065, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"BIOS_SCRATCH_5", 0x5ce, {
		{"BIOS_SCRATCH_5", 0xffffffff, 0x0}
	} },
	{"BIOS_SCRATCH_4", 0x5cd, {
		{"BIOS_SCRATCH_4", 0xffffffff, 0x0}
	} },
	{"BIOS_SCRATCH_7", 0x5d0, {
		{"BIOS_SCRATCH_7", 0xffffffff, 0x0}
	} },
	{"BIOS_SCRATCH_6", 0x5cf, {
		{"BIOS_SCRATCH_6", 0xffffffff, 0x0}
	} },
	{"BIOS_SCRATCH_9", 0x5d2, {
		{"BIOS_SCRATCH_9", 0xffffffff, 0x0}
	} },
	{"BIOS_SCRATCH_8", 0x5d1, {
		{"BIOS_SCRATCH_8", 0xffffffff, 0x0}
	} },
	{"D3F2_MSI_MSG_ADDR_LO", 0x8000029, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_RX_CONTROL_LANE2", 0x1200200, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D2F3_PCIE_TX_CREDITS_ADVT_P", 0x30, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"BIF_VDDGFX_RSV2_LOWER_IND", 0x1091436, {
		{"VDDGFX_RSV2_REG_STALL_EN", 0x80000000, 0x1f},
		{"VDDGFX_RSV2_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_RSV2_REG_LOWER", 0x3fffc, 0x2}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_RX_CONTROL_LANE3", 0x1200300, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D2F2_PCIE_TX_REQUEST_NUM_CNTL", 0x23, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"D3F5_VENDOR_ID", 0xb000000, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"D2F4_PCIE_TX_CNTL", 0x20, {
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"PSX81_PHY0_COM_COMMON_FUSE1", 0x1216200, {
		{"fuse1_ei_det_thresh_sel", 0x6, 0x1},
		{"fuse1_rxdetect_samp_time", 0xc0000, 0x12},
		{"fuse1_cdr_pi_stpsz_gen12", 0x100, 0x8},
		{"fuse1_spare", 0xfff00000, 0x14},
		{"fuse1_rtt_ctl", 0x1800, 0xb},
		{"fuse1_cdr_ph_gain_gen12", 0xf0, 0x4},
		{"fuse1_valid", 0x1, 0x0},
		{"fuse1_dll_flock_disable", 0x8, 0x3},
		{"fuse1_ron_ctl", 0x600, 0x9}
	} },
	{"PSX81_PHY0_COM_COMMON_FUSE3", 0x1216202, {
		{"fuse3_lcpll_bw_adj", 0xf0000, 0x10},
		{"fuse3_ron_override_val", 0x3f0, 0x4},
		{"fuse3_lcpll_ref_adj", 0xf00000, 0x14},
		{"fuse3_spare", 0xe0000000, 0x1d},
		{"fuse3_valid", 0x1, 0x0},
		{"fuse3_refresh_cal_en", 0x10000000, 0x1c},
		{"fuse3_dll_cpi_sel", 0xe, 0x1},
		{"fuse3_rtt_override_val", 0xfc00, 0xa},
		{"fuse3_ropll_ref_adj", 0xf000000, 0x18}
	} },
	{"PSX81_PHY0_COM_COMMON_FUSE2", 0x1216201, {
		{"fuse2_valid", 0x1, 0x0},
		{"fuse2_spare", 0xfffffffe, 0x1}
	} },
	{"D2F4_PCIE_UNCORR_ERR_MASK", 0x5000056, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_BROADCAST", 0x121ff07, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"HDP_REG_COHERENCY_FLUSH_CNTL_IND", 0x1091528, {
		{"HDP_REG_FLUSH_ADDR", 0x1, 0x0}
	} },
	{"PSX81_WRP_PCIE_WRAP_DTM_MISC", 0x1318006, {
		{"DTM_BULKPHY_FREQDIV_OVERRIDE", 0x1, 0x0}
	} },
	{"DEVICE_CAP", 0x17, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"D2F1_PMI_CAP_LIST", 0x2000014, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PCIE_TX_CREDITS_ADVT_P", 0x10010030, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"D2F1_PCIE_MC_CAP", 0x20000bd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"PSX81_PHY0_TX_TXCNTRL_BROADCAST", 0x121ff06, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"D3F5_HEADER", 0xb000003, {
		{"HEADER_TYPE", 0x7f0000, 0x10},
		{"DEVICE_TYPE", 0x800000, 0x17}
	} },
	{"CAP_PTR", 0xd, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"D2F2_SLOT_STATUS2", 0x3000024, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PciPllUpdateCtrl", 0x1204008, {
		{"MeasCycleCnt", 0x3800000, 0x17},
		{"PllControlUpdate", 0x1, 0x0}
	} },
	{"D2F2_SLOT_CNTL2", 0x3000024, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"PCIE_WPR_CNTL", 0x1400030, {
		{"WPR_RESET_STY_EN", 0x20, 0x5},
		{"WPR_RESET_HOT_RST_EN", 0x1, 0x0},
		{"WPR_RESET_LNK_DIS_EN", 0x4, 0x2},
		{"WPR_RESET_REG_EN", 0x10, 0x4},
		{"WPR_RESET_LNK_DWN_EN", 0x2, 0x1},
		{"WPR_RESET_COR_EN", 0x8, 0x3},
		{"WPR_RESET_PHY_EN", 0x40, 0x6}
	} },
	{"D3F5_PMI_CAP", 0xb000014, {
		{"DEV_SPECIFIC_INIT", 0x200000, 0x15},
		{"AUX_CURRENT", 0x1c00000, 0x16},
		{"VERSION", 0x70000, 0x10},
		{"D2_SUPPORT", 0x4000000, 0x1a},
		{"PME_SUPPORT", 0xf8000000, 0x1b},
		{"PME_CLOCK", 0x80000, 0x13},
		{"D1_SUPPORT", 0x2000000, 0x19}
	} },
	{"PSX80_PIF0_SCRATCH", 0x1100001, {
		{"PIF_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_ROOT_ERR_STATUS", 0xa000060, {
		{"ERR_CORR_RCVD", 0x1, 0x0},
		{"NONFATAL_ERROR_MSG_RCVD", 0x20, 0x5},
		{"FIRST_UNCORRECTABLE_FATAL", 0x10, 0x4},
		{"ADV_ERR_INT_MSG_NUM", 0xf8000000, 0x1b},
		{"MULT_ERR_CORR_RCVD", 0x2, 0x1},
		{"FATAL_ERROR_MSG_RCVD", 0x40, 0x6},
		{"MULT_ERR_FATAL_NONFATAL_RCVD", 0x8, 0x3},
		{"ERR_FATAL_NONFATAL_RCVD", 0x4, 0x2}
	} },
	{"D2F5_PCIE_DEV_SERIAL_NUM_DW1", 0x6000051, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_LC_SPEED_CNTL", 0xa4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"PCIE_CFG_CNTL", 0x140003c, {
		{"CFG_EN_DEC_TO_HIDDEN_REG", 0x1, 0x0},
		{"CFG_EN_DEC_TO_GEN3_HIDDEN_REG", 0x4, 0x2},
		{"CFG_EN_DEC_TO_GEN2_HIDDEN_REG", 0x2, 0x1}
	} },
	{"D2F2_PCIE_RX_CREDITS_ALLOCATED_CPL", 0x82, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"BUS_CNTL", 0x1508, {
		{"PMI_MEM_DIS", 0x8, 0x3},
		{"BIF_ERR_RTR_BKPRESSURE_EN", 0x100, 0x8},
		{"SET_AZ_TC", 0x1c00, 0xa},
		{"PMI_BM_DIS", 0x10, 0x4},
		{"PMI_IO_DIS", 0x4, 0x2},
		{"ZERO_BE_RD_EN", 0x20000, 0x11},
		{"VGA_MEM_COHERENCY_DIS", 0x80, 0x7},
		{"RD_STALL_IO_WR", 0x40000, 0x12},
		{"SET_MC_TC", 0xe000, 0xd},
		{"VGA_REG_COHERENCY_DIS", 0x40, 0x6},
		{"BIOS_ROM_WRT_EN", 0x1, 0x0},
		{"ZERO_BE_WR_EN", 0x10000, 0x10},
		{"PMI_INT_DIS", 0x20, 0x5},
		{"BIOS_ROM_DIS", 0x2, 0x1}
	} },
	{"PSX81_PHY0_TX_DFX_LANE5", 0x1212501, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"PSX81_PHY0_RX_RXTEST_REGS_LANE4", 0x1210404, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"PSX81_PHY0_RX_RXTEST_REGS_LANE5", 0x1210504, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"PSX81_PHY0_RX_RXTEST_REGS_LANE6", 0x1210604, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"PSX81_PHY0_RX_RXTEST_REGS_LANE7", 0x1210704, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"D2F5_SLOT_CAP", 0x600001b, {
		{"SLOT_PWR_LIMIT_VALUE", 0x7f80, 0x7},
		{"PWR_INDICATOR_PRESENT", 0x10, 0x4},
		{"HOTPLUG_SURPRISE", 0x20, 0x5},
		{"NO_COMMAND_COMPLETED_SUPPORTED", 0x40000, 0x12},
		{"ATTN_INDICATOR_PRESENT", 0x8, 0x3},
		{"ATTN_BUTTON_PRESENT", 0x1, 0x0},
		{"PHYSICAL_SLOT_NUM", 0xfff80000, 0x13},
		{"PWR_CONTROLLER_PRESENT", 0x2, 0x1},
		{"MRL_SENSOR_PRESENT", 0x4, 0x2},
		{"HOTPLUG_CAPABLE", 0x40, 0x6},
		{"ELECTROMECH_INTERLOCK_PRESENT", 0x20000, 0x11},
		{"SLOT_PWR_LIMIT_SCALE", 0x18000, 0xf}
	} },
	{"PSX81_PHY0_RX_RXTEST_REGS_LANE1", 0x1210104, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"D2F3_LINK_CAP", 0x4000019, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"PSX81_PHY0_RX_RXTEST_REGS_LANE3", 0x1210304, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"PCIE_TX_LAST_TLP3", 0x1400038, {
		{"TX_LAST_TLP3", 0xffffffff, 0x0}
	} },
	{"PCIE_TX_LAST_TLP2", 0x1400037, {
		{"TX_LAST_TLP2", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_TX_VENDOR_SPECIFIC", 0x22, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"PCIE_TX_LAST_TLP0", 0x1400035, {
		{"TX_LAST_TLP0", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_LANE_14_EQUALIZATION_CNTL", 0x80000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F1_PCIE_LC_TRAINING_CNTL", 0xa1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_WAIT_FOR_SETS_IN_RCFG", 0x4000, 0xe},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_HOT_RESET_QUICK_EXIT_EN", 0x8000, 0xf},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"D2F2_LINK_CNTL", 0x300001a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"D3F4_DEVICE_STATUS2", 0xa000020, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"BIF_RB_WPTR_ADDR_HI_IND", 0x1091534, {
		{"ADDR", 0xff, 0x0}
	} },
	{"PCIE_LC_CNTL", 0x100100a0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"D2F4_INTERRUPT_LINE", 0x500000f, {
		{"INTERRUPT_LINE", 0xff, 0x0}
	} },
	{"D3F5_PCIE_RX_CREDITS_ALLOCATED_NP", 0x81, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"GARLIC_COHE_SDMA0_GFX_RB_WPTR_IND", 0x1091419, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D3F5_PCIE_LINK_CNTL3", 0xb00009d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"PSX81_BIF_SWRST_CONTROL_4", 0x1410108, {
		{"BIF_STRAPREG_WRRESETEN", 0x4000, 0xe},
		{"BIF0_PHY_WRRESETEN", 0x100000, 0x14},
		{"BIF0_CORE_WRRESETEN", 0x40000, 0x12},
		{"BIF0_GLOBAL_WRRESETEN", 0x10000, 0x10},
		{"BIF0_STICKY_WRRESETEN", 0x200000, 0x15},
		{"BIF0_CALIB_WRRESETEN", 0x20000, 0x11},
		{"BIF0_REGISTER_WRRESETEN", 0x80000, 0x13},
		{"BIF0_CONFIG_WRRESETEN", 0x400000, 0x16}
	} },
	{"PSX81_BIF_SWRST_CONTROL_5", 0x1410109, {
		{"WRRESETIMPARB0_EN", 0x100000, 0x14},
		{"WRRESETPIF0_EN", 0x10000, 0x10},
		{"WRRESETPCFG_EN", 0x2, 0x1},
		{"WRSYNCIDLEPIF1_EN", 0x200, 0x9},
		{"WRCMDCFG_EN", 0x20000000, 0x1d},
		{"WRRESETMNTR_EN", 0x2000, 0xd},
		{"WRRESETLC_EN", 0x40, 0x6},
		{"WRRESETIMPARB1_EN", 0x200000, 0x15},
		{"WRRESETSRBM0_EN", 0x10, 0x4},
		{"WRSWITCHCLK_EN", 0x1, 0x0},
		{"WRRESETPIF1_EN", 0x20000, 0x11},
		{"WRRESETHLTR_EN", 0x4000, 0xe},
		{"WRRESETWRAPREGS_EN", 0x8, 0x3},
		{"WRRESETPHY0_EN", 0x1000000, 0x18},
		{"WRRESETSRBM1_EN", 0x20, 0x5},
		{"WRRESETLANEMUX_EN", 0x4, 0x2},
		{"WRSYNCIDLEPIF0_EN", 0x100, 0x8},
		{"WRSTRAPVLD_EN", 0x10000000, 0x1c},
		{"WRRESETPHY1_EN", 0x2000000, 0x19},
		{"WRRESETCPM_EN", 0x8000, 0xf}
	} },
	{"PSX81_BIF_SWRST_CONTROL_6", 0x141010a, {
		{"CONNECTWITHWRAPREGS_EN", 0x100, 0x8},
		{"WARMRESET_EN", 0x1, 0x0}
	} },
	{"D3F1_PCIE_MC_RCV1", 0x70000c1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_SWRST_CONTROL_0", 0x1410104, {
		{"BIF0_REGISTER_RESETRCEN", 0x80000, 0x13},
		{"BIF0_CONFIG_RESETRCEN", 0x400000, 0x16},
		{"BIF0_PHY_RESETRCEN", 0x100000, 0x14},
		{"BIF_STRAPREG_RESETRCEN", 0x8000, 0xf},
		{"BIF0_CALIB_RESETRCEN", 0x20000, 0x11},
		{"BIF0_CORE_RESETRCEN", 0x40000, 0x12},
		{"BIF0_STICKY_RESETRCEN", 0x200000, 0x15},
		{"BIF0_GLOBAL_RESETRCEN", 0x10000, 0x10}
	} },
	{"PSX81_BIF_SWRST_CONTROL_1", 0x1410105, {
		{"RESETMNTR_RCEN", 0x2000, 0xd},
		{"RESETPCFG_RCEN", 0x2, 0x1},
		{"SWITCHCLK_RCEN", 0x1, 0x0},
		{"STRAPVLD_RCEN", 0x10000000, 0x1c},
		{"RESETLANEMUX_RCEN", 0x4, 0x2},
		{"RESETPIF1_RCEN", 0x20000, 0x11},
		{"SYNCIDLEPIF0_RCEN", 0x100, 0x8},
		{"RESETPIF0_RCEN", 0x10000, 0x10},
		{"RESETPHY1_RCEN", 0x2000000, 0x19},
		{"CMDCFG_RCEN", 0x20000000, 0x1d},
		{"RESETSRBM0_RCEN", 0x10, 0x4},
		{"RESETSRBM1_RCEN", 0x20, 0x5},
		{"RESETCPM_RCEN", 0x8000, 0xf},
		{"SYNCIDLEPIF1_RCEN", 0x200, 0x9},
		{"RESETPHY0_RCEN", 0x1000000, 0x18},
		{"RESETHLTR_RCEN", 0x4000, 0xe},
		{"RESETWRAPREGS_RCEN", 0x8, 0x3},
		{"RESETIMPARB0_RCEN", 0x100000, 0x14},
		{"RESETLC_RCEN", 0x40, 0x6},
		{"RESETIMPARB1_RCEN", 0x200000, 0x15}
	} },
	{"PSX81_BIF_SWRST_CONTROL_2", 0x1410106, {
		{"BIF0_CALIB_RESETATEN", 0x20000, 0x11},
		{"BIF0_STICKY_RESETATEN", 0x200000, 0x15},
		{"BIF0_PHY_RESETATEN", 0x100000, 0x14},
		{"BIF0_CORE_RESETATEN", 0x40000, 0x12},
		{"BIF0_CONFIG_RESETATEN", 0x400000, 0x16},
		{"BIF0_GLOBAL_RESETATEN", 0x10000, 0x10},
		{"BIF0_REGISTER_RESETATEN", 0x80000, 0x13},
		{"BIF_STRAPREG_RESETATEN", 0x8000, 0xf}
	} },
	{"PSX81_BIF_SWRST_CONTROL_3", 0x1410107, {
		{"RESETHLTR_ATEN", 0x4000, 0xe},
		{"RESETWRAPREGS_ATEN", 0x8, 0x3},
		{"RESETSRBM1_ATEN", 0x20, 0x5},
		{"RESETPCFG_ATEN", 0x2, 0x1},
		{"SWITCHCLK_ATEN", 0x1, 0x0},
		{"RESETLC_ATEN", 0x40, 0x6},
		{"RESETIMPARB0_ATEN", 0x100000, 0x14},
		{"SYNCIDLEPIF1_ATEN", 0x200, 0x9},
		{"RESETIMPARB1_ATEN", 0x200000, 0x15},
		{"RESETPIF0_ATEN", 0x10000, 0x10},
		{"SYNCIDLEPIF0_ATEN", 0x100, 0x8},
		{"RESETPIF1_ATEN", 0x20000, 0x11},
		{"CMDCFG_ATEN", 0x20000000, 0x1d},
		{"RESETMNTR_ATEN", 0x2000, 0xd},
		{"RESETPHY1_ATEN", 0x2000000, 0x19},
		{"STRAPVLD_ATEN", 0x10000000, 0x1c},
		{"RESETPHY0_ATEN", 0x1000000, 0x18},
		{"RESETSRBM0_ATEN", 0x10, 0x4},
		{"RESETLANEMUX_ATEN", 0x4, 0x2},
		{"RESETCPM_ATEN", 0x8000, 0xf}
	} },
	{"PSX80_PHY0_RX_DBG_BYP_EN_LANE7", 0x120070d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PSX81_BIF_PCIE_PRBS_CLR", 0x14100c8, {
		{"PRBS_CHECKER_DEBUG_BUS_SELECT", 0xf0000, 0x10},
		{"PRBS_CLR", 0xffff, 0x0},
		{"PRBS_POLARITY_EN", 0x1000000, 0x18}
	} },
	{"GARLIC_COHE_SDMA2_GFX_RB_WPTR", 0x1422, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"BIF_DEBUG_CNTL_IND", 0x109151c, {
		{"DEBUG_SYNC_EN", 0x40, 0x6},
		{"DEBUG_MULTIBLOCKEN", 0x2, 0x1},
		{"DEBUG_IDSEL_XSP", 0x1000000, 0x18},
		{"DEBUG_SYNC_CLKSEL", 0xc0000000, 0x1e},
		{"DEBUG_BYTESEL_BLK1", 0x10, 0x4},
		{"DEBUG_BYTESEL_BLK2", 0x20, 0x5},
		{"DEBUG_EN", 0x1, 0x0},
		{"DEBUG_SWAP", 0x80, 0x7},
		{"DEBUG_OUT_EN", 0x4, 0x2},
		{"DEBUG_IDSEL_BLK2", 0x1f0000, 0x10},
		{"DEBUG_IDSEL_BLK1", 0x1f00, 0x8},
		{"DEBUG_PAD_SEL", 0x8, 0x3}
	} },
	{"PSX80_PHY0_RX_DBG_BYP_EN_LANE6", 0x120060d, {
		{"adapt_dbg_gen3_dfe_tp2_byp_en", 0x10, 0x4},
		{"cdr_ph_byp_en", 0x40, 0x6},
		{"adapt_dbg_doff_byp_en", 0x1, 0x0},
		{"adapt_dbg_xoff_byp_en", 0x2, 0x1},
		{"adapt_dbg_gen3_dfe_tp1_byp_en", 0x8, 0x3},
		{"adapt_dbg_leq_dcattn_byp_ovr_disable", 0x20, 0x5},
		{"adapt_dbg_eoff_byp_en", 0x4, 0x2},
		{"cdr_fr_byp_en", 0x80, 0x7}
	} },
	{"PSX80_WRP_DTM_CNTL_LEGACY", 0x130ffe2, {
		{"fifoInit_one_dropout", 0x2, 0x1},
		{"Dtm_txPhyStsOk_slide", 0x300, 0x8},
		{"Dtm_Sti_TXCLK_Period", 0xf000, 0xc},
		{"Dtm_GsktClk_2sym", 0x8, 0x3},
		{"Dtm_Sti_TXCLK_Send", 0xf0000, 0x10},
		{"Dtm_earlyRst_slide", 0xc0, 0x6},
		{"Dtm_hardRst_slide", 0x30, 0x4},
		{"Dtm_Sti_TXCLK_Rcv", 0xf00000, 0x14},
		{"Dtm_Dummy19", 0x1, 0x0},
		{"Dtm_Clk_2sym", 0x4, 0x2}
	} },
	{"PSX81_PHY0_TX_TXCNTRL_LANE2", 0x1212206, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"PSX81_BIF_PCIE_DEBUG_CNTL", 0x1410012, {
		{"DEBUG_PORT_EN", 0xff, 0x0},
		{"DEBUG_SELECT", 0x100, 0x8},
		{"DEBUG_LANE_EN", 0xffff0000, 0x10}
	} },
	{"BASE_CLASS", 0x2, {
		{"BASE_CLASS", 0xff, 0x0}
	} },
	{"PCIE_ACS_ENH_CAP_LIST", 0xa8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_I2C_REG_DATA", 0x140003b, {
		{"I2C_REG_DATA", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_ADAPT_CFG_BYP_EN_LANE1", 0x121010c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"D3F5_DEVICE_ID", 0xb000000, {
		{"DEVICE_ID", 0xffff0000, 0x10}
	} },
	{"PSX80_WRP_DELAYLINE_COMMAND", 0x130ffd0, {
		{"CFG_DPC_Enable", 0x100000, 0x14},
		{"CFG_DPC_cmdRestart", 0x40000, 0x12},
		{"CFG_DPC_modeOverrideDelay", 0x8, 0x3},
		{"CFG_DPC_modeWidePhase", 0x4, 0x2},
		{"CFG_DPC_modeCharz", 0x1, 0x0},
		{"CFG_DPC_cmdStart", 0x20000, 0x11},
		{"CFG_DPC_cmdIdle", 0x10000, 0x10},
		{"CFG_DPC_delayOverride", 0xff00, 0x8},
		{"CFG_DPC_FastCkStable", 0x200000, 0x15},
		{"CFG_DPC_modeMaintainLock", 0x2, 0x1},
		{"CFG_DPC_spare", 0xf0000000, 0x1c}
	} },
	{"D3F4_MSI_MSG_CNTL", 0xa000028, {
		{"MSI_MULTI_EN", 0x700000, 0x14},
		{"MSI_MULTI_CAP", 0xe0000, 0x11},
		{"MSI_PERVECTOR_MASKING_CAP", 0x1000000, 0x18},
		{"MSI_64BIT", 0x800000, 0x17},
		{"MSI_EN", 0x10000, 0x10}
	} },
	{"PCIE_BAR3_CNTL", 0x86, {
		{"BAR_TOTAL_NUM", 0xe0, 0x5},
		{"BAR_SIZE", 0x1f00, 0x8},
		{"BAR_INDEX", 0x7, 0x0}
	} },
	{"PSX80_BIF_PCIE_TX_LAST_TLP2", 0x1400037, {
		{"TX_LAST_TLP2", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_TX_LAST_TLP1", 0x1400036, {
		{"TX_LAST_TLP1", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_TX_LAST_TLP0", 0x1400035, {
		{"TX_LAST_TLP0", 0xffffffff, 0x0}
	} },
	{"GARLIC_FLUSH_ADDR_START_4", 0x140a, {
		{"ADDR_START", 0xfffffffc, 0x2},
		{"ENABLE", 0x1, 0x0},
		{"MODE", 0x2, 0x1}
	} },
	{"GARLIC_FLUSH_ADDR_START_5", 0x140c, {
		{"ADDR_START", 0xfffffffc, 0x2},
		{"ENABLE", 0x1, 0x0},
		{"MODE", 0x2, 0x1}
	} },
	{"GARLIC_FLUSH_ADDR_START_6", 0x140e, {
		{"ADDR_START", 0xfffffffc, 0x2},
		{"ENABLE", 0x1, 0x0},
		{"MODE", 0x2, 0x1}
	} },
	{"GARLIC_FLUSH_ADDR_START_7", 0x1410, {
		{"ADDR_START", 0xfffffffc, 0x2},
		{"ENABLE", 0x1, 0x0},
		{"MODE", 0x2, 0x1}
	} },
	{"GARLIC_FLUSH_ADDR_START_0", 0x1402, {
		{"ADDR_START", 0xfffffffc, 0x2},
		{"ENABLE", 0x1, 0x0},
		{"MODE", 0x2, 0x1}
	} },
	{"GARLIC_FLUSH_ADDR_START_1", 0x1404, {
		{"ADDR_START", 0xfffffffc, 0x2},
		{"ENABLE", 0x1, 0x0},
		{"MODE", 0x2, 0x1}
	} },
	{"GARLIC_FLUSH_ADDR_START_2", 0x1406, {
		{"ADDR_START", 0xfffffffc, 0x2},
		{"ENABLE", 0x1, 0x0},
		{"MODE", 0x2, 0x1}
	} },
	{"GARLIC_FLUSH_ADDR_START_3", 0x1408, {
		{"ADDR_START", 0xfffffffc, 0x2},
		{"ENABLE", 0x1, 0x0},
		{"MODE", 0x2, 0x1}
	} },
	{"PSX80_PHY0_RX_FOMCALCCTL_LANE6", 0x120060b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"D3F2_PCIE_TX_CREDITS_FCU_THRESHOLD", 0x37, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"D2F1_IRQ_BRIDGE_CNTL", 0x200000f, {
		{"PARITY_RESPONSE_EN", 0x10000, 0x10},
		{"ISA_EN", 0x40000, 0x12},
		{"FAST_B2B_EN", 0x800000, 0x17},
		{"VGA_EN", 0x80000, 0x13},
		{"SERR_EN", 0x20000, 0x11},
		{"MASTER_ABORT_MODE", 0x200000, 0x15},
		{"VGA_DEC", 0x100000, 0x14},
		{"SECONDARY_BUS_RESET", 0x400000, 0x16}
	} },
	{"PSX80_PHY0_RX_FOMCALCCTL_LANE7", 0x120070b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"MM_CFGREGS_CNTL_IND", 0x1091513, {
		{"MM_WR_TO_CFG_EN", 0x8, 0x3},
		{"MM_CFG_FUNC_SEL", 0x7, 0x0}
	} },
	{"PEER3_FB_OFFSET_LO", 0x14ec, {
		{"PEER3_FB_OFFSET_LO", 0xfffff, 0x0},
		{"PEER3_FB_EN", 0x80000000, 0x1f}
	} },
	{"PSX80_PHY0_RX_FOMCALCCTL_LANE5", 0x120050b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"D2F5_PCIEP_HPGI", 0xda, {
		{"HPGI_REG_DEASSERT_TO_SCI_STATUS", 0x800, 0xb},
		{"REG_HPGI_PRESENCE_DETECT_STATE_CHANGE_EN", 0x10000, 0x10},
		{"REG_HPGI_ASSERT_TO_SCI_EN", 0x2, 0x1},
		{"REG_HPGI_DEASSERT_TO_SMI_EN", 0x4, 0x2},
		{"HPGI_REG_DEASSERT_TO_SMI_STATUS", 0x400, 0xa},
		{"REG_HPGI_HOOK", 0x80, 0x7},
		{"HPGI_REG_ASSERT_TO_SMI_STATUS", 0x100, 0x8},
		{"REG_HPGI_ASSERT_TO_SMI_EN", 0x1, 0x0},
		{"REG_HPGI_DEASSERT_TO_SCI_EN", 0x8, 0x3},
		{"HPGI_REG_ASSERT_TO_SCI_STATUS", 0x200, 0x9},
		{"HPGI_REG_PRESENCE_DETECT_STATE_CHANGE_STATUS", 0x8000, 0xf}
	} },
	{"D3F3_SSID_CAP", 0x9000031, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"PSX81_WRP_PCIE_EFUSE2", 0x151fff1, {
		{"PCIE_EFUSE2", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_LC_SPEED_CNTL", 0xa4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"GARLIC_COHE_CP_RB1_WPTR_IND", 0x1091416, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D3F2_PCIE_LC_CNTL", 0xa0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"D2F4_SLOT_STATUS2", 0x5000024, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D2F3_PCIE_LANE_2_EQUALIZATION_CNTL", 0x40000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_BIF_PCIE_P_CNTL", 0x1410040, {
		{"P_IGNORE_EDB_ERR", 0x40, 0x6},
		{"P_PWRDN_EN", 0x1, 0x0},
		{"P_IGNORE_TOK_ERR", 0x100, 0x8},
		{"DLP_IGNORE_IN_L1_EN", 0x10000, 0x10},
		{"P_ALWAYS_USE_FAST_TXCLK", 0x2000, 0xd},
		{"P_IGNORE_IDL_ERR", 0x80, 0x7},
		{"P_BLK_LOCK_MODE", 0x1000, 0xc},
		{"P_IGNORE_LEN_ERR", 0x20, 0x5},
		{"P_IGNORE_CRC_ERR", 0x10, 0x4},
		{"P_ELASTDESKEW_HW_DEBUG", 0x8, 0x3},
		{"P_SYMALIGN_HW_DEBUG", 0x4, 0x2},
		{"P_SYMALIGN_MODE", 0x2, 0x1},
		{"P_ELEC_IDLE_MODE", 0xc000, 0xe}
	} },
	{"D3F3_PCIE_LANE_11_EQUALIZATION_CNTL", 0x90000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_PIF0_RX_CTRL", 0x110000a, {
		{"RX_HLD_EIE_COUNT", 0x2000000, 0x19},
		{"RXPWR_IN_UNUSED", 0x7000, 0xc},
		{"RX_EI_DET_IN_PS2_DEGRADE", 0x4000000, 0x1a},
		{"RXPWR_GATING_IN_L1", 0x800000, 0x17},
		{"RXPWR_IN_SPDCHNG", 0x38, 0x3},
		{"RXPWR_IN_INIT", 0x38000, 0xf},
		{"RXPWR_IN_UNUSED_MODE", 0x400000, 0x16},
		{"RXPWR_GATING_IN_UNUSED", 0x1000000, 0x18},
		{"RXPWR_IN_PLL_OFF", 0x1c0000, 0x12},
		{"RXPWR_IN_S2", 0x7, 0x0},
		{"RXPWR_IN_DEGRADE_MODE", 0x200000, 0x15},
		{"RXPWR_IN_DEGRADE", 0xe00, 0x9},
		{"RXPWR_IN_OFF", 0x1c0, 0x6}
	} },
	{"D3F2_PCIE_RX_VENDOR_SPECIFIC", 0x72, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"D3F4_PCIE_UNCORR_ERR_MASK", 0xa000056, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"D2F4_PCIE_TX_REPLAY", 0x25, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"D2F1_PCIE_P_PORT_LANE_STATUS", 0x50, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"D3F4_MSI_MSG_ADDR_LO", 0xa000029, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"D2F2_ROOT_STATUS", 0x300001e, {
		{"PME_REQUESTOR_ID", 0xffff, 0x0},
		{"PME_PENDING", 0x20000, 0x11},
		{"PME_STATUS", 0x10000, 0x10}
	} },
	{"D2F1_PCIE_RX_CNTL3", 0x74, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT0_TXCLK2", 0x1410096, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PCIE_WRAPPER1_C_PCIE_DATA", 0x39, {

	} },
	{"D3F2_VENDOR_ID", 0x8000000, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"PSX81_PIF0_LANE5_OVRD2", 0x111001f, {
		{"COEFFICIENT_5", 0xfc000000, 0x1a},
		{"COEFFICIENTID_5", 0x3000000, 0x18},
		{"TWOSYMENABLE_5", 0x80, 0x7},
		{"REQUESTTRK_5", 0x400000, 0x16},
		{"FREQDIV_5", 0x18, 0x3},
		{"RXPWR_5", 0xe000, 0xd},
		{"RXPGENABLE_5", 0x30000, 0x10},
		{"LINKSPEED_5", 0x60, 0x5},
		{"RESPONSEMODE_5", 0x200000, 0x15},
		{"GANGMODE_5", 0x7, 0x0},
		{"TXPWR_5", 0x700, 0x8},
		{"ENABLEFOM_5", 0x80000, 0x13},
		{"REQUESTFOM_5", 0x100000, 0x14},
		{"ELECIDLEDETEN_5", 0x40000, 0x12},
		{"TXPGENABLE_5", 0x1800, 0xb},
		{"REQUESTTRN_5", 0x800000, 0x17}
	} },
	{"D2F4_PCIE_ACS_CAP", 0x50000a9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"D3F2_PCIE_ADV_ERR_RPT_ENH_CAP_LIST", 0x8000054, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PMI_CAP_LIST", 0x14, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F1_PCIE_RX_CREDITS_ALLOCATED_NP", 0x81, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"D2F3_MSI_MAP_ADDR_HI", 0x4000034, {
		{"MSI_MAP_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_TRAINING_B", 0x1510905, {
		{"STRAP_BIF_INITIAL_N_FTS", 0xff000000, 0x18},
		{"STRAP_BIF_LC_ENHANCED_HOT_PLUG_EN", 0x200, 0x9}
	} },
	{"D3F3_PCIE_TX_CREDITS_STATUS", 0x36, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"D3F2_PCIE_FC_P", 0x60, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_TRAINING_E", 0x1510c05, {
		{"STRAP_BIF_INITIAL_N_FTS", 0xff000000, 0x18},
		{"STRAP_BIF_LC_ENHANCED_HOT_PLUG_EN", 0x200, 0x9}
	} },
	{"PSX81_WRP_BIF_STRAP_LINK_TRAINING_D", 0x1510b05, {
		{"STRAP_BIF_INITIAL_N_FTS", 0xff000000, 0x18},
		{"STRAP_BIF_LC_ENHANCED_HOT_PLUG_EN", 0x200, 0x9}
	} },
	{"PSX80_PHY0_RX_ADAPT_CFG_BYP_EN_LANE7", 0x120070c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"PSX80_PHY0_RX_ADAPT_CFG_BYP_EN_LANE6", 0x120060c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"PSX80_PHY0_RX_ADAPT_CFG_BYP_EN_LANE5", 0x120050c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"PSX80_PHY0_RX_ADAPT_CFG_BYP_EN_LANE4", 0x120040c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"PSX80_BIF_LM_LANEENABLE", 0x1400129, {
		{"LANE_enable", 0xffff, 0x0}
	} },
	{"D2F3_IO_BASE_LIMIT_HI", 0x400000c, {
		{"IO_LIMIT_31_16", 0xffff0000, 0x10},
		{"IO_BASE_31_16", 0xffff, 0x0}
	} },
	{"PSX80_PHY0_RX_ADAPT_CFG_BYP_EN_LANE1", 0x120010c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"D3F1_PCIE_TX_REQUEST_NUM_CNTL", 0x23, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"D2F2_PCIE_VC1_RESOURCE_CNTL", 0x300004c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"PSX80_BIF_SWRST_GENERAL_CONTROL", 0x1400101, {
		{"HLDTRAIN_XFER_MODE", 0x4000, 0xe},
		{"BYPASS_HOLD", 0x10000, 0x10},
		{"RESET_PERIOD", 0x1c, 0x2},
		{"CONFIG_XFER_MODE", 0x1000, 0xc},
		{"FORCE_REGIDLE", 0x200, 0x9},
		{"ATOMIC_RESET_EN", 0x2, 0x1},
		{"RECONFIGURE_EN", 0x1, 0x0},
		{"BLOCK_ON_IDLE", 0x400, 0xa},
		{"MUXSEL_XFER_MODE", 0x2000, 0xd},
		{"BYPASS_PIF_HOLD", 0x20000, 0x11},
		{"WAIT_LINKUP", 0x100, 0x8}
	} },
	{"D3F2_SLOT_STATUS", 0x800001c, {
		{"PRESENCE_DETECT_STATE", 0x400000, 0x16},
		{"DL_STATE_CHANGED", 0x1000000, 0x18},
		{"MRL_SENSOR_CHANGED", 0x40000, 0x12},
		{"ELECTROMECH_INTERLOCK_STATUS", 0x800000, 0x17},
		{"ATTN_BUTTON_PRESSED", 0x10000, 0x10},
		{"MRL_SENSOR_STATE", 0x200000, 0x15},
		{"PWR_FAULT_DETECTED", 0x20000, 0x11},
		{"COMMAND_COMPLETED", 0x100000, 0x14},
		{"PRESENCE_DETECT_CHANGED", 0x80000, 0x13}
	} },
	{"PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0x40, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_ERR_CNTL", 0x6a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"D2F2_LINK_CAP2", 0x3000021, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"D3F3_PCIE_TX_REQUEST_NUM_CNTL", 0x23, {
		{"TX_NUM_OUTSTANDING_NP", 0x3f000000, 0x18},
		{"TX_NUM_OUTSTANDING_NP_VC1_EN", 0x40000000, 0x1e},
		{"TX_NUM_OUTSTANDING_NP_EN", 0x80000000, 0x1f}
	} },
	{"D3F4_PCIE_DEV_SERIAL_NUM_DW1", 0xa000051, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"D3F3_MSI_MAP_ADDR_LO", 0x9000033, {
		{"MSI_MAP_ADDR_LO", 0xfff00000, 0x14}
	} },
	{"PSX80_WRP_REG_ADAPT_pwregr_CONTROL", 0x1308097, {
		{"ACCESS_MODE_pwregr", 0x1, 0x0}
	} },
	{"D2F4_PMI_CAP_LIST", 0x5000014, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F3_ROOT_CAP", 0x400001d, {
		{"CRS_SOFTWARE_VISIBILITY", 0x10000, 0x10}
	} },
	{"BIF_SLVARB_MODE_IND", 0x10914c4, {
		{"SLVARB_MODE", 0x3, 0x0}
	} },
	{"PSX80_BIF_PCIE_LC_STATE11", 0x1400027, {
		{"LC_PREV_STATE44", 0x3f, 0x0},
		{"LC_PREV_STATE45", 0x3f00, 0x8},
		{"LC_PREV_STATE46", 0x3f0000, 0x10},
		{"LC_PREV_STATE47", 0x3f000000, 0x18}
	} },
	{"PSX80_BIF_PCIE_LC_STATE10", 0x1400026, {
		{"LC_PREV_STATE40", 0x3f, 0x0},
		{"LC_PREV_STATE41", 0x3f00, 0x8},
		{"LC_PREV_STATE42", 0x3f0000, 0x10},
		{"LC_PREV_STATE43", 0x3f000000, 0x18}
	} },
	{"PSX81_PHY0_RX_ADAPT_CFG_BYP_EN_LANE7", 0x121070c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"D3F2_INTERRUPT_PIN", 0x800000f, {
		{"INTERRUPT_PIN", 0xff00, 0x8}
	} },
	{"PSX81_BIF_PCIE_STRAP_PI", 0x14100c2, {
		{"STRAP_TEST_TOGGLE_MODE", 0x20000000, 0x1d},
		{"STRAP_TEST_TOGGLE_PATTERN", 0x10000000, 0x1c},
		{"STRAP_QUICKSIM_START", 0x1, 0x0}
	} },
	{"D2F5_PCIE_LANE_2_EQUALIZATION_CNTL", 0x60000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F5_PCIE_TLP_PREFIX_LOG2", 0xb000064, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIEP_HW_DEBUG", 0x2, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D3F5_PCIE_TLP_PREFIX_LOG0", 0xb000062, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"BIF_RB_CNTL_IND", 0x1091530, {
		{"WPTR_OVERFLOW_CLEAR", 0x80000000, 0x1f},
		{"WPTR_WRITEBACK_ENABLE", 0x100, 0x8},
		{"RB_SIZE", 0x3e, 0x1},
		{"WPTR_WRITEBACK_TIMER", 0x3e00, 0x9},
		{"BIF_RB_TRAN", 0x20000, 0x11},
		{"RB_ENABLE", 0x1, 0x0}
	} },
	{"D2F4_REVISION_ID", 0x5000002, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"D2F5_PCIE_MC_ADDR1", 0x60000bf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_VC_ENH_CAP_LIST", 0x4000044, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F5_PCIE_LANE_0_EQUALIZATION_CNTL", 0xb00009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F2_PCIE_RX_CREDITS_ALLOCATED_CPL", 0x82, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"PCIE_MC_CAP", 0xbd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_WIN_SIZE_REQ", 0x3f00, 0x8},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"D2F3_PCIE_LANE_1_EQUALIZATION_CNTL", 0x400009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"BIF_RB_WPTR", 0x1533, {
		{"BIF_RB_OVERFLOW", 0x1, 0x0},
		{"OFFSET", 0x3fffc, 0x2}
	} },
	{"PSX81_BIF_PCIE_STRAP_MISC2", 0x14100c1, {
		{"STRAP_TPH_SUPPORTED", 0x10, 0x4},
		{"STRAP_LINK_BW_NOTIFICATION_CAP_EN", 0x1, 0x0},
		{"STRAP_GEN2_COMPLIANCE", 0x2, 0x1},
		{"STRAP_MSTCPL_TIMEOUT_EN", 0x4, 0x2},
		{"STRAP_GEN3_COMPLIANCE", 0x8, 0x3}
	} },
	{"D2F4_MSI_MAP_ADDR_HI", 0x5000034, {
		{"MSI_MAP_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"PCIE_BAR2_CAP", 0x83, {
		{"BAR_SIZE_SUPPORTED", 0xfffff0, 0x4}
	} },
	{"D3F2_PCIE_LC_CNTL4", 0xb6, {
		{"LC_DIS_CONTIG_END_SET_CHECK", 0x4, 0x2},
		{"LC_FORCE_PRESET_VALUE", 0x3c0000, 0x12},
		{"LC_DSC_CHECK_COEFFS_IN_RLOCK", 0x400, 0xa},
		{"LC_BYPASS_EQ", 0x10, 0x4},
		{"LC_EXTEND_EIEOS", 0x40, 0x6},
		{"LC_8GT_SKIP_ORDER_EN", 0x2000000, 0x19},
		{"LC_PCIE_TX_FULL_SWING", 0x800000, 0x17},
		{"LC_USC_EQ_NOT_REQD", 0x800, 0xb},
		{"LC_WAIT_FOR_MORE_TS_IN_RLOCK", 0xfc000000, 0x1a},
		{"LC_USC_GO_TO_EQ", 0x1000, 0xc},
		{"LC_EQ_SEARCH_MODE", 0x300, 0x8},
		{"LC_QUIESCE_RCVD", 0x4000, 0xe},
		{"LC_IGNORE_PARITY", 0x80, 0x7},
		{"LC_SET_QUIESCE", 0x2000, 0xd},
		{"LC_UNEXPECTED_COEFFS_RCVD", 0x8000, 0xf},
		{"LC_BYPASS_EQ_REQ_PHASE", 0x10000, 0x10},
		{"LC_USC_DELAY_DLLPS", 0x400000, 0x16},
		{"LC_EQ_WAIT_FOR_EVAL_DONE", 0x1000000, 0x18},
		{"LC_TX_ENABLE_BEHAVIOUR", 0x3, 0x0},
		{"LC_REDO_EQ", 0x20, 0x5},
		{"LC_FORCE_PRESET_IN_EQ_REQ_PHASE", 0x20000, 0x11},
		{"LC_DIS_ASPM_L1_IN_SPEED_CHANGE", 0x8, 0x3}
	} },
	{"D2F4_PCIE_MC_CAP", 0x50000bd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"PSX80_WRP_LNCNT_WEIGHT", 0x1508033, {
		{"CFG_LNC_CMN_WEIGHT16", 0xffff0000, 0x10},
		{"CFG_LNC_BW_WEIGHT0", 0xffff, 0x0}
	} },
	{"D2F4_PCIE_PORT_VC_STATUS", 0x5000047, {
		{"VC_ARB_TABLE_STATUS", 0x10000, 0x10}
	} },
	{"D3F3_PCIE_LC_CDR_CNTL", 0xb3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"D3F3_HEADER", 0x9000003, {
		{"HEADER_TYPE", 0x7f0000, 0x10},
		{"DEVICE_TYPE", 0x800000, 0x17}
	} },
	{"D3F2_MSI_MSG_CNTL", 0x8000028, {
		{"MSI_MULTI_EN", 0x700000, 0x14},
		{"MSI_MULTI_CAP", 0xe0000, 0x11},
		{"MSI_PERVECTOR_MASKING_CAP", 0x1000000, 0x18},
		{"MSI_64BIT", 0x800000, 0x17},
		{"MSI_EN", 0x10000, 0x10}
	} },
	{"PCIE_BUS_CNTL", 0x1400021, {
		{"IMMEDIATE_PMI_DIS", 0x80, 0x7},
		{"TRUE_PM_STATUS_EN", 0x1000, 0xc},
		{"PMI_INT_DIS", 0x40, 0x6}
	} },
	{"D2F2_PCIE_VC1_RESOURCE_CAP", 0x300004b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"PCIE_TPH_REQR_CAP", 0xb9, {
		{"TPH_REQR_ST_TABLE_LOCATION", 0x600, 0x9},
		{"TPH_REQR_EXTND_TPH_REQR_SUPPORED", 0x100, 0x8},
		{"TPH_REQR_NO_ST_MODE_SUPPORTED", 0x1, 0x0},
		{"TPH_REQR_INT_VEC_MODE_SUPPORTED", 0x2, 0x1},
		{"TPH_REQR_ST_TABLE_SIZE", 0x7ff0000, 0x10},
		{"TPH_REQR_DEV_SPC_MODE_SUPPORTED", 0x4, 0x2}
	} },
	{"D3F2_PCIE_MC_RCV1", 0x80000c1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_MC_RCV0", 0x80000c0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"PCIE_LC_STATE9", 0x1400025, {
		{"LC_PREV_STATE39", 0x3f000000, 0x18},
		{"LC_PREV_STATE38", 0x3f0000, 0x10},
		{"LC_PREV_STATE37", 0x3f00, 0x8},
		{"LC_PREV_STATE36", 0x3f, 0x0}
	} },
	{"PCIE_LC_STATE8", 0x1400024, {
		{"LC_PREV_STATE33", 0x3f00, 0x8},
		{"LC_PREV_STATE32", 0x3f, 0x0},
		{"LC_PREV_STATE35", 0x3f000000, 0x18},
		{"LC_PREV_STATE34", 0x3f0000, 0x10}
	} },
	{"PCIE_LC_STATE5", 0x100100aa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"PCIE_LC_STATE4", 0x100100a9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"PCIE_LC_STATE7", 0x1400023, {
		{"LC_PREV_STATE31", 0x3f000000, 0x18},
		{"LC_PREV_STATE30", 0x3f0000, 0x10},
		{"LC_PREV_STATE28", 0x3f, 0x0},
		{"LC_PREV_STATE29", 0x3f00, 0x8}
	} },
	{"PCIE_LC_STATE6", 0x1400022, {
		{"LC_PREV_STATE26", 0x3f0000, 0x10},
		{"LC_PREV_STATE27", 0x3f000000, 0x18},
		{"LC_PREV_STATE24", 0x3f, 0x0},
		{"LC_PREV_STATE25", 0x3f00, 0x8}
	} },
	{"PCIE_LC_STATE1", 0x100100a6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"PCIE_LC_STATE0", 0x100100a5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"PCIE_LC_STATE3", 0x100100a8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"PCIE_LC_STATE2", 0x100100a7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"D3F4_PCIE_LANE_9_EQUALIZATION_CNTL", 0xa0000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F2_LATENCY", 0x8000003, {
		{"LATENCY_TIMER", 0xff00, 0x8}
	} },
	{"PSX81_PIF0_LANE7_OVRD", 0x1110022, {
		{"RESPONSEMODE_OVRD_EN_7", 0x800, 0xb},
		{"COEFFICIENTID_OVRD_EN_7", 0x4000, 0xe},
		{"COEFFICIENT_OVRD_EN_7", 0x8000, 0xf},
		{"REQUESTTRN_OVRD_EN_7", 0x2000, 0xd},
		{"LINKSPEED_OVRD_EN_7", 0x4, 0x2},
		{"REQUESTFOM_OVRD_EN_7", 0x400, 0xa},
		{"RXPGENABLE_OVRD_EN_7", 0x80, 0x7},
		{"CDREN_OVRD_EN_7", 0x10000, 0x10},
		{"GANGMODE_OVRD_EN_7", 0x1, 0x0},
		{"ENABLEFOM_OVRD_EN_7", 0x200, 0x9},
		{"RXPWR_OVRD_EN_7", 0x40, 0x6},
		{"TWOSYMENABLE_OVRD_EN_7", 0x8, 0x3},
		{"FREQDIV_OVRD_EN_7", 0x2, 0x1},
		{"TXPWR_OVRD_EN_7", 0x10, 0x4},
		{"TXPGENABLE_OVRD_EN_7", 0x20, 0x5},
		{"ELECIDLEDETEN_OVRD_EN_7", 0x100, 0x8},
		{"CDREN_OVRD_VAL_7", 0x20000, 0x11},
		{"REQUESTTRK_OVRD_EN_7", 0x1000, 0xc}
	} },
	{"D2F4_PMI_STATUS_CNTL", 0x5000015, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"D2F1_MSI_MSG_ADDR_HI", 0x200002a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"BIF_CLOCKS_BITS_IND", 0x1301489, {
		{"OBFF_XSL_FORCE_REFCLK", 0x1, 0x0}
	} },
	{"PSX80_PHY0_RX_FOMCALCCTL_LANE4", 0x120040b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"D2F5_PCIE_LC_STATE4", 0xa9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"D2F5_PCIE_LC_STATE5", 0xaa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"D2F2_PCIE_LANE_15_EQUALIZATION_CNTL", 0x30000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F5_PCIE_LC_STATE1", 0xa6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"D2F5_PCIE_LC_STATE2", 0xa7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"BIF_RESET_CNTL", 0x1486, {
		{"RECAP_STRAP_WARMRST", 0x100, 0x8},
		{"HOLD_LKTRN_WARMRST_DIS", 0x200, 0x9},
		{"RST_DONE", 0x2, 0x1},
		{"STRAP_ALL_VALID", 0x8, 0x3},
		{"STRAP_EN", 0x1, 0x0},
		{"LINK_TRAIN_EN", 0x4, 0x2}
	} },
	{"NEW_REFCLKB_TIMER", 0x1485, {
		{"STOP_REFCLK_TIMER", 0x1ffffe, 0x1},
		{"REFCLK_ON", 0x200000, 0x15},
		{"REG_STOP_REFCLK_EN", 0x1, 0x0}
	} },
	{"D3F2_PCIEP_BCH_ECC_CNTL", 0xd0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"PSX80_PHY0_COM_COMMON_ADAPT_CFG_BYP_VAL1", 0x120620d, {
		{"adapt_cfg_gen12_pi_off_byp_val", 0xf00, 0x8},
		{"adapt_cfg_gen3_pi_off_byp_val", 0x1e000, 0xd},
		{"adapt_cfg_gen12_dfe_tp2_byp_val", 0x3f, 0x0}
	} },
	{"D3F5_PCIE_MC_CNTL", 0xb0000bd, {
		{"MC_NUM_GROUP", 0x3f0000, 0x10},
		{"MC_ENABLE", 0x80000000, 0x1f}
	} },
	{"D3F1_PCIE_TX_VENDOR_SPECIFIC", 0x22, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"INTERRUPT_CNTL2_IND", 0x109151b, {
		{"IH_DUMMY_RD_ADDR", 0xffffffff, 0x0}
	} },
	{"PCIEP_BCH_ECC_CNTL", 0x100100d0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"D3F4_PCIE_VC0_RESOURCE_CAP", 0xa000048, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D2F1_PCIE_TX_CREDITS_INIT_CPL", 0x35, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"BIF_XDMA_HI", 0x14c1, {
		{"BIF_XDMA_UPPER_BOUND", 0x1fffffff, 0x0}
	} },
	{"D3F4_PCIE_LANE_13_EQUALIZATION_CNTL", 0xa0000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F3_PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0x4000050, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F5_SSID_CAP", 0xb000031, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"D3F5_PCIE_ERR_CNTL", 0x6a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"D3F2_PCIE_LANE_6_EQUALIZATION_CNTL", 0x80000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_PHY0_COM_COMMON_SELDEEMPH35", 0x1206207, {
		{"deemph_3pt5db_2", 0xff00, 0x8},
		{"deemph_3pt5db_3", 0xff0000, 0x10},
		{"deemph_3pt5db_1", 0xff, 0x0},
		{"deemph_3pt5db_4", 0xff000000, 0x18}
	} },
	{"MM_INDEX", 0x0, {
		{"MM_APER", 0x80000000, 0x1f},
		{"MM_OFFSET", 0x7fffffff, 0x0}
	} },
	{"D2F2_PCIE_LANE_7_EQUALIZATION_CNTL", 0x30000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F3_SSID_CAP_LIST", 0x4000030, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F4_SSID_CAP_LIST", 0x5000030, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PCIE_STRAP_MISC", 0x14000c0, {
		{"STRAP_ECN1P1_EN", 0x2000000, 0x19},
		{"STRAP_MST_ADR64_EN", 0x20000000, 0x1d},
		{"STRAP_INTERNAL_ERR_EN", 0x80000000, 0x1f},
		{"STRAP_PASID_GLOBAL_INVALIDATE_SUPPORTED", 0x8000, 0xf},
		{"STRAP_CLK_PM_EN", 0x1000000, 0x18},
		{"STRAP_PASID_EXE_PERMISSION_SUPPORTED", 0x2000, 0xd},
		{"STRAP_FLR_EN", 0x40000000, 0x1e},
		{"STRAP_LINK_CONFIG", 0xf, 0x0},
		{"STRAP_TL_ALT_BUF_EN", 0x10, 0x4},
		{"STRAP_REVERSE_ALL", 0x10000000, 0x1c},
		{"STRAP_EXT_VC_COUNT", 0x4000000, 0x1a},
		{"STRAP_PASID_PRIV_MODE_SUPPORTED", 0x4000, 0xe},
		{"STRAP_MAX_PASID_WIDTH", 0x1f00, 0x8}
	} },
	{"D2F1_SUB_BUS_NUMBER_LATENCY", 0x2000006, {
		{"SECONDARY_BUS", 0xff00, 0x8},
		{"PRIMARY_BUS", 0xff, 0x0},
		{"SUB_BUS_NUM", 0xff0000, 0x10},
		{"SECONDARY_LATENCY_TIMER", 0xff000000, 0x18}
	} },
	{"D3F1_PCIE_LANE_15_EQUALIZATION_CNTL", 0x70000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F3_LINK_CNTL2", 0x4000022, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"PSX81_PHY0_TX_MARGDEEMPHSTATUS_LANE7", 0x1212704, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"PSX81_PHY0_TX_MARGDEEMPHSTATUS_LANE6", 0x1212604, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"D3F1_PCIE_LANE_2_EQUALIZATION_CNTL", 0x70000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX81_BIF_PCIE_PRBS_LO_BITCNT", 0x14100ce, {
		{"PRBS_LO_BITCNT", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_LANE_5_EQUALIZATION_CNTL", 0x20000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F4_PCIE_RX_CNTL3", 0x74, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"D3F3_MSI_MSG_DATA", 0x900002a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_TX_MARGDEEMPHSTATUS_LANE4", 0x1212404, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"PSX80_PIF0_BIF_CMD_STATUS", 0x1100010, {
		{"TXPHYSTATUS_7", 0x80, 0x7},
		{"TXPHYSTATUS_6", 0x40, 0x6},
		{"TXPHYSTATUS_5", 0x20, 0x5},
		{"TXPHYSTATUS_4", 0x10, 0x4},
		{"TXPHYSTATUS_3", 0x8, 0x3},
		{"TXPHYSTATUS_2", 0x4, 0x2},
		{"TXPHYSTATUS_1", 0x2, 0x1},
		{"TXPHYSTATUS_0", 0x1, 0x0},
		{"RXPHYSTATUS_1", 0x200, 0x9},
		{"RXPHYSTATUS_0", 0x100, 0x8},
		{"RXPHYSTATUS_3", 0x800, 0xb},
		{"RXPHYSTATUS_2", 0x400, 0xa},
		{"RXPHYSTATUS_5", 0x2000, 0xd},
		{"RXPHYSTATUS_4", 0x1000, 0xc},
		{"RXPHYSTATUS_7", 0x8000, 0xf},
		{"RXPHYSTATUS_6", 0x4000, 0xe},
		{"BPHY_CORE_RX_RDY_1", 0x2000000, 0x19},
		{"BPHY_CORE_RX_RDY_0", 0x1000000, 0x18},
		{"BPHY_CORE_RX_RDY_3", 0x8000000, 0x1b},
		{"BPHY_CORE_RX_RDY_2", 0x4000000, 0x1a},
		{"BPHY_CORE_RX_RDY_5", 0x20000000, 0x1d},
		{"BPHY_CORE_RX_RDY_4", 0x10000000, 0x1c},
		{"BPHY_CORE_RX_RDY_7", 0x80000000, 0x1f},
		{"BPHY_CORE_RX_RDY_6", 0x40000000, 0x1e},
		{"BPHY_CORE_TX_RDY_3", 0x80000, 0x13},
		{"BPHY_CORE_TX_RDY_2", 0x40000, 0x12},
		{"BPHY_CORE_TX_RDY_1", 0x20000, 0x11},
		{"BPHY_CORE_TX_RDY_0", 0x10000, 0x10},
		{"BPHY_CORE_TX_RDY_7", 0x800000, 0x17},
		{"BPHY_CORE_TX_RDY_6", 0x400000, 0x16},
		{"BPHY_CORE_TX_RDY_5", 0x200000, 0x15},
		{"BPHY_CORE_TX_RDY_4", 0x100000, 0x14}
	} },
	{"BIF_VDDGFX_RSV2_LOWER", 0x1436, {
		{"VDDGFX_RSV2_REG_STALL_EN", 0x80000000, 0x1f},
		{"VDDGFX_RSV2_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_RSV2_REG_LOWER", 0x3fffc, 0x2}
	} },
	{"D3F3_BASE_CLASS", 0x9000002, {
		{"BASE_CLASS", 0xff000000, 0x18}
	} },
	{"PSX80_PHY0_RX_FOMCALCCTL_LANE3", 0x120030b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"D3F1_PCIE_TX_CNTL", 0x20, {
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"D2F1_PCIE_MC_ENH_CAP_LIST", 0x20000bc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F4_IO_BASE_LIMIT_HI", 0x500000c, {
		{"IO_LIMIT_31_16", 0xffff0000, 0x10},
		{"IO_BASE_31_16", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_VC0_RESOURCE_CNTL", 0xa000049, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D3F1_PCIE_TX_CREDITS_FCU_THRESHOLD", 0x37, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"D3F1_PCIE_UNCORR_ERR_MASK", 0x7000056, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"PSX80_WRP_LNCNT_QUAN_THRD", 0x1508032, {
		{"CFG_LNC_CMN_QUAN_THRD4", 0x70, 0x4},
		{"CFG_LNC_BW_QUAN_THRD0", 0x7, 0x0}
	} },
	{"REMAP_HDP_REG_FLUSH_CNTL_IND", 0x1091427, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F4_PCIEP_HW_DEBUG", 0x2, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"BIOS_SCRATCH_8_IND", 0x10905d1, {
		{"BIOS_SCRATCH_8", 0xffffffff, 0x0}
	} },
	{"D2F2_SLOT_CAP", 0x300001b, {
		{"SLOT_PWR_LIMIT_VALUE", 0x7f80, 0x7},
		{"PWR_INDICATOR_PRESENT", 0x10, 0x4},
		{"HOTPLUG_SURPRISE", 0x20, 0x5},
		{"NO_COMMAND_COMPLETED_SUPPORTED", 0x40000, 0x12},
		{"ATTN_INDICATOR_PRESENT", 0x8, 0x3},
		{"ATTN_BUTTON_PRESENT", 0x1, 0x0},
		{"PHYSICAL_SLOT_NUM", 0xfff80000, 0x13},
		{"PWR_CONTROLLER_PRESENT", 0x2, 0x1},
		{"MRL_SENSOR_PRESENT", 0x4, 0x2},
		{"HOTPLUG_CAPABLE", 0x40, 0x6},
		{"ELECTROMECH_INTERLOCK_PRESENT", 0x20000, 0x11},
		{"SLOT_PWR_LIMIT_SCALE", 0x18000, 0xf}
	} },
	{"PCIE_VC0_RESOURCE_CAP", 0x48, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"PSX81_BIF_PCIE_PERF_CNTL_EVENT0_PORT_SEL", 0x1410093, {
		{"PERF0_PORT_SEL_MST_C_CLK", 0xf00, 0x8},
		{"PERF0_PORT_SEL_TXCLK2", 0xf000000, 0x18},
		{"PERF0_PORT_SEL_SLV_NS_C_CLK", 0xf00000, 0x14},
		{"PERF0_PORT_SEL_TXCLK", 0xf, 0x0},
		{"PERF0_PORT_SEL_SLV_R_CLK", 0xf000, 0xc},
		{"PERF0_PORT_SEL_SLV_S_C_CLK", 0xf0000, 0x10},
		{"PERF0_PORT_SEL_MST_R_CLK", 0xf0, 0x4}
	} },
	{"D3F2_PCIE_UNCORR_ERR_STATUS", 0x8000055, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"D3F3_SECONDARY_STATUS", 0x9000007, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"RECEIVED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D2F4_PCIEP_ERROR_INJECT_PHYSICAL", 0x83, {
		{"ERROR_INJECT_PL_BAD_SYNC_HEADER", 0xc00000, 0x16},
		{"ERROR_INJECT_PL_LOOPBACK_OFLOW", 0xc00, 0xa},
		{"ERROR_INJECT_PL_BAD_PARITY_IN_SKP", 0x30, 0x4},
		{"ERROR_INJECT_PL_8B10B_DISPARITY_ERR", 0xc000, 0xe},
		{"ERROR_INJECT_PL_LOOPBACK_UFLOW", 0x300, 0x8},
		{"ERROR_INJECT_PL_FRAMING_ERR", 0xc, 0x2},
		{"ERROR_INJECT_PL_BAD_LFSR_IN_SKP", 0xc0, 0x6},
		{"ERROR_INJECT_PL_LANE_ERR", 0x3, 0x0},
		{"ERROR_INJECT_PL_SKP_OS_ERROR", 0xc0000, 0x12},
		{"ERROR_INJECT_PL_INV_OS_IDENTIFIER", 0x300000, 0x14},
		{"ERROR_INJECT_PL_DESKEW_ERR", 0x3000, 0xc},
		{"ERROR_INJECT_PL_8B10B_DECODE_ERR", 0x30000, 0x10}
	} },
	{"D2F1_LINK_CNTL2", 0x2000022, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"D2F3_PCIE_LANE_13_EQUALIZATION_CNTL", 0x40000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F5_CACHE_LINE", 0x6000003, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"D2F1_PCIE_LC_FORCE_COEFF", 0xb8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_PRESET_10_EN", 0x100000, 0x14},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"BIF_RB_CNTL", 0x1530, {
		{"WPTR_OVERFLOW_CLEAR", 0x80000000, 0x1f},
		{"WPTR_WRITEBACK_ENABLE", 0x100, 0x8},
		{"RB_SIZE", 0x3e, 0x1},
		{"WPTR_WRITEBACK_TIMER", 0x3e00, 0x9},
		{"BIF_RB_TRAN", 0x20000, 0x11},
		{"RB_ENABLE", 0x1, 0x0}
	} },
	{"D3F4_PCIE_FC_NP", 0x61, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"BIF_RFE_SNOOP_REG", 0x27, {
		{"REG_SNOOP_ALLMASTER", 0x2, 0x1},
		{"REG_SNOOP_ARBITER", 0x1, 0x0}
	} },
	{"BIF_VDDGFX_GFX0_UPPER_IND", 0x1091429, {
		{"VDDGFX_GFX0_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX81_PHY0_COM_COMMON_SELDEEMPH60", 0x1216208, {
		{"deemph_6db_3", 0xff0000, 0x10},
		{"deemph_6db_2", 0xff00, 0x8},
		{"deemph_6db_1", 0xff, 0x0},
		{"deemph_6db_4", 0xff000000, 0x18}
	} },
	{"PCIE_DEBUG_CNTL", 0x1400012, {
		{"DEBUG_PORT_EN", 0xff, 0x0},
		{"DEBUG_SELECT", 0x100, 0x8},
		{"DEBUG_LANE_EN", 0xffff0000, 0x10}
	} },
	{"BIF_VDDGFX_GFX5_LOWER_IND", 0x1091432, {
		{"VDDGFX_GFX5_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX5_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_GFX5_REG_STALL_EN", 0x80000000, 0x1f}
	} },
	{"D2F1_PCIE_ACS_ENH_CAP_LIST", 0x20000a8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_WRP_BIF_STRAP_MISC_PORT_A", 0x1510804, {
		{"STRAP_BIF_POISONED_ADVISORY_NONFATAL", 0x1, 0x0},
		{"STRAP_BIF_BCH_ECC_EN", 0x80, 0x7},
		{"STRAP_BIF_E2E_PREFIX_EN", 0x40, 0x6},
		{"STRAP_BIF_MAX_PAYLOAD_SUPPORT", 0xe, 0x1},
		{"STRAP_BIF_EXTENDED_FMT_SUPPORTED", 0x20, 0x5},
		{"STRAP_BIF_MC_ECRC_REGEN_SUPP", 0x100, 0x8},
		{"STRAP_BIF_FIRST_RCVD_ERR_LOG", 0x10, 0x4}
	} },
	{"D3F5_PCIEP_ERROR_INJECT_PHYSICAL", 0x83, {
		{"ERROR_INJECT_PL_BAD_SYNC_HEADER", 0xc00000, 0x16},
		{"ERROR_INJECT_PL_LOOPBACK_OFLOW", 0xc00, 0xa},
		{"ERROR_INJECT_PL_BAD_PARITY_IN_SKP", 0x30, 0x4},
		{"ERROR_INJECT_PL_8B10B_DISPARITY_ERR", 0xc000, 0xe},
		{"ERROR_INJECT_PL_LOOPBACK_UFLOW", 0x300, 0x8},
		{"ERROR_INJECT_PL_FRAMING_ERR", 0xc, 0x2},
		{"ERROR_INJECT_PL_BAD_LFSR_IN_SKP", 0xc0, 0x6},
		{"ERROR_INJECT_PL_LANE_ERR", 0x3, 0x0},
		{"ERROR_INJECT_PL_SKP_OS_ERROR", 0xc0000, 0x12},
		{"ERROR_INJECT_PL_INV_OS_IDENTIFIER", 0x300000, 0x14},
		{"ERROR_INJECT_PL_DESKEW_ERR", 0x3000, 0xc},
		{"ERROR_INJECT_PL_8B10B_DECODE_ERR", 0x30000, 0x10}
	} },
	{"D3F2_PCIE_LANE_10_EQUALIZATION_CNTL", 0x80000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_PHY0_TX_DEEMPH_LANE4", 0x1202402, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PSX81_PHY0_RX_ADAPT_CFG_BYP_EN_LANE4", 0x121040c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"D3F5_ROOT_CNTL", 0xb00001d, {
		{"SERR_ON_CORR_ERR_EN", 0x1, 0x0},
		{"SERR_ON_NONFATAL_ERR_EN", 0x2, 0x1},
		{"SERR_ON_FATAL_ERR_EN", 0x4, 0x2},
		{"PM_INTERRUPT_EN", 0x8, 0x3},
		{"CRS_SOFTWARE_VISIBILITY_EN", 0x10, 0x4}
	} },
	{"D2F5_MSI_MSG_ADDR_LO", 0x6000029, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"PSX80_PHY0_TX_TXCNTRL_BROADCAST", 0x120ff06, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"BX_RESET_EN", 0x1514, {
		{"REG_RESET_EN", 0x2, 0x1},
		{"STY_RESET_EN", 0x4, 0x2},
		{"COR_RESET_EN", 0x1, 0x0}
	} },
	{"D3F4_PCIE_LANE_7_EQUALIZATION_CNTL", 0xa0000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F3_PCIE_LC_BW_CHANGE_CNTL", 0xb2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"BIF_RESET_EN", 0x1482, {
		{"LINK_DISABLE_RESET_EN", 0x400, 0xa},
		{"DRV_RESET_EN", 0x80, 0x7},
		{"LINK_DOWN_RESET_EN", 0x800, 0xb},
		{"CFG_RESET_PULSE_WIDTH", 0x3f000, 0xc},
		{"FUNC0_RESET_DELAY_SEL", 0xc000000, 0x1a},
		{"FUNC1_FLR_EN", 0x1000000, 0x18},
		{"FUNC2_RESET_DELAY_SEL", 0xc0000000, 0x1e},
		{"PHY_RESET_EN", 0x4, 0x2},
		{"PIF_STRAP_ALLVALID_EN", 0x200000, 0x15},
		{"BIF_COR_RESET_EN", 0x400000, 0x16},
		{"REG_RESET_EN", 0x10, 0x4},
		{"FUNC2_FLR_EN", 0x2000000, 0x19},
		{"PIF_RSTB_EN", 0x100000, 0x14},
		{"SOFT_RST_MODE", 0x2, 0x1},
		{"HOT_RESET_EN", 0x200, 0x9},
		{"COR_RESET_EN", 0x8, 0x3},
		{"FUNC1_RESET_DELAY_SEL", 0x30000000, 0x1c},
		{"FUNC0_FLR_EN", 0x800000, 0x17},
		{"CFG_RESET_EN", 0x40, 0x6},
		{"RESET_CFGREG_ONLY_EN", 0x100, 0x8},
		{"DRV_RESET_DELAY_SEL", 0xc0000, 0x12},
		{"STY_RESET_EN", 0x20, 0x5}
	} },
	{"D2F4_PCIE_VC0_RESOURCE_CNTL", 0x5000049, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D2F2_PCIE_LC_STATE1", 0xa6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"D2F2_PCIE_LC_STATE0", 0xa5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"D2F2_PCIE_LC_STATE3", 0xa8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"D2F2_PCIE_LC_STATE2", 0xa7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"D2F2_PCIE_LC_STATE5", 0xaa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"D2F2_PCIE_LC_STATE4", 0xa9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"PSX80_PHY0_TX_MARGDEEMPHSTATUS_LANE6", 0x1202604, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"PSX80_PHY0_TX_MARGDEEMPHSTATUS_LANE7", 0x1202704, {
		{"ron_comp_valid", 0x40, 0x6},
		{"alloc_error", 0x400, 0xa},
		{"total_legs_allocated", 0x7f0000, 0x10},
		{"ron_comp_binary", 0x1f, 0x0},
		{"first_allocation_done", 0x1000, 0xc},
		{"too_many_allocated", 0x100, 0x8}
	} },
	{"D3F5_PCIE_PORT_VC_CNTL", 0xb000047, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"PSX81_WRP_PCIE_RXDET_OVERRIDE", 0x131800a, {
		{"RxDetOvrVal", 0xff, 0x0},
		{"RxDetOvrEn", 0x10000, 0x10}
	} },
	{"D3F4_HEADER", 0xa000003, {
		{"HEADER_TYPE", 0x7f0000, 0x10},
		{"DEVICE_TYPE", 0x800000, 0x17}
	} },
	{"PSX81_WRP_DELAYLINE_STATUS", 0x131ffd1, {
		{"DPC_CFG_posAlignmentVld", 0x8, 0x3},
		{"DPC_CFG_commandComplete", 0x2, 0x1},
		{"DPC_CFG_freqRatio", 0x1f000000, 0x18},
		{"DPC_CFG_posDelayValue", 0xff00, 0x8},
		{"DPC_CFG_controllerIdle", 0x1, 0x0},
		{"DPC_CFG_phaseLocked", 0x4, 0x2},
		{"DPC_CFG_negDelayValue", 0xff0000, 0x10},
		{"DPC_CFG_negAlignmentVld", 0x10, 0x4}
	} },
	{"D3F1_IRQ_BRIDGE_CNTL", 0x700000f, {
		{"PARITY_RESPONSE_EN", 0x10000, 0x10},
		{"ISA_EN", 0x40000, 0x12},
		{"FAST_B2B_EN", 0x800000, 0x17},
		{"VGA_EN", 0x80000, 0x13},
		{"SERR_EN", 0x20000, 0x11},
		{"MASTER_ABORT_MODE", 0x200000, 0x15},
		{"VGA_DEC", 0x100000, 0x14},
		{"SECONDARY_BUS_RESET", 0x400000, 0x16}
	} },
	{"D3F4_PCIE_TLP_PREFIX_LOG1", 0xa000063, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F1_LINK_CNTL", 0x700001a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"D2F2_PCIE_LANE_9_EQUALIZATION_CNTL", 0x30000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F4_PCIE_TLP_PREFIX_LOG0", 0xa000062, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_LC_CDR_CNTL", 0xb3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"PSX80_BIF_PCIE_PERF_CNTL_TXCLK2", 0x1400095, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D3F2_PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0x8000040, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F1_LINK_CAP2", 0x2000021, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"D3F3_PCIE_TX_ACK_LATENCY_LIMIT", 0x26, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"PSX80_PIF0_LANE3_OVRD", 0x110001a, {
		{"LINKSPEED_OVRD_EN_3", 0x4, 0x2},
		{"REQUESTFOM_OVRD_EN_3", 0x400, 0xa},
		{"RXPGENABLE_OVRD_EN_3", 0x80, 0x7},
		{"RESPONSEMODE_OVRD_EN_3", 0x800, 0xb},
		{"REQUESTTRN_OVRD_EN_3", 0x2000, 0xd},
		{"RXPWR_OVRD_EN_3", 0x40, 0x6},
		{"GANGMODE_OVRD_EN_3", 0x1, 0x0},
		{"REQUESTTRK_OVRD_EN_3", 0x1000, 0xc},
		{"COEFFICIENTID_OVRD_EN_3", 0x4000, 0xe},
		{"FREQDIV_OVRD_EN_3", 0x2, 0x1},
		{"ENABLEFOM_OVRD_EN_3", 0x200, 0x9},
		{"TXPWR_OVRD_EN_3", 0x10, 0x4},
		{"CDREN_OVRD_EN_3", 0x10000, 0x10},
		{"TWOSYMENABLE_OVRD_EN_3", 0x8, 0x3},
		{"ELECIDLEDETEN_OVRD_EN_3", 0x100, 0x8},
		{"CDREN_OVRD_VAL_3", 0x20000, 0x11},
		{"TXPGENABLE_OVRD_EN_3", 0x20, 0x5},
		{"COEFFICIENT_OVRD_EN_3", 0x8000, 0xf}
	} },
	{"BIOS_SCRATCH_13_IND", 0x10905d6, {
		{"BIOS_SCRATCH_13", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_VENDOR_SPECIFIC1", 0x6000042, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"PSX80_WRP_DTM_STI_LCLK_CTRL", 0x130ffe3, {
		{"Dtm_Sti_LCLK_Period", 0x1ff, 0x0},
		{"Dtm_Sti_LCLK_Rcv", 0x7fc0000, 0x12},
		{"Dtm_Sti_LCLK_Send", 0x3fe00, 0x9}
	} },
	{"D2F5_PCIE_VENDOR_SPECIFIC2", 0x6000043, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_MC_BLOCK_UNTRANSLATED_1", 0x30000c5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_MC_BLOCK_UNTRANSLATED_0", 0x30000c4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE7", 0x1210701, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_BROADCAST", 0x120ff07, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"D3F1_PCIE_LANE_11_EQUALIZATION_CNTL", 0x70000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE4", 0x1210401, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"PCIE_BAR2_CNTL", 0x84, {
		{"BAR_TOTAL_NUM", 0xe0, 0x5},
		{"BAR_SIZE", 0x1f00, 0x8},
		{"BAR_INDEX", 0x7, 0x0}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE5", 0x1210501, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"D2F5_PCIE_MC_CNTL", 0x60000bd, {
		{"MC_NUM_GROUP", 0x3f0000, 0x10},
		{"MC_ENABLE", 0x80000000, 0x1f}
	} },
	{"D2F3_PREF_BASE_LIMIT", 0x4000009, {
		{"PREF_MEM_BASE_31_20", 0xfff0, 0x4},
		{"PREF_MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"PREF_MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"PREF_MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"BIF_PERFCOUNTER1_RESULT", 0x152e, {
		{"PERFCOUNTER_RESULT", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_LC_BEST_EQ_SETTINGS", 0xb9, {
		{"LC_BEST_PRESET", 0xf, 0x0},
		{"LC_BEST_PRECURSOR", 0x3f0, 0x4},
		{"LC_BEST_FOM", 0x3fc00000, 0x16},
		{"LC_BEST_POSTCURSOR", 0x3f0000, 0x10},
		{"LC_BEST_CURSOR", 0xfc00, 0xa}
	} },
	{"D2F3_PCIE_MC_OVERLAY_BAR0", 0x40000c6, {
		{"MC_OVERLAY_SIZE", 0x3f, 0x0},
		{"MC_OVERLAY_BAR_0", 0xffffffc0, 0x6}
	} },
	{"D2F3_PCIE_MC_OVERLAY_BAR1", 0x40000c7, {
		{"MC_OVERLAY_BAR_1", 0xffffffff, 0x0}
	} },
	{"D3F1_MSI_MSG_ADDR_LO", 0x7000029, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"D3F5_PCIE_TLP_PREFIX_LOG3", 0xb000065, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_RX_VENDOR_SPECIFIC", 0x72, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_CI_CNTL", 0x1410020, {
		{"CI_MST_CMPL_DUMMY_DATA", 0x10, 0x4},
		{"CI_SLV_RC_RD_REQ_SIZE", 0xc0, 0x6},
		{"CI_SLV_CPL_ALLOC_SOR", 0x1000, 0xc},
		{"CI_SLAVE_GEN_USR_DIS", 0x8, 0x3},
		{"CI_RC_ORDERING_DIS", 0x200, 0x9},
		{"CI_SLV_ORDERING_DIS", 0x100, 0x8},
		{"CI_SLV_CPL_ALLOC_DIS", 0x400, 0xa},
		{"CI_SLV_CPL_ALLOC_MODE", 0x800, 0xb},
		{"CI_SLAVE_SPLIT_MODE", 0x4, 0x2}
	} },
	{"D3F2_PCIE_TLP_PREFIX_LOG3", 0x8000065, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_TLP_PREFIX_LOG2", 0x8000064, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_TLP_PREFIX_LOG1", 0x8000063, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D3F2_SLOT_CNTL2", 0x8000024, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"PSX80_WRP_PCIE_PORT_IS_SB_D", 0x1500b13, {
		{"PORT_IS_SB", 0x1, 0x0}
	} },
	{"PSX80_WRP_PCIE_PORT_IS_SB_E", 0x1500c13, {
		{"PORT_IS_SB", 0x1, 0x0}
	} },
	{"D3F3_PCIE_MC_CNTL", 0x90000bd, {
		{"MC_NUM_GROUP", 0x3f0000, 0x10},
		{"MC_ENABLE", 0x80000000, 0x1f}
	} },
	{"PSX80_WRP_PCIE_PORT_IS_SB_C", 0x1500a13, {
		{"PORT_IS_SB", 0x1, 0x0}
	} },
	{"D3F1_SLOT_STATUS2", 0x7000024, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D3F3_PCIE_TX_CREDITS_INIT_CPL", 0x35, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"BIF_VDDGFX_RSV2_UPPER_IND", 0x1091437, {
		{"VDDGFX_RSV2_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX81_BIF_PCIE_PERF_CNTL_SLV_S_C_CLK", 0x141008d, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D3F4_PCIE_LANE_3_EQUALIZATION_CNTL", 0xa0000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"BIF_BUSY_DELAY_CNTR_IND", 0x1091529, {
		{"DELAY_CNT", 0x3f, 0x0}
	} },
	{"D3F3_SLOT_STATUS2", 0x9000024, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D2F3_PCIE_LANE_5_EQUALIZATION_CNTL", 0x40000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F3_SLOT_CNTL2", 0x9000024, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_RX_ELECIDLE_DEBUG_BROADCAST", 0x121fe05, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PSX81_WRP_BIF_STRAP_ASPM_A", 0x1510802, {
		{"STRAP_BIF_L0S_EXIT_LATENCY", 0x380000, 0x13},
		{"STRAP_BIF_L1_EXIT_LATENCY", 0x70000, 0x10},
		{"STRAP_BIF_PM_SUPPORT", 0xc000, 0xe},
		{"STRAP_ENABLE_SIGNAL_EXIT_L1", 0x400000, 0x16}
	} },
	{"BIF_VDDGFX_RSV4_UPPER", 0x143b, {
		{"VDDGFX_RSV4_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX80_WRP_PCIE_WRAP_PIF_MISC", 0x1308009, {
		{"DTM_PIF_ATSEL_DI", 0x100, 0x8},
		{"DTM_PIF_DELAY_FI", 0x7, 0x0},
		{"DTM_PIF_DELAY_DI", 0x70, 0x4},
		{"DTM_PIF_ATSEL_FI", 0x80, 0x7}
	} },
	{"D3F3_PCIE_RX_CREDITS_ALLOCATED_CPL", 0x82, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"D2F3_PCIE_TX_CREDITS_ADVT_NP", 0x31, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"D3F4_SSID_CAP_LIST", 0xa000030, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F4_MEM_BASE_LIMIT", 0x5000008, {
		{"MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"MEM_BASE_31_20", 0xfff0, 0x4},
		{"MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"PCIE_PWR_BUDGET_DATA_SELECT", 0x91, {
		{"DATA_SELECT", 0xff, 0x0}
	} },
	{"CONFIG_CNTL", 0x1509, {
		{"GRPH_ADRSEL", 0x18, 0x3},
		{"VGA_DIS", 0x2, 0x1},
		{"CFG_VGA_RAM_EN", 0x1, 0x0},
		{"GENMO_MONO_ADDRESS_B", 0x4, 0x2}
	} },
	{"BIF_PERFMON_CNTL_IND", 0x109152c, {
		{"PERFCOUNTER_EN", 0x1, 0x0},
		{"PERFCOUNTER_RESET1", 0x4, 0x2},
		{"PERFCOUNTER_RESET0", 0x2, 0x1},
		{"PERF_SEL1", 0x3e000, 0xd},
		{"PERF_SEL0", 0x1f00, 0x8}
	} },
	{"D3F1_PCIE_ACS_CAP", 0x70000a9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"D2F1_SLOT_STATUS2", 0x2000024, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D3F4_PCIE_RX_CREDITS_ALLOCATED_NP", 0x81, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"D2F5_PCIE_TX_CREDITS_FCU_THRESHOLD", 0x37, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"D3F2_SUB_BUS_NUMBER_LATENCY", 0x8000006, {
		{"SECONDARY_BUS", 0xff00, 0x8},
		{"PRIMARY_BUS", 0xff, 0x0},
		{"SUB_BUS_NUM", 0xff0000, 0x10},
		{"SECONDARY_LATENCY_TIMER", 0xff000000, 0x18}
	} },
	{"D3F2_MEM_BASE_LIMIT", 0x8000008, {
		{"MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"MEM_BASE_31_20", 0xfff0, 0x4},
		{"MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D3F4_PCIE_MC_ENH_CAP_LIST", 0xa0000bc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F3_PCIE_TX_CNTL", 0x20, {
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"BIOS_SCRATCH_1_IND", 0x10905ca, {
		{"BIOS_SCRATCH_1", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_CORR_ERR_MASK", 0x6000059, {
		{"CORR_INT_ERR_MASK", 0x4000, 0xe},
		{"BAD_TLP_MASK", 0x40, 0x6},
		{"REPLAY_NUM_ROLLOVER_MASK", 0x100, 0x8},
		{"ADVISORY_NONFATAL_ERR_MASK", 0x2000, 0xd},
		{"RCV_ERR_MASK", 0x1, 0x0},
		{"REPLAY_TIMER_TIMEOUT_MASK", 0x1000, 0xc},
		{"HDR_LOG_OVFL_MASK", 0x8000, 0xf},
		{"BAD_DLLP_MASK", 0x80, 0x7}
	} },
	{"HDP_MEM_COHERENCY_FLUSH_CNTL_IND", 0x1091520, {
		{"HDP_MEM_FLUSH_ADDR", 0x1, 0x0}
	} },
	{"D2F2_MSI_CAP_LIST", 0x3000028, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F5_PCIE_CAP", 0x6000016, {
		{"SLOT_IMPLEMENTED", 0x1000000, 0x18},
		{"VERSION", 0xf0000, 0x10},
		{"DEVICE_TYPE", 0xf00000, 0x14},
		{"INT_MESSAGE_NUM", 0x3e000000, 0x19}
	} },
	{"PSX80_BIF_PCIE_WPR_CNTL", 0x1400030, {
		{"WPR_RESET_STY_EN", 0x20, 0x5},
		{"WPR_RESET_HOT_RST_EN", 0x1, 0x0},
		{"WPR_RESET_LNK_DIS_EN", 0x4, 0x2},
		{"WPR_RESET_REG_EN", 0x10, 0x4},
		{"WPR_RESET_LNK_DWN_EN", 0x2, 0x1},
		{"WPR_RESET_COR_EN", 0x8, 0x3},
		{"WPR_RESET_PHY_EN", 0x40, 0x6}
	} },
	{"D2F1_MSI_MAP_ADDR_LO", 0x2000033, {
		{"MSI_MAP_ADDR_LO", 0xfff00000, 0x14}
	} },
	{"D3F2_COMMAND", 0x8000001, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"D2F4_PCIE_LANE_7_EQUALIZATION_CNTL", 0x50000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F5_HEADER", 0x6000003, {
		{"HEADER_TYPE", 0x7f0000, 0x10},
		{"DEVICE_TYPE", 0x800000, 0x17}
	} },
	{"PSX80_PIF0_STRAP_0", 0x1100003, {
		{"STRAP_TX_RDY_XTND_DIS", 0x2, 0x1},
		{"STRAP_RX_DIS_HLD_EIE_IN_PS2", 0x800, 0xb},
		{"STRAP_RX_RDY_XTND_DIS", 0x4, 0x2},
		{"STRAP_RX_EI_FILTER", 0x300, 0x8},
		{"STRAP_PIF_CDR_EN_MODE", 0xc0, 0x6},
		{"STRAP_PIF_BIT_12", 0x1000, 0xc},
		{"STRAP_PIF_BIT_13", 0x2000, 0xd},
		{"STRAP_PIF_BIT_16", 0x10000, 0x10},
		{"STRAP_PIF_BIT_14", 0x4000, 0xe},
		{"STRAP_PIF_BIT_15", 0x8000, 0xf},
		{"STRAP_FORCE_OWN_MSTR", 0x20, 0x5},
		{"STRAP_TX_STATUS_XTND_DIS", 0x8, 0x3},
		{"STRAP_RX_STATUS_XTND_DIS", 0x10, 0x4},
		{"STRAP_RX_DIS_HLD_EIE_IN_PS1", 0x400, 0xa}
	} },
	{"CONFIG_CNTL_IND", 0x1091509, {
		{"GRPH_ADRSEL", 0x18, 0x3},
		{"VGA_DIS", 0x2, 0x1},
		{"CFG_VGA_RAM_EN", 0x1, 0x0},
		{"GENMO_MONO_ADDRESS_B", 0x4, 0x2}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PciPllControl", 0x1214002, {
		{"FastLock", 0x4000000, 0x1a},
		{"LpfRes", 0x3000, 0xc},
		{"VcoRangeBin", 0x700, 0x8},
		{"FastLockTimer", 0x3c00000, 0x16},
		{"ClearLockDetect", 0x10000000, 0x1c},
		{"PllLocked", 0x20000000, 0x1d},
		{"CpiDac3_0", 0x3c000, 0xe},
		{"ManaregRampTimer", 0xc0000000, 0x1e},
		{"VcoRange", 0xff, 0x0},
		{"CpiDac7_4", 0x3c0000, 0x12}
	} },
	{"GARLIC_COHE_VCE_RB_WPTR_IND", 0x1091421, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PSX81_BIF_PCIE_PRBS_FREERUN", 0x14100cb, {
		{"PRBS_FREERUN", 0xffff, 0x0}
	} },
	{"D3F1_PCIE_PORT_DATA", 0x7000039, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_TLP_PREFIX_LOG2", 0x6000064, {
		{"TLP_PREFIX", 0xffffffff, 0x0}
	} },
	{"D2F2_LINK_CAP", 0x3000019, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"D3F3_PCIE_MC_ADDR1", 0x90000bf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_MC_ADDR0", 0x90000be, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"BIF_VDDGFX_RSV3_UPPER", 0x1439, {
		{"VDDGFX_RSV3_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"D3F3_PCIE_VC0_RESOURCE_CNTL", 0x9000049, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D3F5_PCIE_TX_CNTL", 0x20, {
		{"TX_RO_OVERRIDE", 0x3000, 0xc},
		{"TX_NP_PASS_P", 0x200000, 0x15},
		{"TX_FLUSH_TLP_DIS", 0x8000, 0xf},
		{"TX_CPL_PASS_P", 0x100000, 0x14},
		{"TX_CLEAR_EXTRA_PM_REQS", 0x400000, 0x16},
		{"TX_PACK_PACKET_DIS", 0x4000, 0xe},
		{"TX_SNR_OVERRIDE", 0xc00, 0xa},
		{"TX_FC_UPDATE_TIMEOUT_DIS", 0x800000, 0x17}
	} },
	{"D3F5_PCIE_FC_NP", 0x61, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"D2F3_PCIE_RX_VENDOR_SPECIFIC", 0x72, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"D3F4_PREF_BASE_UPPER", 0xa00000a, {
		{"PREF_BASE_UPPER", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_PORT_DATA", 0x2000039, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"PSX80_WRP_BIF_STRAP_LINK_SPEED_CORE", 0x1500002, {
		{"STRAP_PLL_CMP_FREQ_MODE", 0xc, 0x2},
		{"STRAP_BIF_FORCE_GEN2_MODE", 0x10, 0x4},
		{"STRAP_BIF_ALWAYS_USE_FAST_TXCLK", 0x2, 0x1}
	} },
	{"BIF_PWDN_COMMAND", 0x1444, {
		{"REG_BX_pw_cmd", 0x4, 0x2},
		{"REG_FBU_pw_cmd", 0x1, 0x0},
		{"REG_RWREG_RFEWGBIF_pw_cmd", 0x2, 0x1}
	} },
	{"D3F3_BIST", 0x9000003, {
		{"BIST_STRT", 0x40000000, 0x1e},
		{"BIST_COMP", 0xf000000, 0x18},
		{"BIST_CAP", 0x80000000, 0x1f}
	} },
	{"C_PCIE_P_INDEX", 0x38, {
		{"PCIE_INDEX", 0xffffffff, 0x0}
	} },
	{"D3F3_PREF_LIMIT_UPPER", 0x900000b, {
		{"PREF_LIMIT_UPPER", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_RX_CNTL", 0x70, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_RCB_FLR_TIMEOUT_DIS", 0x8000000, 0x1b},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_TPH_DIS", 0x4000000, 0x1a},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"REMAP_HDP_REG_FLUSH_CNTL", 0x1427, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D3F1_PCIEP_HW_DEBUG", 0x2, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"PSX81_BIF_PCIE_RX_NUM_NAK_GENERATED", 0x141000f, {
		{"RX_NUM_NAK_GENERATED", 0xffffffff, 0x0}
	} },
	{"D2F3_PMI_CAP", 0x4000014, {
		{"DEV_SPECIFIC_INIT", 0x200000, 0x15},
		{"AUX_CURRENT", 0x1c00000, 0x16},
		{"VERSION", 0x70000, 0x10},
		{"D2_SUPPORT", 0x4000000, 0x1a},
		{"PME_SUPPORT", 0xf8000000, 0x1b},
		{"PME_CLOCK", 0x80000, 0x13},
		{"D1_SUPPORT", 0x2000000, 0x19}
	} },
	{"D3F5_PCIE_LC_STATE5", 0xaa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"D3F5_PCIE_LC_STATE4", 0xa9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"D3F5_PCIE_LC_STATE3", 0xa8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"D3F5_PCIE_LC_STATE2", 0xa7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"D2F2_PCIE_LC_LINK_WIDTH_CNTL", 0xa2, {
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_WAIT_FOR_L_IDLE_IN_R_IDLE", 0x4000000, 0x1a},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_HOLD_EI_FOR_RSPEED_CMD_CHANGE", 0x10000000, 0x1c},
		{"LC_BYPASS_RXL0S_ON_SHORT_EI", 0x20000000, 0x1d},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_RESET_TSX_CNT_IN_RCONFIG_EN", 0x2000000, 0x19},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_MULT_REVERSE_ATTEMP_EN", 0x1000000, 0x18},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_WAIT_FOR_NON_EI_ON_RXL0S_EXIT", 0x8000000, 0x1b},
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc}
	} },
	{"PCIE_RX_NUM_NAK", 0x140000e, {
		{"RX_NUM_NAK", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_TX_CREDITS_ADVT_P", 0x30, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"D3F4_PCIEP_ERROR_INJECT_PHYSICAL", 0x83, {
		{"ERROR_INJECT_PL_BAD_SYNC_HEADER", 0xc00000, 0x16},
		{"ERROR_INJECT_PL_LOOPBACK_OFLOW", 0xc00, 0xa},
		{"ERROR_INJECT_PL_BAD_PARITY_IN_SKP", 0x30, 0x4},
		{"ERROR_INJECT_PL_8B10B_DISPARITY_ERR", 0xc000, 0xe},
		{"ERROR_INJECT_PL_LOOPBACK_UFLOW", 0x300, 0x8},
		{"ERROR_INJECT_PL_FRAMING_ERR", 0xc, 0x2},
		{"ERROR_INJECT_PL_BAD_LFSR_IN_SKP", 0xc0, 0x6},
		{"ERROR_INJECT_PL_LANE_ERR", 0x3, 0x0},
		{"ERROR_INJECT_PL_SKP_OS_ERROR", 0xc0000, 0x12},
		{"ERROR_INJECT_PL_INV_OS_IDENTIFIER", 0x300000, 0x14},
		{"ERROR_INJECT_PL_DESKEW_ERR", 0x3000, 0xc},
		{"ERROR_INJECT_PL_8B10B_DECODE_ERR", 0x30000, 0x10}
	} },
	{"D3F3_PCIEP_HPGI_PRIVATE", 0xd2, {
		{"PRESENCE_DETECT_STATE_PRIVATE", 0x40, 0x6},
		{"PRESENCE_DETECT_CHANGED_PRIVATE", 0x8, 0x3}
	} },
	{"D2F4_PCIE_ERR_SRC_ID", 0x5000061, {
		{"ERR_CORR_SRC_ID", 0xffff, 0x0},
		{"ERR_FATAL_NONFATAL_SRC_ID", 0xffff0000, 0x10}
	} },
	{"BIF_VDDGFX_GFX2_UPPER", 0x142d, {
		{"VDDGFX_GFX2_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX80_WRP_DTM_DENTIST_GATE_TIMING_FI_clkGskt", 0x130ffe7, {
		{"DentistGate_dropoutTime_FI_clkGskt", 0xff00, 0x8},
		{"DentistGate_startTime_FI_clkGskt", 0xff, 0x0},
		{"DentistGate_stopTime_FI_clkGskt", 0xff0000, 0x10}
	} },
	{"D3F1_LINK_CNTL2", 0x7000022, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"D3F2_PCIEP_PORT_CNTL", 0x10, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"D2F2_PCIE_ROOT_ERR_CMD", 0x300005f, {
		{"FATAL_ERR_REP_EN", 0x4, 0x2},
		{"CORR_ERR_REP_EN", 0x1, 0x0},
		{"NONFATAL_ERR_REP_EN", 0x2, 0x1}
	} },
	{"NB_GBIF_INDEX", 0x34, {
		{"NB_GBIF_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_RX_CREDITS_ALLOCATED_NP", 0x81, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"PCIE_LANE_ERROR_STATUS", 0x9e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"PEER2_FB_OFFSET_LO", 0x14ee, {
		{"PEER2_FB_OFFSET_LO", 0xfffff, 0x0},
		{"PEER2_FB_EN", 0x80000000, 0x1f}
	} },
	{"PSX81_WRP_PCIE_EFUSE6", 0x151fff5, {
		{"PCIE_EFUSE6", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_PCIE_EFUSE7", 0x151fff6, {
		{"PCIE_EFUSE7", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_PCIE_EFUSE4", 0x151fff3, {
		{"PCIE_EFUSE4", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_PCIE_EFUSE5", 0x151fff4, {
		{"PCIE_EFUSE5", 0xffffffff, 0x0}
	} },
	{"D3F1_SLOT_STATUS", 0x700001c, {
		{"PRESENCE_DETECT_STATE", 0x400000, 0x16},
		{"DL_STATE_CHANGED", 0x1000000, 0x18},
		{"MRL_SENSOR_CHANGED", 0x40000, 0x12},
		{"ELECTROMECH_INTERLOCK_STATUS", 0x800000, 0x17},
		{"ATTN_BUTTON_PRESSED", 0x10000, 0x10},
		{"MRL_SENSOR_STATE", 0x200000, 0x15},
		{"PWR_FAULT_DETECTED", 0x20000, 0x11},
		{"COMMAND_COMPLETED", 0x100000, 0x14},
		{"PRESENCE_DETECT_CHANGED", 0x80000, 0x13}
	} },
	{"PSX81_WRP_PCIE_EFUSE3", 0x151fff2, {
		{"PCIE_EFUSE3", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_RX_FOMCALCCTL_LANE0", 0x120000b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"PSX80_PHY0_RX_FOMCALCCTL_LANE1", 0x120010b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"D3F4_DEVICE_ID", 0xa000000, {
		{"DEVICE_ID", 0xffff0000, 0x10}
	} },
	{"D2F1_PCIE_FC_P", 0x60, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"RFE_IMPARBH_CONTROL", 0x1080083, {
		{"REG_IMPA_throttleTimer", 0x3ff, 0x0}
	} },
	{"D2F5_MEM_BASE_LIMIT", 0x6000008, {
		{"MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"MEM_BASE_31_20", 0xfff0, 0x4},
		{"MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"PSX80_PIF0_LANE2_OVRD", 0x1100018, {
		{"REQUESTFOM_OVRD_EN_2", 0x400, 0xa},
		{"LINKSPEED_OVRD_EN_2", 0x4, 0x2},
		{"COEFFICIENTID_OVRD_EN_2", 0x4000, 0xe},
		{"RXPGENABLE_OVRD_EN_2", 0x80, 0x7},
		{"RESPONSEMODE_OVRD_EN_2", 0x800, 0xb},
		{"ENABLEFOM_OVRD_EN_2", 0x200, 0x9},
		{"CDREN_OVRD_VAL_2", 0x20000, 0x11},
		{"GANGMODE_OVRD_EN_2", 0x1, 0x0},
		{"RXPWR_OVRD_EN_2", 0x40, 0x6},
		{"REQUESTTRN_OVRD_EN_2", 0x2000, 0xd},
		{"FREQDIV_OVRD_EN_2", 0x2, 0x1},
		{"REQUESTTRK_OVRD_EN_2", 0x1000, 0xc},
		{"TXPWR_OVRD_EN_2", 0x10, 0x4},
		{"CDREN_OVRD_EN_2", 0x10000, 0x10},
		{"TWOSYMENABLE_OVRD_EN_2", 0x8, 0x3},
		{"ELECIDLEDETEN_OVRD_EN_2", 0x100, 0x8},
		{"TXPGENABLE_OVRD_EN_2", 0x20, 0x5},
		{"COEFFICIENT_OVRD_EN_2", 0x8000, 0xf}
	} },
	{"PSX80_PHY0_TX_TXCNTRL_LANE6", 0x1202606, {
		{"rxdetect_response", 0x800, 0xb}
	} },
	{"PSX81_PHY0_COM_COMMON_ADAPT_CFG_BYP_VAL1", 0x121620d, {
		{"adapt_cfg_gen12_pi_off_byp_val", 0xf00, 0x8},
		{"adapt_cfg_gen3_pi_off_byp_val", 0x1e000, 0xd},
		{"adapt_cfg_gen12_dfe_tp2_byp_val", 0x3f, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_15", 0x14000df, {
		{"PRBS_ERRCNT_15", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_LANE_1_EQUALIZATION_CNTL", 0x300009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F3_PCIE_LC_SPEED_CNTL", 0xa4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"D3F4_PCIE_RX_CNTL", 0x70, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_RCB_FLR_TIMEOUT_DIS", 0x8000000, 0x1b},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_TPH_DIS", 0x4000000, 0x1a},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"D3F1_EXT_BRIDGE_CNTL", 0x7000010, {
		{"IO_PORT_80_EN", 0x1, 0x0}
	} },
	{"D3F4_PCIE_TX_CREDITS_INIT_CPL", 0x35, {
		{"TX_CREDITS_INIT_CPLH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_CPLD", 0xfff, 0x0}
	} },
	{"GARLIC_FLUSH_CNTL_IND", 0x1091401, {
		{"VCE_RB_WPTR", 0x1000, 0xc},
		{"IGNORE_MC_DISABLE", 0x40000000, 0x1e},
		{"CP_DMA_PIO_COMMAND", 0x8000, 0xf},
		{"DISPLAY", 0x10000, 0x10},
		{"SDMA2_GFX_RB_WPTR", 0x20000, 0x11},
		{"SDMA3_GFX_RB_WPTR", 0x40000, 0x12},
		{"SDMA1_GFX_RB_WPTR", 0x20, 0x5},
		{"CP_RB2_WPTR", 0x4, 0x2},
		{"CP_DMA_PFP_COMMAND", 0x80, 0x7},
		{"VCE_RB_WPTR2", 0x800, 0xb},
		{"CP_DMA_ME_COMMAND", 0x40, 0x6},
		{"SDMA0_GFX_RB_WPTR", 0x10, 0x4},
		{"SAM_SAB_RBI_WPTR", 0x100, 0x8},
		{"SAM_SAB_RBO_WPTR", 0x200, 0x9},
		{"VCE_OUT_RB_WPTR", 0x400, 0xa},
		{"HOST_DOORBELL", 0x2000, 0xd},
		{"CP_RB0_WPTR", 0x1, 0x0},
		{"CP_RB1_WPTR", 0x2, 0x1},
		{"SELFRING_DOORBELL", 0x4000, 0xe},
		{"DISABLE_ALL", 0x80000000, 0x1f},
		{"UVD_RBC_RB_WPTR", 0x8, 0x3}
	} },
	{"BIF_DOORBELL_CNTL", 0x14c3, {
		{"TRANS_CHECK_DIS", 0x2, 0x1},
		{"DOORBELL_MONITOR_EN", 0x10, 0x4},
		{"SELF_RING_DIS", 0x1, 0x0},
		{"DOORBELL_INTERRUPT_CLEAR", 0x10000, 0x10},
		{"UNTRANS_LBACK_EN", 0x4, 0x2},
		{"DOORBELL_INTERRUPT_STATUS", 0x20, 0x5},
		{"NON_CONSECUTIVE_BE_ZERO_DIS", 0x8, 0x3}
	} },
	{"PSX80_PHY0_COM_COMMON_ADAPT_DBG1", 0x1206210, {
		{"adapt_dbg_apu_exec", 0x1c0, 0x6},
		{"adapt_dbg_apu_inst", 0x3fffc00, 0xa},
		{"adapt_dbg_apu_mode", 0x7, 0x0}
	} },
	{"D3F1_LINK_STATUS", 0x700001a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x80000000, 0x1f},
		{"DL_ACTIVE", 0x20000000, 0x1d},
		{"SLOT_CLOCK_CFG", 0x10000000, 0x1c},
		{"LINK_TRAINING", 0x8000000, 0x1b},
		{"LINK_BW_MANAGEMENT_STATUS", 0x40000000, 0x1e},
		{"CURRENT_LINK_SPEED", 0xf0000, 0x10},
		{"NEGOTIATED_LINK_WIDTH", 0x3f00000, 0x14}
	} },
	{"PSX80_PHY0_RX_CMD_BUS_RX_CONTROL_LANE5", 0x1200500, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D3F5_PCIE_HDR_LOG1", 0xb00005c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F3_PMI_STATUS_CNTL", 0x9000015, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"D2F5_IO_BASE_LIMIT", 0x6000007, {
		{"IO_LIMIT", 0xf000, 0xc},
		{"IO_LIMIT_TYPE", 0xf00, 0x8},
		{"IO_BASE", 0xf0, 0x4},
		{"IO_BASE_TYPE", 0xf, 0x0}
	} },
	{"D2F2_IRQ_BRIDGE_CNTL", 0x300000f, {
		{"PARITY_RESPONSE_EN", 0x10000, 0x10},
		{"ISA_EN", 0x40000, 0x12},
		{"FAST_B2B_EN", 0x800000, 0x17},
		{"VGA_EN", 0x80000, 0x13},
		{"SERR_EN", 0x20000, 0x11},
		{"MASTER_ABORT_MODE", 0x200000, 0x15},
		{"VGA_DEC", 0x100000, 0x14},
		{"SECONDARY_BUS_RESET", 0x400000, 0x16}
	} },
	{"D2F3_PCIE_ADV_ERR_CAP_CNTL", 0x400005a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"D3F3_PCIE_CAP", 0x9000016, {
		{"SLOT_IMPLEMENTED", 0x1000000, 0x18},
		{"VERSION", 0xf0000, 0x10},
		{"DEVICE_TYPE", 0xf00000, 0x14},
		{"INT_MESSAGE_NUM", 0x3e000000, 0x19}
	} },
	{"D2F1_PCIE_LANE_6_EQUALIZATION_CNTL", 0x20000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"CLKREQB_PAD_CNTL", 0x1521, {
		{"CLKREQB_PAD_SPARE", 0x18, 0x3},
		{"CLKREQB_PAD_SEL", 0x2, 0x1},
		{"CLKREQB_PAD_MODE", 0x4, 0x2},
		{"CLKREQB_PAD_SLEWN", 0x200, 0x9},
		{"CLKREQB_PAD_SN3", 0x100, 0x8},
		{"CLKREQB_PAD_SN2", 0x80, 0x7},
		{"CLKREQB_PAD_SN1", 0x40, 0x6},
		{"CLKREQB_PAD_SN0", 0x20, 0x5},
		{"CLKREQB_PAD_WAKE", 0x400, 0xa},
		{"CLKREQB_PAD_CNTL_EN", 0x1000, 0xc},
		{"CLKREQB_PAD_A", 0x1, 0x0},
		{"CLKREQB_PAD_SCHMEN", 0x800, 0xb}
	} },
	{"BF_ANA_ISO_CNTL", 0x14c7, {
		{"BF_VDDC_ISO_DIS_MASK", 0x2, 0x1},
		{"BF_ANA_ISO_DIS_MASK", 0x1, 0x0}
	} },
	{"D2F5_LINK_STATUS", 0x600001a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x80000000, 0x1f},
		{"DL_ACTIVE", 0x20000000, 0x1d},
		{"SLOT_CLOCK_CFG", 0x10000000, 0x1c},
		{"LINK_TRAINING", 0x8000000, 0x1b},
		{"LINK_BW_MANAGEMENT_STATUS", 0x40000000, 0x1e},
		{"CURRENT_LINK_SPEED", 0xf0000, 0x10},
		{"NEGOTIATED_LINK_WIDTH", 0x3f00000, 0x14}
	} },
	{"D2F1_PCIE_SECONDARY_ENH_CAP_LIST", 0x200009c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F3_CACHE_LINE", 0x4000003, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"D2F3_PCIE_LANE_ERROR_STATUS", 0x400009e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"LANE_ERROR_STATUS_BITS", 0xffff, 0x0}
	} },
	{"D2F4_PCIE_LC_TRAINING_CNTL", 0xa1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_WAIT_FOR_SETS_IN_RCFG", 0x4000, 0xe},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_HOT_RESET_QUICK_EXIT_EN", 0x8000, 0xf},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"D3F1_IO_BASE_LIMIT_HI", 0x700000c, {
		{"IO_LIMIT_31_16", 0xffff0000, 0x10},
		{"IO_BASE_31_16", 0xffff, 0x0}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT1_TXCLK", 0x1410083, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"PSX81_WRP_DTM_CNTL_LEGACY", 0x131ffe2, {
		{"fifoInit_one_dropout", 0x2, 0x1},
		{"Dtm_txPhyStsOk_slide", 0x300, 0x8},
		{"Dtm_Sti_TXCLK_Period", 0xf000, 0xc},
		{"Dtm_GsktClk_2sym", 0x8, 0x3},
		{"Dtm_Sti_TXCLK_Send", 0xf0000, 0x10},
		{"Dtm_earlyRst_slide", 0xc0, 0x6},
		{"Dtm_hardRst_slide", 0x30, 0x4},
		{"Dtm_Sti_TXCLK_Rcv", 0xf00000, 0x14},
		{"Dtm_Dummy19", 0x1, 0x0},
		{"Dtm_Clk_2sym", 0x4, 0x2}
	} },
	{"PCIE_BAR5_CAP", 0x89, {
		{"BAR_SIZE_SUPPORTED", 0xfffff0, 0x4}
	} },
	{"PSX81_PIF0_GLB_OVRD2", 0x111000d, {
		{"X2_LANE_5_4_OVRD", 0x4, 0x2},
		{"X4_LANE_11_8_OVRD", 0x400, 0xa},
		{"X2_LANE_3_2_OVRD", 0x2, 0x1},
		{"X4_LANE_3_0_OVRD", 0x100, 0x8},
		{"X8_LANE_7_0_OVRD", 0x10000, 0x10},
		{"X2_LANE_9_8_OVRD", 0x10, 0x4},
		{"X4_LANE_7_4_OVRD", 0x200, 0x9},
		{"X4_LANE_15_12_OVRD", 0x800, 0xb},
		{"X8_LANE_15_8_OVRD", 0x20000, 0x11},
		{"X16_LANE_15_0_OVRD", 0x100000, 0x14},
		{"X2_LANE_13_12_OVRD", 0x40, 0x6},
		{"X2_LANE_1_0_OVRD", 0x1, 0x0},
		{"X2_LANE_7_6_OVRD", 0x8, 0x3},
		{"X2_LANE_11_10_OVRD", 0x20, 0x5},
		{"X2_LANE_15_14_OVRD", 0x80, 0x7}
	} },
	{"D3F4_INTERRUPT_PIN", 0xa00000f, {
		{"INTERRUPT_PIN", 0xff00, 0x8}
	} },
	{"D3F1_PCIE_LC_SPEED_CNTL", 0xa4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"D2F1_SLOT_STATUS", 0x200001c, {
		{"PRESENCE_DETECT_STATE", 0x400000, 0x16},
		{"DL_STATE_CHANGED", 0x1000000, 0x18},
		{"MRL_SENSOR_CHANGED", 0x40000, 0x12},
		{"ELECTROMECH_INTERLOCK_STATUS", 0x800000, 0x17},
		{"ATTN_BUTTON_PRESSED", 0x10000, 0x10},
		{"MRL_SENSOR_STATE", 0x200000, 0x15},
		{"PWR_FAULT_DETECTED", 0x20000, 0x11},
		{"COMMAND_COMPLETED", 0x100000, 0x14},
		{"PRESENCE_DETECT_CHANGED", 0x80000, 0x13}
	} },
	{"PSX81_WRP_LNCNT_WEIGHT", 0x1518033, {
		{"CFG_LNC_CMN_WEIGHT16", 0xffff0000, 0x10},
		{"CFG_LNC_BW_WEIGHT0", 0xffff, 0x0}
	} },
	{"BIF_BACO_DEBUG", 0x14df, {
		{"BIF_BACO_SCANDUMP_FLG", 0x1, 0x0}
	} },
	{"D2F3_SUB_CLASS", 0x4000002, {
		{"SUB_CLASS", 0xff0000, 0x10}
	} },
	{"D3F3_LINK_STATUS2", 0x9000022, {
		{"LINK_EQUALIZATION_REQUEST", 0x200000, 0x15},
		{"CUR_DEEMPHASIS_LEVEL", 0x10000, 0x10},
		{"EQUALIZATION_COMPLETE", 0x20000, 0x11},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x80000, 0x13},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x100000, 0x14},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x40000, 0x12}
	} },
	{"D2F2_PCIE_LANE_5_EQUALIZATION_CNTL", 0x30000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"BIF_PERFCOUNTER0_RESULT_IND", 0x109152d, {
		{"PERFCOUNTER_RESULT", 0xffffffff, 0x0}
	} },
	{"PCIE_CNTL", 0x1400010, {
		{"UR_ERR_REPORT_DIS", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_TEST_MODE", 0x80000, 0x13},
		{"RX_RCB_WRONG_FUNCNUM_DIS", 0x400000, 0x16},
		{"RX_RCB_UNEXP_CPL_DIS", 0x40000, 0x12},
		{"RX_RCB_INVALID_SIZE_DIS", 0x20000, 0x11},
		{"RX_CPL_POSTED_REQ_ORD_EN", 0x80000000, 0x1f},
		{"RX_ATS_TRAN_CPL_SPLIT_DIS", 0x800000, 0x17},
		{"PCIE_MALFORM_ATOMIC_OPS", 0x100, 0x8},
		{"LC_HOT_PLUG_DELAY_SEL", 0xe, 0x1},
		{"TX_CPL_DEBUG", 0x3f000000, 0x18},
		{"HWINIT_WR_LOCK", 0x1, 0x0},
		{"RX_SB_ADJ_PAYLOAD_SIZE", 0x1c00, 0xa},
		{"RX_IGNORE_LTR_MSG_UR", 0x40000000, 0x1e},
		{"RX_RCB_WRONG_ATTR_DIS", 0x200000, 0x15},
		{"PCIE_HT_NP_MEM_WRITE", 0x200, 0x9},
		{"RX_RCB_ATS_UC_DIS", 0x8000, 0xf},
		{"RX_RCB_REORDER_EN", 0x10000, 0x10},
		{"RX_RCB_CHANNEL_ORDERING", 0x100000, 0x14}
	} },
	{"D3F5_PCIEP_STRAP_LC", 0xc0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"D3F2_PCIE_LANE_7_EQUALIZATION_CNTL", 0x80000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F2_PCIE_MC_CAP", 0x80000bd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"D2F5_REVISION_ID", 0x6000002, {
		{"MAJOR_REV_ID", 0xf0, 0x4},
		{"MINOR_REV_ID", 0xf, 0x0}
	} },
	{"PSX80_WRP_BIF_STRAP_LC_MISC_PORT_D", 0x1500b03, {
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x800, 0xb},
		{"STRAP_BIF_LC_SPC_MODE_5GT", 0x2000, 0xd},
		{"STRAP_BIF_LC_SPC_MODE_8GT", 0x4000, 0xe},
		{"STRAP_BIF_LC_SPC_MODE_2P5GT", 0x1000, 0xc},
		{"STRAP_BIF_DE_EMPHASIS_SEL", 0x20, 0x5}
	} },
	{"PSX80_WRP_BIF_STRAP_LC_MISC_PORT_E", 0x1500c03, {
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x800, 0xb},
		{"STRAP_BIF_LC_SPC_MODE_5GT", 0x2000, 0xd},
		{"STRAP_BIF_LC_SPC_MODE_8GT", 0x4000, 0xe},
		{"STRAP_BIF_LC_SPC_MODE_2P5GT", 0x1000, 0xc},
		{"STRAP_BIF_DE_EMPHASIS_SEL", 0x20, 0x5}
	} },
	{"D3F4_PCIE_PORT_INDEX", 0xa000038, {
		{"PCIE_INDEX", 0xff, 0x0}
	} },
	{"PSX80_WRP_BIF_STRAP_LC_MISC_PORT_A", 0x1500803, {
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x800, 0xb},
		{"STRAP_BIF_LC_SPC_MODE_5GT", 0x2000, 0xd},
		{"STRAP_BIF_LC_SPC_MODE_8GT", 0x4000, 0xe},
		{"STRAP_BIF_LC_SPC_MODE_2P5GT", 0x1000, 0xc},
		{"STRAP_BIF_DE_EMPHASIS_SEL", 0x20, 0x5}
	} },
	{"PSX80_WRP_BIF_STRAP_LC_MISC_PORT_B", 0x1500903, {
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x800, 0xb},
		{"STRAP_BIF_LC_SPC_MODE_5GT", 0x2000, 0xd},
		{"STRAP_BIF_LC_SPC_MODE_8GT", 0x4000, 0xe},
		{"STRAP_BIF_LC_SPC_MODE_2P5GT", 0x1000, 0xc},
		{"STRAP_BIF_DE_EMPHASIS_SEL", 0x20, 0x5}
	} },
	{"PSX80_WRP_BIF_STRAP_LC_MISC_PORT_C", 0x1500a03, {
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x800, 0xb},
		{"STRAP_BIF_LC_SPC_MODE_5GT", 0x2000, 0xd},
		{"STRAP_BIF_LC_SPC_MODE_8GT", 0x4000, 0xe},
		{"STRAP_BIF_LC_SPC_MODE_2P5GT", 0x1000, 0xc},
		{"STRAP_BIF_DE_EMPHASIS_SEL", 0x20, 0x5}
	} },
	{"BIF_SCRATCH0_IND", 0x109150e, {
		{"BIF_SCRATCH0", 0xffffffff, 0x0}
	} },
	{"D3F2_DEVICE_STATUS", 0x8000018, {
		{"CORR_ERR", 0x10000, 0x10},
		{"TRANSACTIONS_PEND", 0x200000, 0x15},
		{"AUX_PWR", 0x100000, 0x14},
		{"USR_DETECTED", 0x80000, 0x13},
		{"NON_FATAL_ERR", 0x20000, 0x11},
		{"FATAL_ERR", 0x40000, 0x12}
	} },
	{"PCIE_PERF_CNTL_MST_R_CLK", 0x1400084, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D3F1_PCIE_LANE_12_EQUALIZATION_CNTL", 0x70000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"BIOS_SCRATCH_0_IND", 0x10905c9, {
		{"BIOS_SCRATCH_0", 0xffffffff, 0x0}
	} },
	{"PCIE_PERF_CNTL_EVENT1_PORT_SEL", 0x1400094, {
		{"PERF1_PORT_SEL_MST_R_CLK", 0xf0, 0x4},
		{"PERF1_PORT_SEL_MST_C_CLK", 0xf00, 0x8},
		{"PERF1_PORT_SEL_SLV_R_CLK", 0xf000, 0xc},
		{"PERF1_PORT_SEL_SLV_S_C_CLK", 0xf0000, 0x10},
		{"PERF1_PORT_SEL_TXCLK", 0xf, 0x0},
		{"PERF1_PORT_SEL_SLV_NS_C_CLK", 0xf00000, 0x14},
		{"PERF1_PORT_SEL_TXCLK2", 0xf000000, 0x18}
	} },
	{"D3F4_PCIE_ACS_CNTL", 0xa0000a9, {
		{"UPSTREAM_FORWARDING_EN", 0x100000, 0x14},
		{"SOURCE_VALIDATION_EN", 0x10000, 0x10},
		{"P2P_EGRESS_CONTROL_EN", 0x200000, 0x15},
		{"P2P_COMPLETION_REDIRECT_EN", 0x80000, 0x13},
		{"DIRECT_TRANSLATED_P2P_EN", 0x400000, 0x16},
		{"P2P_REQUEST_REDIRECT_EN", 0x40000, 0x12},
		{"TRANSLATION_BLOCKING_EN", 0x20000, 0x11}
	} },
	{"PSX81_PHY0_RX_ELECIDLE_DEBUG_LANE2", 0x1210205, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PCIE_PERF_COUNT0_SLV_NS_C_CLK", 0x1400091, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"D3F5_CACHE_LINE", 0xb000003, {
		{"CACHE_LINE_SIZE", 0xff, 0x0}
	} },
	{"PSX81_PHY0_RX_ELECIDLE_DEBUG_LANE5", 0x1210505, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PCIE_FC_NP", 0x10010061, {
		{"NPD_CREDITS", 0xff, 0x0},
		{"NPH_CREDITS", 0xff00, 0x8}
	} },
	{"PSX81_PHY0_RX_ELECIDLE_DEBUG_LANE6", 0x1210605, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"D2F4_PCIE_VENDOR_SPECIFIC1", 0x5000042, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_VENDOR_SPECIFIC2", 0x5000043, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_ELECIDLE_DEBUG_LANE7", 0x1210705, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"D3F2_PCIE_ROOT_ERR_STATUS", 0x8000060, {
		{"ERR_CORR_RCVD", 0x1, 0x0},
		{"NONFATAL_ERROR_MSG_RCVD", 0x20, 0x5},
		{"FIRST_UNCORRECTABLE_FATAL", 0x10, 0x4},
		{"ADV_ERR_INT_MSG_NUM", 0xf8000000, 0x1b},
		{"MULT_ERR_CORR_RCVD", 0x2, 0x1},
		{"FATAL_ERROR_MSG_RCVD", 0x40, 0x6},
		{"MULT_ERR_FATAL_NONFATAL_RCVD", 0x8, 0x3},
		{"ERR_FATAL_NONFATAL_RCVD", 0x4, 0x2}
	} },
	{"D2F2_PCIE_ADV_ERR_CAP_CNTL", 0x300005a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT0_MST_R_CLK", 0x1410085, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_LC_SPEED_CNTL", 0xa4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"D2F1_PCIEP_SCRATCH", 0x1, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_LC_CDR_CNTL", 0xb3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"D3F3_PCIE_VENDOR_SPECIFIC_HDR", 0x9000041, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"PSX80_WRP_PCIE_EFUSE", 0x150fff0, {
		{"PCIE_EFUSE", 0xffffffff, 0x0}
	} },
	{"D2F2_PMI_STATUS_CNTL", 0x3000015, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"D3F3_PCIE_TX_VENDOR_SPECIFIC", 0x22, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"D2F3_PCIE_TX_CREDITS_STATUS", 0x36, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"D2F2_PCIE_RX_CNTL", 0x70, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_RCB_FLR_TIMEOUT_DIS", 0x8000000, 0x1b},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_TPH_DIS", 0x4000000, 0x1a},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"D2F3_PCIE_VC0_RESOURCE_CNTL", 0x4000049, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"BACO_CNTL", 0x14e5, {
		{"BACO_MODE", 0x40, 0x6},
		{"BACO_ANA_ISO_DIS", 0x80, 0x7},
		{"BACO_BF_MEM_PHY_ISO_CNTRL", 0x20000, 0x11},
		{"BACO_RESET_EN", 0x10, 0x4},
		{"PWRGOOD_IDSC", 0x2000, 0xd},
		{"PWRGOOD_MEM", 0x800, 0xb},
		{"PWRGOOD_BF", 0x200, 0x9},
		{"PWRGOOD_DVO", 0x1000, 0xc},
		{"PWRGOOD_GPIO", 0x400, 0xa},
		{"BACO_EN", 0x1, 0x0},
		{"BACO_ISO_DIS", 0x4, 0x2},
		{"BACO_POWER_OFF", 0x8, 0x3},
		{"BACO_POWER_OFF_DRAM", 0x10000, 0x10},
		{"RCU_BIF_CONFIG_DONE", 0x100, 0x8},
		{"BACO_BCLK_OFF", 0x2, 0x1},
		{"BACO_HANG_PROTECTION_EN", 0x20, 0x5}
	} },
	{"D2F3_PCIE_LANE_11_EQUALIZATION_CNTL", 0x40000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX81_PHY0_RX_ADAPTCTL_LANE0", 0x121000a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"PSX81_PHY0_RX_ADAPTCTL_LANE1", 0x121010a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"PCIE_ERR_CNTL", 0x1001006a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"AER_HDR_LOG_F1_TIMER_EXPIRED", 0x1000, 0xc},
		{"AER_HDR_LOG_F2_TIMER_EXPIRED", 0x2000, 0xd},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"D2F5_MSI_MAP_CAP_LIST", 0x6000032, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PCIE_PERF_COUNT0_TXCLK", 0x1400082, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_ADAPTCTL_LANE5", 0x121050a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"PSX81_PHY0_RX_ADAPTCTL_LANE6", 0x121060a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"D2F4_DEVICE_STATUS2", 0x5000020, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D2F2_PREF_BASE_LIMIT", 0x3000009, {
		{"PREF_MEM_BASE_31_20", 0xfff0, 0x4},
		{"PREF_MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"PREF_MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"PREF_MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"PCIE_BAR6_CAP", 0x8b, {
		{"BAR_SIZE_SUPPORTED", 0xfffff0, 0x4}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE1", 0x1202107, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"D3F5_PCIEP_SCRATCH", 0x1, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F2_EXT_BRIDGE_CNTL", 0x3000010, {
		{"IO_PORT_80_EN", 0x1, 0x0}
	} },
	{"D3F5_PCIE_FC_P", 0x60, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"D2F1_PCIE_LANE_4_EQUALIZATION_CNTL", 0x20000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F5_MSI_MAP_ADDR_HI", 0x6000034, {
		{"MSI_MAP_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_9", 0x14000d9, {
		{"PRBS_ERRCNT_9", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_8", 0x14000d8, {
		{"PRBS_ERRCNT_8", 0xffffffff, 0x0}
	} },
	{"D2F4_CAP_PTR", 0x500000d, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_3", 0x14000d3, {
		{"PRBS_ERRCNT_3", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_2", 0x14000d2, {
		{"PRBS_ERRCNT_2", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_1", 0x14000d1, {
		{"PRBS_ERRCNT_1", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_0", 0x14000d0, {
		{"PRBS_ERRCNT_0", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_7", 0x14000d7, {
		{"PRBS_ERRCNT_7", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_6", 0x14000d6, {
		{"PRBS_ERRCNT_6", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_5", 0x14000d5, {
		{"PRBS_ERRCNT_5", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_ERRCNT_4", 0x14000d4, {
		{"PRBS_ERRCNT_4", 0xffffffff, 0x0}
	} },
	{"PSX81_PIF0_LANE5_OVRD", 0x111001e, {
		{"REQUESTTRN_OVRD_EN_5", 0x2000, 0xd},
		{"RESPONSEMODE_OVRD_EN_5", 0x800, 0xb},
		{"RXPGENABLE_OVRD_EN_5", 0x80, 0x7},
		{"LINKSPEED_OVRD_EN_5", 0x4, 0x2},
		{"REQUESTFOM_OVRD_EN_5", 0x400, 0xa},
		{"GANGMODE_OVRD_EN_5", 0x1, 0x0},
		{"COEFFICIENTID_OVRD_EN_5", 0x4000, 0xe},
		{"CDREN_OVRD_VAL_5", 0x20000, 0x11},
		{"TWOSYMENABLE_OVRD_EN_5", 0x8, 0x3},
		{"CDREN_OVRD_EN_5", 0x10000, 0x10},
		{"TXPWR_OVRD_EN_5", 0x10, 0x4},
		{"ENABLEFOM_OVRD_EN_5", 0x200, 0x9},
		{"FREQDIV_OVRD_EN_5", 0x2, 0x1},
		{"REQUESTTRK_OVRD_EN_5", 0x1000, 0xc},
		{"TXPGENABLE_OVRD_EN_5", 0x20, 0x5},
		{"COEFFICIENT_OVRD_EN_5", 0x8000, 0xf},
		{"RXPWR_OVRD_EN_5", 0x40, 0x6},
		{"ELECIDLEDETEN_OVRD_EN_5", 0x100, 0x8}
	} },
	{"BIF_DEVFUNCNUM_LIST1", 0x14e7, {
		{"DEVFUNC_ID4", 0xff, 0x0},
		{"DEVFUNC_ID5", 0xff00, 0x8},
		{"DEVFUNC_ID6", 0xff0000, 0x10},
		{"DEVFUNC_ID7", 0xff000000, 0x18}
	} },
	{"D2F1_PCIE_PORT_VC_STATUS", 0x2000047, {
		{"VC_ARB_TABLE_STATUS", 0x10000, 0x10}
	} },
	{"MSI_MSG_ADDR_HI", 0x2a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D2F2_SSID_CAP_LIST", 0x3000030, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F5_PCIE_VC0_RESOURCE_CAP", 0xb000048, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"CLKREQB_PAD_CNTL_IND", 0x1091521, {
		{"CLKREQB_PAD_SPARE", 0x18, 0x3},
		{"CLKREQB_PAD_SEL", 0x2, 0x1},
		{"CLKREQB_PAD_MODE", 0x4, 0x2},
		{"CLKREQB_PAD_SLEWN", 0x200, 0x9},
		{"CLKREQB_PAD_SN3", 0x100, 0x8},
		{"CLKREQB_PAD_SN2", 0x80, 0x7},
		{"CLKREQB_PAD_SN1", 0x40, 0x6},
		{"CLKREQB_PAD_SN0", 0x20, 0x5},
		{"CLKREQB_PAD_WAKE", 0x400, 0xa},
		{"CLKREQB_PAD_CNTL_EN", 0x1000, 0xc},
		{"CLKREQB_PAD_A", 0x1, 0x0},
		{"CLKREQB_PAD_SCHMEN", 0x800, 0xb}
	} },
	{"D3F2_PCIE_TX_CREDITS_ADVT_NP", 0x31, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"D3F1_PCIE_TX_CREDITS_ADVT_P", 0x30, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"D3F5_DEVICE_CAP", 0xb000017, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"D2F1_PCIE_MC_BLOCK_ALL1", 0x20000c3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_MC_BLOCK_ALL0", 0x20000c2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"PSX80_PIF0_TX_CTRL2", 0x1100009, {
		{"TX_HIGH_IMP_STAG_MODE", 0x60000, 0x11},
		{"TX_FORCE_DATA_VALID", 0x200000, 0x15},
		{"TX_L0_TO_HIZ_DLY", 0x1c00000, 0x16},
		{"TX_HIZ_TO_L0_DLY", 0x1c000000, 0x1a},
		{"TX_RDY_DASRT_COUNT", 0x7, 0x0},
		{"TX_OFF_PG_PHY_STATUS_MODE", 0x400, 0xa},
		{"TX_STATUS_DASRT_COUNT", 0x38, 0x3},
		{"TX_HIGH_IMP_STAG_MP", 0x10000, 0x10},
		{"TX_LINKSPEED_ACK_IN_S2", 0x20000000, 0x1d},
		{"TX_DELAY_FIFO_INIT_IN_S1", 0x40000000, 0x1e},
		{"TX_FIFO_INIT_UPCONFIG", 0x2000000, 0x19},
		{"TXPHYSTATUS_DELAY", 0x1c0, 0x6},
		{"TX_L1_PG_PHY_STATUS_MODE", 0x200, 0x9}
	} },
	{"PSX80_BIF_SWRST_CONTROL_2", 0x1400106, {
		{"BIF0_CALIB_RESETATEN", 0x20000, 0x11},
		{"BIF0_STICKY_RESETATEN", 0x200000, 0x15},
		{"BIF0_PHY_RESETATEN", 0x100000, 0x14},
		{"BIF0_CORE_RESETATEN", 0x40000, 0x12},
		{"BIF0_CONFIG_RESETATEN", 0x400000, 0x16},
		{"BIF0_GLOBAL_RESETATEN", 0x10000, 0x10},
		{"BIF0_REGISTER_RESETATEN", 0x80000, 0x13},
		{"BIF_STRAPREG_RESETATEN", 0x8000, 0xf}
	} },
	{"PSX80_PHY0_COM_COMMON_ADAPTCTL1", 0x120620a, {
		{"adapt_cfg_oc_time", 0xf0, 0x4},
		{"adapt_cfg_fom_time", 0x1e000000, 0x19},
		{"adapt_cfg_dfe_time", 0x780000, 0x13},
		{"adapt_cfg_cdr_time", 0x1e00, 0x9},
		{"adapt_cfg_dfe_alg_sel", 0xe0000000, 0x1d},
		{"adapt_cfg_leq_time", 0x3c000, 0xe},
		{"adapt_cfg_fom_ber", 0x7, 0x0}
	} },
	{"D3F3_PCIE_VC0_RESOURCE_CAP", 0x9000048, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D2F3_PCIE_LC_STATE2", 0xa7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"D2F3_PCIE_LC_STATE3", 0xa8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"D2F3_PCIE_LC_STATE0", 0xa5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"D2F3_PCIE_LC_STATE1", 0xa6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"D2F3_PCIE_LC_STATE4", 0xa9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"D2F3_PCIE_LC_STATE5", 0xaa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"D3F4_SLOT_STATUS2", 0xa000024, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D3F2_PCIE_ERR_SRC_ID", 0x8000061, {
		{"ERR_CORR_SRC_ID", 0xffff, 0x0},
		{"ERR_FATAL_NONFATAL_SRC_ID", 0xffff0000, 0x10}
	} },
	{"D2F2_PCIEP_PORT_CNTL", 0x10, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"D2F2_PCIE_TX_SEQ", 0x24, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"D2F5_PCIE_HDR_LOG1", 0x600005c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_HDR_LOG0", 0x600005b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_HDR_LOG3", 0x600005e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_HDR_LOG2", 0x600005d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_LC_CNTL5", 0xb7, {
		{"LC_EQ_FS_0", 0x3f, 0x0},
		{"LC_EQ_LF_0", 0x3f000, 0xc},
		{"LC_DSC_EQ_FS_LF_INVALID_TO_PRESETS", 0x1000000, 0x18},
		{"LC_EQ_LF_8", 0xfc0000, 0x12},
		{"LC_EQ_FS_8", 0xfc0, 0x6}
	} },
	{"D2F5_PCIE_UNCORR_ERR_SEVERITY", 0x6000057, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"PCIE_PERF_COUNT0_SLV_S_C_CLK", 0x140008e, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_LC_CNTL6", 0xbb, {
		{"LC_SPC_MODE_8GT", 0x10, 0x4},
		{"LC_SPC_MODE_5GT", 0x4, 0x2},
		{"LC_SPC_MODE_2P5GT", 0x1, 0x0}
	} },
	{"D3F3_PCIE_TX_REQUESTER_ID", 0x21, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"PSX80_WRP_PCIE_WRAP_REG_TARG_MISC", 0x1308005, {
		{"CLKEN_MASK", 0x1, 0x0}
	} },
	{"D3F2_PCIEP_ERROR_INJECT_PHYSICAL", 0x83, {
		{"ERROR_INJECT_PL_BAD_SYNC_HEADER", 0xc00000, 0x16},
		{"ERROR_INJECT_PL_LOOPBACK_OFLOW", 0xc00, 0xa},
		{"ERROR_INJECT_PL_BAD_PARITY_IN_SKP", 0x30, 0x4},
		{"ERROR_INJECT_PL_8B10B_DISPARITY_ERR", 0xc000, 0xe},
		{"ERROR_INJECT_PL_LOOPBACK_UFLOW", 0x300, 0x8},
		{"ERROR_INJECT_PL_FRAMING_ERR", 0xc, 0x2},
		{"ERROR_INJECT_PL_BAD_LFSR_IN_SKP", 0xc0, 0x6},
		{"ERROR_INJECT_PL_LANE_ERR", 0x3, 0x0},
		{"ERROR_INJECT_PL_SKP_OS_ERROR", 0xc0000, 0x12},
		{"ERROR_INJECT_PL_INV_OS_IDENTIFIER", 0x300000, 0x14},
		{"ERROR_INJECT_PL_DESKEW_ERR", 0x3000, 0xc},
		{"ERROR_INJECT_PL_8B10B_DECODE_ERR", 0x30000, 0x10}
	} },
	{"D3F1_PCIE_VC0_RESOURCE_CNTL", 0x7000049, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"GARLIC_COHE_CP_RB2_WPTR_IND", 0x1091417, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F4_INTERRUPT_PIN", 0x500000f, {
		{"INTERRUPT_PIN", 0xff00, 0x8}
	} },
	{"D3F3_PCIE_MC_OVERLAY_BAR1", 0x90000c7, {
		{"MC_OVERLAY_BAR_1", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_MC_OVERLAY_BAR0", 0x90000c6, {
		{"MC_OVERLAY_SIZE", 0x3f, 0x0},
		{"MC_OVERLAY_BAR_0", 0xffffffc0, 0x6}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PciPllTestDebug2", 0x1214004, {
		{"PLC_Tpo", 0x40000, 0x12},
		{"PLC_MeasOut", 0x3ffff, 0x0},
		{"PllDsmObsSel", 0xe00000, 0x15}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT_CNTL", 0x1400080, {
		{"GLOBAL_SHADOW_WR", 0x2, 0x1},
		{"GLOBAL_COUNT_EN", 0x1, 0x0},
		{"GLOBAL_COUNT_RESET", 0x4, 0x2}
	} },
	{"D3F5_PREF_BASE_LIMIT", 0xb000009, {
		{"PREF_MEM_BASE_31_20", 0xfff0, 0x4},
		{"PREF_MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"PREF_MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"PREF_MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D3F1_MSI_CAP_LIST", 0x7000028, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"INTERRUPT_CNTL2", 0x151b, {
		{"IH_DUMMY_RD_ADDR", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_TX_REPLAY", 0x25, {
		{"TX_REPLAY_TIMER", 0xffff0000, 0x10},
		{"TX_REPLAY_NUM", 0x7, 0x0},
		{"TX_REPLAY_TIMER_OVERWRITE", 0x8000, 0xf}
	} },
	{"PSX80_PHY0_RX_ADAPTDBG1_LANE0", 0x120000e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX80_PHY0_RX_ADAPTDBG1_LANE3", 0x120030e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"D3F5_PCIE_ROOT_ERR_STATUS", 0xb000060, {
		{"ERR_CORR_RCVD", 0x1, 0x0},
		{"NONFATAL_ERROR_MSG_RCVD", 0x20, 0x5},
		{"FIRST_UNCORRECTABLE_FATAL", 0x10, 0x4},
		{"ADV_ERR_INT_MSG_NUM", 0xf8000000, 0x1b},
		{"MULT_ERR_CORR_RCVD", 0x2, 0x1},
		{"FATAL_ERROR_MSG_RCVD", 0x40, 0x6},
		{"MULT_ERR_FATAL_NONFATAL_RCVD", 0x8, 0x3},
		{"ERR_FATAL_NONFATAL_RCVD", 0x4, 0x2}
	} },
	{"PSX80_PHY0_RX_ADAPTDBG1_LANE5", 0x120050e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX80_PHY0_RX_ADAPTDBG1_LANE4", 0x120040e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX80_PHY0_RX_ADAPTDBG1_LANE7", 0x120070e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX80_PHY0_RX_ADAPTDBG1_LANE6", 0x120060e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX81_WRP_BIF_STRAP_FEATURE_EN_2", 0x151000c, {
		{"STRAP_BIF_MSI_MULTI_CAP", 0x70, 0x4},
		{"STRAP_BIF_STRAP_F0_NO_RO_ENABLED_P2P_PASSING", 0x80, 0x7},
		{"STRAP_BIF_KILL_GEN3", 0x1, 0x0},
		{"STRAP_BIF_STRAP_F0_ATOMIC_EN", 0x4, 0x2},
		{"STRAP_BIF_STRAP_F0_ATOMIC_ROUTING_EN", 0x8, 0x3},
		{"STRAP_BIF_ENABLE_LEGACY_DEBUG_BUS", 0x100, 0x8}
	} },
	{"D2F1_PMI_CAP", 0x2000014, {
		{"DEV_SPECIFIC_INIT", 0x200000, 0x15},
		{"AUX_CURRENT", 0x1c00000, 0x16},
		{"VERSION", 0x70000, 0x10},
		{"D2_SUPPORT", 0x4000000, 0x1a},
		{"PME_SUPPORT", 0xf8000000, 0x1b},
		{"PME_CLOCK", 0x80000, 0x13},
		{"D1_SUPPORT", 0x2000000, 0x19}
	} },
	{"PSX81_PIF0_STRAP_0", 0x1110003, {
		{"STRAP_TX_RDY_XTND_DIS", 0x2, 0x1},
		{"STRAP_RX_DIS_HLD_EIE_IN_PS2", 0x800, 0xb},
		{"STRAP_RX_RDY_XTND_DIS", 0x4, 0x2},
		{"STRAP_RX_EI_FILTER", 0x300, 0x8},
		{"STRAP_PIF_CDR_EN_MODE", 0xc0, 0x6},
		{"STRAP_PIF_BIT_12", 0x1000, 0xc},
		{"STRAP_PIF_BIT_13", 0x2000, 0xd},
		{"STRAP_PIF_BIT_16", 0x10000, 0x10},
		{"STRAP_PIF_BIT_14", 0x4000, 0xe},
		{"STRAP_PIF_BIT_15", 0x8000, 0xf},
		{"STRAP_FORCE_OWN_MSTR", 0x20, 0x5},
		{"STRAP_TX_STATUS_XTND_DIS", 0x8, 0x3},
		{"STRAP_RX_STATUS_XTND_DIS", 0x10, 0x4},
		{"STRAP_RX_DIS_HLD_EIE_IN_PS1", 0x400, 0xa}
	} },
	{"D3F4_PCIE_LC_LINK_WIDTH_CNTL", 0xa2, {
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_WAIT_FOR_L_IDLE_IN_R_IDLE", 0x4000000, 0x1a},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_HOLD_EI_FOR_RSPEED_CMD_CHANGE", 0x10000000, 0x1c},
		{"LC_BYPASS_RXL0S_ON_SHORT_EI", 0x20000000, 0x1d},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_RESET_TSX_CNT_IN_RCONFIG_EN", 0x2000000, 0x19},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_MULT_REVERSE_ATTEMP_EN", 0x1000000, 0x18},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_WAIT_FOR_NON_EI_ON_RXL0S_EXIT", 0x8000000, 0x1b},
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc}
	} },
	{"PSX81_PHY0_LCPLL_LCPLL_PciPllTestDebug1", 0x1214003, {
		{"PllTp", 0xfffff800, 0xb},
		{"PllMeasCtl", 0x7ff, 0x0}
	} },
	{"D2F4_PCIE_TX_CREDITS_INIT_P", 0x33, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"PSX80_BIF_PCIE_P_CNTL", 0x1400040, {
		{"P_IGNORE_EDB_ERR", 0x40, 0x6},
		{"P_PWRDN_EN", 0x1, 0x0},
		{"P_IGNORE_TOK_ERR", 0x100, 0x8},
		{"DLP_IGNORE_IN_L1_EN", 0x10000, 0x10},
		{"P_ALWAYS_USE_FAST_TXCLK", 0x2000, 0xd},
		{"P_IGNORE_IDL_ERR", 0x80, 0x7},
		{"P_BLK_LOCK_MODE", 0x1000, 0xc},
		{"P_IGNORE_LEN_ERR", 0x20, 0x5},
		{"P_IGNORE_CRC_ERR", 0x10, 0x4},
		{"P_ELASTDESKEW_HW_DEBUG", 0x8, 0x3},
		{"P_SYMALIGN_HW_DEBUG", 0x4, 0x2},
		{"P_SYMALIGN_MODE", 0x2, 0x1},
		{"P_ELEC_IDLE_MODE", 0xc000, 0xe}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT1_MST_C_CLK", 0x1400089, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_SECONDARY_ENH_CAP_LIST", 0x900009c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F1_PCIE_LC_FORCE_COEFF", 0xb8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_PRESET_10_EN", 0x100000, 0x14},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"PSX81_PHY0_TX_DEEMPH_LANE5", 0x1212502, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"D3F5_PCIE_CORR_ERR_STATUS", 0xb000058, {
		{"REPLAY_TIMER_TIMEOUT_STATUS", 0x1000, 0xc},
		{"ADVISORY_NONFATAL_ERR_STATUS", 0x2000, 0xd},
		{"HDR_LOG_OVFL_STATUS", 0x8000, 0xf},
		{"BAD_DLLP_STATUS", 0x80, 0x7},
		{"RCV_ERR_STATUS", 0x1, 0x0},
		{"REPLAY_NUM_ROLLOVER_STATUS", 0x100, 0x8},
		{"CORR_INT_ERR_STATUS", 0x4000, 0xe},
		{"BAD_TLP_STATUS", 0x40, 0x6}
	} },
	{"D2F4_PCIE_RX_CREDITS_ALLOCATED_P", 0x80, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"D3F3_INTERRUPT_PIN", 0x900000f, {
		{"INTERRUPT_PIN", 0xff00, 0x8}
	} },
	{"PSX81_PHY0_TX_DEEMPH_LANE1", 0x1212102, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PSX81_PHY0_TX_DEEMPH_LANE2", 0x1212202, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PSX81_PHY0_TX_DEEMPH_LANE3", 0x1212302, {
		{"gen3_coeff_cp1", 0xff0000, 0x10},
		{"gen3_coeff_cm1", 0xff, 0x0},
		{"gen3_coeff_c0", 0x3f00, 0x8}
	} },
	{"PSX80_BIF_PCIE_CNTL2", 0x140001c, {
		{"SLV_MEM_AGGRESSIVE_LS_EN", 0x20000, 0x11},
		{"TX_ATOMIC_OPS_DISABLE", 0x2000, 0xd},
		{"SLV_MEM_LS_EN", 0x10000, 0x10},
		{"MST_MEM_DS_EN", 0x40000000, 0x1e},
		{"MST_MEM_SD_EN", 0x400000, 0x16},
		{"RX_NP_MEM_WRITE_ENCODING", 0x1f000000, 0x18},
		{"SLV_MEM_DS_EN", 0x20000000, 0x1d},
		{"TX_ARB_MST_LIMIT", 0x7c0, 0x6},
		{"SLV_MEM_SD_EN", 0x100000, 0x14},
		{"REPLAY_MEM_LS_EN", 0x80000, 0x13},
		{"TX_NP_MEM_WRITE_SWP_ENCODING", 0x1000, 0xc},
		{"REPLAY_MEM_SD_EN", 0x800000, 0x17},
		{"TX_ATOMIC_ORDERING_DIS", 0x4000, 0xe},
		{"SLV_MEM_AGGRESSIVE_SD_EN", 0x200000, 0x15},
		{"TX_ARB_ROUND_ROBIN_EN", 0x1, 0x0},
		{"TX_ARB_SLV_LIMIT", 0x3e, 0x1},
		{"MST_MEM_LS_EN", 0x40000, 0x12},
		{"TX_BLOCK_TLP_ON_PM_DIS", 0x800, 0xb},
		{"REPLAY_MEM_DS_EN", 0x80000000, 0x1f}
	} },
	{"PSX81_PHY0_COM_COMMON_ELECIDLE", 0x1216204, {
		{"ei_det_initiate_ofc_cal", 0x2, 0x1},
		{"ei_det_dac_test_code", 0x3f0, 0x4},
		{"ei_det_dac_test_ofc_sel", 0x4, 0x2},
		{"ei_det_dis_ps0", 0x1, 0x0}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PciPllControlExt", 0x1204101, {
		{"BgRcFiltShortTimer", 0x7, 0x0},
		{"BgRcFiltShortForce", 0x8, 0x3}
	} },
	{"D3F3_PCIE_TX_CREDITS_INIT_NP", 0x34, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"BIF_SCRATCH1_IND", 0x109150f, {
		{"BIF_SCRATCH1", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_LANE_12_EQUALIZATION_CNTL", 0xb0000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F5_PROG_INTERFACE", 0x6000002, {
		{"PROG_INTERFACE", 0xff00, 0x8}
	} },
	{"D3F5_PCIE_VC1_RESOURCE_CNTL", 0xb00004c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D2F2_PCIE_ACS_ENH_CAP_LIST", 0x30000a8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0xa000040, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F1_PCIEP_RESERVED", 0x0, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_LC_BW_CHANGE_CNTL", 0xb2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"D2F5_PCIE_TX_CREDITS_STATUS", 0x36, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"PSX80_WRP_PCIE_RXDET_OVERRIDE", 0x130800a, {
		{"RxDetOvrVal", 0xff, 0x0},
		{"RxDetOvrEn", 0x10000, 0x10}
	} },
	{"D2F1_PCIE_LANE_7_EQUALIZATION_CNTL", 0x20000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F2_PCIE_CAP", 0x8000016, {
		{"SLOT_IMPLEMENTED", 0x1000000, 0x18},
		{"VERSION", 0xf0000, 0x10},
		{"DEVICE_TYPE", 0xf00000, 0x14},
		{"INT_MESSAGE_NUM", 0x3e000000, 0x19}
	} },
	{"D2F3_PCIEP_SCRATCH", 0x1, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D2F2_HEADER", 0x3000003, {
		{"HEADER_TYPE", 0x7f0000, 0x10},
		{"DEVICE_TYPE", 0x800000, 0x17}
	} },
	{"D2F1_IO_BASE_LIMIT", 0x2000007, {
		{"IO_LIMIT", 0xf000, 0xc},
		{"IO_LIMIT_TYPE", 0xf00, 0x8},
		{"IO_BASE", 0xf0, 0x4},
		{"IO_BASE_TYPE", 0xf, 0x0}
	} },
	{"D3F3_PCIE_LANE_8_EQUALIZATION_CNTL", 0x90000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_BIF_PCIE_PERF_CNTL_MST_R_CLK", 0x1400084, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"CAPTURE_HOST_BUSNUM", 0x153c, {
		{"CHECK_EN", 0x1, 0x0}
	} },
	{"GARLIC_COHE_SAM_SAB_RBO_WPTR_IND", 0x109141e, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D3F4_PCIE_VC1_RESOURCE_CNTL", 0xa00004c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"D2F3_PCIE_ERR_CNTL", 0x6a, {
		{"AER_HDR_LOG_F0_TIMER_EXPIRED", 0x800, 0xb},
		{"TX_GENERATE_LCRC_ERR", 0x10, 0x4},
		{"STRAP_POISONED_ADVISORY_NONFATAL", 0x40000, 0x12},
		{"AER_HDR_LOG_TIMEOUT", 0x700, 0x8},
		{"CI_P_SLV_BUF_RD_HALT_STATUS", 0x4000, 0xe},
		{"SEND_ERR_MSG_IMMEDIATELY", 0x20000, 0x11},
		{"TX_GENERATE_ECRC_ERR", 0x40, 0x6},
		{"RX_GENERATE_ECRC_ERR", 0x80, 0x7},
		{"RX_DROP_ECRC_FAILURES", 0x4, 0x2},
		{"STRAP_FIRST_RCVD_ERR_LOG", 0x2, 0x1},
		{"RX_GENERATE_LCRC_ERR", 0x20, 0x5},
		{"CI_SLV_BUF_HALT_RESET", 0x10000, 0x10},
		{"ERR_REPORTING_DIS", 0x1, 0x0},
		{"CI_NP_SLV_BUF_RD_HALT_STATUS", 0x8000, 0xf}
	} },
	{"PSX80_BIF_SWRST_COMMAND_1", 0x1400103, {
		{"RESETLANEMUX", 0x4, 0x2},
		{"SYNCIDLEPIF0", 0x100, 0x8},
		{"SYNCIDLEPIF1", 0x200, 0x9},
		{"RESETHLTR", 0x4000, 0xe},
		{"TOGGLESTRAP", 0x10000000, 0x1c},
		{"RESETPHY1", 0x2000000, 0x19},
		{"RESETPHY0", 0x1000000, 0x18},
		{"RESETSRBM1", 0x20, 0x5},
		{"RESETSRBM0", 0x10, 0x4},
		{"RESETLC", 0x40, 0x6},
		{"SWITCHCLK", 0x1, 0x0},
		{"CMDCFGEN", 0x20000000, 0x1d},
		{"RESETWRAPREGS", 0x8, 0x3},
		{"RESETPIF1", 0x20000, 0x11},
		{"RESETPIF0", 0x10000, 0x10},
		{"RESETCPM", 0x8000, 0xf},
		{"RESETPCFG", 0x2, 0x1},
		{"RESETIMPARB1", 0x200000, 0x15},
		{"RESETIMPARB0", 0x100000, 0x14},
		{"RESETMNTR", 0x2000, 0xd}
	} },
	{"PSX80_BIF_SWRST_COMMAND_0", 0x1400102, {
		{"BIF0_CONFIG_RESET", 0x400000, 0x16},
		{"BIF0_CALIB_RESET", 0x20000, 0x11},
		{"BIF0_STICKY_RESET", 0x200000, 0x15},
		{"BIF0_REGISTER_RESET", 0x80000, 0x13},
		{"BIF_STRAPREG_RESET", 0x8000, 0xf},
		{"BIF0_GLOBAL_RESET", 0x10000, 0x10},
		{"BIF0_PHY_RESET", 0x100000, 0x14},
		{"BIF0_CORE_RESET", 0x40000, 0x12}
	} },
	{"PSX81_BIF_PCIE_TX_F0_ATTR_CNTL", 0x141001e, {
		{"TX_F0_IDO_OVERRIDE_NP", 0xc, 0x2},
		{"TX_F0_IDO_OVERRIDE_P", 0x3, 0x0},
		{"TX_F0_RO_OVERRIDE_P", 0xc0, 0x6},
		{"TX_F0_IDO_OVERRIDE_CPL", 0x30, 0x4},
		{"TX_F0_RO_OVERRIDE_NP", 0x300, 0x8},
		{"TX_F0_SNR_OVERRIDE_NP", 0x3000, 0xc},
		{"TX_F0_SNR_OVERRIDE_P", 0xc00, 0xa}
	} },
	{"D2F1_PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0x2000050, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE7", 0x1212707, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE4", 0x1212407, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE5", 0x1212507, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE2", 0x1212207, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE3", 0x1212307, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE0", 0x1212007, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_PHY0_TX_CMD_BUS_GLOBAL_FOR_TX_LANE1", 0x1212107, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"gang_mode", 0xe0, 0x5},
		{"link_speed", 0x6, 0x1}
	} },
	{"D2F4_PCIE_LC_N_FTS_CNTL", 0xa3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"D3F5_BIST", 0xb000003, {
		{"BIST_STRT", 0x40000000, 0x1e},
		{"BIST_COMP", 0xf000000, 0x18},
		{"BIST_CAP", 0x80000000, 0x1f}
	} },
	{"D3F1_PMI_CAP", 0x7000014, {
		{"DEV_SPECIFIC_INIT", 0x200000, 0x15},
		{"AUX_CURRENT", 0x1c00000, 0x16},
		{"VERSION", 0x70000, 0x10},
		{"D2_SUPPORT", 0x4000000, 0x1a},
		{"PME_SUPPORT", 0xf8000000, 0x1b},
		{"PME_CLOCK", 0x80000, 0x13},
		{"D1_SUPPORT", 0x2000000, 0x19}
	} },
	{"PSX80_PHY0_COM_COMMON_RXTESTDEBUG", 0x1206213, {
		{"rx2tx_bypass_sel", 0x70, 0x4}
	} },
	{"D2F5_SSID_CAP_LIST", 0x6000030, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX81_PHY0_RX_FOMCALCCTL_BROADCAST", 0x121fe0b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"CONFIG_APER_SIZE_IND", 0x109150c, {
		{"APER_SIZE", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_RX_CREDITS_ALLOCATED_NP", 0x81, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"D2F5_PCIEP_SCRATCH", 0x1, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_TX_VENDOR_SPECIFIC", 0x22, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_RX_CONTROL_LANE2", 0x1210200, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"PSX80_BIF_PCIE_LC_PM_CNTL", 0x140003d, {
		{"LC_L1_POWER_GATING_EN", 0x1, 0x0}
	} },
	{"PSX81_BIF_PCIE_LC_PM_CNTL", 0x141003d, {
		{"LC_L1_POWER_GATING_EN", 0x1, 0x0}
	} },
	{"D2F4_PCIE_LC_STATE3", 0xa8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"D2F4_PCIE_LC_STATE2", 0xa7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"D2F4_PCIE_LC_STATE1", 0xa6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"D2F4_PCIE_LC_STATE0", 0xa5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"D2F4_PCIE_LC_STATE5", 0xaa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"D2F4_PCIE_LC_STATE4", 0xa9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"D3F1_PCIE_CAP_LIST", 0x7000016, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"BIF_BACO_MSIC_IND", 0x1301480, {
		{"ACPI_BACO_MUX_DIS", 0x10, 0x4},
		{"BACO_LINK_RST_SEL", 0x6, 0x1},
		{"BIF_XTALIN_SEL", 0x1, 0x0}
	} },
	{"D2F1_SSID_CAP", 0x2000031, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"D2F1_PCIE_ROOT_ERR_CMD", 0x200005f, {
		{"FATAL_ERR_REP_EN", 0x4, 0x2},
		{"CORR_ERR_REP_EN", 0x1, 0x0},
		{"NONFATAL_ERR_REP_EN", 0x2, 0x1}
	} },
	{"D2F2_PCIE_LC_CNTL6", 0xbb, {
		{"LC_SPC_MODE_8GT", 0x10, 0x4},
		{"LC_SPC_MODE_5GT", 0x4, 0x2},
		{"LC_SPC_MODE_2P5GT", 0x1, 0x0}
	} },
	{"D3F4_PCIE_LANE_14_EQUALIZATION_CNTL", 0xa0000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F3_PCIE_LANE_15_EQUALIZATION_CNTL", 0x40000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"BIF_DOORBELL_GBLAPER1_LOWER", 0x14fc, {
		{"DOORBELL_GBLAPER1_LOWER", 0xffc, 0x2},
		{"DOORBELL_GBLAPER1_EN", 0x80000000, 0x1f}
	} },
	{"BIF_SMU_DATA", 0x143e, {
		{"BIF_SMU_DATA", 0x7fffc, 0x2}
	} },
	{"D2F1_SLOT_CAP2", 0x2000023, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"D3F4_SUB_CLASS", 0xa000002, {
		{"SUB_CLASS", 0xff0000, 0x10}
	} },
	{"D3F5_PCIE_ACS_ENH_CAP_LIST", 0xb0000a8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F3_PCIE_DEV_SERIAL_NUM_DW2", 0x4000052, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_DEV_SERIAL_NUM_DW1", 0xb000051, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_DEV_SERIAL_NUM_DW2", 0xb000052, {
		{"SERIAL_NUMBER_HI", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PciPllTestDebug5", 0x121410c, {
		{"VregCtl7_0", 0xff, 0x0},
		{"VregCtl11_8", 0xf00, 0x8}
	} },
	{"PSX80_BIF_PCIE_STRAP_MISC", 0x14000c0, {
		{"STRAP_ECN1P1_EN", 0x2000000, 0x19},
		{"STRAP_MST_ADR64_EN", 0x20000000, 0x1d},
		{"STRAP_INTERNAL_ERR_EN", 0x80000000, 0x1f},
		{"STRAP_CLK_PM_EN", 0x1000000, 0x18},
		{"STRAP_EXT_VC_COUNT", 0x4000000, 0x1a},
		{"STRAP_FLR_EN", 0x40000000, 0x1e},
		{"STRAP_TL_ALT_BUF_EN", 0x10, 0x4},
		{"STRAP_REVERSE_ALL", 0x10000000, 0x1c}
	} },
	{"D2F3_PCIE_DEV_SERIAL_NUM_DW1", 0x4000051, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PciPllTestDebug1", 0x1214103, {
		{"PllTp", 0xfffff800, 0xb},
		{"PllMeasCtl", 0x7ff, 0x0}
	} },
	{"D3F2_DEVICE_STATUS2", 0x8000020, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"D3F5_IO_BASE_LIMIT", 0xb000007, {
		{"IO_LIMIT", 0xf000, 0xc},
		{"IO_LIMIT_TYPE", 0xf00, 0x8},
		{"IO_BASE", 0xf0, 0x4},
		{"IO_BASE_TYPE", 0xf, 0x0}
	} },
	{"D2F2_PCIE_MC_CAP", 0x30000bd, {
		{"MC_ECRC_REGEN_SUPP", 0x8000, 0xf},
		{"MC_MAX_GROUP", 0x3f, 0x0}
	} },
	{"D3F1_PCIE_MC_BLOCK_ALL1", 0x70000c3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_COM_COMMON_MAR_DEEMPH_NOM", 0x1216206, {
		{"deemph35_gen2_nom", 0xff0000, 0x10},
		{"deemph60_gen2_nom", 0xff000000, 0x18},
		{"deemph_gen1_nom", 0xff00, 0x8},
		{"tx_margin_nom", 0xff, 0x0}
	} },
	{"D3F4_PCIE_TX_CREDITS_STATUS", 0x36, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"PSX80_BIF_PCIE_LC_STATE9", 0x1400025, {
		{"LC_PREV_STATE39", 0x3f000000, 0x18},
		{"LC_PREV_STATE38", 0x3f0000, 0x10},
		{"LC_PREV_STATE37", 0x3f00, 0x8},
		{"LC_PREV_STATE36", 0x3f, 0x0}
	} },
	{"GPU_GARLIC_FLUSH_REQ", 0x1413, {
		{"SDMA3", 0x2000, 0xd},
		{"SDMA2", 0x1000, 0xc},
		{"SDMA0", 0x400, 0xa},
		{"CP8", 0x100, 0x8},
		{"CP9", 0x200, 0x9},
		{"SDMA1", 0x800, 0xb},
		{"CP0", 0x1, 0x0},
		{"CP1", 0x2, 0x1},
		{"CP2", 0x4, 0x2},
		{"CP3", 0x8, 0x3},
		{"CP4", 0x10, 0x4},
		{"CP5", 0x20, 0x5},
		{"CP6", 0x40, 0x6},
		{"CP7", 0x80, 0x7}
	} },
	{"D3F2_PCIE_TX_CREDITS_ADVT_CPL", 0x32, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PciPllTestDebug5", 0x120410c, {
		{"VregCtl7_0", 0xff, 0x0},
		{"VregCtl11_8", 0xf00, 0x8}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PciPllTestDebug4", 0x120410b, {
		{"AltDiv", 0xffff, 0x0}
	} },
	{"D2F1_PCIE_CAP_LIST", 0x2000016, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F3_PCIEP_PORT_CNTL", 0x10, {
		{"CI_SNOOP_OVERRIDE", 0x2, 0x1},
		{"HOTPLUG_MSG_EN", 0x4, 0x2},
		{"PWR_FAULT_EN", 0x10, 0x4},
		{"SLV_PORT_REQ_EN", 0x1, 0x0},
		{"PMI_BM_DIS", 0x20, 0x5},
		{"CI_MAX_CPL_PAYLOAD_SIZE_MODE", 0x30000, 0x10},
		{"CI_PRIV_MAX_CPL_PAYLOAD_SIZE", 0x1c0000, 0x12},
		{"SEQNUM_DEBUG_MODE", 0x40, 0x6},
		{"NATIVE_PME_EN", 0x8, 0x3},
		{"CI_SLV_CPL_STATIC_ALLOC_LIMIT_S", 0x7f00, 0x8}
	} },
	{"D2F5_CAP_PTR", 0x600000d, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"PCIE_LC_TRAINING_CNTL", 0x100100a1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"PSX80_BIF_PCIE_LC_STATE7", 0x1400023, {
		{"LC_PREV_STATE31", 0x3f000000, 0x18},
		{"LC_PREV_STATE30", 0x3f0000, 0x10},
		{"LC_PREV_STATE28", 0x3f, 0x0},
		{"LC_PREV_STATE29", 0x3f00, 0x8}
	} },
	{"D3F5_PCIE_RX_CNTL3", 0x74, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"D3F1_PCIE_TX_CREDITS_STATUS", 0x36, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"PSX80_PHY0_TX_TSTMARGDEEMPH_LANE4", 0x1202403, {
		{"txmarg_sel", 0x7, 0x0},
		{"deemph35_sel", 0x8, 0x3}
	} },
	{"D3F5_PCIEP_ERROR_INJECT_TRANSACTION", 0x84, {
		{"ERROR_INJECT_TL_MALFORMED_TLP", 0x3000, 0xc},
		{"ERROR_INJECT_TL_UNSUPPORTED_REQ", 0x300, 0x8},
		{"ERROR_INJECT_TL_COMPLETER_ABORT", 0x30000, 0x10},
		{"ERROR_INJECT_TL_BAD_TLP", 0xc0, 0x6},
		{"ERROR_INJECT_TL_UNEXPECTED_CMPLT", 0xc000, 0xe},
		{"ERROR_INJECT_TL_REPLAY_NUM_ROLLOVER", 0xc, 0x2},
		{"ERROR_INJECT_TL_COMPLETION_TIMEOUT", 0xc0000, 0x12},
		{"ERROR_INJECT_TL_ECRC_ERROR", 0xc00, 0xa},
		{"ERROR_INJECT_TL_BAD_DLLP", 0x30, 0x4},
		{"ERROR_INJECT_TL_FLOW_CTL_ERR", 0x3, 0x0}
	} },
	{"D3F5_COMMAND", 0xb000001, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"PSX80_PHY0_RX_FOMCALCCTL_LANE2", 0x120020b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"PCIE_PERF_CNTL_EVENT0_PORT_SEL", 0x1400093, {
		{"PERF0_PORT_SEL_MST_C_CLK", 0xf00, 0x8},
		{"PERF0_PORT_SEL_TXCLK2", 0xf000000, 0x18},
		{"PERF0_PORT_SEL_SLV_NS_C_CLK", 0xf00000, 0x14},
		{"PERF0_PORT_SEL_TXCLK", 0xf, 0x0},
		{"PERF0_PORT_SEL_SLV_R_CLK", 0xf000, 0xc},
		{"PERF0_PORT_SEL_SLV_S_C_CLK", 0xf0000, 0x10},
		{"PERF0_PORT_SEL_MST_R_CLK", 0xf0, 0x4}
	} },
	{"D2F4_PCIE_UNCORR_ERR_STATUS", 0x5000055, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"BIF_RFE_CNTL_MISC_IND", 0x130148c, {
		{"ADAPT_pif1_bu_reg_accessMode", 0x2, 0x1},
		{"ADAPT_pif0_bu_reg_accessMode", 0x1, 0x0},
		{"ADAPT_pwreg_bu_reg_accessMode", 0x4, 0x2},
		{"ADAPT_pciecore0_bu_reg_accessMode", 0x8, 0x3}
	} },
	{"SLAVE_HANG_PROTECTION_CNTL", 0x1536, {
		{"HANG_PROTECTION_TIMER_SEL", 0xe, 0x1}
	} },
	{"PSX81_PHY0_RX_ADAPTCTL_LANE2", 0x121020a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"D3F1_COMMAND", 0x7000001, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"PSX81_PHY0_RX_ADAPTCTL_LANE3", 0x121030a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"D3F5_PCIE_VC1_RESOURCE_STATUS", 0xb00004d, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D2F5_PCIE_LANE_11_EQUALIZATION_CNTL", 0x60000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PCIE_PERF_CNTL_MST_C_CLK", 0x1400087, {
		{"COUNTER1_UPPER", 0xff000000, 0x18},
		{"EVENT0_SEL", 0xff, 0x0},
		{"EVENT1_SEL", 0xff00, 0x8},
		{"COUNTER0_UPPER", 0xff0000, 0x10}
	} },
	{"D3F1_PCIEP_RESERVED", 0x0, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"REMAP_HDP_MEM_FLUSH_CNTL", 0x1426, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PCIE_PASID_CNTL", 0xb5, {
		{"PASID_PRIV_MODE_SUPPORTED_ENABLE", 0x4, 0x2},
		{"PASID_EXE_PERMISSION_ENABLE", 0x2, 0x1},
		{"PASID_ENABLE", 0x1, 0x0}
	} },
	{"PSX81_PHY0_RX_ADAPTCTL_LANE7", 0x121070a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"D2F3_PCIE_HDR_LOG3", 0x400005e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_LANE_6_EQUALIZATION_CNTL", 0x30000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F3_PCIE_HDR_LOG1", 0x400005c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_HDR_LOG0", 0x400005b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"HEADER", 0x3, {
		{"HEADER_TYPE", 0x7f, 0x0},
		{"DEVICE_TYPE", 0x80, 0x7}
	} },
	{"D2F3_PCIE_LANE_0_EQUALIZATION_CNTL", 0x400009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"LINK_STATUS2", 0x22, {
		{"LINK_EQUALIZATION_REQUEST", 0x20, 0x5},
		{"CUR_DEEMPHASIS_LEVEL", 0x1, 0x0},
		{"EQUALIZATION_COMPLETE", 0x2, 0x1},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x8, 0x3},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x10, 0x4},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x4, 0x2}
	} },
	{"D3F2_PCIE_P_PORT_LANE_STATUS", 0x50, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"D3F5_PCIE_CAP", 0xb000016, {
		{"SLOT_IMPLEMENTED", 0x1000000, 0x18},
		{"VERSION", 0xf0000, 0x10},
		{"DEVICE_TYPE", 0xf00000, 0x14},
		{"INT_MESSAGE_NUM", 0x3e000000, 0x19}
	} },
	{"D3F4_PCIE_LC_BW_CHANGE_CNTL", 0xb2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"PSX81_PIF0_LANE6_OVRD", 0x1110020, {
		{"RESPONSEMODE_OVRD_EN_6", 0x800, 0xb},
		{"REQUESTTRN_OVRD_EN_6", 0x2000, 0xd},
		{"REQUESTFOM_OVRD_EN_6", 0x400, 0xa},
		{"LINKSPEED_OVRD_EN_6", 0x4, 0x2},
		{"RXPGENABLE_OVRD_EN_6", 0x80, 0x7},
		{"COEFFICIENTID_OVRD_EN_6", 0x4000, 0xe},
		{"GANGMODE_OVRD_EN_6", 0x1, 0x0},
		{"REQUESTTRK_OVRD_EN_6", 0x1000, 0xc},
		{"ENABLEFOM_OVRD_EN_6", 0x200, 0x9},
		{"CDREN_OVRD_EN_6", 0x10000, 0x10},
		{"TWOSYMENABLE_OVRD_EN_6", 0x8, 0x3},
		{"RXPWR_OVRD_EN_6", 0x40, 0x6},
		{"FREQDIV_OVRD_EN_6", 0x2, 0x1},
		{"COEFFICIENT_OVRD_EN_6", 0x8000, 0xf},
		{"TXPWR_OVRD_EN_6", 0x10, 0x4},
		{"TXPGENABLE_OVRD_EN_6", 0x20, 0x5},
		{"ELECIDLEDETEN_OVRD_EN_6", 0x100, 0x8},
		{"CDREN_OVRD_VAL_6", 0x20000, 0x11}
	} },
	{"D3F5_MSI_MSG_DATA_64", 0xb00002b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"D2F1_MSI_MSG_DATA_64", 0x200002b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"PSX81_WRP_PCIE_PORT_IS_SB_E", 0x1510c13, {
		{"PORT_IS_SB", 0x1, 0x0}
	} },
	{"D2F3_PCIE_VC0_RESOURCE_CAP", 0x4000048, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D2F1_DEVICE_CAP2", 0x200001f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"ATOMICOP_ROUTING_SUPPORTED", 0x40, 0x6},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"ATOMICOP_32CMPLT_SUPPORTED", 0x80, 0x7},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"CAS128_CMPLT_SUPPORTED", 0x200, 0x9},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"ATOMICOP_64CMPLT_SUPPORTED", 0x100, 0x8},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"D3F4_PCIE_LANE_2_EQUALIZATION_CNTL", 0xa0000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F3_PMI_CAP", 0x9000014, {
		{"DEV_SPECIFIC_INIT", 0x200000, 0x15},
		{"AUX_CURRENT", 0x1c00000, 0x16},
		{"VERSION", 0x70000, 0x10},
		{"D2_SUPPORT", 0x4000000, 0x1a},
		{"PME_SUPPORT", 0xf8000000, 0x1b},
		{"PME_CLOCK", 0x80000, 0x13},
		{"D1_SUPPORT", 0x2000000, 0x19}
	} },
	{"D3F4_PCIE_RX_EXPECTED_SEQNUM", 0x71, {
		{"RX_EXPECTED_SEQNUM", 0xfff, 0x0}
	} },
	{"D3F4_PCIE_SECONDARY_ENH_CAP_LIST", 0xa00009c, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F2_PCIE_MC_BLOCK_UNTRANSLATED_1", 0x80000c5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_LC_STATE8", 0x1400024, {
		{"LC_PREV_STATE33", 0x3f00, 0x8},
		{"LC_PREV_STATE32", 0x3f, 0x0},
		{"LC_PREV_STATE35", 0x3f000000, 0x18},
		{"LC_PREV_STATE34", 0x3f0000, 0x10}
	} },
	{"PSX81_PHY0_RX_FOMCALCCTL_LANE5", 0x121050b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"PSX80_BIF_PCIE_P_RCV_L0S_FTS_DET", 0x1400050, {
		{"P_RCV_L0S_FTS_DET_MIN", 0xff, 0x0},
		{"P_RCV_L0S_FTS_DET_MAX", 0xff00, 0x8}
	} },
	{"D3F2_PCIE_LC_LINK_WIDTH_CNTL", 0xa2, {
		{"LC_EQ_REVERSAL_LOGIC_EN", 0x800000, 0x17},
		{"LC_RECONFIG_ARC_MISSING_ESCAPE", 0x80, 0x7},
		{"LC_LINK_WIDTH", 0x7, 0x0},
		{"LC_DYN_LANES_PWR_STATE", 0x600000, 0x15},
		{"LC_RENEGOTIATION_SUPPORT", 0x200, 0x9},
		{"LC_WAIT_FOR_L_IDLE_IN_R_IDLE", 0x4000000, 0x1a},
		{"LC_DUAL_END_RECONFIG_EN", 0x80000, 0x13},
		{"LC_HOLD_EI_FOR_RSPEED_CMD_CHANGE", 0x10000000, 0x1c},
		{"LC_BYPASS_RXL0S_ON_SHORT_EI", 0x20000000, 0x1d},
		{"LC_DYNLINK_MST_EN", 0x40000, 0x12},
		{"LC_RESET_TSX_CNT_IN_RCONFIG_EN", 0x2000000, 0x19},
		{"LC_DEASSERT_TX_PDNB", 0x10000, 0x10},
		{"LC_RENEGOTIATE_EN", 0x400, 0xa},
		{"LC_UPCFG_TIMER_SEL", 0x8000, 0xf},
		{"LC_MULT_REVERSE_ATTEMP_EN", 0x1000000, 0x18},
		{"LC_UPCFG_WAIT_FOR_RCVR_DIS", 0x4000, 0xe},
		{"LC_SHORT_RECONFIG_EN", 0x800, 0xb},
		{"LC_WAIT_FOR_NON_EI_ON_RXL0S_EXIT", 0x8000000, 0x1b},
		{"LC_RECONFIG_NOW", 0x100, 0x8},
		{"LC_L1_RECONFIG_EN", 0x20000, 0x11},
		{"LC_LINK_WIDTH_RD", 0x70, 0x4},
		{"LC_UPCONFIGURE_DIS", 0x2000, 0xd},
		{"LC_UPCONFIGURE_CAPABLE", 0x100000, 0x14},
		{"LC_UPCONFIGURE_SUPPORT", 0x1000, 0xc}
	} },
	{"BIOS_SCRATCH_13", 0x5d6, {
		{"BIOS_SCRATCH_13", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_FOMCALCCTL_LANE4", 0x121040b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"D3F1_ROOT_STATUS", 0x700001e, {
		{"PME_REQUESTOR_ID", 0xffff, 0x0},
		{"PME_PENDING", 0x20000, 0x11},
		{"PME_STATUS", 0x10000, 0x10}
	} },
	{"PCIE_PRBS_MISC", 0x14000cc, {
		{"PRBS_EN", 0x1, 0x0},
		{"PRBS_CHK_ERR_MASK", 0xffff0000, 0x10},
		{"PRBS_COMMA_NUM", 0x60, 0x5},
		{"PRBS_LOCK_CNT", 0xf80, 0x7},
		{"PRBS_TEST_MODE", 0x6, 0x1},
		{"PRBS_USER_PATTERN_TOGGLE", 0x8, 0x3},
		{"PRBS_DATA_RATE", 0xc000, 0xe},
		{"PRBS_8BIT_SEL", 0x10, 0x4}
	} },
	{"PSX81_PHY0_RX_FOMCALCCTL_LANE6", 0x121060b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"PSX80_PHY0_RX_RXTEST_REGS_LANE6", 0x1200604, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"PCIE_TX_CREDITS_ADVT_NP", 0x10010031, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"D3F1_PCIE_VC0_RESOURCE_STATUS", 0x700004a, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D2F4_PCIE_MC_ADDR1", 0x50000bf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_MC_ADDR0", 0x50000be, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"SLAVE_HANG_ERROR", 0x153b, {
		{"GARLIC_HANG_ERROR", 0x200, 0x9},
		{"DOORBELL_HANG_ERROR", 0x100, 0x8},
		{"AUDIO_HANG_ERROR", 0x10, 0x4},
		{"VGA_HANG_ERROR", 0x4, 0x2},
		{"CEC_HANG_ERROR", 0x20, 0x5},
		{"ROM_HANG_ERROR", 0x8, 0x3},
		{"XDMA_HANG_ERROR", 0x80, 0x7},
		{"HDP_HANG_ERROR", 0x2, 0x1},
		{"SRBM_HANG_ERROR", 0x1, 0x0}
	} },
	{"PCIE_DPA_SUBSTATE_PWR_ALLOC_5", 0x99, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_TX_CREDITS_INIT_P", 0x10010033, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"PCIE_DPA_CAP", 0x95, {
		{"PWR_ALLOC_SCALE", 0x3000, 0xc},
		{"TRANS_LAT_VAL_0", 0xff0000, 0x10},
		{"TRANS_LAT_VAL_1", 0xff000000, 0x18},
		{"SUBSTATE_MAX", 0x1f, 0x0},
		{"TRANS_LAT_UNIT", 0x300, 0x8}
	} },
	{"PSX81_PHY0_RX_FOMCALCCTL_LANE3", 0x121030b, {
		{"enable_fom", 0x800, 0xb},
		{"request_trk", 0x2000, 0xd},
		{"request_trn", 0x4000, 0xe},
		{"rx_fom_valid", 0x1, 0x0},
		{"request_fom", 0x1000, 0xc},
		{"response_mode", 0x10000, 0x10},
		{"rx_eye_fom", 0x1fe, 0x1}
	} },
	{"PSX80_WRP_BIF_STRAP_ACS", 0x150000a, {
		{"STRAP_BIF_ACS_EN", 0x1, 0x0},
		{"STRAP_BIF_ACS_TRANSLATION_BLOCKING", 0x4, 0x2},
		{"STRAP_BIF_ACS_SOURCE_VALIDATION", 0x2, 0x1}
	} },
	{"PCIE_DPA_SUBSTATE_PWR_ALLOC_4", 0x99, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_F0_DPA_SUBSTATE_PWR_ALLOC_1", 0x14000e8, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_F0_DPA_SUBSTATE_PWR_ALLOC_0", 0x14000e7, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_F0_DPA_SUBSTATE_PWR_ALLOC_3", 0x14000ea, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_F0_DPA_SUBSTATE_PWR_ALLOC_2", 0x14000e9, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_F0_DPA_SUBSTATE_PWR_ALLOC_5", 0x14000ec, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_F0_DPA_SUBSTATE_PWR_ALLOC_4", 0x14000eb, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_F0_DPA_SUBSTATE_PWR_ALLOC_7", 0x14000ee, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"PCIE_F0_DPA_SUBSTATE_PWR_ALLOC_6", 0x14000ed, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"D2F2_PCIE_LANE_11_EQUALIZATION_CNTL", 0x30000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F2_PCIE_LC_FORCE_COEFF", 0xb8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_PRESET_10_EN", 0x100000, 0x14},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"D2F1_BIST", 0x2000003, {
		{"BIST_STRT", 0x40000000, 0x1e},
		{"BIST_COMP", 0xf000000, 0x18},
		{"BIST_CAP", 0x80000000, 0x1f}
	} },
	{"PCIE_DPA_SUBSTATE_PWR_ALLOC_1", 0x98, {
		{"SUBSTATE_PWR_ALLOC", 0xff, 0x0}
	} },
	{"RFE_WARMRST_CNTL", 0x1085164, {
		{"REG_RST_warmRstImpEn", 0x2, 0x1},
		{"REG_RST_warmRstRfeEn", 0x1, 0x0}
	} },
	{"D3F2_PCIE_LANE_9_EQUALIZATION_CNTL", 0x80000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_BIF_LM_POWERCONTROL", 0x140012b, {
		{"LMRxPhyCmd3", 0x38000000, 0x1b},
		{"LMRxPhyCmd2", 0x380000, 0x13},
		{"LMTxPhyCmd3", 0x7000000, 0x18},
		{"LMTxPhyCmd1", 0x700, 0x8},
		{"LMTxPhyCmd0", 0x7, 0x0},
		{"LMRxPhyCmd1", 0x3800, 0xb},
		{"LMRxPhyCmd0", 0x38, 0x3},
		{"LMLinkSpeed2", 0xc00000, 0x16},
		{"LMLinkSpeed3", 0xc0000000, 0x1e},
		{"LMLinkSpeed0", 0xc0, 0x6},
		{"LMLinkSpeed1", 0xc000, 0xe},
		{"LMTxPhyCmd2", 0x70000, 0x10}
	} },
	{"D3F4_BASE_CLASS", 0xa000002, {
		{"BASE_CLASS", 0xff000000, 0x18}
	} },
	{"D2F5_PCIE_CAP_LIST", 0x6000016, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT1_SLV_NS_C_CLK", 0x1400092, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"BIF_DEBUG_OUT_IND", 0x109151e, {
		{"DEBUG_OUTPUT", 0x1ffff, 0x0}
	} },
	{"BIF_RFE_MST_RWREG_RFEWGBIF_CMDSTATUS", 0x1447, {
		{"RWREG_RFEWGBIF_RFE_mstTimeout", 0x1000000, 0x18},
		{"REG_RWREG_RFEWGBIF_clkSetup_timer", 0xf00, 0x8},
		{"REG_RWREG_RFEWGBIF_clkGate_timer", 0xff, 0x0},
		{"REG_RWREG_RFEWGBIF_timeout_timer", 0xff0000, 0x10}
	} },
	{"BIF_VDDGFX_GFX2_LOWER_IND", 0x109142c, {
		{"VDDGFX_GFX2_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_GFX2_REG_STALL_EN", 0x80000000, 0x1f},
		{"VDDGFX_GFX2_REG_CMP_EN", 0x40000000, 0x1e}
	} },
	{"BIOS_SCRATCH_2_IND", 0x10905cb, {
		{"BIOS_SCRATCH_2", 0xffffffff, 0x0}
	} },
	{"D3F2_HEADER", 0x8000003, {
		{"HEADER_TYPE", 0x7f0000, 0x10},
		{"DEVICE_TYPE", 0x800000, 0x17}
	} },
	{"D2F5_PCIE_LC_CNTL", 0xa0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"D2F1_PCIE_RX_CREDITS_ALLOCATED_P", 0x80, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"PSX80_BIF_LM_PCIETXMUX2", 0x1400123, {
		{"TXLANE9", 0xff00, 0x8},
		{"TXLANE8", 0xff, 0x0},
		{"TXLANE11", 0xff000000, 0x18},
		{"TXLANE10", 0xff0000, 0x10}
	} },
	{"D2F4_PCIE_P_PORT_LANE_STATUS", 0x50, {
		{"PORT_LANE_REVERSAL", 0x1, 0x0},
		{"PHY_LINK_WIDTH", 0x7e, 0x1}
	} },
	{"PSX80_BIF_LM_PCIETXMUX0", 0x1400121, {
		{"TXLANE1", 0xff00, 0x8},
		{"TXLANE0", 0xff, 0x0},
		{"TXLANE3", 0xff000000, 0x18},
		{"TXLANE2", 0xff0000, 0x10}
	} },
	{"PSX80_BIF_LM_PCIETXMUX1", 0x1400122, {
		{"TXLANE5", 0xff00, 0x8},
		{"TXLANE4", 0xff, 0x0},
		{"TXLANE7", 0xff000000, 0x18},
		{"TXLANE6", 0xff0000, 0x10}
	} },
	{"MAX_LATENCY", 0xf, {
		{"MAX_LAT", 0xff, 0x0}
	} },
	{"D3F2_PCIE_VC_ENH_CAP_LIST", 0x8000044, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PEER1_FB_OFFSET_HI", 0x14f1, {
		{"PEER1_FB_OFFSET_HI", 0xfffff, 0x0}
	} },
	{"D3F5_EXT_BRIDGE_CNTL", 0xb000010, {
		{"IO_PORT_80_EN", 0x1, 0x0}
	} },
	{"D2F3_PMI_CAP_LIST", 0x4000014, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F4_PCIE_LANE_1_EQUALIZATION_CNTL", 0xa00009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PCIE_INT_STATUS", 0x140001b, {
		{"FATAL_ERR_INT_STATUS", 0x4, 0x2},
		{"CORR_ERR_INT_STATUS", 0x1, 0x0},
		{"QUIESCE_RCVD_INT_STATUS", 0x100, 0x8},
		{"USR_DETECTED_INT_STATUS", 0x8, 0x3},
		{"MISC_ERR_INT_STATUS", 0x10, 0x4},
		{"POWER_STATE_CHG_INT_STATUS", 0x40, 0x6},
		{"NON_FATAL_ERR_INT_STATUS", 0x2, 0x1},
		{"LINK_BW_INT_STATUS", 0x80, 0x7}
	} },
	{"D2F3_PCIEP_BCH_ECC_CNTL", 0xd0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"PSX80_WRP_REG_ADAPT_pciecore0_CONTROL", 0x1308090, {
		{"ACCESS_MODE_pciecore0", 0x1, 0x0}
	} },
	{"D2F3_PCIE_LC_FORCE_COEFF", 0xb8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_PRESET_10_EN", 0x100000, 0x14},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"PSX81_WRP_PCIE_WRAP_SCRATCH2", 0x1318002, {
		{"PCIE_WRAP_SCRATCH2", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIE_LINK_CNTL3", 0x200009d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"D3F5_PCIE_PORT_DATA", 0xb000039, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_ADAPTDBG1_BROADCAST", 0x121fe0e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"D2F3_MSI_MSG_ADDR_LO", 0x4000029, {
		{"MSI_MSG_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"PSX81_PIF0_BIF_CMD_STATUS", 0x1110010, {
		{"TXPHYSTATUS_7", 0x80, 0x7},
		{"TXPHYSTATUS_6", 0x40, 0x6},
		{"TXPHYSTATUS_5", 0x20, 0x5},
		{"TXPHYSTATUS_4", 0x10, 0x4},
		{"TXPHYSTATUS_3", 0x8, 0x3},
		{"TXPHYSTATUS_2", 0x4, 0x2},
		{"TXPHYSTATUS_1", 0x2, 0x1},
		{"TXPHYSTATUS_0", 0x1, 0x0},
		{"RXPHYSTATUS_1", 0x200, 0x9},
		{"RXPHYSTATUS_0", 0x100, 0x8},
		{"RXPHYSTATUS_3", 0x800, 0xb},
		{"RXPHYSTATUS_2", 0x400, 0xa},
		{"RXPHYSTATUS_5", 0x2000, 0xd},
		{"RXPHYSTATUS_4", 0x1000, 0xc},
		{"RXPHYSTATUS_7", 0x8000, 0xf},
		{"RXPHYSTATUS_6", 0x4000, 0xe},
		{"BPHY_CORE_RX_RDY_1", 0x2000000, 0x19},
		{"BPHY_CORE_RX_RDY_0", 0x1000000, 0x18},
		{"BPHY_CORE_RX_RDY_3", 0x8000000, 0x1b},
		{"BPHY_CORE_RX_RDY_2", 0x4000000, 0x1a},
		{"BPHY_CORE_RX_RDY_5", 0x20000000, 0x1d},
		{"BPHY_CORE_RX_RDY_4", 0x10000000, 0x1c},
		{"BPHY_CORE_RX_RDY_7", 0x80000000, 0x1f},
		{"BPHY_CORE_RX_RDY_6", 0x40000000, 0x1e},
		{"BPHY_CORE_TX_RDY_3", 0x80000, 0x13},
		{"BPHY_CORE_TX_RDY_2", 0x40000, 0x12},
		{"BPHY_CORE_TX_RDY_1", 0x20000, 0x11},
		{"BPHY_CORE_TX_RDY_0", 0x10000, 0x10},
		{"BPHY_CORE_TX_RDY_7", 0x800000, 0x17},
		{"BPHY_CORE_TX_RDY_6", 0x400000, 0x16},
		{"BPHY_CORE_TX_RDY_5", 0x200000, 0x15},
		{"BPHY_CORE_TX_RDY_4", 0x100000, 0x14}
	} },
	{"D2F4_DEVICE_CAP", 0x5000017, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"D2F1_PCIE_LC_FORCE_EQ_REQ_COEFF", 0xba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"D3F4_PCIE_HDR_LOG3", 0xa00005e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"PCIE_LANE_15_EQUALIZATION_CNTL", 0xa6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"BX_RESET_EN_IND", 0x1091514, {
		{"REG_RESET_EN", 0x2, 0x1},
		{"STY_RESET_EN", 0x4, 0x2},
		{"COR_RESET_EN", 0x1, 0x0}
	} },
	{"D2F1_PCIEP_STRAP_LC", 0xc0, {
		{"STRAP_REVERSE_LC_LANES", 0x4000, 0xe},
		{"STRAP_SKIP_INTERVAL", 0x700, 0x8},
		{"STRAP_FORCE_COMPLIANCE", 0x2000, 0xd},
		{"STRAP_MED_yTSx_COUNT", 0x30, 0x4},
		{"STRAP_COMPLIANCE_DIS", 0x1000, 0xc},
		{"STRAP_AUTO_RC_SPEED_NEGOTIATION_DIS", 0x8000, 0xf},
		{"STRAP_FTS_yTSx_COUNT", 0x3, 0x0},
		{"STRAP_SHORT_yTSx_COUNT", 0xc0, 0x6},
		{"STRAP_LONG_yTSx_COUNT", 0xc, 0x2},
		{"STRAP_BYPASS_RCVR_DET", 0x800, 0xb},
		{"STRAP_LANE_NEGOTIATION", 0x70000, 0x10}
	} },
	{"D3F2_PCIE_LANE_2_EQUALIZATION_CNTL", 0x80000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"SMBUS_BACO_DUMMY_IND", 0x10914c6, {
		{"SMBUS_BACO_DUMMY_DATA", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_VC1_RESOURCE_CNTL", 0x700004c, {
		{"TC_VC_MAP_TC1_7", 0xfe, 0x1},
		{"LOAD_PORT_ARB_TABLE", 0x10000, 0x10},
		{"VC_ENABLE", 0x80000000, 0x1f},
		{"PORT_ARB_SELECT", 0xe0000, 0x11},
		{"TC_VC_MAP_TC0", 0x1, 0x0},
		{"VC_ID", 0x7000000, 0x18}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PciPllTestDebug4", 0x120400b, {
		{"AltDiv", 0xffff, 0x0}
	} },
	{"PCIE_LC_FORCE_COEFF", 0x100100b8, {
		{"LC_FORCE_POST_CURSOR", 0x7e000, 0xd},
		{"LC_FORCE_COEFF", 0x1, 0x0},
		{"LC_3X3_COEFF_SEARCH_EN", 0x80000, 0x13},
		{"LC_FORCE_PRE_CURSOR", 0x7e, 0x1},
		{"LC_FORCE_CURSOR", 0x1f80, 0x7}
	} },
	{"D2F4_PCIE_VC0_RESOURCE_STATUS", 0x500004a, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"PSX81_BIF_PCIE_PRBS_ERRCNT_0", 0x14100d0, {
		{"PRBS_ERRCNT_0", 0xffffffff, 0x0}
	} },
	{"PCIE_LANE_1_EQUALIZATION_CNTL", 0x9f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F2_PCIE_VC1_RESOURCE_CAP", 0x800004b, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"PSX81_BIF_LM_PCIERXMUX1", 0x1410126, {
		{"RXLANE7", 0xff000000, 0x18},
		{"RXLANE6", 0xff0000, 0x10},
		{"RXLANE5", 0xff00, 0x8},
		{"RXLANE4", 0xff, 0x0}
	} },
	{"D3F1_PCIE_LANE_1_EQUALIZATION_CNTL", 0x700009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_BIF_LM_PRBSCONTROL", 0x140012a, {
		{"LMLaneDegrade3", 0x80000000, 0x1f},
		{"PRBSPCIeSelect", 0xffff, 0x0},
		{"LMLaneDegrade2", 0x40000000, 0x1e},
		{"LMLaneDegrade1", 0x20000000, 0x1d},
		{"LMLaneDegrade0", 0x10000000, 0x1c}
	} },
	{"D2F2_PCIEP_BCH_ECC_CNTL", 0xd0, {
		{"BCH_ECC_ERROR_STATUS", 0xffff0000, 0x10},
		{"STRAP_BCH_ECC_EN", 0x1, 0x0},
		{"BCH_ECC_ERROR_THRESHOLD", 0xff00, 0x8}
	} },
	{"D3F3_LINK_CNTL", 0x900001a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"D2F1_LINK_STATUS2", 0x2000022, {
		{"LINK_EQUALIZATION_REQUEST", 0x200000, 0x15},
		{"CUR_DEEMPHASIS_LEVEL", 0x10000, 0x10},
		{"EQUALIZATION_COMPLETE", 0x20000, 0x11},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x80000, 0x13},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x100000, 0x14},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x40000, 0x12}
	} },
	{"D3F2_PCIE_PORT_DATA", 0x8000039, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"PSX81_BIF_LM_CONTROL", 0x1410120, {
		{"LoopbackSelect", 0x1e, 0x1},
		{"LoopbackHalfRate", 0xc0, 0x6},
		{"PRBSPCIeLbSelect", 0x20, 0x5},
		{"LoopbackFifoPtr", 0x700, 0x8}
	} },
	{"D3F1_PCIE_LANE_13_EQUALIZATION_CNTL", 0x70000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"BIF_VDDGFX_GFX2_UPPER_IND", 0x109142d, {
		{"VDDGFX_GFX2_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PCIE_MC_CNTL", 0xbd, {
		{"MC_NUM_GROUP", 0x3f, 0x0},
		{"MC_ENABLE", 0x8000, 0xf}
	} },
	{"PSX80_BIF_PCIE_PRBS_LO_BITCNT", 0x14000ce, {
		{"PRBS_LO_BITCNT", 0xffffffff, 0x0}
	} },
	{"D3F3_PROG_INTERFACE", 0x9000002, {
		{"PROG_INTERFACE", 0xff00, 0x8}
	} },
	{"D2F1_PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0x2000040, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"GARLIC_COHE_VCE_OUT_RB_WPTR_IND", 0x109141f, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"PCIE_HW_DEBUG", 0x1400002, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D2F5_PCIE_MC_BLOCK_ALL1", 0x60000c3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_MC_BLOCK_ALL0", 0x60000c2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_UNCORR_ERR_STATUS", 0x3000055, {
		{"RCV_OVFL_STATUS", 0x20000, 0x11},
		{"PSN_ERR_STATUS", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_STATUS", 0x100000, 0x14},
		{"ECRC_ERR_STATUS", 0x80000, 0x13},
		{"CPL_TIMEOUT_STATUS", 0x4000, 0xe},
		{"SURPDN_ERR_STATUS", 0x20, 0x5},
		{"ATOMICOP_EGRESS_BLOCKED_STATUS", 0x1000000, 0x18},
		{"CPL_ABORT_ERR_STATUS", 0x8000, 0xf},
		{"DLP_ERR_STATUS", 0x10, 0x4},
		{"MC_BLOCKED_TLP_STATUS", 0x800000, 0x17},
		{"FC_ERR_STATUS", 0x2000, 0xd},
		{"ACS_VIOLATION_STATUS", 0x200000, 0x15},
		{"UNCORR_INT_ERR_STATUS", 0x400000, 0x16},
		{"UNEXP_CPL_STATUS", 0x10000, 0x10},
		{"MAL_TLP_STATUS", 0x40000, 0x12},
		{"TLP_PREFIX_BLOCKED_ERR_STATUS", 0x2000000, 0x19}
	} },
	{"PSX81_PIF0_LANE2_OVRD2", 0x1110019, {
		{"REQUESTTRK_2", 0x400000, 0x16},
		{"TWOSYMENABLE_2", 0x80, 0x7},
		{"COEFFICIENT_2", 0xfc000000, 0x1a},
		{"RXPWR_2", 0xe000, 0xd},
		{"FREQDIV_2", 0x18, 0x3},
		{"ELECIDLEDETEN_2", 0x40000, 0x12},
		{"GANGMODE_2", 0x7, 0x0},
		{"REQUESTTRN_2", 0x800000, 0x17},
		{"LINKSPEED_2", 0x60, 0x5},
		{"RESPONSEMODE_2", 0x200000, 0x15},
		{"TXPGENABLE_2", 0x1800, 0xb},
		{"RXPGENABLE_2", 0x30000, 0x10},
		{"REQUESTFOM_2", 0x100000, 0x14},
		{"ENABLEFOM_2", 0x80000, 0x13},
		{"COEFFICIENTID_2", 0x3000000, 0x18},
		{"TXPWR_2", 0x700, 0x8}
	} },
	{"D2F2_DEVICE_CAP", 0x3000017, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"D2F1_PCIE_LC_LANE_CNTL", 0xb4, {
		{"LC_CORRUPTED_LANES", 0xffff, 0x0},
		{"LC_LANE_DIS", 0xffff0000, 0x10}
	} },
	{"D2F3_PCIE_LANE_12_EQUALIZATION_CNTL", 0x40000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PCIE_WRAPPER0_C_PCIE_DATA", 0x29, {

	} },
	{"D3F4_PCIE_LC_N_FTS_CNTL", 0xa3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"D3F2_MSI_CAP_LIST", 0x8000028, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PCIE_RX_VENDOR_SPECIFIC", 0x10010072, {
		{"RX_VENDOR_STATUS", 0x1000000, 0x18},
		{"RX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"PSX80_WRP_BIF_STRAP_FEATURE_EN_1", 0x1500000, {
		{"STRAP_BIF_EN_DEC_TO_HIDDEN_REG", 0x20, 0x5},
		{"STRAP_BIF_GEN2_COMPLIANCE", 0x8, 0x3},
		{"STRAP_BIF_LTR_SUPPORTED", 0x20000000, 0x1d},
		{"STRAP_BIF_AER_EN", 0x2, 0x1},
		{"STRAP_BIF_TPH_SUPPORTED", 0x800, 0xb},
		{"STRAP_BIF_ECN1P1_EN", 0x4, 0x2},
		{"STRAP_BIF_OBFF_SUPPORTED", 0xc0000000, 0x1e},
		{"STRAP_BIF_FORCE_MASTER_TIMEOUT_EN", 0x200, 0x9},
		{"STRAP_BIF_MULTI_FUNC_EN", 0x2000, 0xd},
		{"STRAP_BIF_ARI_EN", 0x800000, 0x17},
		{"STRAP_BIF_2VC_EN", 0x200000, 0x15},
		{"STRAP_BIF_TL_ALT_BUF_EN", 0x10000000, 0x1c}
	} },
	{"PCIE_F0_DPA_CAP", 0x14000e0, {
		{"PWR_ALLOC_SCALE", 0x3000, 0xc},
		{"TRANS_LAT_VAL_0", 0xff0000, 0x10},
		{"TRANS_LAT_VAL_1", 0xff000000, 0x18},
		{"TRANS_LAT_UNIT", 0x300, 0x8}
	} },
	{"D2F3_PCIE_CAP", 0x4000016, {
		{"SLOT_IMPLEMENTED", 0x1000000, 0x18},
		{"VERSION", 0xf0000, 0x10},
		{"DEVICE_TYPE", 0xf00000, 0x14},
		{"INT_MESSAGE_NUM", 0x3e000000, 0x19}
	} },
	{"PSX80_PHY0_RX_ADAPTCTL_BROADCAST", 0x120fe0a, {
		{"adapt_cfg_pwr_save_off", 0x20000, 0x11},
		{"adapt_cfg_mode", 0x3ff, 0x0},
		{"adapt_cfg_pwr_down_time_sel", 0x180000, 0x13},
		{"adapt_cfg_track_sel", 0xe000, 0xd}
	} },
	{"D2F1_PCIE_MC_RCV0", 0x20000c0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_LANE_8_EQUALIZATION_CNTL", 0xa0000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_WRP_DTM_DENTIST_GATE_TIMING_DI_clkGskt", 0x130ffe5, {
		{"DentistGate_stopTime_DI_clkGskt", 0xff0000, 0x10},
		{"DentistGate_startTime_DI_clkGskt", 0xff, 0x0},
		{"DentistGate_dropoutTime_DI_clkGskt", 0xff00, 0x8}
	} },
	{"PCIE_PASID_ENH_CAP_LIST", 0xb4, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX80_WRP_PCIE_WRAP_MISC", 0x1308008, {
		{"STRAP_BIF_QUICKSIM_START", 0x4, 0x2},
		{"HOLD_TRAINING_STICKY", 0x2, 0x1}
	} },
	{"D2F2_PCIE_LANE_0_EQUALIZATION_CNTL", 0x300009f, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F4_PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0xa000050, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_HI_BITCNT", 0x14000cf, {
		{"PRBS_HI_BITCNT", 0xff, 0x0}
	} },
	{"PCIE_PERF_COUNT1_TXCLK2", 0x1400097, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D2F5_SLOT_CAP2", 0x6000023, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_COM_COMMON_DFX", 0x1216205, {
		{"force_cdr_en", 0x800, 0xb},
		{"hold_rdy_response", 0x20000000, 0x1d},
		{"prbs_seed", 0x7fe, 0x1},
		{"dsm_en", 0xf000000, 0x18},
		{"ovrd_pll_on", 0x2000, 0xd},
		{"dsm_sel", 0x7e0000, 0x11},
		{"ovrd_clk_en", 0x8000, 0xf},
		{"nelb_en", 0x1, 0x0}
	} },
	{"D2F2_PCIE_ACS_CAP", 0x30000a9, {
		{"P2P_EGRESS_CONTROL", 0x20, 0x5},
		{"P2P_COMPLETION_REDIRECT", 0x8, 0x3},
		{"P2P_REQUEST_REDIRECT", 0x4, 0x2},
		{"DIRECT_TRANSLATED_P2P", 0x40, 0x6},
		{"EGRESS_CONTROL_VECTOR_SIZE", 0xff00, 0x8},
		{"UPSTREAM_FORWARDING", 0x10, 0x4},
		{"SOURCE_VALIDATION", 0x1, 0x0},
		{"TRANSLATION_BLOCKING", 0x2, 0x1}
	} },
	{"D2F4_PCIE_DEV_SERIAL_NUM_DW1", 0x5000051, {
		{"SERIAL_NUMBER_LO", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIEP_ERROR_INJECT_PHYSICAL", 0x83, {
		{"ERROR_INJECT_PL_BAD_SYNC_HEADER", 0xc00000, 0x16},
		{"ERROR_INJECT_PL_LOOPBACK_OFLOW", 0xc00, 0xa},
		{"ERROR_INJECT_PL_BAD_PARITY_IN_SKP", 0x30, 0x4},
		{"ERROR_INJECT_PL_8B10B_DISPARITY_ERR", 0xc000, 0xe},
		{"ERROR_INJECT_PL_LOOPBACK_UFLOW", 0x300, 0x8},
		{"ERROR_INJECT_PL_FRAMING_ERR", 0xc, 0x2},
		{"ERROR_INJECT_PL_BAD_LFSR_IN_SKP", 0xc0, 0x6},
		{"ERROR_INJECT_PL_LANE_ERR", 0x3, 0x0},
		{"ERROR_INJECT_PL_SKP_OS_ERROR", 0xc0000, 0x12},
		{"ERROR_INJECT_PL_INV_OS_IDENTIFIER", 0x300000, 0x14},
		{"ERROR_INJECT_PL_DESKEW_ERR", 0x3000, 0xc},
		{"ERROR_INJECT_PL_8B10B_DECODE_ERR", 0x30000, 0x10}
	} },
	{"PSX80_PHY0_RX_DLL_CTL_LANE3", 0x1200303, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_DLL_CTL_LANE2", 0x1200203, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_DLL_CTL_LANE1", 0x1200103, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_DLL_CTL_LANE0", 0x1200003, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_DLL_CTL_LANE7", 0x1200703, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_DLL_CTL_LANE6", 0x1200603, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_DLL_CTL_LANE5", 0x1200503, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_DLL_CTL_LANE4", 0x1200403, {
		{"dll_dbg_vreg_ref_sel", 0x10, 0x4},
		{"dll_surge_ctrl", 0x80, 0x7},
		{"dll_dbg_clk_sel", 0x7, 0x0},
		{"dll_analog_obs_en", 0x20, 0x5}
	} },
	{"PSX81_WRP_PCIE_LINK_CONFIG", 0x1510080, {
		{"STRAP_BIF_LINK_CONFIG", 0xf, 0x0}
	} },
	{"D2F2_PCIE_PORT_VC_CNTL", 0x3000047, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"D3F3_SLOT_CAP2", 0x9000023, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_UNCORR_ERR_MASK", 0x4000056, {
		{"DLP_ERR_MASK", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKED_MASK", 0x1000000, 0x18},
		{"TLP_PREFIX_BLOCKED_ERR_MASK", 0x2000000, 0x19},
		{"FC_ERR_MASK", 0x2000, 0xd},
		{"SURPDN_ERR_MASK", 0x20, 0x5},
		{"PSN_ERR_MASK", 0x1000, 0xc},
		{"UNSUPP_REQ_ERR_MASK", 0x100000, 0x14},
		{"ECRC_ERR_MASK", 0x80000, 0x13},
		{"UNCORR_INT_ERR_MASK", 0x400000, 0x16},
		{"ACS_VIOLATION_MASK", 0x200000, 0x15},
		{"CPL_ABORT_ERR_MASK", 0x8000, 0xf},
		{"MAL_TLP_MASK", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_MASK", 0x800000, 0x17},
		{"RCV_OVFL_MASK", 0x20000, 0x11},
		{"CPL_TIMEOUT_MASK", 0x4000, 0xe},
		{"UNEXP_CPL_MASK", 0x10000, 0x10}
	} },
	{"D2F3_PCIE_LANE_8_EQUALIZATION_CNTL", 0x40000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D2F2_MSI_MSG_ADDR_HI", 0x300002a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_TX_CREDITS_ADVT_NP", 0x31, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"BIF_RESET_EN_IND", 0x1301482, {
		{"LINK_DISABLE_RESET_EN", 0x400, 0xa},
		{"DRV_RESET_EN", 0x80, 0x7},
		{"LINK_DOWN_RESET_EN", 0x800, 0xb},
		{"CFG_RESET_PULSE_WIDTH", 0x3f000, 0xc},
		{"FUNC0_RESET_DELAY_SEL", 0xc000000, 0x1a},
		{"FUNC1_FLR_EN", 0x1000000, 0x18},
		{"FUNC2_RESET_DELAY_SEL", 0xc0000000, 0x1e},
		{"PHY_RESET_EN", 0x4, 0x2},
		{"PIF_STRAP_ALLVALID_EN", 0x200000, 0x15},
		{"BIF_COR_RESET_EN", 0x400000, 0x16},
		{"REG_RESET_EN", 0x10, 0x4},
		{"FUNC2_FLR_EN", 0x2000000, 0x19},
		{"PIF_RSTB_EN", 0x100000, 0x14},
		{"SOFT_RST_MODE", 0x2, 0x1},
		{"HOT_RESET_EN", 0x200, 0x9},
		{"COR_RESET_EN", 0x8, 0x3},
		{"FUNC1_RESET_DELAY_SEL", 0x30000000, 0x1c},
		{"FUNC0_FLR_EN", 0x800000, 0x17},
		{"CFG_RESET_EN", 0x40, 0x6},
		{"RESET_CFGREG_ONLY_EN", 0x100, 0x8},
		{"DRV_RESET_DELAY_SEL", 0xc0000, 0x12},
		{"STY_RESET_EN", 0x20, 0x5}
	} },
	{"GARLIC_COHE_SDMA2_GFX_RB_WPTR_IND", 0x1091422, {
		{"ADDRESS", 0x7fffc, 0x2}
	} },
	{"D2F3_MSI_MAP_CAP", 0x4000032, {
		{"FIXD", 0x20000, 0x11},
		{"EN", 0x10000, 0x10},
		{"CAP_TYPE", 0xf8000000, 0x1b}
	} },
	{"MSI_CAP_LIST", 0x28, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D2F3_PROG_INTERFACE", 0x4000002, {
		{"PROG_INTERFACE", 0xff00, 0x8}
	} },
	{"D3F1_PCIE_FC_CPL", 0x62, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"D3F2_PCIE_TX_ACK_LATENCY_LIMIT", 0x26, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"D2F2_ROOT_CAP", 0x300001d, {
		{"CRS_SOFTWARE_VISIBILITY", 0x10000, 0x10}
	} },
	{"D2F1_PCIE_LC_SPEED_CNTL", 0xa4, {
		{"LC_FORCE_DIS_HW_SPEED_CHANGE", 0x100, 0x8},
		{"LC_OTHER_SIDE_SUPPORTS_GEN3", 0x200000, 0x15},
		{"LC_OTHER_SIDE_SUPPORTS_GEN2", 0x80000, 0x13},
		{"LC_FORCE_DIS_SW_SPEED_CHANGE", 0x40, 0x6},
		{"LC_DELAY_COEFF_UPDATE_DIS", 0x80000000, 0x1f},
		{"LC_MULT_UPSTREAM_AUTO_SPD_CHNG_EN", 0x8000000, 0x1b},
		{"LC_TARGET_LINK_SPEED_OVERRIDE_EN", 0x4, 0x2},
		{"LC_INIT_SPEED_NEG_IN_L0s_EN", 0x10000000, 0x1c},
		{"LC_DONT_CLR_TARGET_SPD_CHANGE_STATUS", 0x8000, 0xf},
		{"LC_CHECK_DATA_RATE", 0x4000000, 0x1a},
		{"LC_DONT_CHECK_EQTS_IN_RCFG", 0x40000000, 0x1e},
		{"LC_DATA_RATE_ADVERTISED", 0x3000000, 0x18},
		{"LC_SPEED_CHANGE_ATTEMPTS_ALLOWED", 0xc00, 0xa},
		{"LC_GEN3_EN_STRAP", 0x2, 0x1},
		{"LC_SPEED_CHANGE_STATUS", 0x800000, 0x17},
		{"LC_SPEED_CHANGE_ATTEMPT_FAILED", 0x1000, 0xc},
		{"LC_TARGET_LINK_SPEED_OVERRIDE", 0x18, 0x3},
		{"LC_GEN2_EN_STRAP", 0x1, 0x0},
		{"LC_CURRENT_DATA_RATE", 0x6000, 0xd},
		{"LC_CLR_FAILED_SPD_CHANGE_CNT", 0x10000, 0x10},
		{"LC_INITIATE_LINK_SPEED_CHANGE", 0x200, 0x9},
		{"LC_OTHER_SIDE_EVER_SENT_GEN2", 0x40000, 0x12},
		{"LC_FORCE_EN_SW_SPEED_CHANGE", 0x20, 0x5},
		{"LC_AUTO_RECOVERY_DIS", 0x400000, 0x16},
		{"LC_OTHER_SIDE_EVER_SENT_GEN3", 0x100000, 0x14},
		{"LC_FORCE_EN_HW_SPEED_CHANGE", 0x80, 0x7},
		{"LC_INIT_SPEED_NEG_IN_L1_EN", 0x20000000, 0x1d},
		{"LC_1_OR_MORE_TS2_SPEED_ARC_EN", 0x20000, 0x11}
	} },
	{"D2F4_PCIE_ACS_ENH_CAP_LIST", 0x50000a8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F1_SSID_CAP_LIST", 0x7000030, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"D3F4_SSID_CAP", 0xa000031, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"D2F4_LINK_CAP", 0x5000019, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"D3F2_MSI_MAP_ADDR_HI", 0x8000034, {
		{"MSI_MAP_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D3F4_PCIE_ERR_SRC_ID", 0xa000061, {
		{"ERR_CORR_SRC_ID", 0xffff, 0x0},
		{"ERR_FATAL_NONFATAL_SRC_ID", 0xffff0000, 0x10}
	} },
	{"D3F2_PCIEP_STRAP_MISC", 0xc1, {
		{"STRAP_E2E_PREFIX_EN", 0x2, 0x1},
		{"STRAP_REVERSE_LANES", 0x1, 0x0},
		{"STRAP_LTR_SUPPORTED", 0x20, 0x5},
		{"STRAP_EXTENDED_FMT_SUPPORTED", 0x4, 0x2},
		{"STRAP_OBFF_SUPPORTED", 0x18, 0x3}
	} },
	{"D3F3_PCIE_LC_FORCE_EQ_REQ_COEFF", 0xba, {
		{"LC_FS_OTHER_END", 0x1f80000, 0x13},
		{"LC_LF_OTHER_END", 0x7e000000, 0x19},
		{"LC_FORCE_PRE_CURSOR_REQ", 0x7e, 0x1},
		{"LC_FORCE_POST_CURSOR_REQ", 0x7e000, 0xd},
		{"LC_FORCE_COEFF_IN_EQ_REQ_PHASE", 0x1, 0x0},
		{"LC_FORCE_CURSOR_REQ", 0x1f80, 0x7}
	} },
	{"D3F4_PCIE_LANE_5_EQUALIZATION_CNTL", 0xa0000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F1_PCIE_RX_CNTL3", 0x74, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"BIF_FB_EN_IND", 0x1091524, {
		{"FB_WRITE_EN", 0x2, 0x1},
		{"FB_READ_EN", 0x1, 0x0}
	} },
	{"PSX80_WRP_IMPCTL_CNTL_PIF0", 0x1308070, {
		{"ArbEn0", 0x1, 0x0},
		{"QuickSimOverRide0", 0x800, 0xb}
	} },
	{"D2F5_PCIE_VENDOR_SPECIFIC_ENH_CAP_LIST", 0x6000040, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F4_PCIE_LANE_3_EQUALIZATION_CNTL", 0x50000a0, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F1_PCIE_FC_CPL", 0x62, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"D2F3_PCIE_RX_CREDITS_ALLOCATED_NP", 0x81, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"PSX81_WRP_BIF_STRAP_LC_MISC_PORT_C", 0x1510a03, {
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x800, 0xb},
		{"STRAP_BIF_LC_SPC_MODE_5GT", 0x2000, 0xd},
		{"STRAP_BIF_LC_SPC_MODE_8GT", 0x4000, 0xe},
		{"STRAP_BIF_LC_SPC_MODE_2P5GT", 0x1000, 0xc},
		{"STRAP_BIF_DE_EMPHASIS_SEL", 0x20, 0x5}
	} },
	{"PSX81_WRP_BIF_STRAP_LC_MISC_PORT_B", 0x1510903, {
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x800, 0xb},
		{"STRAP_BIF_LC_SPC_MODE_5GT", 0x2000, 0xd},
		{"STRAP_BIF_LC_SPC_MODE_8GT", 0x4000, 0xe},
		{"STRAP_BIF_LC_SPC_MODE_2P5GT", 0x1000, 0xc},
		{"STRAP_BIF_DE_EMPHASIS_SEL", 0x20, 0x5}
	} },
	{"D3F1_PCIE_MC_BLOCK_ALL0", 0x70000c2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"D2F4_PCIE_DEV_SERIAL_NUM_ENH_CAP_LIST", 0x5000050, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX81_WRP_PCIE_WRAP_REG_TARG_MISC", 0x1318005, {
		{"CLKEN_MASK", 0x1, 0x0}
	} },
	{"PSX81_WRP_BIF_STRAP_LC_MISC_PORT_E", 0x1510c03, {
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x800, 0xb},
		{"STRAP_BIF_LC_SPC_MODE_5GT", 0x2000, 0xd},
		{"STRAP_BIF_LC_SPC_MODE_8GT", 0x4000, 0xe},
		{"STRAP_BIF_LC_SPC_MODE_2P5GT", 0x1000, 0xc},
		{"STRAP_BIF_DE_EMPHASIS_SEL", 0x20, 0x5}
	} },
	{"PSX81_WRP_BIF_STRAP_LC_MISC_PORT_D", 0x1510b03, {
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x800, 0xb},
		{"STRAP_BIF_LC_SPC_MODE_5GT", 0x2000, 0xd},
		{"STRAP_BIF_LC_SPC_MODE_8GT", 0x4000, 0xe},
		{"STRAP_BIF_LC_SPC_MODE_2P5GT", 0x1000, 0xc},
		{"STRAP_BIF_DE_EMPHASIS_SEL", 0x20, 0x5}
	} },
	{"PSX81_BIF_PCIE_STRAP_F0", 0x14100b0, {
		{"STRAP_F0_ACS_EN", 0x40, 0x6},
		{"STRAP_F0_VC_EN", 0x8, 0x3},
		{"STRAP_F0_MSI_EN", 0x4, 0x2},
		{"STRAP_F0_MC_EN", 0x20000, 0x11},
		{"STRAP_F0_ATOMIC_ROUTING_EN", 0x100000, 0x14},
		{"STRAP_F0_LEGACY_DEVICE_TYPE_EN", 0x2, 0x1},
		{"STRAP_F0_DPA_EN", 0x200, 0x9},
		{"STRAP_F0_ECRC_GEN_EN", 0x4000, 0xe},
		{"STRAP_F0_PASID_EN", 0x1000, 0xc},
		{"STRAP_F0_DSN_EN", 0x10, 0x4},
		{"STRAP_F0_NO_RO_ENABLED_P2P_PASSING", 0x10000000, 0x1c},
		{"STRAP_F0_ECRC_CHECK_EN", 0x2000, 0xd},
		{"STRAP_F0_AER_EN", 0x20, 0x5},
		{"STRAP_F0_EN", 0x1, 0x0},
		{"STRAP_F0_CPL_ABORT_ERR_EN", 0x8000, 0xf},
		{"STRAP_F0_BAR_EN", 0x80, 0x7},
		{"STRAP_F0_ATOMIC_64BIT_EN", 0x80000, 0x13},
		{"STRAP_F0_MSI_PERVECTOR_MASK_CAP", 0x8000000, 0x1b},
		{"STRAP_F0_SRIOV_EN", 0x40000000, 0x1e},
		{"STRAP_F0_ATS_EN", 0x400, 0xa},
		{"STRAP_F0_POISONED_ADVISORY_NONFATAL", 0x10000, 0x10},
		{"STRAP_F0_PWR_EN", 0x100, 0x8},
		{"STRAP_F0_PAGE_REQ_EN", 0x800, 0xb},
		{"STRAP_F0_ARI_EN", 0x20000000, 0x1d},
		{"STRAP_F0_MSI_MULTI_CAP", 0xe00000, 0x15},
		{"STRAP_F0_VFn_MSI_MULTI_CAP", 0x7000000, 0x18},
		{"STRAP_F0_ATOMIC_EN", 0x40000, 0x12}
	} },
	{"D2F2_SSID_CAP", 0x3000031, {
		{"SUBSYSTEM_VENDOR_ID", 0xffff, 0x0},
		{"SUBSYSTEM_ID", 0xffff0000, 0x10}
	} },
	{"SMU_BIF_VDDGFX_PWR_STATUS", 0x14f8, {
		{"VDDGFX_GFX_PWR_OFF", 0x1, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_CLR", 0x14000c8, {
		{"PRBS_CHECKER_DEBUG_BUS_SELECT", 0xf0000, 0x10},
		{"PRBS_CLR", 0xffff, 0x0},
		{"PRBS_POLARITY_EN", 0x1000000, 0x18}
	} },
	{"D2F3_PCIE_MC_BLOCK_ALL1", 0x40000c3, {
		{"MC_BLOCK_ALL_1", 0xffffffff, 0x0}
	} },
	{"D2F3_PCIE_MC_BLOCK_ALL0", 0x40000c2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"PCIE_PRBS_USER_PATTERN", 0x14000cd, {
		{"PRBS_USER_PATTERN", 0x3fffffff, 0x0}
	} },
	{"D3F5_PCIE_TX_CREDITS_INIT_P", 0x33, {
		{"TX_CREDITS_INIT_PD", 0xfff, 0x0},
		{"TX_CREDITS_INIT_PH", 0xff0000, 0x10}
	} },
	{"D3F2_PCIE_RX_CREDITS_ALLOCATED_P", 0x80, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"PCIE_TX_CREDITS_STATUS", 0x10010036, {
		{"TX_CREDITS_CUR_STATUS_CPLD", 0x100000, 0x14},
		{"TX_CREDITS_CUR_STATUS_CPLH", 0x200000, 0x15},
		{"TX_CREDITS_ERR_CPLH", 0x20, 0x5},
		{"TX_CREDITS_ERR_PH", 0x2, 0x1},
		{"TX_CREDITS_CUR_STATUS_PD", 0x10000, 0x10},
		{"TX_CREDITS_ERR_NPD", 0x4, 0x2},
		{"TX_CREDITS_CUR_STATUS_NPH", 0x80000, 0x13},
		{"TX_CREDITS_CUR_STATUS_PH", 0x20000, 0x11},
		{"TX_CREDITS_ERR_NPH", 0x8, 0x3},
		{"TX_CREDITS_CUR_STATUS_NPD", 0x40000, 0x12},
		{"TX_CREDITS_ERR_CPLD", 0x10, 0x4},
		{"TX_CREDITS_ERR_PD", 0x1, 0x0}
	} },
	{"BIOS_SCRATCH_14_IND", 0x10905d7, {
		{"BIOS_SCRATCH_14", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_SWRST_COMMAND_STATUS", 0x1400100, {
		{"RESET_COMPLETE", 0x10000, 0x10},
		{"ATOMIC_RESET", 0x2, 0x1},
		{"RECONFIGURE", 0x1, 0x0},
		{"WAIT_STATE", 0x20000, 0x11}
	} },
	{"PCIE_LC_STATUS2", 0x1400029, {
		{"LC_TURN_ON_LANE", 0xffff0000, 0x10},
		{"LC_TOTAL_INACTIVE_LANES", 0xffff, 0x0}
	} },
	{"D2F4_BIST", 0x5000003, {
		{"BIST_STRT", 0x40000000, 0x1e},
		{"BIST_COMP", 0xf000000, 0x18},
		{"BIST_CAP", 0x80000000, 0x1f}
	} },
	{"D3F5_SLOT_CAP2", 0xb000023, {
		{"RESERVED", 0xffffffff, 0x0}
	} },
	{"D3F2_SLOT_STATUS2", 0x8000024, {
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"PCIE_LANE_9_EQUALIZATION_CNTL", 0xa3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F2_PCIE_MC_CNTL", 0x80000bd, {
		{"MC_NUM_GROUP", 0x3f0000, 0x10},
		{"MC_ENABLE", 0x80000000, 0x1f}
	} },
	{"D2F4_PCIE_MC_ENH_CAP_LIST", 0x50000bc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F2_DEVICE_STATUS", 0x3000018, {
		{"CORR_ERR", 0x10000, 0x10},
		{"TRANSACTIONS_PEND", 0x200000, 0x15},
		{"AUX_PWR", 0x100000, 0x14},
		{"USR_DETECTED", 0x80000, 0x13},
		{"NON_FATAL_ERR", 0x20000, 0x11},
		{"FATAL_ERR", 0x40000, 0x12}
	} },
	{"D3F2_PMI_STATUS_CNTL", 0x8000015, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"D3F4_PCIE_ACS_ENH_CAP_LIST", 0xa0000a8, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"C_PCIE_P_DATA", 0x39, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"D2F3_CAP_PTR", 0x400000d, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"D2F3_PCIE_PORT_VC_CNTL", 0x4000047, {
		{"VC_ARB_SELECT", 0xe, 0x1},
		{"LOAD_VC_ARB_TABLE", 0x1, 0x0}
	} },
	{"D2F2_PCIE_HDR_LOG2", 0x300005d, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_HDR_LOG3", 0x300005e, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_HDR_LOG0", 0x300005b, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"D2F2_PCIE_HDR_LOG1", 0x300005c, {
		{"TLP_HDR", 0xffffffff, 0x0}
	} },
	{"BIF_LNCNT_RESET_IND", 0x1301488, {
		{"RESET_LNCNT_EN", 0x1, 0x0}
	} },
	{"D2F2_PCIE_RX_CREDITS_ALLOCATED_NP", 0x81, {
		{"RX_CREDITS_ALLOCATED_NPD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_NPH", 0xff0000, 0x10}
	} },
	{"PSX80_WRP_PCIE_HOLD_TRAINING_C", 0x1500a00, {
		{"HOLD_TRAINING", 0x1, 0x0}
	} },
	{"PSX80_WRP_PCIE_HOLD_TRAINING_B", 0x1500900, {
		{"HOLD_TRAINING", 0x1, 0x0}
	} },
	{"PSX80_WRP_PCIE_HOLD_TRAINING_A", 0x1500800, {
		{"HOLD_TRAINING", 0x1, 0x0}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_RX_CONTROL_LANE0", 0x1210000, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"PCIE_BAR_ENH_CAP_LIST", 0x80, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D2F3_PCIE_TX_CREDITS_ADVT_CPL", 0x32, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"PSX80_WRP_PCIE_HOLD_TRAINING_D", 0x1500b00, {
		{"HOLD_TRAINING", 0x1, 0x0}
	} },
	{"PCIE_PRBS_STATUS1", 0x14000c9, {
		{"PRBS_LOCKED", 0xffff0000, 0x10},
		{"PRBS_ERRSTAT", 0xffff, 0x0}
	} },
	{"D3F4_PCIE_LANE_12_EQUALIZATION_CNTL", 0xa0000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PCIE_PRBS_STATUS2", 0x14000ca, {
		{"PRBS_BITCNT_DONE", 0xffff, 0x0}
	} },
	{"BIF_RB_RPTR", 0x1532, {
		{"OFFSET", 0x3fffc, 0x2}
	} },
	{"D3F2_PCIE_LANE_11_EQUALIZATION_CNTL", 0x80000a4, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"BIF_DOORBELL_GBLAPER2_UPPER_IND", 0x10914ff, {
		{"DOORBELL_GBLAPER2_UPPER", 0xffc, 0x2}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_RX_CONTROL_LANE5", 0x1210500, {
		{"rx_pwr", 0x7, 0x0},
		{"rx_pg_en", 0x18, 0x3},
		{"eidet_en", 0x20, 0x5}
	} },
	{"D2F2_PCIE_MC_BLOCK_ALL0", 0x30000c2, {
		{"MC_BLOCK_ALL_0", 0xffffffff, 0x0}
	} },
	{"D3F3_DEVICE_CNTL", 0x9000018, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"BRIDGE_CFG_RETRY_EN", 0x8000, 0xf},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"D2F1_MSI_MAP_CAP_LIST", 0x2000032, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PMI_CAP", 0x14, {
		{"DEV_SPECIFIC_INIT", 0x20, 0x5},
		{"AUX_CURRENT", 0x1c0, 0x6},
		{"VERSION", 0x7, 0x0},
		{"D2_SUPPORT", 0x400, 0xa},
		{"PME_SUPPORT", 0xf800, 0xb},
		{"PME_CLOCK", 0x8, 0x3},
		{"D1_SUPPORT", 0x200, 0x9}
	} },
	{"D2F2_PCIE_ERR_SRC_ID", 0x3000061, {
		{"ERR_CORR_SRC_ID", 0xffff, 0x0},
		{"ERR_FATAL_NONFATAL_SRC_ID", 0xffff0000, 0x10}
	} },
	{"D2F3_PCIE_LANE_4_EQUALIZATION_CNTL", 0x40000a1, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_PHY0_RX_RXTEST_REGS_LANE2", 0x1200204, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_RXTEST_REGS_LANE5", 0x1200504, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_RXTEST_REGS_LANE4", 0x1200404, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"PSX80_PHY0_RX_RXTEST_REGS_LANE7", 0x1200704, {
		{"prbs_err", 0x2, 0x1},
		{"rx_byp_ac_cap", 0x40, 0x6},
		{"rx_force_short_vdc_out", 0x400, 0xa},
		{"rx_byp_res", 0x80, 0x7},
		{"rx_raw_pin_gate", 0x100, 0x8},
		{"prbs_clr", 0x1, 0x0},
		{"rx_dfr_force", 0x10, 0x4},
		{"rx_force_leq_en", 0x20, 0x5}
	} },
	{"D3F4_LINK_CAP2", 0xa000021, {
		{"CROSSLINK_SUPPORTED", 0x100, 0x8},
		{"RESERVED", 0xfffffe00, 0x9},
		{"SUPPORTED_LINK_SPEED", 0xfe, 0x1}
	} },
	{"BIOS_SCRATCH_11_IND", 0x10905d4, {
		{"BIOS_SCRATCH_11", 0xffffffff, 0x0}
	} },
	{"BIF_VDDGFX_RSV4_LOWER", 0x143a, {
		{"VDDGFX_RSV4_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_RSV4_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_RSV4_REG_STALL_EN", 0x80000000, 0x1f}
	} },
	{"D2F5_PCIE_LINK_CNTL3", 0x600009d, {
		{"PERFORM_EQUALIZATION", 0x1, 0x0},
		{"RESERVED", 0xfffffffc, 0x2},
		{"LINK_EQUALIZATION_REQ_INT_EN", 0x2, 0x1}
	} },
	{"D2F2_MSI_MAP_ADDR_HI", 0x3000034, {
		{"MSI_MAP_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D2F5_PREF_BASE_LIMIT", 0x6000009, {
		{"PREF_MEM_BASE_31_20", 0xfff0, 0x4},
		{"PREF_MEM_LIMIT_31_20", 0xfff00000, 0x14},
		{"PREF_MEM_LIMIT_TYPE", 0xf0000, 0x10},
		{"PREF_MEM_BASE_TYPE", 0xf, 0x0}
	} },
	{"D3F1_PCIE_TX_CREDITS_ADVT_CPL", 0x32, {
		{"TX_CREDITS_ADVT_CPLD", 0xfff, 0x0},
		{"TX_CREDITS_ADVT_CPLH", 0xff0000, 0x10}
	} },
	{"D2F5_BASE_CLASS", 0x6000002, {
		{"BASE_CLASS", 0xff000000, 0x18}
	} },
	{"D2F2_CAP_PTR", 0x300000d, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"D3F4_ROOT_STATUS", 0xa00001e, {
		{"PME_REQUESTOR_ID", 0xffff, 0x0},
		{"PME_PENDING", 0x20000, 0x11},
		{"PME_STATUS", 0x10000, 0x10}
	} },
	{"PSX80_PIF0_LANE7_OVRD", 0x1100022, {
		{"RESPONSEMODE_OVRD_EN_7", 0x800, 0xb},
		{"COEFFICIENTID_OVRD_EN_7", 0x4000, 0xe},
		{"COEFFICIENT_OVRD_EN_7", 0x8000, 0xf},
		{"REQUESTTRN_OVRD_EN_7", 0x2000, 0xd},
		{"LINKSPEED_OVRD_EN_7", 0x4, 0x2},
		{"REQUESTFOM_OVRD_EN_7", 0x400, 0xa},
		{"RXPGENABLE_OVRD_EN_7", 0x80, 0x7},
		{"CDREN_OVRD_EN_7", 0x10000, 0x10},
		{"GANGMODE_OVRD_EN_7", 0x1, 0x0},
		{"ENABLEFOM_OVRD_EN_7", 0x200, 0x9},
		{"RXPWR_OVRD_EN_7", 0x40, 0x6},
		{"TWOSYMENABLE_OVRD_EN_7", 0x8, 0x3},
		{"FREQDIV_OVRD_EN_7", 0x2, 0x1},
		{"TXPWR_OVRD_EN_7", 0x10, 0x4},
		{"TXPGENABLE_OVRD_EN_7", 0x20, 0x5},
		{"ELECIDLEDETEN_OVRD_EN_7", 0x100, 0x8},
		{"CDREN_OVRD_VAL_7", 0x20000, 0x11},
		{"REQUESTTRK_OVRD_EN_7", 0x1000, 0xc}
	} },
	{"PSX81_WRP_LNC_BW_WACC", 0x1518035, {
		{"LNC_BW_WACC", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_RX_CNTL", 0x70, {
		{"RX_IGNORE_IO_ERR", 0x1, 0x0},
		{"RX_IGNORE_TC_ERR", 0x200, 0x9},
		{"RX_RCB_FLR_TIMEOUT_DIS", 0x8000000, 0x1b},
		{"RX_IGNORE_CFG_UR", 0x400, 0xa},
		{"RX_IGNORE_INVALIDPASID_ERR", 0x1000000, 0x18},
		{"RX_IGNORE_AT_ERR", 0x1000, 0xc},
		{"RX_IGNORE_IO_UR", 0x800, 0xb},
		{"RX_IGNORE_CFG_ERR", 0x10, 0x4},
		{"RX_IGNORE_LEN_MISMATCH_ERR", 0x80, 0x7},
		{"RX_RCB_CPL_TIMEOUT_MODE", 0x80000, 0x13},
		{"RX_TPH_DIS", 0x4000000, 0x1a},
		{"RX_IGNORE_SHORTPREFIX_ERR", 0x200000, 0x15},
		{"RX_IGNORE_MAX_PAYLOAD_ERR", 0x100, 0x8},
		{"RX_IGNORE_NOT_PASID_UR", 0x2000000, 0x19},
		{"RX_RCB_CPL_TIMEOUT", 0x70000, 0x10},
		{"RX_IGNORE_EP_ERR", 0x40, 0x6},
		{"RX_IGNORE_MSG_ERR", 0x4, 0x2},
		{"RX_IGNORE_MAXPREFIX_ERR", 0x400000, 0x16},
		{"RX_FC_INIT_FROM_REG", 0x8000, 0xf},
		{"RX_GEN_ONE_NAK", 0x4000, 0xe},
		{"RX_PCIE_CPL_TIMEOUT_DIS", 0x100000, 0x14},
		{"RX_IGNORE_CPL_ERR", 0x20, 0x5},
		{"RX_IGNORE_BE_ERR", 0x2, 0x1},
		{"RX_IGNORE_CPLPREFIX_ERR", 0x800000, 0x17},
		{"RX_IGNORE_CRC_ERR", 0x8, 0x3},
		{"RX_NAK_IF_FIFO_FULL", 0x2000, 0xd}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PciPllTestDebug2", 0x1204104, {
		{"PLL_Tpo", 0x40000, 0x12},
		{"PllDsmObsSel", 0xe00000, 0x15},
		{"PLL_MeasOut", 0x3ffff, 0x0}
	} },
	{"DEVICE_CAP2", 0x1f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"PCIE_PAGE_REQ_STATUS", 0xb1, {
		{"UNEXPECTED_PAGE_REQ_GRP_INDEX", 0x2, 0x1},
		{"PRG_RESPONSE_PASID_REQUIRED", 0x8000, 0xf},
		{"STOPPED", 0x100, 0x8},
		{"RESPONSE_FAILURE", 0x1, 0x0}
	} },
	{"D3F3_PCIE_FC_CPL", 0x62, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"PSX81_WRP_PCIE_HOLD_TRAINING_B", 0x1510900, {
		{"HOLD_TRAINING", 0x1, 0x0}
	} },
	{"D2F2_PCIE_TX_CREDITS_ADVT_NP", 0x31, {
		{"TX_CREDITS_ADVT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_NPD", 0xfff, 0x0}
	} },
	{"PSX81_WRP_PCIE_HOLD_TRAINING_C", 0x1510a00, {
		{"HOLD_TRAINING", 0x1, 0x0}
	} },
	{"PSX81_WRP_BIF_LANE_EQUALIZATION_CNTL", 0x1510050, {
		{"STRAP_BIF_PCIE_LANE_EQUALIZATION_CNTL_UPSTREAM_PORT_RX_PRESET_HINT", 0x38, 0x3},
		{"STRAP_BIF_PCIE_LANE_EQUALIZATION_CNTL_DOWNSTREAM_PORT_RX_PRESET_HINT", 0x7, 0x0},
		{"STRAP_BIF_PCIE_LANE_EQUALIZATION_CNTL_UPSTREAM_PORT_TX_PRESET", 0x3c00, 0xa},
		{"STRAP_BIF_PCIE_LANE_EQUALIZATION_CNTL_DOWNSTREAM_PORT_TX_PRESET", 0x3c0, 0x6}
	} },
	{"D3F5_PCIE_UNCORR_ERR_SEVERITY", 0xb000057, {
		{"SURPDN_ERR_SEVERITY", 0x20, 0x5},
		{"UNCORR_INT_ERR_SEVERITY", 0x400000, 0x16},
		{"CPL_ABORT_ERR_SEVERITY", 0x8000, 0xf},
		{"FC_ERR_SEVERITY", 0x2000, 0xd},
		{"ECRC_ERR_SEVERITY", 0x80000, 0x13},
		{"DLP_ERR_SEVERITY", 0x10, 0x4},
		{"TLP_PREFIX_BLOCKED_ERR_SEVERITY", 0x2000000, 0x19},
		{"UNEXP_CPL_SEVERITY", 0x10000, 0x10},
		{"ATOMICOP_EGRESS_BLOCKED_SEVERITY", 0x1000000, 0x18},
		{"ACS_VIOLATION_SEVERITY", 0x200000, 0x15},
		{"MAL_TLP_SEVERITY", 0x40000, 0x12},
		{"MC_BLOCKED_TLP_SEVERITY", 0x800000, 0x17},
		{"PSN_ERR_SEVERITY", 0x1000, 0xc},
		{"RCV_OVFL_SEVERITY", 0x20000, 0x11},
		{"CPL_TIMEOUT_SEVERITY", 0x4000, 0xe},
		{"UNSUPP_REQ_ERR_SEVERITY", 0x100000, 0x14}
	} },
	{"D2F3_COMMAND", 0x4000001, {
		{"SERR_EN", 0x100, 0x8},
		{"IO_ACCESS_EN", 0x1, 0x0},
		{"MEM_WRITE_INVALIDATE_EN", 0x10, 0x4},
		{"AD_STEPPING", 0x80, 0x7},
		{"INT_DIS", 0x400, 0xa},
		{"BUS_MASTER_EN", 0x4, 0x2},
		{"PARITY_ERROR_RESPONSE", 0x40, 0x6},
		{"PAL_SNOOP_EN", 0x20, 0x5},
		{"MEM_ACCESS_EN", 0x2, 0x1},
		{"SPECIAL_CYCLE_EN", 0x8, 0x3},
		{"FAST_B2B_EN", 0x200, 0x9}
	} },
	{"D3F2_DEVICE_CNTL2", 0x8000020, {
		{"LTR_EN", 0x400, 0xa},
		{"END_END_TLP_PREFIX_BLOCKING", 0x8000, 0xf},
		{"ARI_FORWARDING_EN", 0x20, 0x5},
		{"OBFF_EN", 0x6000, 0xd},
		{"IDO_REQUEST_ENABLE", 0x100, 0x8},
		{"CPL_TIMEOUT_DIS", 0x10, 0x4},
		{"ATOMICOP_EGRESS_BLOCKING", 0x80, 0x7},
		{"ATOMICOP_REQUEST_EN", 0x40, 0x6},
		{"CPL_TIMEOUT_VALUE", 0xf, 0x0},
		{"IDO_COMPLETION_ENABLE", 0x200, 0x9}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT1_SLV_S_C_CLK", 0x140008f, {
		{"COUNTER1", 0xffffffff, 0x0}
	} },
	{"D3F4_CAP_PTR", 0xa00000d, {
		{"CAP_PTR", 0xff, 0x0}
	} },
	{"D2F5_LINK_STATUS2", 0x6000022, {
		{"LINK_EQUALIZATION_REQUEST", 0x200000, 0x15},
		{"CUR_DEEMPHASIS_LEVEL", 0x10000, 0x10},
		{"EQUALIZATION_COMPLETE", 0x20000, 0x11},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x80000, 0x13},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x100000, 0x14},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x40000, 0x12}
	} },
	{"PCIE_TX_CREDITS_INIT_NP", 0x10010034, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"PCIE_LANE_13_EQUALIZATION_CNTL", 0xa5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F2_MSI_MSG_DATA_64", 0x800002b, {
		{"MSI_DATA_64", 0xffff, 0x0}
	} },
	{"PCIE_LC_N_FTS_CNTL", 0x100100a3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"PSX80_PHY0_COM_COMMON_FUSE3", 0x1206202, {
		{"fuse3_lcpll_bw_adj", 0xf0000, 0x10},
		{"fuse3_ron_override_val", 0x3f0, 0x4},
		{"fuse3_lcpll_ref_adj", 0xf00000, 0x14},
		{"fuse3_spare", 0xe0000000, 0x1d},
		{"fuse3_valid", 0x1, 0x0},
		{"fuse3_refresh_cal_en", 0x10000000, 0x1c},
		{"fuse3_dll_cpi_sel", 0xe, 0x1},
		{"fuse3_rtt_override_val", 0xfc00, 0xa},
		{"fuse3_ropll_ref_adj", 0xf000000, 0x18}
	} },
	{"BIF_FB_EN", 0x1524, {
		{"FB_WRITE_EN", 0x2, 0x1},
		{"FB_READ_EN", 0x1, 0x0}
	} },
	{"D2F5_PCIE_LANE_8_EQUALIZATION_CNTL", 0x60000a3, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"PSX80_BIF_PCIE_PRBS_USER_PATTERN", 0x14000cd, {
		{"PRBS_USER_PATTERN", 0x3fffffff, 0x0}
	} },
	{"D3F4_BIST", 0xa000003, {
		{"BIST_STRT", 0x40000000, 0x1e},
		{"BIST_COMP", 0xf000000, 0x18},
		{"BIST_CAP", 0x80000000, 0x1f}
	} },
	{"BIF_BACO_DEBUG_LATCH", 0x14dc, {
		{"BIF_BACO_LATCH_FLG", 0x1, 0x0}
	} },
	{"D3F3_PCIE_TX_CREDITS_FCU_THRESHOLD", 0x37, {
		{"TX_FCU_THRESHOLD_P_VC0", 0x7, 0x0},
		{"TX_FCU_THRESHOLD_CPL_VC0", 0x700, 0x8},
		{"TX_FCU_THRESHOLD_CPL_VC1", 0x7000000, 0x18},
		{"TX_FCU_THRESHOLD_P_VC1", 0x70000, 0x10},
		{"TX_FCU_THRESHOLD_NP_VC1", 0x700000, 0x14},
		{"TX_FCU_THRESHOLD_NP_VC0", 0x70, 0x4}
	} },
	{"PSX80_BIF_PCIE_PERF_COUNT0_SLV_S_C_CLK", 0x140008e, {
		{"COUNTER0", 0xffffffff, 0x0}
	} },
	{"D3F5_PMI_STATUS_CNTL", 0xb000015, {
		{"PMI_DATA", 0xff000000, 0x18},
		{"DATA_SELECT", 0x1e00, 0x9},
		{"DATA_SCALE", 0x6000, 0xd},
		{"PME_EN", 0x100, 0x8},
		{"PME_STATUS", 0x8000, 0xf},
		{"POWER_STATE", 0x3, 0x0},
		{"BUS_PWR_EN", 0x800000, 0x17},
		{"NO_SOFT_RESET", 0x8, 0x3},
		{"B2_B3_SUPPORT", 0x400000, 0x16}
	} },
	{"BIOS_SCRATCH_15_IND", 0x10905d8, {
		{"BIOS_SCRATCH_15", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_LC_STATE0", 0xa5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"PSX81_PHY0_TX_DFX_LANE0", 0x1212001, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"D3F2_MSI_MSG_ADDR_HI", 0x800002a, {
		{"MSI_MSG_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"D2F5_SLOT_CNTL", 0x600001c, {
		{"HOTPLUG_INTR_EN", 0x20, 0x5},
		{"PWR_FAULT_DETECTED_EN", 0x2, 0x1},
		{"PRESENCE_DETECT_CHANGED_EN", 0x8, 0x3},
		{"PWR_INDICATOR_CNTL", 0x300, 0x8},
		{"COMMAND_COMPLETED_INTR_EN", 0x10, 0x4},
		{"ATTN_BUTTON_PRESSED_EN", 0x1, 0x0},
		{"MRL_SENSOR_CHANGED_EN", 0x4, 0x2},
		{"ATTN_INDICATOR_CNTL", 0xc0, 0x6},
		{"DL_STATE_CHANGED_EN", 0x1000, 0xc},
		{"ELECTROMECH_INTERLOCK_CNTL", 0x800, 0xb},
		{"PWR_CONTROLLER_CNTL", 0x400, 0xa}
	} },
	{"PSX81_PHY0_TX_DFX_LANE3", 0x1212301, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"PSX81_PHY0_TX_DFX_LANE4", 0x1212401, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"D3F3_PCIE_LC_STATE3", 0xa8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"PSX81_PHY0_TX_DFX_LANE6", 0x1212601, {
		{"obs_sel", 0x4, 0x2},
		{"prbs_en", 0x100, 0x8},
		{"felb_en", 0x10, 0x4},
		{"obs_en", 0x1, 0x0}
	} },
	{"D2F1_PCIE_ACS_CNTL", 0x20000a9, {
		{"UPSTREAM_FORWARDING_EN", 0x100000, 0x14},
		{"SOURCE_VALIDATION_EN", 0x10000, 0x10},
		{"P2P_EGRESS_CONTROL_EN", 0x200000, 0x15},
		{"P2P_COMPLETION_REDIRECT_EN", 0x80000, 0x13},
		{"DIRECT_TRANSLATED_P2P_EN", 0x400000, 0x16},
		{"P2P_REQUEST_REDIRECT_EN", 0x40000, 0x12},
		{"TRANSLATION_BLOCKING_EN", 0x20000, 0x11}
	} },
	{"D2F5_DEVICE_CAP2", 0x600001f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"ATOMICOP_ROUTING_SUPPORTED", 0x40, 0x6},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"ATOMICOP_32CMPLT_SUPPORTED", 0x80, 0x7},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"CAS128_CMPLT_SUPPORTED", 0x200, 0x9},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"ATOMICOP_64CMPLT_SUPPORTED", 0x100, 0x8},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"BIF_VDDGFX_RSV3_UPPER_IND", 0x1091439, {
		{"VDDGFX_RSV3_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX81_WRP_PCIE_WRAP_SCRATCH1", 0x1318001, {
		{"PCIE_WRAP_SCRATCH1", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_COM_COMMON_TXTESTDEBUG", 0x1206212, {
		{"test_single_leg_en", 0x40, 0x6},
		{"test_single_leg_sel", 0x1f, 0x0}
	} },
	{"D3F4_PCIE_LC_CNTL2", 0xb1, {
		{"LC_ELEC_IDLE_MODE", 0xc000, 0xe},
		{"LC_TIMED_OUT_STATE", 0x3f, 0x0},
		{"LC_LINK_UP_REVERSAL_EN", 0x400, 0xa},
		{"LC_STATE_TIMED_OUT", 0x40, 0x6},
		{"LC_ALLOW_PDWN_IN_L1", 0x20000, 0x11},
		{"LC_LINK_BW_NOTIFICATION_DIS", 0x8000000, 0x1b},
		{"LC_RCV_L0_TO_RCV_L0S_DIS", 0x200000, 0x15},
		{"LC_MORE_TS2_EN", 0x100, 0x8},
		{"LC_ILLEGAL_STATE", 0x800, 0xb},
		{"LC_BLOCK_EL_IDLE_IN_L0", 0x100000, 0x14},
		{"LC_LOOK_FOR_BW_REDUCTION", 0x80, 0x7},
		{"LC_TEST_TIMER_SEL", 0x60000000, 0x1d},
		{"LC_PMI_L1_WAIT_FOR_SLV_IDLE", 0x10000000, 0x1c},
		{"LC_ASSERT_INACTIVE_DURING_HOLD", 0x400000, 0x16},
		{"LC_DISABLE_LOST_SYM_LOCK_ARCS", 0x4000000, 0x1a},
		{"LC_ENABLE_INFERRED_ELEC_IDLE_FOR_PI", 0x80000000, 0x1f},
		{"LC_DISABLE_INFERRED_ELEC_IDLE_DET", 0x10000, 0x10},
		{"LC_X12_NEGOTIATION_DIS", 0x200, 0x9},
		{"LC_ILLEGAL_STATE_RESTART_EN", 0x1000, 0xc},
		{"LC_WAIT_FOR_OTHER_LANES_MODE", 0x2000, 0xd},
		{"LC_PWR_DOWN_NEG_OFF_LANES", 0x2000000, 0x19},
		{"LC_DEASSERT_RX_EN_IN_L0S", 0x80000, 0x13},
		{"LC_ALLOW_PDWN_IN_L23", 0x40000, 0x12},
		{"LC_WAIT_FOR_LANES_IN_LW_NEG", 0x1800000, 0x17}
	} },
	{"D3F1_DEVICE_CAP2", 0x700001f, {
		{"LTR_SUPPORTED", 0x800, 0xb},
		{"ATOMICOP_ROUTING_SUPPORTED", 0x40, 0x6},
		{"MAX_END_END_TLP_PREFIXES", 0xc00000, 0x16},
		{"TPH_CPLR_SUPPORTED", 0x3000, 0xc},
		{"ATOMICOP_32CMPLT_SUPPORTED", 0x80, 0x7},
		{"OBFF_SUPPORTED", 0xc0000, 0x12},
		{"CAS128_CMPLT_SUPPORTED", 0x200, 0x9},
		{"END_END_TLP_PREFIX_SUPPORTED", 0x200000, 0x15},
		{"NO_RO_ENABLED_P2P_PASSING", 0x400, 0xa},
		{"ATOMICOP_64CMPLT_SUPPORTED", 0x100, 0x8},
		{"ARI_FORWARDING_SUPPORTED", 0x20, 0x5},
		{"CPL_TIMEOUT_DIS_SUPPORTED", 0x10, 0x4},
		{"CPL_TIMEOUT_RANGE_SUPPORTED", 0xf, 0x0},
		{"EXTENDED_FMT_FIELD_SUPPORTED", 0x100000, 0x14}
	} },
	{"D3F4_PCIE_RX_CNTL3", 0x74, {
		{"RX_IGNORE_RC_TRANSMRDPASID_UR", 0x1, 0x0},
		{"RX_IGNORE_RC_INVCPLPASID_UR", 0x10, 0x4},
		{"RX_IGNORE_RC_INVREQ_UR", 0x8, 0x3},
		{"RX_IGNORE_RC_TRANSMWRPASID_UR", 0x2, 0x1},
		{"RX_IGNORE_RC_PRGRESPMSG_UR", 0x4, 0x2}
	} },
	{"D2F1_VENDOR_ID", 0x2000000, {
		{"VENDOR_ID", 0xffff, 0x0}
	} },
	{"PCIE_TX_F0_ATTR_CNTL", 0x140001e, {
		{"TX_F0_IDO_OVERRIDE_NP", 0xc, 0x2},
		{"TX_F0_IDO_OVERRIDE_P", 0x3, 0x0},
		{"TX_F0_RO_OVERRIDE_P", 0xc0, 0x6},
		{"TX_F0_IDO_OVERRIDE_CPL", 0x30, 0x4},
		{"TX_F0_RO_OVERRIDE_NP", 0x300, 0x8},
		{"TX_F0_SNR_OVERRIDE_NP", 0x3000, 0xc},
		{"TX_F0_SNR_OVERRIDE_P", 0xc00, 0xa}
	} },
	{"PSX81_BIF_PCIE_PERF_COUNT_CNTL", 0x1410080, {
		{"GLOBAL_SHADOW_WR", 0x2, 0x1},
		{"GLOBAL_COUNT_EN", 0x1, 0x0},
		{"GLOBAL_COUNT_RESET", 0x4, 0x2}
	} },
	{"PSX81_PHY0_RX_ADAPTDBG1_LANE4", 0x121040e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX81_PHY0_RX_ADAPTDBG1_LANE5", 0x121050e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"MM_INDEX_HI_IND", 0x1090006, {
		{"MM_OFFSET_HI", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_RX_ADAPTDBG1_LANE7", 0x121070e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX81_PHY0_RX_ADAPTDBG1_LANE0", 0x121000e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX81_PHY0_RX_ADAPTDBG1_LANE1", 0x121010e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX81_PHY0_RX_ADAPTDBG1_LANE2", 0x121020e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX81_PHY0_RX_ADAPTDBG1_LANE3", 0x121030e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"PSX81_PIF0_LANE4_OVRD", 0x111001c, {
		{"REQUESTTRN_OVRD_EN_4", 0x2000, 0xd},
		{"REQUESTTRK_OVRD_EN_4", 0x1000, 0xc},
		{"RXPWR_OVRD_EN_4", 0x40, 0x6},
		{"COEFFICIENTID_OVRD_EN_4", 0x4000, 0xe},
		{"RXPGENABLE_OVRD_EN_4", 0x80, 0x7},
		{"REQUESTFOM_OVRD_EN_4", 0x400, 0xa},
		{"LINKSPEED_OVRD_EN_4", 0x4, 0x2},
		{"GANGMODE_OVRD_EN_4", 0x1, 0x0},
		{"CDREN_OVRD_EN_4", 0x10000, 0x10},
		{"TWOSYMENABLE_OVRD_EN_4", 0x8, 0x3},
		{"COEFFICIENT_OVRD_EN_4", 0x8000, 0xf},
		{"RESPONSEMODE_OVRD_EN_4", 0x800, 0xb},
		{"TXPWR_OVRD_EN_4", 0x10, 0x4},
		{"FREQDIV_OVRD_EN_4", 0x2, 0x1},
		{"ENABLEFOM_OVRD_EN_4", 0x200, 0x9},
		{"TXPGENABLE_OVRD_EN_4", 0x20, 0x5},
		{"CDREN_OVRD_VAL_4", 0x20000, 0x11},
		{"ELECIDLEDETEN_OVRD_EN_4", 0x100, 0x8}
	} },
	{"PSX80_WRP_BIF_SSID", 0x1500046, {
		{"STRAP_BIF_SUBSYS_ID", 0xffff0000, 0x10},
		{"STRAP_BIF_SUBSYS_VEN_ID", 0xffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_P_MISC_STATUS", 0x1400043, {
		{"P_DESKEW_ERR", 0xff, 0x0},
		{"P_SYMUNLOCK_ERR", 0xffff0000, 0x10}
	} },
	{"PCIE_LANE_14_EQUALIZATION_CNTL", 0xa6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F1_PCIE_LANE_7_EQUALIZATION_CNTL", 0x70000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"BIF_DOORBELL_GBLAPER1_LOWER_IND", 0x10914fc, {
		{"DOORBELL_GBLAPER1_LOWER", 0xffc, 0x2},
		{"DOORBELL_GBLAPER1_EN", 0x80000000, 0x1f}
	} },
	{"D2F2_STATUS", 0x3000001, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"INT_STATUS", 0x80000, 0x13},
		{"SIGNALED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D3F4_PCIE_TX_VENDOR_SPECIFIC", 0x22, {
		{"TX_VENDOR_DATA", 0xffffff, 0x0}
	} },
	{"BACO_CNTL_IND", 0x10914e5, {
		{"BACO_MODE", 0x40, 0x6},
		{"BACO_ANA_ISO_DIS", 0x80, 0x7},
		{"BACO_BF_MEM_PHY_ISO_CNTRL", 0x20000, 0x11},
		{"BACO_RESET_EN", 0x10, 0x4},
		{"PWRGOOD_IDSC", 0x2000, 0xd},
		{"PWRGOOD_MEM", 0x800, 0xb},
		{"PWRGOOD_BF", 0x200, 0x9},
		{"PWRGOOD_DVO", 0x1000, 0xc},
		{"PWRGOOD_GPIO", 0x400, 0xa},
		{"BACO_EN", 0x1, 0x0},
		{"BACO_ISO_DIS", 0x4, 0x2},
		{"BACO_POWER_OFF", 0x8, 0x3},
		{"BACO_POWER_OFF_DRAM", 0x10000, 0x10},
		{"RCU_BIF_CONFIG_DONE", 0x100, 0x8},
		{"BACO_BCLK_OFF", 0x2, 0x1},
		{"BACO_HANG_PROTECTION_EN", 0x20, 0x5}
	} },
	{"D3F5_PCIE_TX_CREDITS_ADVT_P", 0x30, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"PSX81_WRP_DELAYLINE_COMMAND", 0x131ffd0, {
		{"CFG_DPC_Enable", 0x100000, 0x14},
		{"CFG_DPC_cmdRestart", 0x40000, 0x12},
		{"CFG_DPC_modeOverrideDelay", 0x8, 0x3},
		{"CFG_DPC_modeWidePhase", 0x4, 0x2},
		{"CFG_DPC_modeCharz", 0x1, 0x0},
		{"CFG_DPC_cmdStart", 0x20000, 0x11},
		{"CFG_DPC_cmdIdle", 0x10000, 0x10},
		{"CFG_DPC_delayOverride", 0xff00, 0x8},
		{"CFG_DPC_FastCkStable", 0x200000, 0x15},
		{"CFG_DPC_modeMaintainLock", 0x2, 0x1},
		{"CFG_DPC_spare", 0xf0000000, 0x1c}
	} },
	{"D3F5_SECONDARY_STATUS", 0xb000007, {
		{"CAP_LIST", 0x100000, 0x14},
		{"RECEIVED_MASTER_ABORT", 0x20000000, 0x1d},
		{"MASTER_DATA_PARITY_ERROR", 0x1000000, 0x18},
		{"SIGNAL_TARGET_ABORT", 0x8000000, 0x1b},
		{"RECEIVED_TARGET_ABORT", 0x10000000, 0x1c},
		{"RECEIVED_SYSTEM_ERROR", 0x40000000, 0x1e},
		{"FAST_BACK_CAPABLE", 0x800000, 0x17},
		{"PCI_66_EN", 0x200000, 0x15},
		{"PARITY_ERROR_DETECTED", 0x80000000, 0x1f},
		{"DEVSEL_TIMING", 0x6000000, 0x19}
	} },
	{"D2F2_SUB_BUS_NUMBER_LATENCY", 0x3000006, {
		{"SECONDARY_BUS", 0xff00, 0x8},
		{"PRIMARY_BUS", 0xff, 0x0},
		{"SUB_BUS_NUM", 0xff0000, 0x10},
		{"SECONDARY_LATENCY_TIMER", 0xff000000, 0x18}
	} },
	{"D3F2_PCIE_LC_N_FTS_CNTL", 0xa3, {
		{"LC_XMIT_N_FTS_LIMIT", 0xff0000, 0x10},
		{"LC_XMIT_N_FTS_OVERRIDE_EN", 0x100, 0x8},
		{"LC_N_FTS", 0xff000000, 0x18},
		{"LC_XMIT_N_FTS", 0xff, 0x0},
		{"LC_XMIT_FTS_BEFORE_RECOVERY", 0x200, 0x9}
	} },
	{"PSX80_WRP_PCIE_WRAP_TURNAROUND_DAISYCHAIN", 0x1308007, {
		{"END_BIFCORE_REGISTER_DAISYCHAIN", 0x1, 0x0},
		{"END_WRAPPER_REGISTER_DAISYCHAIN", 0x2, 0x1}
	} },
	{"RFE_MST_PCIEW1_CMDSTATUS", 0x1080021, {
		{"PCIEW1_RFE_mstTimeout", 0x1000000, 0x18},
		{"REG_PCIEW1_clkGate_timer", 0xff, 0x0},
		{"REG_PCIEW1_clkSetup_timer", 0xf00, 0x8},
		{"REG_PCIEW1_timeout_timer", 0xff0000, 0x10}
	} },
	{"PSX81_PHY0_RX_ADAPT_CFG_BYP_EN_LANE2", 0x121020c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"PSX81_PHY0_RX_ADAPT_CFG_BYP_EN_LANE3", 0x121030c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"PSX80_BIF_PCIE_PRBS_STATUS1", 0x14000c9, {
		{"PRBS_LOCKED", 0xffff0000, 0x10},
		{"PRBS_ERRSTAT", 0xffff, 0x0}
	} },
	{"PSX81_PHY0_RX_ADAPT_CFG_BYP_EN_LANE5", 0x121050c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"PSX81_PHY0_RX_ADAPT_CFG_BYP_EN_LANE6", 0x121060c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"PSX80_BIF_PCIE_PRBS_STATUS2", 0x14000ca, {
		{"PRBS_BITCNT_DONE", 0xffff, 0x0}
	} },
	{"RFE_SOFTRST_CNTL", 0x1080001, {
		{"REG_RST_rstTimer", 0xffff, 0x0},
		{"SoftRstReg", 0x80000000, 0x1f},
		{"REG_RST_softRstPropEn", 0x40000000, 0x1e}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PciPllControlExt", 0x1204001, {
		{"BgRcFiltShortTimer", 0x7, 0x0},
		{"BgRcFiltShortForce", 0x8, 0x3}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE6", 0x1210601, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"D3F1_PCIE_VC0_RESOURCE_CAP", 0x7000048, {
		{"REJECT_SNOOP_TRANS", 0x8000, 0xf},
		{"PORT_ARB_CAP", 0xff, 0x0},
		{"MAX_TIME_SLOTS", 0x3f0000, 0x10},
		{"PORT_ARB_TABLE_OFFSET", 0xff000000, 0x18}
	} },
	{"D2F3_PCIE_MC_ADDR0", 0x40000be, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"D2F3_PCIE_MC_ADDR1", 0x40000bf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_I2C_REG_ADDR_EXPAND", 0x140003a, {
		{"I2C_REG_ADDR", 0x1ffff, 0x0}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE3", 0x1210301, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"PSX81_PHY0_RX_CMD_BUS_GLOBAL_FOR_RX_LANE0", 0x1210001, {
		{"freq_div2", 0x8, 0x3},
		{"twosym_en", 0x1, 0x0},
		{"link_speed", 0x6, 0x1}
	} },
	{"D3F5_PCIE_LC_CDR_CNTL", 0xb3, {
		{"LC_CDR_SET_TYPE", 0x3000000, 0x18},
		{"LC_CDR_TEST_OFF", 0xfff, 0x0},
		{"LC_CDR_TEST_SETS", 0xfff000, 0xc}
	} },
	{"D3F4_LINK_STATUS2", 0xa000022, {
		{"LINK_EQUALIZATION_REQUEST", 0x200000, 0x15},
		{"CUR_DEEMPHASIS_LEVEL", 0x10000, 0x10},
		{"EQUALIZATION_COMPLETE", 0x20000, 0x11},
		{"EQUALIZATION_PHASE2_SUCCESS", 0x80000, 0x13},
		{"EQUALIZATION_PHASE3_SUCCESS", 0x100000, 0x14},
		{"EQUALIZATION_PHASE1_SUCCESS", 0x40000, 0x12}
	} },
	{"DEVICE_CNTL", 0x18, {
		{"NO_SNOOP_EN", 0x800, 0xb},
		{"RELAXED_ORD_EN", 0x10, 0x4},
		{"EXTENDED_TAG_EN", 0x100, 0x8},
		{"AUX_POWER_PM_EN", 0x400, 0xa},
		{"PHANTOM_FUNC_EN", 0x200, 0x9},
		{"FATAL_ERR_EN", 0x4, 0x2},
		{"USR_REPORT_EN", 0x8, 0x3},
		{"CORR_ERR_EN", 0x1, 0x0},
		{"INITIATE_FLR", 0x8000, 0xf},
		{"NON_FATAL_ERR_EN", 0x2, 0x1},
		{"MAX_READ_REQUEST_SIZE", 0x7000, 0xc},
		{"MAX_PAYLOAD_SIZE", 0xe0, 0x5}
	} },
	{"D2F4_MSI_MSG_DATA", 0x500002a, {
		{"MSI_DATA", 0xffff, 0x0}
	} },
	{"D3F5_PCIE_LC_CNTL", 0xa0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"D2F1_PCIE_TX_CREDITS_ADVT_P", 0x30, {
		{"TX_CREDITS_ADVT_PH", 0xff0000, 0x10},
		{"TX_CREDITS_ADVT_PD", 0xfff, 0x0}
	} },
	{"D2F3_SLOT_CNTL2", 0x4000024, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"D3F5_PCIE_RX_CREDITS_ALLOCATED_CPL", 0x82, {
		{"RX_CREDITS_ALLOCATED_CPLD", 0xfff, 0x0},
		{"RX_CREDITS_ALLOCATED_CPLH", 0xff0000, 0x10}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PowerDownEn", 0x1214180, {
		{"PllPowerDownEn", 0x7, 0x0},
		{"PllPowerDownOvrd", 0x10, 0x4}
	} },
	{"D2F1_PCIE_VC1_RESOURCE_STATUS", 0x200004d, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D2F3_PCIE_ROOT_ERR_CMD", 0x400005f, {
		{"FATAL_ERR_REP_EN", 0x4, 0x2},
		{"CORR_ERR_REP_EN", 0x1, 0x0},
		{"NONFATAL_ERR_REP_EN", 0x2, 0x1}
	} },
	{"PCIE_PRBS_LO_BITCNT", 0x14000ce, {
		{"PRBS_LO_BITCNT", 0xffffffff, 0x0}
	} },
	{"D2F1_LINK_CNTL", 0x200001a, {
		{"HW_AUTONOMOUS_WIDTH_DISABLE", 0x200, 0x9},
		{"CLOCK_POWER_MANAGEMENT_EN", 0x100, 0x8},
		{"LINK_DIS", 0x10, 0x4},
		{"RETRAIN_LINK", 0x20, 0x5},
		{"LINK_AUTONOMOUS_BW_INT_EN", 0x800, 0xb},
		{"PM_CONTROL", 0x3, 0x0},
		{"EXTENDED_SYNC", 0x80, 0x7},
		{"LINK_BW_MANAGEMENT_INT_EN", 0x400, 0xa},
		{"READ_CPL_BOUNDARY", 0x8, 0x3},
		{"COMMON_CLOCK_CFG", 0x40, 0x6}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_14", 0x14000de, {
		{"PRBS_ERRCNT_14", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_13", 0x14000dd, {
		{"PRBS_ERRCNT_13", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_12", 0x14000dc, {
		{"PRBS_ERRCNT_12", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_11", 0x14000db, {
		{"PRBS_ERRCNT_11", 0xffffffff, 0x0}
	} },
	{"PSX80_BIF_PCIE_PRBS_ERRCNT_10", 0x14000da, {
		{"PRBS_ERRCNT_10", 0xffffffff, 0x0}
	} },
	{"D3F5_PCIE_MC_BLOCK_UNTRANSLATED_1", 0xb0000c5, {
		{"MC_BLOCK_UNTRANSLATED_1", 0xffffffff, 0x0}
	} },
	{"D3F1_SLOT_CNTL2", 0x7000024, {
		{"RESERVED", 0xffff, 0x0}
	} },
	{"PCIE_P_DECODER_STATUS", 0x1400042, {
		{"P_DECODE_ERR", 0xffff, 0x0}
	} },
	{"PCIE_PWR_BUDGET_DATA", 0x92, {
		{"PM_STATE", 0x6000, 0xd},
		{"POWER_RAIL", 0x1c0000, 0x12},
		{"PM_SUB_STATE", 0x1c00, 0xa},
		{"BASE_POWER", 0xff, 0x0},
		{"DATA_SCALE", 0x300, 0x8},
		{"TYPE", 0x38000, 0xf}
	} },
	{"BIST", 0x3, {
		{"BIST_STRT", 0x40, 0x6},
		{"BIST_COMP", 0xf, 0x0},
		{"BIST_CAP", 0x80, 0x7}
	} },
	{"PSX81_PHY0_RX_ELECIDLE_DEBUG_LANE0", 0x1210005, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PSX81_WRP_BIF_STRAP_LC_MISC_PORT_A", 0x1510803, {
		{"STRAP_BIF_LC_AUTO_DISABLE_SPEED_SUPPORT_EN", 0x800, 0xb},
		{"STRAP_BIF_LC_SPC_MODE_5GT", 0x2000, 0xd},
		{"STRAP_BIF_LC_SPC_MODE_8GT", 0x4000, 0xe},
		{"STRAP_BIF_LC_SPC_MODE_2P5GT", 0x1000, 0xc},
		{"STRAP_BIF_DE_EMPHASIS_SEL", 0x20, 0x5}
	} },
	{"BIF_VDDGFX_GFX1_UPPER", 0x142b, {
		{"VDDGFX_GFX1_REG_UPPER", 0x3fffc, 0x2}
	} },
	{"PSX81_PHY0_RX_ELECIDLE_DEBUG_LANE3", 0x1210305, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"PSX81_PHY0_RX_ELECIDLE_DEBUG_LANE4", 0x1210405, {
		{"ei_det_dac_test_en", 0x400, 0xa},
		{"ei_det_async_ei", 0x1, 0x0},
		{"ei_det_ofc_out_of_bounds", 0x4, 0x2},
		{"ei_det_thresh_adj", 0x1f8, 0x3},
		{"ei_det_ofc_comp_out", 0x2, 0x1}
	} },
	{"D2F2_PCIE_PORT_DATA", 0x3000039, {
		{"PCIE_DATA", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_COM_COMMON_LNCNTRL", 0x1206211, {
		{"clkgate_dis", 0x20, 0x5},
		{"dll_lock_time_sel", 0xc0, 0x6},
		{"cdr_lock_time_sel", 0x300, 0x8}
	} },
	{"PEER2_FB_OFFSET_LO_IND", 0x10914ee, {
		{"PEER2_FB_OFFSET_LO", 0xfffff, 0x0},
		{"PEER2_FB_EN", 0x80000000, 0x1f}
	} },
	{"PSX80_WRP_PCIE_WRAP_SCRATCH1", 0x1308001, {
		{"PCIE_WRAP_SCRATCH1", 0xffffffff, 0x0}
	} },
	{"PSX80_WRP_PCIE_WRAP_SCRATCH2", 0x1308002, {
		{"PCIE_WRAP_SCRATCH2", 0xffffffff, 0x0}
	} },
	{"D2F1_PCIEP_ERROR_INJECT_TRANSACTION", 0x84, {
		{"ERROR_INJECT_TL_MALFORMED_TLP", 0x3000, 0xc},
		{"ERROR_INJECT_TL_UNSUPPORTED_REQ", 0x300, 0x8},
		{"ERROR_INJECT_TL_COMPLETER_ABORT", 0x30000, 0x10},
		{"ERROR_INJECT_TL_BAD_TLP", 0xc0, 0x6},
		{"ERROR_INJECT_TL_UNEXPECTED_CMPLT", 0xc000, 0xe},
		{"ERROR_INJECT_TL_REPLAY_NUM_ROLLOVER", 0xc, 0x2},
		{"ERROR_INJECT_TL_COMPLETION_TIMEOUT", 0xc0000, 0x12},
		{"ERROR_INJECT_TL_ECRC_ERROR", 0xc00, 0xa},
		{"ERROR_INJECT_TL_BAD_DLLP", 0x30, 0x4},
		{"ERROR_INJECT_TL_FLOW_CTL_ERR", 0x3, 0x0}
	} },
	{"D2F4_BASE_CLASS", 0x5000002, {
		{"BASE_CLASS", 0xff000000, 0x18}
	} },
	{"PEER3_FB_OFFSET_HI", 0x14ed, {
		{"PEER3_FB_OFFSET_HI", 0xfffff, 0x0}
	} },
	{"D3F5_LINK_CNTL2", 0xb000022, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"D3F4_PCIE_FC_P", 0x60, {
		{"PD_CREDITS", 0xff, 0x0},
		{"PH_CREDITS", 0xff00, 0x8}
	} },
	{"D3F3_PCIEP_ERROR_INJECT_TRANSACTION", 0x84, {
		{"ERROR_INJECT_TL_MALFORMED_TLP", 0x3000, 0xc},
		{"ERROR_INJECT_TL_UNSUPPORTED_REQ", 0x300, 0x8},
		{"ERROR_INJECT_TL_COMPLETER_ABORT", 0x30000, 0x10},
		{"ERROR_INJECT_TL_BAD_TLP", 0xc0, 0x6},
		{"ERROR_INJECT_TL_UNEXPECTED_CMPLT", 0xc000, 0xe},
		{"ERROR_INJECT_TL_REPLAY_NUM_ROLLOVER", 0xc, 0x2},
		{"ERROR_INJECT_TL_COMPLETION_TIMEOUT", 0xc0000, 0x12},
		{"ERROR_INJECT_TL_ECRC_ERROR", 0xc00, 0xa},
		{"ERROR_INJECT_TL_BAD_DLLP", 0x30, 0x4},
		{"ERROR_INJECT_TL_FLOW_CTL_ERR", 0x3, 0x0}
	} },
	{"D3F4_LINK_STATUS", 0xa00001a, {
		{"LINK_AUTONOMOUS_BW_STATUS", 0x80000000, 0x1f},
		{"DL_ACTIVE", 0x20000000, 0x1d},
		{"SLOT_CLOCK_CFG", 0x10000000, 0x1c},
		{"LINK_TRAINING", 0x8000000, 0x1b},
		{"LINK_BW_MANAGEMENT_STATUS", 0x40000000, 0x1e},
		{"CURRENT_LINK_SPEED", 0xf0000, 0x10},
		{"NEGOTIATED_LINK_WIDTH", 0x3f00000, 0x14}
	} },
	{"D3F5_PCIE_LC_STATE0", 0xa5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"D2F5_PCIE_MC_RCV1", 0x60000c1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"D2F5_PCIE_MC_RCV0", 0x60000c0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"PCIE_LTR_CAP", 0xc9, {
		{"LTR_MAX_S_LATENCY_SCALE", 0x1c00, 0xa},
		{"LTR_MAX_NS_LATENCY_VALUE", 0x3ff0000, 0x10},
		{"LTR_MAX_S_LATENCY_VALUE", 0x3ff, 0x0},
		{"LTR_MAX_NS_LATENCY_SCALE", 0x1c000000, 0x1a}
	} },
	{"D3F5_PCIE_VC_ENH_CAP_LIST", 0xb000044, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F5_SUB_BUS_NUMBER_LATENCY", 0xb000006, {
		{"SECONDARY_BUS", 0xff00, 0x8},
		{"PRIMARY_BUS", 0xff, 0x0},
		{"SUB_BUS_NUM", 0xff0000, 0x10},
		{"SECONDARY_LATENCY_TIMER", 0xff000000, 0x18}
	} },
	{"PSX81_PIF0_LANE0_OVRD2", 0x1110015, {
		{"TWOSYMENABLE_0", 0x80, 0x7},
		{"RESPONSEMODE_0", 0x200000, 0x15},
		{"COEFFICIENT_0", 0xfc000000, 0x1a},
		{"ELECIDLEDETEN_0", 0x40000, 0x12},
		{"RXPWR_0", 0xe000, 0xd},
		{"REQUESTTRK_0", 0x400000, 0x16},
		{"FREQDIV_0", 0x18, 0x3},
		{"REQUESTTRN_0", 0x800000, 0x17},
		{"RXPGENABLE_0", 0x30000, 0x10},
		{"GANGMODE_0", 0x7, 0x0},
		{"COEFFICIENTID_0", 0x3000000, 0x18},
		{"LINKSPEED_0", 0x60, 0x5},
		{"TXPGENABLE_0", 0x1800, 0xb},
		{"TXPWR_0", 0x700, 0x8},
		{"REQUESTFOM_0", 0x100000, 0x14},
		{"ENABLEFOM_0", 0x80000, 0x13}
	} },
	{"PEER0_FB_OFFSET_HI_IND", 0x10914f3, {
		{"PEER0_FB_OFFSET_HI", 0xfffff, 0x0}
	} },
	{"PCIE_MC_RCV0", 0xc0, {
		{"MC_RECEIVE_0", 0xffffffff, 0x0}
	} },
	{"PCIE_MC_RCV1", 0xc1, {
		{"MC_RECEIVE_1", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_COM_COMMON_ADAPT_CFG_BYP_VAL", 0x121620c, {
		{"adapt_cfg_gen3_leq_dcattn_byp_val", 0x7c0, 0x6},
		{"adapt_cfg_gen12_leq_dcattn_byp_val", 0x1f, 0x0},
		{"adapt_cfg_gen3_leq_pole_byp_val", 0xe0000, 0x11},
		{"adapt_cfg_gen12_leq_pole_byp_val", 0xe000, 0xd},
		{"adapt_cfg_gen12_dfe_tp1_byp_val", 0xfc00000, 0x16}
	} },
	{"D3F3_IO_BASE_LIMIT", 0x9000007, {
		{"IO_LIMIT", 0xf000, 0xc},
		{"IO_LIMIT_TYPE", 0xf00, 0x8},
		{"IO_BASE", 0xf0, 0x4},
		{"IO_BASE_TYPE", 0xf, 0x0}
	} },
	{"PSX80_PHY0_HTPLL_ROPLL_PciPllControl", 0x1204102, {
		{"ClearLockDetect", 0x10000000, 0x1c},
		{"FastLock", 0x4000000, 0x1a},
		{"LpfRes", 0x3c00, 0xa},
		{"FastLockTimer", 0x3c00000, 0x16},
		{"CpiDac", 0x3fc000, 0xe},
		{"PllLocked", 0x20000000, 0x1d},
		{"ManaregRampTimer", 0xc0000000, 0x1e},
		{"VcoRange", 0xff, 0x0}
	} },
	{"D3F1_LINK_CAP", 0x7000019, {
		{"L1_EXIT_LATENCY", 0x38000, 0xf},
		{"CLOCK_POWER_MANAGEMENT", 0x40000, 0x12},
		{"SURPRISE_DOWN_ERR_REPORTING", 0x80000, 0x13},
		{"LINK_SPEED", 0xf, 0x0},
		{"PORT_NUMBER", 0xff000000, 0x18},
		{"LINK_BW_NOTIFICATION_CAP", 0x200000, 0x15},
		{"LINK_WIDTH", 0x3f0, 0x4},
		{"DL_ACTIVE_REPORTING_CAPABLE", 0x100000, 0x14},
		{"L0S_EXIT_LATENCY", 0x7000, 0xc},
		{"ASPM_OPTIONALITY_COMPLIANCE", 0x400000, 0x16},
		{"PM_SUPPORT", 0xc00, 0xa}
	} },
	{"BIF_DOORBELL_CNTL_IND", 0x10914c3, {
		{"TRANS_CHECK_DIS", 0x2, 0x1},
		{"DOORBELL_MONITOR_EN", 0x10, 0x4},
		{"SELF_RING_DIS", 0x1, 0x0},
		{"DOORBELL_INTERRUPT_CLEAR", 0x10000, 0x10},
		{"UNTRANS_LBACK_EN", 0x4, 0x2},
		{"DOORBELL_INTERRUPT_STATUS", 0x20, 0x5},
		{"NON_CONSECUTIVE_BE_ZERO_DIS", 0x8, 0x3}
	} },
	{"D3F4_PCIE_LANE_6_EQUALIZATION_CNTL", 0xa0000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf, 0x0},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x7000, 0xc},
		{"UPSTREAM_PORT_TX_PRESET", 0xf00, 0x8},
		{"RESERVED", 0x8000, 0xf},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x70, 0x4}
	} },
	{"D3F5_LATENCY", 0xb000003, {
		{"LATENCY_TIMER", 0xff00, 0x8}
	} },
	{"D2F4_PCIE_VC1_RESOURCE_STATUS", 0x500004d, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"D3F2_PCIE_MC_BLOCK_UNTRANSLATED_0", 0x80000c4, {
		{"MC_BLOCK_UNTRANSLATED_0", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_ADV_ERR_CAP_CNTL", 0x700005a, {
		{"MULTI_HDR_RECD_EN", 0x400, 0xa},
		{"ECRC_GEN_EN", 0x40, 0x6},
		{"TLP_PREFIX_LOG_PRESENT", 0x800, 0xb},
		{"ECRC_GEN_CAP", 0x20, 0x5},
		{"FIRST_ERR_PTR", 0x1f, 0x0},
		{"ECRC_CHECK_CAP", 0x80, 0x7},
		{"ECRC_CHECK_EN", 0x100, 0x8},
		{"MULTI_HDR_RECD_CAP", 0x200, 0x9}
	} },
	{"PSX80_PHY0_COM_COMMON_ADAPT_DBG_BYP_VAL1", 0x120620f, {
		{"adapt_dbg_gen3_dfe_tp2_byp_val", 0x1f80, 0x7},
		{"adapt_dbg_gen3_dfe_tp1_byp_val", 0x3f, 0x0}
	} },
	{"D3F5_PROG_INTERFACE", 0xb000002, {
		{"PROG_INTERFACE", 0xff00, 0x8}
	} },
	{"D2F5_PCIE_LC_BW_CHANGE_CNTL", 0xb2, {
		{"LC_BW_CHANGE_INT_EN", 0x1, 0x0},
		{"LC_LW_CHANGE_FAILED", 0x200, 0x9},
		{"LC_HW_INIT_SPEED_CHANGE", 0x2, 0x1},
		{"LC_OTHER_INIT_SPEED_CHANGE", 0x8, 0x3},
		{"LC_SHORT_LW_CHANGE", 0x80, 0x7},
		{"LC_LONG_LW_CHANGE", 0x40, 0x6},
		{"LC_RELIABILITY_SPEED_CHANGE", 0x10, 0x4},
		{"LC_SW_INIT_SPEED_CHANGE", 0x4, 0x2},
		{"LC_LW_CHANGE_OTHER", 0x100, 0x8},
		{"LC_FAILED_SPEED_NEG", 0x20, 0x5},
		{"LC_LINK_BW_NOTIFICATION_DETECT_MODE", 0x400, 0xa}
	} },
	{"D2F3_PCIE_LC_CNTL", 0xa0, {
		{"LC_WAIT_FOR_PM_ACK_DIS", 0x200000, 0x15},
		{"LC_INC_N_FTS_EN", 0x20000, 0x11},
		{"LC_ESCAPE_L1L23_EN", 0x40000000, 0x1e},
		{"LC_DELAY_L1_EXIT", 0x10000000, 0x1c},
		{"LC_DELAY_L0S_EXIT", 0x8000000, 0x1b},
		{"LC_16X_CLEAR_TX_PIPE", 0xf0, 0x4},
		{"LC_GATE_RCVR_IDLE", 0x80000000, 0x1f},
		{"LC_RESET_LINK", 0x8, 0x3},
		{"LC_EXTEND_WAIT_FOR_EL_IDLE", 0x20000000, 0x1d},
		{"LC_DONT_ENTER_L23_IN_D0", 0x2, 0x1},
		{"LC_L1_INACTIVITY", 0xf000, 0xc},
		{"LC_WAKE_FROM_L23", 0x400000, 0x16},
		{"LC_LOOK_FOR_IDLE_IN_L1L23", 0xc0000, 0x12},
		{"LC_ASPM_TO_L1_DIS", 0x1000000, 0x18},
		{"LC_L0S_INACTIVITY", 0xf00, 0x8},
		{"LC_L1_IMMEDIATE_ACK", 0x800000, 0x17},
		{"LC_FACTOR_IN_EXT_SYNC", 0x100000, 0x14},
		{"LC_PMI_TO_L1_DIS", 0x10000, 0x10},
		{"LC_DELAY_COUNT", 0x6000000, 0x19},
		{"LC_RESET_L_IDLE_COUNT_EN", 0x4, 0x2}
	} },
	{"D3F5_PCIE_MC_ENH_CAP_LIST", 0xb0000bc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"D3F2_PCIE_TX_SEQ", 0x24, {
		{"TX_NEXT_TRANSMIT_SEQ", 0xfff, 0x0},
		{"TX_ACKD_SEQ", 0xfff0000, 0x10}
	} },
	{"PSX81_BIF_PCIE_HW_DEBUG", 0x1410002, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D3F5_PCIE_VENDOR_SPECIFIC_HDR", 0xb000041, {
		{"VSEC_LENGTH", 0xfff00000, 0x14},
		{"VSEC_REV", 0xf0000, 0x10},
		{"VSEC_ID", 0xffff, 0x0}
	} },
	{"D2F3_PCIE_TX_ACK_LATENCY_LIMIT", 0x26, {
		{"TX_ACK_LATENCY_LIMIT", 0xfff, 0x0},
		{"TX_ACK_LATENCY_LIMIT_OVERWRITE", 0x1000, 0xc}
	} },
	{"PSX80_PIF0_HW_DEBUG", 0x1100002, {
		{"HW_15_DEBUG", 0x8000, 0xf},
		{"HW_14_DEBUG", 0x4000, 0xe},
		{"HW_13_DEBUG", 0x2000, 0xd},
		{"HW_08_DEBUG", 0x100, 0x8},
		{"HW_07_DEBUG", 0x80, 0x7},
		{"HW_03_DEBUG", 0x8, 0x3},
		{"HW_02_DEBUG", 0x4, 0x2},
		{"HW_01_DEBUG", 0x2, 0x1},
		{"HW_10_DEBUG", 0x400, 0xa},
		{"HW_12_DEBUG", 0x1000, 0xc},
		{"HW_09_DEBUG", 0x200, 0x9},
		{"HW_11_DEBUG", 0x800, 0xb},
		{"HW_06_DEBUG", 0x40, 0x6},
		{"HW_05_DEBUG", 0x20, 0x5},
		{"HW_04_DEBUG", 0x10, 0x4},
		{"HW_00_DEBUG", 0x1, 0x0}
	} },
	{"D3F5_PCIE_PORT_VC_CAP_REG1", 0xb000045, {
		{"EXT_VC_COUNT", 0x7, 0x0},
		{"PORT_ARB_TABLE_ENTRY_SIZE", 0xc00, 0xa},
		{"LOW_PRIORITY_EXT_VC_COUNT", 0x70, 0x4},
		{"REF_CLK", 0x300, 0x8}
	} },
	{"D2F1_PCIE_MC_ADDR0", 0x20000be, {
		{"MC_INDEX_POS", 0x3f, 0x0},
		{"MC_BASE_ADDR_0", 0xfffff000, 0xc}
	} },
	{"D2F1_PCIE_MC_ADDR1", 0x20000bf, {
		{"MC_BASE_ADDR_1", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_LC_TRAINING_CNTL", 0xa1, {
		{"LC_DONT_DEASSERT_RX_EN_IN_R_SPEED", 0x1000000, 0x18},
		{"LC_EXTEND_EQ_REQ_TIME", 0xc0000000, 0x1e},
		{"LC_EXTEND_WAIT_FOR_SKP", 0x10000, 0x10},
		{"LC_COMPLIANCE_RECEIVE", 0x10, 0x4},
		{"LC_RESET_ASPM_L1_NAK_TIMER", 0x4000000, 0x1a},
		{"LC_HW_LINK_DIS_EN", 0x80000, 0x13},
		{"LC_AUTONOMOUS_CHANGE_OFF", 0x20000, 0x11},
		{"LC_WAIT_FOR_SETS_IN_RCFG", 0x4000, 0xe},
		{"LC_LINK_DIS_BY_HW", 0x100000, 0x14},
		{"LC_HOT_RESET_QUICK_EXIT_EN", 0x8000, 0xf},
		{"LC_DONT_DEASSERT_RX_EN_IN_TEST", 0x2000000, 0x19},
		{"LC_LOOK_FOR_MORE_NON_MATCHING_TS1", 0x20, 0x5},
		{"LC_DISABLE_TRAINING_BIT_ARCH", 0x2000, 0xd},
		{"LC_INIT_SPD_CHG_WITH_CSR_EN", 0x1000, 0xc},
		{"LC_TRAINING_CNTL", 0xf, 0x0},
		{"LC_L1_LONG_WAKE_FIX_EN", 0x80, 0x7},
		{"LC_L0S_L1_TRAINING_CNTL_EN", 0x40, 0x6},
		{"LC_WAIT_FOR_FOM_VALID_AFTER_TRACK", 0x20000000, 0x1d},
		{"LC_STATIC_TX_PIPE_COUNT_EN", 0x200000, 0x15},
		{"LC_POWER_STATE", 0x700, 0x8},
		{"LC_ASPM_L1_NAK_TIMER_SEL", 0xc00000, 0x16},
		{"LC_ALLOW_TX_L1_CONTROL", 0x10000000, 0x1c},
		{"LC_UPCONFIGURE_CAP_OFF", 0x40000, 0x12},
		{"LC_DONT_GO_TO_L0S_IF_L1_ARMED", 0x800, 0xb},
		{"LC_SHORT_RCFG_TIMEOUT", 0x8000000, 0x1b}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PciPllTestDebug2", 0x1204004, {
		{"PLC_Tpo", 0x40000, 0x12},
		{"PLC_MeasOut", 0x3ffff, 0x0},
		{"PllDsmObsSel", 0xe00000, 0x15}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PciPllTestDebug3", 0x1204009, {
		{"ADCRefIn", 0x3f00000, 0x14},
		{"StartCntEn", 0x8000000, 0x1b},
		{"FinalFbCnt", 0x3fff, 0x0},
		{"CalFail", 0xe0000, 0x11},
		{"ManCalRdyNext", 0x10000, 0x10},
		{"CalDone", 0x8000, 0xf},
		{"ContinueCal", 0x20000000, 0x1d},
		{"PLC_AdcOut", 0x4000000, 0x1a}
	} },
	{"BIF_BUSNUM_CNTL1_IND", 0x1091525, {
		{"ID_MASK", 0xff, 0x0}
	} },
	{"PSX80_WRP_DELAYLINE_STATUS", 0x130ffd1, {
		{"DPC_CFG_posAlignmentVld", 0x8, 0x3},
		{"DPC_CFG_commandComplete", 0x2, 0x1},
		{"DPC_CFG_freqRatio", 0x1f000000, 0x18},
		{"DPC_CFG_posDelayValue", 0xff00, 0x8},
		{"DPC_CFG_controllerIdle", 0x1, 0x0},
		{"DPC_CFG_phaseLocked", 0x4, 0x2},
		{"DPC_CFG_negDelayValue", 0xff0000, 0x10},
		{"DPC_CFG_negAlignmentVld", 0x10, 0x4}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PciPllTestDebug5", 0x120400c, {
		{"VregCtl7_0", 0xff, 0x0},
		{"VregCtl11_8", 0xf00, 0x8}
	} },
	{"BIF_RB_RPTR_IND", 0x1091532, {
		{"OFFSET", 0x3fffc, 0x2}
	} },
	{"BIF_VDDGFX_RSV1_LOWER", 0x1434, {
		{"VDDGFX_RSV1_REG_LOWER", 0x3fffc, 0x2},
		{"VDDGFX_RSV1_REG_CMP_EN", 0x40000000, 0x1e},
		{"VDDGFX_RSV1_REG_STALL_EN", 0x80000000, 0x1f}
	} },
	{"D2F1_PCIE_LC_STATE0", 0xa5, {
		{"LC_PREV_STATE3", 0x3f000000, 0x18},
		{"LC_PREV_STATE2", 0x3f0000, 0x10},
		{"LC_PREV_STATE1", 0x3f00, 0x8},
		{"LC_CURRENT_STATE", 0x3f, 0x0}
	} },
	{"D2F1_PCIE_LC_STATE1", 0xa6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"D2F1_PCIE_LC_STATE2", 0xa7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"D2F1_PCIE_LC_STATE3", 0xa8, {
		{"LC_PREV_STATE15", 0x3f000000, 0x18},
		{"LC_PREV_STATE14", 0x3f0000, 0x10},
		{"LC_PREV_STATE13", 0x3f00, 0x8},
		{"LC_PREV_STATE12", 0x3f, 0x0}
	} },
	{"D2F1_PCIE_LC_STATE4", 0xa9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"D2F1_PCIE_LC_STATE5", 0xaa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"BIOS_SCRATCH_0", 0x5c9, {
		{"BIOS_SCRATCH_0", 0xffffffff, 0x0}
	} },
	{"PSX80_PHY0_LCPLL_LCPLL_PciPllTestDebug1", 0x1204003, {
		{"PllTp", 0xfffff800, 0xb},
		{"PllMeasCtl", 0x7ff, 0x0}
	} },
	{"BIOS_SCRATCH_3", 0x5cc, {
		{"BIOS_SCRATCH_3", 0xffffffff, 0x0}
	} },
	{"BIF_DEBUG_MUX_IND", 0x109151d, {
		{"DEBUG_MUX_BLK1", 0x3f, 0x0},
		{"DEBUG_MUX_BLK2", 0x3f00, 0x8}
	} },
	{"D3F1_BIST", 0x7000003, {
		{"BIST_STRT", 0x40000000, 0x1e},
		{"BIST_COMP", 0xf000000, 0x18},
		{"BIST_CAP", 0x80000000, 0x1f}
	} },
	{"PSX80_PHY0_RX_ADAPTDBG1_LANE1", 0x120010e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"BIOS_SCRATCH_2", 0x5cb, {
		{"BIOS_SCRATCH_2", 0xffffffff, 0x0}
	} },
	{"LINK_CNTL2", 0x22, {
		{"XMIT_MARGIN", 0x380, 0x7},
		{"SELECTABLE_DEEMPHASIS", 0x40, 0x6},
		{"TARGET_LINK_SPEED", 0xf, 0x0},
		{"HW_AUTONOMOUS_SPEED_DISABLE", 0x20, 0x5},
		{"COMPLIANCE_SOS", 0x800, 0xb},
		{"ENTER_COMPLIANCE", 0x10, 0x4},
		{"ENTER_MOD_COMPLIANCE", 0x400, 0xa},
		{"COMPLIANCE_DEEMPHASIS", 0xf000, 0xc}
	} },
	{"PSX81_WRP_DTM_STI_LCLK_CTRL", 0x131ffe3, {
		{"Dtm_Sti_LCLK_Period", 0x1ff, 0x0},
		{"Dtm_Sti_LCLK_Rcv", 0x7fc0000, 0x12},
		{"Dtm_Sti_LCLK_Send", 0x3fe00, 0x9}
	} },
	{"D3F2_PCIE_TX_CREDITS_INIT_NP", 0x34, {
		{"TX_CREDITS_INIT_NPH", 0xff0000, 0x10},
		{"TX_CREDITS_INIT_NPD", 0xfff, 0x0}
	} },
	{"D3F1_PCIE_MC_ENH_CAP_LIST", 0x70000bc, {
		{"CAP_VER", 0xf0000, 0x10},
		{"NEXT_PTR", 0xfff00000, 0x14},
		{"CAP_ID", 0xffff, 0x0}
	} },
	{"PSX80_BIF_LM_POWERCONTROL2", 0x140012d, {
		{"LMTxMarginEn3", 0x80, 0x7},
		{"LMTxClkEn3", 0x2, 0x1},
		{"TxCoeffID2", 0x600, 0x9},
		{"TxCoeffID3", 0x1800, 0xb},
		{"LMTxMargin3", 0x1c, 0x2},
		{"LMSkipBit3", 0x20, 0x5},
		{"LMTxEn3", 0x1, 0x0},
		{"TxCoeff0", 0x7e000, 0xd},
		{"TxCoeff1", 0x1f80000, 0x13},
		{"LMLaneUnused3", 0x40, 0x6},
		{"TxCoeff2", 0x7e000000, 0x19},
		{"LMDeemph3", 0x100, 0x8}
	} },
	{"D3F3_PCIE_VC1_RESOURCE_STATUS", 0x900004d, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} },
	{"PSX80_BIF_PCIE_TX_F0_ATTR_CNTL", 0x140001e, {
		{"TX_F0_IDO_OVERRIDE_NP", 0xc, 0x2},
		{"TX_F0_IDO_OVERRIDE_P", 0x3, 0x0},
		{"TX_F0_RO_OVERRIDE_P", 0xc0, 0x6},
		{"TX_F0_IDO_OVERRIDE_CPL", 0x30, 0x4},
		{"TX_F0_RO_OVERRIDE_NP", 0x300, 0x8},
		{"TX_F0_SNR_OVERRIDE_NP", 0x3000, 0xc},
		{"TX_F0_SNR_OVERRIDE_P", 0xc00, 0xa}
	} },
	{"PSX81_PHY0_RX_RX_CTL_LANE7", 0x1210702, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"D2F5_PCIE_LANE_7_EQUALIZATION_CNTL", 0x60000a2, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"PSX80_PHY0_RX_ADAPTDBG1_LANE2", 0x120020e, {
		{"adapt_dbg_bus_sel", 0xf, 0x0},
		{"adapt_dbg_force_en", 0x100000, 0x14},
		{"adapt_dbg_force_rst", 0x80000, 0x13},
		{"adapt_dbg_bus_out", 0x1ffc0, 0x6}
	} },
	{"D3F4_MSI_MAP_ADDR_HI", 0xa000034, {
		{"MSI_MAP_ADDR_HI", 0xffffffff, 0x0}
	} },
	{"PEER1_FB_OFFSET_LO_IND", 0x10914f0, {
		{"PEER1_FB_OFFSET_LO", 0xfffff, 0x0},
		{"PEER1_FB_EN", 0x80000000, 0x1f}
	} },
	{"D2F3_PCIEP_ERROR_INJECT_TRANSACTION", 0x84, {
		{"ERROR_INJECT_TL_MALFORMED_TLP", 0x3000, 0xc},
		{"ERROR_INJECT_TL_UNSUPPORTED_REQ", 0x300, 0x8},
		{"ERROR_INJECT_TL_COMPLETER_ABORT", 0x30000, 0x10},
		{"ERROR_INJECT_TL_BAD_TLP", 0xc0, 0x6},
		{"ERROR_INJECT_TL_UNEXPECTED_CMPLT", 0xc000, 0xe},
		{"ERROR_INJECT_TL_REPLAY_NUM_ROLLOVER", 0xc, 0x2},
		{"ERROR_INJECT_TL_COMPLETION_TIMEOUT", 0xc0000, 0x12},
		{"ERROR_INJECT_TL_ECRC_ERROR", 0xc00, 0xa},
		{"ERROR_INJECT_TL_BAD_DLLP", 0x30, 0x4},
		{"ERROR_INJECT_TL_FLOW_CTL_ERR", 0x3, 0x0}
	} },
	{"D2F4_MSI_MAP_ADDR_LO", 0x5000033, {
		{"MSI_MAP_ADDR_LO", 0xfff00000, 0x14}
	} },
	{"BIF_DOORBELL_GBLAPER1_UPPER_IND", 0x10914fd, {
		{"DOORBELL_GBLAPER1_UPPER", 0xffc, 0x2}
	} },
	{"PSX81_PHY0_RX_RX_CTL_LANE0", 0x1210002, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"D3F3_PCIE_LC_STATE5", 0xaa, {
		{"LC_PREV_STATE22", 0x3f0000, 0x10},
		{"LC_PREV_STATE23", 0x3f000000, 0x18},
		{"LC_PREV_STATE20", 0x3f, 0x0},
		{"LC_PREV_STATE21", 0x3f00, 0x8}
	} },
	{"D3F3_PCIE_LC_STATE4", 0xa9, {
		{"LC_PREV_STATE17", 0x3f00, 0x8},
		{"LC_PREV_STATE16", 0x3f, 0x0},
		{"LC_PREV_STATE19", 0x3f000000, 0x18},
		{"LC_PREV_STATE18", 0x3f0000, 0x10}
	} },
	{"PSX81_PHY0_RX_ADAPT_CFG_BYP_EN_BROADCAST", 0x121fe0c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"D3F3_PCIE_LC_STATE1", 0xa6, {
		{"LC_PREV_STATE7", 0x3f000000, 0x18},
		{"LC_PREV_STATE6", 0x3f0000, 0x10},
		{"LC_PREV_STATE5", 0x3f00, 0x8},
		{"LC_PREV_STATE4", 0x3f, 0x0}
	} },
	{"D3F2_PCIE_VENDOR_SPECIFIC2", 0x8000043, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F2_PCIE_VENDOR_SPECIFIC1", 0x8000042, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_LC_STATE2", 0xa7, {
		{"LC_PREV_STATE10", 0x3f0000, 0x10},
		{"LC_PREV_STATE11", 0x3f000000, 0x18},
		{"LC_PREV_STATE9", 0x3f00, 0x8},
		{"LC_PREV_STATE8", 0x3f, 0x0}
	} },
	{"PSX81_PHY0_RX_RX_CTL_LANE2", 0x1210202, {
		{"rx_dfr_data_sign", 0x8000, 0xf},
		{"rx_term_mode", 0x1800, 0xb},
		{"rx_dac_vdc", 0x1fe, 0x1},
		{"rx_vdc_dac_tri", 0x2000, 0xd},
		{"rx_dfr_dis", 0x1, 0x0},
		{"rx_vdc_dac_fixed_polarity", 0x4000, 0xe}
	} },
	{"PSX80_BIF_LM_PCIERXMUX1", 0x1400126, {
		{"RXLANE7", 0xff000000, 0x18},
		{"RXLANE6", 0xff0000, 0x10},
		{"RXLANE5", 0xff00, 0x8},
		{"RXLANE4", 0xff, 0x0}
	} },
	{"PSX80_PHY0_RX_ADAPT_CFG_BYP_EN_BROADCAST", 0x120fe0c, {
		{"adapt_cfg_gen12_leq_dcattn_byp_en", 0x1, 0x0},
		{"adapt_cfg_gen12_dfe_tp2_byp_en", 0x20, 0x5},
		{"adapt_cfg_gen12_dfe_tp1_byp_en", 0x10, 0x4},
		{"adapt_cfg_gen12_leq_pole_byp_en", 0x4, 0x2},
		{"adapt_cfg_gen3_leq_pole_byp_en", 0x8, 0x3},
		{"adapt_cfg_gen3_pi_off_byp_en", 0x80, 0x7},
		{"adapt_cfg_gen12_pi_off_byp_en", 0x40, 0x6},
		{"adapt_cfg_gen3_leq_dcattn_byp_en", 0x2, 0x1}
	} },
	{"D2F1_PCIE_LANE_15_EQUALIZATION_CNTL", 0x20000a6, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D3F1_PCIE_VENDOR_SPECIFIC1", 0x7000042, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F1_PCIE_VENDOR_SPECIFIC2", 0x7000043, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"PSX81_PHY0_HTPLL_ROPLL_PciPllUpdateCtrl", 0x1214108, {
		{"PllControlUpdate", 0x1, 0x0}
	} },
	{"D3F5_PCIE_TX_REQUESTER_ID", 0x21, {
		{"TX_REQUESTER_ID_FUNCTION", 0x7, 0x0},
		{"TX_REQUESTER_ID_DEVICE", 0xf8, 0x3},
		{"TX_REQUESTER_ID_BUS", 0xff00, 0x8}
	} },
	{"D3F4_PCIEP_SCRATCH", 0x1, {
		{"PCIEP_SCRATCH", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIEP_ERROR_INJECT_PHYSICAL", 0x83, {
		{"ERROR_INJECT_PL_BAD_SYNC_HEADER", 0xc00000, 0x16},
		{"ERROR_INJECT_PL_LOOPBACK_OFLOW", 0xc00, 0xa},
		{"ERROR_INJECT_PL_BAD_PARITY_IN_SKP", 0x30, 0x4},
		{"ERROR_INJECT_PL_8B10B_DISPARITY_ERR", 0xc000, 0xe},
		{"ERROR_INJECT_PL_LOOPBACK_UFLOW", 0x300, 0x8},
		{"ERROR_INJECT_PL_FRAMING_ERR", 0xc, 0x2},
		{"ERROR_INJECT_PL_BAD_LFSR_IN_SKP", 0xc0, 0x6},
		{"ERROR_INJECT_PL_LANE_ERR", 0x3, 0x0},
		{"ERROR_INJECT_PL_SKP_OS_ERROR", 0xc0000, 0x12},
		{"ERROR_INJECT_PL_INV_OS_IDENTIFIER", 0x300000, 0x14},
		{"ERROR_INJECT_PL_DESKEW_ERR", 0x3000, 0xc},
		{"ERROR_INJECT_PL_8B10B_DECODE_ERR", 0x30000, 0x10}
	} },
	{"D2F5_PMI_CAP_LIST", 0x6000014, {
		{"NEXT_PTR", 0xff00, 0x8},
		{"CAP_ID", 0xff, 0x0}
	} },
	{"PCIEP_RESERVED", 0x10010000, {
		{"PCIEP_RESERVED", 0xffffffff, 0x0}
	} },
	{"D3F3_PCIE_PORT_VC_STATUS", 0x9000047, {
		{"VC_ARB_TABLE_STATUS", 0x10000, 0x10}
	} },
	{"PSX80_PHY0_TX_CMD_BUS_TX_CONTROL_LANE5", 0x1202500, {
		{"tx_pwr", 0x7, 0x0},
		{"tx_pg_en", 0x18, 0x3}
	} },
	{"D3F3_PCIE_LANE_13_EQUALIZATION_CNTL", 0x90000a5, {
		{"DOWNSTREAM_PORT_TX_PRESET", 0xf0000, 0x10},
		{"UPSTREAM_PORT_RX_PRESET_HINT", 0x70000000, 0x1c},
		{"UPSTREAM_PORT_TX_PRESET", 0xf000000, 0x18},
		{"RESERVED", 0x80000000, 0x1f},
		{"DOWNSTREAM_PORT_RX_PRESET_HINT", 0x700000, 0x14}
	} },
	{"D2F5_DEVICE_CAP", 0x6000017, {
		{"L0S_ACCEPTABLE_LATENCY", 0x1c0, 0x6},
		{"PHANTOM_FUNC", 0x18, 0x3},
		{"FLR_CAPABLE", 0x10000000, 0x1c},
		{"CAPTURED_SLOT_POWER_LIMIT", 0x3fc0000, 0x12},
		{"EXTENDED_TAG", 0x20, 0x5},
		{"L1_ACCEPTABLE_LATENCY", 0xe00, 0x9},
		{"MAX_PAYLOAD_SUPPORT", 0x7, 0x0},
		{"CAPTURED_SLOT_POWER_SCALE", 0xc000000, 0x1a},
		{"ROLE_BASED_ERR_REPORTING", 0x8000, 0xf}
	} },
	{"D3F5_PCIE_RX_CREDITS_ALLOCATED_P", 0x80, {
		{"RX_CREDITS_ALLOCATED_PH", 0xff0000, 0x10},
		{"RX_CREDITS_ALLOCATED_PD", 0xfff, 0x0}
	} },
	{"PEER3_FB_OFFSET_LO_IND", 0x10914ec, {
		{"PEER3_FB_OFFSET_LO", 0xfffff, 0x0},
		{"PEER3_FB_EN", 0x80000000, 0x1f}
	} },
	{"PSX80_BIF_PCIE_P_DECODER_STATUS", 0x1400042, {
		{"P_DECODE_ERR", 0xffff, 0x0}
	} },
	{"D2F5_PCIE_FC_CPL", 0x62, {
		{"CPLH_CREDITS", 0xff00, 0x8},
		{"CPLD_CREDITS", 0xff, 0x0}
	} },
	{"D2F1_PCIE_VC0_RESOURCE_STATUS", 0x200004a, {
		{"PORT_ARB_TABLE_STATUS", 0x10000, 0x10},
		{"VC_NEGOTIATION_PENDING", 0x20000, 0x11}
	} }
};

}; // namespace amdregdb
