/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_gca_gfx_8_1();

static const RegSpec gca_gfx_8_1_regs[] = {
	{"PA_CL_VPORT_ZOFFSET_11", 0xa156, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_10", 0xa150, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_13", 0xa162, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_12", 0xa15c, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_15", 0xa16e, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_14", 0xa168, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"CB_COLOR2_BASE", 0xa336, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"DIDT_TD_CTRL_OCP", 0x43, {
		{"OCP_MAX_POWER", 0xffff0000, 0x10},
		{"UNUSED_0", 0xffff, 0x0}
	} },
	{"CP_GDS_ATOMIC1_PREOP_LO", 0xc061, {
		{"GDS_ATOMIC1_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"RAS_VGT_SIGNATURE0", 0x338d, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"CGTS_RD_CTRL_REG", 0xf001, {
		{"ROW_MUX_SEL", 0x1f, 0x0},
		{"REG_MUX_SEL", 0x1f00, 0x8}
	} },
	{"CP_PWR_CNTL", 0x3078, {
		{"GFX_CLK_HALT_ME0_PIPE0", 0x1, 0x0},
		{"GFX_CLK_HALT_ME0_PIPE1", 0x2, 0x1},
		{"CMP_CLK_HALT_ME1_PIPE0", 0x100, 0x8},
		{"CMP_CLK_HALT_ME1_PIPE1", 0x200, 0x9},
		{"CMP_CLK_HALT_ME1_PIPE2", 0x400, 0xa},
		{"CMP_CLK_HALT_ME1_PIPE3", 0x800, 0xb},
		{"CMP_CLK_HALT_ME2_PIPE3", 0x80000, 0x13},
		{"CMP_CLK_HALT_ME2_PIPE2", 0x40000, 0x12},
		{"CMP_CLK_HALT_ME2_PIPE1", 0x20000, 0x11},
		{"CMP_CLK_HALT_ME2_PIPE0", 0x10000, 0x10}
	} },
	{"VGT_PERFCOUNTER3_LO", 0xd096, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR1_SLICE", 0xa329, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"PA_SC_RASTER_CONFIG_1", 0xa0d5, {
		{"SE_PAIR_XSEL", 0xc, 0x2},
		{"SE_PAIR_MAP", 0x3, 0x0},
		{"SE_PAIR_YSEL", 0x30, 0x4}
	} },
	{"RLC_SRM_GPM_COMMAND_STATUS", 0xec88, {
		{"FIFO_EMPTY", 0x1, 0x0},
		{"FIFO_FULL", 0x2, 0x1},
		{"RESERVED", 0xfffffffc, 0x2}
	} },
	{"VGT_STRMOUT_DELAY", 0x2233, {
		{"SE2_WD_DELAY", 0x1c000, 0xe},
		{"SE3_WD_DELAY", 0xe0000, 0x11},
		{"SE1_WD_DELAY", 0x3800, 0xb},
		{"SE0_WD_DELAY", 0x700, 0x8},
		{"SKIP_DELAY", 0xff, 0x0}
	} },
	{"CB_COLOR4_DCC_BASE", 0xa361, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"CP_NUM_PRIM_NEEDED_COUNT2_HI", 0xc013, {
		{"NUM_PRIM_NEEDED_CNT2_HI", 0xffffffff, 0x0}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_2", 0x31e8, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_3", 0x31e9, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_4", 0x31ea, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_5", 0x31eb, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"RLC_SPM_TCC_PERFMON_SAMPLE_DELAY", 0xdc91, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"CP_CPF_STATUS", 0x2087, {
		{"ATCL2IU_BUSY", 0x20000, 0x11},
		{"CPC_CPF_BUSY", 0x40000000, 0x1e},
		{"INTERRUPT_BUSY", 0x2000, 0xd},
		{"ROQ_CE_RING_BUSY", 0x200, 0x9},
		{"ROQ_CE_INDIRECT2_BUSY", 0x800, 0xb},
		{"PRT_BUSY", 0x10000, 0x10},
		{"CPF_BUSY", 0x80000000, 0x1f},
		{"ROQ_ALIGN_BUSY", 0x10, 0x4},
		{"CPF_GFX_BUSY", 0x4000000, 0x1a},
		{"CSF_BUSY", 0x2, 0x1},
		{"ROQ_STATE_BUSY", 0x100, 0x8},
		{"CPF_CMP_BUSY", 0x8000000, 0x1b},
		{"ROQ_RING_BUSY", 0x20, 0x5},
		{"SEMAPHORE_BUSY", 0x1000, 0xc},
		{"POST_WPTR_GFX_BUSY", 0x1, 0x0},
		{"HQD_BUSY", 0x8000, 0xf},
		{"ROQ_INDIRECT1_BUSY", 0x40, 0x6},
		{"GRBM_CPF_STAT_BUSY", 0x30000000, 0x1c},
		{"ROQ_CE_INDIRECT1_BUSY", 0x400, 0xa},
		{"TCIU_BUSY", 0x4000, 0xe},
		{"ROQ_INDIRECT2_BUSY", 0x80, 0x7}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_8", 0x31ee, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_9", 0x31ef, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SQ_TEX_CLK_CTRL", 0xf08f, {
		{"FORCE_CU_ON_SH1", 0xffff0000, 0x10},
		{"FORCE_CU_ON_SH0", 0xffff, 0x0}
	} },
	{"CP_DFY_DATA_8", 0x302c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_9", 0x302d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_2", 0x3026, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_3", 0x3027, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_0", 0x3024, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_1", 0x3025, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_6", 0x302a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_7", 0x302b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_4", 0x3028, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_5", 0x3029, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_14", 0x2cda, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_14_BR", 0xa0b1, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CB_DEBUG_BUS_9", 0x26a1, {
		{"DUAL_SOURCE_COLOR_QUAD_FRAGMENT", 0x2000, 0xd},
		{"CC_SURFACE_SYNC", 0x400, 0xa},
		{"EVENT_ALL", 0x200000, 0x15},
		{"DEBUG_BUS_DRAWN_TILE", 0x100000, 0x14},
		{"DEBUG_BUS_DRAWN_QUAD", 0x4000, 0xe},
		{"EVENT_CACHE_FLUSH_TS", 0x400000, 0x16},
		{"DEBUG_BUS_DRAWN_QUAD_FRAGMENT", 0x80000, 0x13},
		{"DEBUG_BUS_DRAWN_PIXEL", 0x78000, 0xf},
		{"EXPORT_32_ABGR_QUAD_FRAGMENT", 0x1000, 0xc},
		{"CC_MC_WRITE_REQUESTS_IN_FLIGHT", 0x3ff, 0x0},
		{"TWO_PROBE_QUAD_FRAGMENT", 0x800, 0xb},
		{"EVENT_CONTEXT_DONE", 0x800000, 0x17}
	} },
	{"CB_COLOR6_BASE", 0xa372, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_10", 0x2cd6, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_11", 0x2cd7, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_12", 0x2cd8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_13", 0x2cd9, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CB_DEBUG_BUS_3", 0x269b, {
		{"CC_ODDFIFO_QUAD_RESIDENCY_STALL", 0x100, 0x8},
		{"CC_RB_BC_ODDFRAG_VALIDB_READY", 0x4, 0x2},
		{"CC_RB_BC_ODDFRAG_VALIDB_READYB", 0x8, 0x3},
		{"LQUAD_NO_TILE", 0x800, 0xb},
		{"CM_CACHE_EVICT_NONZERO_INFLIGHT_STALL", 0x800000, 0x17},
		{"LQUAD_FORMAT_IS_EXPORT_32_GR", 0x4000, 0xe},
		{"CM_CACHE_TAG_MISS", 0x100000, 0x14},
		{"CM_CACHE_SECTOR_MISS", 0x200000, 0x15},
		{"LQUAD_FORMAT_IS_EXPORT_32_AR", 0x2000, 0xd},
		{"LQUAD_FORMAT_IS_EXPORT_FP16_ABGR", 0x10000, 0x10},
		{"LQUAD_FORMAT_IS_EXPORT_32_R", 0x1000, 0xc},
		{"CM_TQ_FULL", 0x200, 0x9},
		{"CM_CACHE_HIT", 0x80000, 0x13},
		{"CM_TILE_RESIDENCY_STALL", 0x400, 0xa},
		{"LQUAD_FORMAT_IS_EXPORT_UNSIGNED16_ABGR", 0x40000, 0x12},
		{"CC_SF_FULL", 0x20, 0x5},
		{"LQUAD_FORMAT_IS_EXPORT_32_ABGR", 0x8000, 0xf},
		{"LQUAD_FORMAT_IS_EXPORT_SIGNED16_ABGR", 0x20000, 0x11},
		{"CC_BC_CS_FRAG_VALID", 0x10, 0x4},
		{"CC_EVENFIFO_QUAD_RESIDENCY_STALL", 0x80, 0x7},
		{"CM_CACHE_REEVICTION_STALL", 0x400000, 0x16},
		{"CC_RB_FULL", 0x40, 0x6},
		{"CC_RB_BC_ODDFRAG_VALID_READY", 0x1, 0x0},
		{"CC_RB_BC_ODDFRAG_VALID_READYB", 0x2, 0x1}
	} },
	{"CB_DEBUG_BUS_2", 0x269a, {
		{"FOP_IN_VALID_READYB", 0x80, 0x7},
		{"FOP_FMASK_BYPASS_STALL", 0x800, 0xb},
		{"FOP_IN_VALIDB_READYB", 0x200, 0x9},
		{"CC_IB_TB_FRAG_VALIDB_READYB", 0x8000, 0xf},
		{"FC_CC_QUADFRAG_VALID_READY", 0x4, 0x2},
		{"FC_CLEAR_QUAD_VALIDB_READYB", 0x1, 0x0},
		{"CC_IB_TB_FRAG_VALIDB_READY", 0x4000, 0xe},
		{"CC_IB_SR_FRAG_VALIDB_READYB", 0x80000, 0x13},
		{"CC_RB_BC_EVENFRAG_VALIDB_READYB", 0x800000, 0x17},
		{"CC_IB_SR_FRAG_VALID_READY", 0x10000, 0x10},
		{"FOP_FMASK_RAW_STALL", 0x400, 0xa},
		{"CC_IB_TB_FRAG_VALID_READY", 0x1000, 0xc},
		{"CC_RB_BC_EVENFRAG_VALIDB_READY", 0x400000, 0x16},
		{"FC_CC_QUADFRAG_VALIDB_READY", 0x10, 0x4},
		{"CC_RB_BC_EVENFRAG_VALID_READYB", 0x200000, 0x15},
		{"CC_IB_SR_FRAG_VALIDB_READY", 0x40000, 0x12},
		{"FOP_IN_VALIDB_READY", 0x100, 0x8},
		{"FC_CC_QUADFRAG_VALIDB_READYB", 0x20, 0x5},
		{"FC_CC_QUADFRAG_VALID_READYB", 0x8, 0x3},
		{"FOP_IN_VALID_READY", 0x40, 0x6},
		{"CC_IB_TB_FRAG_VALID_READYB", 0x2000, 0xd},
		{"CC_IB_SR_FRAG_VALID_READYB", 0x20000, 0x11},
		{"CC_RB_BC_EVENFRAG_VALID_READY", 0x100000, 0x14},
		{"FC_QUAD_RESIDENCY_STALL", 0x2, 0x1}
	} },
	{"CB_DEBUG_BUS_1", 0x2699, {
		{"FC_CLEAR_QUAD_VALIDB_READY", 0x800000, 0x17},
		{"DB_CB_LQUAD_VALID_READY", 0x20, 0x5},
		{"CB_TAP_RDREQ_VALID_READYB", 0x4000, 0xe},
		{"CM_FC_TILE_VALID_READY", 0x20000, 0x11},
		{"CB_TAP_WRREQ_VALID_READYB", 0x400, 0xa},
		{"DB_CB_LQUAD_VALIDB_READYB", 0x100, 0x8},
		{"DB_CB_TILE_VALIDB_READYB", 0x10, 0x4},
		{"CB_TAP_RDREQ_VALIDB_READY", 0x8000, 0xf},
		{"CM_FC_TILE_VALIDB_READYB", 0x100000, 0x14},
		{"DB_CB_TILE_VALID_READYB", 0x4, 0x2},
		{"CB_TAP_RDREQ_VALID_READY", 0x2000, 0xd},
		{"DB_CB_TILE_VALIDB_READY", 0x8, 0x3},
		{"DB_CB_LQUAD_VALID_READYB", 0x40, 0x6},
		{"CB_TAP_WRREQ_VALID_READY", 0x200, 0x9},
		{"DB_CB_TILE_VALID_READY", 0x2, 0x1},
		{"CB_TAP_RDREQ_VALIDB_READYB", 0x10000, 0x10},
		{"CM_FC_TILE_VALIDB_READY", 0x80000, 0x13},
		{"DB_CB_LQUAD_VALIDB_READY", 0x80, 0x7},
		{"CB_BUSY", 0x1, 0x0},
		{"CB_TAP_WRREQ_VALIDB_READYB", 0x1000, 0xc},
		{"FC_CLEAR_QUAD_VALID_READYB", 0x400000, 0x16},
		{"FC_CLEAR_QUAD_VALID_READY", 0x200000, 0x15},
		{"CB_TAP_WRREQ_VALIDB_READY", 0x800, 0xb},
		{"CM_FC_TILE_VALID_READYB", 0x40000, 0x12}
	} },
	{"CB_DEBUG_BUS_7", 0x269f, {
		{"CC_MC_READ_REQUESTS_IN_FLIGHT", 0x1ff800, 0xb},
		{"FC_MC_READ_REQUESTS_IN_FLIGHT", 0x7ff, 0x0}
	} },
	{"CB_DEBUG_BUS_6", 0x269e, {
		{"FC_MC_READ_REQUEST", 0x10, 0x4},
		{"CC_MC_WRITE_REQUEST", 0x100, 0x8},
		{"CM_MC_READ_REQUEST", 0x8, 0x3},
		{"CC_MC_READ_REQUEST", 0x20, 0x5},
		{"CM_MC_READ_REQUESTS_IN_FLIGHT", 0x1fe00, 0x9},
		{"CC_CACHE_DIRTY_SECTORS_FLUSHED", 0x7, 0x0},
		{"FC_MC_WRITE_REQUEST", 0x80, 0x7},
		{"CM_MC_WRITE_REQUEST", 0x40, 0x6}
	} },
	{"CB_DEBUG_BUS_5", 0x269d, {
		{"CC_CACHE_STALL", 0x8, 0x3},
		{"CM_CACHE_FLUSH", 0x20, 0x5},
		{"CC_CACHE_WRITE_OUTPUT_STALL", 0x2, 0x1},
		{"CM_CACHE_TAGS_FLUSHED", 0x40, 0x6},
		{"CC_CACHE_TAGS_FLUSHED", 0x40000, 0x12},
		{"CC_CACHE_ACK_OUTPUT_STALL", 0x4, 0x2},
		{"FC_CACHE_SECTORS_FLUSHED", 0x3800, 0xb},
		{"FC_CACHE_TAGS_FLUSHED", 0x400, 0xa},
		{"CC_CACHE_READ_OUTPUT_STALL", 0x1, 0x0},
		{"CM_CACHE_SECTORS_FLUSHED", 0x80, 0x7},
		{"CM_CACHE_DIRTY_SECTORS_FLUSHED", 0x100, 0x8},
		{"CC_CACHE_WA_TO_RMW_CONVERSION", 0x10, 0x4},
		{"CC_CACHE_FLUSH", 0x20000, 0x11},
		{"CC_CACHE_SECTORS_FLUSHED", 0x380000, 0x13},
		{"FC_CACHE_DIRTY_SECTORS_FLUSHED", 0x1c000, 0xe},
		{"FC_CACHE_FLUSH", 0x200, 0x9}
	} },
	{"CB_DEBUG_BUS_4", 0x269c, {
		{"FC_CACHE_REPLACE_PENDING_EVICT_STALL", 0x800, 0xb},
		{"CM_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL", 0x2, 0x1},
		{"CC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL", 0x800000, 0x17},
		{"CM_CACHE_STALL", 0x20, 0x5},
		{"CC_CACHE_EVICT_NONZERO_INFLIGHT_STALL", 0x200000, 0x15},
		{"CM_CACHE_WRITE_OUTPUT_STALL", 0x8, 0x3},
		{"FC_CACHE_WRITE_OUTPUT_STALL", 0x4000, 0xe},
		{"FC_CACHE_ACK_OUTPUT_STALL", 0x8000, 0xf},
		{"CC_CACHE_HIT", 0x20000, 0x11},
		{"CM_CACHE_REPLACE_PENDING_EVICT_STALL", 0x1, 0x0},
		{"CM_CACHE_READ_OUTPUT_STALL", 0x4, 0x2},
		{"FC_CACHE_SECTOR_MISS", 0x100, 0x8},
		{"FC_CACHE_REEVICTION_STALL", 0x200, 0x9},
		{"FC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL", 0x1000, 0xc},
		{"CM_CACHE_ACK_OUTPUT_STALL", 0x10, 0x4},
		{"CC_CACHE_TAG_MISS", 0x40000, 0x12},
		{"FC_CACHE_STALL", 0x10000, 0x10},
		{"FC_CACHE_READ_OUTPUT_STALL", 0x2000, 0xd},
		{"FC_CACHE_EVICT_NONZERO_INFLIGHT_STALL", 0x400, 0xa},
		{"CC_CACHE_REPLACE_PENDING_EVICT_STALL", 0x400000, 0x16},
		{"FC_CACHE_HIT", 0x40, 0x6},
		{"CC_CACHE_REEVICTION_STALL", 0x100000, 0x14},
		{"FC_CACHE_TAG_MISS", 0x80, 0x7},
		{"CC_CACHE_SECTOR_MISS", 0x80000, 0x13}
	} },
	{"DB_DEPTH_BOUNDS_MAX", 0xa009, {
		{"MAX", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_13", 0x24c2, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_10", 0x24bf, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"CB_COLOR2_VIEW", 0xa339, {
		{"SLICE_MAX", 0xffe000, 0xd},
		{"SLICE_START", 0x7ff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_16", 0x24c5, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_17", 0x24c6, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_14", 0x24c3, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_15", 0x24c4, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"CP_HQD_EOP_WPTR", 0x326e, {
		{"EOP_AVAIL", 0x1fff0000, 0x10},
		{"WPTR", 0x1fff, 0x0}
	} },
	{"CP_DMA_PFP_DST_ADDR", 0xc087, {
		{"DST_ADDR", 0xffffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER0_LO", 0xd181, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"VGT_DMA_MAX_SIZE", 0xa29e, {
		{"MAX_SIZE", 0xffffffff, 0x0}
	} },
	{"CB_PERFCOUNTER0_SELECT", 0xdc01, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0x7fc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"CP_HQD_IB_BASE_ADDR", 0x3257, {
		{"IB_BASE_ADDR", 0xfffffffc, 0x2}
	} },
	{"CP_ME_RAM_WADDR", 0xf816, {
		{"ME_RAM_WADDR", 0x1fff, 0x0}
	} },
	{"DIDT_IND_INDEX", 0x3280, {
		{"DIDT_IND_INDEX", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_PERFMON_CNTL", 0xdc80, {
		{"RESERVED", 0xc000, 0xe},
		{"RESERVED1", 0xfff, 0x0},
		{"PERFMON_RING_MODE", 0x3000, 0xc},
		{"PERFMON_SAMPLE_INTERVAL", 0xffff0000, 0x10}
	} },
	{"WD_CNTL_STATUS", 0x223f, {
		{"WD_SPL_DI_BUSY", 0x4, 0x2},
		{"WD_SPL_DMA_BUSY", 0x2, 0x1},
		{"WD_BUSY", 0x1, 0x0},
		{"WD_ADC_BUSY", 0x8, 0x3}
	} },
	{"CGTT_TCP_CLK_CTRL", 0xf09e, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CP_RB2_RPTR_ADDR", 0x3067, {
		{"RB_RPTR_ADDR", 0xfffffffc, 0x2},
		{"RB_RPTR_SWAP", 0x3, 0x0}
	} },
	{"SQ_PERFCOUNTER0_HI", 0xd1c1, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"VGT_GS_MODE", 0xa290, {
		{"ES_PASSTHRU", 0x2000, 0xd},
		{"GS_WRITE_OPTIMIZE", 0x100000, 0x14},
		{"CUT_MODE", 0x30, 0x4},
		{"RESERVED_3", 0x4000, 0xe},
		{"RESERVED_2", 0x1000, 0xc},
		{"RESERVED_1", 0x7c0, 0x6},
		{"RESERVED_0", 0x8, 0x3},
		{"RESERVED_5", 0x10000, 0x10},
		{"RESERVED_4", 0x8000, 0xf},
		{"SUPPRESS_CUTS", 0x40000, 0x12},
		{"PARTIAL_THD_AT_EOI", 0x20000, 0x11},
		{"MODE", 0x7, 0x0},
		{"ONCHIP", 0x600000, 0x15},
		{"ES_WRITE_OPTIMIZE", 0x80000, 0x13},
		{"GS_C_PACK_EN", 0x800, 0xb}
	} },
	{"CLIPPER_DEBUG_REG18", 0x12, {
		{"sm2_outputcliptoclipga_0", 0x40000000, 0x1e},
		{"sm2_prim_end_state", 0x7f, 0x0},
		{"sm2_highest_priority_seq", 0x20000000, 0x1d},
		{"sm2_inv_to_clip_data_valid_0", 0x80000, 0x13},
		{"sm2_inv_to_clip_data_valid_1", 0x40000, 0x12},
		{"sm2_clip_vert_cnt", 0x1f00, 0x8},
		{"sm2_vertex_clip_cnt", 0x3e000, 0xd},
		{"sm2_ps_expand", 0x80, 0x7},
		{"sm2_current_state", 0x7f00000, 0x14},
		{"sm2_clip_to_outsm_fifo_full", 0x10000000, 0x1c},
		{"sm2_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"sm2_clip_to_clipga_clip_to_outsm_cnt_eq0", 0x8000000, 0x1b}
	} },
	{"CLIPPER_DEBUG_REG19", 0x13, {
		{"sm3_ps_expand", 0x80, 0x7},
		{"sm3_inv_to_clip_data_valid_1", 0x40000, 0x12},
		{"sm3_inv_to_clip_data_valid_0", 0x80000, 0x13},
		{"sm3_prim_end_state", 0x7f, 0x0},
		{"sm3_highest_priority_seq", 0x20000000, 0x1d},
		{"sm3_clip_to_outsm_fifo_full", 0x10000000, 0x1c},
		{"sm3_clip_vert_cnt", 0x1f00, 0x8},
		{"sm3_vertex_clip_cnt", 0x3e000, 0xd},
		{"sm3_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"sm3_current_state", 0x7f00000, 0x14},
		{"sm3_clip_to_clipga_clip_to_outsm_cnt_eq0", 0x8000000, 0x1b},
		{"sm3_outputcliptoclipga_0", 0x40000000, 0x1e}
	} },
	{"TCP_PERFCOUNTER2_LO", 0xd344, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_1_W", 0xa176, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"GRBM_SCRATCH_REG5", 0x2045, {
		{"SCRATCH_REG5", 0xffffffff, 0x0}
	} },
	{"GRBM_SCRATCH_REG4", 0x2044, {
		{"SCRATCH_REG4", 0xffffffff, 0x0}
	} },
	{"GRBM_SCRATCH_REG7", 0x2047, {
		{"SCRATCH_REG7", 0xffffffff, 0x0}
	} },
	{"GRBM_SCRATCH_REG6", 0x2046, {
		{"SCRATCH_REG6", 0xffffffff, 0x0}
	} },
	{"GRBM_SCRATCH_REG1", 0x2041, {
		{"SCRATCH_REG1", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_1_Y", 0xa174, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"GRBM_SCRATCH_REG3", 0x2043, {
		{"SCRATCH_REG3", 0xffffffff, 0x0}
	} },
	{"GRBM_SCRATCH_REG2", 0x2042, {
		{"SCRATCH_REG2", 0xffffffff, 0x0}
	} },
	{"VGT_DMA_NUM_INSTANCES", 0xa2a2, {
		{"NUM_INSTANCES", 0xffffffff, 0x0}
	} },
	{"GRBM_SE1_PERFCOUNTER_HI", 0xd048, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"TCP_INVALIDATE", 0x2b00, {
		{"START", 0x1, 0x0}
	} },
	{"RLC_SRM_DRAM_ADDR", 0xec85, {
		{"RESERVED", 0xfffffc00, 0xa},
		{"ADDR", 0x3ff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_2", 0x2cce, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_3", 0x2ccf, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_0", 0x2ccc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_1", 0x2ccd, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_6", 0x2cd2, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_7", 0x2cd3, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_4", 0x2cd0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_5_W", 0xa186, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_5_X", 0xa183, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_5_Y", 0xa184, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CP_ME2_INT_STAT_DEBUG", 0x3096, {
		{"DEQUEUE_REQUEST_INT_ASSERTED", 0x2000, 0xd},
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"TIME_STAMP_INT_ASSERTED", 0x4000000, 0x1a},
		{"GENERIC0_INT_ASSERTED", 0x80000000, 0x1f},
		{"RESERVED_BIT_ERROR_INT_ASSERTED", 0x8000000, 0x1b},
		{"WRM_POLL_TIMEOUT_INT_ASSERTED", 0x20000, 0x11},
		{"CMP_QUERY_STATUS_INT_ASSERTED", 0x1000, 0xc},
		{"GENERIC2_INT_ASSERTED", 0x20000000, 0x1d},
		{"CP_ECC_ERROR_INT_ASSERTED", 0x4000, 0xe},
		{"GENERIC1_INT_ASSERTED", 0x40000000, 0x1e},
		{"OPCODE_ERROR_INT_ASSERTED", 0x1000000, 0x18},
		{"PRIV_REG_INT_ASSERTED", 0x800000, 0x17}
	} },
	{"SPI_SHADER_USER_DATA_ES_9", 0x2cd5, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC1_VS", 0x2c4a, {
		{"FLOAT_MODE", 0xff000, 0xc},
		{"CACHE_CTL", 0x38000000, 0x1b},
		{"CU_GROUP_ENABLE", 0x4000000, 0x1a},
		{"CDBG_USER", 0x40000000, 0x1e},
		{"VGPR_COMP_CNT", 0x3000000, 0x18},
		{"IEEE_MODE", 0x800000, 0x17},
		{"PRIORITY", 0xc00, 0xa},
		{"SGPRS", 0x3c0, 0x6},
		{"DEBUG_MODE", 0x400000, 0x16},
		{"VGPRS", 0x3f, 0x0},
		{"DX10_CLAMP", 0x200000, 0x15},
		{"PRIV", 0x100000, 0x14}
	} },
	{"GC_USER_SHADER_RATE_CONFIG", 0x2313, {
		{"HALF_LDS", 0x10, 0x4},
		{"SQC_BALANCE_DISABLE", 0x8, 0x3},
		{"DPFP_RATE", 0x6, 0x1}
	} },
	{"SQ_THREAD_TRACE_MODE", 0xc336, {
		{"INTERRUPT_EN", 0x40000000, 0x1e},
		{"MASK_GS", 0x1c0, 0x6},
		{"MASK_HS", 0x7000, 0xc},
		{"MASK_ES", 0xe00, 0x9},
		{"PRIV", 0x4000000, 0x1a},
		{"AUTOFLUSH_EN", 0x2000000, 0x19},
		{"CAPTURE_MODE", 0x1800000, 0x17},
		{"ISSUE_MASK", 0x18000000, 0x1b},
		{"TEST_MODE", 0x20000000, 0x1d},
		{"MODE", 0x600000, 0x15},
		{"MASK_CS", 0x1c0000, 0x12},
		{"WRAP", 0x80000000, 0x1f},
		{"MASK_PS", 0x7, 0x0},
		{"MASK_VS", 0x38, 0x3},
		{"MASK_LS", 0x38000, 0xf}
	} },
	{"SQ_HV_VMID_CTRL", 0xf840, {
		{"DEFAULT_VMID", 0xf, 0x0},
		{"ALLOWED_VMID_MASK", 0xffff0, 0x4}
	} },
	{"TCP_WATCH0_ADDR_H", 0x32a0, {
		{"ADDR", 0xffff, 0x0}
	} },
	{"TCP_WATCH0_ADDR_L", 0x32a1, {
		{"ADDR", 0xffffffc0, 0x6}
	} },
	{"CP_RB0_RPTR", 0x21c0, {
		{"RB_RPTR", 0xfffff, 0x0}
	} },
	{"CP_HPD_STATUS0", 0x3241, {
		{"QUEUE_STATE", 0x1f, 0x0},
		{"MAPPED_QUEUE", 0xe0, 0x5},
		{"QUEUE_AVAILABLE", 0xff00, 0x8}
	} },
	{"SPI_SHADER_PGM_RSRC2_VS", 0x2c4b, {
		{"TRAP_PRESENT", 0x40, 0x6},
		{"EXCP_EN", 0x3fe000, 0xd},
		{"SCRATCH_EN", 0x1, 0x0},
		{"DISPATCH_DRAW_EN", 0x1000000, 0x18},
		{"OC_LDS_EN", 0x80, 0x7},
		{"SO_BASE2_EN", 0x400, 0xa},
		{"SO_BASE0_EN", 0x100, 0x8},
		{"SO_BASE1_EN", 0x200, 0x9},
		{"USER_SGPR", 0x3e, 0x1},
		{"SO_EN", 0x1000, 0xc},
		{"SO_BASE3_EN", 0x800, 0xb}
	} },
	{"VGT_GS_MAX_VERT_OUT", 0xa2ce, {
		{"MAX_VERT_OUT", 0x7ff, 0x0}
	} },
	{"CP_INDEX_TYPE", 0xc0fa, {
		{"INDEX_TYPE", 0x3, 0x0}
	} },
	{"VGT_DRAW_INITIATOR", 0xa1fc, {
		{"SPRITE_EN_R6XX", 0x10, 0x4},
		{"NOT_EOP", 0x20, 0x5},
		{"USE_OPAQUE", 0x40, 0x6},
		{"MAJOR_MODE", 0xc, 0x2},
		{"SOURCE_SELECT", 0x3, 0x0}
	} },
	{"VGT_PERFCOUNTER1_HI", 0xd093, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"PA_CL_NANINF_CNTL", 0xa208, {
		{"VS_W_NAN_TO_INF", 0x1000, 0xc},
		{"VTE_0XNANINF_IS_0", 0x8, 0x3},
		{"VS_W_INF_RETAIN", 0x2000, 0xd},
		{"VS_XY_INF_RETAIN", 0x200, 0x9},
		{"VTE_Z_INF_DISCARD", 0x2, 0x1},
		{"VS_CLIP_DIST_INF_DISCARD", 0x4000, 0xe},
		{"VS_XY_NAN_TO_INF", 0x100, 0x8},
		{"VTE_NO_OUTPUT_NEG_0", 0x100000, 0x14},
		{"VTE_Z_NAN_RETAIN", 0x20, 0x5},
		{"VTE_W_RECIP_NAN_IS_0", 0x80, 0x7},
		{"VS_Z_INF_RETAIN", 0x800, 0xb},
		{"VTE_XY_NAN_RETAIN", 0x10, 0x4},
		{"VS_Z_NAN_TO_INF", 0x400, 0xa},
		{"VTE_W_NAN_RETAIN", 0x40, 0x6},
		{"VTE_XY_INF_DISCARD", 0x1, 0x0},
		{"VTE_W_INF_DISCARD", 0x4, 0x2}
	} },
	{"VGT_DEBUG_REG29", 0x1d, {
		{"pipe1_patch_rtr", 0x20000000, 0x1d},
		{"second_cycle_q", 0x10, 0x4},
		{"last_point_of_outer_ring_p1", 0x80000, 0x13},
		{"last_edge_of_outer_ring_p0_q", 0x40000, 0x12},
		{"first_ring_of_patch_p0_q", 0x10000, 0x10},
		{"parallel_parity_p0_q", 0x8000, 0xf},
		{"advance_outer_point_p1", 0x400000, 0x16},
		{"pipe0_patch_dr", 0x100, 0x8},
		{"outer_edge_tf_eq_one_p0_q", 0x200000, 0x15},
		{"pipe0_edge_dr", 0x200, 0x9},
		{"con_state_q", 0xf, 0x0},
		{"last_ring_of_patch_p0_q", 0x20000, 0x11},
		{"next_ring_is_rect_p0_q", 0x1000000, 0x18},
		{"pipe1_inner2_rtr", 0x10000000, 0x1c},
		{"pipe1_edge_rtr", 0x40000000, 0x1e},
		{"pipe1_dr", 0x400, 0xa},
		{"pipe1_rtr", 0x2000, 0xd},
		{"process_tri_middle_p0_q", 0x20, 0x5},
		{"process_tri_1st_2nd_half_p0_q", 0x40, 0x6},
		{"pipe1_outer2_rtr", 0x4000000, 0x1a},
		{"advance_inner_point_p1", 0x800000, 0x17},
		{"pipe0_patch_rtr", 0x800, 0xb},
		{"process_tri_center_poly_p0_q", 0x80, 0x7},
		{"last_point_of_inner_ring_p1", 0x100000, 0x14},
		{"pipe1_outer1_rtr", 0x2000000, 0x19},
		{"pipe1_inner1_rtr", 0x8000000, 0x1b},
		{"outer_parity_p0_q", 0x4000, 0xe},
		{"use_stored_inner_q_ring3", 0x80000000, 0x1f},
		{"pipe0_edge_rtr", 0x1000, 0xc}
	} },
	{"VGT_OUT_DEALLOC_CNTL", 0xa317, {
		{"DEALLOC_DIST", 0x7f, 0x0}
	} },
	{"VGT_DEBUG_REG25", 0x19, {
		{"add_gs_rb_space_r1_q", 0x40000000, 0x1e},
		{"avail_gs_rb_space_r0_q_25_0", 0x3ffffff, 0x0},
		{"active_sm_r0_q", 0x3c000000, 0x1a},
		{"add_gs_rb_space_r0_q", 0x80000000, 0x1f}
	} },
	{"VGT_DEBUG_REG24", 0x18, {
		{"avail_es_rb_space_r0_q_23_0", 0xffffff, 0x0},
		{"dependent_st_cut_mode_q", 0x3000000, 0x18},
		{"SPARE31", 0xfc000000, 0x1a}
	} },
	{"DB_RING_CONTROL", 0x261b, {
		{"COUNTER_CONTROL", 0x3, 0x0}
	} },
	{"GDS_RD_DATA", 0xc401, {
		{"READ_DATA", 0xffffffff, 0x0}
	} },
	{"VGT_DEBUG_REG21", 0x15, {
		{"is_event_p0_q", 0x100000, 0x14},
		{"pipe2_rtr", 0x400, 0xa},
		{"indx_count_q_not_0", 0x2000, 0xd},
		{"p0_nobp", 0x80000000, 0x1f},
		{"vsthread_buff_full", 0x800, 0xb},
		{"lshs_dealloc_p1", 0x200000, 0x15},
		{"out_indx_fifo_full", 0x40, 0x6},
		{"vsthread_buff_empty", 0x20, 0x5},
		{"indx_side_indx_valid", 0x10000, 0x10},
		{"out_indx_fifo_empty", 0x1, 0x0},
		{"indx_side_fifo_full", 0x80, 0x7},
		{"pipe1_rtr", 0x200, 0x9},
		{"indx_side_fifo_empty", 0x2, 0x1},
		{"pipe1_dr", 0x8, 0x3},
		{"p0_rtr", 0x20000000, 0x1d},
		{"null_r2_q", 0x8000000, 0x1b},
		{"eotg_r2_q", 0x4000000, 0x1a},
		{"wait_for_external_eopg_q", 0x4000, 0xe},
		{"stateid_p0_q", 0xe0000, 0x11},
		{"full_state_p1_q", 0x8000, 0xf},
		{"interfaces_rtr", 0x1000, 0xc},
		{"eopg_p0_q", 0x40000000, 0x1e},
		{"buff_full_p1", 0x1000000, 0x18},
		{"pipe0_dr", 0x4, 0x2},
		{"stream_id_r2_q", 0x400000, 0x16},
		{"p0_dr", 0x10000000, 0x1c},
		{"pipe2_dr", 0x10, 0x4},
		{"pipe0_rtr", 0x100, 0x8},
		{"strmout_valid_p1", 0x2000000, 0x19},
		{"vtx_vect_counter_q_not_0", 0x800000, 0x17}
	} },
	{"VGT_DEBUG_REG20", 0x14, {
		{"curr_slot_in_vtx_vect_q_not_0", 0x40000000, 0x1e},
		{"dbg_VGT_SPI_vsthread_sovertexcount_not_0", 0x10000, 0x10},
		{"dbg_VGT_SPI_vsthread_sovertexindex", 0xffff, 0x0},
		{"new_allocate_q", 0x20000000, 0x1d},
		{"alloc_counter_q", 0x3c0000, 0x12},
		{"SPARE17", 0x20000, 0x11},
		{"int_vtx_counter_q_not_0", 0x80000000, 0x1f},
		{"curr_dealloc_distance_q", 0x1fc00000, 0x16}
	} },
	{"VGT_DEBUG_REG23", 0x17, {
		{"rcm_frmt_vert_rtr", 0x2, 0x1},
		{"prim_r2_rtr", 0x10, 0x4},
		{"frmt_busy", 0x1, 0x0},
		{"vert_dr_r1_q", 0x2000, 0xd},
		{"vert_dr_r2_q", 0x800, 0xb},
		{"prim_state_sel_r2_q", 0xe00000, 0x15},
		{"vert_r3_rtr", 0x20, 0x5},
		{"prim_fifo_empty", 0x200, 0x9},
		{"prim_r3_rtr", 0x8, 0x3},
		{"vert_r2_rtr", 0x40, 0x6},
		{"new_verts_r2_q", 0x18000, 0xf},
		{"vert_r1_rtr", 0x80, 0x7},
		{"prim_fifo_full", 0x400, 0xa},
		{"prim_dr_r2_q", 0x1000, 0xc},
		{"vert_r0_rtr", 0x100, 0x8},
		{"SPARE", 0xff000000, 0x18},
		{"rcm_frmt_prim_rtr", 0x4, 0x2},
		{"vert_dr_r0_q", 0x4000, 0xe},
		{"verts_sent_r2_q", 0x1e0000, 0x11}
	} },
	{"RLC_CGCG_RAMP_CTRL", 0xec4a, {
		{"STEP_DELAY_UNIT", 0xf0000000, 0x1c},
		{"DOWN_DIV_START_UNIT", 0xf, 0x0},
		{"UP_DIV_STEP_UNIT", 0xf000, 0xc},
		{"UP_DIV_START_UNIT", 0xf00, 0x8},
		{"STEP_DELAY_CNT", 0xfff0000, 0x10},
		{"DOWN_DIV_STEP_UNIT", 0xf0, 0x4}
	} },
	{"CB_BLEND6_CONTROL", 0xa1e6, {
		{"DISABLE_ROP3", 0x80000000, 0x1f},
		{"SEPARATE_ALPHA_BLEND", 0x20000000, 0x1d},
		{"ALPHA_DESTBLEND", 0x1f000000, 0x18},
		{"COLOR_COMB_FCN", 0xe0, 0x5},
		{"COLOR_DESTBLEND", 0x1f00, 0x8},
		{"COLOR_SRCBLEND", 0x1f, 0x0},
		{"ENABLE", 0x40000000, 0x1e},
		{"ALPHA_COMB_FCN", 0xe00000, 0x15},
		{"ALPHA_SRCBLEND", 0x1f0000, 0x10}
	} },
	{"VGT_MC_LAT_CNTL", 0x2236, {
		{"MC_TIME_STAMP_RES", 0x3, 0x0}
	} },
	{"GDS_DSM_CNTL", 0x25ca, {
		{"SEL_DSM_GDS_IRRITATOR_DATA_B_0", 0x8, 0x3},
		{"SEL_DSM_GDS_IRRITATOR_DATA_B_1", 0x10, 0x4},
		{"SEL_DSM_GDS_IRRITATOR_DATA_A_1", 0x2, 0x1},
		{"GDS_ENABLE_SINGLE_WRITE_A", 0x4, 0x2},
		{"SEL_DSM_GDS_IRRITATOR_DATA_A_0", 0x1, 0x0},
		{"GDS_ENABLE_SINGLE_WRITE_B", 0x20, 0x5},
		{"UNUSED", 0xffffffc0, 0x6}
	} },
	{"SPI_PS_INPUT_CNTL_19", 0xa1a4, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"CB_COLOR3_BASE", 0xa345, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_LDS_ALLOC", 0x16, {
		{"LDS_SIZE", 0x1ff000, 0xc},
		{"LDS_BASE", 0xff, 0x0}
	} },
	{"PA_SU_POLY_OFFSET_FRONT_OFFSET", 0xa2e1, {
		{"OFFSET", 0xffffffff, 0x0}
	} },
	{"CP_CE_RB_OFFSET", 0xc09b, {
		{"RB_OFFSET", 0xfffff, 0x0}
	} },
	{"SQ_PERFCOUNTER_CTRL", 0xd9e0, {
		{"DISABLE_FLUSH", 0x2000, 0xd},
		{"ES_EN", 0x8, 0x3},
		{"VS_EN", 0x2, 0x1},
		{"CS_EN", 0x40, 0x6},
		{"LS_EN", 0x20, 0x5},
		{"GS_EN", 0x4, 0x2},
		{"HS_EN", 0x10, 0x4},
		{"CNTR_RATE", 0x1f00, 0x8},
		{"PS_EN", 0x1, 0x0}
	} },
	{"RLC_GPM_GENERAL_3", 0xec66, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_2", 0xec65, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_1", 0xec64, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_0", 0xec63, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_7", 0xec6a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_6", 0xec69, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_5", 0xec68, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_4", 0xec67, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_9", 0xecae, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_8", 0xecad, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_RB0_CNTL", 0x3041, {
		{"RB_RPTR_WR_ENA", 0x80000000, 0x1f},
		{"MIN_IB_AVAILSZ", 0xc00000, 0x16},
		{"RB_BUFSZ", 0x3f, 0x0},
		{"CACHE_POLICY", 0x1000000, 0x18},
		{"RB_NO_UPDATE", 0x8000000, 0x1b},
		{"MIN_AVAILSZ", 0x300000, 0x14},
		{"MTYPE", 0x18000, 0xf},
		{"BUF_SWAP", 0x60000, 0x11},
		{"RB_BLKSZ", 0x3f00, 0x8}
	} },
	{"DB_PERFCOUNTER2_HI", 0xd445, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"PA_SC_TRAP_SCREEN_HV_LOCK", 0x22c2, {
		{"DISABLE_NON_PRIV_WRITES", 0x1, 0x0}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_6", 0x31ec, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_SHADER_PGM_RSRC2_ES_GS", 0x2cbc, {
		{"LDS_SIZE", 0x1ff00000, 0x14},
		{"EXCP_EN", 0x1ff00, 0x8},
		{"TRAP_PRESENT", 0x40, 0x6},
		{"SCRATCH_EN", 0x1, 0x0},
		{"OC_LDS_EN", 0x80, 0x7},
		{"USER_SGPR", 0x3e, 0x1}
	} },
	{"CGTS_CU14_SP1_CTRL_REG", 0xf051, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"TA_DEBUG_INDEX", 0x254c, {
		{"INDEX", 0x1f, 0x0}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_7", 0x31ed, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_SHADER_TMA_HI_ES", 0x2cc3, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"RLC_GPM_UCODE_ADDR", 0xf83c, {
		{"RESERVED", 0xfffff000, 0xc},
		{"UCODE_ADDR", 0xfff, 0x0}
	} },
	{"CGTS_CU12_TA_SQC_CTRL_REG", 0xf046, {
		{"SQC_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SQC_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"SQC", 0x7f0000, 0x10},
		{"SQC_OVERRIDE", 0x800000, 0x17},
		{"SQC_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"CP_HQD_PQ_RPTR_REPORT_ADDR_HI", 0x3251, {
		{"RPTR_REPORT_ADDR_HI", 0xffff, 0x0}
	} },
	{"CGTS_CU2_SP1_CTRL_REG", 0xf015, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"SQ_IMG_SAMP_WORD0", 0x23cc, {
		{"FORCE_DEGAMMA", 0x100000, 0x14},
		{"ANISO_BIAS", 0x7e00000, 0x15},
		{"TRUNC_COORD", 0x8000000, 0x1b},
		{"DISABLE_CUBE_WRAP", 0x10000000, 0x1c},
		{"ANISO_THRESHOLD", 0x70000, 0x10},
		{"CLAMP_Z", 0x1c0, 0x6},
		{"CLAMP_Y", 0x38, 0x3},
		{"CLAMP_X", 0x7, 0x0},
		{"MAX_ANISO_RATIO", 0xe00, 0x9},
		{"FORCE_UNNORMALIZED", 0x8000, 0xf},
		{"FILTER_MODE", 0x60000000, 0x1d},
		{"DEPTH_COMPARE_FUNC", 0x7000, 0xc},
		{"MC_COORD_TRUNC", 0x80000, 0x13},
		{"COMPAT_MODE", 0x80000000, 0x1f}
	} },
	{"SQ_IMG_SAMP_WORD1", 0x23cd, {
		{"PERF_Z", 0xf0000000, 0x1c},
		{"MIN_LOD", 0xfff, 0x0},
		{"MAX_LOD", 0xfff000, 0xc},
		{"PERF_MIP", 0xf000000, 0x18}
	} },
	{"CP_STREAM_OUT_ADDR_LO", 0xc006, {
		{"STREAM_OUT_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"SQ_IMG_SAMP_WORD3", 0x23cf, {
		{"BORDER_COLOR_PTR", 0xfff, 0x0},
		{"BORDER_COLOR_TYPE", 0xc0000000, 0x1e}
	} },
	{"CC_SQC_BANK_DISABLE", 0x2307, {
		{"SQC0_BANK_DISABLE", 0xf0000, 0x10},
		{"SQC2_BANK_DISABLE", 0xf000000, 0x18},
		{"SQC1_BANK_DISABLE", 0xf00000, 0x14},
		{"SQC3_BANK_DISABLE", 0xf0000000, 0x1c}
	} },
	{"CP_HQD_PQ_WPTR_POLL_ADDR_HI", 0x3253, {
		{"WPTR_ADDR_HI", 0xffff, 0x0}
	} },
	{"RLC_PERFCOUNTER0_HI", 0xd481, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_DFY_ADDR_LO", 0x3023, {
		{"ADDR_LO", 0xffffffe0, 0x5}
	} },
	{"CP_CE_IB2_OFFSET", 0xc099, {
		{"IB2_OFFSET", 0xfffff, 0x0}
	} },
	{"CGTS_CU11_SP1_CTRL_REG", 0xf042, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"CP_RB0_RPTR_ADDR", 0x3043, {
		{"RB_RPTR_ADDR", 0xfffffffc, 0x2},
		{"RB_RPTR_SWAP", 0x3, 0x0}
	} },
	{"TCC_PERFCOUNTER2_HI", 0xd385, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_CPC_IC_BASE_HI", 0x30ba, {
		{"IC_BASE_HI", 0xffff, 0x0}
	} },
	{"CB_DCC_CONTROL", 0xa109, {
		{"OVERWRITE_COMBINER_MRT_SHARING_DISABLE", 0x2, 0x1},
		{"OVERWRITE_COMBINER_DISABLE", 0x1, 0x0},
		{"OVERWRITE_COMBINER_WATERMARK", 0x7c, 0x2}
	} },
	{"TCC_PERFCOUNTER1_SELECT1", 0xdb83, {
		{"PERF_MODE2", 0xf000000, 0x18},
		{"PERF_MODE3", 0xf0000000, 0x1c},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"CC_GC_EDC_CONFIG", 0x3098, {
		{"DIS_EDC", 0x2, 0x1}
	} },
	{"CB_COLOR2_SLICE", 0xa338, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"WD_DEBUG_REG2", 0x2, {
		{"p1_max_indx_valid_q", 0x400, 0xa},
		{"p1_grbm_fifo_rdata_reg_id", 0x1f000, 0xc},
		{"p1_grbm_fifo_we", 0x4, 0x2},
		{"p1_rbiu_dr_fifo_full", 0x80000000, 0x1f},
		{"SPARE0", 0x100, 0x8},
		{"p1_min_indx_valid_q", 0x200, 0x9},
		{"p1_indx_offset_valid_q", 0x800, 0xb},
		{"p1_rbiu_di_fifo_we", 0x4000000, 0x1a},
		{"p1_rbiu_di_fifo_full", 0x20000000, 0x1d},
		{"p1_rbiu_dr_fifo_empty", 0x40000000, 0x1e},
		{"p1_draw_initiator_valid_q", 0x10, 0x4},
		{"p1_dma_request_valid_q", 0x80, 0x7},
		{"p1_grbm_fifo_rdata_state", 0xe0000, 0x11},
		{"p1_grbm_fifo_full", 0x2, 0x1},
		{"p1_event_initiator_valid_q", 0x20, 0x5},
		{"p1_grbm_fifo_empty", 0x1, 0x0},
		{"p1_rbiu_di_fifo_empty", 0x10000000, 0x1c},
		{"p1_grbm_fifo_re", 0x8, 0x3},
		{"p1_event_addr_valid_q", 0x40, 0x6},
		{"p1_rbiu_dr_fifo_we", 0x8000000, 0x1b},
		{"p1_free_cnt_q", 0x3f00000, 0x14}
	} },
	{"CP_CE_UCODE_DATA", 0xf819, {
		{"UCODE_DATA", 0xffffffff, 0x0}
	} },
	{"CP_HQD_IB_BASE_ADDR_HI", 0x3258, {
		{"IB_BASE_ADDR_HI", 0xffff, 0x0}
	} },
	{"RLC_GPM_STAT", 0xec40, {
		{"GFX_LS_STATUS", 0x8, 0x3},
		{"GFX_IDLE_BEING_PROCESSED", 0x80, 0x7},
		{"CNTX_IDLE_BEING_PROCESSED", 0x20, 0x5},
		{"RESTORING_REGISTERS", 0x400, 0xa},
		{"CMP_BLOCKS_CHANGING_POWER_STATE", 0x1000, 0xc},
		{"RLC_BUSY", 0x1, 0x0},
		{"GFX_POWER_STATUS", 0x2, 0x1},
		{"STATIC_CU_POWERING_UP", 0x2000, 0xd},
		{"GFX_CLOCK_STATUS", 0x4, 0x2},
		{"CMP_BUSY_BEING_PROCESSED", 0x100, 0x8},
		{"SAVING_REGISTERS", 0x200, 0x9},
		{"GFX3D_BLOCKS_CHANGING_POWER_STATE", 0x800, 0xb},
		{"STATIC_CU_POWERING_DOWN", 0x4000, 0xe},
		{"DYN_CU_POWERING_UP", 0x8000, 0xf},
		{"DYN_CU_POWERING_DOWN", 0x10000, 0x10},
		{"RESERVED", 0xfc0000, 0x12},
		{"PG_ERROR_STATUS", 0xff000000, 0x18},
		{"ABORTED_PD_SEQUENCE", 0x20000, 0x11},
		{"GFX_PIPELINE_POWER_STATUS", 0x10, 0x4},
		{"CNTX_BUSY_BEING_PROCESSED", 0x40, 0x6}
	} },
	{"CP_COHER_BASE_HI", 0xc079, {
		{"COHER_BASE_HI_256B", 0xff, 0x0}
	} },
	{"CP_SC_PSINVOC_COUNT0_HI", 0xc02d, {
		{"PSINVOC_COUNT0_HI", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_DRAM_DATA", 0xec86, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SC_P3D_TRAP_SCREEN_V", 0xc2a2, {
		{"Y_COORD", 0x3fff, 0x0}
	} },
	{"CP_PFP_UCODE_DATA", 0xf815, {
		{"UCODE_DATA", 0xffffffff, 0x0}
	} },
	{"SQ_INTERRUPT_WORD_AUTO", 0x20c0, {
		{"HOST_CMD_OVERFLOW", 0x20, 0x5},
		{"ENCODING", 0xc000000, 0x1a},
		{"IMMED_OVERFLOW", 0x80, 0x7},
		{"WLT", 0x2, 0x1},
		{"THREAD_TRACE_BUF_FULL", 0x4, 0x2},
		{"THREAD_TRACE", 0x1, 0x0},
		{"HOST_REG_OVERFLOW", 0x40, 0x6},
		{"REG_TIMESTAMP", 0x8, 0x3},
		{"SE_ID", 0x3000000, 0x18},
		{"CMD_TIMESTAMP", 0x10, 0x4}
	} },
	{"PA_SC_VPORT_ZMAX_14", 0xa0d1, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_15", 0xa0d3, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_12", 0xa0cd, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_13", 0xa0cf, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_10", 0xa0c9, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_11", 0xa0cb, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER0_SELECT", 0xd980, {
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"PA_SC_P3D_TRAP_SCREEN_H", 0xc2a1, {
		{"X_COORD", 0x3fff, 0x0}
	} },
	{"COMPUTE_RESOURCE_LIMITS", 0x2e15, {
		{"CU_GROUP_COUNT", 0x7000000, 0x18},
		{"TG_PER_CU", 0xf000, 0xc},
		{"WAVES_PER_SH", 0x3ff, 0x0},
		{"FORCE_SIMD_DIST", 0x800000, 0x17},
		{"SIMD_DEST_CNTL", 0x400000, 0x16},
		{"LOCK_THRESHOLD", 0x3f0000, 0x10}
	} },
	{"SPI_SHADER_TBA_LO_HS", 0x2d00, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"SQ_MIMG_1", 0x237f, {
		{"D16", 0x80000000, 0x1f},
		{"SRSRC", 0x1f0000, 0x10},
		{"VDATA", 0xff00, 0x8},
		{"SSAMP", 0x3e00000, 0x15},
		{"VADDR", 0xff, 0x0}
	} },
	{"CP_ROQ_IB2_STAT", 0x21e2, {
		{"ROQ_WPTR_INDIRECT2", 0x3ff0000, 0x10},
		{"ROQ_RPTR_INDIRECT2", 0x3ff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_15", 0x2cdb, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_TMA_LO_GS", 0x2c82, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_TBA_HI_ES", 0x2cc1, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"SPI_BARYC_CNTL", 0xa1b8, {
		{"POS_FLOAT_ULC", 0x100000, 0x14},
		{"LINEAR_CENTER_CNTL", 0x100, 0x8},
		{"PERSP_CENTROID_CNTL", 0x10, 0x4},
		{"POS_FLOAT_LOCATION", 0x30000, 0x10},
		{"PERSP_CENTER_CNTL", 0x1, 0x0},
		{"LINEAR_CENTROID_CNTL", 0x1000, 0xc},
		{"FRONT_FACE_ALL_BITS", 0x1000000, 0x18}
	} },
	{"DB_RENDER_OVERRIDE2", 0xa004, {
		{"SEPARATE_HIZS_FUNC_ENABLE", 0x800, 0xb},
		{"DISABLE_SMEM_EXPCLEAR_OPTIMIZATION", 0x40, 0x6},
		{"PARTIAL_SQUAD_LAUNCH_COUNTDOWN", 0x1c, 0x2},
		{"HIZ_ZFUNC", 0x7000, 0xc},
		{"HIS_SFUNC_FF", 0x38000, 0xf},
		{"DECOMPRESS_Z_ON_FLUSH", 0x100, 0x8},
		{"DISABLE_REG_SNOOP", 0x200, 0x9},
		{"HIS_SFUNC_BF", 0x1c0000, 0x12},
		{"PARTIAL_SQUAD_LAUNCH_CONTROL", 0x3, 0x0},
		{"DISABLE_ZMASK_EXPCLEAR_OPTIMIZATION", 0x20, 0x5},
		{"DISABLE_FAST_PASS", 0x800000, 0x17},
		{"DEPTH_BOUNDS_HIER_DEPTH_DISABLE", 0x400, 0xa},
		{"PRESERVE_ZRANGE", 0x200000, 0x15},
		{"PRESERVE_SRESULTS", 0x400000, 0x16},
		{"DISABLE_COLOR_ON_VALIDATION", 0x80, 0x7}
	} },
	{"RLC_UCODE_CNTL", 0xec27, {
		{"RLC_UCODE_FLAGS", 0xffffffff, 0x0}
	} },
	{"CP_VGT_VSINVOC_COUNT_LO", 0xc020, {
		{"VSINVOC_COUNT_LO", 0xffffffff, 0x0}
	} },
	{"CB_DEBUG_BUS_8", 0x26a0, {
		{"FC_SEQUENCER_CLEAR", 0x400000, 0x16},
		{"FC_SEQUENCER_FMASK_DECOMPRESS", 0x100000, 0x14},
		{"FC_SEQUENCER_FMASK_COMPRESSION_DISABLE", 0x80000, 0x13},
		{"FC_MC_WRITE_REQUESTS_IN_FLIGHT", 0x7ff00, 0x8},
		{"CM_MC_WRITE_REQUESTS_IN_FLIGHT", 0xff, 0x0},
		{"FC_SEQUENCER_ELIMINATE_FAST_CLEAR", 0x200000, 0x15}
	} },
	{"CP_VGT_GSPRIM_COUNT_LO", 0xc01e, {
		{"GSPRIM_COUNT_LO", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_HI_HS", 0x2d09, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"COMPUTE_WAVE_RESTORE_CONTROL", 0x2e25, {
		{"MTYPE", 0x6, 0x1},
		{"ATC", 0x1, 0x0}
	} },
	{"VGT_STRMOUT_VTX_STRIDE_1", 0xa2b9, {
		{"STRIDE", 0x3ff, 0x0}
	} },
	{"CP_ME_MC_RADDR_HI", 0xc06e, {
		{"MTYPE", 0x300000, 0x14},
		{"ME_MC_RADDR_HI", 0xffff, 0x0},
		{"CACHE_POLICY", 0x400000, 0x16}
	} },
	{"VGT_STRMOUT_VTX_STRIDE_3", 0xa2c1, {
		{"STRIDE", 0x3ff, 0x0}
	} },
	{"RLC_SRM_RLCV_COMMAND_STATUS", 0xec8a, {
		{"FIFO_EMPTY", 0x1, 0x0},
		{"FIFO_FULL", 0x2, 0x1},
		{"RESERVED", 0xfffffffc, 0x2}
	} },
	{"RLC_SPM_DEBUG", 0xec75, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_HIWATER", 0xc33b, {
		{"HIWATER", 0x7, 0x0}
	} },
	{"CP_NUM_PRIM_WRITTEN_COUNT1_HI", 0xc00d, {
		{"NUM_PRIM_WRITTEN_CNT1_HI", 0xffffffff, 0x0}
	} },
	{"CB_COLOR0_PITCH", 0xa319, {
		{"FMASK_TILE_MAX", 0x7ff00000, 0x14},
		{"TILE_MAX", 0x7ff, 0x0}
	} },
	{"GDS_GWS_VMID3", 0x3323, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"RLC_SRM_ARAM_ADDR", 0xec83, {
		{"RESERVED", 0xfffffc00, 0xa},
		{"ADDR", 0x3ff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER3_HI", 0xd147, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"GDS_PERFCOUNTER0_LO", 0xd280, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"TCA_PERFCOUNTER2_SELECT", 0xdb94, {
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"DB_OCCLUSION_COUNT2_LOW", 0xc3c4, {
		{"COUNT_LOW", 0xffffffff, 0x0}
	} },
	{"CB_PERFCOUNTER2_HI", 0xd40b, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER7_LO", 0xd14e, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CGTS_CU3_SP1_CTRL_REG", 0xf01a, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"RLC_CSIB_ADDR_LO", 0xeca2, {
		{"ADDRESS", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_DEBUG_INST_ADDR", 0xec1d, {
		{"ADDR_B", 0xffff0000, 0x10},
		{"ADRR_A", 0xffff, 0x0}
	} },
	{"SQ_WAVE_EXEC_LO", 0x27e, {
		{"EXEC_LO", 0xffffffff, 0x0}
	} },
	{"CP_ME_CNTL", 0x21b6, {
		{"ME_INVALIDATE_ICACHE", 0x100, 0x8},
		{"PFP_PIPE0_RESET", 0x40000, 0x12},
		{"CE_HALT", 0x1000000, 0x18},
		{"CE_INVALIDATE_ICACHE", 0x10, 0x4},
		{"CE_STEP", 0x2000000, 0x19},
		{"ME_HALT", 0x10000000, 0x1c},
		{"PFP_HALT", 0x4000000, 0x1a},
		{"PFP_INVALIDATE_ICACHE", 0x40, 0x6},
		{"CE_PIPE0_RESET", 0x10000, 0x10},
		{"ME_PIPE0_RESET", 0x100000, 0x14},
		{"ME_STEP", 0x20000000, 0x1d},
		{"PFP_STEP", 0x8000000, 0x1b}
	} },
	{"SPI_WF_LIFETIME_STATUS_12", 0x24c1, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER5_HI", 0xd14b, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"VGT_PERFCOUNTER2_SELECT", 0xd88e, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"CGTS_CU10_LDS_SQ_CTRL_REG", 0xf03b, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"CPF_PERFCOUNTER0_LO", 0xd00a, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_11", 0x24c0, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"RLC_DEBUG_SELECT", 0xec01, {
		{"RESERVED", 0xffffff00, 0x8},
		{"SELECT", 0xff, 0x0}
	} },
	{"PA_CL_GB_HORZ_DISC_ADJ", 0xa2fd, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CP_CE_COUNTER", 0xc09a, {
		{"CONST_ENGINE_COUNT", 0xffffffff, 0x0}
	} },
	{"WD_PERFCOUNTER0_SELECT", 0xd880, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"VGT_PERFCOUNTER1_SELECT", 0xd88d, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"PA_CL_GB_HORZ_CLIP_ADJ", 0xa2fc, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"VGT_VTX_CNT_EN", 0xa2ae, {
		{"VTX_CNT_EN", 0x1, 0x0}
	} },
	{"PA_SC_SHADER_CONTROL", 0xa310, {
		{"REALIGN_DQUADS_AFTER_N_WAVES", 0x3, 0x0}
	} },
	{"TCP_PERFCOUNTER3_SELECT", 0xdb45, {
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"CP_DRAW_WINDOW_LO", 0xd814, {
		{"MAX", 0xffff0000, 0x10},
		{"MIN", 0xffff, 0x0}
	} },
	{"PA_SU_PRIM_FILTER_CNTL", 0xa20b, {
		{"YMAX_BOTTOM_EXCLUSION", 0x80000000, 0x1f},
		{"RECTANGLE_EXPAND_ENA", 0x80, 0x7},
		{"POINT_EXPAND_ENA", 0x40, 0x6},
		{"XMAX_RIGHT_EXCLUSION", 0x40000000, 0x1e},
		{"LINE_EXPAND_ENA", 0x20, 0x5},
		{"PRIM_EXPAND_CONSTANT", 0xff00, 0x8},
		{"POINT_FILTER_DISABLE", 0x4, 0x2},
		{"TRIANGLE_FILTER_DISABLE", 0x1, 0x0},
		{"RECTANGLE_FILTER_DISABLE", 0x8, 0x3},
		{"LINE_FILTER_DISABLE", 0x2, 0x1},
		{"TRIANGLE_EXPAND_ENA", 0x10, 0x4}
	} },
	{"SQ_WAVE_IB_DBG1", 0x1d, {
		{"IXNACK", 0x1, 0x0},
		{"XNACK", 0x2, 0x1},
		{"QCNT", 0xf00, 0x8},
		{"XCNT", 0xf0, 0x4},
		{"TA_NEED_RESET", 0x4, 0x2}
	} },
	{"PA_SC_FORCE_EOV_MAX_CNTS", 0x22c9, {
		{"FORCE_EOV_MAX_REZ_CNT", 0xffff0000, 0x10},
		{"FORCE_EOV_MAX_CLK_CNT", 0xffff, 0x0}
	} },
	{"VGT_HS_OFFCHIP_PARAM", 0xc24f, {
		{"OFFCHIP_BUFFERING", 0x1ff, 0x0},
		{"OFFCHIP_GRANULARITY", 0x600, 0x9}
	} },
	{"PA_SC_VPORT_SCISSOR_11_TL", 0xa0aa, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"CP_ME2_PIPE2_INT_CNTL", 0x308b, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"DEQUEUE_REQUEST_INT_ENABLE", 0x2000, 0xd},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"SUA_VIOLATION_INT_ENABLE", 0x8000, 0xf},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"CMP_QUERY_STATUS_INT_ENABLE", 0x1000, 0xc},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"SPI_WF_LIFETIME_STATUS_19", 0x24c8, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_LO_ES", 0x2cc8, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"SQ_INTERRUPT_WORD_CMN", 0x20c0, {
		{"SE_ID", 0x3000000, 0x18},
		{"ENCODING", 0xc000000, 0x1a}
	} },
	{"CB_COLOR3_INFO", 0xa349, {
		{"COMP_SWAP", 0x1800, 0xb},
		{"CMASK_IS_LINEAR", 0x80000, 0x13},
		{"DCC_ENABLE", 0x10000000, 0x1c},
		{"COMPRESSION", 0x4000, 0xe},
		{"FMASK_COMPRESS_1FRAG_ONLY", 0x8000000, 0x1b},
		{"FORMAT", 0x7c, 0x2},
		{"BLEND_CLAMP", 0x8000, 0xf},
		{"ROUND_MODE", 0x40000, 0x12},
		{"CMASK_ADDR_TYPE", 0x60000000, 0x1d},
		{"LINEAR_GENERAL", 0x80, 0x7},
		{"BLEND_OPT_DISCARD_PIXEL", 0x3800000, 0x17},
		{"BLEND_OPT_DONT_RD_DST", 0x700000, 0x14},
		{"NUMBER_TYPE", 0x700, 0x8},
		{"ENDIAN", 0x3, 0x0},
		{"BLEND_BYPASS", 0x10000, 0x10},
		{"FMASK_COMPRESSION_DISABLE", 0x4000000, 0x1a},
		{"FAST_CLEAR", 0x2000, 0xd},
		{"SIMPLE_FLOAT", 0x20000, 0x11}
	} },
	{"SQ_PERFCOUNTER_CTRL2", 0xd9e2, {
		{"FORCE_EN", 0x1, 0x0}
	} },
	{"CB_PERFCOUNTER0_LO", 0xd406, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_HQD_ATOMIC0_PREOP_HI", 0x3262, {
		{"ATOMIC0_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_LIMIT_5", 0x24b0, {
		{"MAX_CNT", 0x7fffffff, 0x0},
		{"EN_WARN", 0x80000000, 0x1f}
	} },
	{"WD_DEBUG_DATA", 0x223e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_CE_IB1_BASE_LO", 0xc0c6, {
		{"IB1_BASE_LO", 0xfffffffc, 0x2}
	} },
	{"RAS_IA_SIGNATURE0", 0x3397, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"GDS_VMID11_BASE", 0x3316, {
		{"BASE", 0xffff, 0x0}
	} },
	{"PA_CL_UCP_2_W", 0xa17a, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC2_ES_VS", 0x2c7c, {
		{"LDS_SIZE", 0x1ff00000, 0x14},
		{"EXCP_EN", 0x1ff00, 0x8},
		{"TRAP_PRESENT", 0x40, 0x6},
		{"SCRATCH_EN", 0x1, 0x0},
		{"OC_LDS_EN", 0x80, 0x7},
		{"USER_SGPR", 0x3e, 0x1}
	} },
	{"CP_ME1_PIPE3_INT_CNTL", 0x3088, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"DEQUEUE_REQUEST_INT_ENABLE", 0x2000, 0xd},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"SUA_VIOLATION_INT_ENABLE", 0x8000, 0xf},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"CMP_QUERY_STATUS_INT_ENABLE", 0x1000, 0xc},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"PA_CL_UCP_2_Z", 0xa179, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_2_Y", 0xa178, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_2_X", 0xa177, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CP_MEQ_STQ_THRESHOLD", 0x21bd, {
		{"STQ_START", 0xff, 0x0}
	} },
	{"TCP_WATCH2_ADDR_H", 0x32a6, {
		{"ADDR", 0xffff, 0x0}
	} },
	{"VGT_DMA_REQ_FIFO_DEPTH", 0x222e, {
		{"DMA_REQ_FIFO_DEPTH", 0x3f, 0x0}
	} },
	{"TCP_WATCH2_ADDR_L", 0x32a7, {
		{"ADDR", 0xffffffc0, 0x6}
	} },
	{"PA_SU_PERFCOUNTER2_HI", 0xd105, {
		{"PERFCOUNTER_HI", 0xffff, 0x0}
	} },
	{"SPI_PERFCOUNTER2_SELECT1", 0xd986, {
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC2_GS", 0x2c8b, {
		{"USER_SGPR", 0x3e, 0x1},
		{"SCRATCH_EN", 0x1, 0x0},
		{"EXCP_EN", 0xff80, 0x7},
		{"TRAP_PRESENT", 0x40, 0x6}
	} },
	{"TCP_EDC_CNT", 0x2b17, {
		{"LFIFO_SED_COUNT", 0xff00, 0x8},
		{"UNUSED", 0xff000000, 0x18},
		{"DED_COUNT", 0xff0000, 0x10},
		{"SEC_COUNT", 0xff, 0x0}
	} },
	{"CP_PA_CINVOC_COUNT_HI", 0xc029, {
		{"CINVOC_COUNT_HI", 0xffffffff, 0x0}
	} },
	{"SPI_PS_MAX_WAVE_ID", 0x243a, {
		{"MAX_WAVE_ID", 0xfff, 0x0}
	} },
	{"VGT_MAX_VTX_INDX", 0xa100, {
		{"MAX_INDX", 0xffffffff, 0x0}
	} },
	{"SX_PERFCOUNTER1_LO", 0xd242, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_NUM_PRIM_WRITTEN_COUNT3_LO", 0xc014, {
		{"NUM_PRIM_WRITTEN_CNT3_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR1_ATTRIB", 0xa32c, {
		{"FMASK_TILE_MODE_INDEX", 0x3e0, 0x5},
		{"FORCE_DST_ALPHA_1", 0x20000, 0x11},
		{"NUM_SAMPLES", 0x7000, 0xc},
		{"NUM_FRAGMENTS", 0x18000, 0xf},
		{"TILE_MODE_INDEX", 0x1f, 0x0},
		{"FMASK_BANK_HEIGHT", 0xc00, 0xa}
	} },
	{"CP_MQD_BASE_ADDR", 0x3245, {
		{"BASE_ADDR", 0xfffffffc, 0x2}
	} },
	{"CPC_PERFCOUNTER0_LO", 0xd006, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"COMPUTE_PGM_RSRC2", 0x2e13, {
		{"TRAP_PRESENT", 0x40, 0x6},
		{"EXCP_EN", 0x7f000000, 0x18},
		{"EXCP_EN_MSB", 0x6000, 0xd},
		{"TG_SIZE_EN", 0x400, 0xa},
		{"SCRATCH_EN", 0x1, 0x0},
		{"TIDIG_COMP_CNT", 0x1800, 0xb},
		{"LDS_SIZE", 0xff8000, 0xf},
		{"TGID_Y_EN", 0x100, 0x8},
		{"USER_SGPR", 0x3e, 0x1},
		{"TGID_Z_EN", 0x200, 0x9},
		{"TGID_X_EN", 0x80, 0x7}
	} },
	{"CP_HQD_PIPE_PRIORITY", 0x324a, {
		{"PIPE_PRIORITY", 0x3, 0x0}
	} },
	{"CP_PIPEID", 0xa0d9, {
		{"PIPE_ID", 0x3, 0x0}
	} },
	{"GDS_PS6_CTXSW_CNT0", 0x336f, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"CP_ME2_PIPE3_PRIORITY", 0x30a2, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"GDS_PS6_CTXSW_CNT2", 0x3371, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS6_CTXSW_CNT3", 0x3372, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"CPC_INT_CNTX_ID", 0x30b7, {
		{"CNTX_ID", 0xfffffff, 0x0},
		{"QUEUE_ID", 0x70000000, 0x1c}
	} },
	{"TCP_PERFCOUNTER1_SELECT1", 0xdb43, {
		{"PERF_MODE2", 0xf0000000, 0x1c},
		{"PERF_MODE3", 0xf000000, 0x18},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"TCP_PERFCOUNTER1_LO", 0xd342, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_SC_CLIPRECT_RULE", 0xa083, {
		{"CLIP_RULE", 0xffff, 0x0}
	} },
	{"CB_DCC_CONFIG", 0x2687, {
		{"OVERWRITE_COMBINER_DISABLE", 0x20, 0x5},
		{"OVERWRITE_COMBINER_DEPTH", 0x1f, 0x0},
		{"DCC_CACHE_EVICT_POINT", 0xf000000, 0x18},
		{"DCC_CACHE_NUM_TAGS", 0xf0000000, 0x1c},
		{"READ_RETURN_SKID_FIFO_DEPTH", 0x7f0000, 0x10},
		{"OVERWRITE_COMBINER_CC_POP_DISABLE", 0x40, 0x6},
		{"FC_RDLAT_KEYID_FIFO_DEPTH", 0xff00, 0x8}
	} },
	{"COMPUTE_TBA_HI", 0x2e0f, {
		{"DATA", 0xff, 0x0}
	} },
	{"GDS_PS4_CTXSW_CNT0", 0x3367, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"VGT_GS_OUT_PRIM_TYPE", 0xa29b, {
		{"UNIQUE_TYPE_PER_STREAM", 0x80000000, 0x1f},
		{"OUTPRIM_TYPE_3", 0xfc00000, 0x16},
		{"OUTPRIM_TYPE_1", 0x3f00, 0x8},
		{"OUTPRIM_TYPE_2", 0x3f0000, 0x10},
		{"OUTPRIM_TYPE", 0x3f, 0x0}
	} },
	{"TA_PERFCOUNTER0_LO", 0xd2c0, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"GDS_PS4_CTXSW_CNT1", 0x3368, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"RLC_JUMP_TABLE_RESTORE", 0xec1e, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_C", 0x262c, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_B", 0x262b, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_A", 0x262a, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"TCP_WATCH2_CNTL", 0x32a8, {
		{"VMID", 0xf000000, 0x18},
		{"VALID", 0x80000000, 0x1f},
		{"MASK", 0xffffff, 0x0},
		{"ATC", 0x10000000, 0x1c},
		{"MODE", 0x60000000, 0x1d}
	} },
	{"DB_READ_DEBUG_F", 0x262f, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_E", 0x262e, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_D", 0x262d, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"CP_VMID", 0xa0da, {
		{"VMID", 0xf, 0x0}
	} },
	{"CP_ME2_PIPE3_INT_STATUS", 0x3094, {
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"DEQUEUE_REQUEST_INT_STATUS", 0x2000, 0xd},
		{"GENERIC0_INT_STATUS", 0x80000000, 0x1f},
		{"GENERIC1_INT_STATUS", 0x40000000, 0x1e},
		{"WRM_POLL_TIMEOUT_INT_STATUS", 0x20000, 0x11},
		{"RESERVED_BIT_ERROR_INT_STATUS", 0x8000000, 0x1b},
		{"CP_ECC_ERROR_INT_STATUS", 0x4000, 0xe},
		{"CMP_QUERY_STATUS_INT_STATUS", 0x1000, 0xc},
		{"TIME_STAMP_INT_STATUS", 0x4000000, 0x1a},
		{"PRIV_REG_INT_STATUS", 0x800000, 0x17},
		{"GENERIC2_INT_STATUS", 0x20000000, 0x1d},
		{"OPCODE_ERROR_INT_STATUS", 0x1000000, 0x18}
	} },
	{"SQ_TIME_HI", 0x237c, {
		{"TIME", 0xffffffff, 0x0}
	} },
	{"TCP_PERFCOUNTER0_HI", 0xd341, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"VGT_DEBUG_REG32", 0x27, {
		{"event_null_special_p0_q", 0x80, 0x7},
		{"pg_edge_fifo3_full", 0x10000, 0x10},
		{"inner_fifos_rtr", 0x2000000, 0x19},
		{"last_patch_of_tg_p0_q", 0x40, 0x6},
		{"pg_inner3_point_fifo_full", 0x40000, 0x12},
		{"inner2_fifos_rtr", 0x1000000, 0x18},
		{"pg_inner2_point_fifo_full", 0x100000, 0x14},
		{"last_edge_of_outer_ring", 0x4, 0x2},
		{"tess_topology_p5_q", 0x3000, 0xc},
		{"SPARE", 0xf0000000, 0x1c},
		{"pg_outer2_point_fifo_full", 0x200000, 0x15},
		{"last_point_of_outer_edge", 0x8, 0x3},
		{"pg_outer3_point_fifo_full", 0x80000, 0x13},
		{"pg_outer_point_fifo_full", 0x800000, 0x17},
		{"pg_inner_point_fifo_full", 0x400000, 0x16},
		{"outer_fifos_rtr", 0x4000000, 0x1a},
		{"first_point_of_edge_p5_q", 0x400, 0xa},
		{"fifos_rtr", 0x8000000, 0x1b},
		{"pipe5_inner3_rtr", 0x4000, 0xe},
		{"first_point_of_patch_p5_q", 0x200, 0x9},
		{"last_patch_of_tg_p5_q", 0x800, 0xb},
		{"pipe5_inner2_rtr", 0x8000, 0xf},
		{"last_edge_of_inner_ring", 0x10, 0x4},
		{"last_ring_of_patch", 0x2, 0x1},
		{"pg_edge_fifo2_full", 0x20000, 0x11},
		{"event_flag_p5_q", 0x100, 0x8},
		{"first_ring_of_patch", 0x1, 0x0},
		{"last_point_of_inner_edge", 0x20, 0x5}
	} },
	{"VGT_DEBUG_REG33", 0x28, {
		{"pipe1_patch_rtr", 0x1000, 0xc},
		{"pipe2_rtr", 0x80, 0x7},
		{"tess_type_p0_q", 0x3000000, 0x18},
		{"tess_topology_p0_q", 0xc000000, 0x1a},
		{"ring2_in_sync_q", 0x400, 0xa},
		{"con_vert_fifo_full", 0x20000, 0x11},
		{"con_vert_fifo_empty", 0x80000, 0x13},
		{"ring1_pipe1_dr", 0x40, 0x6},
		{"pipe0_patch_dr", 0x1, 0x0},
		{"ring2_valid_p2", 0x400000, 0x16},
		{"con_ring2_busy", 0x40000000, 0x1e},
		{"pipe1_dr", 0x4, 0x2},
		{"con_ring1_busy", 0x80000000, 0x1f},
		{"con_prim_fifo_full", 0x10000, 0x10},
		{"con_prim_fifo_empty", 0x40000, 0x12},
		{"ring3_pipe1_dr", 0x2, 0x1},
		{"con_ring3_busy", 0x20000000, 0x1d},
		{"pipe3_dr", 0x100, 0x8},
		{"te11_out_vert_gs_en", 0x10000000, 0x1c},
		{"ring3_valid_p2", 0x200000, 0x15},
		{"last_patch_of_tg_p0_q", 0x100000, 0x14},
		{"pipe0_patch_rtr", 0x10, 0x4},
		{"tm_te11_event_rtr", 0x4000, 0xe},
		{"ring2_pipe1_dr", 0x20, 0x5},
		{"ring3_in_sync_q", 0x2000, 0xd},
		{"ring1_valid_p2", 0x800000, 0x17},
		{"ring1_in_sync_q", 0x800, 0xb},
		{"first_prim_of_patch_q", 0x8000, 0xf},
		{"pipe2_dr", 0x8, 0x3},
		{"pipe3_rtr", 0x200, 0x9}
	} },
	{"SX_PERFCOUNTER3_HI", 0xd247, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"VGT_DEBUG_REG31", 0x26, {
		{"pipe3_outer_rtr", 0x4000, 0xe},
		{"pipe4_inner_dr", 0x200, 0x9},
		{"pipe3_inner_rtr", 0x8000, 0xf},
		{"inner_ring_done_q", 0x80000000, 0x1f},
		{"pg_inner3_perp_fifo_empty", 0x4000000, 0x1a},
		{"pg_edge_fifo_full", 0x10000000, 0x1c},
		{"pg_con_outer_point2_rts", 0x200000, 0x15},
		{"outer_ring_done_q", 0x40000000, 0x1e},
		{"pipe4_inner_rtr", 0x20000, 0x11},
		{"pg_edge_fifo_empty", 0x2000000, 0x19},
		{"pg_patch_fifo_empty", 0x1000000, 0x18},
		{"pipe1_inner_dr", 0x8, 0x3},
		{"pipe2_inner_rtr", 0x2000, 0xd},
		{"pipe1_outer_dr", 0x4, 0x2},
		{"pg_patch_fifo_full", 0x8000000, 0x1b},
		{"pg_con_inner_point1_rts", 0x400000, 0x16},
		{"pipe3_inner_dr", 0x80, 0x7},
		{"pipe5_outer_dr", 0x400, 0xa},
		{"pipe4_outer_dr", 0x100, 0x8},
		{"pg_inner_perp_fifo_full", 0x20000000, 0x1d},
		{"pipe4_outer_rtr", 0x10000, 0x10},
		{"pipe2_outer_dr", 0x10, 0x4},
		{"pg_con_outer_point1_rts", 0x100000, 0x14},
		{"pipe5_outer_rtr", 0x40000, 0x12},
		{"pipe3_outer_dr", 0x40, 0x6},
		{"pipe2_outer_rtr", 0x1000, 0xc},
		{"pipe0_dr", 0x1, 0x0},
		{"pipe0_rtr", 0x2, 0x1},
		{"pipe2_inner_dr", 0x20, 0x5},
		{"pg_con_inner_point2_rts", 0x800000, 0x17},
		{"pipe5_inner_rtr", 0x80000, 0x13},
		{"pipe5_inner_dr", 0x800, 0xb}
	} },
	{"VGT_DEBUG_REG36", 0x2b, {
		{"VGT_PA_clipp_eop", 0xffffffff, 0x0}
	} },
	{"VGT_REUSE_OFF", 0xa2ad, {
		{"REUSE_OFF", 0x1, 0x0}
	} },
	{"VGT_DEBUG_REG34", 0x29, {
		{"pipe1_patch_rtr", 0x20000000, 0x1d},
		{"second_cycle_q", 0x10, 0x4},
		{"last_point_of_outer_ring_p1", 0x80000, 0x13},
		{"last_edge_of_outer_ring_p0_q", 0x40000, 0x12},
		{"first_ring_of_patch_p0_q", 0x10000, 0x10},
		{"parallel_parity_p0_q", 0x8000, 0xf},
		{"advance_outer_point_p1", 0x400000, 0x16},
		{"pipe0_patch_dr", 0x100, 0x8},
		{"outer_edge_tf_eq_one_p0_q", 0x200000, 0x15},
		{"pipe0_edge_dr", 0x200, 0x9},
		{"con_state_q", 0xf, 0x0},
		{"last_ring_of_patch_p0_q", 0x20000, 0x11},
		{"next_ring_is_rect_p0_q", 0x1000000, 0x18},
		{"pipe1_inner2_rtr", 0x10000000, 0x1c},
		{"pipe1_edge_rtr", 0x40000000, 0x1e},
		{"pipe1_dr", 0x400, 0xa},
		{"pipe1_rtr", 0x2000, 0xd},
		{"process_tri_middle_p0_q", 0x20, 0x5},
		{"process_tri_1st_2nd_half_p0_q", 0x40, 0x6},
		{"pipe1_outer2_rtr", 0x4000000, 0x1a},
		{"advance_inner_point_p1", 0x800000, 0x17},
		{"pipe0_patch_rtr", 0x800, 0xb},
		{"process_tri_center_poly_p0_q", 0x80, 0x7},
		{"last_point_of_inner_ring_p1", 0x100000, 0x14},
		{"pipe1_outer1_rtr", 0x2000000, 0x19},
		{"pipe1_inner1_rtr", 0x8000000, 0x1b},
		{"outer_parity_p0_q", 0x4000, 0xe},
		{"use_stored_inner_q_ring1", 0x80000000, 0x1f},
		{"pipe0_edge_rtr", 0x1000, 0xc}
	} },
	{"DB_READ_DEBUG_9", 0x2629, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_8", 0x2628, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"CB_COLOR5_DCC_BASE", 0xa370, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_3", 0x2623, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_2", 0x2622, {
		{"BUSY_DATA2", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_1", 0x2621, {
		{"BUSY_DATA1", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_0", 0x2620, {
		{"BUSY_DATA0", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_7", 0x2627, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_6", 0x2626, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_5", 0x2625, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"DB_READ_DEBUG_4", 0x2624, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"SPI_GDBG_TMA_HI", 0x31d7, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"CPG_PERFCOUNTER0_LO", 0xd002, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_TRAPSTS", 0x13, {
		{"DP_RATE", 0xe0000000, 0x1d},
		{"EXCP_CYCLE", 0x3f0000, 0x10},
		{"SAVECTX", 0x400, 0xa},
		{"EXCP", 0x1ff, 0x0}
	} },
	{"IA_PERFCOUNTER1_HI", 0xd08b, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_RINGID", 0xa0d9, {
		{"RINGID", 0x3, 0x0}
	} },
	{"SQ_WREXEC_EXEC_HI", 0x23b1, {
		{"MTYPE", 0x70000000, 0x1c},
		{"ADDR_HI", 0xffff, 0x0},
		{"FIRST_WAVE", 0x4000000, 0x1a},
		{"ATC", 0x8000000, 0x1b},
		{"MSB", 0x80000000, 0x1f}
	} },
	{"SPI_SHADER_PGM_RSRC3_VS", 0x2c46, {
		{"WAVE_LIMIT", 0x3f0000, 0x10},
		{"LOCK_LOW_THRESHOLD", 0x3c00000, 0x16},
		{"CU_EN", 0xffff, 0x0}
	} },
	{"SPI_CSQ_WF_ACTIVE_COUNT_1", 0x24dd, {
		{"COUNT", 0x7ff, 0x0}
	} },
	{"SPI_CSQ_WF_ACTIVE_COUNT_0", 0x24dc, {
		{"COUNT", 0x7ff, 0x0}
	} },
	{"SPI_CSQ_WF_ACTIVE_COUNT_3", 0x24df, {
		{"COUNT", 0x7ff, 0x0}
	} },
	{"SPI_CSQ_WF_ACTIVE_COUNT_2", 0x24de, {
		{"COUNT", 0x7ff, 0x0}
	} },
	{"COMPUTE_NUM_THREAD_X", 0x2e07, {
		{"NUM_THREAD_PARTIAL", 0xffff0000, 0x10},
		{"NUM_THREAD_FULL", 0xffff, 0x0}
	} },
	{"COMPUTE_NUM_THREAD_Y", 0x2e08, {
		{"NUM_THREAD_PARTIAL", 0xffff0000, 0x10},
		{"NUM_THREAD_FULL", 0xffff, 0x0}
	} },
	{"COMPUTE_NUM_THREAD_Z", 0x2e09, {
		{"NUM_THREAD_PARTIAL", 0xffff0000, 0x10},
		{"NUM_THREAD_FULL", 0xffff, 0x0}
	} },
	{"SPI_CSQ_WF_ACTIVE_COUNT_6", 0x24e2, {
		{"COUNT", 0x7ff, 0x0}
	} },
	{"TD_PERFCOUNTER1_HI", 0xd303, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"TD_DEBUG_INDEX", 0x2528, {
		{"INDEX", 0x1f, 0x0}
	} },
	{"CP_STQ_THRESHOLDS", 0x21d7, {
		{"STQ0_START", 0xff, 0x0},
		{"STQ1_START", 0xff00, 0x8},
		{"STQ2_START", 0xff0000, 0x10}
	} },
	{"RLC_GPU_CLOCK_32", 0xec42, {
		{"GPU_CLOCK_32", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER6_LO", 0xd1cc, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_DEVICE_ID", 0x304b, {
		{"DEVICE_ID", 0xff, 0x0}
	} },
	{"CB_COLOR3_CLEAR_WORD0", 0xa350, {
		{"CLEAR_WORD0", 0xffffffff, 0x0}
	} },
	{"CB_COLOR3_CLEAR_WORD1", 0xa351, {
		{"CLEAR_WORD1", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_12_TL", 0xa0ac, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"SPI_GDBG_TBA_HI", 0x31d5, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"GDS_CS_CTXSW_CNT2", 0x3350, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"CLIPPER_DEBUG_REG11", 0xb, {
		{"clipsm3_clip_to_clipga_prim_valid", 0x1000000, 0x18},
		{"clipsm0_clip_to_clipga_prim_valid", 0x8000000, 0x1b},
		{"clipsm3_clip_to_clipga_clip_to_outsm_cnt", 0xf00, 0x8},
		{"clipsm1_clip_to_clipga_clip_primitive", 0x40, 0x6},
		{"clipsm2_clip_to_clipga_clip_to_outsm_cnt", 0xf000, 0xc},
		{"clipsm0_clip_to_clipga_clip_primitive", 0x80, 0x7},
		{"clipsm3_clip_to_clipga_clip_primitive", 0x10, 0x4},
		{"clipsm1_clip_to_clipga_event", 0x4, 0x2},
		{"clipsm2_clip_to_clipga_event", 0x2, 0x1},
		{"clipsm0_inc_clip_to_clipga_clip_to_outsm_cnt", 0x80000000, 0x1f},
		{"clipsm1_clip_to_clipga_clip_to_outsm_cnt", 0xf0000, 0x10},
		{"clipsm3_inc_clip_to_clipga_clip_to_outsm_cnt", 0x10000000, 0x1c},
		{"clipsm2_clip_to_clipga_prim_valid", 0x2000000, 0x19},
		{"clipsm1_inc_clip_to_clipga_clip_to_outsm_cnt", 0x40000000, 0x1e},
		{"clipsm3_clip_to_clipga_event", 0x1, 0x0},
		{"clipsm0_clip_to_clipga_event", 0x8, 0x3},
		{"clipsm0_clip_to_clipga_clip_to_outsm_cnt", 0xf00000, 0x14},
		{"clipsm2_clip_to_clipga_clip_primitive", 0x20, 0x5},
		{"clipsm1_clip_to_clipga_prim_valid", 0x4000000, 0x1a},
		{"clipsm2_inc_clip_to_clipga_clip_to_outsm_cnt", 0x20000000, 0x1d}
	} },
	{"CLIPPER_DEBUG_REG12", 0xc, {
		{"clip_priority_available_clip_verts", 0x3e000, 0xd},
		{"clipsm1_clprim_to_clip_clip_primitive", 0x10000000, 0x1c},
		{"clip_priority_seq_indx_out", 0xc0000, 0x12},
		{"clipsm1_clprim_to_clip_prim_valid", 0x20000000, 0x1d},
		{"clipsm3_clprim_to_clip_clip_primitive", 0x1000000, 0x18},
		{"ALWAYS_ZERO", 0xff, 0x0},
		{"clipsm2_clprim_to_clip_clip_primitive", 0x4000000, 0x1a},
		{"clipsm2_clprim_to_clip_prim_valid", 0x8000000, 0x1b},
		{"clipsm0_clprim_to_clip_clip_primitive", 0x40000000, 0x1e},
		{"clip_priority_available_vte_out_clip", 0x1f00, 0x8},
		{"clipsm3_clprim_to_clip_prim_valid", 0x2000000, 0x19},
		{"clip_priority_seq_indx_vert", 0x300000, 0x14},
		{"clipsm0_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"clip_priority_seq_indx_load", 0xc00000, 0x16}
	} },
	{"CLIPPER_DEBUG_REG13", 0xd, {
		{"prim_nan_kill", 0x10, 0x4},
		{"clprim_clip_primitive", 0x20, 0x5},
		{"vte_out_orig_fifo_fifo_empty", 0x4000, 0xe},
		{"prim_back_valid", 0x80, 0x7},
		{"outsm_clr_fifo_advanceread", 0x40000000, 0x1e},
		{"clipcode_fifo_fifo_empty", 0x8000, 0xf},
		{"point_clip_candidate", 0x8, 0x3},
		{"vertval_bits_vertex_cc_next_valid", 0xf00, 0x8},
		{"outsm_clr_fifo_full", 0x20000000, 0x1d},
		{"clipcc_vertex_store_indx", 0x3000, 0xc},
		{"clip_priority_seq_indx_out_cnt", 0x1e0000, 0x11},
		{"ccgen_to_clipcc_fifo_empty", 0x10000, 0x10},
		{"outsm_clr_rd_orig_vertices", 0x600000, 0x15},
		{"clprim_cull_primitive", 0x40, 0x6},
		{"clprim_in_back_state_var_indx", 0x7, 0x0},
		{"outsm_clr_fifo_write", 0x80000000, 0x1f},
		{"outsm_clr_rd_clipsm_wait", 0x800000, 0x17},
		{"outsm_clr_fifo_contents", 0x1f000000, 0x18}
	} },
	{"PA_SC_VPORT_SCISSOR_13_TL", 0xa0ae, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"DB_OCCLUSION_COUNT0_LOW", 0xc3c0, {
		{"COUNT_LOW", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_1_X", 0xa173, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CP_RB_DOORBELL_RANGE_LOWER", 0x305a, {
		{"DOORBELL_RANGE_LOWER", 0x7ffffc, 0x2}
	} },
	{"SQ_THREAD_TRACE_WORD_REG_2_OF_2", 0x23b0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"GRBM_SCRATCH_REG0", 0x2040, {
		{"SCRATCH_REG0", 0xffffffff, 0x0}
	} },
	{"PA_SC_CLIPRECT_3_TL", 0xa08a, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0}
	} },
	{"PA_CL_UCP_1_Z", 0xa175, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CB_COLOR7_SLICE", 0xa383, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"CLIPPER_DEBUG_REG17", 0x11, {
		{"sm1_outputcliptoclipga_0", 0x40000000, 0x1e},
		{"sm1_prim_end_state", 0x7f, 0x0},
		{"sm1_vertex_clip_cnt", 0x3e000, 0xd},
		{"sm1_highest_priority_seq", 0x20000000, 0x1d},
		{"sm1_clip_vert_cnt", 0x1f00, 0x8},
		{"sm1_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"sm1_clip_to_clipga_clip_to_outsm_cnt_eq0", 0x8000000, 0x1b},
		{"sm1_clip_to_outsm_fifo_full", 0x10000000, 0x1c},
		{"sm1_current_state", 0x7f00000, 0x14},
		{"sm1_ps_expand", 0x80, 0x7},
		{"sm1_inv_to_clip_data_valid_1", 0x40000, 0x12},
		{"sm1_inv_to_clip_data_valid_0", 0x80000, 0x13}
	} },
	{"SQ_PERFCOUNTER9_SELECT", 0xd9c9, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"GDS_PROTECTION_FAULT", 0x25c3, {
		{"SH_ID", 0x38, 0x3},
		{"GRBM", 0x4, 0x2},
		{"SIMD_ID", 0xc00, 0xa},
		{"FAULT_DETECTED", 0x2, 0x1},
		{"WRITE_DIS", 0x1, 0x0},
		{"ADDRESS", 0xffff0000, 0x10},
		{"CU_ID", 0x3c0, 0x6},
		{"WAVE_ID", 0xf000, 0xc}
	} },
	{"GB_TILE_MODE15", 0x2653, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE14", 0x2652, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE17", 0x2655, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE16", 0x2654, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE11", 0x264f, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE10", 0x264e, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE13", 0x2651, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE12", 0x2650, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE19", 0x2657, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE18", 0x2656, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"CP_STREAM_OUT_CONTROL", 0xc03e, {
		{"MTYPE", 0x18000000, 0x1b},
		{"CACHE_CONTROL", 0x2000000, 0x19}
	} },
	{"CP_ECC_FIRSTOCCURRENCE_RING0", 0x307b, {
		{"OBSOLETE", 0xffffffff, 0x0}
	} },
	{"CP_ECC_FIRSTOCCURRENCE_RING1", 0x307c, {
		{"OBSOLETE", 0xffffffff, 0x0}
	} },
	{"CP_ECC_FIRSTOCCURRENCE_RING2", 0x307d, {
		{"OBSOLETE", 0xffffffff, 0x0}
	} },
	{"CP_RING1_PRIORITY", 0x304e, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"VGT_STRMOUT_BUFFER_OFFSET_1", 0xa2bb, {
		{"OFFSET", 0xffffffff, 0x0}
	} },
	{"CGTS_CU2_TD_TCP_CTRL_REG", 0xf016, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"TD_PERFCOUNTER0_SELECT1", 0xdb01, {
		{"PERF_MODE2", 0xf0000000, 0x1c},
		{"PERF_MODE3", 0xf000000, 0x18},
		{"PERF_SEL3", 0x3fc00, 0xa},
		{"PERF_SEL2", 0xff, 0x0}
	} },
	{"CP_ME1_PIPE0_INT_STATUS", 0x308d, {
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"DEQUEUE_REQUEST_INT_STATUS", 0x2000, 0xd},
		{"GENERIC0_INT_STATUS", 0x80000000, 0x1f},
		{"GENERIC1_INT_STATUS", 0x40000000, 0x1e},
		{"WRM_POLL_TIMEOUT_INT_STATUS", 0x20000, 0x11},
		{"RESERVED_BIT_ERROR_INT_STATUS", 0x8000000, 0x1b},
		{"CP_ECC_ERROR_INT_STATUS", 0x4000, 0xe},
		{"CMP_QUERY_STATUS_INT_STATUS", 0x1000, 0xc},
		{"TIME_STAMP_INT_STATUS", 0x4000000, 0x1a},
		{"PRIV_REG_INT_STATUS", 0x800000, 0x17},
		{"GENERIC2_INT_STATUS", 0x20000000, 0x1d},
		{"OPCODE_ERROR_INT_STATUS", 0x1000000, 0x18}
	} },
	{"PA_SC_LINE_STIPPLE", 0xa283, {
		{"AUTO_RESET_CNTL", 0x60000000, 0x1d},
		{"LINE_PATTERN", 0xffff, 0x0},
		{"PATTERN_BIT_ORDER", 0x10000000, 0x1c},
		{"REPEAT_COUNT", 0xff0000, 0x10}
	} },
	{"GRBM_INT_CNTL", 0x2018, {
		{"RDERR_INT_ENABLE", 0x1, 0x0},
		{"GUI_IDLE_INT_ENABLE", 0x80000, 0x13}
	} },
	{"SQ_PERFCOUNTER13_LO", 0xd1da, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CGTT_IA_CLK_CTRL", 0xf085, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"PERF_ENABLE", 0x2000000, 0x19},
		{"CORE_OVERRIDE", 0x40000000, 0x1e},
		{"DBG_ENABLE", 0x4000000, 0x1a},
		{"REG_OVERRIDE", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CP_RB_RPTR_ADDR", 0x3043, {
		{"RB_RPTR_ADDR", 0xfffffffc, 0x2},
		{"RB_RPTR_SWAP", 0x3, 0x0}
	} },
	{"CP_ME0_PIPE0_VMID", 0x3052, {
		{"VMID", 0xf, 0x0}
	} },
	{"WD_PERFCOUNTER1_HI", 0xd083, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"GRBM_PERFCOUNTER1_LO", 0xd043, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_DEBUG_BUSY", 0x2450, {
		{"CS7_BUSY", 0x8000, 0xf},
		{"CS6_BUSY", 0x4000, 0xe},
		{"VS_BUSY", 0x10, 0x4},
		{"PC_DEALLOC_BUSY", 0x100000, 0x14},
		{"EVENT_CLCTR_BUSY", 0x200000, 0x15},
		{"RSRC_ALLOC0_BUSY", 0x40000, 0x12},
		{"CSG_BUSY", 0x80, 0x7},
		{"PS1_BUSY", 0x40, 0x6},
		{"GS_BUSY", 0x8, 0x3},
		{"ES_BUSY", 0x4, 0x2},
		{"HS_BUSY", 0x2, 0x1},
		{"CS4_BUSY", 0x1000, 0xc},
		{"GRBM_BUSY", 0x400000, 0x16},
		{"CS0_BUSY", 0x100, 0x8},
		{"CS2_BUSY", 0x400, 0xa},
		{"RSRC_ALLOC1_BUSY", 0x80000, 0x13},
		{"PS0_BUSY", 0x20, 0x5},
		{"CS5_BUSY", 0x2000, 0xd},
		{"LDS_WR_CTL1_BUSY", 0x20000, 0x11},
		{"SPIS_BUSY", 0x800000, 0x17},
		{"LDS_WR_CTL0_BUSY", 0x10000, 0x10},
		{"LS_BUSY", 0x1, 0x0},
		{"CS3_BUSY", 0x800, 0xb},
		{"CS1_BUSY", 0x200, 0x9}
	} },
	{"CP_RB_OFFSET", 0xc091, {
		{"RB_OFFSET", 0xfffff, 0x0}
	} },
	{"PA_SC_CLIPRECT_3_BR", 0xa08b, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CP_MEC_ME1_UCODE_DATA", 0xf81b, {
		{"UCODE_DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_TBA_LO_ES", 0x2cc0, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"CP_APPEND_ADDR_LO", 0xc058, {
		{"MEM_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"PA_SC_VPORT_SCISSOR_13_BR", 0xa0af, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"TCP_GATCL1_CNTL", 0x32b0, {
		{"REDUCE_CACHE_SIZE_BY_2", 0xc0000000, 0x1e},
		{"INVALIDATE_ALL_VMID", 0x2000000, 0x19},
		{"FORCE_IN_ORDER", 0x8000000, 0x1b},
		{"REDUCE_FIFO_DEPTH_BY_2", 0x30000000, 0x1c},
		{"FORCE_MISS", 0x4000000, 0x1a}
	} },
	{"CP_HQD_EOP_CONTROL", 0x326c, {
		{"EOP_SIZE", 0x3f, 0x0},
		{"CACHE_POLICY", 0x1000000, 0x18},
		{"PROCESSING_EOP", 0x100, 0x8},
		{"PEND_SIG_SEM", 0x80000000, 0x1f},
		{"MTYPE", 0x18000, 0xf},
		{"EOP_ATC", 0x800000, 0x17},
		{"PROCESS_EOPIB_EN", 0x4000, 0xe},
		{"PROCESS_EOP_EN", 0x1000, 0xc},
		{"PROCESSING_EOPIB", 0x2000, 0xd},
		{"SIG_SEM_RESULT", 0x60000000, 0x1d}
	} },
	{"CP_SIG_SEM_ADDR_LO", 0xc070, {
		{"SEM_ADDR_LO", 0xfffffff8, 0x3},
		{"SEM_ADDR_SWAP", 0x3, 0x0}
	} },
	{"CP_BUSY_STAT", 0x219f, {
		{"EOP_DONE_BUSY", 0x40000, 0x12},
		{"ME_PARSER_BUSY", 0x20000, 0x11},
		{"SEM_FAILED_AND_HOLDING", 0x2000, 0xd},
		{"SEM_POLLING_FOR_PASS", 0x4000, 0xe},
		{"RCIU_PFP_BUSY", 0x200, 0x9},
		{"PFP_PARSING_PACKETS", 0x80, 0x7},
		{"REG_BUS_FIFO_BUSY", 0x1, 0x0},
		{"STRM_OUT_BUSY", 0x80000, 0x13},
		{"CE_PARSING_PACKETS", 0x400000, 0x16},
		{"GFX_CONTEXT_BUSY", 0x8000, 0xf},
		{"RCIU_ME_BUSY", 0x400, 0xa},
		{"ME_PARSING_PACKETS", 0x100, 0x8},
		{"PIPE_STATS_BUSY", 0x100000, 0x14},
		{"COHER_CNT_NEQ_ZERO", 0x40, 0x6},
		{"RCIU_CE_BUSY", 0x200000, 0x15},
		{"SEM_CMDFIFO_NOT_EMPTY", 0x1000, 0xc}
	} },
	{"CPC_PERFCOUNTER0_SELECT1", 0xd804, {
		{"PERF_SEL3", 0xfc00, 0xa},
		{"PERF_SEL2", 0x3f, 0x0}
	} },
	{"CP_VGT_DSINVOC_COUNT_LO", 0xc026, {
		{"DSINVOC_COUNT_LO", 0xffffffff, 0x0}
	} },
	{"VGT_STRMOUT_BUFFER_FILLED_SIZE_1", 0xc245, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_WAVE", 0x23b0, {
		{"SH_ID", 0x20, 0x5},
		{"TOKEN_TYPE", 0xf, 0x0},
		{"SIMD_ID", 0xc000, 0xe},
		{"TIME_DELTA", 0x10, 0x4},
		{"CU_ID", 0x3c0, 0x6},
		{"WAVE_ID", 0x3c00, 0xa}
	} },
	{"VGT_STRMOUT_BUFFER_FILLED_SIZE_0", 0xc244, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"CGTT_SX_CLK_CTRL0", 0xf094, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"RESERVED", 0xfff000, 0xc},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CGTT_SX_CLK_CTRL1", 0xf095, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"RESERVED", 0xfff000, 0xc},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"DBG_EN", 0x1000000, 0x18},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CGTT_SX_CLK_CTRL2", 0xf096, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"RESERVED", 0xfff000, 0xc},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"DBG_EN", 0x1000000, 0x18},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CGTT_SX_CLK_CTRL3", 0xf097, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"RESERVED", 0xfff000, 0xc},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"DBG_EN", 0x1000000, 0x18},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"RLC_SPM_GDS_PERFMON_SAMPLE_DELAY", 0xdc8d, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"VGT_STRMOUT_BUFFER_FILLED_SIZE_3", 0xc247, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"CP_HQD_WG_STATE_OFFSET", 0x3275, {
		{"OFFSET", 0x1fffffc, 0x2}
	} },
	{"GDS_ENHANCE2", 0x25c2, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MISC", 0xffff, 0x0}
	} },
	{"VGT_STRMOUT_BUFFER_FILLED_SIZE_2", 0xc246, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_13", 0x2c19, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SC_CLIPRECT_2_TL", 0xa088, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0}
	} },
	{"CP_ROQ2_THRESHOLDS", 0x21d6, {
		{"R2_IB2_START", 0xff000000, 0x18},
		{"R1_IB2_START", 0xff0000, 0x10},
		{"R2_IB1_START", 0xff, 0x0},
		{"R0_IB2_START", 0xff00, 0x8}
	} },
	{"CP_VGT_IAPRIM_COUNT_LO", 0xc01c, {
		{"IAPRIM_COUNT_LO", 0xffffffff, 0x0}
	} },
	{"GDS_PERFCOUNTER0_HI", 0xd281, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_PERFMON_SEGMENT_SIZE", 0xdc84, {
		{"GLOBAL_NUM_LINE", 0xf800, 0xb},
		{"RESERVED", 0x80000000, 0x1f},
		{"SE1_NUM_LINE", 0x3e00000, 0x15},
		{"SE2_NUM_LINE", 0x7c000000, 0x1a},
		{"PERFMON_SEGMENT_SIZE", 0xff, 0x0},
		{"SE0_NUM_LINE", 0x1f0000, 0x10},
		{"RESERVED1", 0x700, 0x8}
	} },
	{"CP_ME_MC_WADDR_LO", 0xc069, {
		{"ME_MC_WADDR_LO", 0xfffffffc, 0x2},
		{"ME_MC_WADDR_SWAP", 0x3, 0x0}
	} },
	{"CP_HPD_ROQ_OFFSETS", 0x3240, {
		{"IQ_OFFSET", 0x7, 0x0},
		{"IB_OFFSET", 0x3f0000, 0x10},
		{"PQ_OFFSET", 0x3f00, 0x8}
	} },
	{"SPI_SHADER_USER_DATA_ES_5", 0x2cd1, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_START_PHASE", 0x243b, {
		{"SGPR_START_PHASE", 0xc, 0x2},
		{"VGPR_START_PHASE", 0x3, 0x0},
		{"WAVE_START_PHASE", 0x30, 0x4}
	} },
	{"SX_DEBUG_1", 0x2418, {
		{"SX_DB_QUAD_CREDIT", 0x7f, 0x0},
		{"DISABLE_BLEND_OPT_DONT_RD_DST", 0x100, 0x8},
		{"DEBUG_DATA", 0xffffe000, 0xd},
		{"DISABLE_BLEND_OPT_DISCARD_PIXEL", 0x400, 0xa},
		{"DISABLE_PIX_EN_ZERO_OPT", 0x1000, 0xc},
		{"DISABLE_BLEND_OPT_BYPASS", 0x200, 0x9},
		{"DISABLE_QUAD_PAIR_OPT", 0x800, 0xb}
	} },
	{"VGT_CNTL_STATUS", 0x223c, {
		{"VGT_PI_BUSY", 0x40, 0x6},
		{"VGT_VR_BUSY", 0x20, 0x5},
		{"VGT_TE11_BUSY", 0x200, 0x9},
		{"VGT_HS_BUSY", 0x100, 0x8},
		{"VGT_BUSY", 0x1, 0x0},
		{"VGT_PT_BUSY", 0x8, 0x3},
		{"VGT_OUT_BUSY", 0x4, 0x2},
		{"VGT_TE_BUSY", 0x10, 0x4},
		{"VGT_GS_BUSY", 0x80, 0x7},
		{"VGT_OUT_INDX_BUSY", 0x2, 0x1}
	} },
	{"RLC_MC_CNTL", 0xec03, {
		{"RDREQ_PRIV", 0x8000000, 0x1b},
		{"RDREQ_SWAP", 0x3000000, 0x18},
		{"RDREQ_TRAN", 0x4000000, 0x1a},
		{"RESERVED", 0xe0000000, 0x1d},
		{"RDNFO_STALL", 0x10000000, 0x1c},
		{"WRNFO_URG", 0x1e0, 0x5},
		{"WRREQ_TRAN", 0x4, 0x2},
		{"WRREQ_PRIV", 0x8, 0x3},
		{"WRNFO_STALL", 0x10, 0x4},
		{"RDNFO_URG", 0xf00000, 0x14},
		{"RESERVED_B", 0xfe000, 0xd},
		{"WRREQ_DW_IMASK", 0x1e00, 0x9},
		{"WRREQ_SWAP", 0x3, 0x0}
	} },
	{"SPI_RESOURCE_RESERVE_CU_8", 0x31e4, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SQ_THREAD_TRACE_WORD_INST_USERDATA_2_OF_2", 0x23b1, {
		{"DATA_HI", 0xffff, 0x0}
	} },
	{"PA_CL_UCP_5_Z", 0xa185, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CP_VGT_DSINVOC_COUNT_HI", 0xc027, {
		{"DSINVOC_COUNT_HI", 0xffffffff, 0x0}
	} },
	{"TA_BC_BASE_ADDR", 0xa020, {
		{"ADDRESS", 0xffffffff, 0x0}
	} },
	{"VGT_GS_PER_VS", 0xa297, {
		{"GS_PER_VS", 0xf, 0x0}
	} },
	{"TCA_PERFCOUNTER1_HI", 0xd393, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"COMPUTE_PGM_LO", 0x2e0c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_TD_PERFMON_SAMPLE_DELAY", 0xdc95, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"CGTS_CU4_TA_SQC_CTRL_REG", 0xf01e, {
		{"SQC_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SQC_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"SQC", 0x7f0000, 0x10},
		{"SQC_OVERRIDE", 0x800000, 0x17},
		{"SQC_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"CGTS_CU4_SP1_CTRL_REG", 0xf01f, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"COMPUTE_DISPATCH_ID", 0x2e20, {
		{"DISPATCH_ID", 0xffffffff, 0x0}
	} },
	{"CGTS_CU4_SP0_CTRL_REG", 0xf01c, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"CP_CE_UCODE_ADDR", 0xf818, {
		{"UCODE_ADDR", 0xfff, 0x0}
	} },
	{"CGTT_CPF_CLK_CTRL", 0xf0b1, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE_PERFMON", 0x20000000, 0x1d},
		{"SOFT_OVERRIDE_REG", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE_DYN", 0x40000000, 0x1e},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_INST", 0x23b0, {
		{"TOKEN_TYPE", 0xf, 0x0},
		{"INST_TYPE", 0xf800, 0xb},
		{"WAVE_ID", 0x1e0, 0x5},
		{"SIMD_ID", 0x600, 0x9},
		{"TIME_DELTA", 0x10, 0x4}
	} },
	{"CGTS_CU3_LDS_SQ_CTRL_REG", 0xf018, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"PA_SU_PERFCOUNTER0_LO", 0xd100, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CGTS_CU0_SP0_CTRL_REG", 0xf008, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"CP_ME2_PIPE0_INT_STATUS", 0x3091, {
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"DEQUEUE_REQUEST_INT_STATUS", 0x2000, 0xd},
		{"GENERIC0_INT_STATUS", 0x80000000, 0x1f},
		{"GENERIC1_INT_STATUS", 0x40000000, 0x1e},
		{"WRM_POLL_TIMEOUT_INT_STATUS", 0x20000, 0x11},
		{"RESERVED_BIT_ERROR_INT_STATUS", 0x8000000, 0x1b},
		{"CP_ECC_ERROR_INT_STATUS", 0x4000, 0xe},
		{"CMP_QUERY_STATUS_INT_STATUS", 0x1000, 0xc},
		{"TIME_STAMP_INT_STATUS", 0x4000000, 0x1a},
		{"PRIV_REG_INT_STATUS", 0x800000, 0x17},
		{"GENERIC2_INT_STATUS", 0x20000000, 0x1d},
		{"OPCODE_ERROR_INT_STATUS", 0x1000000, 0x18}
	} },
	{"RLC_SERDES_WR_CTRL", 0xec5f, {
		{"REG_ADDR", 0xf0000000, 0x1c},
		{"RDDATA_RESET", 0x4000, 0xe},
		{"POWER_DOWN", 0x100, 0x8},
		{"READ_COMMAND", 0x2000, 0xd},
		{"P1_SELECT", 0x400, 0xa},
		{"SRBM_OVERRIDE", 0x4000000, 0x1a},
		{"BPM_ADDR", 0xff, 0x0},
		{"P2_SELECT", 0x800, 0xb},
		{"RSVD_BPM_ADDR", 0x8000000, 0x1b},
		{"BPM_DATA", 0x3ff0000, 0x10},
		{"SHORT_FORMAT", 0x8000, 0xf},
		{"POWER_UP", 0x200, 0x9},
		{"WRITE_COMMAND", 0x1000, 0xc}
	} },
	{"SX_BLEND_OPT_CONTROL", 0xa1d7, {
		{"MRT4_ALPHA_OPT_DISABLE", 0x20000, 0x11},
		{"MRT3_ALPHA_OPT_DISABLE", 0x2000, 0xd},
		{"MRT1_ALPHA_OPT_DISABLE", 0x20, 0x5},
		{"MRT1_COLOR_OPT_DISABLE", 0x10, 0x4},
		{"MRT7_ALPHA_OPT_DISABLE", 0x20000000, 0x1d},
		{"PIXEN_ZERO_OPT_DISABLE", 0x80000000, 0x1f},
		{"MRT3_COLOR_OPT_DISABLE", 0x1000, 0xc},
		{"MRT0_COLOR_OPT_DISABLE", 0x1, 0x0},
		{"MRT6_COLOR_OPT_DISABLE", 0x1000000, 0x18},
		{"MRT6_ALPHA_OPT_DISABLE", 0x2000000, 0x19},
		{"MRT4_COLOR_OPT_DISABLE", 0x10000, 0x10},
		{"MRT5_ALPHA_OPT_DISABLE", 0x200000, 0x15},
		{"MRT5_COLOR_OPT_DISABLE", 0x100000, 0x14},
		{"MRT2_COLOR_OPT_DISABLE", 0x100, 0x8},
		{"MRT2_ALPHA_OPT_DISABLE", 0x200, 0x9},
		{"MRT0_ALPHA_OPT_DISABLE", 0x2, 0x1},
		{"MRT7_COLOR_OPT_DISABLE", 0x10000000, 0x1c}
	} },
	{"CP_ST_BASE_LO", 0xc0d2, {
		{"ST_BASE_LO", 0xfffffffc, 0x2}
	} },
	{"CP_IB2_BUFSZ", 0xc0d1, {
		{"IB2_BUFSZ", 0xfffff, 0x0}
	} },
	{"CC_RB_DAISY_CHAIN", 0x2641, {
		{"RB_5", 0xf00000, 0x14},
		{"RB_4", 0xf0000, 0x10},
		{"RB_7", 0xf0000000, 0x1c},
		{"RB_6", 0xf000000, 0x18},
		{"RB_1", 0xf0, 0x4},
		{"RB_0", 0xf, 0x0},
		{"RB_3", 0xf000, 0xc},
		{"RB_2", 0xf00, 0x8}
	} },
	{"CB_COLOR2_FMASK_SLICE", 0xa340, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"GDS_ATOM_COMPLETE", 0xc40b, {
		{"UNUSED", 0xfffffffe, 0x1},
		{"COMPLETE", 0x1, 0x0}
	} },
	{"CB_COLOR1_PITCH", 0xa328, {
		{"FMASK_TILE_MAX", 0x7ff00000, 0x14},
		{"TILE_MAX", 0x7ff, 0x0}
	} },
	{"RLC_RLCV_SAFE_MODE", 0xec08, {
		{"RESERVED", 0xfffff000, 0xc},
		{"MESSAGE", 0x1e, 0x1},
		{"CMD", 0x1, 0x0},
		{"RESERVED1", 0xe0, 0x5},
		{"RESPONSE", 0xf00, 0x8}
	} },
	{"CP_ME_MC_WDATA_LO", 0xc06b, {
		{"ME_MC_WDATA_LO", 0xffffffff, 0x0}
	} },
	{"VGT_DEBUG_REG22", 0x16, {
		{"cm_state22", 0x3000, 0xc},
		{"cm_state23", 0xc000, 0xe},
		{"cm_state20", 0x300, 0x8},
		{"cm_state21", 0xc00, 0xa},
		{"cm_state26", 0x300000, 0x14},
		{"cm_state27", 0xc00000, 0x16},
		{"cm_state24", 0x30000, 0x10},
		{"cm_state25", 0xc0000, 0x12},
		{"cm_state28", 0x3000000, 0x18},
		{"cm_state29", 0xc000000, 0x1a},
		{"cm_state19", 0xc0, 0x6},
		{"cm_state18", 0x30, 0x4},
		{"cm_state31", 0xc0000000, 0x1e},
		{"cm_state30", 0x30000000, 0x1c},
		{"cm_state17", 0xc, 0x2},
		{"cm_state16", 0x3, 0x0}
	} },
	{"DIDT_DB_CTRL1", 0x21, {
		{"MAX_POWER", 0xffff0000, 0x10},
		{"MIN_POWER", 0xffff, 0x0}
	} },
	{"GRBM_SE3_PERFCOUNTER_LO", 0xd04b, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC3_PS", 0x2c07, {
		{"WAVE_LIMIT", 0x3f0000, 0x10},
		{"LOCK_LOW_THRESHOLD", 0x3c00000, 0x16},
		{"CU_EN", 0xffff, 0x0}
	} },
	{"RAS_CB_SIGNATURE0", 0x339d, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"DIDT_IND_DATA", 0x3281, {
		{"DIDT_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_LIMIT_8", 0x24b3, {
		{"MAX_CNT", 0x7fffffff, 0x0},
		{"EN_WARN", 0x80000000, 0x1f}
	} },
	{"SPI_WF_LIFETIME_LIMIT_9", 0x24b4, {
		{"MAX_CNT", 0x7fffffff, 0x0},
		{"EN_WARN", 0x80000000, 0x1f}
	} },
	{"CB_DEBUG_BUS_22", 0x26ae, {
		{"OUTSTANDING_MC_READS", 0xfff, 0x0},
		{"OUTSTANDING_MC_WRITES", 0xfff000, 0xc}
	} },
	{"SPI_WF_LIFETIME_LIMIT_7", 0x24b2, {
		{"MAX_CNT", 0x7fffffff, 0x0},
		{"EN_WARN", 0x80000000, 0x1f}
	} },
	{"CB_DEBUG_BUS_20", 0x26ac, {
		{"MC_RDREQ_CREDITS", 0x3f, 0x0},
		{"DCC_WRREQ_FIFO_EMPTY", 0x800000, 0x17},
		{"FC_WRREQ_FIFO_EMPTY", 0x200000, 0x15},
		{"CC_WRREQ_HAD_ITS_TURN", 0x10000, 0x10},
		{"CC_RDREQ_HAD_ITS_TURN", 0x1000, 0xc},
		{"CM_WRREQ_FIFO_EMPTY", 0x400000, 0x16},
		{"CM_RDREQ_HAD_ITS_TURN", 0x4000, 0xe},
		{"CM_WRREQ_HAD_ITS_TURN", 0x40000, 0x12},
		{"CC_WRREQ_FIFO_EMPTY", 0x100000, 0x14},
		{"FC_WRREQ_HAD_ITS_TURN", 0x20000, 0x11},
		{"FC_RDREQ_HAD_ITS_TURN", 0x2000, 0xd},
		{"MC_WRREQ_CREDITS", 0xfc0, 0x6}
	} },
	{"CB_DEBUG_BUS_21", 0x26ad, {
		{"CM_BUSY", 0x1, 0x0},
		{"MA_BUSY", 0x10, 0x4},
		{"FC_BUSY", 0x2, 0x1},
		{"CC_BUSY", 0x4, 0x2},
		{"REG_SCLK0_VLD", 0x80, 0x7},
		{"BB_BUSY", 0x8, 0x3},
		{"REG_SCLK1_VLD", 0x40, 0x6},
		{"CORE_SCLK_VLD", 0x20, 0x5}
	} },
	{"SPI_WF_LIFETIME_LIMIT_2", 0x24ad, {
		{"MAX_CNT", 0x7fffffff, 0x0},
		{"EN_WARN", 0x80000000, 0x1f}
	} },
	{"SPI_WF_LIFETIME_LIMIT_3", 0x24ae, {
		{"MAX_CNT", 0x7fffffff, 0x0},
		{"EN_WARN", 0x80000000, 0x1f}
	} },
	{"SPI_WF_LIFETIME_LIMIT_0", 0x24ab, {
		{"MAX_CNT", 0x7fffffff, 0x0},
		{"EN_WARN", 0x80000000, 0x1f}
	} },
	{"SPI_WF_LIFETIME_LIMIT_1", 0x24ac, {
		{"MAX_CNT", 0x7fffffff, 0x0},
		{"EN_WARN", 0x80000000, 0x1f}
	} },
	{"TCA_PERFCOUNTER3_LO", 0xd396, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR7_CMASK", 0xa388, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"PA_SC_CLIPRECT_0_TL", 0xa084, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0}
	} },
	{"GRBM_SE0_PERFCOUNTER_HI", 0xd046, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CGTS_CU6_LDS_SQ_CTRL_REG", 0xf027, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"PA_SU_POLY_OFFSET_BACK_OFFSET", 0xa2e3, {
		{"OFFSET", 0xffffffff, 0x0}
	} },
	{"TA_CS_BC_BASE_ADDR_HI", 0xc381, {
		{"ADDRESS", 0xff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC3_LS", 0x2d47, {
		{"GROUP_FIFO_DEPTH", 0xfc000000, 0x1a},
		{"WAVE_LIMIT", 0x3f0000, 0x10},
		{"LOCK_LOW_THRESHOLD", 0x3c00000, 0x16},
		{"CU_EN", 0xffff, 0x0}
	} },
	{"GRBM_TRAP_WD_MSK", 0x201d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TCP_CHAN_STEER_HI", 0x2b04, {
		{"CHAN9", 0xf0, 0x4},
		{"CHAN8", 0xf, 0x0},
		{"CHANE", 0xf000000, 0x18},
		{"CHAND", 0xf00000, 0x14},
		{"CHANF", 0xf0000000, 0x1c},
		{"CHANA", 0xf00, 0x8},
		{"CHANC", 0xf0000, 0x10},
		{"CHANB", 0xf000, 0xc}
	} },
	{"CP_VMID_PREEMPT", 0x30b6, {
		{"PREEMPT_REQUEST", 0xffff, 0x0},
		{"VIRT_COMMAND", 0xf0000, 0x10}
	} },
	{"CB_SHADER_MASK", 0xa08f, {
		{"OUTPUT1_ENABLE", 0xf0, 0x4},
		{"OUTPUT3_ENABLE", 0xf000, 0xc},
		{"OUTPUT4_ENABLE", 0xf0000, 0x10},
		{"OUTPUT0_ENABLE", 0xf, 0x0},
		{"OUTPUT5_ENABLE", 0xf00000, 0x14},
		{"OUTPUT2_ENABLE", 0xf00, 0x8},
		{"OUTPUT7_ENABLE", 0xf0000000, 0x1c},
		{"OUTPUT6_ENABLE", 0xf000000, 0x18}
	} },
	{"IA_PERFCOUNTER2_LO", 0xd08c, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"TCC_PERFCOUNTER3_SELECT", 0xdb85, {
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"VGT_GS_VERT_ITEMSIZE_1", 0xa2d8, {
		{"ITEMSIZE", 0x7fff, 0x0}
	} },
	{"SX_PERFCOUNTER0_SELECT1", 0xda44, {
		{"PERFCOUNTER_SELECT3", 0xffc00, 0xa},
		{"PERFCOUNTER_SELECT2", 0x3ff, 0x0}
	} },
	{"VGT_GS_VERT_ITEMSIZE_3", 0xa2da, {
		{"ITEMSIZE", 0x7fff, 0x0}
	} },
	{"SQ_DEBUG_CTRL_LOCAL", 0x9, {
		{"UNUSED", 0xff, 0x0}
	} },
	{"TA_PERFCOUNTER0_SELECT1", 0xdac1, {
		{"PERF_MODE2", 0xf0000000, 0x1c},
		{"PERF_MODE3", 0xf000000, 0x18},
		{"PERF_SEL3", 0x3fc00, 0xa},
		{"PERF_SEL2", 0xff, 0x0}
	} },
	{"SQ_LB_CTR_CTRL", 0x2398, {
		{"LOAD", 0x2, 0x1},
		{"START", 0x1, 0x0},
		{"CLEAR", 0x4, 0x2}
	} },
	{"CGTT_PC_CLK_CTRL", 0xf081, {
		{"GRP5_CG_OFF_HYST", 0xfc0000, 0x12},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"CORE2_OVERRIDE", 0x10000000, 0x1c},
		{"GRP5_CG_OVERRIDE", 0x1000000, 0x18},
		{"CORE0_OVERRIDE", 0x40000000, 0x1e},
		{"BACK_CLK_ON_OVERRIDE", 0x2000000, 0x19},
		{"CORE3_OVERRIDE", 0x8000000, 0x1b},
		{"FRONT_CLK_ON_OVERRIDE", 0x4000000, 0x1a},
		{"REG_OVERRIDE", 0x80000000, 0x1f},
		{"CORE1_OVERRIDE", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CP_NUM_PRIM_NEEDED_COUNT3_HI", 0xc017, {
		{"NUM_PRIM_NEEDED_CNT3_HI", 0xffffffff, 0x0}
	} },
	{"CP_CPF_STALLED_STAT1", 0x2089, {
		{"INDR2_FETCHING_DATA", 0x4, 0x2},
		{"ATCL2IU_WAITING_ON_TAGS", 0x100, 0x8},
		{"STATE_FETCHING_DATA", 0x8, 0x3},
		{"ATCL2IU_WAITING_ON_FREE", 0x80, 0x7},
		{"TCIU_WAITING_ON_TAGS", 0x40, 0x6},
		{"RING_FETCHING_DATA", 0x1, 0x0},
		{"TCIU_WAITING_ON_FREE", 0x20, 0x5},
		{"INDR1_FETCHING_DATA", 0x2, 0x1},
		{"ATCL1_WAITING_ON_TRANS", 0x200, 0x9}
	} },
	{"CP_ME0_PIPE1_PRIORITY", 0x304e, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC2_PS", 0x2c0b, {
		{"TRAP_PRESENT", 0x40, 0x6},
		{"EXCP_EN", 0x1ff0000, 0x10},
		{"WAVE_CNT_EN", 0x80, 0x7},
		{"SCRATCH_EN", 0x1, 0x0},
		{"EXTRA_LDS_SIZE", 0xff00, 0x8},
		{"USER_SGPR", 0x3e, 0x1}
	} },
	{"RLC_GPM_INT_DISABLE_TH1", 0xec7d, {
		{"DISABLE", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_INT_DISABLE_TH0", 0xec7c, {
		{"DISABLE", 0xffffffff, 0x0}
	} },
	{"RLC_PERFCOUNTER1_SELECT", 0xdcc2, {
		{"PERFCOUNTER_SELECT", 0xff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER4_SELECT", 0xd945, {
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"WD_DEBUG_REG7", 0x7, {
		{"wd_arb_se0_input_fifo_full", 0x8, 0x3},
		{"wd_arb_se1_input_fifo_full", 0x80, 0x7},
		{"se0_thdgrp_is_event", 0x100000, 0x14},
		{"SPARE1", 0xf00, 0x8},
		{"SPARE2", 0xf000, 0xc},
		{"te11_arb_busy", 0x80000000, 0x1f},
		{"wd_arb_se0_input_fifo_empty", 0x4, 0x2},
		{"SE1VGT_WD_thdgrp_send_in", 0x10, 0x4},
		{"SPARE5", 0x80000, 0x13},
		{"tfreq_arb_tgroup_rtr", 0x10000000, 0x1c},
		{"arb_tfreq_tgroup_event", 0x40000000, 0x1e},
		{"se0_thdgrp_eop", 0x200000, 0x15},
		{"SPARE6", 0xf000000, 0x18},
		{"wd_arb_se1_input_fifo_empty", 0x40, 0x6},
		{"SE0VGT_WD_thdgrp_send_in", 0x1, 0x0},
		{"se1_thdgrp_eop", 0x800000, 0x17},
		{"wd_arb_se1_input_fifo_re", 0x20, 0x5},
		{"arb_tfreq_tgroup_rts", 0x20000000, 0x1d},
		{"se1_thdgrp_is_event", 0x400000, 0x16},
		{"wd_arb_se0_input_fifo_re", 0x2, 0x1},
		{"te11_arb_state_q", 0x70000, 0x10}
	} },
	{"CP_ROQ_AVAIL", 0x21da, {
		{"ROQ_CNT_IB1", 0x7ff0000, 0x10},
		{"ROQ_CNT_RING", 0x7ff, 0x0}
	} },
	{"GB_BACKEND_MAP", 0x263f, {
		{"BACKEND_MAP", 0xffffffff, 0x0}
	} },
	{"DB_DEPTH_INFO", 0xa00f, {
		{"ADDR5_SWIZZLE_MASK", 0xf, 0x0},
		{"ARRAY_MODE", 0xf0, 0x4},
		{"PIPE_CONFIG", 0x1f00, 0x8},
		{"NUM_BANKS", 0x180000, 0x13},
		{"MACRO_TILE_ASPECT", 0x60000, 0x11},
		{"BANK_WIDTH", 0x6000, 0xd},
		{"BANK_HEIGHT", 0x18000, 0xf}
	} },
	{"PA_SU_POLY_OFFSET_DB_FMT_CNTL", 0xa2de, {
		{"POLY_OFFSET_DB_IS_FLOAT_FMT", 0x100, 0x8},
		{"POLY_OFFSET_NEG_NUM_DB_BITS", 0xff, 0x0}
	} },
	{"CP_CEQ2_AVAIL", 0x21e7, {
		{"CEQ_CNT_IB2", 0x7ff, 0x0}
	} },
	{"VGT_DMA_DATA_FIFO_DEPTH", 0x222d, {
		{"DMA2DRAW_FIFO_DEPTH", 0x7fe00, 0x9},
		{"DMA_DATA_FIFO_DEPTH", 0x1ff, 0x0}
	} },
	{"CP_PFP_LOAD_CONTROL", 0xc08e, {
		{"SH_CS_REG_EN", 0x1000000, 0x18},
		{"CONFIG_REG_EN", 0x1, 0x0},
		{"CNTX_REG_EN", 0x2, 0x1},
		{"SH_GFX_REG_EN", 0x10000, 0x10}
	} },
	{"CP_CPC_SCRATCH_DATA", 0x2091, {
		{"SCRATCH_DATA", 0xffffffff, 0x0}
	} },
	{"CP_ME2_PIPE1_INT_CNTL", 0x308a, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"DEQUEUE_REQUEST_INT_ENABLE", 0x2000, 0xd},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"SUA_VIOLATION_INT_ENABLE", 0x8000, 0xf},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"CMP_QUERY_STATUS_INT_ENABLE", 0x1000, 0xc},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"CB_COLOR2_INFO", 0xa33a, {
		{"COMP_SWAP", 0x1800, 0xb},
		{"CMASK_IS_LINEAR", 0x80000, 0x13},
		{"DCC_ENABLE", 0x10000000, 0x1c},
		{"COMPRESSION", 0x4000, 0xe},
		{"FMASK_COMPRESS_1FRAG_ONLY", 0x8000000, 0x1b},
		{"FORMAT", 0x7c, 0x2},
		{"BLEND_CLAMP", 0x8000, 0xf},
		{"ROUND_MODE", 0x40000, 0x12},
		{"CMASK_ADDR_TYPE", 0x60000000, 0x1d},
		{"LINEAR_GENERAL", 0x80, 0x7},
		{"BLEND_OPT_DISCARD_PIXEL", 0x3800000, 0x17},
		{"BLEND_OPT_DONT_RD_DST", 0x700000, 0x14},
		{"NUMBER_TYPE", 0x700, 0x8},
		{"ENDIAN", 0x3, 0x0},
		{"BLEND_BYPASS", 0x10000, 0x10},
		{"FMASK_COMPRESSION_DISABLE", 0x4000000, 0x1a},
		{"FAST_CLEAR", 0x2000, 0xd},
		{"SIMPLE_FLOAT", 0x20000, 0x11}
	} },
	{"SPI_SHADER_PGM_RSRC1_PS", 0x2c0a, {
		{"CU_GROUP_DISABLE", 0x1000000, 0x18},
		{"FLOAT_MODE", 0xff000, 0xc},
		{"CACHE_CTL", 0xe000000, 0x19},
		{"CDBG_USER", 0x10000000, 0x1c},
		{"IEEE_MODE", 0x800000, 0x17},
		{"PRIORITY", 0xc00, 0xa},
		{"SGPRS", 0x3c0, 0x6},
		{"DEBUG_MODE", 0x400000, 0x16},
		{"VGPRS", 0x3f, 0x0},
		{"DX10_CLAMP", 0x200000, 0x15},
		{"PRIV", 0x100000, 0x14}
	} },
	{"GDS_GWS_VMID8", 0x3328, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID9", 0x3329, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID4", 0x3324, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID5", 0x3325, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID6", 0x3326, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID7", 0x3327, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID0", 0x3320, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID1", 0x3321, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID2", 0x3322, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"CP_SC_PSINVOC_COUNT1_HI", 0xc02f, {
		{"OBSOLETE", 0xffffffff, 0x0}
	} },
	{"VGT_HOS_CNTL", 0xa285, {
		{"TESS_MODE", 0x3, 0x0}
	} },
	{"SQ_WAVE_IB_STS", 0x17, {
		{"VM_CNT", 0xf, 0x0},
		{"RCNT", 0xf0000, 0x10},
		{"EXP_CNT", 0x70, 0x4},
		{"VALU_CNT", 0x7000, 0xc},
		{"FIRST_REPLAY", 0x8000, 0xf},
		{"LGKM_CNT", 0xf00, 0x8}
	} },
	{"CB_COLOR2_CMASK_SLICE", 0xa33e, {
		{"TILE_MAX", 0x3fff, 0x0}
	} },
	{"CB_COLOR6_CMASK", 0xa379, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_TCA_PERFMON_SAMPLE_DELAY", 0xdc92, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"CGTS_CU1_TD_TCP_CTRL_REG", 0xf011, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"SQ_WAVE_MODE", 0x11, {
		{"LOD_CLAMPED", 0x400, 0xa},
		{"CSP", 0xe0000000, 0x1d},
		{"FP_ROUND", 0xf, 0x0},
		{"GPR_IDX_EN", 0x8000000, 0x1b},
		{"DEBUG_EN", 0x800, 0xb},
		{"EXCP_EN", 0x1ff000, 0xc},
		{"VSKIP", 0x10000000, 0x1c},
		{"FP_DENORM", 0xf0, 0x4},
		{"IEEE", 0x200, 0x9},
		{"DX10_CLAMP", 0x100, 0x8}
	} },
	{"TA_PERFCOUNTER0_SELECT", 0xdac0, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0x3fc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"GDS_VMID3_SIZE", 0x3307, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"GRBM_SE0_PERFCOUNTER_SELECT", 0xd842, {
		{"SC_BUSY_USER_DEFINED_MASK", 0x10000, 0x10},
		{"VGT_BUSY_USER_DEFINED_MASK", 0x80000, 0x13},
		{"DB_CLEAN_USER_DEFINED_MASK", 0x400, 0xa},
		{"BCI_BUSY_USER_DEFINED_MASK", 0x200000, 0x15},
		{"DB_BUSY_USER_DEFINED_MASK", 0x20000, 0x11},
		{"SPI_BUSY_USER_DEFINED_MASK", 0x8000, 0xf},
		{"TA_BUSY_USER_DEFINED_MASK", 0x1000, 0xc},
		{"PA_BUSY_USER_DEFINED_MASK", 0x100000, 0x14},
		{"PERF_SEL", 0x3f, 0x0},
		{"CB_BUSY_USER_DEFINED_MASK", 0x40000, 0x12},
		{"SX_BUSY_USER_DEFINED_MASK", 0x2000, 0xd},
		{"CB_CLEAN_USER_DEFINED_MASK", 0x800, 0xb}
	} },
	{"TD_CGTT_CTRL", 0xf09c, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CB_COLOR6_CMASK_SLICE", 0xa37a, {
		{"TILE_MAX", 0x3fff, 0x0}
	} },
	{"GRBM_HYP_CAM_INDEX", 0xf83e, {
		{"CAM_INDEX", 0x7, 0x0}
	} },
	{"GDS_PS4_CTXSW_CNT2", 0x3369, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS4_CTXSW_CNT3", 0x336a, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"SPI_SHADER_TMA_HI_GS", 0x2c83, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"CGTT_CP_CLK_CTRL", 0xf0b0, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE_PERFMON", 0x20000000, 0x1d},
		{"SOFT_OVERRIDE_REG", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE_DYN", 0x40000000, 0x1e},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"TCP_PERFCOUNTER3_HI", 0xd347, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"DB_PERFCOUNTER3_HI", 0xd447, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CPF_PERFCOUNTER1_HI", 0xd009, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_12", 0x31f8, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_13", 0x31f9, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_10", 0x31f2, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_11", 0x31f3, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"RLC_GPM_THREAD_ENABLE", 0xec45, {
		{"RESERVED", 0xfffffff0, 0x4},
		{"THREAD2_ENABLE", 0x4, 0x2},
		{"THREAD0_ENABLE", 0x1, 0x0},
		{"THREAD3_ENABLE", 0x8, 0x3},
		{"THREAD1_ENABLE", 0x2, 0x1}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_14", 0x31fa, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_15", 0x31fb, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"SPI_P0_TRAP_SCREEN_PSBA_HI", 0x24ed, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"CP_MEC_ME2_HEADER_DUMP", 0x208f, {
		{"HEADER_DUMP", 0xffffffff, 0x0}
	} },
	{"CB_COLOR5_VIEW", 0xa366, {
		{"SLICE_MAX", 0xffe000, 0xd},
		{"SLICE_START", 0x7ff, 0x0}
	} },
	{"CP_CNTX_STAT", 0x21b8, {
		{"CURRENT_GFX_CONTEXT", 0x70000000, 0x1c},
		{"ACTIVE_GFX_CONTEXTS", 0xff00000, 0x14},
		{"ACTIVE_HP3D_CONTEXTS", 0xff, 0x0},
		{"CURRENT_HP3D_CONTEXT", 0x700, 0x8}
	} },
	{"DIDT_TD_CTRL0", 0x40, {
		{"PHASE_OFFSET", 0xc, 0x2},
		{"USE_REF_CLOCK", 0x2, 0x1},
		{"UNUSED_0", 0xffffffc0, 0x6},
		{"DIDT_CTRL_RST", 0x10, 0x4},
		{"DIDT_CTRL_EN", 0x1, 0x0},
		{"DIDT_CLK_EN_OVERRIDE", 0x20, 0x5}
	} },
	{"PA_SC_WINDOW_SCISSOR_TL", 0xa081, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"DIDT_TD_CTRL2", 0x42, {
		{"MAX_POWER_DELTA", 0x3fff, 0x0},
		{"LONG_TERM_INTERVAL_RATIO", 0x78000000, 0x1b},
		{"UNUSED_2", 0x80000000, 0x1f},
		{"UNUSED_1", 0x4000000, 0x1a},
		{"UNUSED_0", 0xc000, 0xe},
		{"SHORT_TERM_INTERVAL_SIZE", 0x3ff0000, 0x10}
	} },
	{"CP_EOP_DONE_EVENT_CNTL", 0xc0d5, {
		{"MTYPE", 0x18000000, 0x1b},
		{"WBINV_ACTION_ENA", 0x3f000, 0xc},
		{"WBINV_TC_OP", 0x7f, 0x0},
		{"CACHE_CONTROL", 0x2000000, 0x19}
	} },
	{"GB_TILE_MODE20", 0x2658, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE21", 0x2659, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE22", 0x265a, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE23", 0x265b, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE24", 0x265c, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE25", 0x265d, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE26", 0x265e, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE27", 0x265f, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE28", 0x2660, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE29", 0x2661, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"CGTT_SQG_CLK_CTRL", 0xf08d, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"PERFMON_OVERRIDE", 0x20000000, 0x1d},
		{"CORE_OVERRIDE", 0x40000000, 0x1e},
		{"TTRACE_OVERRIDE", 0x10000000, 0x1c},
		{"REG_OVERRIDE", 0x80000000, 0x1f},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"PA_SC_PERFCOUNTER2_HI", 0xd145, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"VGT_STRMOUT_VTX_STRIDE_0", 0xa2b5, {
		{"STRIDE", 0x3ff, 0x0}
	} },
	{"GDS_OA_RESET_MASK", 0x3349, {
		{"ME1_PIPE1_RESET", 0x20, 0x5},
		{"ME2_PIPE2_RESET", 0x400, 0xa},
		{"ME2_PIPE3_RESET", 0x800, 0xb},
		{"ME0_CS_RESET", 0x4, 0x2},
		{"ME2_PIPE1_RESET", 0x200, 0x9},
		{"UNUSED1", 0xfffff000, 0xc},
		{"ME0_GFXHP3D_VTX_RESET", 0x2, 0x1},
		{"ME1_PIPE3_RESET", 0x80, 0x7},
		{"ME0_GFXHP3D_PIX_RESET", 0x1, 0x0},
		{"ME1_PIPE0_RESET", 0x10, 0x4},
		{"ME2_PIPE0_RESET", 0x100, 0x8},
		{"ME1_PIPE2_RESET", 0x40, 0x6},
		{"UNUSED0", 0x8, 0x3}
	} },
	{"RLC_GPM_SCRATCH_DATA", 0xec6d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"VGT_DEBUG_REG28", 0x1c, {
		{"pipe1_patch_rtr", 0x20000000, 0x1d},
		{"second_cycle_q", 0x10, 0x4},
		{"last_point_of_outer_ring_p1", 0x80000, 0x13},
		{"last_edge_of_outer_ring_p0_q", 0x40000, 0x12},
		{"first_ring_of_patch_p0_q", 0x10000, 0x10},
		{"parallel_parity_p0_q", 0x8000, 0xf},
		{"advance_outer_point_p1", 0x400000, 0x16},
		{"pipe0_patch_dr", 0x100, 0x8},
		{"outer_edge_tf_eq_one_p0_q", 0x200000, 0x15},
		{"pipe0_edge_dr", 0x200, 0x9},
		{"con_state_q", 0xf, 0x0},
		{"last_ring_of_patch_p0_q", 0x20000, 0x11},
		{"next_ring_is_rect_p0_q", 0x1000000, 0x18},
		{"pipe1_inner2_rtr", 0x10000000, 0x1c},
		{"pipe1_edge_rtr", 0x40000000, 0x1e},
		{"pipe1_dr", 0x400, 0xa},
		{"pipe1_rtr", 0x2000, 0xd},
		{"process_tri_middle_p0_q", 0x20, 0x5},
		{"process_tri_1st_2nd_half_p0_q", 0x40, 0x6},
		{"pipe1_outer2_rtr", 0x4000000, 0x1a},
		{"advance_inner_point_p1", 0x800000, 0x17},
		{"pipe0_patch_rtr", 0x800, 0xb},
		{"process_tri_center_poly_p0_q", 0x80, 0x7},
		{"last_point_of_inner_ring_p1", 0x100000, 0x14},
		{"pipe1_outer1_rtr", 0x2000000, 0x19},
		{"pipe1_inner1_rtr", 0x8000000, 0x1b},
		{"outer_parity_p0_q", 0x4000, 0xe},
		{"use_stored_inner_q_ring2", 0x80000000, 0x1f},
		{"pipe0_edge_rtr", 0x1000, 0xc}
	} },
	{"SPI_PS_INPUT_CNTL_22", 0xa1a7, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"GDS_WR_BURST_DATA", 0xc408, {
		{"WRITE_DATA", 0xffffffff, 0x0}
	} },
	{"PA_SU_PERFCOUNTER1_LO", 0xd102, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CB_PERFCOUNTER3_LO", 0xd40c, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_PS_INPUT_CNTL_20", 0xa1a5, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"SPI_SHADER_POS_FORMAT", 0xa1c3, {
		{"POS0_EXPORT_FORMAT", 0xf, 0x0},
		{"POS3_EXPORT_FORMAT", 0xf000, 0xc},
		{"POS1_EXPORT_FORMAT", 0xf0, 0x4},
		{"POS2_EXPORT_FORMAT", 0xf00, 0x8}
	} },
	{"RLC_SRM_DEBUG", 0xec82, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"GDS_OA_RESET", 0x334a, {
		{"RESET", 0x1, 0x0},
		{"PIPE_ID", 0xff00, 0x8}
	} },
	{"DIDT_DBR_CTRL2", 0x82, {
		{"MAX_POWER_DELTA", 0x3fff, 0x0},
		{"LONG_TERM_INTERVAL_RATIO", 0x78000000, 0x1b},
		{"UNUSED_2", 0x80000000, 0x1f},
		{"UNUSED_1", 0x4000000, 0x1a},
		{"UNUSED_0", 0xc000, 0xe},
		{"SHORT_TERM_INTERVAL_SIZE", 0x3ff0000, 0x10}
	} },
	{"SPI_PS_INPUT_CNTL_26", 0xa1ab, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"DIDT_DBR_CTRL0", 0x80, {
		{"PHASE_OFFSET", 0xc, 0x2},
		{"USE_REF_CLOCK", 0x2, 0x1},
		{"UNUSED_0", 0xffffffc0, 0x6},
		{"DIDT_CTRL_RST", 0x10, 0x4},
		{"DIDT_CTRL_EN", 0x1, 0x0},
		{"DIDT_CLK_EN_OVERRIDE", 0x20, 0x5}
	} },
	{"DIDT_DBR_CTRL1", 0x81, {
		{"MAX_POWER", 0xffff0000, 0x10},
		{"MIN_POWER", 0xffff, 0x0}
	} },
	{"VGT_DEBUG_REG27", 0x1b, {
		{"event_flag_p1_q", 0x400, 0xa},
		{"gsc_null_primitive_p0_q", 0x4000, 0xe},
		{"pipe0_dr", 0x1, 0x0},
		{"gs_out_prim_type_p0_q", 0x3000, 0xc},
		{"gsc0_dr", 0x2, 0x1},
		{"last_indx_of_prim_p1_q", 0x80, 0x7},
		{"pipe0_rtr", 0x10, 0x4},
		{"gsc_indx_count_p0_q", 0x7ff00000, 0x14},
		{"last_vsprim_of_gsprim", 0x80000000, 0x1f},
		{"first_vsprim_of_gsprim_p0_q", 0x80000, 0x13},
		{"gsc_2cycle_output", 0x10000, 0x10},
		{"last_indx_of_vsprim", 0x40000, 0x12},
		{"gsc_2nd_cycle_p0_q", 0x20000, 0x11},
		{"pipe1_rtr", 0x40, 0x6},
		{"gsc0_rtr", 0x20, 0x5},
		{"gsc_eop_p0_q", 0x8000, 0xf},
		{"eop_p1_q", 0x800, 0xb},
		{"tm_pt_event_rtr", 0x8, 0x3},
		{"pipe1_dr", 0x4, 0x2},
		{"indices_to_send_p0_q", 0x300, 0x8}
	} },
	{"SQC_CACHES", 0xc348, {
		{"INVALIDATE", 0x4, 0x2},
		{"COMPLETE", 0x10000, 0x10},
		{"WRITEBACK", 0x8, 0x3},
		{"VOL", 0x10, 0x4},
		{"TARGET_DATA", 0x2, 0x1},
		{"TARGET_INST", 0x1, 0x0}
	} },
	{"VGT_DEBUG_REG26", 0x24, {
		{"cm_state3", 0xc0, 0x6},
		{"cm_state2", 0x30, 0x4},
		{"cm_state1", 0xc, 0x2},
		{"cm_state0", 0x3, 0x0},
		{"cm_state7", 0xc000, 0xe},
		{"cm_state6", 0x3000, 0xc},
		{"cm_state5", 0xc00, 0xa},
		{"cm_state4", 0x300, 0x8},
		{"cm_state9", 0xc0000, 0x12},
		{"cm_state8", 0x30000, 0x10},
		{"cm_state13", 0xc000000, 0x1a},
		{"cm_state12", 0x3000000, 0x18},
		{"cm_state11", 0xc00000, 0x16},
		{"cm_state10", 0x300000, 0x14},
		{"cm_state15", 0xc0000000, 0x1e},
		{"cm_state14", 0x30000000, 0x1c}
	} },
	{"PA_SC_IF_FIFO_SIZE", 0x22f5, {
		{"SC_DB_TILE_IF_FIFO_SIZE", 0x3f, 0x0},
		{"SC_SPI_IF_FIFO_SIZE", 0x3f000, 0xc},
		{"SC_BCI_IF_FIFO_SIZE", 0xfc0000, 0x12},
		{"SC_DB_QUAD_IF_FIFO_SIZE", 0xfc0, 0x6}
	} },
	{"PA_SU_PERFCOUNTER2_SELECT", 0xd904, {
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"SPI_PS_INPUT_CNTL_25", 0xa1aa, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"PA_CL_VPORT_ZOFFSET_9", 0xa14a, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_8", 0xa144, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"VGT_STRMOUT_VTX_STRIDE_2", 0xa2bd, {
		{"STRIDE", 0x3ff, 0x0}
	} },
	{"CB_COLOR5_ATTRIB", 0xa368, {
		{"FMASK_TILE_MODE_INDEX", 0x3e0, 0x5},
		{"FORCE_DST_ALPHA_1", 0x20000, 0x11},
		{"NUM_SAMPLES", 0x7000, 0xc},
		{"NUM_FRAGMENTS", 0x18000, 0xf},
		{"TILE_MODE_INDEX", 0x1f, 0x0},
		{"FMASK_BANK_HEIGHT", 0xc00, 0xa}
	} },
	{"CP_DFY_CMD", 0x3034, {
		{"SIZE", 0xffff0000, 0x10},
		{"OFFSET", 0x1ff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_1", 0xa11a, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"CP_EOP_DONE_DATA_LO", 0xc002, {
		{"DATA_LO", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_3", 0xa126, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_2", 0xa120, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_5", 0xa132, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_4", 0xa12c, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_7", 0xa13e, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZOFFSET_6", 0xa138, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"GDS_PS3_CTXSW_CNT0", 0x3363, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"SQ_LB_DATA_ALU_CYCLES", 0x2399, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TCC_PERFCOUNTER3_HI", 0xd387, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CB_COLOR0_FMASK", 0xa321, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER2_HI", 0xd1c5, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"GRBM_SE2_PERFCOUNTER_LO", 0xd049, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"WD_PERFCOUNTER2_HI", 0xd085, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_HQD_IB_RPTR", 0x3259, {
		{"CONSUMED_OFFSET", 0xfffff, 0x0}
	} },
	{"GDS_ATOM_READ1_U", 0xc419, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_EXEC_HI", 0x27f, {
		{"EXEC_HI", 0xffffffff, 0x0}
	} },
	{"CB_PERFCOUNTER1_HI", 0xd409, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CS_COPY_STATE", 0xa1f3, {
		{"SRC_STATE_ID", 0x7, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC1_GS", 0x2c8a, {
		{"FLOAT_MODE", 0xff000, 0xc},
		{"CACHE_CTL", 0xe000000, 0x19},
		{"CU_GROUP_ENABLE", 0x1000000, 0x18},
		{"CDBG_USER", 0x10000000, 0x1c},
		{"IEEE_MODE", 0x800000, 0x17},
		{"PRIORITY", 0xc00, 0xa},
		{"SGPRS", 0x3c0, 0x6},
		{"DEBUG_MODE", 0x400000, 0x16},
		{"VGPRS", 0x3f, 0x0},
		{"DX10_CLAMP", 0x200000, 0x15},
		{"PRIV", 0x100000, 0x14}
	} },
	{"CB_PERFCOUNTER0_SELECT1", 0xdc02, {
		{"PERF_MODE2", 0xf0000000, 0x1c},
		{"PERF_MODE3", 0xf000000, 0x18},
		{"PERF_SEL3", 0x7fc00, 0xa},
		{"PERF_SEL2", 0x1ff, 0x0}
	} },
	{"TCC_REDUNDANCY", 0x2b83, {
		{"MC_SEL0", 0x1, 0x0},
		{"MC_SEL1", 0x2, 0x1}
	} },
	{"GDS_VMID1_SIZE", 0x3303, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"CB_COLOR3_PITCH", 0xa346, {
		{"FMASK_TILE_MAX", 0x7ff00000, 0x14},
		{"TILE_MAX", 0x7ff, 0x0}
	} },
	{"CB_BLEND1_CONTROL", 0xa1e1, {
		{"DISABLE_ROP3", 0x80000000, 0x1f},
		{"SEPARATE_ALPHA_BLEND", 0x20000000, 0x1d},
		{"ALPHA_DESTBLEND", 0x1f000000, 0x18},
		{"COLOR_COMB_FCN", 0xe0, 0x5},
		{"COLOR_DESTBLEND", 0x1f00, 0x8},
		{"COLOR_SRCBLEND", 0x1f, 0x0},
		{"ENABLE", 0x40000000, 0x1e},
		{"ALPHA_COMB_FCN", 0xe00000, 0x15},
		{"ALPHA_SRCBLEND", 0x1f0000, 0x10}
	} },
	{"GDS_RD_BURST_DATA", 0xc404, {
		{"BURST_DATA", 0xffffffff, 0x0}
	} },
	{"RAS_PA_SIGNATURE0", 0x338c, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RLC_MEM_SLP_CNTL", 0xec06, {
		{"RLC_MEM_DS_EN", 0x2, 0x1},
		{"RESERVED", 0x7c, 0x2},
		{"RLC_MEM_LS_ON_DELAY", 0xff00, 0x8},
		{"RLC_MEM_LS_EN", 0x1, 0x0},
		{"RLC_MEM_LS_OFF_DELAY", 0xff0000, 0x10},
		{"RESERVED1", 0xff000000, 0x18},
		{"RLC_LS_DS_BUSY_OVERRIDE", 0x80, 0x7}
	} },
	{"CGTS_CU8_LDS_SQ_CTRL_REG", 0xf031, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"VGT_GSVS_RING_OFFSET_2", 0xa299, {
		{"OFFSET", 0x7fff, 0x0}
	} },
	{"VGT_GROUP_VECT_0_CNTL", 0xa28c, {
		{"COMP_Y_EN", 0x2, 0x1},
		{"SHIFT", 0xff0000, 0x10},
		{"COMP_W_EN", 0x8, 0x3},
		{"STRIDE", 0xff00, 0x8},
		{"COMP_Z_EN", 0x4, 0x2},
		{"COMP_X_EN", 0x1, 0x0}
	} },
	{"SQ_PERFCOUNTER3_HI", 0xd1c7, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"DB_HTILE_DATA_BASE", 0xa005, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"CP_NUM_PRIM_WRITTEN_COUNT0_HI", 0xc009, {
		{"NUM_PRIM_WRITTEN_CNT0_HI", 0xffffffff, 0x0}
	} },
	{"DB_HTILE_SURFACE", 0xa2af, {
		{"PRELOAD", 0x8, 0x3},
		{"PREFETCH_WIDTH", 0x3f0, 0x4},
		{"LINEAR", 0x1, 0x0},
		{"DST_OUTSIDE_ZERO_TO_ONE", 0x10000, 0x10},
		{"FULL_CACHE", 0x2, 0x1},
		{"HTILE_USES_PRELOAD_WIN", 0x4, 0x2},
		{"PREFETCH_HEIGHT", 0xfc00, 0xa},
		{"TC_COMPATIBLE", 0x20000, 0x11}
	} },
	{"RLC_GPM_LOG_CONT", 0xec7b, {
		{"CONT", 0xffffffff, 0x0}
	} },
	{"GRBM_PERFCOUNTER0_SELECT", 0xd840, {
		{"SC_BUSY_USER_DEFINED_MASK", 0x20000, 0x11},
		{"CP_BUSY_USER_DEFINED_MASK", 0x400000, 0x16},
		{"TC_BUSY_USER_DEFINED_MASK", 0x8000000, 0x1b},
		{"VGT_BUSY_USER_DEFINED_MASK", 0x1000, 0xc},
		{"DB_CLEAN_USER_DEFINED_MASK", 0x400, 0xa},
		{"GDS_BUSY_USER_DEFINED_MASK", 0x1000000, 0x18},
		{"IA_BUSY_USER_DEFINED_MASK", 0x800000, 0x17},
		{"PA_BUSY_USER_DEFINED_MASK", 0x40000, 0x12},
		{"SPI_BUSY_USER_DEFINED_MASK", 0x10000, 0x10},
		{"TA_BUSY_USER_DEFINED_MASK", 0x2000, 0xd},
		{"WD_BUSY_USER_DEFINED_MASK", 0x10000000, 0x1c},
		{"DB_BUSY_USER_DEFINED_MASK", 0x100000, 0x14},
		{"PERF_SEL", 0x3f, 0x0},
		{"BCI_BUSY_USER_DEFINED_MASK", 0x2000000, 0x19},
		{"CB_BUSY_USER_DEFINED_MASK", 0x200000, 0x15},
		{"GRBM_BUSY_USER_DEFINED_MASK", 0x80000, 0x13},
		{"SX_BUSY_USER_DEFINED_MASK", 0x4000, 0xe},
		{"CB_CLEAN_USER_DEFINED_MASK", 0x800, 0xb},
		{"RLC_BUSY_USER_DEFINED_MASK", 0x4000000, 0x1a}
	} },
	{"PA_SC_TRAP_SCREEN_HV_EN", 0xc2b0, {
		{"FORCE_PRE_SHADER_ALL_PIXELS", 0x2, 0x1},
		{"ENABLE_HV_PRE_SHADER", 0x1, 0x0}
	} },
	{"TCP_WATCH0_CNTL", 0x32a2, {
		{"VMID", 0xf000000, 0x18},
		{"VALID", 0x80000000, 0x1f},
		{"MASK", 0xffffff, 0x0},
		{"ATC", 0x10000000, 0x1c},
		{"MODE", 0x60000000, 0x1d}
	} },
	{"GDS_PS2_CTXSW_CNT0", 0x335f, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS2_CTXSW_CNT1", 0x3360, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"CB_COLOR7_FMASK", 0xa38a, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"CP_CE_IB1_OFFSET", 0xc098, {
		{"IB1_OFFSET", 0xfffff, 0x0}
	} },
	{"CP_RB0_WPTR", 0x3045, {
		{"RB_WPTR", 0xfffff, 0x0}
	} },
	{"CGTS_CU7_SP1_CTRL_REG", 0xf02e, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"PA_CL_VPORT_ZOFFSET", 0xa114, {
		{"VPORT_ZOFFSET", 0xffffffff, 0x0}
	} },
	{"SQ_VOP_DPP", 0x237f, {
		{"SRC1_NEG", 0x400000, 0x16},
		{"BANK_MASK", 0xf000000, 0x18},
		{"SRC0_NEG", 0x100000, 0x14},
		{"SRC1_ABS", 0x800000, 0x17},
		{"DPP_CTRL", 0x1ff00, 0x8},
		{"SRC0", 0xff, 0x0},
		{"BOUND_CTRL", 0x80000, 0x13},
		{"ROW_MASK", 0xf0000000, 0x1c},
		{"SRC0_ABS", 0x200000, 0x15}
	} },
	{"SPI_SHADER_PGM_LO_GS", 0x2c88, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"CP_PQ_WPTR_POLL_CNTL1", 0x3084, {
		{"QUEUE_MASK", 0xffffffff, 0x0}
	} },
	{"CP_APPEND_LAST_CS_FENCE", 0xc05b, {
		{"LAST_FENCE", 0xffffffff, 0x0}
	} },
	{"TA_PERFCOUNTER1_HI", 0xd2c3, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER2_SELECT", 0xd9c2, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"SQ_WAVE_PC_LO", 0x18, {
		{"PC_LO", 0xffffffff, 0x0}
	} },
	{"SPI_WCL_PIPE_PERCENT_GFX", 0x31c7, {
		{"GS_GRP_VALUE", 0x7c00000, 0x16},
		{"HS_GRP_VALUE", 0x1f000, 0xc},
		{"ES_GRP_VALUE", 0x3e0000, 0x11},
		{"LS_GRP_VALUE", 0xf80, 0x7},
		{"VALUE", 0x7f, 0x0}
	} },
	{"VGT_STRMOUT_CONFIG", 0xa2e5, {
		{"USE_RAST_STREAM_MASK", 0x80000000, 0x1f},
		{"STREAMOUT_0_EN", 0x1, 0x0},
		{"STREAMOUT_2_EN", 0x4, 0x2},
		{"RAST_STREAM", 0x70, 0x4},
		{"RAST_STREAM_MASK", 0xf00, 0x8},
		{"STREAMOUT_1_EN", 0x2, 0x1},
		{"STREAMOUT_3_EN", 0x8, 0x3}
	} },
	{"SX_MRT7_BLEND_OPT", 0xa1df, {
		{"COLOR_SRC_OPT", 0x7, 0x0},
		{"ALPHA_SRC_OPT", 0x70000, 0x10},
		{"COLOR_DST_OPT", 0x70, 0x4},
		{"ALPHA_DST_OPT", 0x700000, 0x14},
		{"COLOR_COMB_FCN", 0x700, 0x8},
		{"ALPHA_COMB_FCN", 0x7000000, 0x18}
	} },
	{"WD_DEBUG_REG4", 0x4, {
		{"ext_event_wait_q", 0x8000000, 0x1b},
		{"spl_rbiu_di_read", 0x2, 0x1},
		{"pipe2_rtr", 0x200, 0x9},
		{"di_wd_switch_on_eop_p1_q", 0x80000, 0x13},
		{"WD_IA1_draw_rtr", 0x20000000, 0x1d},
		{"rbiu_spl_di_valid", 0x1, 0x0},
		{"pipe3_rtr", 0x800, 0xb},
		{"pipe3_ld", 0x400, 0xa},
		{"WD_IA_draw_send_d", 0x1000, 0xc},
		{"pipe1_rtr", 0x80, 0x7},
		{"pipe1_dr", 0x40, 0x6},
		{"di_type_p0", 0xc000, 0xe},
		{"dual_ia_mode", 0x80000000, 0x1f},
		{"send_to_ia1_q", 0x40000000, 0x1e},
		{"di_state_sel_p1_q", 0x70000, 0x10},
		{"not_eop_wait_q", 0x2000000, 0x19},
		{"last_sd_of_inst_p2", 0x400000, 0x16},
		{"pipe0_dr", 0x10, 0x4},
		{"WD_IA_draw_rtr", 0x2000, 0xd},
		{"WD_IA1_draw_send_d", 0x10000000, 0x1c},
		{"pipe2_dr", 0x100, 0x8},
		{"pipe0_rtr", 0x20, 0x5},
		{"rbiu_spl_p1_di_valid", 0x4, 0x2},
		{"not_eop_wait_p1_q", 0x1000000, 0x18},
		{"ext_event_wait_p1_q", 0x4000000, 0x1a},
		{"spl_rbiu_p1_di_read", 0x8, 0x3},
		{"last_inst_of_di_p2", 0x200000, 0x15},
		{"rbiu_spl_pipe0_lockout", 0x100000, 0x14},
		{"last_sd_of_di_p2", 0x800000, 0x17}
	} },
	{"CP_PFP_UCODE_ADDR", 0xf814, {
		{"UCODE_ADDR", 0x1fff, 0x0}
	} },
	{"CP_DRAW_INDX_INDR_ADDR", 0xc0f4, {
		{"ADDR_LO", 0xffffffff, 0x0}
	} },
	{"CP_NUM_PRIM_WRITTEN_COUNT2_LO", 0xc010, {
		{"NUM_PRIM_WRITTEN_CNT2_LO", 0xffffffff, 0x0}
	} },
	{"SX_PERFCOUNTER1_SELECT", 0xda41, {
		{"PERFCOUNTER_SELECT", 0x3ff, 0x0},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERFCOUNTER_SELECT1", 0xffc00, 0xa}
	} },
	{"RLC_GPM_DEBUG_SELECT", 0xec20, {
		{"RESERVED", 0xfffffc00, 0xa},
		{"F32_DEBUG_SELECT", 0x300, 0x8},
		{"SELECT", 0xff, 0x0}
	} },
	{"SQ_VOP3_0_SDST_ENC", 0x237f, {
		{"CLAMP", 0x8000, 0xf},
		{"ENCODING", 0xfc000000, 0x1a},
		{"VDST", 0xff, 0x0},
		{"SDST", 0x7f00, 0x8},
		{"OP", 0x3ff0000, 0x10}
	} },
	{"CP_ROQ_THRESHOLDS", 0x21bc, {
		{"IB2_START", 0xff00, 0x8},
		{"IB1_START", 0xff, 0x0}
	} },
	{"SQ_LB_DATA_TEX_STALLS", 0x239c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_MEC2_F32_INT_DIS", 0x30be, {
		{"EDC_GDS_FED_INT", 0x10, 0x4},
		{"EDC_SCRATCH_FED_INT", 0x20, 0x5},
		{"IQ_TIMER_INT", 0x200, 0x9},
		{"EDC_ROQ_FED_INT", 0x1, 0x0},
		{"EDC_DMA_FED_INT", 0x100, 0x8},
		{"WAVE_RESTORE_INT", 0x40, 0x6},
		{"PRIV_REG_INT", 0x2, 0x1},
		{"EDC_TC_FED_INT", 0x8, 0x3},
		{"RESERVED_BIT_ERR_INT", 0x4, 0x2},
		{"SUA_VIOLATION_INT", 0x80, 0x7}
	} },
	{"VGT_GROUP_PRIM_TYPE", 0xa289, {
		{"RETAIN_QUADS", 0x8000, 0xf},
		{"RETAIN_ORDER", 0x4000, 0xe},
		{"PRIM_TYPE", 0x1f, 0x0},
		{"PRIM_ORDER", 0x70000, 0x10}
	} },
	{"CP_RB_DOORBELL_CONTROL", 0x3059, {
		{"DOORBELL_OFFSET", 0x7ffffc, 0x2},
		{"DOORBELL_EN", 0x40000000, 0x1e},
		{"DOORBELL_HIT", 0x80000000, 0x1f}
	} },
	{"CP_RB2_WPTR", 0x3069, {
		{"RB_WPTR", 0xfffff, 0x0}
	} },
	{"SX_PERFCOUNTER1_SELECT1", 0xda45, {
		{"PERFCOUNTER_SELECT3", 0xffc00, 0xa},
		{"PERFCOUNTER_SELECT2", 0x3ff, 0x0}
	} },
	{"PA_CL_CNTL_STATUS", 0x2284, {
		{"CL_BUSY", 0x80000000, 0x1f}
	} },
	{"RLC_GPU_CLOCK_COUNT_LSB", 0xec24, {
		{"GPU_CLOCKS_LSB", 0xffffffff, 0x0}
	} },
	{"PA_SC_DEBUG_DATA", 0x22f7, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"GDS_PS5_CTXSW_CNT1", 0x336c, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS5_CTXSW_CNT0", 0x336b, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS5_CTXSW_CNT3", 0x336e, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS5_CTXSW_CNT2", 0x336d, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"CP_CMD_INDEX", 0x21de, {
		{"CMD_INDEX", 0x7ff, 0x0},
		{"CMD_ME_SEL", 0x3000, 0xc},
		{"CMD_QUEUE_SEL", 0x70000, 0x10}
	} },
	{"RLC_LOAD_BALANCE_CNTR", 0xec1c, {
		{"RLC_LOAD_BALANCE_CNTR", 0xffffffff, 0x0}
	} },
	{"DIDT_DB_CTRL_OCP", 0x23, {
		{"OCP_MAX_POWER", 0xffff0000, 0x10},
		{"UNUSED_0", 0xffff, 0x0}
	} },
	{"CPC_PERFCOUNTER1_SELECT", 0xd803, {
		{"PERF_SEL", 0x3f, 0x0}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_0", 0x31e6, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"DB_PERFCOUNTER1_LO", 0xd442, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_USERDATA_2", 0xc342, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_HQD_PQ_DOORBELL_CONTROL", 0x3254, {
		{"DOORBELL_SCHD_HIT", 0x20000000, 0x1d},
		{"DOORBELL_OFFSET", 0x7ffffc, 0x2},
		{"DOORBELL_MODE", 0x1, 0x0},
		{"DOORBELL_HIT", 0x80000000, 0x1f},
		{"DOORBELL_EN", 0x40000000, 0x1e},
		{"DOORBELL_BIF_DROP", 0x2, 0x1},
		{"DOORBELL_SOURCE", 0x10000000, 0x1c},
		{"DOORBELL_CARRY_BITS", 0x3800000, 0x17}
	} },
	{"SQ_THREAD_TRACE_USERDATA_0", 0xc340, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_USERDATA_1", 0xc341, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TCC_PERFCOUNTER0_SELECT1", 0xdb81, {
		{"PERF_MODE2", 0xf000000, 0x18},
		{"PERF_MODE3", 0xf0000000, 0x1c},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"CB_COLOR2_DCC_BASE", 0xa343, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"VGT_ENHANCE", 0xa294, {
		{"MISC", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_GPM_ABORT", 0xec9c, {
		{"ABORT", 0x1, 0x0},
		{"RESERVED", 0xfffffffe, 0x1}
	} },
	{"GRBM_SE3_PERFCOUNTER_HI", 0xd04c, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SPI_RESOURCE_RESERVE_EN_CU_1", 0x31e7, {
		{"RESERVE_SPACE_ONLY", 0x1000000, 0x18},
		{"TYPE_MASK", 0xfffe, 0x1},
		{"EN", 0x1, 0x0},
		{"QUEUE_MASK", 0xff0000, 0x10}
	} },
	{"CP_CE_IB2_BASE_HI", 0xc0ca, {
		{"IB2_BASE_HI", 0xffff, 0x0}
	} },
	{"CP_HQD_PQ_BASE", 0x324d, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"VGT_GS_ONCHIP_CNTL", 0xa291, {
		{"GS_PRIMS_PER_SUBGRP", 0x3ff800, 0xb},
		{"ES_VERTS_PER_SUBGRP", 0x7ff, 0x0}
	} },
	{"TA_DEBUG_DATA", 0x254d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CPG_PERFCOUNTER1_LO", 0xd000, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_ES_8", 0x2cd4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CC_RB_BACKEND_DISABLE", 0x263d, {
		{"BACKEND_DISABLE", 0xff0000, 0x10}
	} },
	{"GB_TILE_MODE5", 0x2649, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE4", 0x2648, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE7", 0x264b, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE6", 0x264a, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE1", 0x2645, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE0", 0x2644, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE3", 0x2647, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE2", 0x2646, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"CP_COHER_START_DELAY", 0xc07b, {
		{"START_DELAY_COUNT", 0x3f, 0x0}
	} },
	{"GB_TILE_MODE9", 0x264d, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE8", 0x264c, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"SPI_RESOURCE_RESERVE_CU_2", 0x31de, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SPI_RESOURCE_RESERVE_CU_1", 0x31dd, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"CB_COLOR7_CMASK_SLICE", 0xa389, {
		{"TILE_MAX", 0x3fff, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_PERF_2_OF_2", 0x23b1, {
		{"CNTR1_HI", 0x3f, 0x0},
		{"CNTR2", 0x7ffc0, 0x6},
		{"CNTR3", 0xfff80000, 0x13}
	} },
	{"GDS_WRITE_COMPLETE", 0xc409, {
		{"WRITE_COMPLETE", 0xffffffff, 0x0}
	} },
	{"CB_HW_CONTROL_1", 0x2685, {
		{"FC_CACHE_NUM_TAGS", 0x7e0, 0x5},
		{"CC_CACHE_NUM_TAGS", 0x1f800, 0xb},
		{"CHICKEN_BITS", 0xfc000000, 0x1a},
		{"CM_TILE_FIFO_DEPTH", 0x3fe0000, 0x11},
		{"CM_CACHE_NUM_TAGS", 0x1f, 0x0}
	} },
	{"CB_HW_CONTROL_3", 0x2683, {
		{"DISABLE_CC_CACHE_OVWR_STATUS_ACCUM", 0x20, 0x5},
		{"DISABLE_OVERWRITE_COMBINER_TARGET_MASK_VALIDATION", 0x100, 0x8},
		{"DISABLE_SHADER_BLEND_OPTS", 0x400, 0xa},
		{"DISABLE_ROP3_FIXES_OF_BUG_520657", 0x2000, 0xd},
		{"RAM_ADDRESS_CONFLICTS_DISALLOWED", 0x2, 0x1},
		{"DISABLE_SLOW_MODE_EMPTY_HALF_QUAD_KILL", 0x1, 0x0},
		{"DISABLE_FAST_CLEAR_FETCH_OPT", 0x4, 0x2},
		{"DISABLE_CMASK_LAST_QUAD_INSERTION", 0x800, 0xb},
		{"DISABLE_OVERWRITE_COMBINER_CAM_CLR", 0x10, 0x4},
		{"SPLIT_ALL_FAST_MODE_TRANSFERS", 0x200, 0x9},
		{"DISABLE_CC_CACHE_PANIC_GATING", 0x80, 0x7},
		{"DISABLE_QUAD_MARKER_DROP_STOP", 0x8, 0x3},
		{"DISABLE_ROP3_FIXES_OF_BUG_511967", 0x1000, 0xc}
	} },
	{"CB_HW_CONTROL_2", 0x2686, {
		{"CC_EVEN_ODD_FIFO_DEPTH", 0xff, 0x0},
		{"CHICKEN_BITS", 0xf0000000, 0x1c},
		{"FC_RDLAT_TILE_FIFO_DEPTH", 0x7f00, 0x8},
		{"FC_RDLAT_QUAD_FIFO_DEPTH", 0x7f8000, 0xf},
		{"DRR_ASSUMED_FIFO_DEPTH_DIV8", 0xf000000, 0x18}
	} },
	{"CP_RB_BASE", 0x3040, {
		{"RB_BASE", 0xffffffff, 0x0}
	} },
	{"COMPUTE_TMA_LO", 0x2e10, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DE_LAST_INVAL_COUNT", 0x20c3, {
		{"LAST_INVAL_COUNT", 0xffffffff, 0x0}
	} },
	{"CP_SCRATCH_INDEX", 0xc08f, {
		{"SCRATCH_INDEX", 0xff, 0x0}
	} },
	{"CGTS_CU0_TD_TCP_CTRL_REG", 0xf00c, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"VGT_TESS_DISTRIBUTION", 0xa2d4, {
		{"ACCUM_QUAD", 0xff0000, 0x10},
		{"ACCUM_ISOLINE", 0xff, 0x0},
		{"DONUT_SPLIT", 0xff000000, 0x18},
		{"ACCUM_TRI", 0xff00, 0x8}
	} },
	{"DB_WATERMARKS", 0x2615, {
		{"DEPTH_PENDING_FREE", 0xf8000, 0xf},
		{"AUTO_FLUSH_QUAD", 0x80000000, 0x1f},
		{"DEPTH_CACHELINE_FREE", 0x7f00000, 0x14},
		{"FORCE_SUMMARIZE", 0x7800, 0xb},
		{"RE_Z_PANIC_DISABLE", 0x20000000, 0x1d},
		{"LATE_Z_PANIC_DISABLE", 0x10000000, 0x1c},
		{"AUTO_FLUSH_HTILE", 0x40000000, 0x1e},
		{"EARLY_Z_PANIC_DISABLE", 0x8000000, 0x1b},
		{"DEPTH_FLUSH", 0x7e0, 0x5},
		{"DEPTH_FREE", 0x1f, 0x0}
	} },
	{"PA_SC_PERFCOUNTER0_SELECT1", 0xd941, {
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"CP_RB1_RPTR_ADDR_HI", 0x3063, {
		{"RB_RPTR_ADDR_HI", 0xffff, 0x0}
	} },
	{"GRBM_TRAP_ADDR", 0x201a, {
		{"DATA", 0xffff, 0x0}
	} },
	{"GDS_CS_CTXSW_STATUS", 0x334d, {
		{"UNUSED", 0xfffffffc, 0x2},
		{"R", 0x1, 0x0},
		{"W", 0x2, 0x1}
	} },
	{"PA_SU_PERFCOUNTER1_SELECT1", 0xd903, {
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"GDS_WR_DATA", 0xc406, {
		{"WRITE_DATA", 0xffffffff, 0x0}
	} },
	{"CP_ST_BUFSZ", 0xc0d4, {
		{"ST_BUFSZ", 0xfffff, 0x0}
	} },
	{"DIDT_TD_WEIGHT8_11", 0x52, {
		{"WEIGHT11", 0xff000000, 0x18},
		{"WEIGHT10", 0xff0000, 0x10},
		{"WEIGHT9", 0xff00, 0x8},
		{"WEIGHT8", 0xff, 0x0}
	} },
	{"SX_PERFCOUNTER2_LO", 0xd244, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"GDS_ATOM_DST", 0xc410, {
		{"DST", 0xffffffff, 0x0}
	} },
	{"RLC_CLK_CNTL", 0xec0b, {
		{"RESERVED", 0xfffffffc, 0x2},
		{"RLC_SPM_CLK_CNTL", 0x2, 0x1},
		{"RLC_SRM_CLK_CNTL", 0x1, 0x0}
	} },
	{"CP_SCRATCH_DATA", 0xc090, {
		{"SCRATCH_DATA", 0xffffffff, 0x0}
	} },
	{"CB_COLOR3_VIEW", 0xa348, {
		{"SLICE_MAX", 0xffe000, 0xd},
		{"SLICE_START", 0x7ff, 0x0}
	} },
	{"CP_HQD_CTX_SAVE_SIZE", 0x3276, {
		{"SIZE", 0x1fff000, 0xc}
	} },
	{"SPI_SHADER_COL_FORMAT", 0xa1c5, {
		{"COL5_EXPORT_FORMAT", 0xf00000, 0x14},
		{"COL3_EXPORT_FORMAT", 0xf000, 0xc},
		{"COL2_EXPORT_FORMAT", 0xf00, 0x8},
		{"COL1_EXPORT_FORMAT", 0xf0, 0x4},
		{"COL4_EXPORT_FORMAT", 0xf0000, 0x10},
		{"COL7_EXPORT_FORMAT", 0xf0000000, 0x1c},
		{"COL0_EXPORT_FORMAT", 0xf, 0x0},
		{"COL6_EXPORT_FORMAT", 0xf000000, 0x18}
	} },
	{"CP_STRMOUT_CNTL", 0xc03f, {
		{"OFFSET_UPDATE_DONE", 0x1, 0x0}
	} },
	{"CGTT_WD_CLK_CTRL", 0xf086, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"PERF_ENABLE", 0x2000000, 0x19},
		{"CORE_OVERRIDE", 0x20000000, 0x1d},
		{"RBIU_INPUT_OVERRIDE", 0x40000000, 0x1e},
		{"DBG_ENABLE", 0x4000000, 0x1a},
		{"REG_OVERRIDE", 0x80000000, 0x1f},
		{"TESS_OVERRIDE", 0x10000000, 0x1c},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"TD_PERFCOUNTER0_HI", 0xd301, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_DE_DE_COUNT", 0x20c4, {
		{"DRAW_ENGINE_COUNT", 0xffffffff, 0x0}
	} },
	{"CP_MEC_ME2_UCODE_ADDR", 0xf81c, {
		{"UCODE_ADDR", 0x1ffff, 0x0}
	} },
	{"TA_SCRATCH", 0x2564, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_TBA_LO_GS", 0x2c80, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"TCA_PERFCOUNTER0_HI", 0xd391, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_REG_1_OF_2", 0x23b0, {
		{"REG_ADDR", 0xffff0000, 0x10},
		{"PIPE_ID", 0x60, 0x5},
		{"REG_OP", 0x8000, 0xf},
		{"ME_ID", 0x180, 0x7},
		{"TOKEN_TYPE", 0xf, 0x0},
		{"REG_PRIV", 0x4000, 0xe},
		{"REG_TYPE", 0x1c00, 0xa},
		{"TIME_DELTA", 0x10, 0x4},
		{"REG_DROPPED_PREV", 0x200, 0x9}
	} },
	{"TCI_CNTL_1", 0x2b62, {
		{"WBINVL1_NUM_CYCLES", 0xffff, 0x0},
		{"REQ_FIFO_DEPTH", 0xff0000, 0x10},
		{"WDATA_RAM_DEPTH", 0xff000000, 0x18}
	} },
	{"GRBM_CAM_INDEX", 0xf83e, {
		{"CAM_INDEX", 0x7, 0x0}
	} },
	{"CP_CPC_IC_BASE_CNTL", 0x30bb, {
		{"MTYPE", 0x18000000, 0x1b},
		{"VMID", 0xf, 0x0},
		{"ATC", 0x800000, 0x17},
		{"CACHE_POLICY", 0x1000000, 0x18}
	} },
	{"SPI_SHADER_TBA_HI_HS", 0x2d01, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"SQ_IMG_SAMP_WORD2", 0x23ce, {
		{"XY_MIN_FILTER", 0xc00000, 0x16},
		{"MIP_FILTER", 0xc000000, 0x1a},
		{"XY_MAG_FILTER", 0x300000, 0x14},
		{"FILTER_PREC_FIX", 0x40000000, 0x1e},
		{"LOD_BIAS_SEC", 0xfc000, 0xe},
		{"Z_FILTER", 0x3000000, 0x18},
		{"ANISO_OVERRIDE", 0x80000000, 0x1f},
		{"LOD_BIAS", 0x3fff, 0x0},
		{"MIP_POINT_PRECLAMP", 0x10000000, 0x1c},
		{"DISABLE_LSB_CEIL", 0x20000000, 0x1d}
	} },
	{"CP_ME_HEADER_DUMP", 0x21a1, {
		{"ME_HEADER_DUMP", 0xffffffff, 0x0}
	} },
	{"SQC_DSM_CNTL", 0x230f, {
		{"EN_SINGLE_WR_DCACHE_GATCL1", 0x20000000, 0x1d},
		{"SEL_DATA_DCACHE_BANKD", 0x3000000, 0x18},
		{"EN_SINGLE_WR_DCACHE_BANKB", 0x100000, 0x14},
		{"SEL_DATA_DCACHE_BANKB", 0xc0000, 0x12},
		{"SEL_DATA_DCACHE_BANKC", 0x600000, 0x15},
		{"SEL_DATA_DCACHE_BANKA", 0x18000, 0xf},
		{"EN_SINGLE_WR_ICACHE_BANKD", 0x800, 0xb},
		{"EN_SINGLE_WR_ICACHE_BANKA", 0x4, 0x2},
		{"EN_SINGLE_WR_ICACHE_BANKB", 0x20, 0x5},
		{"EN_SINGLE_WR_ICACHE_BANKC", 0x100, 0x8},
		{"EN_SINGLE_WR_DCACHE_BANKC", 0x800000, 0x17},
		{"EN_SINGLE_WR_ICACHE_GATCL1", 0x4000, 0xe},
		{"EN_SINGLE_WR_DCACHE_BANKA", 0x20000, 0x11},
		{"SEL_DATA_ICACHE_GATCL1", 0x3000, 0xc},
		{"EN_SINGLE_WR_DCACHE_BANKD", 0x4000000, 0x1a},
		{"SEL_DATA_ICACHE_BANKD", 0x600, 0x9},
		{"SEL_DATA_DCACHE_GATCL1", 0x18000000, 0x1b},
		{"SEL_DATA_ICACHE_BANKA", 0x3, 0x0},
		{"SEL_DATA_ICACHE_BANKC", 0xc0, 0x6},
		{"SEL_DATA_ICACHE_BANKB", 0x18, 0x3}
	} },
	{"DB_DEPTH_SIZE", 0xa016, {
		{"HEIGHT_TILE_MAX", 0x3ff800, 0xb},
		{"PITCH_TILE_MAX", 0x7ff, 0x0}
	} },
	{"CP_HQD_ATOMIC1_PREOP_HI", 0x3264, {
		{"ATOMIC1_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"PA_CL_CLIP_CNTL", 0xa204, {
		{"VTE_VPORT_PROVOKE_DISABLE", 0x2000000, 0x19},
		{"DX_RASTERIZATION_KILL", 0x400000, 0x16},
		{"CLIP_DISABLE", 0x10000, 0x10},
		{"PS_UCP_Y_SCALE_NEG", 0x2000, 0xd},
		{"ZCLIP_FAR_DISABLE", 0x8000000, 0x1b},
		{"DIS_CLIP_ERR_DETECT", 0x100000, 0x14},
		{"DX_CLIP_SPACE_DEF", 0x80000, 0x13},
		{"VTX_KILL_OR", 0x200000, 0x15},
		{"UCP_ENA_5", 0x20, 0x5},
		{"UCP_ENA_4", 0x10, 0x4},
		{"UCP_ENA_3", 0x8, 0x3},
		{"UCP_ENA_2", 0x4, 0x2},
		{"UCP_ENA_1", 0x2, 0x1},
		{"UCP_ENA_0", 0x1, 0x0},
		{"DX_LINEAR_ATTR_CLIP_ENA", 0x1000000, 0x18},
		{"UCP_CULL_ONLY_ENA", 0x20000, 0x11},
		{"ZCLIP_NEAR_DISABLE", 0x4000000, 0x1a},
		{"PS_UCP_MODE", 0xc000, 0xe},
		{"BOUNDARY_EDGE_FLAG_ENA", 0x40000, 0x12}
	} },
	{"GC_USER_PRIM_CONFIG", 0x2241, {
		{"INACTIVE_IA", 0x30000, 0x10},
		{"INACTIVE_VGT_PA", 0xf000000, 0x18}
	} },
	{"TCP_CNTL2", 0x32b4, {
		{"LS_DISABLE_CLOCKS", 0xff, 0x0}
	} },
	{"GDS_ATOM_SRC1_U", 0xc415, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_P1_TRAP_SCREEN_PSBA_HI", 0x24f2, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"GRBM_GFX_CLKEN_CNTL", 0x200c, {
		{"POST_DELAY_CNT", 0x1f00, 0x8},
		{"PREFIX_DELAY_CNT", 0xf, 0x0}
	} },
	{"GB_TILE_MODE31", 0x2663, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"GB_TILE_MODE30", 0x2662, {
		{"PIPE_CONFIG", 0x7c0, 0x6},
		{"MICRO_TILE_MODE_NEW", 0x1c00000, 0x16},
		{"ARRAY_MODE", 0x3c, 0x2},
		{"SAMPLE_SPLIT", 0x6000000, 0x19},
		{"TILE_SPLIT", 0x3800, 0xb}
	} },
	{"CGTS_CU1_TA_CTRL_REG", 0xf00f, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"GDS_VMID3_BASE", 0x3306, {
		{"BASE", 0xffff, 0x0}
	} },
	{"PA_CL_VTE_CNTL", 0xa206, {
		{"VPORT_X_SCALE_ENA", 0x1, 0x0},
		{"VTX_Z_FMT", 0x200, 0x9},
		{"VPORT_X_OFFSET_ENA", 0x2, 0x1},
		{"VPORT_Z_SCALE_ENA", 0x10, 0x4},
		{"VTX_XY_FMT", 0x100, 0x8},
		{"VPORT_Y_SCALE_ENA", 0x4, 0x2},
		{"VPORT_Z_OFFSET_ENA", 0x20, 0x5},
		{"VPORT_Y_OFFSET_ENA", 0x8, 0x3},
		{"VTX_W0_FMT", 0x400, 0xa},
		{"PERFCOUNTER_REF", 0x800, 0xb}
	} },
	{"SQ_THREAD_TRACE_WORD_MISC", 0x23b0, {
		{"TOKEN_TYPE", 0xf, 0x0},
		{"MISC_TOKEN_TYPE", 0xe000, 0xd},
		{"SH_ID", 0x1000, 0xc},
		{"TIME_DELTA", 0xff0, 0x4}
	} },
	{"VGT_VTX_VECT_EJECT_REG", 0x222c, {
		{"PRIM_COUNT", 0x3ff, 0x0}
	} },
	{"CP_STQ_AVAIL", 0x21db, {
		{"STQ_CNT", 0x1ff, 0x0}
	} },
	{"GDS_PERFCOUNTER1_HI", 0xd283, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"GDS_VM_PROTECTION_FAULT", 0x25c4, {
		{"GRBM", 0x10, 0x4},
		{"VMID", 0xf00, 0x8},
		{"OA", 0x8, 0x3},
		{"FAULT_DETECTED", 0x2, 0x1},
		{"WRITE_DIS", 0x1, 0x0},
		{"GWS", 0x4, 0x2},
		{"ADDRESS", 0xffff0000, 0x10}
	} },
	{"SQC_ATC_EDC_GATCL1_CNT", 0x23b3, {
		{"ICACHE_DATA_SEC", 0xff, 0x0},
		{"DCACHE_DATA_SEC", 0xff0000, 0x10}
	} },
	{"CP_GDS_ATOMIC0_PREOP_HI", 0xc060, {
		{"GDS_ATOMIC0_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"RLC_STAT", 0xec04, {
		{"RLC_SRM_BUSY", 0x8, 0x3},
		{"RLC_SPM_BUSY", 0x4, 0x2},
		{"RESERVED", 0xfffffff0, 0x4},
		{"RLC_GPM_BUSY", 0x2, 0x1},
		{"RLC_BUSY", 0x1, 0x0}
	} },
	{"CP_PFP_METADATA_BASE_ADDR", 0xc0f0, {
		{"ADDR_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR_CONTROL", 0xa202, {
		{"DISABLE_DUAL_QUAD", 0x1, 0x0},
		{"DEGAMMA_ENABLE", 0x8, 0x3},
		{"MODE", 0x70, 0x4},
		{"ROP3", 0xff0000, 0x10}
	} },
	{"SPI_CONFIG_CNTL", 0x2440, {
		{"ENABLE_SQG_BOP_EVENTS", 0x2000000, 0x19},
		{"RSRC_MGMT_RESET", 0x4000000, 0x1a},
		{"TTRACE_STALL_ALL", 0x8000000, 0x1b},
		{"EXP_PRIORITY_ORDER", 0xe00000, 0x15},
		{"ENABLE_SQG_TOP_EVENTS", 0x1000000, 0x18},
		{"GPR_WRITE_PRIORITY", 0x1fffff, 0x0}
	} },
	{"PA_SC_P3D_TRAP_SCREEN_HV_LOCK", 0x22c0, {
		{"DISABLE_NON_PRIV_WRITES", 0x1, 0x0}
	} },
	{"PA_SU_SC_MODE_CNTL", 0xa205, {
		{"VTX_WINDOW_OFFSET_ENABLE", 0x10000, 0x10},
		{"MULTI_PRIM_IB_ENA", 0x200000, 0x15},
		{"POLYMODE_BACK_PTYPE", 0x700, 0x8},
		{"CULL_FRONT", 0x1, 0x0},
		{"POLY_OFFSET_FRONT_ENABLE", 0x800, 0xb},
		{"PROVOKING_VTX_LAST", 0x80000, 0x13},
		{"POLY_MODE", 0x18, 0x3},
		{"FACE", 0x4, 0x2},
		{"POLY_OFFSET_PARA_ENABLE", 0x2000, 0xd},
		{"POLYMODE_FRONT_PTYPE", 0xe0, 0x5},
		{"CULL_BACK", 0x2, 0x1},
		{"PERSP_CORR_DIS", 0x100000, 0x14},
		{"POLY_OFFSET_BACK_ENABLE", 0x1000, 0xc}
	} },
	{"RAS_SX_SIGNATURE0", 0x3382, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SX_SIGNATURE1", 0x3383, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SX_SIGNATURE2", 0x3384, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SX_SIGNATURE3", 0x3385, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"VGT_SYS_CONFIG", 0x2263, {
		{"ADC_EVENT_FILTER_DISABLE", 0x80, 0x7},
		{"DUAL_CORE_EN", 0x1, 0x0},
		{"MAX_LS_HS_THDGRP", 0x7e, 0x1}
	} },
	{"RLC_LB_CNTR_INIT", 0xec1b, {
		{"LB_CNTR_INIT", 0xffffffff, 0x0}
	} },
	{"CP_DMA_ME_SRC_ADDR", 0xc080, {
		{"SRC_ADDR", 0xffffffff, 0x0}
	} },
	{"VGT_DMA_INDEX_TYPE", 0xa29f, {
		{"SWAP_MODE", 0xc, 0x2},
		{"NOT_EOP", 0x200, 0x9},
		{"RDREQ_POLICY", 0x40, 0x6},
		{"MTYPE", 0x1800, 0xb},
		{"INDEX_TYPE", 0x3, 0x0},
		{"BUF_TYPE", 0x30, 0x4},
		{"REQ_PATH", 0x400, 0xa}
	} },
	{"CB_COLOR7_ATTRIB", 0xa386, {
		{"FMASK_TILE_MODE_INDEX", 0x3e0, 0x5},
		{"FORCE_DST_ALPHA_1", 0x20000, 0x11},
		{"NUM_SAMPLES", 0x7000, 0xc},
		{"NUM_FRAGMENTS", 0x18000, 0xf},
		{"TILE_MODE_INDEX", 0x1f, 0x0},
		{"FMASK_BANK_HEIGHT", 0xc00, 0xa}
	} },
	{"CP_COHER_SIZE", 0xc07d, {
		{"COHER_SIZE_256B", 0xffffffff, 0x0}
	} },
	{"VGT_STRMOUT_BUFFER_CONFIG", 0xa2e6, {
		{"STREAM_0_BUFFER_EN", 0xf, 0x0},
		{"STREAM_1_BUFFER_EN", 0xf0, 0x4},
		{"STREAM_2_BUFFER_EN", 0xf00, 0x8},
		{"STREAM_3_BUFFER_EN", 0xf000, 0xc}
	} },
	{"SQ_THREAD_TRACE_WORD_TIMESTAMP_1_OF_2", 0x23b0, {
		{"TOKEN_TYPE", 0xf, 0x0},
		{"TIME_LO", 0xffff0000, 0x10}
	} },
	{"SPI_SHADER_TMA_LO_VS", 0x2c42, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"DB_CREDIT_LIMIT", 0x2614, {
		{"DB_CB_TILE_CREDITS", 0x7f000000, 0x18},
		{"DB_SC_QUAD_CREDITS", 0x3e0, 0x5},
		{"DB_CB_LQUAD_CREDITS", 0x1c00, 0xa},
		{"DB_SC_TILE_CREDITS", 0x1f, 0x0}
	} },
	{"SQ_EXP_1", 0x237f, {
		{"VSRC1", 0xff00, 0x8},
		{"VSRC0", 0xff, 0x0},
		{"VSRC3", 0xff000000, 0x18},
		{"VSRC2", 0xff0000, 0x10}
	} },
	{"SQ_EXP_0", 0x237f, {
		{"EN", 0xf, 0x0},
		{"TGT", 0x3f0, 0x4},
		{"ENCODING", 0xfc000000, 0x1a},
		{"VM", 0x1000, 0xc},
		{"COMPR", 0x400, 0xa},
		{"DONE", 0x800, 0xb}
	} },
	{"CB_COLOR4_ATTRIB", 0xa359, {
		{"FMASK_TILE_MODE_INDEX", 0x3e0, 0x5},
		{"FORCE_DST_ALPHA_1", 0x20000, 0x11},
		{"NUM_SAMPLES", 0x7000, 0xc},
		{"NUM_FRAGMENTS", 0x18000, 0xf},
		{"TILE_MODE_INDEX", 0x1f, 0x0},
		{"FMASK_BANK_HEIGHT", 0xc00, 0xa}
	} },
	{"PA_CL_POINT_X_RAD", 0xa1f5, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CP_COHER_STATUS", 0xc07f, {
		{"PHASE1_STATUS", 0x40000000, 0x1e},
		{"STATUS", 0x80000000, 0x1f},
		{"MEID", 0x3000000, 0x18},
		{"MATCHING_GFX_CNTX", 0xff, 0x0}
	} },
	{"COMPUTE_START_X", 0x2e04, {
		{"START", 0xffffffff, 0x0}
	} },
	{"COMPUTE_START_Y", 0x2e05, {
		{"START", 0xffffffff, 0x0}
	} },
	{"COMPUTE_START_Z", 0x2e06, {
		{"START", 0xffffffff, 0x0}
	} },
	{"TD_STATUS", 0x2526, {
		{"BUSY", 0x80000000, 0x1f}
	} },
	{"CP_MEC1_PRGRM_CNTR_START", 0x30a6, {
		{"IP_START", 0xffff, 0x0}
	} },
	{"CB_COLOR2_PITCH", 0xa337, {
		{"FMASK_TILE_MAX", 0x7ff00000, 0x14},
		{"TILE_MAX", 0x7ff, 0x0}
	} },
	{"SPI_SHADER_TMA_LO_HS", 0x2d02, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_PERF_COUNT_1", 0xec70, {
		{"UNUSED", 0xc0000, 0x12},
		{"ENABLE", 0x100000, 0x14},
		{"RESERVED", 0xffe00000, 0x15},
		{"EVENT_SEL", 0x30000, 0x10},
		{"SH_INDEX", 0xf00, 0x8},
		{"SE_INDEX", 0xf0, 0x4},
		{"FEATURE_SEL", 0xf, 0x0},
		{"CU_INDEX", 0xf000, 0xc}
	} },
	{"RLC_GPM_PERF_COUNT_0", 0xec6f, {
		{"UNUSED", 0xc0000, 0x12},
		{"ENABLE", 0x100000, 0x14},
		{"RESERVED", 0xffe00000, 0x15},
		{"EVENT_SEL", 0x30000, 0x10},
		{"SH_INDEX", 0xf00, 0x8},
		{"SE_INDEX", 0xf0, 0x4},
		{"FEATURE_SEL", 0xf, 0x0},
		{"CU_INDEX", 0xf000, 0xc}
	} },
	{"GDS_PS6_CTXSW_CNT1", 0x3370, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"CP_EOP_LAST_FENCE_HI", 0xc005, {
		{"LAST_FENCE_HI", 0xffffffff, 0x0}
	} },
	{"TCC_EDC_CNT", 0x2b82, {
		{"DED_COUNT", 0xff0000, 0x10},
		{"SEC_COUNT", 0xff, 0x0}
	} },
	{"CGTS_CU1_SP1_CTRL_REG", 0xf010, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"TCC_PERFCOUNTER0_SELECT", 0xdb80, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"SQ_THREAD_TRACE_WORD_INST_PC_1_OF_2", 0x23b0, {
		{"TOKEN_TYPE", 0xf, 0x0},
		{"PC_LO", 0xffff0000, 0x10},
		{"WAVE_ID", 0x1e0, 0x5},
		{"SIMD_ID", 0x600, 0x9},
		{"TIME_DELTA", 0x10, 0x4}
	} },
	{"PA_SC_AA_MASK_X0Y0_X1Y0", 0xa30e, {
		{"AA_MASK_X1Y0", 0xffff0000, 0x10},
		{"AA_MASK_X0Y0", 0xffff, 0x0}
	} },
	{"VGT_GSVS_RING_SIZE", 0xc241, {
		{"MEM_SIZE", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_VMID", 0xec71, {
		{"RLC_SPM_VMID", 0xf, 0x0},
		{"RESERVED", 0xfffffff0, 0x4}
	} },
	{"SPI_GDBG_TRAP_MASK", 0x31d3, {
		{"EXCP_EN", 0x1ff, 0x0},
		{"REPLACE", 0x200, 0x9}
	} },
	{"CGTS_CU9_SP0_CTRL_REG", 0xf035, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"RLC_PG_CNTL", 0xec43, {
		{"SMU_CLK_SLOWDOWN_ON_PU_ENABLE", 0x20000, 0x11},
		{"RESERVED", 0x3fe0, 0x5},
		{"CHUB_HANDSHAKE_ENABLE", 0x10000, 0x10},
		{"SMU_HANDSHAKE_ENABLE", 0x80000, 0x13},
		{"DYN_PER_CU_PG_ENABLE", 0x4, 0x2},
		{"PG_OVERRIDE", 0x4000, 0xe},
		{"CP_PG_DISABLE", 0x8000, 0xf},
		{"STATIC_PER_CU_PG_ENABLE", 0x8, 0x3},
		{"GFX_POWER_GATING_SRC", 0x2, 0x1},
		{"GFX_PIPELINE_PG_ENABLE", 0x10, 0x4},
		{"RESERVED1", 0xf00000, 0x14},
		{"SMU_CLK_SLOWDOWN_ON_PD_ENABLE", 0x40000, 0x12},
		{"GFX_POWER_GATING_ENABLE", 0x1, 0x0}
	} },
	{"CP_CPF_BUSY_STAT", 0x2088, {
		{"HQD_IB_FETCHER_BUSY", 0x80000, 0x13},
		{"CSF_CE_INDR2_BUSY", 0x40, 0x6},
		{"HQD_DISPATCH_BUSY", 0x1000, 0xc},
		{"REG_BUS_FIFO_BUSY", 0x1, 0x0},
		{"HPD_PROCESSING_EOP_BUSY", 0x800, 0xb},
		{"HQD_WPTR_POLL_BUSY", 0x20000000, 0x1d},
		{"OUTSTANDING_READ_TAGS", 0x200, 0x9},
		{"HQD_EOP_FETCHER_BUSY", 0x200000, 0x15},
		{"HQD_ROQ_IQ_BUSY", 0x4000000, 0x1a},
		{"HQD_WAIT_SEMAPHORE_BUSY", 0x8000, 0xf},
		{"CSF_ARBITER_BUSY", 0x80, 0x7},
		{"HQD_PQ_FETCHER_BUSY", 0x40000, 0x12},
		{"CSF_INPUT_BUSY", 0x100, 0x8},
		{"HQD_IQ_TIMER_BUSY", 0x2000, 0xd},
		{"HQD_SIGNAL_SEMAPHORE_BUSY", 0x10000, 0x10},
		{"HQD_PQ_BUSY", 0x40000000, 0x1e},
		{"HQD_IB_BUSY", 0x80000000, 0x1f},
		{"HQD_ROQ_IB_BUSY", 0x10000000, 0x1c},
		{"HQD_DMA_OFFLOAD_BUSY", 0x4000, 0xe},
		{"HQD_ROQ_ALIGN_BUSY", 0x1000000, 0x18},
		{"HQD_ROQ_PQ_BUSY", 0x8000000, 0x1b},
		{"CSF_INDIRECT1_BUSY", 0x4, 0x2},
		{"HQD_FETCHER_ARB_BUSY", 0x800000, 0x17},
		{"CSF_RING_BUSY", 0x2, 0x1},
		{"HQD_ROQ_EOP_BUSY", 0x2000000, 0x19},
		{"CSF_INDIRECT2_BUSY", 0x8, 0x3},
		{"HQD_MESSAGE_BUSY", 0x20000, 0x11},
		{"HQD_IQ_FETCHER_BUSY", 0x100000, 0x14},
		{"CSF_CE_INDR1_BUSY", 0x20, 0x5},
		{"CSF_STATE_BUSY", 0x10, 0x4},
		{"HQD_CONSUMED_RPTR_BUSY", 0x400000, 0x16}
	} },
	{"SPI_PS_INPUT_CNTL_16", 0xa1a1, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_15", 0xa1a0, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_14", 0xa19f, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_13", 0xa19e, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_12", 0xa19d, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"DB_PERFCOUNTER1_SELECT", 0xdc42, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"SPI_PS_INPUT_CNTL_10", 0xa19b, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"CGTS_CU10_TD_TCP_CTRL_REG", 0xf03e, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"GB_ADDR_CONFIG", 0x263e, {
		{"BANK_INTERLEAVE_SIZE", 0x700, 0x8},
		{"MULTI_GPU_TILE_SIZE", 0x3000000, 0x18},
		{"NUM_GPUS", 0x700000, 0x14},
		{"NUM_PIPES", 0x7, 0x0},
		{"NUM_SHADER_ENGINES", 0x3000, 0xc},
		{"PIPE_INTERLEAVE_SIZE", 0x70, 0x4},
		{"SHADER_ENGINE_TILE_SIZE", 0x70000, 0x10},
		{"NUM_LOWER_PIPES", 0x40000000, 0x1e},
		{"ROW_SIZE", 0x30000000, 0x1c}
	} },
	{"SPI_PS_INPUT_CNTL_18", 0xa1a3, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"RLC_SRM_INDEX_CNTL_DATA_2", 0xec95, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_DATA_3", 0xec96, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_DATA_0", 0xec93, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_DATA_1", 0xec94, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_DATA_6", 0xec99, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_DATA_7", 0xec9a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_DATA_4", 0xec97, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_DATA_5", 0xec98, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_PS_INPUT_ADDR", 0xa1b4, {
		{"SAMPLE_COVERAGE_ENA", 0x4000, 0xe},
		{"PERSP_CENTROID_ENA", 0x4, 0x2},
		{"PERSP_PULL_MODEL_ENA", 0x8, 0x3},
		{"FRONT_FACE_ENA", 0x1000, 0xc},
		{"POS_FIXED_PT_ENA", 0x8000, 0xf},
		{"POS_W_FLOAT_ENA", 0x800, 0xb},
		{"LINEAR_SAMPLE_ENA", 0x10, 0x4},
		{"ANCILLARY_ENA", 0x2000, 0xd},
		{"PERSP_SAMPLE_ENA", 0x1, 0x0},
		{"LINE_STIPPLE_TEX_ENA", 0x80, 0x7},
		{"PERSP_CENTER_ENA", 0x2, 0x1},
		{"POS_Z_FLOAT_ENA", 0x400, 0xa},
		{"POS_X_FLOAT_ENA", 0x100, 0x8},
		{"POS_Y_FLOAT_ENA", 0x200, 0x9},
		{"LINEAR_CENTER_ENA", 0x20, 0x5},
		{"LINEAR_CENTROID_ENA", 0x40, 0x6}
	} },
	{"GDS_VMID14_BASE", 0x331c, {
		{"BASE", 0xffff, 0x0}
	} },
	{"RAS_SIGNATURE_CONTROL", 0x3380, {
		{"ENABLE", 0x1, 0x0}
	} },
	{"CB_COLOR3_DCC_CONTROL", 0xa34b, {
		{"OVERWRITE_COMBINER_DISABLE", 0x1, 0x0},
		{"KEY_CLEAR_ENABLE", 0x2, 0x1},
		{"MAX_UNCOMPRESSED_BLOCK_SIZE", 0xc, 0x2},
		{"LOSSY_ALPHA_PRECISION", 0x3c000, 0xe},
		{"INDEPENDENT_64B_BLOCKS", 0x200, 0x9},
		{"COLOR_TRANSFORM", 0x180, 0x7},
		{"LOSSY_RGB_PRECISION", 0x3c00, 0xa},
		{"MAX_COMPRESSED_BLOCK_SIZE", 0x60, 0x5},
		{"MIN_COMPRESSED_BLOCK_SIZE", 0x10, 0x4}
	} },
	{"CP_MEC_ME1_UCODE_ADDR", 0xf81a, {
		{"UCODE_ADDR", 0x1ffff, 0x0}
	} },
	{"VGT_PERFCOUNTER3_SELECT", 0xd88f, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"CP_CEQ1_AVAIL", 0x21e6, {
		{"CEQ_CNT_IB1", 0x7ff0000, 0x10},
		{"CEQ_CNT_RING", 0x7ff, 0x0}
	} },
	{"SPI_TMPRING_SIZE", 0xa1ba, {
		{"WAVESIZE", 0x1fff000, 0xc},
		{"WAVES", 0xfff, 0x0}
	} },
	{"SQ_FLAT_0", 0x237f, {
		{"GLC", 0x10000, 0x10},
		{"ENCODING", 0xfc000000, 0x1a},
		{"OP", 0x1fc0000, 0x12},
		{"SLC", 0x20000, 0x11}
	} },
	{"CB_BLEND4_CONTROL", 0xa1e4, {
		{"DISABLE_ROP3", 0x80000000, 0x1f},
		{"SEPARATE_ALPHA_BLEND", 0x20000000, 0x1d},
		{"ALPHA_DESTBLEND", 0x1f000000, 0x18},
		{"COLOR_COMB_FCN", 0xe0, 0x5},
		{"COLOR_DESTBLEND", 0x1f00, 0x8},
		{"COLOR_SRCBLEND", 0x1f, 0x0},
		{"ENABLE", 0x40000000, 0x1e},
		{"ALPHA_COMB_FCN", 0xe00000, 0x15},
		{"ALPHA_SRCBLEND", 0x1f0000, 0x10}
	} },
	{"CGTT_TCI_CLK_CTRL", 0xf09f, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"GB_EDC_MODE", 0x307e, {
		{"FORCE_SEC_ON_DED", 0x10000, 0x10},
		{"PROP_FED", 0x20000000, 0x1d},
		{"BYPASS", 0x80000000, 0x1f},
		{"DED_MODE", 0x300000, 0x14}
	} },
	{"DB_PRELOAD_CONTROL", 0xa2b2, {
		{"MAX_Y", 0xff000000, 0x18},
		{"MAX_X", 0xff0000, 0x10},
		{"START_X", 0xff, 0x0},
		{"START_Y", 0xff00, 0x8}
	} },
	{"GDS_PS2_CTXSW_CNT2", 0x3361, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS2_CTXSW_CNT3", 0x3362, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"SQ_REG_TIMESTAMP", 0x2374, {
		{"TIMESTAMP", 0xff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER3_SELECT", 0xd944, {
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"CGTS_CU12_LDS_SQ_CTRL_REG", 0xf045, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"SCRATCH_ADDR", 0xc051, {
		{"OBSOLETE_ADDR", 0xffffffff, 0x0}
	} },
	{"DB_Z_READ_BASE", 0xa012, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"VGT_PERFCOUNTER1_LO", 0xd092, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"TCA_PERFCOUNTER1_SELECT", 0xdb92, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"PA_SC_HP3D_TRAP_SCREEN_COUNT", 0xc2ac, {
		{"COUNT", 0xffff, 0x0}
	} },
	{"SPI_GDBG_TRAP_CONFIG", 0x31d2, {
		{"VMID_SEL", 0xffff0000, 0x10},
		{"PIPE_SEL", 0xc, 0x2},
		{"PIPE_MATCH", 0x100, 0x8},
		{"TRAP_EN", 0x8000, 0xf},
		{"ME_MATCH", 0x80, 0x7},
		{"ME_SEL", 0x3, 0x0},
		{"QUEUE_MATCH", 0x200, 0x9},
		{"QUEUE_SEL", 0x70, 0x4}
	} },
	{"SQ_THREAD_TRACE_TOKEN_MASK2", 0xc338, {
		{"INST_MASK", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER10_HI", 0xd1d5, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_SQG_PERFMON_SAMPLE_DELAY", 0xdc98, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"GDS_VMID7_BASE", 0x330e, {
		{"BASE", 0xffff, 0x0}
	} },
	{"SPI_PERFCOUNTER5_HI", 0xd18a, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"RLC_THREAD1_DELAY", 0xec52, {
		{"LBPW_INNER_LOOP_DELAY", 0xff00, 0x8},
		{"LBPW_OUTER_LOOP_DELAY", 0xff0000, 0x10},
		{"SPARE", 0xff000000, 0x18},
		{"CU_IDEL_DELAY", 0xff, 0x0}
	} },
	{"PA_SC_WINDOW_OFFSET", 0xa080, {
		{"WINDOW_Y_OFFSET", 0xffff0000, 0x10},
		{"WINDOW_X_OFFSET", 0xffff, 0x0}
	} },
	{"IA_CNTL_STATUS", 0x2237, {
		{"IA_DMA_BUSY", 0x2, 0x1},
		{"IA_GRP_BUSY", 0x8, 0x3},
		{"IA_DMA_REQ_BUSY", 0x4, 0x2},
		{"IA_ADC_BUSY", 0x10, 0x4},
		{"IA_BUSY", 0x1, 0x0}
	} },
	{"TCP_GATCL1_DSM_CNTL", 0x32b2, {
		{"SEL_DSM_TCP_GATCL1_IRRITATOR_DATA_A0", 0x1, 0x0},
		{"SEL_DSM_TCP_GATCL1_IRRITATOR_DATA_A1", 0x2, 0x1},
		{"TCP_GATCL1_ENABLE_SINGLE_WRITE_A", 0x4, 0x2}
	} },
	{"CGTS_CU2_LDS_SQ_CTRL_REG", 0xf013, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"SPI_SX_EXPORT_BUFFER_SIZES", 0x24d9, {
		{"POSITION_BUFFER_SIZE", 0xffff0000, 0x10},
		{"COLOR_BUFFER_SIZE", 0xffff, 0x0}
	} },
	{"TD_PERFCOUNTER0_SELECT", 0xdb00, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0x3fc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"CP_RB0_RPTR_ADDR_HI", 0x3044, {
		{"RB_RPTR_ADDR_HI", 0xffff, 0x0}
	} },
	{"COMPUTE_RELAUNCH", 0x2e22, {
		{"IS_STATE", 0x80000000, 0x1f},
		{"PAYLOAD", 0x3fffffff, 0x0},
		{"IS_EVENT", 0x40000000, 0x1e}
	} },
	{"TCP_WATCH3_CNTL", 0x32ab, {
		{"VMID", 0xf000000, 0x18},
		{"VALID", 0x80000000, 0x1f},
		{"MASK", 0xffffff, 0x0},
		{"ATC", 0x10000000, 0x1c},
		{"MODE", 0x60000000, 0x1d}
	} },
	{"GDS_PERFCOUNTER0_SELECT1", 0xda84, {
		{"PERFCOUNTER_SELECT3", 0xffc00, 0xa},
		{"PERFCOUNTER_SELECT2", 0x3ff, 0x0}
	} },
	{"CB_COLOR0_FMASK_SLICE", 0xa322, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"GDS_VMID4_SIZE", 0x3309, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"CP_MEC1_INTR_ROUTINE_START", 0x30ab, {
		{"IR_START", 0xffff, 0x0}
	} },
	{"CP_VGT_IAVERT_COUNT_HI", 0xc01b, {
		{"IAVERT_COUNT_HI", 0xffffffff, 0x0}
	} },
	{"TCA_PERFCOUNTER2_LO", 0xd394, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"VGT_PRIMITIVEID_EN", 0xa2a1, {
		{"DISABLE_RESET_ON_EOI", 0x2, 0x1},
		{"PRIMITIVEID_EN", 0x1, 0x0}
	} },
	{"RLC_SPM_TA_PERFMON_SAMPLE_DELAY", 0xdc94, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"GRBM_PWR_CNTL", 0x2003, {
		{"GFX_REQ_EN", 0x4000, 0xe},
		{"ALL_REQ_EN", 0x8000, 0xf},
		{"GFX_REQ_TYPE", 0xc, 0x2},
		{"ALL_REQ_TYPE", 0x3, 0x0},
		{"ALL_RSP_TYPE", 0x30, 0x4},
		{"GFX_RSP_TYPE", 0xc0, 0x6}
	} },
	{"SQ_REG_CREDITS", 0x2304, {
		{"IMMED_OVERFLOW", 0x40000000, 0x1e},
		{"CMD_CREDITS", 0xf00, 0x8},
		{"SRBM_CREDITS", 0x3f, 0x0},
		{"SRBM_OVERFLOW", 0x20000000, 0x1d},
		{"CMD_OVERFLOW", 0x80000000, 0x1f},
		{"REG_BUSY", 0x10000000, 0x1c}
	} },
	{"RLC_PERFCOUNTER0_LO", 0xd480, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER5_HI", 0xd1cb, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"VGT_HOS_MAX_TESS_LEVEL", 0xa286, {
		{"MAX_TESS", 0xffffffff, 0x0}
	} },
	{"SPI_COMPUTE_QUEUE_RESET", 0x31db, {
		{"RESET", 0x1, 0x0}
	} },
	{"CB_COLOR2_CLEAR_WORD1", 0xa342, {
		{"CLEAR_WORD1", 0xffffffff, 0x0}
	} },
	{"CB_COLOR2_CLEAR_WORD0", 0xa341, {
		{"CLEAR_WORD0", 0xffffffff, 0x0}
	} },
	{"GDS_GWS_RESET0", 0x3344, {
		{"RESOURCE0_RESET", 0x1, 0x0},
		{"RESOURCE23_RESET", 0x800000, 0x17},
		{"RESOURCE1_RESET", 0x2, 0x1},
		{"RESOURCE8_RESET", 0x100, 0x8},
		{"RESOURCE21_RESET", 0x200000, 0x15},
		{"RESOURCE18_RESET", 0x40000, 0x12},
		{"RESOURCE14_RESET", 0x4000, 0xe},
		{"RESOURCE24_RESET", 0x1000000, 0x18},
		{"RESOURCE13_RESET", 0x2000, 0xd},
		{"RESOURCE7_RESET", 0x80, 0x7},
		{"RESOURCE16_RESET", 0x10000, 0x10},
		{"RESOURCE11_RESET", 0x800, 0xb},
		{"RESOURCE25_RESET", 0x2000000, 0x19},
		{"RESOURCE29_RESET", 0x20000000, 0x1d},
		{"RESOURCE30_RESET", 0x40000000, 0x1e},
		{"RESOURCE28_RESET", 0x10000000, 0x1c},
		{"RESOURCE22_RESET", 0x400000, 0x16},
		{"RESOURCE31_RESET", 0x80000000, 0x1f},
		{"RESOURCE12_RESET", 0x1000, 0xc},
		{"RESOURCE20_RESET", 0x100000, 0x14},
		{"RESOURCE6_RESET", 0x40, 0x6},
		{"RESOURCE4_RESET", 0x10, 0x4},
		{"RESOURCE19_RESET", 0x80000, 0x13},
		{"RESOURCE3_RESET", 0x8, 0x3},
		{"RESOURCE2_RESET", 0x4, 0x2},
		{"RESOURCE17_RESET", 0x20000, 0x11},
		{"RESOURCE15_RESET", 0x8000, 0xf},
		{"RESOURCE9_RESET", 0x200, 0x9},
		{"RESOURCE10_RESET", 0x400, 0xa},
		{"RESOURCE27_RESET", 0x8000000, 0x1b},
		{"RESOURCE26_RESET", 0x4000000, 0x1a},
		{"RESOURCE5_RESET", 0x20, 0x5}
	} },
	{"GDS_GWS_RESET1", 0x3345, {
		{"RESOURCE34_RESET", 0x4, 0x2},
		{"RESOURCE43_RESET", 0x800, 0xb},
		{"RESOURCE62_RESET", 0x40000000, 0x1e},
		{"RESOURCE38_RESET", 0x40, 0x6},
		{"RESOURCE46_RESET", 0x4000, 0xe},
		{"RESOURCE54_RESET", 0x400000, 0x16},
		{"RESOURCE58_RESET", 0x4000000, 0x1a},
		{"RESOURCE48_RESET", 0x10000, 0x10},
		{"RESOURCE61_RESET", 0x20000000, 0x1d},
		{"RESOURCE56_RESET", 0x1000000, 0x18},
		{"RESOURCE53_RESET", 0x200000, 0x15},
		{"RESOURCE57_RESET", 0x2000000, 0x19},
		{"RESOURCE51_RESET", 0x80000, 0x13},
		{"RESOURCE41_RESET", 0x200, 0x9},
		{"RESOURCE39_RESET", 0x80, 0x7},
		{"RESOURCE50_RESET", 0x40000, 0x12},
		{"RESOURCE55_RESET", 0x800000, 0x17},
		{"RESOURCE36_RESET", 0x10, 0x4},
		{"RESOURCE47_RESET", 0x8000, 0xf},
		{"RESOURCE63_RESET", 0x80000000, 0x1f},
		{"RESOURCE33_RESET", 0x2, 0x1},
		{"RESOURCE45_RESET", 0x2000, 0xd},
		{"RESOURCE59_RESET", 0x8000000, 0x1b},
		{"RESOURCE40_RESET", 0x100, 0x8},
		{"RESOURCE49_RESET", 0x20000, 0x11},
		{"RESOURCE32_RESET", 0x1, 0x0},
		{"RESOURCE44_RESET", 0x1000, 0xc},
		{"RESOURCE60_RESET", 0x10000000, 0x1c},
		{"RESOURCE42_RESET", 0x400, 0xa},
		{"RESOURCE52_RESET", 0x100000, 0x14},
		{"RESOURCE35_RESET", 0x8, 0x3},
		{"RESOURCE37_RESET", 0x20, 0x5}
	} },
	{"CP_CPC_IC_BASE_LO", 0x30b9, {
		{"IC_BASE_LO", 0xfffff000, 0xc}
	} },
	{"SPI_SHADER_PGM_HI_LS", 0x2d49, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"RLC_ROM_CNTL", 0xf836, {
		{"CU_HARVEST_EN", 0x10, 0x4},
		{"RESERVED", 0xffffffe0, 0x5},
		{"SLP_MODE_EN", 0x2, 0x1},
		{"HELLOWORLD_EN", 0x8, 0x3},
		{"USE_ROM", 0x1, 0x0},
		{"EFUSE_DISTRIB_EN", 0x4, 0x2}
	} },
	{"PA_SC_PERFCOUNTER0_HI", 0xd141, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"DIDT_TD_CTRL1", 0x41, {
		{"MAX_POWER", 0xffff0000, 0x10},
		{"MIN_POWER", 0xffff, 0x0}
	} },
	{"CP_DMA_ME_DST_ADDR_HI", 0xc083, {
		{"DST_ADDR_HI", 0xffff, 0x0}
	} },
	{"GRBM_NOWHERE", 0x203f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_RB_WPTR_POLL_ADDR_LO", 0x3046, {
		{"RB_WPTR_POLL_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"CP_MEC_DOORBELL_RANGE_UPPER", 0x305d, {
		{"DOORBELL_RANGE_UPPER", 0x7ffffc, 0x2}
	} },
	{"CP_HQD_CNTL_STACK_OFFSET", 0x3273, {
		{"OFFSET", 0x7ffc, 0x2}
	} },
	{"CP_SC_PSINVOC_COUNT0_LO", 0xc02c, {
		{"PSINVOC_COUNT0_LO", 0xffffffff, 0x0}
	} },
	{"CP_DRAW_OBJECT_COUNTER", 0xd811, {
		{"COUNT", 0xffff, 0x0}
	} },
	{"CP_HQD_EOP_EVENTS", 0x326f, {
		{"CS_PARTIAL_FLUSH_PEND", 0x10000, 0x10},
		{"EVENT_COUNT", 0xfff, 0x0}
	} },
	{"CGTS_CU8_SP0_CTRL_REG", 0xf030, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"PA_SC_GENERIC_SCISSOR_BR", 0xa091, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CP_PFP_GDS_ATOMIC0_PREOP_HI", 0xc055, {
		{"GDS_ATOMIC0_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"CP_HQD_ACTIVE", 0x3247, {
		{"ACTIVE", 0x1, 0x0},
		{"BUSY_GATE", 0x2, 0x1}
	} },
	{"RLC_SPM_INT_CNTL", 0xec72, {
		{"RESERVED", 0xfffffffe, 0x1},
		{"RLC_SPM_INT_CNTL", 0x1, 0x0}
	} },
	{"CB_COLOR6_PITCH", 0xa373, {
		{"FMASK_TILE_MAX", 0x7ff00000, 0x14},
		{"TILE_MAX", 0x7ff, 0x0}
	} },
	{"DB_ALPHA_TO_MASK", 0xa2dc, {
		{"OFFSET_ROUND", 0x10000, 0x10},
		{"ALPHA_TO_MASK_OFFSET0", 0x300, 0x8},
		{"ALPHA_TO_MASK_OFFSET1", 0xc00, 0xa},
		{"ALPHA_TO_MASK_OFFSET2", 0x3000, 0xc},
		{"ALPHA_TO_MASK_OFFSET3", 0xc000, 0xe},
		{"ALPHA_TO_MASK_ENABLE", 0x1, 0x0}
	} },
	{"SQ_PERFCOUNTER3_LO", 0xd1c6, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SX_PS_DOWNCONVERT", 0xa1d5, {
		{"MRT5", 0xf00000, 0x14},
		{"MRT4", 0xf0000, 0x10},
		{"MRT7", 0xf0000000, 0x1c},
		{"MRT6", 0xf000000, 0x18},
		{"MRT1", 0xf0, 0x4},
		{"MRT0", 0xf, 0x0},
		{"MRT3", 0xf000, 0xc},
		{"MRT2", 0xf00, 0x8}
	} },
	{"DB_STENCIL_WRITE_BASE", 0xa015, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_DEBUG_SELECT", 0xec74, {
		{"RESERVED", 0x7f00, 0x8},
		{"RLC_SPM_DEBUG_MODE", 0x8000, 0xf},
		{"SELECT", 0xff, 0x0},
		{"RLC_SPM_NUM_SAMPLE", 0xffff0000, 0x10}
	} },
	{"TCC_PERFCOUNTER1_HI", 0xd383, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_VGT_VSINVOC_COUNT_HI", 0xc021, {
		{"VSINVOC_COUNT_HI", 0xffffffff, 0x0}
	} },
	{"RLC_LB_PARAMS", 0xec51, {
		{"PG_IDLE_SAMPLES", 0xff00, 0x8},
		{"PG_IDLE_SAMPLE_INTERVAL", 0xffff0000, 0x10},
		{"FIFO_SAMPLES", 0xfe, 0x1},
		{"SKIP_L2_CHECK", 0x1, 0x0}
	} },
	{"SH_STATIC_MEM_CONFIG", 0x2581, {
		{"ELEMENT_SIZE", 0x6, 0x1},
		{"INDEX_STRIDE", 0x18, 0x3},
		{"SWIZZLE_ENABLE", 0x1, 0x0},
		{"PRIVATE_MTYPE", 0xe0, 0x5},
		{"READ_ONLY_CNTL", 0xff00, 0x8}
	} },
	{"CP_DMA_ME_COMMAND", 0xc084, {
		{"SAIC", 0x10000000, 0x1c},
		{"DST_SWAP", 0x3000000, 0x18},
		{"DIS_WC", 0x200000, 0x15},
		{"BYTE_COUNT", 0x1fffff, 0x0},
		{"SRC_SWAP", 0xc00000, 0x16},
		{"DAIC", 0x20000000, 0x1d},
		{"RAW_WAIT", 0x40000000, 0x1e},
		{"DAS", 0x8000000, 0x1b},
		{"SAS", 0x4000000, 0x1a}
	} },
	{"GRBM_SE3_PERFCOUNTER_SELECT", 0xd845, {
		{"SC_BUSY_USER_DEFINED_MASK", 0x10000, 0x10},
		{"VGT_BUSY_USER_DEFINED_MASK", 0x80000, 0x13},
		{"DB_CLEAN_USER_DEFINED_MASK", 0x400, 0xa},
		{"BCI_BUSY_USER_DEFINED_MASK", 0x200000, 0x15},
		{"DB_BUSY_USER_DEFINED_MASK", 0x20000, 0x11},
		{"SPI_BUSY_USER_DEFINED_MASK", 0x8000, 0xf},
		{"TA_BUSY_USER_DEFINED_MASK", 0x1000, 0xc},
		{"PA_BUSY_USER_DEFINED_MASK", 0x100000, 0x14},
		{"PERF_SEL", 0x3f, 0x0},
		{"CB_BUSY_USER_DEFINED_MASK", 0x40000, 0x12},
		{"SX_BUSY_USER_DEFINED_MASK", 0x2000, 0xd},
		{"CB_CLEAN_USER_DEFINED_MASK", 0x800, 0xb}
	} },
	{"CB_COLOR5_INFO", 0xa367, {
		{"COMP_SWAP", 0x1800, 0xb},
		{"CMASK_IS_LINEAR", 0x80000, 0x13},
		{"DCC_ENABLE", 0x10000000, 0x1c},
		{"COMPRESSION", 0x4000, 0xe},
		{"FMASK_COMPRESS_1FRAG_ONLY", 0x8000000, 0x1b},
		{"FORMAT", 0x7c, 0x2},
		{"BLEND_CLAMP", 0x8000, 0xf},
		{"ROUND_MODE", 0x40000, 0x12},
		{"CMASK_ADDR_TYPE", 0x60000000, 0x1d},
		{"LINEAR_GENERAL", 0x80, 0x7},
		{"BLEND_OPT_DISCARD_PIXEL", 0x3800000, 0x17},
		{"BLEND_OPT_DONT_RD_DST", 0x700000, 0x14},
		{"NUMBER_TYPE", 0x700, 0x8},
		{"ENDIAN", 0x3, 0x0},
		{"BLEND_BYPASS", 0x10000, 0x10},
		{"FMASK_COMPRESSION_DISABLE", 0x4000000, 0x1a},
		{"FAST_CLEAR", 0x2000, 0xd},
		{"SIMPLE_FLOAT", 0x20000, 0x11}
	} },
	{"SPI_LB_CU_MASK", 0x24d5, {
		{"CU_MASK", 0xffff, 0x0}
	} },
	{"VGT_GROUP_VECT_1_FMT_CNTL", 0xa28f, {
		{"Z_CONV", 0xf0000, 0x10},
		{"W_OFFSET", 0xf0000000, 0x1c},
		{"Z_OFFSET", 0xf00000, 0x14},
		{"W_CONV", 0xf000000, 0x18},
		{"Y_OFFSET", 0xf000, 0xc},
		{"X_OFFSET", 0xf0, 0x4},
		{"Y_CONV", 0xf00, 0x8},
		{"X_CONV", 0xf, 0x0}
	} },
	{"SQ_PERFCOUNTER7_LO", 0xd1ce, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_ME2_PIPE2_PRIORITY", 0x30a1, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"SQ_IND_DATA", 0x2379, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_3_BR", 0xa09b, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"GRBM_READ_ERROR", 0x2016, {
		{"READ_MEID", 0xc00000, 0x16},
		{"READ_ADDRESS", 0x3fffc, 0x2},
		{"READ_PIPEID", 0x300000, 0x14},
		{"READ_ERROR", 0x80000000, 0x1f}
	} },
	{"RLC_SPM_CPG_PERFMON_SAMPLE_DELAY", 0xdc87, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"SPI_SHADER_PGM_RSRC1_ES", 0x2cca, {
		{"FLOAT_MODE", 0xff000, 0xc},
		{"CACHE_CTL", 0x38000000, 0x1b},
		{"CU_GROUP_ENABLE", 0x4000000, 0x1a},
		{"CDBG_USER", 0x40000000, 0x1e},
		{"VGPR_COMP_CNT", 0x3000000, 0x18},
		{"IEEE_MODE", 0x800000, 0x17},
		{"PRIORITY", 0xc00, 0xa},
		{"SGPRS", 0x3c0, 0x6},
		{"DEBUG_MODE", 0x400000, 0x16},
		{"VGPRS", 0x3f, 0x0},
		{"DX10_CLAMP", 0x200000, 0x15},
		{"PRIV", 0x100000, 0x14}
	} },
	{"RLC_AUTO_PG_CTRL", 0xec55, {
		{"PG_AFTER_GRBM_REG_SAVE_THRESHOLD", 0xfff80000, 0x13},
		{"AUTO_WAKE_UP_EN", 0x4, 0x2},
		{"AUTO_GRBM_REG_SAVE_ON_IDLE_EN", 0x2, 0x1},
		{"AUTO_PG_EN", 0x1, 0x0},
		{"GRBM_REG_SAVE_GFX_IDLE_THRESHOLD", 0x7fff8, 0x3}
	} },
	{"SQ_WAVE_TBA_LO", 0x26c, {
		{"ADDR_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR3_ATTRIB", 0xa34a, {
		{"FMASK_TILE_MODE_INDEX", 0x3e0, 0x5},
		{"FORCE_DST_ALPHA_1", 0x20000, 0x11},
		{"NUM_SAMPLES", 0x7000, 0xc},
		{"NUM_FRAGMENTS", 0x18000, 0xf},
		{"TILE_MODE_INDEX", 0x1f, 0x0},
		{"FMASK_BANK_HEIGHT", 0xc00, 0xa}
	} },
	{"SQ_INST", 0x237f, {
		{"ENCODING", 0xffffffff, 0x0}
	} },
	{"COMPUTE_DISPATCH_INITIATOR", 0x2e00, {
		{"RESTORE", 0x4000, 0xe},
		{"DATA_ATC", 0x1000, 0xc},
		{"ORDERED_APPEND_ENBL", 0x8, 0x3},
		{"DISPATCH_CACHE_CNTL", 0x380, 0x7},
		{"USE_THREAD_DIMENSIONS", 0x20, 0x5},
		{"ORDER_MODE", 0x40, 0x6},
		{"COMPUTE_SHADER_EN", 0x1, 0x0},
		{"SCALAR_L1_INV_VOL", 0x400, 0xa},
		{"FORCE_START_AT_000", 0x4, 0x2},
		{"PARTIAL_TG_EN", 0x2, 0x1},
		{"VECTOR_L1_INV_VOL", 0x800, 0xb},
		{"ORDERED_APPEND_MODE", 0x10, 0x4}
	} },
	{"PA_SC_VPORT_SCISSOR_9_TL", 0xa0a6, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"RLC_CSIB_ADDR_HI", 0xeca3, {
		{"ADDRESS", 0xffff, 0x0}
	} },
	{"CP_ME_GDS_ATOMIC1_PREOP_LO", 0xc061, {
		{"GDS_ATOMIC1_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"PA_SC_ENHANCE", 0x22fc, {
		{"ENABLE_OUT_OF_ORDER_THRESHOLD_SWITCH_AT_EOPG_ONLY", 0x100000, 0x14},
		{"DISABLE_DUALGRAD_PERF_OPTIMIZATION", 0x200, 0x9},
		{"ECO_SPARE1", 0x40000000, 0x1e},
		{"ECO_SPARE0", 0x80000000, 0x1f},
		{"DISABLE_SCISSOR_FIX", 0x20, 0x5},
		{"DISABLE_EOV_ALL_CTRL_ONLY_COMBINATIONS", 0x4000, 0xe},
		{"DISABLE_OUT_OF_ORDER_THRESHOLD_SWITCHING", 0x80000, 0x13},
		{"DISABLE_OOO_NO_EOPG_SKEW_DESIRED_FIFO_IS_CURRENT_FIFO", 0x2000000, 0x19},
		{"DISABLE_OUT_OF_ORDER_EOP_SYNC_NULL_PRIMS_LAST", 0x40000, 0x12},
		{"ENABLE_1XMSAA_SAMPLE_LOC_CENTROID", 0x10, 0x4},
		{"DISABLE_PW_BUBBLE_COLLAPSE", 0xc0, 0x6},
		{"ENABLE_1XMSAA_SAMPLE_LOCATIONS", 0x8, 0x3},
		{"DISABLE_SC_PROCESS_RESET_TILE", 0x1000, 0xc},
		{"ENABLE_OUT_OF_ORDER_POLY_MODE", 0x20000, 0x11},
		{"OOO_DISABLE_EOPG_SKEW_THRESHOLD_SWITCHING", 0x8000000, 0x1b},
		{"DISABLE_PA_SC_GUIDANCE", 0x2000, 0xd},
		{"ENABLE_OUT_OF_ORDER_DESIRED_FIFO_IS_NEXT_FEID", 0x1000000, 0x18},
		{"DISABLE_OUT_OF_ORDER_PA_SC_GUIDANCE", 0x10000, 0x10},
		{"DISABLE_SC_PROCESS_RESET_PRIM", 0x400, 0xa},
		{"SEND_UNLIT_STILES_TO_PACKER", 0x100, 0x8},
		{"DISABLE_OUT_OF_ORDER_DESIRED_FIFO_EMPTY_SWITCHING", 0x200000, 0x15},
		{"ENABLE_MULTICYCLE_BUBBLE_FREEZE", 0x8000, 0xf},
		{"DISABLE_SC_DB_TILE_FIX", 0x2, 0x1},
		{"DISABLE_VPZ_EOP_LINE_STIPPLE_RESET", 0x20000000, 0x1d},
		{"DISABLE_AA_MASK_FULL_FIX", 0x4, 0x2},
		{"DISABLE_OUT_OF_ORDER_SELECTED_FIFO_EMPTY_SWITCHING", 0x400000, 0x16},
		{"OOO_DISABLE_EOP_ON_FIRST_LIVE_PRIM_HIT", 0x4000000, 0x1a},
		{"ENABLE_PA_SC_OUT_OF_ORDER", 0x1, 0x0},
		{"DISABLE_OUT_OF_ORDER_EMPTY_SWITCHING_HYSTERYSIS", 0x800000, 0x17},
		{"DISABLE_SC_PROCESS_RESET_SUPERTILE", 0x800, 0xb},
		{"DISABLE_EOP_LINE_STIPPLE_RESET", 0x10000000, 0x1c}
	} },
	{"GDS_VMID10_SIZE", 0x3315, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"CB_COLOR5_CMASK_SLICE", 0xa36b, {
		{"TILE_MAX", 0x3fff, 0x0}
	} },
	{"CGTS_CU13_LDS_SQ_CTRL_REG", 0xf04a, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"PA_SC_VPORT_SCISSOR_5_BR", 0xa09f, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"SQ_ALU_CLK_CTRL", 0xf08e, {
		{"FORCE_CU_ON_SH1", 0xffff0000, 0x10},
		{"FORCE_CU_ON_SH0", 0xffff, 0x0}
	} },
	{"DIDT_DB_WEIGHT4_7", 0x31, {
		{"WEIGHT7", 0xff000000, 0x18},
		{"WEIGHT6", 0xff0000, 0x10},
		{"WEIGHT5", 0xff00, 0x8},
		{"WEIGHT4", 0xff, 0x0}
	} },
	{"CP_DMA_PFP_SRC_ADDR", 0xc085, {
		{"SRC_ADDR", 0xffffffff, 0x0}
	} },
	{"CP_IB2_BASE_LO", 0xc0cf, {
		{"IB2_BASE_LO", 0xfffffffc, 0x2}
	} },
	{"CP_COHER_BASE", 0xc07e, {
		{"COHER_BASE_256B", 0xffffffff, 0x0}
	} },
	{"SPI_RESOURCE_RESERVE_CU_15", 0x31f7, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SPI_RESOURCE_RESERVE_CU_14", 0x31f6, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SPI_RESOURCE_RESERVE_CU_13", 0x31f5, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SPI_RESOURCE_RESERVE_CU_12", 0x31f4, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SPI_RESOURCE_RESERVE_CU_11", 0x31f1, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SPI_RESOURCE_RESERVE_CU_10", 0x31f0, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"CP_DRAW_WINDOW_HI", 0xd813, {
		{"WINDOW_HI", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_2_BR", 0xa099, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"SQC_GATCL1_CNTL", 0x23b2, {
		{"ICACHE_REDUCE_CACHE_SIZE_BY_2", 0xc0000000, 0x1e},
		{"DCACHE_FORCE_MISS", 0x80000, 0x13},
		{"ICACHE_INVALIDATE_ALL_VMID", 0x2000000, 0x19},
		{"ICACHE_FORCE_IN_ORDER", 0x8000000, 0x1b},
		{"ICACHE_FORCE_MISS", 0x4000000, 0x1a},
		{"DCACHE_REDUCE_FIFO_DEPTH_BY_2", 0x600000, 0x15},
		{"DCACHE_REDUCE_CACHE_SIZE_BY_2", 0x1800000, 0x17},
		{"DCACHE_FORCE_IN_ORDER", 0x100000, 0x14},
		{"RESERVED", 0x3ffff, 0x0},
		{"DCACHE_INVALIDATE_ALL_VMID", 0x40000, 0x12},
		{"ICACHE_REDUCE_FIFO_DEPTH_BY_2", 0x30000000, 0x1c}
	} },
	{"VGT_PERFCOUNTER2_HI", 0xd095, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_7_TL", 0xa0a2, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"PA_SU_DEBUG_DATA", 0x2281, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CGTS_CU1_SP0_CTRL_REG", 0xf00d, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"CB_COLOR4_VIEW", 0xa357, {
		{"SLICE_MAX", 0xffe000, 0xd},
		{"SLICE_START", 0x7ff, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_REG_CS_2_OF_2", 0x23b0, {
		{"DATA_HI", 0xffff, 0x0}
	} },
	{"CP_HQD_ATOMIC0_PREOP_LO", 0x3261, {
		{"ATOMIC0_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_CNTL", 0x24aa, {
		{"EN", 0x10, 0x4},
		{"SAMPLE_PERIOD", 0xf, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_ADDR_3", 0xec8e, {
		{"RESERVED", 0xffff0000, 0x10},
		{"ADDRESS", 0xffff, 0x0}
	} },
	{"CGTS_CU6_SP1_CTRL_REG", 0xf029, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"CP_HQD_PQ_RPTR", 0x324f, {
		{"CONSUMED_OFFSET", 0xffffffff, 0x0}
	} },
	{"DB_PERFCOUNTER1_HI", 0xd443, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SX_PERFCOUNTER1_HI", 0xd243, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"DB_OCCLUSION_COUNT3_HI", 0xc3c7, {
		{"COUNT_HI", 0x7fffffff, 0x0}
	} },
	{"GDS_ATOM_SIZE", 0xc40d, {
		{"UNUSED", 0xffff0000, 0x10},
		{"SIZE", 0xffff, 0x0}
	} },
	{"TA_CNTL", 0x2541, {
		{"TC_DATA_CREDIT", 0xe000, 0xd},
		{"ALIGNER_CREDIT", 0x1f0000, 0x10},
		{"TD_FIFO_CREDIT", 0xffc00000, 0x16},
		{"FX_XNACK_CREDIT", 0x7f, 0x0},
		{"SQ_XNACK_CREDIT", 0x1e00, 0x9}
	} },
	{"CP_CE_IB1_BUFSZ", 0xc0c8, {
		{"IB1_BUFSZ", 0xfffff, 0x0}
	} },
	{"CP_HQD_ERROR", 0x3278, {
		{"SUA_ERROR", 0x10, 0x4},
		{"EDC_ERROR_ID", 0xf, 0x0}
	} },
	{"SPI_PS_INPUT_CNTL_23", 0xa1a8, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"CP_ME_RAM_RADDR", 0xf816, {
		{"ME_RAM_RADDR", 0x1fff, 0x0}
	} },
	{"SPI_PS_INPUT_CNTL_21", 0xa1a6, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"DB_COUNT_CONTROL", 0xa001, {
		{"SLICE_EVEN_ENABLE", 0xf000000, 0x18},
		{"ZPASS_ENABLE", 0xf00, 0x8},
		{"PERFECT_ZPASS_COUNTS", 0x2, 0x1},
		{"ZPASS_INCREMENT_DISABLE", 0x1, 0x0},
		{"SFAIL_ENABLE", 0xf0000, 0x10},
		{"SLICE_ODD_ENABLE", 0xf0000000, 0x1c},
		{"SAMPLE_RATE", 0x70, 0x4},
		{"DBFAIL_ENABLE", 0xf00000, 0x14},
		{"ZFAIL_ENABLE", 0xf000, 0xc}
	} },
	{"SPI_PS_INPUT_CNTL_27", 0xa1ac, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"SPI_PS_INPUT_CNTL_24", 0xa1a9, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"CP_ME1_PIPE2_INT_CNTL", 0x3087, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"DEQUEUE_REQUEST_INT_ENABLE", 0x2000, 0xd},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"SUA_VIOLATION_INT_ENABLE", 0x8000, 0xf},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"CMP_QUERY_STATUS_INT_ENABLE", 0x1000, 0xc},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"CP_ME2_PIPE1_INT_STATUS", 0x3092, {
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"DEQUEUE_REQUEST_INT_STATUS", 0x2000, 0xd},
		{"GENERIC0_INT_STATUS", 0x80000000, 0x1f},
		{"GENERIC1_INT_STATUS", 0x40000000, 0x1e},
		{"WRM_POLL_TIMEOUT_INT_STATUS", 0x20000, 0x11},
		{"RESERVED_BIT_ERROR_INT_STATUS", 0x8000000, 0x1b},
		{"CP_ECC_ERROR_INT_STATUS", 0x4000, 0xe},
		{"CMP_QUERY_STATUS_INT_STATUS", 0x1000, 0xc},
		{"TIME_STAMP_INT_STATUS", 0x4000000, 0x1a},
		{"PRIV_REG_INT_STATUS", 0x800000, 0x17},
		{"GENERIC2_INT_STATUS", 0x20000000, 0x1d},
		{"OPCODE_ERROR_INT_STATUS", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_28", 0xa1ad, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"SPI_PS_INPUT_CNTL_29", 0xa1ae, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"CP_DMA_READ_TAGS", 0xc08b, {
		{"DMA_READ_TAG_VALID", 0x10000000, 0x1c},
		{"DMA_READ_TAG", 0x3ffffff, 0x0}
	} },
	{"CB_BLEND_GREEN", 0xa106, {
		{"BLEND_GREEN", 0xffffffff, 0x0}
	} },
	{"CB_BLEND3_CONTROL", 0xa1e3, {
		{"DISABLE_ROP3", 0x80000000, 0x1f},
		{"SEPARATE_ALPHA_BLEND", 0x20000000, 0x1d},
		{"ALPHA_DESTBLEND", 0x1f000000, 0x18},
		{"COLOR_COMB_FCN", 0xe0, 0x5},
		{"COLOR_DESTBLEND", 0x1f00, 0x8},
		{"COLOR_SRCBLEND", 0x1f, 0x0},
		{"ENABLE", 0x40000000, 0x1e},
		{"ALPHA_COMB_FCN", 0xe00000, 0x15},
		{"ALPHA_SRCBLEND", 0x1f0000, 0x10}
	} },
	{"CP_ME_GDS_ATOMIC0_PREOP_LO", 0xc05f, {
		{"GDS_ATOMIC0_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_1", 0xa115, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"DEBUG_DATA", 0x203d, {
		{"DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_DB_PERFMON_SAMPLE_DELAY", 0xdc8b, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"RLC_CGCG_CGLS_CTRL", 0xec49, {
		{"CGLS_REP_COMPANSAT_DELAY", 0xfc, 0x2},
		{"CGCG_EN", 0x1, 0x0},
		{"CGCG_GFX_IDLE_THRESHOLD", 0x7ffff00, 0x8},
		{"SLEEP_MODE", 0x60000000, 0x1d},
		{"SIM_SILICON_EN", 0x80000000, 0x1f},
		{"CGCG_REG_CTRL", 0x10000000, 0x1c},
		{"CGCG_CONTROLLER", 0x8000000, 0x1b},
		{"CGLS_EN", 0x2, 0x1}
	} },
	{"SPI_GDS_CREDITS", 0x24d8, {
		{"UNUSED", 0xffff0000, 0x10},
		{"DS_DATA_CREDITS", 0xff, 0x0},
		{"DS_CMD_CREDITS", 0xff00, 0x8}
	} },
	{"CB_COLOR1_DCC_CONTROL", 0xa32d, {
		{"OVERWRITE_COMBINER_DISABLE", 0x1, 0x0},
		{"KEY_CLEAR_ENABLE", 0x2, 0x1},
		{"MAX_UNCOMPRESSED_BLOCK_SIZE", 0xc, 0x2},
		{"LOSSY_ALPHA_PRECISION", 0x3c000, 0xe},
		{"INDEPENDENT_64B_BLOCKS", 0x200, 0x9},
		{"COLOR_TRANSFORM", 0x180, 0x7},
		{"LOSSY_RGB_PRECISION", 0x3c00, 0xa},
		{"MAX_COMPRESSED_BLOCK_SIZE", 0x60, 0x5},
		{"MIN_COMPRESSED_BLOCK_SIZE", 0x10, 0x4}
	} },
	{"PA_SC_VPORT_SCISSOR_2_TL", 0xa098, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"CPC_PERFCOUNTER0_HI", 0xd007, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_4_BR", 0xa09d, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CGTS_CU10_SP0_CTRL_REG", 0xf03a, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"RLC_DEBUG", 0xec02, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DIDT_TCP_CTRL2", 0x62, {
		{"MAX_POWER_DELTA", 0x3fff, 0x0},
		{"LONG_TERM_INTERVAL_RATIO", 0x78000000, 0x1b},
		{"UNUSED_2", 0x80000000, 0x1f},
		{"UNUSED_1", 0x4000000, 0x1a},
		{"UNUSED_0", 0xc000, 0xe},
		{"SHORT_TERM_INTERVAL_SIZE", 0x3ff0000, 0x10}
	} },
	{"CGTS_CU2_SP0_CTRL_REG", 0xf012, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"SPI_RESOURCE_RESERVE_CU_9", 0x31e5, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"PA_SC_VPORT_SCISSOR_6_TL", 0xa0a0, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"SPI_RESOURCE_RESERVE_CU_7", 0x31e3, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SPI_RESOURCE_RESERVE_CU_6", 0x31e2, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SPI_RESOURCE_RESERVE_CU_5", 0x31e1, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SPI_RESOURCE_RESERVE_CU_4", 0x31e0, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"SPI_RESOURCE_RESERVE_CU_3", 0x31df, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"PA_SU_PERFCOUNTER2_LO", 0xd104, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_SC_LINE_CNTL", 0xa2f7, {
		{"PERPENDICULAR_ENDCAP_ENA", 0x800, 0xb},
		{"DX10_DIAMOND_TEST_ENA", 0x1000, 0xc},
		{"EXPAND_LINE_WIDTH", 0x200, 0x9},
		{"LAST_PIXEL", 0x400, 0xa}
	} },
	{"SPI_RESOURCE_RESERVE_CU_0", 0x31dc, {
		{"SGPR", 0xf0, 0x4},
		{"LDS", 0xf00, 0x8},
		{"VGPR", 0xf, 0x0},
		{"BARRIERS", 0x78000, 0xf},
		{"WAVES", 0x7000, 0xc}
	} },
	{"CP_STALLED_STAT2", 0x219e, {
		{"PFP_TO_MEQ_NOT_RDY_TO_RCV", 0x2, 0x1},
		{"MEQ_TO_ME_NOT_RDY_TO_RCV", 0x10000, 0x10},
		{"PFP_STALLED_ON_ATOMIC_RTN_DATA", 0x100000, 0x14},
		{"ME_WAITING_DATA_FROM_STQ", 0x40000, 0x12},
		{"APPEND_RDY_WAIT_ON_CS_DONE", 0x2000000, 0x19},
		{"APPEND_RDY_WAIT_ON_PS_DONE", 0x4000000, 0x1a},
		{"PFP_RCIU_READ_PENDING", 0x20, 0x5},
		{"ME_WAITING_ON_PARTIAL_FLUSH", 0x8000, 0xf},
		{"PFP_TO_VGT_WRITES_PENDING", 0x10, 0x4},
		{"ME_WAIT_ON_CE_COUNTER", 0x200, 0x9},
		{"APPEND_WAIT_ON_WR_CONFIRM", 0x8000000, 0x1b},
		{"PFP_TO_CSF_NOT_RDY_TO_RCV", 0x1, 0x0},
		{"APPEND_WAITING_TO_SEND_MEMWRITE", 0x20000000, 0x1d},
		{"PFP_WAITING_ON_BUFFER_DATA", 0x100, 0x8},
		{"ME_RCIU_NOT_RDY_TO_RCV", 0x1000, 0xc},
		{"SURF_SYNC_NEEDS_ALL_CLEAN", 0x80000000, 0x1f},
		{"ME_WAITING_DATA_FROM_PFP", 0x4000, 0xe},
		{"GFX_CNTX_NOT_AVAIL_TO_ME", 0x800, 0xb},
		{"STQ_TO_ME_NOT_RDY_TO_RCV", 0x20000, 0x11},
		{"PIPE_STATS_WR_DATA_PENDING", 0x1000000, 0x18},
		{"EOPD_FIFO_NEEDS_SC_EOP_DONE", 0x200000, 0x15},
		{"ME_WAIT_ON_AVAIL_BUFFER", 0x400, 0xa},
		{"EOPD_FIFO_NEEDS_WR_CONFIRM", 0x400000, 0x16},
		{"SURF_SYNC_NEEDS_IDLE_CNTXS", 0x40000000, 0x1e},
		{"PFP_STALLED_ON_TC_WR_CONFIRM", 0x80000, 0x13},
		{"APPEND_ACTIVE_PARTITION", 0x10000000, 0x1c},
		{"ME_TO_CONST_NOT_RDY_TO_RCV", 0x2000, 0xd},
		{"PFP_TO_RCIU_NOT_RDY_TO_RCV", 0x4, 0x2},
		{"STRMO_WR_OF_PRIM_DATA_PENDING", 0x800000, 0x17}
	} },
	{"CP_STALLED_STAT3", 0x219c, {
		{"CE_WAITING_ON_DATA_FROM_RAM_INIT_FETCHER", 0x4, 0x2},
		{"CE_STALLED_ON_ATOMIC_RTN_DATA", 0x20000, 0x11},
		{"CE_STALLED_ON_TC_WR_CONFIRM", 0x10000, 0x10},
		{"CE_TO_RAM_WRITE_NOT_RDY", 0x20, 0x5},
		{"CE_TO_CSF_NOT_RDY_TO_RCV", 0x1, 0x0},
		{"CE_TO_RAM_INIT_NOT_RDY", 0x8, 0x3},
		{"ATCL2IU_WAITING_ON_TAGS", 0x80000, 0x13},
		{"CE_TO_WR_FIFO_NOT_RDY_TO_RCV", 0x80, 0x7},
		{"CE_WAITING_ON_CE_BUFFER_FLAG", 0x800, 0xb},
		{"ATCL2IU_WAITING_ON_FREE", 0x40000, 0x12},
		{"TCIU_WAITING_ON_TAGS", 0x8000, 0xf},
		{"CE_WAITING_ON_DE_COUNTER_UNDERFLOW", 0x2000, 0xd},
		{"CE_TO_RAM_DUMP_NOT_RDY", 0x10, 0x4},
		{"CE_TO_INC_FIFO_NOT_RDY_TO_RCV", 0x40, 0x6},
		{"TCIU_WAITING_ON_FREE", 0x4000, 0xe},
		{"CE_WAITING_ON_BUFFER_DATA", 0x400, 0xa},
		{"CE_WAITING_ON_DE_COUNTER", 0x1000, 0xc},
		{"ATCL1_WAITING_ON_TRANS", 0x100000, 0x14},
		{"CE_TO_RAM_INIT_FETCHER_NOT_RDY_TO_RCV", 0x2, 0x1}
	} },
	{"CP_STALLED_STAT1", 0x219d, {
		{"ME_WAITING_ON_REG_READ_DATA", 0x8000, 0xf},
		{"RBIU_TO_DMA_NOT_RDY_TO_RCV", 0x1, 0x0},
		{"ME_STALLED_ON_TC_WR_CONFIRM", 0x1000, 0xc},
		{"RCIU_STALLED_ON_ME_READ", 0x4000000, 0x1a},
		{"ME_WAITING_ON_TC_READ_DATA", 0x4000, 0xe},
		{"RCIU_WAITING_ON_GDS_FREE", 0x800000, 0x17},
		{"RCIU_STALLED_ON_APPEND_READ", 0x10000000, 0x1c},
		{"RCIU_HALTED_BY_REG_VIOLATION", 0x20000000, 0x1d},
		{"RCIU_STALLED_ON_DMA_READ", 0x8000000, 0x1b},
		{"ME_HAS_ACTIVE_DE_BUFFER_FLAG", 0x800, 0xb},
		{"RCIU_WAITING_ON_GRBM_FREE", 0x1000000, 0x18},
		{"ME_HAS_ACTIVE_CE_BUFFER_FLAG", 0x400, 0xa},
		{"RBIU_TO_SEM_NOT_RDY_TO_RCV", 0x4, 0x2},
		{"ME_STALLED_ON_ATOMIC_RTN_DATA", 0x2000, 0xd},
		{"RCIU_WAITING_ON_VGT_FREE", 0x2000000, 0x19},
		{"RBIU_TO_MEMWR_NOT_RDY_TO_RCV", 0x10, 0x4}
	} },
	{"VGT_PERFCOUNTER0_SELECT1", 0xd890, {
		{"PERF_MODE2", 0xf0000000, 0x1c},
		{"PERF_MODE3", 0xf000000, 0x18},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"CP_CPF_DEBUG", 0x3080, {

	} },
	{"IA_DEBUG_REG1", 0x1, {
		{"dma_input_fifo_empty", 0x1, 0x0},
		{"dma_input_fifo_full", 0x2, 0x1},
		{"current_data_valid", 0x10000000, 0x1c},
		{"dma_req_fifo_full", 0x20000, 0x11},
		{"dma_rdreq_dr_q", 0x8, 0x3},
		{"dma_skid_fifo_full", 0x2000000, 0x19},
		{"dma_mask_fifo_empty", 0x2000, 0xd},
		{"stage2_dr", 0x40000, 0x12},
		{"dma_req_fifo_empty", 0x10000, 0x10},
		{"dma_req_path_q", 0x80, 0x7},
		{"start_new_packet", 0x4, 0x2},
		{"dma_data_fifo_full", 0x8000, 0xf},
		{"stage3_dr", 0x100000, 0x14},
		{"dma_ret_data_we_q", 0x80000000, 0x1f},
		{"dma_mask_fifo_we", 0x40000000, 0x1e},
		{"last_rdreq_in_dma_op", 0x1000, 0xc},
		{"second_tc_ret_data_q", 0x400, 0xa},
		{"discard_2nd_chunk", 0x200, 0x9},
		{"stage3_rtr", 0x200000, 0x15},
		{"dma_zero_indices_q", 0x10, 0x4},
		{"out_of_range_r2_q", 0x20000000, 0x1d},
		{"grp_dma_read", 0x8000000, 0x1b},
		{"stage4_dr", 0x400000, 0x16},
		{"discard_1st_chunk", 0x100, 0x8},
		{"dma_tc_ret_sel_q", 0x800, 0xb},
		{"dma_buf_type_q", 0x60, 0x5},
		{"stage4_rtr", 0x800000, 0x17},
		{"dma_grp_valid", 0x4000000, 0x1a},
		{"dma_skid_fifo_empty", 0x1000000, 0x18},
		{"dma_data_fifo_empty_q", 0x4000, 0xe},
		{"stage2_rtr", 0x80000, 0x13}
	} },
	{"SQ_WAVE_TTMP8", 0x278, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DRAW_INDX_INDR_ADDR_HI", 0xc0f5, {
		{"ADDR_HI", 0xffff, 0x0}
	} },
	{"TCA_PERFCOUNTER0_SELECT", 0xdb90, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"PA_CL_VPORT_XSCALE_15", 0xa169, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_14", 0xa163, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_11", 0xa151, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_10", 0xa14b, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_13", 0xa15d, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_12", 0xa157, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"CP_HQD_IB_CONTROL", 0x325a, {
		{"IB_SIZE", 0xfffff, 0x0},
		{"MTYPE", 0x18000000, 0x1b},
		{"IB_ATC", 0x800000, 0x17},
		{"IB_CACHE_POLICY", 0x1000000, 0x18},
		{"MIN_IB_AVAIL_SIZE", 0x300000, 0x14},
		{"PROCESSING_IB", 0x80000000, 0x1f}
	} },
	{"SX_PERFCOUNTER3_LO", 0xd246, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_ME_GDS_ATOMIC1_PREOP_HI", 0xc062, {
		{"GDS_ATOMIC1_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"VGT_INSTANCE_STEP_RATE_0", 0xa2a8, {
		{"STEP_RATE", 0xffffffff, 0x0}
	} },
	{"VGT_INSTANCE_STEP_RATE_1", 0xa2a9, {
		{"STEP_RATE", 0xffffffff, 0x0}
	} },
	{"SQ_DEBUG_STS_GLOBAL3", 0x2311, {
		{"FIFO_LEVEL_HOST_CMD", 0xf, 0x0},
		{"FIFO_LEVEL_HOST_REG", 0x3f0, 0x4}
	} },
	{"SQ_DEBUG_STS_GLOBAL2", 0x2310, {
		{"FIFO_LEVEL_GFX0", 0xff, 0x0},
		{"FIFO_LEVEL_GFX1", 0xff00, 0x8},
		{"FIFO_LEVEL_IMMED", 0xff0000, 0x10},
		{"FIFO_LEVEL_HOST", 0xff000000, 0x18}
	} },
	{"CP_HQD_EOP_WPTR_MEM", 0x3279, {
		{"WPTR", 0x1fff, 0x0}
	} },
	{"DB_SHADER_CONTROL", 0xa203, {
		{"Z_ORDER", 0x30, 0x4},
		{"EXEC_ON_NOOP", 0x400, 0xa},
		{"MASK_EXPORT_ENABLE", 0x100, 0x8},
		{"KILL_ENABLE", 0x40, 0x6},
		{"STENCIL_OP_VAL_EXPORT_ENABLE", 0x4, 0x2},
		{"DUAL_QUAD_DISABLE", 0x8000, 0xf},
		{"COVERAGE_TO_MASK_ENABLE", 0x80, 0x7},
		{"EXEC_ON_HIER_FAIL", 0x200, 0x9},
		{"ALPHA_TO_MASK_DISABLE", 0x800, 0xb},
		{"Z_EXPORT_ENABLE", 0x1, 0x0},
		{"CONSERVATIVE_Z_EXPORT", 0x6000, 0xd},
		{"DEPTH_BEFORE_SHADER", 0x1000, 0xc},
		{"STENCIL_TEST_VAL_EXPORT_ENABLE", 0x2, 0x1}
	} },
	{"TCA_PERFCOUNTER3_SELECT", 0xdb95, {
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"CGTS_CU5_LDS_SQ_CTRL_REG", 0xf022, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"CGTS_CU0_SP1_CTRL_REG", 0xf00b, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"GDS_OA_COUNTER", 0xc41e, {
		{"SPACE_AVAILABLE", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_STAT", 0xec9b, {
		{"SRM_STATUS", 0x1, 0x0},
		{"RESERVED", 0xfffffffe, 0x1}
	} },
	{"CP_COHER_SIZE_HI", 0xc08c, {
		{"COHER_SIZE_HI_256B", 0xff, 0x0}
	} },
	{"CP_PQ_STATUS", 0x30b8, {
		{"DOORBELL_ENABLE", 0x2, 0x1},
		{"DOORBELL_UPDATED", 0x1, 0x0}
	} },
	{"GRBM_SE1_PERFCOUNTER_SELECT", 0xd843, {
		{"SC_BUSY_USER_DEFINED_MASK", 0x10000, 0x10},
		{"VGT_BUSY_USER_DEFINED_MASK", 0x80000, 0x13},
		{"DB_CLEAN_USER_DEFINED_MASK", 0x400, 0xa},
		{"BCI_BUSY_USER_DEFINED_MASK", 0x200000, 0x15},
		{"DB_BUSY_USER_DEFINED_MASK", 0x20000, 0x11},
		{"SPI_BUSY_USER_DEFINED_MASK", 0x8000, 0xf},
		{"TA_BUSY_USER_DEFINED_MASK", 0x1000, 0xc},
		{"PA_BUSY_USER_DEFINED_MASK", 0x100000, 0x14},
		{"PERF_SEL", 0x3f, 0x0},
		{"CB_BUSY_USER_DEFINED_MASK", 0x40000, 0x12},
		{"SX_BUSY_USER_DEFINED_MASK", 0x2000, 0xd},
		{"CB_CLEAN_USER_DEFINED_MASK", 0x800, 0xb}
	} },
	{"CP_INT_STATUS_RING0", 0x306d, {
		{"OPCODE_ERROR_INT_STAT", 0x1000000, 0x18},
		{"CP_ECC_ERROR_INT_STAT", 0x4000, 0xe},
		{"CNTX_EMPTY_INT_STAT", 0x100000, 0x14},
		{"PRIV_INSTR_INT_STAT", 0x400000, 0x16},
		{"GCNTX_BUSY_INT_STAT", 0x80000, 0x13},
		{"TIME_STAMP_INT_STAT", 0x4000000, 0x1a},
		{"WRM_POLL_TIMEOUT_INT_STAT", 0x20000, 0x11},
		{"CMP_BUSY_INT_STAT", 0x40000, 0x12},
		{"GFX_IDLE_INT_STAT", 0x200000, 0x15},
		{"RESERVED_BIT_ERROR_INT_STAT", 0x8000000, 0x1b},
		{"CP_VM_DOORBELL_WR_INT_STAT", 0x800, 0xb},
		{"GENERIC0_INT_STAT", 0x80000000, 0x1f},
		{"PRIV_REG_INT_STAT", 0x800000, 0x17},
		{"GENERIC1_INT_STAT", 0x40000000, 0x1e},
		{"GENERIC2_INT_STAT", 0x20000000, 0x1d}
	} },
	{"CP_INT_STATUS_RING1", 0x306e, {
		{"OPCODE_ERROR_INT_STAT", 0x1000000, 0x18},
		{"CP_ECC_ERROR_INT_STAT", 0x4000, 0xe},
		{"CNTX_EMPTY_INT_STAT", 0x100000, 0x14},
		{"GFX_IDLE_INT_STAT", 0x200000, 0x15},
		{"TIME_STAMP_INT_STAT", 0x4000000, 0x1a},
		{"WRM_POLL_TIMEOUT_INT_STAT", 0x20000, 0x11},
		{"CMP_BUSY_INT_STAT", 0x40000, 0x12},
		{"PRIV_INSTR_INT_STAT", 0x400000, 0x16},
		{"CNTX_BUSY_INT_STAT", 0x80000, 0x13},
		{"RESERVED_BIT_ERROR_INT_STAT", 0x8000000, 0x1b},
		{"CP_VM_DOORBELL_WR_INT_STAT", 0x800, 0xb},
		{"GENERIC0_INT_STAT", 0x80000000, 0x1f},
		{"PRIV_REG_INT_STAT", 0x800000, 0x17},
		{"GENERIC1_INT_STAT", 0x40000000, 0x1e},
		{"GENERIC2_INT_STAT", 0x20000000, 0x1d}
	} },
	{"CP_INT_STATUS_RING2", 0x306f, {
		{"OPCODE_ERROR_INT_STAT", 0x1000000, 0x18},
		{"CP_ECC_ERROR_INT_STAT", 0x4000, 0xe},
		{"CNTX_EMPTY_INT_STAT", 0x100000, 0x14},
		{"GFX_IDLE_INT_STAT", 0x200000, 0x15},
		{"TIME_STAMP_INT_STAT", 0x4000000, 0x1a},
		{"WRM_POLL_TIMEOUT_INT_STAT", 0x20000, 0x11},
		{"CMP_BUSY_INT_STAT", 0x40000, 0x12},
		{"PRIV_INSTR_INT_STAT", 0x400000, 0x16},
		{"CNTX_BUSY_INT_STAT", 0x80000, 0x13},
		{"RESERVED_BIT_ERROR_INT_STAT", 0x8000000, 0x1b},
		{"CP_VM_DOORBELL_WR_INT_STAT", 0x800, 0xb},
		{"GENERIC0_INT_STAT", 0x80000000, 0x1f},
		{"PRIV_REG_INT_STAT", 0x800000, 0x17},
		{"GENERIC1_INT_STAT", 0x40000000, 0x1e},
		{"GENERIC2_INT_STAT", 0x20000000, 0x1d}
	} },
	{"CGTS_CU3_TD_TCP_CTRL_REG", 0xf01b, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"RLC_GPR_REG2", 0xec7a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SC_AA_CONFIG", 0xa2f8, {
		{"DETAIL_TO_EXPOSED_MODE", 0x3000000, 0x18},
		{"MSAA_EXPOSED_SAMPLES", 0x700000, 0x14},
		{"AA_MASK_CENTROID_DTMN", 0x10, 0x4},
		{"MAX_SAMPLE_DIST", 0x1e000, 0xd},
		{"MSAA_NUM_SAMPLES", 0x7, 0x0}
	} },
	{"CP_VGT_CSINVOC_COUNT_LO", 0xc030, {
		{"CSINVOC_COUNT_LO", 0xffffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER4_HI", 0xd188, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE", 0xa10f, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER7_SELECT", 0xd948, {
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"RLC_GPR_REG1", 0xec79, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"VGT_ES_PER_GS", 0xa296, {
		{"ES_PER_GS", 0x7ff, 0x0}
	} },
	{"RLC_GPM_LOG_SIZE", 0xec77, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"SPI_P0_TRAP_SCREEN_PSMA_LO", 0x24ee, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_0_W", 0xa172, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"SPI_CDBG_SYS_GFX", 0x31c3, {
		{"ES_EN", 0x8, 0x3},
		{"VS_EN", 0x2, 0x1},
		{"CS_EN", 0x40, 0x6},
		{"LS_EN", 0x20, 0x5},
		{"GS_EN", 0x4, 0x2},
		{"HS_EN", 0x10, 0x4},
		{"PS_EN", 0x1, 0x0}
	} },
	{"GDS_CNTL_STATUS", 0x25c1, {
		{"GRBM_WBUF_BUSY", 0x2, 0x1},
		{"CREDIT_BUSY1", 0x1000, 0xc},
		{"DS_ADDR_CONFLICT", 0x10, 0x4},
		{"DS_BANK_CONFLICT", 0x8, 0x3},
		{"DS_RD_CLAMP", 0x40, 0x6},
		{"GDS_BUSY", 0x1, 0x0},
		{"DS_WR_CLAMP", 0x20, 0x5},
		{"ORD_FIFO_BUSY", 0x400, 0xa},
		{"CREDIT_BUSY3", 0x4000, 0xe},
		{"CREDIT_BUSY2", 0x2000, 0xd},
		{"DS_BUSY", 0x100, 0x8},
		{"CREDIT_BUSY0", 0x800, 0xb},
		{"GWS_BUSY", 0x200, 0x9},
		{"ORD_APP_BUSY", 0x4, 0x2},
		{"GRBM_RBUF_BUSY", 0x80, 0x7}
	} },
	{"WD_PERFCOUNTER2_SELECT", 0xd882, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"RLC_SRM_RLCV_COMMAND", 0xec89, {
		{"RESERVED", 0xe, 0x1},
		{"START_OFFSET", 0xfff0000, 0x10},
		{"DEST_MEMORY", 0x80000000, 0x1f},
		{"OP", 0x1, 0x0},
		{"RESERVED1", 0x70000000, 0x1c},
		{"SIZE", 0xfff0, 0x4}
	} },
	{"CSPRIV_THREAD_TRACE_TG1", 0x1e, {
		{"TGID_Y", 0xffffffff, 0x0}
	} },
	{"CSPRIV_THREAD_TRACE_TG0", 0x1e, {
		{"TGID_X", 0xffffffff, 0x0}
	} },
	{"CSPRIV_THREAD_TRACE_TG3", 0x1e, {
		{"PARTIAL_X_FLAG", 0x1000000, 0x18},
		{"PARTIAL_Y_FLAG", 0x2000000, 0x19},
		{"PARTIAL_Z_FLAG", 0x4000000, 0x1a},
		{"THREADS_IN_GROUP", 0xfff000, 0xc},
		{"WAVE_ID_BASE", 0xfff, 0x0},
		{"FIRST_TG", 0x10000000, 0x1c},
		{"LAST_TG", 0x8000000, 0x1b}
	} },
	{"CSPRIV_THREAD_TRACE_TG2", 0x1e, {
		{"TGID_Z", 0xffffffff, 0x0}
	} },
	{"CP_ROQ2_AVAIL", 0x21dc, {
		{"ROQ_CNT_IB2", 0x7ff, 0x0}
	} },
	{"WD_PERFCOUNTER3_LO", 0xd086, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SQ_TIME_LO", 0x237d, {
		{"TIME", 0xffffffff, 0x0}
	} },
	{"CGTS_CU3_TA_CTRL_REG", 0xf019, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"GDS_VMID10_BASE", 0x3314, {
		{"BASE", 0xffff, 0x0}
	} },
	{"CP_EOP_DONE_ADDR_HI", 0xc001, {
		{"ADDR_HI", 0xffff, 0x0}
	} },
	{"SQ_VOP3_1", 0x237f, {
		{"SRC2", 0x7fc0000, 0x12},
		{"NEG", 0xe0000000, 0x1d},
		{"SRC0", 0x1ff, 0x0},
		{"SRC1", 0x3fe00, 0x9},
		{"OMOD", 0x18000000, 0x1b}
	} },
	{"SQ_VOP3_0", 0x237f, {
		{"CLAMP", 0x8000, 0xf},
		{"VDST", 0xff, 0x0},
		{"ENCODING", 0xfc000000, 0x1a},
		{"ABS", 0x700, 0x8},
		{"OP", 0x3ff0000, 0x10}
	} },
	{"CP_PIPE_STATS_ADDR_HI", 0xc019, {
		{"PIPE_STATS_ADDR_HI", 0xffff, 0x0}
	} },
	{"SQ_PERFCOUNTER13_HI", 0xd1db, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"TC_CFG_L1_VOLATILE", 0x2b22, {
		{"VOL", 0xf, 0x0}
	} },
	{"GRBM_PERFCOUNTER1_HI", 0xd044, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"IA_DEBUG_REG6", 0x6, {
		{"extract_group", 0x800000, 0x17},
		{"grp_shift_debug_data", 0xff000000, 0x18},
		{"current_shift_q", 0xf, 0x0},
		{"first_group_partial", 0x2000, 0xd},
		{"next_stride_q", 0x1f0000, 0x10},
		{"second_group_partial", 0x4000, 0xe},
		{"curr_prim_partial", 0x8000, 0xf},
		{"current_stride_q", 0x1f00, 0x8},
		{"next_group_partial", 0x200000, 0x15},
		{"current_stride_pre", 0xf0, 0x4},
		{"after_group_partial", 0x400000, 0x16}
	} },
	{"DIDT_TCP_CTRL_OCP", 0x63, {
		{"OCP_MAX_POWER", 0xffff0000, 0x10},
		{"UNUSED_0", 0xffff, 0x0}
	} },
	{"IA_DEBUG_REG7", 0x7, {
		{"indx_stride_is_four_p2_q", 0x8000000, 0x1b},
		{"shift_prim0_partial_p3_q", 0x80000000, 0x1f},
		{"indx_shift_is_one_p2_q", 0x2000000, 0x19},
		{"shift_event_flag_p2_q", 0x1000000, 0x18},
		{"shift_vect1_valid_p2_q", 0xf00, 0x8},
		{"reset_indx_state_q", 0xf, 0x0},
		{"indx_shift_is_two_p2_q", 0x4000000, 0x1a},
		{"shift_prim1_reset_p3_q", 0x10000000, 0x1c},
		{"num_indx_in_group_p2_q", 0x700000, 0x14},
		{"shift_vect1_reset_match_p2_q", 0xf0000, 0x10},
		{"shift_vect_valid_p2_q", 0xf0, 0x4},
		{"shift_prim1_partial_p3_q", 0x20000000, 0x1d},
		{"shift_prim0_reset_p3_q", 0x40000000, 0x1e},
		{"shift_vect0_reset_match_p2_q", 0xf000, 0xc},
		{"last_group_of_draw_p2_q", 0x800000, 0x17}
	} },
	{"SPI_SHADER_TMA_HI_LS", 0x2d43, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"RLC_GPM_THREAD_RESET", 0xec28, {
		{"RESERVED", 0xfffffff0, 0x4},
		{"THREAD3_RESET", 0x8, 0x3},
		{"THREAD2_RESET", 0x4, 0x2},
		{"THREAD1_RESET", 0x2, 0x1},
		{"THREAD0_RESET", 0x1, 0x0}
	} },
	{"CP_SIG_SEM_ADDR_HI", 0xc071, {
		{"SEM_SIGNAL_TYPE", 0x100000, 0x14},
		{"SEM_ADDR_HI", 0xffff, 0x0},
		{"SEM_CLIENT_CODE", 0x3000000, 0x18},
		{"SEM_SELECT", 0xe0000000, 0x1d},
		{"SEM_USE_MAILBOX", 0x10000, 0x10}
	} },
	{"GDS_CONFIG", 0x25c0, {
		{"SH3_GPR_PHASE_SEL", 0x180, 0x7},
		{"SH0_GPR_PHASE_SEL", 0x6, 0x1},
		{"SH2_GPR_PHASE_SEL", 0x60, 0x5},
		{"SH1_GPR_PHASE_SEL", 0x18, 0x3}
	} },
	{"RLC_PG_ALWAYS_ON_CU_MASK", 0xec53, {
		{"AON_CU_MASK", 0xffffffff, 0x0}
	} },
	{"GDS_ENHANCE", 0x334b, {
		{"UNUSED", 0xfffc0000, 0x12},
		{"AUTO_INC_INDEX", 0x10000, 0x10},
		{"MISC", 0xffff, 0x0},
		{"CGPG_RESTORE", 0x20000, 0x11}
	} },
	{"GDS_VMID4_BASE", 0x3308, {
		{"BASE", 0xffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_15", 0xa16a, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_14", 0xa164, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_13", 0xa15e, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_12", 0xa158, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_11", 0xa152, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_10", 0xa14c, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"CP_MEC_ME1_HEADER_DUMP", 0x208e, {
		{"HEADER_DUMP", 0xffffffff, 0x0}
	} },
	{"GDS_VMID15_BASE", 0x331e, {
		{"BASE", 0xffff, 0x0}
	} },
	{"GDS_VMID13_BASE", 0x331a, {
		{"BASE", 0xffff, 0x0}
	} },
	{"SPI_GDBG_TMA_LO", 0x31d6, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"DB_OCCLUSION_COUNT1_LOW", 0xc3c2, {
		{"COUNT_LOW", 0xffffffff, 0x0}
	} },
	{"SQ_FIFO_SIZES", 0x2305, {
		{"VMEM_DATA_FIFO_SIZE", 0xc0000, 0x12},
		{"INTERRUPT_FIFO_SIZE", 0xf, 0x0},
		{"TTRACE_FIFO_SIZE", 0xf00, 0x8},
		{"EXPORT_BUF_SIZE", 0x30000, 0x10}
	} },
	{"SQ_PERFCOUNTER3_SELECT", 0xd9c3, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"IA_ENHANCE", 0xa29c, {
		{"MISC", 0xffffffff, 0x0}
	} },
	{"CP_VGT_IAPRIM_COUNT_HI", 0xc01d, {
		{"IAPRIM_COUNT_HI", 0xffffffff, 0x0}
	} },
	{"GDS_VMID11_SIZE", 0x3317, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"GDS_PS1_CTXSW_CNT1", 0x335c, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"SPI_LB_DATA_REG", 0x24d6, {
		{"CNT_DATA", 0xffffffff, 0x0}
	} },
	{"CGTS_SM_CTRL_REG", 0xf000, {
		{"SM_MODE_ENABLE", 0x100000, 0x14},
		{"SM_MODE", 0xe0000, 0x11},
		{"ON_MONITOR_ADD", 0xff000000, 0x18},
		{"ON_SEQ_DELAY", 0xf, 0x0},
		{"BASE_MODE", 0x10000, 0x10},
		{"ON_MONITOR_ADD_EN", 0x800000, 0x17},
		{"MGCG_ENABLED", 0x1000, 0xc},
		{"LS_OVERRIDE", 0x400000, 0x16},
		{"OFF_SEQ_DELAY", 0xff0, 0x4},
		{"OVERRIDE", 0x200000, 0x15}
	} },
	{"CB_CGTT_SCLK_CTRL", 0xf0a8, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE", 0xa113, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"GDS_VMID0_BASE", 0x3300, {
		{"BASE", 0xffff, 0x0}
	} },
	{"RLC_SPM_VGT_PERFMON_SAMPLE_DELAY", 0xdc96, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"CP_DRAW_WINDOW_CNTL", 0xd815, {
		{"DISABLE_DRAW_WINDOW_LO_MAX", 0x1, 0x0},
		{"DISABLE_DRAW_WINDOW_HI", 0x4, 0x2},
		{"MODE", 0x100, 0x8},
		{"DISABLE_DRAW_WINDOW_LO_MIN", 0x2, 0x1}
	} },
	{"CP_CPC_BUSY_STAT", 0x2085, {
		{"MEC1_EOP_QUEUE_BUSY", 0x10, 0x4},
		{"MEC2_IB_QUEUE_BUSY", 0x400000, 0x16},
		{"MEC2_IQ_QUEUE_BUSY", 0x200000, 0x15},
		{"MEC2_TC_BUSY", 0x800000, 0x17},
		{"MEC1_MUTEX_BUSY", 0x4, 0x2},
		{"MEC1_DMA_BUSY", 0x100, 0x8},
		{"MEC1_SEMAPOHRE_BUSY", 0x2, 0x1},
		{"MEC2_EOP_QUEUE_BUSY", 0x100000, 0x14},
		{"MEC2_PIPE2_BUSY", 0x10000000, 0x1c},
		{"MEC1_TC_BUSY", 0x80, 0x7},
		{"MEC2_PIPE0_BUSY", 0x4000000, 0x1a},
		{"MEC2_LOAD_BUSY", 0x10000, 0x10},
		{"MEC1_IB_QUEUE_BUSY", 0x40, 0x6},
		{"MEC1_MESSAGE_BUSY", 0x8, 0x3},
		{"MEC2_MESSAGE_BUSY", 0x80000, 0x13},
		{"MEC1_PIPE3_BUSY", 0x2000, 0xd},
		{"MEC1_PIPE1_BUSY", 0x800, 0xb},
		{"MEC2_SEMAPOHRE_BUSY", 0x20000, 0x11},
		{"MEC1_PARTIAL_FLUSH_BUSY", 0x200, 0x9},
		{"MEC1_PIPE0_BUSY", 0x400, 0xa},
		{"MEC2_PARTIAL_FLUSH_BUSY", 0x2000000, 0x19},
		{"MEC1_PIPE2_BUSY", 0x1000, 0xc},
		{"MEC2_DMA_BUSY", 0x1000000, 0x18},
		{"MEC2_PIPE1_BUSY", 0x8000000, 0x1b},
		{"MEC1_LOAD_BUSY", 0x1, 0x0},
		{"MEC2_PIPE3_BUSY", 0x20000000, 0x1d},
		{"MEC1_IQ_QUEUE_BUSY", 0x20, 0x5},
		{"MEC2_MUTEX_BUSY", 0x40000, 0x12}
	} },
	{"GDS_ATOM_BASE", 0xc40c, {
		{"UNUSED", 0xffff0000, 0x10},
		{"BASE", 0xffff, 0x0}
	} },
	{"PA_SC_CLIPRECT_2_BR", 0xa089, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CP_MEQ_THRESHOLDS", 0x21d9, {
		{"MEQ2_START", 0xff00, 0x8},
		{"MEQ1_START", 0xff, 0x0}
	} },
	{"CP_RB1_CNTL", 0x3061, {
		{"RB_RPTR_WR_ENA", 0x80000000, 0x1f},
		{"MIN_IB_AVAILSZ", 0xc00000, 0x16},
		{"RB_BUFSZ", 0x3f, 0x0},
		{"CACHE_POLICY", 0x1000000, 0x18},
		{"RB_NO_UPDATE", 0x8000000, 0x1b},
		{"MIN_AVAILSZ", 0x300000, 0x14},
		{"MTYPE", 0x18000, 0xf},
		{"RB_BLKSZ", 0x3f00, 0x8}
	} },
	{"PA_SC_VPORT_SCISSOR_10_BR", 0xa0a9, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"TCA_PERFCOUNTER1_LO", 0xd392, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"GRBM_STATUS2", 0x2002, {
		{"ME0PIPE1_CF_RQ_PENDING", 0x10, 0x4},
		{"ME0PIPE1_PF_RQ_PENDING", 0x20, 0x5},
		{"CPG_BUSY", 0x40000000, 0x1e},
		{"TC_BUSY", 0x2000000, 0x19},
		{"RLC_BUSY", 0x1000000, 0x18},
		{"CPF_BUSY", 0x10000000, 0x1c},
		{"ME1PIPE0_RQ_PENDING", 0x40, 0x6},
		{"ME1PIPE3_RQ_PENDING", 0x200, 0x9},
		{"ME1PIPE2_RQ_PENDING", 0x100, 0x8},
		{"RLC_RQ_PENDING", 0x4000, 0xe},
		{"ME1PIPE1_RQ_PENDING", 0x80, 0x7},
		{"ME2PIPE1_RQ_PENDING", 0x800, 0xb},
		{"ME2PIPE2_RQ_PENDING", 0x1000, 0xc},
		{"ME2PIPE3_RQ_PENDING", 0x2000, 0xd},
		{"CPC_BUSY", 0x20000000, 0x1d},
		{"TCC_CC_RESIDENT", 0x4000000, 0x1a},
		{"ME2PIPE0_RQ_PENDING", 0x400, 0xa},
		{"ME0PIPE1_CMDFIFO_AVAIL", 0xf, 0x0}
	} },
	{"RAS_SC_SIGNATURE5", 0x3394, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SC_SIGNATURE4", 0x3393, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SC_SIGNATURE7", 0x3396, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SC_SIGNATURE6", 0x3395, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SC_SIGNATURE1", 0x3390, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SC_SIGNATURE0", 0x338f, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SC_SIGNATURE3", 0x3392, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SC_SIGNATURE2", 0x3391, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"IA_PERFCOUNTER0_SELECT1", 0xd888, {
		{"PERF_MODE2", 0xf0000000, 0x1c},
		{"PERF_MODE3", 0xf000000, 0x18},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"SQ_WAVE_TMA_LO", 0x26e, {
		{"ADDR_LO", 0xffffffff, 0x0}
	} },
	{"DIDT_DB_WEIGHT0_3", 0x30, {
		{"WEIGHT3", 0xff000000, 0x18},
		{"WEIGHT2", 0xff0000, 0x10},
		{"WEIGHT1", 0xff00, 0x8},
		{"WEIGHT0", 0xff, 0x0}
	} },
	{"PA_SC_TRAP_SCREEN_COUNT", 0xc2b4, {
		{"COUNT", 0xffff, 0x0}
	} },
	{"DIDT_SQ_WEIGHT8_11", 0x12, {
		{"WEIGHT11", 0xff000000, 0x18},
		{"WEIGHT10", 0xff0000, 0x10},
		{"WEIGHT9", 0xff00, 0x8},
		{"WEIGHT8", 0xff, 0x0}
	} },
	{"CP_ME_MC_WADDR_HI", 0xc06a, {
		{"MTYPE", 0x300000, 0x14},
		{"ME_MC_WADDR_HI", 0xffff, 0x0},
		{"CACHE_POLICY", 0x400000, 0x16}
	} },
	{"SPI_SHADER_USER_DATA_LS_9", 0x2d55, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_8", 0x2d54, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_HQD_PQ_WPTR_POLL_ADDR", 0x3252, {
		{"WPTR_ADDR", 0xfffffffc, 0x2}
	} },
	{"SPI_SHADER_USER_DATA_LS_1", 0x2d4d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_0", 0x2d4c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_3", 0x2d4f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_2", 0x2d4e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_5", 0x2d51, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_4", 0x2d50, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_7", 0x2d53, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_6", 0x2d52, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_PGM_HI", 0x2e0d, {
		{"INST_ATC", 0x100, 0x8},
		{"DATA", 0xff, 0x0}
	} },
	{"CB_COLOR3_SLICE", 0xa347, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"SQ_BUF_RSRC_WORD1", 0x23c1, {
		{"CACHE_SWIZZLE", 0x40000000, 0x1e},
		{"STRIDE", 0x3fff0000, 0x10},
		{"SWIZZLE_ENABLE", 0x80000000, 0x1f},
		{"BASE_ADDRESS_HI", 0xffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_15", 0xa16d, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"SQ_BUF_RSRC_WORD3", 0x23c3, {
		{"INDEX_STRIDE", 0x600000, 0x15},
		{"ATC", 0x1000000, 0x18},
		{"DST_SEL_W", 0xe00, 0x9},
		{"DST_SEL_X", 0x7, 0x0},
		{"DST_SEL_Y", 0x38, 0x3},
		{"DST_SEL_Z", 0x1c0, 0x6},
		{"DATA_FORMAT", 0x78000, 0xf},
		{"MTYPE", 0x38000000, 0x1b},
		{"ELEMENT_SIZE", 0x180000, 0x13},
		{"NUM_FORMAT", 0x7000, 0xc},
		{"HEAP", 0x4000000, 0x1a},
		{"HASH_ENABLE", 0x2000000, 0x19},
		{"ADD_TID_ENABLE", 0x800000, 0x17},
		{"TYPE", 0xc0000000, 0x1e}
	} },
	{"SQ_BUF_RSRC_WORD2", 0x23c2, {
		{"NUM_RECORDS", 0xffffffff, 0x0}
	} },
	{"TCC_PERFCOUNTER0_LO", 0xd380, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"DIDT_SQ_CTRL1", 0x1, {
		{"MAX_POWER", 0xffff0000, 0x10},
		{"MIN_POWER", 0xffff, 0x0}
	} },
	{"DIDT_SQ_CTRL0", 0x0, {
		{"PHASE_OFFSET", 0xc, 0x2},
		{"USE_REF_CLOCK", 0x2, 0x1},
		{"UNUSED_0", 0xffffffc0, 0x6},
		{"DIDT_CTRL_RST", 0x10, 0x4},
		{"DIDT_CTRL_EN", 0x1, 0x0},
		{"DIDT_CLK_EN_OVERRIDE", 0x20, 0x5}
	} },
	{"CP_PFP_PRGRM_CNTR_START", 0x30a4, {
		{"IP_START", 0xfff, 0x0}
	} },
	{"PA_SU_VTX_CNTL", 0xa2f9, {
		{"QUANT_MODE", 0x38, 0x3},
		{"ROUND_MODE", 0x6, 0x1},
		{"PIX_CENTER", 0x1, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC1_HS", 0x2d0a, {
		{"FLOAT_MODE", 0xff000, 0xc},
		{"CACHE_CTL", 0x7000000, 0x18},
		{"CDBG_USER", 0x8000000, 0x1b},
		{"IEEE_MODE", 0x800000, 0x17},
		{"PRIORITY", 0xc00, 0xa},
		{"SGPRS", 0x3c0, 0x6},
		{"DEBUG_MODE", 0x400000, 0x16},
		{"VGPRS", 0x3f, 0x0},
		{"DX10_CLAMP", 0x200000, 0x15},
		{"PRIV", 0x100000, 0x14}
	} },
	{"CP_PRT_LOD_STATS_CNTL0", 0x20ad, {
		{"BU_SIZE", 0xffffffff, 0x0}
	} },
	{"CP_PRT_LOD_STATS_CNTL1", 0x20ae, {
		{"BASE_LO", 0xffffffff, 0x0}
	} },
	{"CP_PRT_LOD_STATS_CNTL2", 0x20af, {
		{"REPORT_AND_RESET", 0x80000, 0x13},
		{"CACHE_POLICY", 0x10000000, 0x1c},
		{"INTERVAL", 0x3fc, 0x2},
		{"MTYPE", 0xc0000000, 0x1e},
		{"MC_VMID", 0x7800000, 0x17},
		{"RESET_CNT", 0x3fc00, 0xa},
		{"RESET_FORCE", 0x40000, 0x12},
		{"BASE_HI", 0x3, 0x0}
	} },
	{"CB_COLOR6_VIEW", 0xa375, {
		{"SLICE_MAX", 0xffe000, 0xd},
		{"SLICE_START", 0x7ff, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_INST_USERDATA_1_OF_2", 0x23b0, {
		{"SH_ID", 0x20, 0x5},
		{"TOKEN_TYPE", 0xf, 0x0},
		{"SIMD_ID", 0xc000, 0xe},
		{"DATA_LO", 0xffff0000, 0x10},
		{"TIME_DELTA", 0x10, 0x4},
		{"CU_ID", 0x3c0, 0x6},
		{"WAVE_ID", 0x3c00, 0xa}
	} },
	{"VGT_TF_PARAM", 0xa2db, {
		{"DISTRIBUTION_MODE", 0x60000, 0x11},
		{"PARTITIONING", 0x1c, 0x2},
		{"RESERVED_REDUC_AXIS", 0x100, 0x8},
		{"DEPRECATED", 0x200, 0x9},
		{"RDREQ_POLICY", 0x8000, 0xf},
		{"NUM_DS_WAVES_PER_SIMD", 0x3c00, 0xa},
		{"DISABLE_DONUTS", 0x4000, 0xe},
		{"MTYPE", 0x180000, 0x13},
		{"TYPE", 0x3, 0x0},
		{"TOPOLOGY", 0xe0, 0x5}
	} },
	{"PA_SU_CNTL_STATUS", 0x2294, {
		{"SU_BUSY", 0x80000000, 0x1f}
	} },
	{"CPC_INT_STATUS", 0x30b5, {
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"DEQUEUE_REQUEST_INT_STATUS", 0x2000, 0xd},
		{"GENERIC0_INT_STATUS", 0x80000000, 0x1f},
		{"GENERIC1_INT_STATUS", 0x40000000, 0x1e},
		{"WRM_POLL_TIMEOUT_INT_STATUS", 0x20000, 0x11},
		{"RESERVED_BIT_ERROR_INT_STATUS", 0x8000000, 0x1b},
		{"CP_ECC_ERROR_INT_STATUS", 0x4000, 0xe},
		{"CMP_QUERY_STATUS_INT_STATUS", 0x1000, 0xc},
		{"TIME_STAMP_INT_STATUS", 0x4000000, 0x1a},
		{"PRIV_REG_INT_STATUS", 0x800000, 0x17},
		{"GENERIC2_INT_STATUS", 0x20000000, 0x1d},
		{"OPCODE_ERROR_INT_STATUS", 0x1000000, 0x18}
	} },
	{"PA_SC_VPORT_SCISSOR_10_TL", 0xa0a8, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"GDS_PERFCOUNTER2_SELECT", 0xda82, {
		{"PERFCOUNTER_SELECT", 0x3ff, 0x0},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERFCOUNTER_SELECT1", 0xffc00, 0xa}
	} },
	{"CB_COLOR6_FMASK", 0xa37b, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"RLC_CGTT_MGCG_OVERRIDE", 0xec48, {
		{"OVERRIDE", 0xffffffff, 0x0}
	} },
	{"RLC_PERFCOUNTER0_SELECT", 0xdcc1, {
		{"PERFCOUNTER_SELECT", 0xff, 0x0}
	} },
	{"CLIPPER_DEBUG_REG10", 0xa, {
		{"clipsm3_clprim_to_clip_event", 0x20000000, 0x1d},
		{"clipsm3_clprim_to_clip_null_primitive", 0x40000000, 0x1e},
		{"clipsm3_clprim_to_clip_vertex_store_indx_0", 0x1f800000, 0x17},
		{"clipsm3_clprim_to_clip_vertex_store_indx_1", 0x7e0000, 0x11},
		{"clipsm3_clprim_to_clip_vertex_store_indx_2", 0x1f800, 0xb},
		{"clipsm3_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"clipsm3_clprim_to_clip_param_cache_indx_0", 0x7fe, 0x1}
	} },
	{"COMPUTE_THREADGROUP_ID", 0x2e21, {
		{"THREADGROUP_ID", 0xffffffff, 0x0}
	} },
	{"CP_ME_PREEMPTION", 0x21b9, {
		{"OBSOLETE", 0x1, 0x0}
	} },
	{"PA_CL_POINT_Y_RAD", 0xa1f6, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CB_COLOR6_INFO", 0xa376, {
		{"COMP_SWAP", 0x1800, 0xb},
		{"CMASK_IS_LINEAR", 0x80000, 0x13},
		{"DCC_ENABLE", 0x10000000, 0x1c},
		{"COMPRESSION", 0x4000, 0xe},
		{"FMASK_COMPRESS_1FRAG_ONLY", 0x8000000, 0x1b},
		{"FORMAT", 0x7c, 0x2},
		{"BLEND_CLAMP", 0x8000, 0xf},
		{"ROUND_MODE", 0x40000, 0x12},
		{"CMASK_ADDR_TYPE", 0x60000000, 0x1d},
		{"LINEAR_GENERAL", 0x80, 0x7},
		{"BLEND_OPT_DISCARD_PIXEL", 0x3800000, 0x17},
		{"BLEND_OPT_DONT_RD_DST", 0x700000, 0x14},
		{"NUMBER_TYPE", 0x700, 0x8},
		{"ENDIAN", 0x3, 0x0},
		{"BLEND_BYPASS", 0x10000, 0x10},
		{"FMASK_COMPRESSION_DISABLE", 0x4000000, 0x1a},
		{"FAST_CLEAR", 0x2000, 0xd},
		{"SIMPLE_FLOAT", 0x20000, 0x11}
	} },
	{"PA_CL_GB_VERT_CLIP_ADJ", 0xa2fa, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_M0", 0x27c, {
		{"M0", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_HI_VS", 0x2c49, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_TIMESTAMP_2_OF_2", 0x23b1, {
		{"TIME_HI", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_LO_PS", 0x2c08, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"SPI_PS_INPUT_CNTL_31", 0xa1b0, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"SPI_PS_INPUT_CNTL_30", 0xa1af, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"ATTR0_VALID", 0x1000000, 0x18},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12}
	} },
	{"CP_GRBM_FREE_COUNT", 0x21a3, {
		{"FREE_COUNT_GDS", 0x3f00, 0x8},
		{"FREE_COUNT", 0x3f, 0x0},
		{"FREE_COUNT_PFP", 0x3f0000, 0x10}
	} },
	{"VGT_DEBUG_CNTL", 0x2238, {
		{"VGT_DEBUG_INDX", 0x3f, 0x0},
		{"VGT_DEBUG_SEL_BUS_B", 0x40, 0x6}
	} },
	{"PA_SC_VPORT_SCISSOR_14_TL", 0xa0b0, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"SQ_THREAD_TRACE_USERDATA_3", 0xc343, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SERDES_RD_DATA_2", 0xec5c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SC_WINDOW_SCISSOR_BR", 0xa082, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CP_VGT_HSINVOC_COUNT_LO", 0xc024, {
		{"HSINVOC_COUNT_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR4_FMASK", 0xa35d, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"RLC_DYN_PG_REQUEST", 0xec4c, {
		{"PG_REQUEST_CU_MASK", 0xffffffff, 0x0}
	} },
	{"CP_ME1_PIPE2_PRIORITY", 0x309c, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"TCP_CHAN_STEER_LO", 0x2b03, {
		{"CHAN5", 0xf00000, 0x14},
		{"CHAN4", 0xf0000, 0x10},
		{"CHAN7", 0xf0000000, 0x1c},
		{"CHAN6", 0xf000000, 0x18},
		{"CHAN1", 0xf0, 0x4},
		{"CHAN0", 0xf, 0x0},
		{"CHAN3", 0xf000, 0xc},
		{"CHAN2", 0xf00, 0x8}
	} },
	{"GRBM_SE1_PERFCOUNTER_LO", 0xd047, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC3_HS", 0x2d07, {
		{"GROUP_FIFO_DEPTH", 0xfc00, 0xa},
		{"WAVE_LIMIT", 0x3f, 0x0},
		{"LOCK_LOW_THRESHOLD", 0x3c0, 0x6}
	} },
	{"SH_MEM_BASES", 0x230a, {
		{"SHARED_BASE", 0xffff0000, 0x10},
		{"PRIVATE_BASE", 0xffff, 0x0}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_1", 0xa2ff, {
		{"S7_Y", 0xf0000000, 0x1c},
		{"S7_X", 0xf000000, 0x18},
		{"S6_X", 0xf0000, 0x10},
		{"S6_Y", 0xf00000, 0x14},
		{"S5_Y", 0xf000, 0xc},
		{"S5_X", 0xf00, 0x8},
		{"S4_X", 0xf, 0x0},
		{"S4_Y", 0xf0, 0x4}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_0", 0xa2fe, {
		{"S2_X", 0xf0000, 0x10},
		{"S2_Y", 0xf00000, 0x14},
		{"S1_Y", 0xf000, 0xc},
		{"S1_X", 0xf00, 0x8},
		{"S0_X", 0xf, 0x0},
		{"S0_Y", 0xf0, 0x4},
		{"S3_Y", 0xf0000000, 0x1c},
		{"S3_X", 0xf000000, 0x18}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_3", 0xa301, {
		{"S13_Y", 0xf000, 0xc},
		{"S13_X", 0xf00, 0x8},
		{"S14_X", 0xf0000, 0x10},
		{"S14_Y", 0xf00000, 0x14},
		{"S15_Y", 0xf0000000, 0x1c},
		{"S15_X", 0xf000000, 0x18},
		{"S12_X", 0xf, 0x0},
		{"S12_Y", 0xf0, 0x4}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_2", 0xa300, {
		{"S9_Y", 0xf000, 0xc},
		{"S9_X", 0xf00, 0x8},
		{"S11_X", 0xf000000, 0x18},
		{"S8_X", 0xf, 0x0},
		{"S8_Y", 0xf0, 0x4},
		{"S11_Y", 0xf0000000, 0x1c},
		{"S10_X", 0xf0000, 0x10},
		{"S10_Y", 0xf00000, 0x14}
	} },
	{"GRBM_WAIT_IDLE_CLOCKS", 0x200d, {
		{"WAIT_IDLE_CLOCKS", 0xff, 0x0}
	} },
	{"SCRATCH_REG2", 0xc042, {
		{"SCRATCH_REG2", 0xffffffff, 0x0}
	} },
	{"SCRATCH_REG1", 0xc041, {
		{"SCRATCH_REG1", 0xffffffff, 0x0}
	} },
	{"SCRATCH_REG0", 0xc040, {
		{"SCRATCH_REG0", 0xffffffff, 0x0}
	} },
	{"CP_ME1_PIPE_PRIORITY_CNTS", 0x3099, {
		{"PRIORITY1_CNT", 0xff, 0x0},
		{"PRIORITY2A_CNT", 0xff00, 0x8},
		{"PRIORITY2B_CNT", 0xff0000, 0x10},
		{"PRIORITY3_CNT", 0xff000000, 0x18}
	} },
	{"DB_DEPTH_BOUNDS_MIN", 0xa008, {
		{"MIN", 0xffffffff, 0x0}
	} },
	{"CLIPPER_DEBUG_REG14", 0xe, {
		{"clprim_in_back_vertex_store_indx_1", 0xfc0, 0x6},
		{"clprim_in_back_vertex_store_indx_0", 0x3f000, 0xc},
		{"outputclprimtoclip_null_primitive", 0x40000, 0x12},
		{"clprim_in_back_vertex_store_indx_2", 0x3f, 0x0},
		{"prim_back_valid", 0x80000000, 0x1f},
		{"clprim_in_back_end_of_packet", 0x80000, 0x13},
		{"clprim_in_back_event_id", 0x3f000000, 0x18},
		{"clprim_in_back_first_prim_of_slot", 0x100000, 0x14},
		{"clprim_in_back_event", 0x40000000, 0x1e},
		{"clprim_in_back_deallocate_slot", 0xe00000, 0x15}
	} },
	{"PA_SU_LINE_STIPPLE_VALUE", 0xc280, {
		{"LINE_STIPPLE_VALUE", 0xffffff, 0x0}
	} },
	{"DIDT_SQ_WEIGHT0_3", 0x10, {
		{"WEIGHT3", 0xff000000, 0x18},
		{"WEIGHT2", 0xff0000, 0x10},
		{"WEIGHT1", 0xff00, 0x8},
		{"WEIGHT0", 0xff, 0x0}
	} },
	{"GDS_GWS_RESOURCE_CNT", 0xc41c, {
		{"RESOURCE_CNT", 0xffff, 0x0},
		{"UNUSED", 0xffff0000, 0x10}
	} },
	{"RLC_SPM_PERFMON_RING_BASE_HI", 0xdc82, {
		{"RING_BASE_HI", 0xffff, 0x0},
		{"RESERVED", 0xffff0000, 0x10}
	} },
	{"CP_IB1_OFFSET", 0xc092, {
		{"IB1_OFFSET", 0xfffff, 0x0}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_0", 0xa302, {
		{"S2_X", 0xf0000, 0x10},
		{"S2_Y", 0xf00000, 0x14},
		{"S1_Y", 0xf000, 0xc},
		{"S1_X", 0xf00, 0x8},
		{"S0_X", 0xf, 0x0},
		{"S0_Y", 0xf0, 0x4},
		{"S3_Y", 0xf0000000, 0x1c},
		{"S3_X", 0xf000000, 0x18}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_1", 0xa303, {
		{"S7_Y", 0xf0000000, 0x1c},
		{"S7_X", 0xf000000, 0x18},
		{"S6_X", 0xf0000, 0x10},
		{"S6_Y", 0xf00000, 0x14},
		{"S5_Y", 0xf000, 0xc},
		{"S5_X", 0xf00, 0x8},
		{"S4_X", 0xf, 0x0},
		{"S4_Y", 0xf0, 0x4}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_2", 0xa304, {
		{"S9_Y", 0xf000, 0xc},
		{"S9_X", 0xf00, 0x8},
		{"S11_X", 0xf000000, 0x18},
		{"S8_X", 0xf, 0x0},
		{"S8_Y", 0xf0, 0x4},
		{"S11_Y", 0xf0000000, 0x1c},
		{"S10_X", 0xf0000, 0x10},
		{"S10_Y", 0xf00000, 0x14}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_3", 0xa305, {
		{"S13_Y", 0xf000, 0xc},
		{"S13_X", 0xf00, 0x8},
		{"S14_X", 0xf0000, 0x10},
		{"S14_Y", 0xf00000, 0x14},
		{"S15_Y", 0xf0000000, 0x1c},
		{"S15_X", 0xf000000, 0x18},
		{"S12_X", 0xf, 0x0},
		{"S12_Y", 0xf0, 0x4}
	} },
	{"CLIPPER_DEBUG_REG15", 0xf, {
		{"primic_to_clprim_valid", 0x80000000, 0x1f},
		{"primic_to_clprim_fifo_vertex_store_indx_0", 0x7c000000, 0x1a},
		{"primic_to_clprim_fifo_vertex_store_indx_2", 0x1f0000, 0x10},
		{"vertval_bits_vertex_vertex_store_msb", 0xffff, 0x0},
		{"primic_to_clprim_fifo_vertex_store_indx_1", 0x3e00000, 0x15}
	} },
	{"RLC_PERFCOUNTER1_HI", 0xd483, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"WD_DEBUG_REG9", 0x9, {
		{"pipe2_rtr", 0x80, 0x7},
		{"pipe4_dr", 0x40000000, 0x1e},
		{"tf_fetch_state_q", 0x70000, 0x10},
		{"tf_pointer_p0_q", 0xf00000, 0x14},
		{"dynamic_hs_p0_q", 0x1000000, 0x18},
		{"ttp_tf_fifo_empty", 0x400, 0xa},
		{"pipec_tf_rtr", 0x40, 0x6},
		{"pipe1_rtr", 0x20, 0x5},
		{"event_or_null_flags_p0_q", 0x8, 0x3},
		{"pipec_tf_dr", 0x2, 0x1},
		{"first_fetch_of_tg_p0_q", 0x2000000, 0x19},
		{"pipe4_rtr", 0x80000000, 0x1f},
		{"mem_is_even", 0x4000000, 0x1a},
		{"SPARE0", 0xf800, 0xb},
		{"SPARE1", 0x8000000, 0x1b},
		{"pipe0_dr", 0x1, 0x0},
		{"SPARE2", 0x30000000, 0x1c},
		{"pipe2_dr", 0x4, 0x2},
		{"pipe0_rtr", 0x10, 0x4},
		{"ttp_patch_fifo_empty", 0x200, 0x9},
		{"ttp_patch_fifo_full", 0x100, 0x8},
		{"last_patch_of_tg", 0x80000, 0x13}
	} },
	{"CP_HQD_QUEUE_PRIORITY", 0x324b, {
		{"PRIORITY_LEVEL", 0xf, 0x0}
	} },
	{"CP_VGT_CSINVOC_COUNT_HI", 0xc031, {
		{"CSINVOC_COUNT_HI", 0xffffffff, 0x0}
	} },
	{"GRBM_SKEW_CNTL", 0x2001, {
		{"SKEW_TOP_THRESHOLD", 0x3f, 0x0},
		{"SKEW_COUNT", 0xfc0, 0x6}
	} },
	{"WD_DEBUG_REG1", 0x1, {
		{"rbiu_di_fifo_empty", 0x10000000, 0x1c},
		{"rbiu_di_fifo_we", 0x4000000, 0x1a},
		{"dma_request_valid_q", 0x80, 0x7},
		{"SPARE0", 0x100, 0x8},
		{"grbm_fifo_re", 0x8, 0x3},
		{"min_indx_valid_q", 0x200, 0x9},
		{"rbiu_di_fifo_full", 0x20000000, 0x1d},
		{"event_addr_valid_q", 0x40, 0x6},
		{"grbm_fifo_empty", 0x1, 0x0},
		{"indx_offset_valid_q", 0x800, 0xb},
		{"max_indx_valid_q", 0x400, 0xa},
		{"rbiu_dr_fifo_empty", 0x40000000, 0x1e},
		{"grbm_fifo_full", 0x2, 0x1},
		{"grbm_fifo_rdata_state", 0xe0000, 0x11},
		{"grbm_fifo_we", 0x4, 0x2},
		{"free_cnt_q", 0x3f00000, 0x14},
		{"grbm_fifo_rdata_reg_id", 0x1f000, 0xc},
		{"draw_initiator_valid_q", 0x10, 0x4},
		{"event_initiator_valid_q", 0x20, 0x5},
		{"rbiu_dr_fifo_we", 0x8000000, 0x1b},
		{"rbiu_dr_fifo_full", 0x80000000, 0x1f}
	} },
	{"WD_DEBUG_REG0", 0x0, {
		{"spl_rbiu_di_read", 0x80000, 0x13},
		{"se0_synced_q", 0x100000, 0x14},
		{"rbiu_spl_di_valid", 0x40000, 0x12},
		{"spl_rbiu_dr_read", 0x8000, 0xf},
		{"rbiu_di_p1_fifo_busy", 0x800, 0xb},
		{"vgt3_active_q", 0x80000000, 0x1f},
		{"wd_busy", 0x4, 0x2},
		{"spl_dma_busy", 0x20, 0x5},
		{"rbiu_spl_dr_valid", 0x4000, 0xe},
		{"vgt1_active_q", 0x100, 0x8},
		{"sclk_reg_vld", 0x10000000, 0x1c},
		{"spl_dma_p1_busy", 0x200, 0x9},
		{"se1_synced_q", 0x200000, 0x15},
		{"rbiu_busy", 0x10, 0x4},
		{"se2_synced_q", 0x400000, 0x16},
		{"rbiu_dr_p1_fifo_busy", 0x400, 0xa},
		{"rbiu_dr_fifo_busy", 0x2000, 0xd},
		{"vgt0_active_q", 0x80, 0x7},
		{"se3_synced_q", 0x800000, 0x17},
		{"spl_di_busy", 0x40, 0x6},
		{"wd_nodma_busy_extended", 0x2, 0x1},
		{"sclk_core_vld", 0x40000000, 0x1e},
		{"core_clk_busy", 0x4000000, 0x1a},
		{"sclk_input_vld", 0x20000000, 0x1d},
		{"wd_busy_extended", 0x1, 0x0},
		{"reg_clk_busy", 0x1000000, 0x18},
		{"SPARE3", 0x10000, 0x10},
		{"SPARE2", 0x1000, 0xc},
		{"rbiu_di_fifo_busy", 0x20000, 0x11},
		{"input_clk_busy", 0x2000000, 0x19},
		{"vgt2_active_q", 0x8000000, 0x1b},
		{"wd_nodma_busy", 0x8, 0x3}
	} },
	{"RAS_TA_SIGNATURE0", 0x339b, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_TA_SIGNATURE1", 0x33a0, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"WD_DEBUG_REG5", 0x5, {
		{"p1_wd_subdma_fifo_empty", 0x40, 0x6},
		{"p1_out_of_range_p4", 0x2000, 0xd},
		{"p1_WD_IA_dma_send_d", 0x10000, 0x10},
		{"p1_pipe0_dr", 0x4, 0x2},
		{"p1_dma_wd_switch_on_eop_p3_q", 0x8000000, 0x1b},
		{"p1_wd_subdma_fifo_full", 0x80, 0x7},
		{"p1_WD_IA1_dma_rtr", 0x80000, 0x13},
		{"p1_dma_zero_indices_p0_q", 0x400, 0xa},
		{"p1_dma_not_eop_p1_q", 0x1000, 0xc},
		{"p1_WD_IA1_dma_send_d", 0x40000, 0x12},
		{"p1_pipe1_dr", 0x10, 0x4},
		{"p1_pipe3_rtr", 0x20000000, 0x1d},
		{"p1_send_to_ia1_p3_q", 0x4000000, 0x1a},
		{"p1_last_inst_of_dma_p2", 0x100000, 0x14},
		{"p1_WD_IA_dma_busy", 0x1000000, 0x18},
		{"p1_pipe0_rtr", 0x8, 0x3},
		{"p1_dma_buf_type_p0_q", 0x300, 0x8},
		{"p1_last_rdreq_of_sub_dma_p4", 0x8000, 0xf},
		{"p1_WD_IA1_dma_busy", 0x2000000, 0x19},
		{"p1_pipe3_dr", 0x10000000, 0x1c},
		{"SPARE1", 0x800000, 0x17},
		{"p1_rbiu_spl_dr_valid", 0x1, 0x0},
		{"p1_last_sub_dma_p3_q", 0x4000, 0xe},
		{"p1_pipe1_rtr", 0x20, 0x5},
		{"SPARE0", 0x2, 0x1},
		{"p1_WD_IA_dma_rtr", 0x20000, 0x11},
		{"p1_dma_req_path_p3_q", 0x800, 0xb},
		{"p1_last_sd_of_dma_p2", 0x400000, 0x16},
		{"p1_wd_dma2draw_fifo_full", 0x80000000, 0x1f},
		{"p1_wd_dma2draw_fifo_empty", 0x40000000, 0x1e},
		{"p1_last_sd_of_inst_p2", 0x200000, 0x15}
	} },
	{"RLC_SPM_IA_PERFMON_SAMPLE_DELAY", 0xdc8e, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"SQ_PERFCOUNTER4_HI", 0xd1c9, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CB_BLEND_ALPHA", 0xa108, {
		{"BLEND_ALPHA", 0xffffffff, 0x0}
	} },
	{"RLC_SERDES_WR_CU_MASTER_MASK", 0xec5d, {
		{"MASTER_MASK", 0xffffffff, 0x0}
	} },
	{"CP_MEC_CNTL", 0x208d, {
		{"MEC_ME2_HALT", 0x10000000, 0x1c},
		{"MEC_INVALIDATE_ICACHE", 0x10, 0x4},
		{"MEC_ME1_STEP", 0x80000000, 0x1f},
		{"MEC_ME1_PIPE1_RESET", 0x20000, 0x11},
		{"MEC_ME2_STEP", 0x20000000, 0x1d},
		{"MEC_ME1_PIPE2_RESET", 0x40000, 0x12},
		{"MEC_ME1_PIPE0_RESET", 0x10000, 0x10},
		{"MEC_ME2_PIPE0_RESET", 0x100000, 0x14},
		{"MEC_ME1_HALT", 0x40000000, 0x1e},
		{"MEC_ME1_PIPE3_RESET", 0x80000, 0x13},
		{"MEC_ME2_PIPE1_RESET", 0x200000, 0x15}
	} },
	{"CP_EOP_DONE_DATA_CNTL", 0xc0d6, {
		{"INT_SEL", 0x7000000, 0x18},
		{"CNTX_ID", 0xffff, 0x0},
		{"DST_SEL", 0x30000, 0x10},
		{"DATA_SEL", 0xe0000000, 0x1d}
	} },
	{"CGTS_CU14_LDS_SQ_CTRL_REG", 0xf04f, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"CLIPPER_DEBUG_REG16", 0x10, {
		{"sm0_highest_priority_seq", 0x20000000, 0x1d},
		{"sm0_vertex_clip_cnt", 0x3e000, 0xd},
		{"sm0_prim_end_state", 0x7f, 0x0},
		{"sm0_clip_to_clipga_clip_to_outsm_cnt_eq0", 0x8000000, 0x1b},
		{"sm0_clip_to_outsm_fifo_full", 0x10000000, 0x1c},
		{"sm0_current_state", 0x7f00000, 0x14},
		{"sm0_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"sm0_clip_vert_cnt", 0x1f00, 0x8},
		{"sm0_outputcliptoclipga_0", 0x40000000, 0x1e},
		{"sm0_inv_to_clip_data_valid_0", 0x80000, 0x13},
		{"sm0_inv_to_clip_data_valid_1", 0x40000, 0x12},
		{"sm0_ps_expand", 0x80, 0x7}
	} },
	{"CP_EOP_DONE_CNTX_ID", 0xc0d7, {
		{"CNTX_ID", 0xfffffff, 0x0}
	} },
	{"GDS_PERFCOUNTER3_HI", 0xd287, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_9", 0xa149, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_8", 0xa143, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_SC_P3D_TRAP_SCREEN_HV_EN", 0xc2a0, {
		{"FORCE_PRE_SHADER_ALL_PIXELS", 0x2, 0x1},
		{"ENABLE_HV_PRE_SHADER", 0x1, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_3", 0xa125, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_2", 0xa11f, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_1", 0xa119, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_7", 0xa13d, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_6", 0xa137, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_5", 0xa131, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_4", 0xa12b, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_9", 0x2d15, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_8", 0x2d14, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_DEBUG", 0x24ca, {
		{"START_VALUE", 0x7fffffff, 0x0},
		{"OVERRIDE_EN", 0x80000000, 0x1f}
	} },
	{"SPI_SHADER_USER_DATA_HS_5", 0x2d11, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_4", 0x2d10, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CGTS_CU7_SP0_CTRL_REG", 0xf02b, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"SPI_SHADER_USER_DATA_HS_6", 0x2d12, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CGTT_RLC_CLK_CTRL", 0xf0b8, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE_DYN", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE_REG", 0x80000000, 0x1f},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_0", 0x2d0c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_3", 0x2d0f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_2", 0x2d0e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TCC_PERFCOUNTER2_SELECT", 0xdb84, {
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"GDS_DEBUG_CNTL", 0x25c8, {
		{"GDS_DEBUG_INDX", 0x1f, 0x0},
		{"UNUSED", 0xffffffe0, 0x5}
	} },
	{"GDS_VS_CTXSW_CNT3", 0x3356, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_VS_CTXSW_CNT2", 0x3355, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_VS_CTXSW_CNT1", 0x3354, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"CP_ME0_PIPE0_PRIORITY", 0x304d, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"DIDT_TD_WEIGHT0_3", 0x50, {
		{"WEIGHT3", 0xff000000, 0x18},
		{"WEIGHT2", 0xff0000, 0x10},
		{"WEIGHT1", 0xff00, 0x8},
		{"WEIGHT0", 0xff, 0x0}
	} },
	{"CP_CPC_SCRATCH_INDEX", 0x2090, {
		{"SCRATCH_INDEX", 0x1ff, 0x0}
	} },
	{"SQ_EDC_DED_CNT", 0x23a2, {
		{"SGPR_DED", 0xff00, 0x8},
		{"VGPR_DED", 0xff0000, 0x10},
		{"LDS_DED", 0xff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_11", 0x2d57, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_10", 0x2d56, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_CSF_STAT", 0x21b4, {
		{"BUFFER_SLOTS_ALLOCATED", 0xf, 0x0},
		{"BUFFER_REQUEST_COUNT", 0x1ff00, 0x8}
	} },
	{"SPI_SHADER_USER_DATA_LS_12", 0x2d58, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_15", 0x2d5b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_14", 0x2d5a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TCC_PERFCOUNTER0_HI", 0xd381, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"VGT_GS_INSTANCE_CNT", 0xa2e4, {
		{"CNT", 0x1fc, 0x2},
		{"ENABLE", 0x1, 0x0}
	} },
	{"CB_BLEND7_CONTROL", 0xa1e7, {
		{"DISABLE_ROP3", 0x80000000, 0x1f},
		{"SEPARATE_ALPHA_BLEND", 0x20000000, 0x1d},
		{"ALPHA_DESTBLEND", 0x1f000000, 0x18},
		{"COLOR_COMB_FCN", 0xe0, 0x5},
		{"COLOR_DESTBLEND", 0x1f00, 0x8},
		{"COLOR_SRCBLEND", 0x1f, 0x0},
		{"ENABLE", 0x40000000, 0x1e},
		{"ALPHA_COMB_FCN", 0xe00000, 0x15},
		{"ALPHA_SRCBLEND", 0x1f0000, 0x10}
	} },
	{"CP_HQD_SEMA_CMD", 0x325f, {
		{"RETRY", 0x1, 0x0},
		{"RESULT", 0x6, 0x1}
	} },
	{"CGTS_CU12_SP1_CTRL_REG", 0xf047, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"CB_COLOR6_SLICE", 0xa374, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"GDS_VMID2_BASE", 0x3304, {
		{"BASE", 0xffff, 0x0}
	} },
	{"CP_MQD_BASE_ADDR_HI", 0x3246, {
		{"BASE_ADDR_HI", 0xffff, 0x0}
	} },
	{"CP_PFP_GDS_ATOMIC1_PREOP_HI", 0xc057, {
		{"GDS_ATOMIC1_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_GLOBAL_MUXSEL_ADDR", 0xdc9b, {
		{"PERFMON_SEL_ADDR", 0xffffffff, 0x0}
	} },
	{"GDS_GWS_RESOURCE_RESET", 0x3346, {
		{"RESET", 0x1, 0x0},
		{"RESOURCE_ID", 0xff00, 0x8}
	} },
	{"SQ_PERFCOUNTER8_LO", 0xd1d0, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_0_TL", 0xa094, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"RLC_SPM_CPF_PERFMON_SAMPLE_DELAY", 0xdc89, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"CGTS_TCC_DISABLE", 0xf003, {
		{"TCC_DISABLE", 0xffff0000, 0x10}
	} },
	{"COMPUTE_STATIC_THREAD_MGMT_SE2", 0x2e19, {
		{"SH1_CU_EN", 0xffff0000, 0x10},
		{"SH0_CU_EN", 0xffff, 0x0}
	} },
	{"COMPUTE_STATIC_THREAD_MGMT_SE3", 0x2e1a, {
		{"SH1_CU_EN", 0xffff0000, 0x10},
		{"SH0_CU_EN", 0xffff, 0x0}
	} },
	{"COMPUTE_STATIC_THREAD_MGMT_SE0", 0x2e16, {
		{"SH1_CU_EN", 0xffff0000, 0x10},
		{"SH0_CU_EN", 0xffff, 0x0}
	} },
	{"COMPUTE_STATIC_THREAD_MGMT_SE1", 0x2e17, {
		{"SH1_CU_EN", 0xffff0000, 0x10},
		{"SH0_CU_EN", 0xffff, 0x0}
	} },
	{"CP_ME2_PIPE2_INT_STATUS", 0x3093, {
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"DEQUEUE_REQUEST_INT_STATUS", 0x2000, 0xd},
		{"GENERIC0_INT_STATUS", 0x80000000, 0x1f},
		{"GENERIC1_INT_STATUS", 0x40000000, 0x1e},
		{"WRM_POLL_TIMEOUT_INT_STATUS", 0x20000, 0x11},
		{"RESERVED_BIT_ERROR_INT_STATUS", 0x8000000, 0x1b},
		{"CP_ECC_ERROR_INT_STATUS", 0x4000, 0xe},
		{"CMP_QUERY_STATUS_INT_STATUS", 0x1000, 0xc},
		{"TIME_STAMP_INT_STATUS", 0x4000000, 0x1a},
		{"PRIV_REG_INT_STATUS", 0x800000, 0x17},
		{"GENERIC2_INT_STATUS", 0x20000000, 0x1d},
		{"OPCODE_ERROR_INT_STATUS", 0x1000000, 0x18}
	} },
	{"GDS_VMID1_BASE", 0x3302, {
		{"BASE", 0xffff, 0x0}
	} },
	{"PA_CL_RESET_DEBUG", 0x2286, {
		{"CL_TRIV_DISC_DISABLE", 0x1, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_1_TL", 0xa096, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"VGT_PERFCOUNTER0_SELECT", 0xd88c, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"CP_GDS_BKUP_ADDR", 0xc0fb, {
		{"ADDR_LO", 0xffffffff, 0x0}
	} },
	{"GDS_VMID6_BASE", 0x330c, {
		{"BASE", 0xffff, 0x0}
	} },
	{"CP_INT_CNTL_RING0", 0x306a, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"GFX_IDLE_INT_ENABLE", 0x200000, 0x15},
		{"CNTX_EMPTY_INT_ENABLE", 0x100000, 0x14},
		{"CP_VM_DOORBELL_WR_INT_ENABLE", 0x800, 0xb},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"CMP_BUSY_INT_ENABLE", 0x40000, 0x12},
		{"CNTX_BUSY_INT_ENABLE", 0x80000, 0x13},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"PRIV_INSTR_INT_ENABLE", 0x400000, 0x16},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"CP_RB1_WPTR", 0x3064, {
		{"RB_WPTR", 0xfffff, 0x0}
	} },
	{"SQ_MUBUF_1", 0x237f, {
		{"TFE", 0x800000, 0x17},
		{"SRSRC", 0x1f0000, 0x10},
		{"VDATA", 0xff00, 0x8},
		{"SOFFSET", 0xff000000, 0x18},
		{"VADDR", 0xff, 0x0}
	} },
	{"SQ_MUBUF_0", 0x237f, {
		{"ENCODING", 0xfc000000, 0x1a},
		{"GLC", 0x4000, 0xe},
		{"OP", 0x1fc0000, 0x12},
		{"LDS", 0x10000, 0x10},
		{"IDXEN", 0x2000, 0xd},
		{"OFFSET", 0xfff, 0x0},
		{"OFFEN", 0x1000, 0xc},
		{"SLC", 0x20000, 0x11}
	} },
	{"RAS_BCI_SIGNATURE0", 0x339e, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_BCI_SIGNATURE1", 0x339f, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"CP_CE_ROQ_IB1_STAT", 0x21e9, {
		{"CEQ_RPTR_INDIRECT1", 0x3ff, 0x0},
		{"CEQ_WPTR_INDIRECT1", 0x3ff0000, 0x10}
	} },
	{"CPF_PERFCOUNTER1_LO", 0xd008, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_SIZE", 0xc331, {
		{"SIZE", 0x3fffff, 0x0}
	} },
	{"PA_SC_P3D_TRAP_SCREEN_COUNT", 0xc2a4, {
		{"COUNT", 0xffff, 0x0}
	} },
	{"SQ_PERFCOUNTER11_HI", 0xd1d7, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SQ_LB_DATA_ALU_STALLS", 0x239b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CB_COLOR5_CMASK", 0xa36a, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"PA_CL_POINT_SIZE", 0xa1f7, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"SX_PERFCOUNTER0_HI", 0xd241, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER2_LO", 0xd1c4, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"DB_PERFCOUNTER2_SELECT", 0xdc44, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"PA_SC_PERFCOUNTER1_HI", 0xd143, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"GDS_CS_CTXSW_CNT3", 0x3351, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_CS_CTXSW_CNT0", 0x334e, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_CS_CTXSW_CNT1", 0x334f, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"PA_SC_LINE_STIPPLE_STATE", 0xc281, {
		{"CURRENT_COUNT", 0xff00, 0x8},
		{"CURRENT_PTR", 0xf, 0x0}
	} },
	{"CB_COLOR4_FMASK_SLICE", 0xa35e, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"SPI_SHADER_TBA_LO_VS", 0x2c40, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"CB_PERFCOUNTER1_LO", 0xd408, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_0", 0x24b5, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"SQ_MIMG_0", 0x237f, {
		{"SLC", 0x2000000, 0x19},
		{"ENCODING", 0xfc000000, 0x1a},
		{"TFE", 0x10000, 0x10},
		{"R128", 0x8000, 0xf},
		{"GLC", 0x2000, 0xd},
		{"DA", 0x4000, 0xe},
		{"DMASK", 0xf00, 0x8},
		{"UNORM", 0x1000, 0xc},
		{"OP", 0x1fc0000, 0x12},
		{"LWE", 0x20000, 0x11}
	} },
	{"SPI_WF_LIFETIME_STATUS_1", 0x24b6, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"CP_RB1_RPTR_ADDR", 0x3062, {
		{"RB_RPTR_ADDR", 0xfffffffc, 0x2},
		{"RB_RPTR_SWAP", 0x3, 0x0}
	} },
	{"CB_COLOR7_CLEAR_WORD0", 0xa38c, {
		{"CLEAR_WORD0", 0xffffffff, 0x0}
	} },
	{"CP_DMA_PFP_COMMAND", 0xc089, {
		{"SAIC", 0x10000000, 0x1c},
		{"DST_SWAP", 0x3000000, 0x18},
		{"DIS_WC", 0x200000, 0x15},
		{"BYTE_COUNT", 0x1fffff, 0x0},
		{"SRC_SWAP", 0xc00000, 0x16},
		{"DAIC", 0x20000000, 0x1d},
		{"RAW_WAIT", 0x40000000, 0x1e},
		{"DAS", 0x8000000, 0x1b},
		{"SAS", 0x4000000, 0x1a}
	} },
	{"DB_PERFCOUNTER0_HI", 0xd441, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"GRBM_DEBUG", 0x2014, {
		{"DISABLE_READ_TIMEOUT", 0x40, 0x6},
		{"GFX_CLOCK_DOMAIN_OVERRIDE", 0x1000, 0xc},
		{"GRBM_TRAP_ENABLE", 0x2000, 0xd},
		{"DEBUG_BUS_FGCG_EN", 0x80000000, 0x1f},
		{"IGNORE_RDY", 0x2, 0x1},
		{"IGNORE_FAO", 0x20, 0x5},
		{"SNAPSHOT_FREE_CNTRS", 0x80, 0x7},
		{"HYSTERESIS_GUI_ACTIVE", 0xf00, 0x8}
	} },
	{"DB_OCCLUSION_COUNT3_LOW", 0xc3c6, {
		{"COUNT_LOW", 0xffffffff, 0x0}
	} },
	{"CP_ATOMIC_PREOP_HI", 0xc05e, {
		{"ATOMIC_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_5", 0x24ba, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"GB_MACROTILE_MODE0", 0x2664, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"SPI_WF_LIFETIME_STATUS_7", 0x24bc, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"SPI_GFX_CNTL", 0x243c, {
		{"RESET_COUNTS", 0x1, 0x0}
	} },
	{"DB_CGTT_CLK_CTRL_0", 0xf0a4, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"RESERVED", 0xfff000, 0xc},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CP_MQD_CONTROL", 0x3267, {
		{"PROCESSING_MQD", 0x1000, 0xc},
		{"CACHE_POLICY", 0x1000000, 0x18},
		{"VMID", 0xf, 0x0},
		{"PROCESSING_MQD_EN", 0x2000, 0xd},
		{"MTYPE", 0x18000000, 0x1b},
		{"MQD_ATC", 0x800000, 0x17}
	} },
	{"CGTS_CU9_TD_TCP_CTRL_REG", 0xf039, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"COMPUTE_WAVE_RESTORE_ADDR_HI", 0x2e24, {
		{"ADDR", 0xffff, 0x0}
	} },
	{"CP_CPC_MGCG_SYNC_CNTL", 0x3036, {
		{"WARMUP_PERIOD", 0xff00, 0x8},
		{"COOLDOWN_PERIOD", 0xff, 0x0}
	} },
	{"GDS_VMID8_BASE", 0x3310, {
		{"BASE", 0xffff, 0x0}
	} },
	{"PA_SU_PERFCOUNTER1_HI", 0xd103, {
		{"PERFCOUNTER_HI", 0xffff, 0x0}
	} },
	{"GB_MACROTILE_MODE9", 0x266d, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"CB_PERFCOUNTER3_HI", 0xd40d, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_DMA_PFP_SRC_ADDR_HI", 0xc086, {
		{"SRC_ADDR_HI", 0xffff, 0x0}
	} },
	{"CB_COLOR3_CMASK_SLICE", 0xa34d, {
		{"TILE_MAX", 0x3fff, 0x0}
	} },
	{"SQC_CONFIG", 0x2301, {
		{"IDENTITY_HASH_BANK", 0x200, 0x9},
		{"FORCE_IN_ORDER", 0x100, 0x8},
		{"FORCE_1_BANK", 0x8000, 0xf},
		{"HIT_FIFO_DEPTH", 0x40, 0x6},
		{"IDENTITY_HASH_SET", 0x400, 0xa},
		{"DATA_CACHE_SIZE", 0xc, 0x2},
		{"FORCE_2_BANK", 0x4000, 0xe},
		{"LS_DISABLE_CLOCKS", 0xff0000, 0x10},
		{"MISS_FIFO_DEPTH", 0x30, 0x4},
		{"INST_CACHE_SIZE", 0x3, 0x0},
		{"FORCE_ALWAYS_MISS", 0x80, 0x7},
		{"EVICT_LRU", 0x3000, 0xc},
		{"PER_VMID_INV_DISABLE", 0x800, 0xb}
	} },
	{"CP_MEQ_AVAIL", 0x21dd, {
		{"MEQ_CNT", 0x3ff, 0x0}
	} },
	{"DB_PERFCOUNTER3_SELECT", 0xdc46, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"CP_DMA_ME_DST_ADDR", 0xc082, {
		{"DST_ADDR", 0xffffffff, 0x0}
	} },
	{"CP_CE_IB2_BUFSZ", 0xc0cb, {
		{"IB2_BUFSZ", 0xfffff, 0x0}
	} },
	{"GDS_DEBUG_DATA", 0x25c9, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER5_SELECT", 0xd9c5, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"SQC_WRITEBACK", 0xc349, {
		{"DWB", 0x1, 0x0},
		{"DIRTY", 0x2, 0x1}
	} },
	{"CP_HQD_CNTL_STACK_SIZE", 0x3274, {
		{"SIZE", 0x7000, 0xc}
	} },
	{"RLC_SRM_ARAM_DATA", 0xec84, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CGTT_CPC_CLK_CTRL", 0xf0b2, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE_PERFMON", 0x20000000, 0x1d},
		{"SOFT_OVERRIDE_REG", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE_DYN", 0x40000000, 0x1e},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CP_ME2_PIPE0_PRIORITY", 0x309f, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"CP_CE_DE_COUNT", 0x20c1, {
		{"DRAW_ENGINE_COUNT", 0xffffffff, 0x0}
	} },
	{"CP_HQD_HQ_SCHEDULER1", 0x3266, {
		{"SCHEDULER", 0xffffffff, 0x0}
	} },
	{"CP_HQD_HQ_SCHEDULER0", 0x3265, {
		{"SCHEDULER", 0xffffffff, 0x0}
	} },
	{"VGT_GS_PER_ES", 0xa295, {
		{"GS_PER_ES", 0x7ff, 0x0}
	} },
	{"PA_CL_POINT_CULL_RAD", 0xa1f8, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"SPI_GDBG_TRAP_DATA0", 0x31d8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_QUEUE_THRESHOLDS", 0x21d8, {
		{"ROQ_IB1_START", 0x3f, 0x0},
		{"ROQ_IB2_START", 0x3f00, 0x8}
	} },
	{"TD_DSM_CNTL", 0x252f, {
		{"FORCE_SEDB_1", 0x2, 0x1},
		{"FORCE_SEDB_0", 0x1, 0x0},
		{"EN_SINGLE_WR_SEDB", 0x4, 0x2}
	} },
	{"CP_ME1_PIPE1_PRIORITY", 0x309b, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"CP_PFP_METADATA_BASE_ADDR_HI", 0xc0f1, {
		{"ADDR_HI", 0xffff, 0x0}
	} },
	{"SQ_WAVE_PC_HI", 0x19, {
		{"PC_HI", 0xffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_MASK", 0xc332, {
		{"SQ_STALL_EN", 0x8000, 0xf},
		{"SH_SEL", 0x20, 0x5},
		{"SIMD_EN", 0xf00, 0x8},
		{"VM_ID_MASK", 0x3000, 0xc},
		{"REG_STALL_EN", 0x80, 0x7},
		{"CU_SEL", 0x1f, 0x0},
		{"SPI_STALL_EN", 0x4000, 0xe}
	} },
	{"CGTS_CU6_TD_TCP_CTRL_REG", 0xf02a, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"IA_PERFCOUNTER1_SELECT", 0xd885, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"IA_PERFCOUNTER3_LO", 0xd08e, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_IB1_BASE_LO", 0xc0cc, {
		{"IB1_BASE_LO", 0xfffffffc, 0x2}
	} },
	{"CP_MEC_ME2_UCODE_DATA", 0xf81d, {
		{"UCODE_DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_CNTL", 0xec80, {
		{"RESERVED", 0xfffffffc, 0x2},
		{"SRM_ENABLE", 0x1, 0x0},
		{"AUTO_INCR_ADDR", 0x2, 0x1}
	} },
	{"RLC_PG_DELAY_2", 0xec1f, {
		{"SERDES_TIMEOUT_VALUE", 0xff, 0x0},
		{"PERCU_TIMEOUT_VALUE", 0xffff0000, 0x10},
		{"SERDES_CMD_DELAY", 0xff00, 0x8}
	} },
	{"RLC_PG_DELAY_3", 0xec78, {
		{"RESERVED", 0xffffff00, 0x8},
		{"CGCG_ACTIVE_BEFORE_CGPG", 0xff, 0x0}
	} },
	{"CB_COLOR6_DCC_CONTROL", 0xa378, {
		{"OVERWRITE_COMBINER_DISABLE", 0x1, 0x0},
		{"KEY_CLEAR_ENABLE", 0x2, 0x1},
		{"MAX_UNCOMPRESSED_BLOCK_SIZE", 0xc, 0x2},
		{"LOSSY_ALPHA_PRECISION", 0x3c000, 0xe},
		{"INDEPENDENT_64B_BLOCKS", 0x200, 0x9},
		{"COLOR_TRANSFORM", 0x180, 0x7},
		{"LOSSY_RGB_PRECISION", 0x3c00, 0xa},
		{"MAX_COMPRESSED_BLOCK_SIZE", 0x60, 0x5},
		{"MIN_COMPRESSED_BLOCK_SIZE", 0x10, 0x4}
	} },
	{"RAS_IA_SIGNATURE1", 0x3398, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"CP_HQD_PERSISTENT_STATE", 0x3249, {
		{"QSWITCH_MODE", 0x40000000, 0x1e},
		{"RESTORE_ACTIVE", 0x10000000, 0x1c},
		{"DISP_ACTIVE", 0x80000000, 0x1f},
		{"RELAUNCH_WAVES", 0x20000000, 0x1d},
		{"PRELOAD_SIZE", 0x3ff00, 0x8},
		{"PRELOAD_REQ", 0x1, 0x0}
	} },
	{"CP_ME0_PIPE_PRIORITY_CNTS", 0x304c, {
		{"PRIORITY1_CNT", 0xff, 0x0},
		{"PRIORITY2A_CNT", 0xff00, 0x8},
		{"PRIORITY2B_CNT", 0xff0000, 0x10},
		{"PRIORITY3_CNT", 0xff000000, 0x18}
	} },
	{"DB_ZPASS_COUNT_LOW", 0xc3fe, {
		{"COUNT_LOW", 0xffffffff, 0x0}
	} },
	{"GDS_PERFCOUNTER0_SELECT", 0xda80, {
		{"PERFCOUNTER_SELECT", 0x3ff, 0x0},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERFCOUNTER_SELECT1", 0xffc00, 0xa}
	} },
	{"SPI_SHADER_USER_DATA_HS_11", 0x2d17, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"GDS_ATOM_SRC0", 0xc412, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"GDS_ATOM_SRC1", 0xc414, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_HQD_GDS_RESOURCE_STATE", 0x3277, {
		{"OA_ACQUIRED", 0x2, 0x1},
		{"GWS_PNTR", 0x3f000, 0xc},
		{"GWS_SIZE", 0x3f0, 0x4},
		{"OA_REQUIRED", 0x1, 0x0}
	} },
	{"TCC_PERFCOUNTER1_SELECT", 0xdb82, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"SQ_THREAD_TRACE_WPTR", 0xc339, {
		{"READ_OFFSET", 0xc0000000, 0x1e},
		{"WPTR", 0x3fffffff, 0x0}
	} },
	{"PA_SU_PERFCOUNTER1_SELECT", 0xd902, {
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"VGT_DMA_BASE_HI", 0xa1f9, {
		{"BASE_ADDR", 0xff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_5", 0x2c11, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_4", 0x2c10, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_7", 0x2c13, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_6", 0x2c12, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_1", 0x2c0d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_0", 0x2c0c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_3", 0x2c0f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_2", 0x2c0e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"IA_PERFCOUNTER0_SELECT", 0xd884, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"CP_ME_PRGRM_CNTR_START", 0x30a5, {
		{"IP_START", 0xfff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_9", 0x2c15, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_8", 0x2c14, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_ME1_PIPE1_INT_STATUS", 0x308e, {
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"DEQUEUE_REQUEST_INT_STATUS", 0x2000, 0xd},
		{"GENERIC0_INT_STATUS", 0x80000000, 0x1f},
		{"GENERIC1_INT_STATUS", 0x40000000, 0x1e},
		{"WRM_POLL_TIMEOUT_INT_STATUS", 0x20000, 0x11},
		{"RESERVED_BIT_ERROR_INT_STATUS", 0x8000000, 0x1b},
		{"CP_ECC_ERROR_INT_STATUS", 0x4000, 0xe},
		{"CMP_QUERY_STATUS_INT_STATUS", 0x1000, 0xc},
		{"TIME_STAMP_INT_STATUS", 0x4000000, 0x1a},
		{"PRIV_REG_INT_STATUS", 0x800000, 0x17},
		{"GENERIC2_INT_STATUS", 0x20000000, 0x1d},
		{"OPCODE_ERROR_INT_STATUS", 0x1000000, 0x18}
	} },
	{"RLC_SPM_SX_PERFMON_SAMPLE_DELAY", 0xdc9a, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"CB_COLOR1_INFO", 0xa32b, {
		{"COMP_SWAP", 0x1800, 0xb},
		{"CMASK_IS_LINEAR", 0x80000, 0x13},
		{"DCC_ENABLE", 0x10000000, 0x1c},
		{"COMPRESSION", 0x4000, 0xe},
		{"FMASK_COMPRESS_1FRAG_ONLY", 0x8000000, 0x1b},
		{"FORMAT", 0x7c, 0x2},
		{"BLEND_CLAMP", 0x8000, 0xf},
		{"ROUND_MODE", 0x40000, 0x12},
		{"CMASK_ADDR_TYPE", 0x60000000, 0x1d},
		{"LINEAR_GENERAL", 0x80, 0x7},
		{"BLEND_OPT_DISCARD_PIXEL", 0x3800000, 0x17},
		{"BLEND_OPT_DONT_RD_DST", 0x700000, 0x14},
		{"NUMBER_TYPE", 0x700, 0x8},
		{"ENDIAN", 0x3, 0x0},
		{"BLEND_BYPASS", 0x10000, 0x10},
		{"FMASK_COMPRESSION_DISABLE", 0x4000000, 0x1a},
		{"FAST_CLEAR", 0x2000, 0xd},
		{"SIMPLE_FLOAT", 0x20000, 0x11}
	} },
	{"PA_CL_VPORT_XOFFSET_7", 0xa13a, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_6", 0xa134, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_5", 0xa12e, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_4", 0xa128, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_3", 0xa122, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_2", 0xa11c, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_1", 0xa116, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER6_SELECT", 0xd9c6, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"TD_PERFCOUNTER1_LO", 0xd302, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR1_FMASK", 0xa330, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_9", 0xa146, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET_8", 0xa140, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"DIDT_DB_CTRL2", 0x22, {
		{"MAX_POWER_DELTA", 0x3fff, 0x0},
		{"LONG_TERM_INTERVAL_RATIO", 0x78000000, 0x1b},
		{"UNUSED_2", 0x80000000, 0x1f},
		{"UNUSED_1", 0x4000000, 0x1a},
		{"UNUSED_0", 0xc000, 0xe},
		{"SHORT_TERM_INTERVAL_SIZE", 0x3ff0000, 0x10}
	} },
	{"RLC_SRM_GPM_COMMAND", 0xec87, {
		{"START_OFFSET", 0x1ffe0000, 0x11},
		{"DEST_MEMORY", 0x80000000, 0x1f},
		{"INDEX_CNTL_NUM", 0x1c, 0x2},
		{"INDEX_CNTL", 0x2, 0x1},
		{"OP", 0x1, 0x0},
		{"RESERVED1", 0x60000000, 0x1d},
		{"SIZE", 0x1ffe0, 0x5}
	} },
	{"CGTS_CU11_LDS_SQ_CTRL_REG", 0xf040, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"TA_PERFCOUNTER1_LO", 0xd2c2, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"GRBM_PERFCOUNTER0_LO", 0xd040, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"TCA_CGTT_SCLK_CTRL", 0xf0ad, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CP_HQD_IQ_TIMER", 0x325b, {
		{"QUANTUM_TIMER", 0x400000, 0x16},
		{"MTYPE", 0x18000000, 0x1b},
		{"PROCESSING_IQ", 0x40000000, 0x1e},
		{"CLOCK_COUNT", 0xc000, 0xe},
		{"CACHE_POLICY", 0x1000000, 0x18},
		{"INTERRUPT_TYPE", 0x3000, 0xc},
		{"IMMEDIATE_EXPIRE", 0x800, 0xb},
		{"WAIT_TIME", 0xff, 0x0},
		{"INTERRUPT_SIZE", 0x3f0000, 0x10},
		{"IQ_ATC", 0x800000, 0x17},
		{"ACTIVE", 0x80000000, 0x1f},
		{"PROCESS_IQ_EN", 0x20000000, 0x1d},
		{"RETRY_TYPE", 0x700, 0x8}
	} },
	{"CGTS_CU7_TA_CTRL_REG", 0xf02d, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"PA_SU_PERFCOUNTER0_SELECT1", 0xd901, {
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"RAS_SIGNATURE_MASK", 0x3381, {
		{"INPUT_BUS_MASK", 0xffffffff, 0x0}
	} },
	{"GDS_RD_BURST_ADDR", 0xc402, {
		{"BURST_ADDR", 0xffffffff, 0x0}
	} },
	{"PA_SC_FIFO_SIZE", 0x22f3, {
		{"SC_BACKEND_PRIM_FIFO_SIZE", 0x7fc0, 0x6},
		{"SC_FRONTEND_PRIM_FIFO_SIZE", 0x3f, 0x0},
		{"SC_EARLYZ_TILE_FIFO_SIZE", 0xff800000, 0x17},
		{"SC_HIZ_TILE_FIFO_SIZE", 0x1f8000, 0xf}
	} },
	{"SPI_CSQ_WF_ACTIVE_STATUS", 0x24db, {
		{"ACTIVE", 0xffffffff, 0x0}
	} },
	{"CP_CE_METADATA_BASE_ADDR", 0xc0f2, {
		{"ADDR_LO", 0xffffffff, 0x0}
	} },
	{"CP_DFY_CNTL", 0x3020, {
		{"POLICY", 0x1, 0x0},
		{"MTYPE", 0xc, 0x2},
		{"ENABLE", 0x80000000, 0x1f},
		{"MODE", 0x60000000, 0x1d},
		{"LFSR_RESET", 0x10000000, 0x1c}
	} },
	{"CP_RB_WPTR", 0x3045, {
		{"RB_WPTR", 0xfffff, 0x0}
	} },
	{"PA_CL_UCP_3_Z", 0xa17d, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CP_PFP_GDS_ATOMIC1_PREOP_LO", 0xc056, {
		{"GDS_ATOMIC1_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_3_X", 0xa17b, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_3_Y", 0xa17c, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"RLC_SERDES_CU_MASTER_BUSY", 0xec61, {
		{"BUSY_BUSY", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_3_W", 0xa17e, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XOFFSET", 0xa110, {
		{"VPORT_XOFFSET", 0xffffffff, 0x0}
	} },
	{"CP_DFY_STAT", 0x3021, {
		{"BUSY", 0x80000000, 0x1f},
		{"TAGS_PENDING", 0x1ff0000, 0x10},
		{"BURST_COUNT", 0xffff, 0x0}
	} },
	{"PA_SU_HARDWARE_SCREEN_OFFSET", 0xa08d, {
		{"HW_SCREEN_OFFSET_Y", 0x1ff0000, 0x10},
		{"HW_SCREEN_OFFSET_X", 0x1ff, 0x0}
	} },
	{"PA_SC_DEBUG_REG1", 0x1, {
		{"REG1_FIELD1", 0xc, 0x2},
		{"REG1_FIELD0", 0x3, 0x0}
	} },
	{"PA_SC_DEBUG_REG0", 0x0, {
		{"REG0_FIELD0", 0x3, 0x0},
		{"REG0_FIELD1", 0xc, 0x2}
	} },
	{"SQ_THREAD_TRACE_CNTR", 0x2390, {
		{"CNTR", 0xffffffff, 0x0}
	} },
	{"CB_COLOR1_DCC_BASE", 0xa334, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"RLC_DYN_PG_STATUS", 0xec4b, {
		{"PG_STATUS_CU_MASK", 0xffffffff, 0x0}
	} },
	{"CGTT_SQ_CLK_CTRL", 0xf08c, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"PERFMON_OVERRIDE", 0x20000000, 0x1d},
		{"CORE_OVERRIDE", 0x40000000, 0x1e},
		{"REG_OVERRIDE", 0x80000000, 0x1f},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CP_ME1_INT_STAT_DEBUG", 0x3095, {
		{"DEQUEUE_REQUEST_INT_ASSERTED", 0x2000, 0xd},
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"TIME_STAMP_INT_ASSERTED", 0x4000000, 0x1a},
		{"GENERIC0_INT_ASSERTED", 0x80000000, 0x1f},
		{"RESERVED_BIT_ERROR_INT_ASSERTED", 0x8000000, 0x1b},
		{"WRM_POLL_TIMEOUT_INT_ASSERTED", 0x20000, 0x11},
		{"CMP_QUERY_STATUS_INT_ASSERTED", 0x1000, 0xc},
		{"GENERIC2_INT_ASSERTED", 0x20000000, 0x1d},
		{"CP_ECC_ERROR_INT_ASSERTED", 0x4000, 0xe},
		{"GENERIC1_INT_ASSERTED", 0x40000000, 0x1e},
		{"OPCODE_ERROR_INT_ASSERTED", 0x1000000, 0x18},
		{"PRIV_REG_INT_ASSERTED", 0x800000, 0x17}
	} },
	{"CGTS_CU5_SP1_CTRL_REG", 0xf024, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"WD_PERFCOUNTER3_SELECT", 0xd883, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"DIDT_TCP_CTRL1", 0x61, {
		{"MAX_POWER", 0xffff0000, 0x10},
		{"MIN_POWER", 0xffff, 0x0}
	} },
	{"DB_DEPTH_CONTROL", 0xa200, {
		{"Z_WRITE_ENABLE", 0x4, 0x2},
		{"STENCILFUNC", 0x700, 0x8},
		{"DEPTH_BOUNDS_ENABLE", 0x8, 0x3},
		{"STENCIL_ENABLE", 0x1, 0x0},
		{"DISABLE_COLOR_WRITES_ON_DEPTH_PASS", 0x80000000, 0x1f},
		{"Z_ENABLE", 0x2, 0x1},
		{"BACKFACE_ENABLE", 0x80, 0x7},
		{"ENABLE_COLOR_WRITES_ON_DEPTH_FAIL", 0x40000000, 0x1e},
		{"ZFUNC", 0x70, 0x4},
		{"STENCILFUNC_BF", 0x700000, 0x14}
	} },
	{"CP_CE_INIT_BASE_HI", 0xc0c4, {
		{"INIT_BASE_HI", 0xffff, 0x0}
	} },
	{"IA_DEBUG_DATA", 0x223b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_CMD_TIMESTAMP", 0x2375, {
		{"TIMESTAMP", 0xff, 0x0}
	} },
	{"SPI_PERFCOUNTER1_LO", 0xd183, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_ME_MC_WDATA_HI", 0xc06c, {
		{"ME_MC_WDATA_HI", 0xffffffff, 0x0}
	} },
	{"DIDT_TCP_CTRL0", 0x60, {
		{"PHASE_OFFSET", 0xc, 0x2},
		{"USE_REF_CLOCK", 0x2, 0x1},
		{"UNUSED_0", 0xffffffc0, 0x6},
		{"DIDT_CTRL_RST", 0x10, 0x4},
		{"DIDT_CTRL_EN", 0x1, 0x0},
		{"DIDT_CLK_EN_OVERRIDE", 0x20, 0x5}
	} },
	{"CP_CE_PRGRM_CNTR_START", 0x30a3, {
		{"IP_START", 0x7ff, 0x0}
	} },
	{"CB_COLOR0_CMASK_SLICE", 0xa320, {
		{"TILE_MAX", 0x3fff, 0x0}
	} },
	{"TD_SCRATCH", 0x2533, {
		{"SCRATCH", 0xffffffff, 0x0}
	} },
	{"CP_GDS_BKUP_ADDR_HI", 0xc0fc, {
		{"ADDR_HI", 0xffff, 0x0}
	} },
	{"GDS_PS0_CTXSW_CNT1", 0x3358, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GRBM_TRAP_WD", 0x201c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_RB2_CNTL", 0x3066, {
		{"RB_RPTR_WR_ENA", 0x80000000, 0x1f},
		{"MIN_IB_AVAILSZ", 0xc00000, 0x16},
		{"RB_BUFSZ", 0x3f, 0x0},
		{"CACHE_POLICY", 0x1000000, 0x18},
		{"RB_NO_UPDATE", 0x8000000, 0x1b},
		{"MIN_AVAILSZ", 0x300000, 0x14},
		{"MTYPE", 0x18000, 0xf},
		{"RB_BLKSZ", 0x3f00, 0x8}
	} },
	{"SPI_SHADER_PGM_HI_PS", 0x2c09, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"SPI_P1_TRAP_SCREEN_PSBA_LO", 0x24f1, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"CP_WAIT_SEM_ADDR_HI", 0xc076, {
		{"SEM_SIGNAL_TYPE", 0x100000, 0x14},
		{"SEM_ADDR_HI", 0xffff, 0x0},
		{"SEM_CLIENT_CODE", 0x3000000, 0x18},
		{"SEM_SELECT", 0xe0000000, 0x1d},
		{"SEM_USE_MAILBOX", 0x10000, 0x10}
	} },
	{"GRBM_CAM_DATA", 0xf83f, {
		{"CAM_ADDR", 0xffff, 0x0},
		{"CAM_REMAPADDR", 0xffff0000, 0x10}
	} },
	{"CP_APPEND_DATA", 0xc05a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_DEBUG_CNTL", 0x2441, {
		{"DEBUG_PIPE_SEL", 0xe000000, 0x19},
		{"DEBUG_REG_EN", 0x80000000, 0x1f},
		{"DEBUG_THREAD_TYPE_SEL", 0xe, 0x1},
		{"DEBUG_SIMD_SEL", 0xfc00, 0xa},
		{"DEBUG_GROUP_SEL", 0x3f0, 0x4},
		{"DEBUG_SH_SEL", 0x10000, 0x10},
		{"DEBUG_GRBM_OVERRIDE", 0x1, 0x0},
		{"SPI_ECO_SPARE_6", 0x800000, 0x17},
		{"SPI_ECO_SPARE_7", 0x1000000, 0x18},
		{"SPI_ECO_SPARE_4", 0x200000, 0x15},
		{"SPI_ECO_SPARE_5", 0x400000, 0x16},
		{"SPI_ECO_SPARE_2", 0x80000, 0x13},
		{"SPI_ECO_SPARE_3", 0x100000, 0x14},
		{"SPI_ECO_SPARE_0", 0x20000, 0x11},
		{"SPI_ECO_SPARE_1", 0x40000, 0x12}
	} },
	{"TCA_PERFCOUNTER0_LO", 0xd390, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_HQD_EOP_RPTR", 0x326d, {
		{"INIT_FETCHER", 0x80000000, 0x1f},
		{"RPTR", 0x1fff, 0x0},
		{"RPTR_EQ_CSMD_WPTR", 0x40000000, 0x1e}
	} },
	{"SPI_PERFCOUNTER2_SELECT", 0xd982, {
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"CB_COLOR2_ATTRIB", 0xa33b, {
		{"FMASK_TILE_MODE_INDEX", 0x3e0, 0x5},
		{"FORCE_DST_ALPHA_1", 0x20000, 0x11},
		{"NUM_SAMPLES", 0x7000, 0xc},
		{"NUM_FRAGMENTS", 0x18000, 0xf},
		{"TILE_MODE_INDEX", 0x1f, 0x0},
		{"FMASK_BANK_HEIGHT", 0xc00, 0xa}
	} },
	{"CB_COLOR1_FMASK_SLICE", 0xa331, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_12", 0x2e4c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_13", 0x2e4d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_10", 0x2e4a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_11", 0x2e4b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_14", 0x2e4e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_15", 0x2e4f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_BUF_RSRC_WORD0", 0x23c0, {
		{"BASE_ADDRESS", 0xffffffff, 0x0}
	} },
	{"CGTS_CU13_SP0_CTRL_REG", 0xf049, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"SPI_PERFCOUNTER3_HI", 0xd186, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_TMA_HI_PS", 0x2c03, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"DB_RENDER_OVERRIDE", 0xa003, {
		{"DISABLE_VIEWPORT_CLAMP", 0x10000, 0x10},
		{"FORCE_COLOR_KILL", 0x400, 0xa},
		{"FORCE_STENCIL_READ", 0x1000, 0xc},
		{"FORCE_Z_READ", 0x800, 0xb},
		{"FORCE_Z_LIMIT_SUMM", 0x180000, 0x13},
		{"FORCE_HIS_ENABLE1", 0x30, 0x4},
		{"PRESERVE_COMPRESSION", 0x80000000, 0x1f},
		{"FORCE_Z_DIRTY", 0x8000000, 0x1b},
		{"FORCE_QC_SMASK_CONFLICT", 0x8000, 0xf},
		{"FORCE_Z_VALID", 0x20000000, 0x1d},
		{"DISABLE_FULLY_COVERED", 0x40000, 0x12},
		{"FORCE_STENCIL_VALID", 0x40000000, 0x1e},
		{"NOOP_CULL_DISABLE", 0x200, 0x9},
		{"FORCE_HIZ_ENABLE", 0x3, 0x0},
		{"DISABLE_TILE_RATE_TILES", 0x4000000, 0x1a},
		{"FORCE_FULL_Z_RANGE", 0x6000, 0xd},
		{"MAX_TILES_IN_DTT", 0x3e00000, 0x15},
		{"FORCE_SHADER_Z_ORDER", 0x40, 0x6},
		{"IGNORE_SC_ZRANGE", 0x20000, 0x11},
		{"FORCE_STENCIL_DIRTY", 0x10000000, 0x1c},
		{"FAST_STENCIL_DISABLE", 0x100, 0x8},
		{"FORCE_HIS_ENABLE0", 0xc, 0x2},
		{"FAST_Z_DISABLE", 0x80, 0x7}
	} },
	{"DB_Z_WRITE_BASE", 0xa014, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"GDS_VMID12_SIZE", 0x3319, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"CP_IB1_PREAMBLE_BEGIN", 0xc094, {
		{"IB1_PREAMBLE_BEGIN", 0xfffff, 0x0}
	} },
	{"CP_CE_IB2_BASE_LO", 0xc0c9, {
		{"IB2_BASE_LO", 0xfffffffc, 0x2}
	} },
	{"GDS_ATOM_READ1", 0xc418, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"GDS_ATOM_READ0", 0xc416, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SU_PERFCOUNTER0_HI", 0xd101, {
		{"PERFCOUNTER_HI", 0xffff, 0x0}
	} },
	{"SQ_IND_INDEX", 0x2378, {
		{"INDEX", 0xffff0000, 0x10},
		{"FORCE_READ", 0x2000, 0xd},
		{"UNINDEXED", 0x8000, 0xf},
		{"THREAD_ID", 0xfc0, 0x6},
		{"SIMD_ID", 0x30, 0x4},
		{"AUTO_INCR", 0x1000, 0xc},
		{"READ_TIMEOUT", 0x4000, 0xe},
		{"WAVE_ID", 0xf, 0x0}
	} },
	{"TC_CFG_L1_LOAD_POLICY0", 0x2b1a, {
		{"POLICY_13", 0xc000000, 0x1a},
		{"POLICY_12", 0x3000000, 0x18},
		{"POLICY_11", 0xc00000, 0x16},
		{"POLICY_10", 0x300000, 0x14},
		{"POLICY_15", 0xc0000000, 0x1e},
		{"POLICY_14", 0x30000000, 0x1c},
		{"POLICY_7", 0xc000, 0xe},
		{"POLICY_6", 0x3000, 0xc},
		{"POLICY_5", 0xc00, 0xa},
		{"POLICY_4", 0x300, 0x8},
		{"POLICY_3", 0xc0, 0x6},
		{"POLICY_2", 0x30, 0x4},
		{"POLICY_1", 0xc, 0x2},
		{"POLICY_0", 0x3, 0x0},
		{"POLICY_9", 0xc0000, 0x12},
		{"POLICY_8", 0x30000, 0x10}
	} },
	{"TC_CFG_L1_LOAD_POLICY1", 0x2b1b, {
		{"POLICY_25", 0xc0000, 0x12},
		{"POLICY_17", 0xc, 0x2},
		{"POLICY_16", 0x3, 0x0},
		{"POLICY_28", 0x3000000, 0x18},
		{"POLICY_29", 0xc000000, 0x1a},
		{"POLICY_26", 0x300000, 0x14},
		{"POLICY_27", 0xc00000, 0x16},
		{"POLICY_19", 0xc0, 0x6},
		{"POLICY_18", 0x30, 0x4},
		{"POLICY_22", 0x3000, 0xc},
		{"POLICY_23", 0xc000, 0xe},
		{"POLICY_20", 0x300, 0x8},
		{"POLICY_21", 0xc00, 0xa},
		{"POLICY_30", 0x30000000, 0x1c},
		{"POLICY_31", 0xc0000000, 0x1e},
		{"POLICY_24", 0x30000, 0x10}
	} },
	{"PA_SU_POLY_OFFSET_CLAMP", 0xa2df, {
		{"CLAMP", 0xffffffff, 0x0}
	} },
	{"SQ_INTERRUPT_MSG_CTRL", 0x2315, {
		{"STALL", 0x1, 0x0}
	} },
	{"DIDT_SQ_CTRL2", 0x2, {
		{"MAX_POWER_DELTA", 0x3fff, 0x0},
		{"LONG_TERM_INTERVAL_RATIO", 0x78000000, 0x1b},
		{"UNUSED_2", 0x80000000, 0x1f},
		{"UNUSED_1", 0x4000000, 0x1a},
		{"UNUSED_0", 0xc000, 0xe},
		{"SHORT_TERM_INTERVAL_SIZE", 0x3ff0000, 0x10}
	} },
	{"DB_STENCIL_READ_BASE", 0xa013, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"RLC_CSIB_LENGTH", 0xeca4, {
		{"LENGTH", 0xffffffff, 0x0}
	} },
	{"CB_DEBUG_BUS_16", 0x26a8, {
		{"CC_PF_DCC_COMPRESS_RATIO_8TO6", 0x20, 0x5},
		{"CC_PF_DCC_COMPRESS_RATIO_8TO7", 0x40, 0x6},
		{"CC_PF_DCC_COMPRESS_RATIO_8TO4", 0x8, 0x3},
		{"CC_PF_DCC_COMPRESS_RATIO_8TO5", 0x10, 0x4},
		{"CC_PF_DCC_COMPRESS_RATIO_8TO2", 0x2, 0x1},
		{"CC_PF_DCC_COMPRESS_RATIO_8TO3", 0x4, 0x2},
		{"CC_PF_DCC_COMPRESS_RATIO_8TO1", 0x1, 0x0}
	} },
	{"SQ_THREAD_TRACE_BASE", 0xc330, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"CP_PFP_ATOMIC_PREOP_HI", 0xc053, {
		{"ATOMIC_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_0_Y", 0xa170, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_0_X", 0xa16f, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_0_Z", 0xa171, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CB_PERFCOUNTER2_SELECT", 0xdc04, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"SQ_PERFCOUNTER4_SELECT", 0xd9c4, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"IA_DEBUG_REG8", 0x8, {
		{"two_cycle_xfer_p1_q", 0x20, 0x5},
		{"grp_output_path", 0xe00000, 0x15},
		{"grp_components_valid", 0xf0000000, 0x1c},
		{"grp_eop", 0x2000000, 0x19},
		{"grp_state_sel", 0x7000, 0xc},
		{"grp_continued", 0x800, 0xb},
		{"grp_null_primitive", 0x1000000, 0x18},
		{"two_prim_input_p1_q", 0x40, 0x6},
		{"shift_prim1_null_flag_p5_q", 0x200, 0x9},
		{"last_group_of_inst_p5_q", 0x100, 0x8},
		{"grp_event_flag", 0x8000000, 0x1b},
		{"shift_prim0_null_flag_p5_q", 0x400, 0xa},
		{"shift_vect_end_of_packet_p5_q", 0x80, 0x7},
		{"di_prim_type_p1_q", 0x1f, 0x0},
		{"grp_eopg", 0x4000000, 0x1a},
		{"grp_sub_prim_type", 0x1f8000, 0xf}
	} },
	{"IA_DEBUG_REG9", 0x9, {
		{"eopg_between_prims_p6", 0x400, 0xa},
		{"null_eoi_xfer_prim1_p6", 0x4, 0x2},
		{"SPARE0", 0x4000, 0xe},
		{"SPARE1", 0x8000, 0xf},
		{"shift_vect_end_of_packet_p5_q", 0x10000, 0x10},
		{"grp_se1_fifo_empty", 0x40000, 0x12},
		{"prim0_valid_eopg_p6", 0x80, 0x7},
		{"prim_count_eq_group_size_p6", 0x800, 0xb},
		{"gfx_se_switch_p6", 0x2, 0x1},
		{"prim_counter_q", 0xfff00000, 0x14},
		{"prim1_eoi_p6", 0x10, 0x4},
		{"prim_count_gt_group_size_p6", 0x1000, 0xc},
		{"prim1_to_other_se_p6", 0x100, 0x8},
		{"send_to_se1_p6", 0x1, 0x0},
		{"prim1_xfer_p6", 0x20000, 0x11},
		{"two_prim_output_p5_q", 0x2000, 0xd},
		{"eopg_on_last_prim_p6", 0x200, 0x9},
		{"prim0_eoi_p6", 0x20, 0x5},
		{"grp_se1_fifo_full", 0x80000, 0x13},
		{"prim1_valid_eopg_p6", 0x40, 0x6},
		{"null_eoi_xfer_prim0_p6", 0x8, 0x3}
	} },
	{"SQ_SMEM_1", 0x237f, {
		{"OFFSET", 0xfffff, 0x0}
	} },
	{"SQ_SMEM_0", 0x237f, {
		{"SDATA", 0x1fc0, 0x6},
		{"ENCODING", 0xfc000000, 0x1a},
		{"SBASE", 0x3f, 0x0},
		{"GLC", 0x10000, 0x10},
		{"IMM", 0x20000, 0x11},
		{"OP", 0x3fc0000, 0x12}
	} },
	{"IA_DEBUG_REG4", 0x4, {
		{"pipe2_rtr", 0x400, 0xa},
		{"grp_se0_fifo_empty", 0x40, 0x6},
		{"di_first_group_of_draw_q", 0x20000000, 0x1d},
		{"pipe4_dr", 0x10, 0x4},
		{"gs_mode_p1_q", 0xe0000, 0x11},
		{"last_shift_of_draw", 0x40000000, 0x1e},
		{"pipe3_rtr", 0x800, 0xb},
		{"di_event_flag_p1_q", 0x100000, 0x14},
		{"ready_to_read_di", 0x10000000, 0x1c},
		{"pipe1_rtr", 0x200, 0x9},
		{"pipe1_dr", 0x2, 0x1},
		{"draw_opaq_active_q", 0x2000000, 0x19},
		{"ia_se1vgt_prim_rtr_q", 0x8000, 0xf},
		{"grp_se0_fifo_full", 0x80, 0x7},
		{"pipe3_dr", 0x8, 0x3},
		{"di_state_sel_p1_q", 0xe00000, 0x15},
		{"pipe4_rtr", 0x1000, 0xc},
		{"di_source_select_p1_q", 0xc000000, 0x1a},
		{"pipe5_dr", 0x20, 0x5},
		{"pipe0_dr", 0x1, 0x0},
		{"di_major_mode_p1_q", 0x10000, 0x10},
		{"pipe2_dr", 0x4, 0x2},
		{"pipe0_rtr", 0x100, 0x8},
		{"ia_vgt_prim_rtr_q", 0x4000, 0xe},
		{"pipe5_rtr", 0x2000, 0xd},
		{"current_shift_is_vect1_q", 0x80000000, 0x1f},
		{"draw_opaq_en_p1_q", 0x1000000, 0x18}
	} },
	{"IA_DEBUG_REG5", 0x5, {
		{"draw_input_fifo_full", 0x40000000, 0x1e},
		{"draw_input_fifo_empty", 0x80000000, 0x1f},
		{"di_index_counter_q_15_0", 0xffff, 0x0},
		{"instanceid_13_0", 0x3fff0000, 0x10}
	} },
	{"IA_DEBUG_REG2", 0x2, {
		{"hp_stage2_dr", 0x40000, 0x12},
		{"hp_dma_tc_ret_sel_q", 0x800, 0xb},
		{"hp_dma_rdreq_dr_q", 0x8, 0x3},
		{"hp_dma_grp_valid", 0x4000000, 0x1a},
		{"hp_start_new_packet", 0x4, 0x2},
		{"hp_dma_mask_fifo_empty", 0x2000, 0xd},
		{"hp_dma_req_path_q", 0x80, 0x7},
		{"hp_stage3_dr", 0x100000, 0x14},
		{"hp_last_rdreq_in_dma_op", 0x1000, 0xc},
		{"hp_dma_data_fifo_empty_q", 0x4000, 0xe},
		{"hp_discard_1st_chunk", 0x100, 0x8},
		{"hp_stage4_rtr", 0x800000, 0x17},
		{"hp_dma_data_fifo_full", 0x8000, 0xf},
		{"hp_out_of_range_r2_q", 0x20000000, 0x1d},
		{"hp_stage3_rtr", 0x200000, 0x15},
		{"hp_dma_mask_fifo_we", 0x40000000, 0x1e},
		{"hp_dma_input_fifo_full", 0x2, 0x1},
		{"hp_dma_zero_indices_q", 0x10, 0x4},
		{"hp_dma_req_fifo_empty", 0x10000, 0x10},
		{"hp_dma_ret_data_we_q", 0x80000000, 0x1f},
		{"hp_stage2_rtr", 0x80000, 0x13},
		{"hp_dma_req_fifo_full", 0x20000, 0x11},
		{"hp_dma_skid_fifo_empty", 0x1000000, 0x18},
		{"hp_current_data_valid", 0x10000000, 0x1c},
		{"hp_stage4_dr", 0x400000, 0x16},
		{"hp_dma_buf_type_q", 0x60, 0x5},
		{"hp_grp_dma_read", 0x8000000, 0x1b},
		{"hp_discard_2nd_chunk", 0x200, 0x9},
		{"hp_dma_skid_fifo_full", 0x2000000, 0x19},
		{"hp_dma_input_fifo_empty", 0x1, 0x0},
		{"hp_second_tc_ret_data_q", 0x400, 0xa}
	} },
	{"IA_DEBUG_REG3", 0x3, {
		{"last_tc_req_p1", 0x10000000, 0x1c},
		{"pair0_valid_p1", 0x100000, 0x14},
		{"TC_IA_rdret_valid_in", 0x40000000, 0x1e},
		{"send_pipe1_req", 0x80, 0x7},
		{"dma_pipe1_rdreq_eop_out", 0x800, 0xb},
		{"IA_TC_rdreq_send_out", 0x20000000, 0x1d},
		{"mc_out_rtr", 0x4000, 0xe},
		{"dma_pipe0_rdreq_use_tc_out", 0x10, 0x4},
		{"dma_pipe0_rdreq_null_out", 0x4, 0x2},
		{"dma_pipe1_rdreq_use_tc_out", 0x1000, 0xc},
		{"must_service_pipe0_req", 0x40, 0x6},
		{"dma_pipe0_rdreq_eop_out", 0x8, 0x3},
		{"dma_pipe0_rdreq_read", 0x2, 0x1},
		{"dma_rdreq_send_out", 0x8000, 0xf},
		{"ia_mc_rdreq_rtr_q", 0x2000, 0xd},
		{"pair2_valid_p1", 0x400000, 0x16},
		{"pair3_valid_p1", 0x800000, 0x17},
		{"tc_out_rtr", 0x80000, 0x13},
		{"dma_pipe1_rdreq_valid", 0x100, 0x8},
		{"discard_2nd_chunk", 0x8000000, 0x1b},
		{"pair1_valid_p1", 0x200000, 0x15},
		{"discard_1st_chunk", 0x4000000, 0x1a},
		{"grp_dma_draw_is_pipe0", 0x20, 0x5},
		{"pipe0_dr", 0x10000, 0x10},
		{"TAP_IA_rdret_vld_in", 0x80000000, 0x1f},
		{"tc_req_count_q", 0x3000000, 0x18},
		{"pipe0_rtr", 0x20000, 0x11},
		{"dma_pipe1_rdreq_read", 0x200, 0x9},
		{"dma_pipe1_rdreq_null_out", 0x400, 0xa},
		{"ia_tc_rdreq_rtr_q", 0x40000, 0x12},
		{"dma_pipe0_rdreq_valid", 0x1, 0x0}
	} },
	{"IA_DEBUG_REG0", 0x0, {
		{"ia_nodma_busy_extended", 0x2, 0x1},
		{"grp_dma_read", 0x800, 0xb},
		{"dma_busy", 0x40, 0x6},
		{"ia_busy", 0x4, 0x2},
		{"mc_xl8r_busy", 0x80, 0x7},
		{"dma_grp_hp_valid", 0x1000, 0xc},
		{"ia_busy_extended", 0x1, 0x0},
		{"sclk_reg_vld", 0x10000000, 0x1c},
		{"ia_nodma_busy", 0x8, 0x3},
		{"grp_busy", 0x100, 0x8},
		{"SPARE4", 0x8000000, 0x1b},
		{"dma_req_busy", 0x20, 0x5},
		{"sclk_core_vld", 0x20000000, 0x1d},
		{"core_clk_busy", 0x2000000, 0x19},
		{"SPARE5", 0x40000000, 0x1e},
		{"reg_clk_busy", 0x1000000, 0x18},
		{"SPARE6", 0x80000000, 0x1f},
		{"SPARE1", 0x200, 0x9},
		{"SPARE0", 0x10, 0x4},
		{"SPARE3", 0x4000000, 0x1a},
		{"SPARE2", 0xffc000, 0xe},
		{"dma_grp_valid", 0x400, 0xa},
		{"grp_dma_hp_read", 0x2000, 0xd}
	} },
	{"SPI_SHADER_PGM_RSRC2_LS", 0x2d4b, {
		{"USER_SGPR", 0x3e, 0x1},
		{"SCRATCH_EN", 0x1, 0x0},
		{"EXCP_EN", 0x1ff0000, 0x10},
		{"LDS_SIZE", 0xff80, 0x7},
		{"TRAP_PRESENT", 0x40, 0x6}
	} },
	{"PA_CL_UCP_4_Y", 0xa180, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_4_X", 0xa17f, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"PA_CL_UCP_4_Z", 0xa181, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"CP_CPC_GRBM_FREE_COUNT", 0x208b, {
		{"FREE_COUNT", 0x3f, 0x0}
	} },
	{"RLC_SERDES_RD_MASTER_INDEX", 0xec59, {
		{"SH_ID", 0x30, 0x4},
		{"DATA_REG_ID", 0x18000, 0xf},
		{"SE_NONCU", 0x400, 0xa},
		{"SPARE", 0xfffe0000, 0x11},
		{"NON_SE", 0x7800, 0xb},
		{"SE_ID", 0x1c0, 0x6},
		{"CU_ID", 0xf, 0x0},
		{"SE_NONCU_ID", 0x200, 0x9}
	} },
	{"GDS_GFX_CTXSW_STATUS", 0x3352, {
		{"UNUSED", 0xfffffffc, 0x2},
		{"R", 0x1, 0x0},
		{"W", 0x2, 0x1}
	} },
	{"PA_CL_UCP_4_W", 0xa182, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"VGT_MULTI_PRIM_IB_RESET_EN", 0xa2a5, {
		{"RESET_EN", 0x1, 0x0}
	} },
	{"CP_EOP_LAST_FENCE_LO", 0xc004, {
		{"LAST_FENCE_LO", 0xffffffff, 0x0}
	} },
	{"CGTS_CU4_TD_TCP_CTRL_REG", 0xf020, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"CB_COLOR5_CLEAR_WORD0", 0xa36e, {
		{"CLEAR_WORD0", 0xffffffff, 0x0}
	} },
	{"CB_COLOR5_CLEAR_WORD1", 0xa36f, {
		{"CLEAR_WORD1", 0xffffffff, 0x0}
	} },
	{"CB_BLEND5_CONTROL", 0xa1e5, {
		{"DISABLE_ROP3", 0x80000000, 0x1f},
		{"SEPARATE_ALPHA_BLEND", 0x20000000, 0x1d},
		{"ALPHA_DESTBLEND", 0x1f000000, 0x18},
		{"COLOR_COMB_FCN", 0xe0, 0x5},
		{"COLOR_DESTBLEND", 0x1f00, 0x8},
		{"COLOR_SRCBLEND", 0x1f, 0x0},
		{"ENABLE", 0x40000000, 0x1e},
		{"ALPHA_COMB_FCN", 0xe00000, 0x15},
		{"ALPHA_SRCBLEND", 0x1f0000, 0x10}
	} },
	{"PA_SU_POINT_MINMAX", 0xa281, {
		{"MIN_SIZE", 0xffff, 0x0},
		{"MAX_SIZE", 0xffff0000, 0x10}
	} },
	{"SPI_SHADER_LATE_ALLOC_VS", 0x2c47, {
		{"LIMIT", 0x3f, 0x0}
	} },
	{"CP_PERFMON_CNTX_CNTL", 0xa0d8, {
		{"PERFMON_ENABLE", 0x80000000, 0x1f}
	} },
	{"GRBM_WRITE_ERROR", 0x201f, {
		{"WRITE_REQUESTER_RLC", 0x1, 0x0},
		{"WRITE_VMID", 0x1e000, 0xd},
		{"WRITE_MEID", 0xc00000, 0x16},
		{"WRITE_VFID", 0x1e0, 0x5},
		{"WRITE_REQUESTER_SRBM", 0x2, 0x1},
		{"WRITE_VF", 0x1000, 0xc},
		{"WRITE_PIPEID", 0x300000, 0x14},
		{"WRITE_ERROR", 0x80000000, 0x1f},
		{"WRITE_SSRCID", 0x1c, 0x2}
	} },
	{"SQ_THREAD_TRACE_TOKEN_MASK", 0xc333, {
		{"TOKEN_MASK", 0xffff, 0x0},
		{"REG_MASK", 0xff0000, 0x10},
		{"REG_DROP_ON_STALL", 0x1000000, 0x18}
	} },
	{"PA_SC_PERFCOUNTER0_SELECT", 0xd940, {
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"SPI_ARB_PRIORITY", 0x31c0, {
		{"TS1_DUR_MULT", 0xc000, 0xe},
		{"TS2_DUR_MULT", 0x30000, 0x10},
		{"TS0_DUR_MULT", 0x3000, 0xc},
		{"PIPE_ORDER_TS3", 0xe00, 0x9},
		{"PIPE_ORDER_TS2", 0x1c0, 0x6},
		{"PIPE_ORDER_TS1", 0x38, 0x3},
		{"PIPE_ORDER_TS0", 0x7, 0x0},
		{"TS3_DUR_MULT", 0xc0000, 0x12}
	} },
	{"SPI_PG_ENABLE_STATIC_CU_MASK", 0x24d7, {
		{"CU_MASK", 0xffff, 0x0}
	} },
	{"CB_DEBUG_BUS_13", 0x26a5, {
		{"FC_PF_DCC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL", 0x8000, 0xf},
		{"FC_DOC_OVERWROTE_1_SECTOR", 0x20, 0x5},
		{"FC_PF_DCC_CACHE_STALL", 0x80000, 0x13},
		{"FC_DOC_CLINE_CAM_HIT", 0x10, 0x4},
		{"FC_PF_DCC_CACHE_EVICT_NONZERO_INFLIGHT_STALL", 0x2000, 0xd},
		{"FC_DOC_CLINE_CAM_MISS", 0x8, 0x3},
		{"FC_PF_DCC_CACHE_TAGS_FLUSHED", 0x800000, 0x17},
		{"FC_PF_DCC_CACHE_SECTORS_FLUSHED", 0x200000, 0x15},
		{"FC_PF_DCC_CACHE_HIT", 0x200, 0x9},
		{"FC_PF_DCC_CACHE_REEVICTION_STALL", 0x1000, 0xc},
		{"FC_PF_FC_KEYID_RDLAT_FIFO_FULL", 0x1, 0x0},
		{"FC_PF_DCC_CACHE_SECTOR_MISS", 0x800, 0xb},
		{"FC_PF_DCC_CACHE_TAG_MISS", 0x400, 0xa},
		{"FC_PF_DCC_CACHE_REPLACE_PENDING_EVICT_STALL", 0x4000, 0xe},
		{"FC_PF_DCC_CACHE_DIRTY_SECTORS_FLUSHED", 0x400000, 0x16},
		{"FC_PF_DCC_CACHE_ACK_OUTPUT_STALL", 0x40000, 0x12},
		{"FC_DOC_OVERWROTE_2_SECTORS", 0x40, 0x6},
		{"FC_PF_DCC_CACHE_WRITE_OUTPUT_STALL", 0x20000, 0x11},
		{"FC_PF_DCC_CACHE_FLUSH", 0x100000, 0x14},
		{"FC_DOC_QTILE_CAM_MISS", 0x2, 0x1},
		{"FC_DOC_OVERWROTE_3_SECTORS", 0x80, 0x7},
		{"FC_PF_DCC_CACHE_READ_OUTPUT_STALL", 0x10000, 0x10},
		{"FC_DOC_QTILE_CAM_HIT", 0x4, 0x2},
		{"FC_DOC_OVERWROTE_4_SECTORS", 0x100, 0x8}
	} },
	{"DB_RENDER_CONTROL", 0xa000, {
		{"STENCIL_CLEAR_ENABLE", 0x2, 0x1},
		{"COPY_SAMPLE", 0xf00, 0x8},
		{"COPY_CENTROID", 0x80, 0x7},
		{"DECOMPRESS_ENABLE", 0x1000, 0xc},
		{"DEPTH_COPY", 0x4, 0x2},
		{"STENCIL_COPY", 0x8, 0x3},
		{"STENCIL_COMPRESS_DISABLE", 0x20, 0x5},
		{"DEPTH_CLEAR_ENABLE", 0x1, 0x0},
		{"DEPTH_COMPRESS_DISABLE", 0x40, 0x6},
		{"RESUMMARIZE_ENABLE", 0x10, 0x4}
	} },
	{"CB_COLOR7_INFO", 0xa385, {
		{"COMP_SWAP", 0x1800, 0xb},
		{"CMASK_IS_LINEAR", 0x80000, 0x13},
		{"DCC_ENABLE", 0x10000000, 0x1c},
		{"COMPRESSION", 0x4000, 0xe},
		{"FMASK_COMPRESS_1FRAG_ONLY", 0x8000000, 0x1b},
		{"FORMAT", 0x7c, 0x2},
		{"BLEND_CLAMP", 0x8000, 0xf},
		{"ROUND_MODE", 0x40000, 0x12},
		{"CMASK_ADDR_TYPE", 0x60000000, 0x1d},
		{"LINEAR_GENERAL", 0x80, 0x7},
		{"BLEND_OPT_DISCARD_PIXEL", 0x3800000, 0x17},
		{"BLEND_OPT_DONT_RD_DST", 0x700000, 0x14},
		{"NUMBER_TYPE", 0x700, 0x8},
		{"ENDIAN", 0x3, 0x0},
		{"BLEND_BYPASS", 0x10000, 0x10},
		{"FMASK_COMPRESSION_DISABLE", 0x4000000, 0x1a},
		{"FAST_CLEAR", 0x2000, 0xd},
		{"SIMPLE_FLOAT", 0x20000, 0x11}
	} },
	{"CB_DEBUG_BUS_12", 0x26a4, {
		{"FC_CC_QUADFRAG_WRITES_FRAGMENT_7", 0x20000, 0x11},
		{"FC_CC_QUADFRAG_WRITES_FRAGMENT_6", 0x10000, 0x10},
		{"FC_CC_QUADFRAG_WRITES_FRAGMENT_5", 0x8000, 0xf},
		{"FC_CC_QUADFRAG_WRITES_FRAGMENT_4", 0x4000, 0xe},
		{"FC_CC_QUADFRAG_WRITES_FRAGMENT_3", 0x2000, 0xd},
		{"FC_CC_QUADFRAG_WRITES_FRAGMENT_2", 0x1000, 0xc},
		{"FC_CC_QUADFRAG_WRITES_FRAGMENT_1", 0x800, 0xb},
		{"FC_CC_QUADFRAG_WRITES_FRAGMENT_0", 0x400, 0xa},
		{"FC_QUAD_BLEND_OPT_BLEND_BYPASS", 0x80000, 0x13},
		{"FC_QUAD_BLEND_OPT_DISCARD_PIXELS", 0x100000, 0x14},
		{"FOP_QUAD_REMOVED_6_FRAGMENTS", 0x1, 0x0},
		{"FC_CC_QUADFRAG_READS_FRAGMENT_3", 0x20, 0x5},
		{"FC_CC_QUADFRAG_READS_FRAGMENT_2", 0x10, 0x4},
		{"FC_CC_QUADFRAG_READS_FRAGMENT_1", 0x8, 0x3},
		{"FC_CC_QUADFRAG_READS_FRAGMENT_0", 0x4, 0x2},
		{"FC_CC_QUADFRAG_READS_FRAGMENT_7", 0x200, 0x9},
		{"FC_CC_QUADFRAG_READS_FRAGMENT_6", 0x100, 0x8},
		{"FC_CC_QUADFRAG_READS_FRAGMENT_5", 0x80, 0x7},
		{"FC_CC_QUADFRAG_READS_FRAGMENT_4", 0x40, 0x6},
		{"FC_QUAD_KILLED_BY_NULL_TARGET_SHADER_MASK", 0x800000, 0x17},
		{"FOP_QUAD_REMOVED_7_FRAGMENTS", 0x2, 0x1},
		{"FC_QUAD_KILLED_BY_EXTRA_PIXEL_EXPORT", 0x200000, 0x15},
		{"FC_QUAD_BLEND_OPT_DONT_READ_DST", 0x40000, 0x12},
		{"FC_QUAD_KILLED_BY_COLOR_INVALID", 0x400000, 0x16}
	} },
	{"CB_DEBUG_BUS_11", 0x26a3, {
		{"FOP_QUAD_HAS_5_FRAGMENTS_AFTER_UPDATE", 0x100, 0x8},
		{"FOP_QUAD_ADDED_3_FRAGMENTS", 0x4000, 0xe},
		{"FOP_QUAD_HAS_2_FRAGMENTS_AFTER_UPDATE", 0x20, 0x5},
		{"FOP_QUAD_HAS_7_FRAGMENTS_BEFORE_UPDATE", 0x4, 0x2},
		{"FOP_QUAD_ADDED_7_FRAGMENTS", 0x40000, 0x12},
		{"FOP_QUAD_HAS_6_FRAGMENTS_AFTER_UPDATE", 0x200, 0x9},
		{"FOP_QUAD_HAS_3_FRAGMENTS_AFTER_UPDATE", 0x40, 0x6},
		{"FOP_QUAD_ADDED_5_FRAGMENTS", 0x10000, 0x10},
		{"FOP_QUAD_ADDED_2_FRAGMENTS", 0x2000, 0xd},
		{"FOP_QUAD_ADDED_1_FRAGMENT", 0x1000, 0xc},
		{"FOP_QUAD_HAS_7_FRAGMENTS_AFTER_UPDATE", 0x400, 0xa},
		{"FOP_QUAD_HAS_4_FRAGMENTS_AFTER_UPDATE", 0x80, 0x7},
		{"FOP_QUAD_HAS_5_FRAGMENTS_BEFORE_UPDATE", 0x1, 0x0},
		{"FOP_QUAD_HAS_1_FRAGMENT_AFTER_UPDATE", 0x10, 0x4},
		{"FOP_QUAD_ADDED_4_FRAGMENTS", 0x8000, 0xf},
		{"FOP_QUAD_ADDED_6_FRAGMENTS", 0x20000, 0x11},
		{"FOP_QUAD_REMOVED_3_FRAGMENTS", 0x200000, 0x15},
		{"FOP_QUAD_REMOVED_1_FRAGMENT", 0x80000, 0x13},
		{"FOP_QUAD_HAS_6_FRAGMENTS_BEFORE_UPDATE", 0x2, 0x1},
		{"FOP_QUAD_REMOVED_4_FRAGMENTS", 0x400000, 0x16},
		{"FOP_QUAD_HAS_8_FRAGMENTS_BEFORE_UPDATE", 0x8, 0x3},
		{"FOP_QUAD_REMOVED_2_FRAGMENTS", 0x100000, 0x14},
		{"FOP_QUAD_REMOVED_5_FRAGMENTS", 0x800000, 0x17},
		{"FOP_QUAD_HAS_8_FRAGMENTS_AFTER_UPDATE", 0x800, 0xb}
	} },
	{"GDS_PERFCOUNTER2_HI", 0xd285, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CB_DEBUG_BUS_10", 0x26a2, {
		{"EVENT_FLUSH_AND_INV_CB_DATA_TS", 0x8, 0x3},
		{"FOP_QUAD_HAS_2_FRAGMENTS_BEFORE_UPDATE", 0x200000, 0x15},
		{"EVENT_CACHE_FLUSH_AND_INV_EVENT", 0x4, 0x2},
		{"CMASK_WRITE_DATA_0XD", 0x400, 0xa},
		{"MERGE_TILE_ONLY_VALID_READYB", 0x20000, 0x11},
		{"FC_QUAD_RDLAT_FIFO_FULL", 0x40000, 0x12},
		{"EVENT_CACHE_FLUSH_AND_INV_TS_EVENT", 0x2, 0x1},
		{"FOP_QUAD_HAS_3_FRAGMENTS_BEFORE_UPDATE", 0x400000, 0x16},
		{"MERGE_TILE_ONLY_VALID_READY", 0x10000, 0x10},
		{"REG_SCLK0_VLD", 0x4000, 0xe},
		{"CMASK_WRITE_DATA_0XC", 0x200, 0x9},
		{"CMASK_WRITE_DATA_0XF", 0x1000, 0xc},
		{"CMASK_WRITE_DATA_0XE", 0x800, 0xb},
		{"REG_SCLK1_VLD", 0x8000, 0xf},
		{"FOP_QUAD_HAS_4_FRAGMENTS_BEFORE_UPDATE", 0x800000, 0x17},
		{"EVENT_CACHE_FLUSH", 0x1, 0x0},
		{"EVENT_FLUSH_AND_INV_CB_META", 0x10, 0x4},
		{"FC_TILE_RDLAT_FIFO_FULL", 0x80000, 0x13},
		{"CMASK_READ_DATA_0XF", 0x100, 0x8},
		{"CMASK_READ_DATA_0XE", 0x80, 0x7},
		{"CMASK_READ_DATA_0XD", 0x40, 0x6},
		{"CMASK_READ_DATA_0XC", 0x20, 0x5},
		{"FOP_QUAD_HAS_1_FRAGMENT_BEFORE_UPDATE", 0x100000, 0x14},
		{"CORE_SCLK_VLD", 0x2000, 0xd}
	} },
	{"COHER_DEST_BASE_HI_1", 0xa07b, {
		{"DEST_BASE_HI_256B", 0xffffffff, 0x0}
	} },
	{"COHER_DEST_BASE_HI_0", 0xa07a, {
		{"DEST_BASE_HI_256B", 0xffffffff, 0x0}
	} },
	{"COHER_DEST_BASE_HI_3", 0xa07d, {
		{"DEST_BASE_HI_256B", 0xffffffff, 0x0}
	} },
	{"COHER_DEST_BASE_HI_2", 0xa07c, {
		{"DEST_BASE_HI_256B", 0xffffffff, 0x0}
	} },
	{"CB_DEBUG_BUS_17", 0x26a9, {
		{"EVICT_PENDING", 0x200, 0x9},
		{"MU_BUSY", 0x2, 0x1},
		{"CRW_BUSY", 0x10, 0x4},
		{"TQ_BUSY", 0x4, 0x2},
		{"MC_WR_PENDING", 0x40, 0x6},
		{"TILE_INTFC_BUSY", 0x1, 0x0},
		{"FC_WR_PENDING", 0x80, 0x7},
		{"CACHE_CTRL_BUSY", 0x20, 0x5},
		{"LAST_RD_ARB_WINNER", 0x400, 0xa},
		{"FC_RD_PENDING", 0x100, 0x8},
		{"MU_STATE", 0x7f800, 0xb},
		{"AC_BUSY", 0x8, 0x3}
	} },
	{"COMPUTE_USER_DATA_5", 0x2e45, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CGTS_CU0_LDS_SQ_CTRL_REG", 0xf009, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"CB_DEBUG_BUS_15", 0x26a7, {
		{"CC_PF_DCC_COMPRESS_RATIO_6TO3", 0x6000, 0xd},
		{"CC_PF_DCC_COMPRESS_RATIO_2TO1", 0x7, 0x0},
		{"CC_PF_DCC_COMPRESS_RATIO_4TO2", 0x60, 0x5},
		{"CC_PF_DCC_COMPRESS_RATIO_4TO3", 0x180, 0x7},
		{"CC_PF_DCC_COMPRESS_RATIO_6TO2", 0x1800, 0xb},
		{"CC_PF_DCC_COMPRESS_RATIO_4TO1", 0x18, 0x3},
		{"CC_PF_DCC_COMPRESS_RATIO_6TO4", 0x18000, 0xf},
		{"CC_PF_DCC_COMPRESS_RATIO_6TO5", 0x60000, 0x11},
		{"CC_PF_DCC_COMPRESS_RATIO_6TO1", 0x600, 0x9}
	} },
	{"CB_COLOR6_CLEAR_WORD1", 0xa37e, {
		{"CLEAR_WORD1", 0xffffffff, 0x0}
	} },
	{"CB_COLOR6_CLEAR_WORD0", 0xa37d, {
		{"CLEAR_WORD0", 0xffffffff, 0x0}
	} },
	{"CB_DEBUG_BUS_14", 0x26a6, {
		{"FC_MC_DCC_WRITE_REQUESTS_IN_FLIGHT", 0x7ff, 0x0},
		{"CC_PF_DCC_RDREQ_STALL", 0x800000, 0x17},
		{"FC_MC_DCC_READ_REQUESTS_IN_FLIGHT", 0x3ff800, 0xb},
		{"CC_PF_DCC_BEYOND_TILE_SPLIT", 0x400000, 0x16}
	} },
	{"SPI_WF_LIFETIME_STATUS_2", 0x24b7, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_20", 0x24c9, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"RLC_SMU_COMMAND", 0xeca9, {
		{"CMD", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_SPI_PERFMON_SAMPLE_DELAY", 0xdc97, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"SPI_WF_LIFETIME_STATUS_3", 0x24b8, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"SX_PERFCOUNTER3_SELECT", 0xda43, {
		{"PERFCOUNTER_SELECT", 0x3ff, 0x0},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERFCOUNTER_SELECT1", 0xffc00, 0xa}
	} },
	{"SPI_COMPUTE_WF_CTX_SAVE", 0x31fc, {
		{"SAVE_BUSY", 0x80000000, 0x1f},
		{"INITIATE", 0x1, 0x0},
		{"GDS_REQ_BUSY", 0x40000000, 0x1e},
		{"GDS_INTERRUPT_EN", 0x2, 0x1},
		{"DONE_INTERRUPT_EN", 0x4, 0x2}
	} },
	{"CP_RB_RPTR_ADDR_HI", 0x3044, {
		{"RB_RPTR_ADDR_HI", 0xffff, 0x0}
	} },
	{"SPI_SHADER_PGM_LO_LS", 0x2d48, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER14_LO", 0xd1dc, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_4", 0x24b9, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"VGT_SHADER_STAGES_EN", 0xa2d5, {
		{"ES_EN", 0x18, 0x3},
		{"VS_EN", 0xc0, 0x6},
		{"LS_EN", 0x3, 0x0},
		{"GS_EN", 0x20, 0x5},
		{"DYNAMIC_HS", 0x100, 0x8},
		{"HS_EN", 0x4, 0x2},
		{"VS_WAVE_ID_EN", 0x1000, 0xc},
		{"DISPATCH_DRAW_EN", 0x200, 0x9},
		{"DIS_DEALLOC_ACCUM_1", 0x800, 0xb},
		{"DIS_DEALLOC_ACCUM_0", 0x400, 0xa}
	} },
	{"CGTS_CU6_SP0_CTRL_REG", 0xf026, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"CB_COLOR0_VIEW", 0xa31b, {
		{"SLICE_MAX", 0xffe000, 0xd},
		{"SLICE_START", 0x7ff, 0x0}
	} },
	{"VGT_DEBUG_REG3", 0x1f, {
		{"lsWaveRelInd", 0x3f000, 0xc},
		{"hsWaveRelInd", 0xfc000000, 0x1a},
		{"lsPatchCnt", 0x3fc0000, 0x12},
		{"lsTgRelInd", 0xfff, 0x0}
	} },
	{"PA_SC_SCREEN_SCISSOR_BR", 0xa00d, {
		{"BR_Y", 0xffff0000, 0x10},
		{"BR_X", 0xffff, 0x0}
	} },
	{"CPG_PERFCOUNTER1_SELECT", 0xd800, {
		{"PERF_SEL", 0x3f, 0x0}
	} },
	{"CSPRIV_THREAD_TRACE_EVENT", 0x1f, {
		{"EVENT_ID", 0x1f, 0x0}
	} },
	{"CC_GC_SHADER_RATE_CONFIG", 0x2312, {
		{"HALF_LDS", 0x10, 0x4},
		{"SQC_BALANCE_DISABLE", 0x8, 0x3},
		{"DPFP_RATE", 0x6, 0x1}
	} },
	{"SPI_PERFCOUNTER5_LO", 0xd18b, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"VGT_DISPATCH_DRAW_INDEX", 0xa2dd, {
		{"MATCH_INDEX", 0xffffffff, 0x0}
	} },
	{"TD_DEBUG_DATA", 0x2529, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_ME_ATOMIC_PREOP_HI", 0xc05e, {
		{"ATOMIC_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"SPI_CDBG_SYS_HP3D", 0x31c4, {
		{"ES_EN", 0x8, 0x3},
		{"VS_EN", 0x2, 0x1},
		{"LS_EN", 0x20, 0x5},
		{"GS_EN", 0x4, 0x2},
		{"HS_EN", 0x10, 0x4},
		{"PS_EN", 0x1, 0x0}
	} },
	{"GDS_PS7_CTXSW_CNT3", 0x3376, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS7_CTXSW_CNT2", 0x3375, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS7_CTXSW_CNT1", 0x3374, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS7_CTXSW_CNT0", 0x3373, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"VGT_PERFCOUNTER2_LO", 0xd094, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"TCI_CNTL_2", 0x2b63, {
		{"L1_INVAL_ON_WBINVL2", 0x1, 0x0},
		{"TCA_MAX_CREDIT", 0x1fe, 0x1}
	} },
	{"CP_INDEX_BASE_ADDR_HI", 0xc0f9, {
		{"ADDR_HI", 0xffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_6", 0x24bb, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"DIDT_TCP_WEIGHT8_11", 0x72, {
		{"WEIGHT11", 0xff000000, 0x18},
		{"WEIGHT10", 0xff0000, 0x10},
		{"WEIGHT9", 0xff00, 0x8},
		{"WEIGHT8", 0xff, 0x0}
	} },
	{"CB_COLOR1_VIEW", 0xa32a, {
		{"SLICE_MAX", 0xffe000, 0xd},
		{"SLICE_START", 0x7ff, 0x0}
	} },
	{"PA_SU_PERFCOUNTER0_SELECT", 0xd900, {
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"SQ_PERFCOUNTER10_LO", 0xd1d4, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"RLC_SERDES_NONCU_MASTER_BUSY", 0xec62, {
		{"TC1_MASTER_BUSY", 0x80000, 0x13},
		{"SPARE3_MASTER_BUSY", 0x800000, 0x17},
		{"RESERVED", 0xff000000, 0x18},
		{"GC_GFX_MASTER_BUSY", 0x20000, 0x11},
		{"SPARE1_MASTER_BUSY", 0x200000, 0x15},
		{"SE_MASTER_BUSY", 0xffff, 0x0},
		{"TC0_MASTER_BUSY", 0x40000, 0x12},
		{"SPARE0_MASTER_BUSY", 0x100000, 0x14},
		{"SPARE2_MASTER_BUSY", 0x400000, 0x16},
		{"GC_MASTER_BUSY", 0x10000, 0x10}
	} },
	{"PA_CL_VPORT_YSCALE", 0xa111, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"SPI_EDC_CNT", 0x2444, {
		{"SED", 0xff, 0x0}
	} },
	{"SX_BLEND_OPT_EPSILON", 0xa1d6, {
		{"MRT4_EPSILON", 0xf0000, 0x10},
		{"MRT2_EPSILON", 0xf00, 0x8},
		{"MRT7_EPSILON", 0xf0000000, 0x1c},
		{"MRT5_EPSILON", 0xf00000, 0x14},
		{"MRT3_EPSILON", 0xf000, 0xc},
		{"MRT1_EPSILON", 0xf0, 0x4},
		{"MRT6_EPSILON", 0xf000000, 0x18},
		{"MRT0_EPSILON", 0xf, 0x0}
	} },
	{"SQ_PERFCOUNTER8_SELECT", 0xd9c8, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"TCA_PERFCOUNTER1_SELECT1", 0xdb93, {
		{"PERF_MODE2", 0xf000000, 0x18},
		{"PERF_MODE3", 0xf0000000, 0x1c},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"CB_COLOR7_VIEW", 0xa384, {
		{"SLICE_MAX", 0xffe000, 0xd},
		{"SLICE_START", 0x7ff, 0x0}
	} },
	{"CP_VGT_IAVERT_COUNT_LO", 0xc01a, {
		{"IAVERT_COUNT_LO", 0xffffffff, 0x0}
	} },
	{"TCA_PERFCOUNTER2_HI", 0xd395, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_RB1_BASE", 0x3060, {
		{"RB_BASE", 0xffffffff, 0x0}
	} },
	{"CGTS_CU13_TA_CTRL_REG", 0xf04b, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_8", 0xa141, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_9", 0xa147, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"VGT_TF_MEMORY_BASE", 0xc250, {
		{"BASE", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER5_LO", 0xd1ca, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_2", 0xa11d, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_3", 0xa123, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_1", 0xa117, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"CP_ME0_PIPE1_VMID", 0x3053, {
		{"VMID", 0xf, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_7", 0xa13b, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_4", 0xa129, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_5", 0xa12f, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_4", 0xa0bd, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_5", 0xa0bf, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_6", 0xa0c1, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_7", 0xa0c3, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_0", 0xa0b5, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_1", 0xa0b7, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_2", 0xa0b9, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_3", 0xa0bb, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"CGTS_CU1_LDS_SQ_CTRL_REG", 0xf00e, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"PA_SC_VPORT_ZMAX_8", 0xa0c5, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMAX_9", 0xa0c7, {
		{"VPORT_ZMAX", 0xffffffff, 0x0}
	} },
	{"RLC_MGCG_CTRL", 0xec1a, {
		{"OFF_HYSTERESIS", 0x7f80, 0x7},
		{"SILICON_EN", 0x2, 0x1},
		{"MGCG_EN", 0x1, 0x0},
		{"SE_CAC_MGCG_CLK_CNTL", 0x10000, 0x10},
		{"GC_CAC_MGCG_CLK_CNTL", 0x8000, 0xf},
		{"SPARE", 0xfffe0000, 0x11},
		{"SIMULATION_EN", 0x4, 0x2},
		{"ON_DELAY", 0x78, 0x3}
	} },
	{"SQ_PERFCOUNTER15_SELECT", 0xd9cf, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"VGT_VERTEX_REUSE_BLOCK_CNTL", 0xa316, {
		{"VTX_REUSE_DEPTH", 0xff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER0_LO", 0xd140, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_SC_CLIPRECT_1_BR", 0xa087, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CP_RB2_BASE", 0x3065, {
		{"RB_BASE", 0xffffffff, 0x0}
	} },
	{"CGTS_CU14_TA_CTRL_REG", 0xf050, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"CGTS_CU4_LDS_SQ_CTRL_REG", 0xf01d, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"RLC_GPU_CLOCK_32_RES_SEL", 0xec41, {
		{"RESERVED", 0xffffffc0, 0x6},
		{"RES_SEL", 0x3f, 0x0}
	} },
	{"RLC_LB_CNTR_MAX", 0xec12, {
		{"LB_CNTR_MAX", 0xffffffff, 0x0}
	} },
	{"CB_COLOR3_FMASK", 0xa34e, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER1_LO", 0xd1c2, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_SC_CENTROID_PRIORITY_0", 0xa2f5, {
		{"DISTANCE_6", 0xf000000, 0x18},
		{"DISTANCE_7", 0xf0000000, 0x1c},
		{"DISTANCE_4", 0xf0000, 0x10},
		{"DISTANCE_5", 0xf00000, 0x14},
		{"DISTANCE_2", 0xf00, 0x8},
		{"DISTANCE_3", 0xf000, 0xc},
		{"DISTANCE_0", 0xf, 0x0},
		{"DISTANCE_1", 0xf0, 0x4}
	} },
	{"PA_SC_CENTROID_PRIORITY_1", 0xa2f6, {
		{"DISTANCE_14", 0xf000000, 0x18},
		{"DISTANCE_15", 0xf0000000, 0x1c},
		{"DISTANCE_10", 0xf00, 0x8},
		{"DISTANCE_11", 0xf000, 0xc},
		{"DISTANCE_12", 0xf0000, 0x10},
		{"DISTANCE_13", 0xf00000, 0x14},
		{"DISTANCE_8", 0xf, 0x0},
		{"DISTANCE_9", 0xf0, 0x4}
	} },
	{"SPI_PS_INPUT_CNTL_3", 0xa194, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SMU_RLC_RESPONSE", 0xec07, {
		{"RESP", 0xffffffff, 0x0}
	} },
	{"SPI_PS_INPUT_CNTL_1", 0xa192, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_0", 0xa191, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_7", 0xa198, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_6", 0xa197, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_5", 0xa196, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_4", 0xa195, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_9", 0xa19a, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PS_INPUT_CNTL_8", 0xa199, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"CB_COLOR1_CMASK_SLICE", 0xa32f, {
		{"TILE_MAX", 0x3fff, 0x0}
	} },
	{"PA_SC_GENERIC_SCISSOR_TL", 0xa090, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"VGT_INDEX_TYPE", 0xc243, {
		{"INDEX_TYPE", 0x3, 0x0}
	} },
	{"GRBM_DEBUG_CNTL", 0x2009, {
		{"GRBM_DEBUG_INDEX", 0x3f, 0x0}
	} },
	{"VGT_HOS_MIN_TESS_LEVEL", 0xa287, {
		{"MIN_TESS", 0xffffffff, 0x0}
	} },
	{"CGTS_CU7_TD_TCP_CTRL_REG", 0xf02f, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"CP_PA_CPRIM_COUNT_HI", 0xc02b, {
		{"CPRIM_COUNT_HI", 0xffffffff, 0x0}
	} },
	{"IA_PERFCOUNTER2_SELECT", 0xd886, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"RLC_CP_SCHEDULERS", 0xecaa, {
		{"scheduler3", 0xff000000, 0x18},
		{"scheduler2", 0xff0000, 0x10},
		{"scheduler1", 0xff00, 0x8},
		{"scheduler0", 0xff, 0x0}
	} },
	{"CP_RB_CNTL", 0x3041, {
		{"RB_RPTR_WR_ENA", 0x80000000, 0x1f},
		{"MIN_IB_AVAILSZ", 0xc00000, 0x16},
		{"RB_BUFSZ", 0x3f, 0x0},
		{"CACHE_POLICY", 0x1000000, 0x18},
		{"RB_NO_UPDATE", 0x8000000, 0x1b},
		{"MIN_AVAILSZ", 0x300000, 0x14},
		{"MTYPE", 0x18000, 0xf},
		{"BUF_SWAP", 0x60000, 0x11},
		{"RB_BLKSZ", 0x3f00, 0x8}
	} },
	{"SPI_PS_IN_CONTROL", 0xa1b6, {
		{"PARAM_GEN", 0x40, 0x6},
		{"NUM_INTERP", 0x3f, 0x0},
		{"BC_OPTIMIZE_DISABLE", 0x4000, 0xe}
	} },
	{"TCC_PERFCOUNTER1_LO", 0xd382, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"VGT_DEBUG_REG8", 0x8, {
		{"valid_r2_q", 0x200, 0x9},
		{"r2_indx_rtr", 0x1000, 0xc},
		{"gsprim_buff_empty_q", 0x4000000, 0x1a},
		{"rcm_noif_busy_q", 0x2, 0x1},
		{"es_gs_rtr", 0x4000, 0xe},
		{"gs_event_fifo_empty", 0x2000000, 0x19},
		{"valid_r1_q", 0x80, 0x7},
		{"gsprim_buff_full_q", 0x8000000, 0x1b},
		{"prim_skid_fifo_empty", 0x40000, 0x12},
		{"VGT_SPI_esvert_rtr_q", 0x400000, 0x16},
		{"tm_rcm_gs_tbl_rtr", 0x100000, 0x14},
		{"valid_r0_q", 0x40, 0x6},
		{"spi_esvert_fifo_busy_q", 0x10, 0x4},
		{"gs_event_fifo_rtr", 0x8000, 0xf},
		{"tm_rcm_gs_event_rtr", 0x10000, 0x10},
		{"te_vert_fifo_empty", 0x40000000, 0x1e},
		{"rcm_busy_q", 0x1, 0x0},
		{"valid_r2", 0x100, 0x8},
		{"hold_for_es_flush", 0x1000000, 0x18},
		{"r1_rtr", 0x800, 0xb},
		{"te_vert_fifo_full", 0x80000000, 0x1f},
		{"r1_inst_rtr", 0x4, 0x2},
		{"VGT_SPI_gsprim_rtr_q", 0x80000, 0x13},
		{"te_prim_fifo_empty", 0x10000000, 0x1c},
		{"te_prim_fifo_full", 0x20000000, 0x1d},
		{"r2_no_bp_rtr", 0x800000, 0x17},
		{"gs_tbl_valid_r3_q", 0x20, 0x5},
		{"tm_rcm_es_tbl_rtr", 0x200000, 0x15},
		{"r2_rtr", 0x2000, 0xd},
		{"gs_tbl_r3_rtr", 0x20000, 0x11},
		{"spi_gsprim_fifo_busy_q", 0x8, 0x3},
		{"r0_rtr", 0x400, 0xa}
	} },
	{"VGT_DEBUG_REG9", 0x9, {
		{"gs_tbl_state_r3_q", 0x380000, 0x13},
		{"off_chip_hs_r2_q", 0x80000000, 0x1f},
		{"pending_es_send_r3_q", 0x100, 0x8},
		{"gs_prim_per_es_ctr_r3_q_not_0", 0x4000000, 0x1a},
		{"gs_tbl_prim_cnt_r3_q", 0x3f800, 0xb},
		{"es_per_gs_vert_cnt_r3_q_not_0", 0x2000000, 0x19},
		{"gs_instancing_state_q", 0x1000000, 0x18},
		{"invalidate_rb_roll_over_q", 0x800000, 0x17},
		{"es_eov_r3", 0x40, 0x6},
		{"es_tbl_state_r3_q_0", 0x80, 0x7},
		{"eop_indx_r3", 0x10, 0x4},
		{"gs_tbl_num_es_per_gs_r3_q_not_0", 0x400, 0xa},
		{"eop_prim_r3", 0x20, 0x5},
		{"indices_to_send_r2_q", 0x3, 0x0},
		{"valid_pre_r0_q", 0x20000000, 0x1d},
		{"pending_es_flush_r3", 0x200, 0x9},
		{"valid_indices_r3", 0x4, 0x2},
		{"SPARE0", 0x40000000, 0x1e},
		{"gs_tbl_eop_r3_q", 0x40000, 0x12},
		{"gs_pending_state_r3_q", 0x400000, 0x16},
		{"pre_r0_rtr", 0x8000000, 0x1b},
		{"gs_eov_r3", 0x8, 0x3},
		{"valid_r3_q", 0x10000000, 0x1c}
	} },
	{"CB_COLOR7_DCC_CONTROL", 0xa387, {
		{"OVERWRITE_COMBINER_DISABLE", 0x1, 0x0},
		{"KEY_CLEAR_ENABLE", 0x2, 0x1},
		{"MAX_UNCOMPRESSED_BLOCK_SIZE", 0xc, 0x2},
		{"LOSSY_ALPHA_PRECISION", 0x3c000, 0xe},
		{"INDEPENDENT_64B_BLOCKS", 0x200, 0x9},
		{"COLOR_TRANSFORM", 0x180, 0x7},
		{"LOSSY_RGB_PRECISION", 0x3c00, 0xa},
		{"MAX_COMPRESSED_BLOCK_SIZE", 0x60, 0x5},
		{"MIN_COMPRESSED_BLOCK_SIZE", 0x10, 0x4}
	} },
	{"TCA_CTRL", 0x2bc0, {
		{"HOLE_TIMEOUT", 0xf, 0x0}
	} },
	{"VGT_DRAW_INIT_FIFO_DEPTH", 0x222f, {
		{"DRAW_INIT_FIFO_DEPTH", 0x3f, 0x0}
	} },
	{"VGT_DEBUG_REG0", 0x0, {
		{"rcm_busy", 0x2000, 0xd},
		{"vgt_busy", 0x4, 0x2},
		{"SPARE10", 0x40000, 0x12},
		{"te11_pi_busy", 0x80000, 0x13},
		{"pi_busy", 0x100, 0x8},
		{"tm_busy", 0x4000, 0xe},
		{"spi_vs_interfaces_busy", 0x400000, 0x16},
		{"gog_busy", 0x10000, 0x10},
		{"gs_clk_busy", 0x8000000, 0x1b},
		{"te_pi_busy", 0x800, 0xb},
		{"pa_interfaces_busy", 0x800000, 0x17},
		{"reg_clk_busy", 0x1000000, 0x18},
		{"vgt_busy_extended", 0x1, 0x0},
		{"sclk_core_vld", 0x20000000, 0x1d},
		{"SPARE1", 0x10000000, 0x1c},
		{"cm_busy", 0x8000, 0xf},
		{"combined_out_busy", 0x200000, 0x15},
		{"core_clk_busy", 0x4000000, 0x1a},
		{"sclk_gs_vld", 0x40000000, 0x1e},
		{"vr_pi_busy", 0x200, 0x9},
		{"SPARE5", 0x40, 0x6},
		{"SPARE4", 0x80, 0x7},
		{"SPARE7", 0x10, 0x4},
		{"SPARE6", 0x20, 0x5},
		{"frmt_busy", 0x20000, 0x11},
		{"SPARE0", 0x80000000, 0x1f},
		{"SPARE3", 0x100000, 0x14},
		{"SPARE2", 0x2000000, 0x19},
		{"pt_pi_busy", 0x400, 0xa},
		{"gs_busy", 0x1000, 0xc},
		{"SPARE9", 0x2, 0x1},
		{"SPARE8", 0x8, 0x3}
	} },
	{"VGT_GS_VERTEX_REUSE", 0x2235, {
		{"VERT_REUSE", 0x1f, 0x0}
	} },
	{"VGT_DEBUG_REG6", 0x22, {
		{"debug_SIZE", 0xffff0000, 0x10},
		{"debug_BASE", 0xffff, 0x0}
	} },
	{"VGT_DEBUG_REG7", 0x23, {
		{"debug_tfmmFifoFull", 0x2, 0x1},
		{"debug_tfmmFifoEmpty", 0x1, 0x0},
		{"hs_pipe1_rtr", 0x10, 0x4},
		{"TF_addr", 0xffff0000, 0x10},
		{"SPARE", 0xffe0, 0x5},
		{"hs_pipe0_rtr", 0x8, 0x3},
		{"hs_pipe0_dr", 0x4, 0x2}
	} },
	{"VGT_DEBUG_REG4", 0x20, {
		{"hsPrimId_15_0", 0xffff00, 0x8},
		{"hsFwaveFlag", 0x40000000, 0x1e},
		{"SPARE", 0x80000000, 0x1f},
		{"hsWaveSendFlush", 0x20000000, 0x1d},
		{"hsCpCnt", 0x1f000000, 0x18},
		{"hsPatchCnt", 0xff, 0x0}
	} },
	{"VGT_DEBUG_REG5", 0x21, {
		{"lsWaveCreditCnt_0", 0xf80000, 0x13},
		{"SPARE4", 0x7, 0x0},
		{"SPARE1", 0x7000000, 0x18},
		{"SPARE3", 0x700, 0x8},
		{"hsVertCreditCnt_0", 0xf800, 0xb},
		{"SPARE2", 0x70000, 0x10},
		{"lsVertCreditCnt_0", 0xf8000000, 0x1b},
		{"hsWaveCreditCnt_0", 0xf8, 0x3}
	} },
	{"GDS_PS0_CTXSW_CNT2", 0x3359, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"CP_HQD_CTX_SAVE_BASE_ADDR_HI", 0x3271, {
		{"ADDR_HI", 0xffff, 0x0}
	} },
	{"GDS_PS0_CTXSW_CNT0", 0x3357, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"TCP_PERFCOUNTER0_SELECT1", 0xdb41, {
		{"PERF_MODE2", 0xf0000000, 0x1c},
		{"PERF_MODE3", 0xf000000, 0x18},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"SPI_SHADER_TBA_LO_PS", 0x2c00, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"TCP_WATCH1_ADDR_L", 0x32a4, {
		{"ADDR", 0xffffffc0, 0x6}
	} },
	{"SQ_WAVE_GPR_ALLOC", 0x15, {
		{"VGPR_BASE", 0x3f, 0x0},
		{"SGPR_SIZE", 0xf000000, 0x18},
		{"VGPR_SIZE", 0x3f00, 0x8},
		{"SGPR_BASE", 0x3f0000, 0x10}
	} },
	{"CGTS_CU13_SP1_CTRL_REG", 0xf04c, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"DB_PERFCOUNTER1_SELECT1", 0xdc43, {
		{"PERF_MODE2", 0xf0000000, 0x1c},
		{"PERF_MODE3", 0xf000000, 0x18},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"CP_SEM_WAIT_TIMER", 0xc06f, {
		{"SEM_WAIT_TIMER", 0xffffffff, 0x0}
	} },
	{"CP_RB_RPTR", 0x21c0, {
		{"RB_RPTR", 0xfffff, 0x0}
	} },
	{"CGTT_GDS_CLK_CTRL", 0xf0a0, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CGTS_CU5_SP0_CTRL_REG", 0xf021, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"GDS_GWS_RESOURCE_CNTL", 0xc41a, {
		{"UNUSED", 0xffffffc0, 0x6},
		{"INDEX", 0x3f, 0x0}
	} },
	{"SPI_SHADER_TMA_LO_ES", 0x2cc2, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"TCC_CGTT_SCLK_CTRL", 0xf0ac, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"GFX_PIPE_CONTROL", 0x226d, {
		{"CONTEXT_SUSPEND_EN", 0x10000, 0x10},
		{"RESERVED", 0xe000, 0xd},
		{"HYSTERESIS_CNT", 0x1fff, 0x0}
	} },
	{"SPI_PERFCOUNTER1_SELECT", 0xd981, {
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"GC_USER_SHADER_ARRAY_CONFIG", 0x2270, {
		{"INACTIVE_CUS", 0xffff0000, 0x10}
	} },
	{"CP_HQD_HQ_STATUS1", 0x3268, {
		{"STATUS", 0xffffffff, 0x0}
	} },
	{"CP_HQD_HQ_STATUS0", 0x3265, {
		{"RSV_6_4", 0x70, 0x4},
		{"SCRATCH_RAM_INIT", 0x80, 0x7},
		{"RSVR_31_10", 0xfffffc00, 0xa},
		{"TCL2_DIRTY", 0x100, 0x8},
		{"DEQUEUE_RETRY_CNT", 0xc, 0x2},
		{"PG_ACTIVATED", 0x200, 0x9},
		{"DEQUEUE_STATUS", 0x3, 0x0}
	} },
	{"SQ_WAVE_TBA_HI", 0x26d, {
		{"ADDR_HI", 0xff, 0x0}
	} },
	{"SPI_P1_TRAP_SCREEN_PSMA_LO", 0x24f3, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_5_TL", 0xa09e, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"SQ_PERFCOUNTER7_HI", 0xd1cf, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_3_TL", 0xa09a, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"VGT_NUM_INDICES", 0xc24c, {
		{"NUM_INDICES", 0xffffffff, 0x0}
	} },
	{"DEBUG_INDEX", 0x203c, {
		{"DEBUG_INDEX", 0x3ffff, 0x0}
	} },
	{"PA_SU_PERFCOUNTER3_HI", 0xd107, {
		{"PERFCOUNTER_HI", 0xffff, 0x0}
	} },
	{"CP_ATOMIC_PREOP_LO", 0xc05d, {
		{"ATOMIC_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"CB_TARGET_MASK", 0xa08e, {
		{"TARGET4_ENABLE", 0xf0000, 0x10},
		{"TARGET1_ENABLE", 0xf0, 0x4},
		{"TARGET6_ENABLE", 0xf000000, 0x18},
		{"TARGET3_ENABLE", 0xf000, 0xc},
		{"TARGET2_ENABLE", 0xf00, 0x8},
		{"TARGET5_ENABLE", 0xf00000, 0x14},
		{"TARGET7_ENABLE", 0xf0000000, 0x1c},
		{"TARGET0_ENABLE", 0xf, 0x0}
	} },
	{"TCP_PERFCOUNTER2_HI", 0xd345, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"TCP_WATCH3_ADDR_H", 0x32a9, {
		{"ADDR", 0xffff, 0x0}
	} },
	{"CP_RB_WPTR_POLL_ADDR_HI", 0x3047, {
		{"RB_WPTR_POLL_ADDR_HI", 0xff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_4", 0xa127, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"VGT_STRMOUT_DRAW_OPAQUE_VERTEX_STRIDE", 0xa2cc, {
		{"VERTEX_STRIDE", 0x1ff, 0x0}
	} },
	{"TA_CS_BC_BASE_ADDR", 0xc380, {
		{"ADDRESS", 0xffffffff, 0x0}
	} },
	{"CP_IB2_BASE_HI", 0xc0d0, {
		{"IB2_BASE_HI", 0xffff, 0x0}
	} },
	{"PA_SU_PERFCOUNTER3_SELECT", 0xd905, {
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"RLC_SERDES_RD_DATA_1", 0xec5b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SERDES_RD_DATA_0", 0xec5a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_15_BR", 0xa0b3, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CP_PFP_IB_CONTROL", 0xc08d, {
		{"IB_EN", 0xff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_9_BR", 0xa0a7, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"VGT_OUTPUT_PATH_CNTL", 0xa284, {
		{"PATH_SELECT", 0x7, 0x0}
	} },
	{"COMPUTE_NOWHERE", 0x2e7f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_VMID", 0x2e14, {
		{"DATA", 0xf, 0x0}
	} },
	{"PA_SC_MODE_CNTL_0", 0xa292, {
		{"LINE_STIPPLE_ENABLE", 0x4, 0x2},
		{"VPORT_SCISSOR_ENABLE", 0x2, 0x1},
		{"MSAA_ENABLE", 0x1, 0x0},
		{"SEND_UNLIT_STILES_TO_PKR", 0x8, 0x3}
	} },
	{"PA_CL_VPORT_YSCALE_6", 0xa135, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"CP_DRAW_WINDOW_MASK_HI", 0xd812, {
		{"WINDOW_MASK_HI", 0xffffffff, 0x0}
	} },
	{"CP_MEC2_INTR_ROUTINE_START", 0x30ac, {
		{"IR_START", 0xffff, 0x0}
	} },
	{"VGT_DMA_PRIMITIVE_TYPE", 0x2271, {
		{"PRIM_TYPE", 0x3f, 0x0}
	} },
	{"CP_CPC_STATUS", 0x2084, {
		{"SCRATCH_RAM_BUSY", 0x800, 0xb},
		{"ATCL2IU_BUSY", 0x2000, 0xd},
		{"DC1_BUSY", 0x8, 0x3},
		{"ROQ2_BUSY", 0x80, 0x7},
		{"CPG_CPC_BUSY", 0x20000000, 0x1d},
		{"QU_BUSY", 0x1000, 0xc},
		{"CPC_BUSY", 0x80000000, 0x1f},
		{"RCIU2_BUSY", 0x20, 0x5},
		{"MEC2_BUSY", 0x2, 0x1},
		{"DC0_BUSY", 0x4, 0x2},
		{"ROQ1_BUSY", 0x40, 0x6},
		{"CPF_CPC_BUSY", 0x40000000, 0x1e},
		{"TCIU_BUSY", 0x400, 0xa},
		{"RCIU1_BUSY", 0x10, 0x4},
		{"MEC1_BUSY", 0x1, 0x0}
	} },
	{"GRBM_STATUS_SE2", 0x200e, {
		{"DB_BUSY", 0x40000000, 0x1e},
		{"BCI_BUSY", 0x400000, 0x16},
		{"SPI_BUSY", 0x8000000, 0x1b},
		{"PA_BUSY", 0x1000000, 0x18},
		{"VGT_BUSY", 0x800000, 0x17},
		{"CB_BUSY", 0x80000000, 0x1f},
		{"DB_CLEAN", 0x2, 0x1},
		{"CB_CLEAN", 0x4, 0x2},
		{"TA_BUSY", 0x2000000, 0x19},
		{"SX_BUSY", 0x4000000, 0x1a},
		{"SC_BUSY", 0x20000000, 0x1d}
	} },
	{"CGTS_CU9_LDS_SQ_CTRL_REG", 0xf036, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"CP_CPC_IC_OP_CNTL", 0x30bc, {
		{"INVALIDATE_CACHE", 0x1, 0x0},
		{"PRIME_ICACHE", 0x10, 0x4},
		{"ICACHE_PRIMED", 0x20, 0x5}
	} },
	{"GDS_DEBUG_REG2", 0x2, {
		{"app_sel", 0xf0, 0x4},
		{"ord_idx_free", 0x4, 0x2},
		{"req", 0x7fff00, 0x8},
		{"cmd_write", 0x8, 0x3},
		{"ds_full", 0x1, 0x0},
		{"spare", 0xff800000, 0x17},
		{"ds_credit_avail", 0x2, 0x1}
	} },
	{"GDS_DEBUG_REG1", 0x1, {
		{"tag_hit", 0x1, 0x0},
		{"tag_miss", 0x2, 0x1},
		{"data_ready", 0x40000, 0x12},
		{"awaiting_data", 0x80000, 0x13},
		{"pixel_addr", 0x1fffc, 0x2},
		{"buffer_loaded", 0x400000, 0x16},
		{"addr_fifo_full", 0x100000, 0x14},
		{"pixel_vld", 0x20000, 0x11},
		{"spare", 0xff000000, 0x18},
		{"addr_fifo_empty", 0x200000, 0x15},
		{"buffer_invalid", 0x800000, 0x17}
	} },
	{"GDS_DEBUG_REG0", 0x0, {
		{"write_buff_valid", 0x40, 0x6},
		{"wr_buffer_wr_complete", 0x80000, 0x13},
		{"cstate", 0x1e000, 0xd},
		{"last_pixel_ptr", 0x1000, 0xc},
		{"flush_request", 0x40000, 0x12},
		{"wbuf_fifo_full", 0x200000, 0x15},
		{"spare", 0xffc00000, 0x16},
		{"wbuf_fifo_empty", 0x100000, 0x14},
		{"spare1", 0x3f, 0x0},
		{"buff_write", 0x20000, 0x11},
		{"wr_pixel_nxt_ptr", 0xf80, 0x7}
	} },
	{"GDS_DEBUG_REG6", 0x6, {
		{"spare", 0xffe00000, 0x15},
		{"counters_enabled", 0x1e, 0x1},
		{"oa_busy", 0x1, 0x0},
		{"counters_busy", 0x1fffe0, 0x5}
	} },
	{"GDS_DEBUG_REG5", 0x5, {
		{"wrap_opco_error", 0x10, 0x4},
		{"alloc_opco_error", 0x4, 0x2},
		{"error_ds_address", 0x3fff00, 0x8},
		{"dec_error", 0x2, 0x1},
		{"spare", 0xe0, 0x5},
		{"write_dis", 0x1, 0x0},
		{"spare1", 0xffc00000, 0x16},
		{"dealloc_opco_error", 0x8, 0x3}
	} },
	{"GDS_DEBUG_REG4", 0x4, {
		{"cur_reso_flag", 0x4000, 0xe},
		{"cur_reso_head_valid", 0x200, 0x9},
		{"grbm_gws_reso_rd", 0x80000, 0x13},
		{"cur_reso_head_dirty", 0x400, 0xa},
		{"cur_reso_head_flag", 0x800, 0xb},
		{"gws_out_stall", 0x4, 0x2},
		{"credit_cnt_gt0", 0x10000, 0x10},
		{"cur_reso_fed", 0x1000, 0xc},
		{"cmd_write", 0x20000, 0x11},
		{"cur_reso_barrier", 0x2000, 0xd},
		{"gws_req", 0x2, 0x1},
		{"cur_reso", 0x1f8, 0x3},
		{"ram_gws_re", 0x400000, 0x16},
		{"ram_read_busy", 0x100000, 0x14},
		{"cur_reso_cnt_gt0", 0x8000, 0xf},
		{"spare", 0xff000000, 0x18},
		{"gws_bulkfree", 0x200000, 0x15},
		{"gws_busy", 0x1, 0x0},
		{"grbm_gws_reso_wr", 0x40000, 0x12},
		{"ram_gws_we", 0x800000, 0x17}
	} },
	{"RLC_PG_DELAY", 0xec4d, {
		{"POWER_DOWN_DELAY", 0xff00, 0x8},
		{"POWER_UP_DELAY", 0xff, 0x0},
		{"MEM_SLEEP_DELAY", 0xff000000, 0x18},
		{"CMD_PROPAGATE_DELAY", 0xff0000, 0x10}
	} },
	{"CP_HQD_EOP_DONES", 0x327a, {
		{"DONE_COUNT", 0xffffffff, 0x0}
	} },
	{"VGT_STRMOUT_BUFFER_SIZE_2", 0xa2bc, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_INST_DW1", 0x1b, {
		{"INST_DW1", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_INST_DW0", 0x1a, {
		{"INST_DW0", 0xffffffff, 0x0}
	} },
	{"CP_RING2_PRIORITY", 0x304f, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"CC_RB_REDUNDANCY", 0x263c, {
		{"FAILED_RB0", 0xf00, 0x8},
		{"EN_REDUNDANCY0", 0x1000, 0xc},
		{"EN_REDUNDANCY1", 0x100000, 0x14},
		{"FAILED_RB1", 0xf0000, 0x10}
	} },
	{"PA_SC_VPORT_SCISSOR_7_BR", 0xa0a3, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_14", 0x2c9a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_15", 0x2c9b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_12", 0x2c98, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_13", 0x2c99, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_10", 0x2c96, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_11", 0x2c97, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER_BINS", 0xd98a, {
		{"BIN3_MAX", 0xf0000000, 0x1c},
		{"BIN0_MAX", 0xf0, 0x4},
		{"BIN0_MIN", 0xf, 0x0},
		{"BIN2_MAX", 0xf00000, 0x14},
		{"BIN2_MIN", 0xf0000, 0x10},
		{"BIN1_MIN", 0xf00, 0x8},
		{"BIN1_MAX", 0xf000, 0xc},
		{"BIN3_MIN", 0xf000000, 0x18}
	} },
	{"CP_ME_GDS_ATOMIC0_PREOP_HI", 0xc060, {
		{"GDS_ATOMIC0_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER1_SELECT1", 0xd985, {
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"CP_ME2_PIPE1_PRIORITY", 0x30a0, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"CP_CPC_STALLED_STAT1", 0x2086, {
		{"ATCL2IU_WAITING_ON_FREE", 0x400000, 0x16},
		{"RCIU_TX_FREE_STALL", 0x8, 0x3},
		{"MEC2_WAIT_ON_RCIU_READ", 0x40000, 0x12},
		{"ATCL2IU_WAITING_ON_TAGS", 0x800000, 0x17},
		{"RCIU_PRIV_VIOLATION", 0x10, 0x4},
		{"MEC2_DECODING_PACKET", 0x10000, 0x10},
		{"TCIU_TX_FREE_STALL", 0x40, 0x6},
		{"MEC2_WAIT_ON_ROQ_DATA", 0x200000, 0x15},
		{"MEC2_WAIT_ON_RCIU", 0x20000, 0x11},
		{"MEC1_WAIT_ON_ROQ_DATA", 0x2000, 0xd},
		{"MEC1_WAIT_ON_RCIU", 0x200, 0x9},
		{"ATCL1_WAITING_ON_TRANS", 0x1000000, 0x18},
		{"MEC1_DECODING_PACKET", 0x100, 0x8},
		{"MEC1_WAIT_ON_RCIU_READ", 0x400, 0xa}
	} },
	{"RLC_SPM_TCP_PERFMON_SAMPLE_DELAY", 0xdc93, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"SQ_RANDOM_WAVE_PRI", 0x2303, {
		{"RUI", 0x380, 0x7},
		{"RNG", 0x1ffc00, 0xa},
		{"RET", 0x7f, 0x0}
	} },
	{"PA_SC_PERFCOUNTER4_LO", 0xd148, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SQ_EDC_INFO", 0x23a3, {
		{"SOURCE", 0x1c0, 0x6},
		{"WAVE_ID", 0xf, 0x0},
		{"VM_ID", 0x1e00, 0x9},
		{"SIMD_ID", 0x30, 0x4}
	} },
	{"SPI_CSQ_WF_ACTIVE_COUNT_4", 0x24e0, {
		{"COUNT", 0x7ff, 0x0}
	} },
	{"SQ_WAVE_HW_ID", 0x14, {
		{"PIPE_ID", 0xc0, 0x6},
		{"SH_ID", 0x1000, 0xc},
		{"ME_ID", 0xc0000000, 0x1e},
		{"TG_ID", 0xf0000, 0x10},
		{"QUEUE_ID", 0x7000000, 0x18},
		{"STATE_ID", 0x38000000, 0x1b},
		{"SIMD_ID", 0x30, 0x4},
		{"SE_ID", 0x6000, 0xd},
		{"CU_ID", 0xf00, 0x8},
		{"WAVE_ID", 0xf, 0x0},
		{"VM_ID", 0xf00000, 0x14}
	} },
	{"SPI_CSQ_WF_ACTIVE_COUNT_7", 0x24e3, {
		{"COUNT", 0x7ff, 0x0}
	} },
	{"CGTS_CU14_SP0_CTRL_REG", 0xf04e, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"CB_COLOR1_BASE", 0xa327, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"TC_CFG_L2_ATOMIC_POLICY", 0x2b21, {
		{"POLICY_13", 0xc000000, 0x1a},
		{"POLICY_12", 0x3000000, 0x18},
		{"POLICY_11", 0xc00000, 0x16},
		{"POLICY_10", 0x300000, 0x14},
		{"POLICY_15", 0xc0000000, 0x1e},
		{"POLICY_14", 0x30000000, 0x1c},
		{"POLICY_7", 0xc000, 0xe},
		{"POLICY_6", 0x3000, 0xc},
		{"POLICY_5", 0xc00, 0xa},
		{"POLICY_4", 0x300, 0x8},
		{"POLICY_3", 0xc0, 0x6},
		{"POLICY_2", 0x30, 0x4},
		{"POLICY_1", 0xc, 0x2},
		{"POLICY_0", 0x3, 0x0},
		{"POLICY_9", 0xc0000, 0x12},
		{"POLICY_8", 0x30000, 0x10}
	} },
	{"CP_HQD_PQ_WPTR", 0x3255, {
		{"OFFSET", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_THREAD_PRIORITY", 0xec44, {
		{"THREAD2_PRIORITY", 0xff0000, 0x10},
		{"THREAD3_PRIORITY", 0xff000000, 0x18},
		{"THREAD0_PRIORITY", 0xff, 0x0},
		{"THREAD1_PRIORITY", 0xff00, 0x8}
	} },
	{"TCP_PERFCOUNTER2_SELECT", 0xdb44, {
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"VGT_IMMED_DATA", 0xa1fd, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_ISSUE", 0x23b0, {
		{"INST5", 0xc0000, 0x12},
		{"INST4", 0x30000, 0x10},
		{"INST7", 0xc00000, 0x16},
		{"INST6", 0x300000, 0x14},
		{"INST1", 0xc00, 0xa},
		{"INST0", 0x300, 0x8},
		{"INST3", 0xc000, 0xe},
		{"INST2", 0x3000, 0xc},
		{"INST9", 0xc000000, 0x1a},
		{"INST8", 0x3000000, 0x18},
		{"TOKEN_TYPE", 0xf, 0x0},
		{"SIMD_ID", 0x60, 0x5},
		{"TIME_DELTA", 0x10, 0x4}
	} },
	{"SX_PERFCOUNTER2_SELECT", 0xda42, {
		{"PERFCOUNTER_SELECT", 0x3ff, 0x0},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERFCOUNTER_SELECT1", 0xffc00, 0xa}
	} },
	{"RLC_SPM_PA_PERFMON_SAMPLE_DELAY", 0xdc8c, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"COMPUTE_RESTART_Z", 0x2e1d, {
		{"RESTART", 0xffffffff, 0x0}
	} },
	{"COMPUTE_RESTART_Y", 0x2e1c, {
		{"RESTART", 0xffffffff, 0x0}
	} },
	{"COMPUTE_RESTART_X", 0x2e1b, {
		{"RESTART", 0xffffffff, 0x0}
	} },
	{"GDS_GWS_VMID12", 0x332c, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GRBM_GFX_INDEX", 0xc200, {
		{"SE_BROADCAST_WRITES", 0x80000000, 0x1f},
		{"SE_INDEX", 0xff0000, 0x10},
		{"INSTANCE_INDEX", 0xff, 0x0},
		{"SH_INDEX", 0xff00, 0x8},
		{"INSTANCE_BROADCAST_WRITES", 0x40000000, 0x1e},
		{"SH_BROADCAST_WRITES", 0x20000000, 0x1d}
	} },
	{"CP_MEQ_STAT", 0x21e5, {
		{"MEQ_RPTR", 0x3ff, 0x0},
		{"MEQ_WPTR", 0x3ff0000, 0x10}
	} },
	{"CGTS_CU15_LDS_SQ_CTRL_REG", 0xf054, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"CP_STQ_WR_STAT", 0x21e4, {
		{"STQ_WPTR", 0x3ff, 0x0}
	} },
	{"CGTS_CU5_TA_CTRL_REG", 0xf023, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"GPU_BIST_CONTROL", 0xf835, {
		{"CU_HARV_LOOP_COUNT", 0x3c, 0x2},
		{"STOP_ON_FAIL_HW", 0x1, 0x0},
		{"STOP_ON_FAIL_CU_HARV", 0x2, 0x1},
		{"RESERVED", 0xffff80, 0x7},
		{"GLOBAL_LOOP_COUNT", 0xff000000, 0x18}
	} },
	{"GDS_ATOM_OFFSET0", 0xc40e, {
		{"UNUSED", 0xffffff00, 0x8},
		{"OFFSET0", 0xff, 0x0}
	} },
	{"SQ_PERFCOUNTER0_SELECT", 0xd9c0, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"SQ_PERFCOUNTER1_SELECT", 0xd9c1, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"VGT_EVENT_INITIATOR", 0xa2a4, {
		{"EXTENDED_EVENT", 0x8000000, 0x1b},
		{"ADDRESS_HI", 0x7fc0000, 0x12},
		{"EVENT_TYPE", 0x3f, 0x0}
	} },
	{"CB_COLOR0_DCC_BASE", 0xa325, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"WD_PERFCOUNTER0_LO", 0xd080, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SCRATCH_REG7", 0xc047, {
		{"SCRATCH_REG7", 0xffffffff, 0x0}
	} },
	{"GDS_EDC_GRBM_CNT", 0x25c6, {
		{"SEC", 0xff0000, 0x10},
		{"DED", 0xff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER6_HI", 0xd14d, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SCRATCH_REG6", 0xc046, {
		{"SCRATCH_REG6", 0xffffffff, 0x0}
	} },
	{"SCRATCH_REG5", 0xc045, {
		{"SCRATCH_REG5", 0xffffffff, 0x0}
	} },
	{"SCRATCH_REG4", 0xc044, {
		{"SCRATCH_REG4", 0xffffffff, 0x0}
	} },
	{"CB_COLOR3_DCC_BASE", 0xa352, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"CB_COLOR7_FMASK_SLICE", 0xa38b, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"SCRATCH_REG3", 0xc043, {
		{"SCRATCH_REG3", 0xffffffff, 0x0}
	} },
	{"IA_MULTI_VGT_PARAM", 0xa2aa, {
		{"PRIMGROUP_SIZE", 0xffff, 0x0},
		{"MAX_PRIMGRP_IN_WAVE", 0xf0000000, 0x1c},
		{"SWITCH_ON_EOI", 0x80000, 0x13},
		{"PARTIAL_VS_WAVE_ON", 0x10000, 0x10},
		{"SWITCH_ON_EOP", 0x20000, 0x11},
		{"PARTIAL_ES_WAVE_ON", 0x40000, 0x12},
		{"WD_SWITCH_ON_EOP", 0x100000, 0x14}
	} },
	{"SPI_DSM_CNTL", 0x2443, {
		{"UNUSED", 0xfffffff8, 0x3},
		{"Sel_DSM_SPI_Irritator_data1", 0x2, 0x1},
		{"Sel_DSM_SPI_Irritator_data0", 0x1, 0x0},
		{"SPI_Enable_Single_Write", 0x4, 0x2}
	} },
	{"VGT_LS_HS_CONFIG", 0xa2d6, {
		{"HS_NUM_INPUT_CP", 0x3f00, 0x8},
		{"HS_NUM_OUTPUT_CP", 0xfc000, 0xe},
		{"NUM_PATCHES", 0xff, 0x0}
	} },
	{"CP_HQD_EOP_BASE_ADDR", 0x326a, {
		{"BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_18", 0x24c7, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"GDS_EDC_CNT", 0x25c5, {
		{"SEC", 0xff0000, 0x10},
		{"SED", 0xff00, 0x8},
		{"DED", 0xff, 0x0}
	} },
	{"VGT_PERFCOUNTER0_HI", 0xd091, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"VGT_GSVS_RING_ITEMSIZE", 0xa2ac, {
		{"ITEMSIZE", 0x7fff, 0x0}
	} },
	{"IA_PERFCOUNTER0_LO", 0xd088, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SQ_MTBUF_0", 0x237f, {
		{"NFMT", 0x3800000, 0x17},
		{"ENCODING", 0xfc000000, 0x1a},
		{"DFMT", 0x780000, 0x13},
		{"GLC", 0x4000, 0xe},
		{"IDXEN", 0x2000, 0xd},
		{"OFFSET", 0xfff, 0x0},
		{"OFFEN", 0x1000, 0xc},
		{"OP", 0x78000, 0xf}
	} },
	{"SQ_MTBUF_1", 0x237f, {
		{"VDATA", 0xff00, 0x8},
		{"TFE", 0x800000, 0x17},
		{"SRSRC", 0x1f0000, 0x10},
		{"SOFFSET", 0xff000000, 0x18},
		{"VADDR", 0xff, 0x0},
		{"SLC", 0x400000, 0x16}
	} },
	{"DIDT_DB_WEIGHT8_11", 0x32, {
		{"WEIGHT11", 0xff000000, 0x18},
		{"WEIGHT10", 0xff0000, 0x10},
		{"WEIGHT9", 0xff00, 0x8},
		{"WEIGHT8", 0xff, 0x0}
	} },
	{"SPI_P0_TRAP_SCREEN_PSMA_HI", 0x24ef, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_REG_CS_1_OF_2", 0x23b0, {
		{"REG_ADDR", 0xfe00, 0x9},
		{"PIPE_ID", 0x60, 0x5},
		{"ME_ID", 0x180, 0x7},
		{"TOKEN_TYPE", 0xf, 0x0},
		{"DATA_LO", 0xffff0000, 0x10},
		{"TIME_DELTA", 0x10, 0x4}
	} },
	{"PA_SC_PERFCOUNTER1_SELECT", 0xd942, {
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"SPI_CSQ_WF_ACTIVE_COUNT_5", 0x24e1, {
		{"COUNT", 0x7ff, 0x0}
	} },
	{"GRBM_PERFCOUNTER1_SELECT", 0xd841, {
		{"SC_BUSY_USER_DEFINED_MASK", 0x20000, 0x11},
		{"CP_BUSY_USER_DEFINED_MASK", 0x400000, 0x16},
		{"TC_BUSY_USER_DEFINED_MASK", 0x8000000, 0x1b},
		{"VGT_BUSY_USER_DEFINED_MASK", 0x1000, 0xc},
		{"DB_CLEAN_USER_DEFINED_MASK", 0x400, 0xa},
		{"GDS_BUSY_USER_DEFINED_MASK", 0x1000000, 0x18},
		{"IA_BUSY_USER_DEFINED_MASK", 0x800000, 0x17},
		{"PA_BUSY_USER_DEFINED_MASK", 0x40000, 0x12},
		{"SPI_BUSY_USER_DEFINED_MASK", 0x10000, 0x10},
		{"TA_BUSY_USER_DEFINED_MASK", 0x2000, 0xd},
		{"WD_BUSY_USER_DEFINED_MASK", 0x10000000, 0x1c},
		{"DB_BUSY_USER_DEFINED_MASK", 0x100000, 0x14},
		{"PERF_SEL", 0x3f, 0x0},
		{"BCI_BUSY_USER_DEFINED_MASK", 0x2000000, 0x19},
		{"CB_BUSY_USER_DEFINED_MASK", 0x200000, 0x15},
		{"GRBM_BUSY_USER_DEFINED_MASK", 0x80000, 0x13},
		{"SX_BUSY_USER_DEFINED_MASK", 0x4000, 0xe},
		{"CB_CLEAN_USER_DEFINED_MASK", 0x800, 0xb},
		{"RLC_BUSY_USER_DEFINED_MASK", 0x4000000, 0x1a}
	} },
	{"WD_PERFCOUNTER0_HI", 0xd081, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"VGT_MIN_VTX_INDX", 0xa101, {
		{"MIN_INDX", 0xffffffff, 0x0}
	} },
	{"DB_OCCLUSION_COUNT0_HI", 0xc3c1, {
		{"COUNT_HI", 0x7fffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER4_LO", 0xd189, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_INTERP_CONTROL_0", 0xa1b5, {
		{"PNT_SPRITE_TOP_1", 0x4000, 0xe},
		{"PNT_SPRITE_ENA", 0x2, 0x1},
		{"PNT_SPRITE_OVRD_X", 0x1c, 0x2},
		{"PNT_SPRITE_OVRD_Y", 0xe0, 0x5},
		{"PNT_SPRITE_OVRD_Z", 0x700, 0x8},
		{"PNT_SPRITE_OVRD_W", 0x3800, 0xb},
		{"FLAT_SHADE_ENA", 0x1, 0x0}
	} },
	{"GDS_VMID5_SIZE", 0x330b, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"GDS_VMID9_SIZE", 0x3313, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"VGT_CACHE_INVALIDATION", 0x2231, {
		{"DIS_INSTANCING_OPT", 0x10, 0x4},
		{"AUTO_INVLD_EN", 0xc0, 0x6},
		{"VS_NO_EXTRA_BUFFER", 0x20, 0x5},
		{"USE_GS_DONE", 0x200, 0x9},
		{"ES_LIMIT", 0x1f0000, 0x10},
		{"GS_LATE_ALLOC_EN", 0x1000, 0xc},
		{"DIS_RANGE_FULL_INVLD", 0x800, 0xb},
		{"STREAMOUT_FULL_FLUSH", 0x2000, 0xd},
		{"CACHE_INVALIDATION", 0x3, 0x0}
	} },
	{"WD_PERFCOUNTER1_SELECT", 0xd881, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"SPI_PS_INPUT_CNTL_2", 0xa193, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SPI_PERFCOUNTER2_HI", 0xd184, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_HQD_PQ_BASE_HI", 0x324e, {
		{"ADDR_HI", 0xff, 0x0}
	} },
	{"CP_ME2_PIPE3_INT_CNTL", 0x308c, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"DEQUEUE_REQUEST_INT_ENABLE", 0x2000, 0xd},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"SUA_VIOLATION_INT_ENABLE", 0x8000, 0xf},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"CMP_QUERY_STATUS_INT_ENABLE", 0x1000, 0xc},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"SX_MRT5_BLEND_OPT", 0xa1dd, {
		{"COLOR_SRC_OPT", 0x7, 0x0},
		{"ALPHA_SRC_OPT", 0x70000, 0x10},
		{"COLOR_DST_OPT", 0x70, 0x4},
		{"ALPHA_DST_OPT", 0x700000, 0x14},
		{"COLOR_COMB_FCN", 0x700, 0x8},
		{"ALPHA_COMB_FCN", 0x7000000, 0x18}
	} },
	{"CP_APPEND_LAST_PS_FENCE", 0xc05c, {
		{"LAST_FENCE", 0xffffffff, 0x0}
	} },
	{"CP_CE_HEADER_DUMP", 0x21a4, {
		{"CE_HEADER_DUMP", 0xffffffff, 0x0}
	} },
	{"DB_DEPTH_SLICE", 0xa017, {
		{"SLICE_TILE_MAX", 0x3fffff, 0x0}
	} },
	{"CP_PIPE_STATS_ADDR_LO", 0xc018, {
		{"PIPE_STATS_ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"CP_ME1_PIPE3_PRIORITY", 0x309d, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"SQ_WAVE_TTMP6", 0x276, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_CE_INIT_BUFSZ", 0xc0c5, {
		{"INIT_BUFSZ", 0xfff, 0x0}
	} },
	{"CPC_PERFCOUNTER1_LO", 0xd004, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"TCP_ATC_EDC_GATCL1_CNT", 0x32b1, {
		{"DATA_SEC", 0xff, 0x0}
	} },
	{"CP_HQD_DMA_OFFLOAD", 0x325e, {
		{"DMA_OFFLOAD", 0x1, 0x0}
	} },
	{"CB_COLOR6_FMASK_SLICE", 0xa37c, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"SQ_WAVE_TMA_HI", 0x26f, {
		{"ADDR_HI", 0xff, 0x0}
	} },
	{"CP_NUM_PRIM_WRITTEN_COUNT1_LO", 0xc00c, {
		{"NUM_PRIM_WRITTEN_CNT1_LO", 0xffffffff, 0x0}
	} },
	{"PA_SC_AA_MASK_X0Y1_X1Y1", 0xa30f, {
		{"AA_MASK_X1Y1", 0xffff0000, 0x10},
		{"AA_MASK_X0Y1", 0xffff, 0x0}
	} },
	{"CP_RB_DOORBELL_RANGE_UPPER", 0x305b, {
		{"DOORBELL_RANGE_UPPER", 0x7ffffc, 0x2}
	} },
	{"DB_FIFO_DEPTH1", 0x2618, {
		{"LTILE_PROBE_FIFO_DEPTH", 0x1fe00000, 0x15},
		{"MI_WRREQ_FIFO_DEPTH", 0x3e0, 0x5},
		{"MCC_DEPTH", 0xfc00, 0xa},
		{"QC_DEPTH", 0x1f0000, 0x10},
		{"MI_RDREQ_FIFO_DEPTH", 0x1f, 0x0}
	} },
	{"RLC_PERFMON_CLK_CNTL", 0xdcbf, {
		{"PERFMON_CLOCK_STATE", 0x1, 0x0}
	} },
	{"DB_FIFO_DEPTH2", 0x2619, {
		{"LQUAD_FIFO_DEPTH", 0x1ff8000, 0xf},
		{"ETILE_OP_FIFO_DEPTH", 0x7f00, 0x8},
		{"LTILE_OP_FIFO_DEPTH", 0xfe000000, 0x19},
		{"EQUAD_FIFO_DEPTH", 0xff, 0x0}
	} },
	{"PA_SC_SCREEN_EXTENT_MIN_1", 0xc286, {
		{"Y", 0xffff0000, 0x10},
		{"X", 0xffff, 0x0}
	} },
	{"PA_SC_SCREEN_EXTENT_MIN_0", 0xc284, {
		{"Y", 0xffff0000, 0x10},
		{"X", 0xffff, 0x0}
	} },
	{"SPI_SLAVE_DEBUG_BUSY", 0x24d3, {
		{"SGPR_WC02_BUSY", 0x800, 0xb},
		{"GS_VTX_BUSY", 0x8, 0x3},
		{"SGPR_WC13_BUSY", 0x10000, 0x10},
		{"SGPR_WC10_BUSY", 0x2000, 0xd},
		{"SGPR_WC11_BUSY", 0x4000, 0xe},
		{"SGPR_WC12_BUSY", 0x8000, 0xf},
		{"SAVE_CTX_BUSY", 0x400000, 0x16},
		{"WAVE_WC0_BUSY", 0x80000, 0x13},
		{"WAVEBUFFER0_BUSY", 0x20000, 0x11},
		{"WAVEBUFFER1_BUSY", 0x40000, 0x12},
		{"EVENT_CNTL_BUSY", 0x200000, 0x15},
		{"SGPR_WC01_BUSY", 0x400, 0xa},
		{"VGPR_WC00_BUSY", 0x20, 0x5},
		{"LS_VTX_BUSY", 0x1, 0x0},
		{"HS_VTX_BUSY", 0x2, 0x1},
		{"VGPR_WC11_BUSY", 0x100, 0x8},
		{"SGPR_WC00_BUSY", 0x200, 0x9},
		{"WAVE_WC1_BUSY", 0x100000, 0x14},
		{"VGPR_WC10_BUSY", 0x80, 0x7},
		{"SGPR_WC03_BUSY", 0x1000, 0xc},
		{"VGPR_WC01_BUSY", 0x40, 0x6},
		{"VS_VTX_BUSY", 0x10, 0x4},
		{"ES_VTX_BUSY", 0x4, 0x2}
	} },
	{"SCRATCH_UMSK", 0xc050, {
		{"OBSOLETE_UMSK", 0xff, 0x0},
		{"OBSOLETE_SWAP", 0x30000, 0x10}
	} },
	{"RLC_MAX_PG_CU", 0xec54, {
		{"MAX_POWERED_UP_CU", 0xff, 0x0},
		{"SPARE", 0xffffff00, 0x8}
	} },
	{"CP_VGT_GSINVOC_COUNT_LO", 0xc022, {
		{"GSINVOC_COUNT_LO", 0xffffffff, 0x0}
	} },
	{"TC_CFG_L2_LOAD_POLICY1", 0x2b1e, {
		{"POLICY_25", 0xc0000, 0x12},
		{"POLICY_17", 0xc, 0x2},
		{"POLICY_16", 0x3, 0x0},
		{"POLICY_28", 0x3000000, 0x18},
		{"POLICY_29", 0xc000000, 0x1a},
		{"POLICY_26", 0x300000, 0x14},
		{"POLICY_27", 0xc00000, 0x16},
		{"POLICY_19", 0xc0, 0x6},
		{"POLICY_18", 0x30, 0x4},
		{"POLICY_22", 0x3000, 0xc},
		{"POLICY_23", 0xc000, 0xe},
		{"POLICY_20", 0x300, 0x8},
		{"POLICY_21", 0xc00, 0xa},
		{"POLICY_30", 0x30000000, 0x1c},
		{"POLICY_31", 0xc0000000, 0x1e},
		{"POLICY_24", 0x30000, 0x10}
	} },
	{"TC_CFG_L2_LOAD_POLICY0", 0x2b1d, {
		{"POLICY_13", 0xc000000, 0x1a},
		{"POLICY_12", 0x3000000, 0x18},
		{"POLICY_11", 0xc00000, 0x16},
		{"POLICY_10", 0x300000, 0x14},
		{"POLICY_15", 0xc0000000, 0x1e},
		{"POLICY_14", 0x30000000, 0x1c},
		{"POLICY_7", 0xc000, 0xe},
		{"POLICY_6", 0x3000, 0xc},
		{"POLICY_5", 0xc00, 0xa},
		{"POLICY_4", 0x300, 0x8},
		{"POLICY_3", 0xc0, 0x6},
		{"POLICY_2", 0x30, 0x4},
		{"POLICY_1", 0xc, 0x2},
		{"POLICY_0", 0x3, 0x0},
		{"POLICY_9", 0xc0000, 0x12},
		{"POLICY_8", 0x30000, 0x10}
	} },
	{"SPI_SHADER_PGM_HI_GS", 0x2c89, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"TCP_BUFFER_ADDR_HASH_CNTL", 0x2b16, {
		{"CHANNEL_BITS", 0x7, 0x0},
		{"CHANNEL_XOR_COUNT", 0x70000, 0x10},
		{"BANK_BITS", 0x700, 0x8},
		{"BANK_XOR_COUNT", 0x7000000, 0x18}
	} },
	{"CB_COLOR4_BASE", 0xa354, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"GRBM_CGTT_CLK_CNTL", 0x200b, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE_DYN", 0x40000000, 0x1e},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"SQ_INTERRUPT_AUTO_MASK", 0x2314, {
		{"MASK", 0xffffff, 0x0}
	} },
	{"CP_MAX_CONTEXT", 0x30ae, {
		{"MAX_CONTEXT", 0x7, 0x0}
	} },
	{"CP_NUM_PRIM_NEEDED_COUNT1_LO", 0xc00e, {
		{"NUM_PRIM_NEEDED_CNT1_LO", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC2_LS_HS", 0x2d3d, {
		{"USER_SGPR", 0x3e, 0x1},
		{"SCRATCH_EN", 0x1, 0x0},
		{"EXCP_EN", 0x1ff0000, 0x10},
		{"LDS_SIZE", 0xff80, 0x7},
		{"TRAP_PRESENT", 0x40, 0x6}
	} },
	{"VGT_PERFCOUNTER3_HI", 0xd097, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"VGT_INDX_OFFSET", 0xa102, {
		{"INDX_OFFSET", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_GLOBAL_MUXSEL_DATA", 0xdc9c, {
		{"PERFMON_SEL_DATA", 0xffffffff, 0x0}
	} },
	{"TCP_PERFCOUNTER1_HI", 0xd343, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"PA_SC_DSM_CNTL", 0x22fe, {
		{"FORCE_EOV_REZ_0", 0x1, 0x0},
		{"FORCE_EOV_REZ_1", 0x2, 0x1}
	} },
	{"CB_COLOR5_FMASK_SLICE", 0xa36d, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"GDS_PS3_CTXSW_CNT3", 0x3366, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS3_CTXSW_CNT2", 0x3365, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS3_CTXSW_CNT1", 0x3364, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"TCP_WATCH1_CNTL", 0x32a5, {
		{"VMID", 0xf000000, 0x18},
		{"VALID", 0x80000000, 0x1f},
		{"MASK", 0xffffff, 0x0},
		{"ATC", 0x10000000, 0x1c},
		{"MODE", 0x60000000, 0x1d}
	} },
	{"RLC_GPU_CLOCK_COUNT_MSB", 0xec25, {
		{"GPU_CLOCKS_MSB", 0xffffffff, 0x0}
	} },
	{"CSPRIV_CONNECT", 0x0, {
		{"DOORBELL_OFFSET", 0x1fffff, 0x0},
		{"UNORD_DISP", 0x80000000, 0x1f},
		{"VMID", 0x3c000000, 0x1a},
		{"QUEUE_ID", 0xe00000, 0x15}
	} },
	{"CB_COLOR4_SLICE", 0xa356, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"IA_PERFCOUNTER2_HI", 0xd08d, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SX_MRT1_BLEND_OPT", 0xa1d9, {
		{"COLOR_SRC_OPT", 0x7, 0x0},
		{"ALPHA_SRC_OPT", 0x70000, 0x10},
		{"COLOR_DST_OPT", 0x70, 0x4},
		{"ALPHA_DST_OPT", 0x700000, 0x14},
		{"COLOR_COMB_FCN", 0x700, 0x8},
		{"ALPHA_COMB_FCN", 0x7000000, 0x18}
	} },
	{"RLC_GPM_GENERAL_12", 0xecb1, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_11", 0xecb0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_NUM_PRIM_NEEDED_COUNT0_HI", 0xc00b, {
		{"NUM_PRIM_NEEDED_CNT0_HI", 0xffffffff, 0x0}
	} },
	{"CP_ME0_PIPE2_PRIORITY", 0x304f, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"VGT_DMA_SIZE", 0xa29d, {
		{"NUM_INDICES", 0xffffffff, 0x0}
	} },
	{"COMPUTE_PERFCOUNT_ENABLE", 0x2e0b, {
		{"PERFCOUNT_ENABLE", 0x1, 0x0}
	} },
	{"GRBM_HYP_CAM_DATA", 0xf83f, {
		{"CAM_ADDR", 0xffff, 0x0},
		{"CAM_REMAPADDR", 0xffff0000, 0x10}
	} },
	{"CB_COLOR1_CMASK", 0xa32e, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"CGTS_USER_TCC_DISABLE", 0xf004, {
		{"TCC_DISABLE", 0xffff0000, 0x10}
	} },
	{"PA_SC_VPORT_SCISSOR_8_TL", 0xa0a4, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"SQ_PERFCOUNTER9_LO", 0xd1d2, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"GDS_VMID9_BASE", 0x3312, {
		{"BASE", 0xffff, 0x0}
	} },
	{"SX_DEBUG_BUSY", 0x2414, {
		{"VDATA0_VALID", 0x20000000, 0x1d},
		{"POS_BANK0VAL2_BUSY", 0x20000, 0x11},
		{"POS_INMUX_VALID", 0x100000, 0x14},
		{"POS_SCBD_BUSY", 0x8, 0x3},
		{"POS_BANK1VAL0_BUSY", 0x8000, 0xf},
		{"POS_BANK0VAL3_BUSY", 0x10000, 0x10},
		{"CMD_BUSYORVAL", 0x40000000, 0x1e},
		{"POS_REQUESTER_BUSY", 0x2, 0x1},
		{"POS_BANK3VAL1_BUSY", 0x40, 0x6},
		{"WRCTRL0_VALIDQ2", 0x2000000, 0x19},
		{"PA_SX_BUSY", 0x4, 0x2},
		{"PCCMD_VALID", 0x8000000, 0x1b},
		{"VDATA1_VALID", 0x10000000, 0x1c},
		{"POS_BANK3VAL3_BUSY", 0x10, 0x4},
		{"WRCTRL0_VALIDQ3", 0x1000000, 0x18},
		{"POS_BANK3VAL0_BUSY", 0x80, 0x7},
		{"POS_BANK1VAL3_BUSY", 0x1000, 0xc},
		{"POS_BANK0VAL1_BUSY", 0x40000, 0x12},
		{"POS_BANK0VAL0_BUSY", 0x80000, 0x13},
		{"POS_FREE_OR_VALIDS", 0x1, 0x0},
		{"ADDR_BUSYORVAL", 0x80000000, 0x1f},
		{"WRCTRL1_VALIDQ2", 0x400000, 0x16},
		{"WRCTRL1_VALIDQ3", 0x200000, 0x15},
		{"POS_BANK2VAL0_BUSY", 0x800, 0xb},
		{"WRCTRL1_VALIDQ1", 0x800000, 0x17},
		{"POS_BANK1VAL1_BUSY", 0x4000, 0xe},
		{"POS_BANK2VAL3_BUSY", 0x100, 0x8},
		{"POS_BANK2VAL2_BUSY", 0x200, 0x9},
		{"WRCTRL0_VALIDQ1", 0x4000000, 0x1a},
		{"POS_BANK1VAL2_BUSY", 0x2000, 0xd},
		{"POS_BANK2VAL1_BUSY", 0x400, 0xa},
		{"POS_BANK3VAL2_BUSY", 0x20, 0x5}
	} },
	{"PA_SC_RASTER_CONFIG", 0xa0d4, {
		{"RB_XSEL", 0x40, 0x6},
		{"SC_YSEL", 0x300000, 0x14},
		{"SC_MAP", 0x30000, 0x10},
		{"SC_XSEL", 0xc0000, 0x12},
		{"SE_YSEL", 0x30000000, 0x1c},
		{"SE_XSEL", 0xc000000, 0x1a},
		{"PKR_YSEL", 0x3000, 0xc},
		{"RB_YSEL", 0x80, 0x7},
		{"PKR_XSEL", 0xc00, 0xa},
		{"RB_XSEL2", 0x30, 0x4},
		{"PKR_XSEL2", 0xc000, 0xe},
		{"SE_MAP", 0x3000000, 0x18},
		{"RB_MAP_PKR0", 0x3, 0x0},
		{"RB_MAP_PKR1", 0xc, 0x2},
		{"PKR_MAP", 0x300, 0x8}
	} },
	{"VGT_DEBUG_DATA", 0x2239, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CGTS_RD_REG", 0xf002, {
		{"READ_DATA", 0x3fff, 0x0}
	} },
	{"GDS_VMID2_SIZE", 0x3305, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER6_SELECT", 0xd947, {
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"GFX_COPY_STATE", 0xa1f4, {
		{"SRC_STATE_ID", 0x7, 0x0}
	} },
	{"CP_RB1_RPTR", 0x21bf, {
		{"RB_RPTR", 0xfffff, 0x0}
	} },
	{"DB_DEPTH_CLEAR", 0xa00b, {
		{"DEPTH_CLEAR", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_TMA_LO_PS", 0x2c02, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"DB_SRESULTS_COMPARE_STATE0", 0xa2b0, {
		{"ENABLE0", 0x1000000, 0x18},
		{"COMPAREFUNC0", 0x7, 0x0},
		{"COMPAREMASK0", 0xff000, 0xc},
		{"COMPAREVALUE0", 0xff0, 0x4}
	} },
	{"DB_SRESULTS_COMPARE_STATE1", 0xa2b1, {
		{"COMPAREFUNC1", 0x7, 0x0},
		{"COMPAREVALUE1", 0xff0, 0x4},
		{"COMPAREMASK1", 0xff000, 0xc},
		{"ENABLE1", 0x1000000, 0x18}
	} },
	{"WD_DEBUG_REG8", 0x8, {
		{"wd_tc_rdreq_rtr_q", 0x400, 0xa},
		{"WD_TC_rdnfo_stall_out", 0x40000000, 0x1e},
		{"event_flag_p1_q", 0x40000, 0x12},
		{"pipe0_dr", 0x1, 0x0},
		{"second_tf_ret_data_q", 0x8000000, 0x1b},
		{"TC_WD_rdret_valid_in", 0x80000000, 0x1f},
		{"se0spi_wd_hs_done_cnt_q", 0x3f000, 0xc},
		{"tf_skid_fifo_full", 0x200, 0x9},
		{"tfreq_tg_fifo_full", 0x20, 0x5},
		{"pipe0_rtr", 0x4, 0x2},
		{"tf_skid_fifo_empty", 0x100, 0x8},
		{"null_flag_p1_q", 0x80000, 0x13},
		{"tf_data_fifo_rtr_q", 0x80, 0x7},
		{"WD_TC_rdreq_send_out", 0x20000000, 0x1d},
		{"pipe1_dr", 0x2, 0x1},
		{"tf_data_fifo_cnt_q", 0x7f00000, 0x14},
		{"first_req_of_tg_p1_q", 0x10000000, 0x1c},
		{"last_req_of_tg_p2", 0x800, 0xb},
		{"tf_data_fifo_busy_q", 0x40, 0x6},
		{"tfreq_tg_fifo_empty", 0x10, 0x4},
		{"pipe1_rtr", 0x8, 0x3}
	} },
	{"SPI_SHADER_USER_DATA_GS_8", 0x2c94, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_9", 0x2c95, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_4", 0x2c90, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_5", 0x2c91, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_6", 0x2c92, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_7", 0x2c93, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_0", 0x2c8c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_1", 0x2c8d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_2", 0x2c8e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_GS_3", 0x2c8f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SC_FIFO_DEPTH_CNTL", 0x2295, {
		{"DEPTH", 0x3ff, 0x0}
	} },
	{"GDS_WR_BURST_ADDR", 0xc407, {
		{"WRITE_ADDR", 0xffffffff, 0x0}
	} },
	{"WD_DEBUG_REG3", 0x3, {
		{"WD_IA_dma_rtr", 0x20000, 0x11},
		{"send_to_ia1_p3_q", 0x4000000, 0x1a},
		{"WD_IA1_dma_send_d", 0x40000, 0x12},
		{"pipe3_rtr", 0x20000000, 0x1d},
		{"wd_dma2draw_fifo_empty", 0x40000000, 0x1e},
		{"wd_dma2draw_fifo_full", 0x80000000, 0x1f},
		{"wd_subdma_fifo_empty", 0x40, 0x6},
		{"wd_subdma_fifo_full", 0x80, 0x7},
		{"rbiu_spl_dr_valid", 0x1, 0x0},
		{"WD_IA_dma_busy", 0x1000000, 0x18},
		{"pipe1_rtr", 0x20, 0x5},
		{"last_rdreq_of_sub_dma_p4", 0x8000, 0xf},
		{"dma_zero_indices_p0_q", 0x400, 0xa},
		{"pipe1_dr", 0x10, 0x4},
		{"WD_IA_dma_send_d", 0x10000, 0x10},
		{"dma_wd_switch_on_eop_p3_q", 0x8000000, 0x1b},
		{"last_sub_dma_p3_q", 0x4000, 0xe},
		{"WD_IA1_dma_rtr", 0x80000, 0x13},
		{"pipe3_dr", 0x10000000, 0x1c},
		{"dma_req_path_p3_q", 0x800, 0xb},
		{"SPARE1", 0x800000, 0x17},
		{"last_sd_of_dma_p2", 0x400000, 0x16},
		{"last_inst_of_dma_p2", 0x100000, 0x14},
		{"pipe0_dr", 0x4, 0x2},
		{"out_of_range_p4", 0x2000, 0xd},
		{"last_sd_of_inst_p2", 0x200000, 0x15},
		{"SPARE0", 0x2, 0x1},
		{"dma_not_eop_p1_q", 0x1000, 0xc},
		{"pipe0_rtr", 0x8, 0x3},
		{"WD_IA1_dma_busy", 0x2000000, 0x19},
		{"dma_buf_type_p0_q", 0x300, 0x8}
	} },
	{"CB_BLEND_BLUE", 0xa107, {
		{"BLEND_BLUE", 0xffffffff, 0x0}
	} },
	{"TA_BC_BASE_ADDR_HI", 0xa021, {
		{"ADDRESS", 0xff, 0x0}
	} },
	{"SPI_CONFIG_CNTL_1", 0x244f, {
		{"INTERP_ONE_PRIM_PER_ROW", 0x10, 0x4},
		{"LBPW_CU_CHK_CNT", 0x3c00, 0xa},
		{"PC_LIMIT_STRICT", 0x80, 0x7},
		{"CRC_SIMD_ID_WADDR_DISABLE", 0x100, 0x8},
		{"PC_LIMIT_SIZE", 0xffff0000, 0x10},
		{"LBPW_CU_CHK_MODE", 0x200, 0x9},
		{"VTX_DONE_DELAY", 0xf, 0x0},
		{"PC_LIMIT_ENABLE", 0x40, 0x6}
	} },
	{"SPI_SHADER_TBA_HI_VS", 0x2c41, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"SPI_CONFIG_CNTL_2", 0x2451, {
		{"CONTEXT_SAVE_WAIT_GDS_GRANT_CYCLE_OVHD", 0xf0, 0x4},
		{"CONTEXT_SAVE_WAIT_GDS_REQUEST_CYCLE_OVHD", 0xf, 0x0}
	} },
	{"RLC_CU_STATUS", 0xec4e, {
		{"WORK_PENDING", 0xffffffff, 0x0}
	} },
	{"GDS_VMID0_SIZE", 0x3301, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"DIDT_DBR_WEIGHT4_7", 0x91, {
		{"WEIGHT7", 0xff000000, 0x18},
		{"WEIGHT6", 0xff0000, 0x10},
		{"WEIGHT5", 0xff00, 0x8},
		{"WEIGHT4", 0xff, 0x0}
	} },
	{"WD_DEBUG_REG6", 0x6, {
		{"WD_IA_draw_eop", 0xffffffff, 0x0}
	} },
	{"DIDT_SQ_WEIGHT4_7", 0x11, {
		{"WEIGHT7", 0xff000000, 0x18},
		{"WEIGHT6", 0xff0000, 0x10},
		{"WEIGHT5", 0xff00, 0x8},
		{"WEIGHT4", 0xff, 0x0}
	} },
	{"SQ_PERFCOUNTER12_LO", 0xd1d8, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR2_DCC_CONTROL", 0xa33c, {
		{"OVERWRITE_COMBINER_DISABLE", 0x1, 0x0},
		{"KEY_CLEAR_ENABLE", 0x2, 0x1},
		{"MAX_UNCOMPRESSED_BLOCK_SIZE", 0xc, 0x2},
		{"LOSSY_ALPHA_PRECISION", 0x3c000, 0xe},
		{"INDEPENDENT_64B_BLOCKS", 0x200, 0x9},
		{"COLOR_TRANSFORM", 0x180, 0x7},
		{"LOSSY_RGB_PRECISION", 0x3c00, 0xa},
		{"MAX_COMPRESSED_BLOCK_SIZE", 0x60, 0x5},
		{"MIN_COMPRESSED_BLOCK_SIZE", 0x10, 0x4}
	} },
	{"WD_PERFCOUNTER3_HI", 0xd087, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_WAIT_REG_MEM_TIMEOUT", 0xc074, {
		{"WAIT_REG_MEM_TIMEOUT", 0xffffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER0_SELECT1", 0xd984, {
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"CP_VGT_HSINVOC_COUNT_HI", 0xc025, {
		{"HSINVOC_COUNT_HI", 0xffffffff, 0x0}
	} },
	{"GDS_OA_CNTL", 0xc41d, {
		{"UNUSED", 0xfffffff0, 0x4},
		{"INDEX", 0xf, 0x0}
	} },
	{"CP_NUM_PRIM_NEEDED_COUNT2_LO", 0xc012, {
		{"NUM_PRIM_NEEDED_CNT2_LO", 0xffffffff, 0x0}
	} },
	{"TC_CFG_L2_VOLATILE", 0x2b23, {
		{"VOL", 0xf, 0x0}
	} },
	{"CP_GDS_ATOMIC1_PREOP_HI", 0xc062, {
		{"GDS_ATOMIC1_PREOP_HI", 0xffffffff, 0x0}
	} },
	{"GB_MACROTILE_MODE14", 0x2672, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"GB_MACROTILE_MODE15", 0x2673, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"WD_DEBUG_REG10", 0xa, {
		{"wd_te11_out_se0_fifo_empty", 0x2000000, 0x19},
		{"ttp_pd_is_event", 0x2, 0x1},
		{"is_event_p1_q", 0x2000, 0xd},
		{"ttp_pd_eop", 0x8, 0x3},
		{"wd_te11_out_se3_fifo_empty", 0x80000000, 0x1f},
		{"eopg_p1_q", 0x4000, 0xe},
		{"donut_en_p1_q", 0x100, 0x8},
		{"wd_te11_out_se2_fifo_empty", 0x20000000, 0x1d},
		{"wd_te11_out_se1_fifo_empty", 0x8000000, 0x1b},
		{"pipe1_rtr", 0x80, 0x7},
		{"wd_te11_out_se2_fifo_full", 0x10000000, 0x1c},
		{"wd_te11_out_se1_fifo_full", 0x4000000, 0x1a},
		{"eop_p1_q", 0x8000, 0xf},
		{"last_donut_switch_p2", 0x800, 0xb},
		{"ttp_pd_patch_rts", 0x1, 0x0},
		{"last_donut_of_patch_p2", 0x1000, 0xc},
		{"wd_te11_out_se0_fifo_full", 0x1000000, 0x18},
		{"wd_te11_out_se3_fifo_full", 0x40000000, 0x1e},
		{"ttp_pd_eopg", 0x4, 0x2},
		{"donut_se_switch_p2", 0x200, 0x9},
		{"pipe0_dr", 0x10, 0x4},
		{"patch_se_switch_p2", 0x400, 0xa},
		{"pipe0_rtr", 0x40, 0x6},
		{"patch_accum_q", 0xff0000, 0x10},
		{"pipe1_dr", 0x20, 0x5}
	} },
	{"GB_MACROTILE_MODE10", 0x266e, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"GB_MACROTILE_MODE11", 0x266f, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"GB_MACROTILE_MODE12", 0x2670, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"GB_MACROTILE_MODE13", 0x2671, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"TCC_CTRL", 0x2b80, {
		{"MDC_SECTOR_SIZE", 0xc000000, 0x1a},
		{"LATENCY_FIFO_SIZE", 0xf0000, 0x10},
		{"WRITEBACK_MARGIN", 0xf0, 0x4},
		{"SRC_FIFO_SIZE", 0xf000, 0xc},
		{"MDC_SIDEBAND_FIFO_SIZE", 0xf0000000, 0x1c},
		{"RATE", 0xc, 0x2},
		{"CACHE_SIZE", 0x3, 0x0},
		{"WB_OR_INV_ALL_VMIDS", 0x100000, 0x14},
		{"METADATA_LATENCY_FIFO_SIZE", 0xf00, 0x8},
		{"MDC_SIZE", 0x3000000, 0x18}
	} },
	{"RLC_SPM_SEGMENT_THRESHOLD", 0xdc9e, {
		{"NUM_SEGMENT_THRESHOLD", 0xffffffff, 0x0}
	} },
	{"PA_SC_HP3D_TRAP_SCREEN_OCCURRENCE", 0xc2ab, {
		{"COUNT", 0xffff, 0x0}
	} },
	{"SQ_DSM_CNTL", 0x2306, {
		{"LDS_ENABLE_SINGLE_WRITE01", 0x40000, 0x12},
		{"WAVEFRONT_STALL_1", 0x2, 0x1},
		{"SEL_DSM_SP_IRRITATOR_DATA1", 0x2000000, 0x19},
		{"SEL_DSM_SP_IRRITATOR_DATA0", 0x1000000, 0x18},
		{"WAVEFRONT_STALL_0", 0x1, 0x0},
		{"LDS_ENABLE_SINGLE_WRITE23", 0x200000, 0x15},
		{"SP_ENABLE_SINGLE_WRITE", 0x4000000, 0x1a},
		{"SEL_DSM_LDS_IRRITATOR_DATA1", 0x20000, 0x11},
		{"SEL_DSM_LDS_IRRITATOR_DATA0", 0x10000, 0x10},
		{"SGPR_ENABLE_SINGLE_WRITE", 0x400, 0xa},
		{"SEL_DSM_SGPR_IRRITATOR_DATA0", 0x100, 0x8},
		{"SEL_DSM_SGPR_IRRITATOR_DATA1", 0x200, 0x9},
		{"SEL_DSM_LDS_IRRITATOR_DATA2", 0x80000, 0x13},
		{"SPI_BACKPRESSURE_0", 0x4, 0x2},
		{"SPI_BACKPRESSURE_1", 0x8, 0x3},
		{"SEL_DSM_LDS_IRRITATOR_DATA3", 0x100000, 0x14}
	} },
	{"TCP_PERFCOUNTER0_LO", 0xd340, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_INT_FORCE_TH0", 0xec7e, {
		{"FORCE", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_INT_FORCE_TH1", 0xec7f, {
		{"FORCE", 0xffffffff, 0x0}
	} },
	{"CGTS_CU15_SP1_CTRL_REG", 0xf056, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"CP_IB2_PREAMBLE_END", 0xc097, {
		{"IB2_PREAMBLE_END", 0xfffff, 0x0}
	} },
	{"SQ_PERFCOUNTER15_LO", 0xd1de, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"GC_USER_RB_REDUNDANCY", 0x26de, {
		{"FAILED_RB0", 0xf00, 0x8},
		{"EN_REDUNDANCY0", 0x1000, 0xc},
		{"EN_REDUNDANCY1", 0x100000, 0x14},
		{"FAILED_RB1", 0xf0000, 0x10}
	} },
	{"GDS_VMID6_SIZE", 0x330d, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_9", 0xa145, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_8", 0xa13f, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC1_LS", 0x2d4a, {
		{"FLOAT_MODE", 0xff000, 0xc},
		{"CACHE_CTL", 0x1c000000, 0x1a},
		{"CDBG_USER", 0x20000000, 0x1d},
		{"VGPR_COMP_CNT", 0x3000000, 0x18},
		{"IEEE_MODE", 0x800000, 0x17},
		{"PRIORITY", 0xc00, 0xa},
		{"SGPRS", 0x3c0, 0x6},
		{"DEBUG_MODE", 0x400000, 0x16},
		{"VGPRS", 0x3f, 0x0},
		{"DX10_CLAMP", 0x200000, 0x15},
		{"PRIV", 0x100000, 0x14}
	} },
	{"PA_CL_VPORT_XSCALE_5", 0xa12d, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"RLC_LB_CNTL", 0xec19, {
		{"RESERVED", 0xfffff000, 0xc},
		{"CU_MASK_USED_OFF_HYST", 0xff0, 0x4},
		{"LB_CNT_CP_BUSY", 0x2, 0x1},
		{"LOAD_BALANCE_ENABLE", 0x1, 0x0},
		{"LB_CNT_SPIM_ACTIVE", 0x4, 0x2},
		{"LB_CNT_REG_INC", 0x8, 0x3}
	} },
	{"PA_CL_VPORT_XSCALE_7", 0xa139, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_6", 0xa133, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_SC_HP3D_TRAP_SCREEN_H", 0xc2a9, {
		{"X_COORD", 0x3fff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_3", 0xa121, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_XSCALE_2", 0xa11b, {
		{"VPORT_XSCALE", 0xffffffff, 0x0}
	} },
	{"PA_SC_HP3D_TRAP_SCREEN_V", 0xc2aa, {
		{"Y_COORD", 0x3fff, 0x0}
	} },
	{"GRBM_CNTL", 0x2000, {
		{"READ_TIMEOUT", 0xff, 0x0},
		{"REPORT_LAST_RDERR", 0x80000000, 0x1f}
	} },
	{"CGTS_CU5_TD_TCP_CTRL_REG", 0xf025, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"CB_HW_CONTROL", 0x2684, {
		{"FORCE_NEEDS_DST", 0x80000, 0x13},
		{"DISABLE_BLEND_OPT_WHEN_DISABLED_SRCALPHA_IS_USED", 0x8000000, 0x1b},
		{"DISABLE_BLEND_OPT_DISCARD_PIXEL", 0x4000000, 0x1a},
		{"DISABLE_BLEND_OPT_DONT_RD_DST", 0x1000000, 0x18},
		{"PRIORITIZE_FC_EVICT_OVER_FOP_RD_ON_BANK_CONFLICT", 0x20000000, 0x1d},
		{"DISABLE_FULL_WRITE_MASK", 0x400000, 0x16},
		{"DISABLE_BLEND_OPT_RESULT_EQ_DEST", 0x200000, 0x15},
		{"DISABLE_INTNORM_LE11BPC_CLAMPING", 0x40000, 0x12},
		{"DISABLE_PIXEL_IN_QUAD_FIX_FOR_LINEAR_SURFACE", 0x80000000, 0x1f},
		{"ALLOW_MRT_WITH_DUAL_SOURCE", 0x10000, 0x10},
		{"DISABLE_CC_IB_SERIALIZER_STATE_OPT", 0x40000000, 0x1e},
		{"PRIORITIZE_FC_WR_OVER_FC_RD_ON_CMASK_CONFLICT", 0x10000000, 0x1c},
		{"FORCE_ALWAYS_TOGGLE", 0x100000, 0x14},
		{"FC_CACHE_EVICT_POINT", 0x3c0, 0x6},
		{"CC_CACHE_EVICT_POINT", 0xf000, 0xc},
		{"DISABLE_RESOLVE_OPT_FOR_SINGLE_FRAG", 0x800000, 0x17},
		{"DISABLE_BLEND_OPT_BYPASS", 0x2000000, 0x19},
		{"CM_CACHE_EVICT_POINT", 0xf, 0x0}
	} },
	{"CGTS_CU2_TA_CTRL_REG", 0xf014, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"CP_DMA_CNTL", 0xc08a, {
		{"BUFFER_DEPTH", 0xf0000, 0x10},
		{"PIO_COUNT", 0xc0000000, 0x1e},
		{"MIN_AVAILSZ", 0x30, 0x4},
		{"PIO_FIFO_FULL", 0x20000000, 0x1d},
		{"PIO_FIFO_EMPTY", 0x10000000, 0x1c}
	} },
	{"GRBM_READ_ERROR2", 0x2017, {
		{"READ_REQUESTER_ME0PIPE1_PF", 0x800000, 0x17},
		{"READ_REQUESTER_ME0PIPE1_CF", 0x400000, 0x16},
		{"READ_REQUESTER_ME0PIPE0_PF", 0x200000, 0x15},
		{"READ_REQUESTER_ME1PIPE2", 0x4000000, 0x1a},
		{"READ_REQUESTER_ME2PIPE1", 0x20000000, 0x1d},
		{"READ_REQUESTER_SRBM", 0x20000, 0x11},
		{"READ_REQUESTER_ME2PIPE3", 0x80000000, 0x1f},
		{"READ_REQUESTER_ME2PIPE2", 0x40000000, 0x1e},
		{"READ_REQUESTER_ME1PIPE0", 0x1000000, 0x18},
		{"READ_REQUESTER_ME1PIPE1", 0x2000000, 0x19},
		{"READ_REQUESTER_ME0PIPE0_CF", 0x100000, 0x14},
		{"READ_REQUESTER_ME1PIPE3", 0x8000000, 0x1b},
		{"READ_REQUESTER_ME2PIPE0", 0x10000000, 0x1c},
		{"READ_REQUESTER_RLC", 0x40000, 0x12},
		{"READ_REQUESTER_GDS_DMA", 0x80000, 0x13}
	} },
	{"RLC_PERFCOUNTER1_LO", 0xd482, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_PERFMON_RING_BASE_LO", 0xdc81, {
		{"RING_BASE_LO", 0xffffffff, 0x0}
	} },
	{"VGT_DEBUG_REG2", 0x1e, {
		{"ls_sh_id", 0x4000000, 0x1a},
		{"p1_rtr", 0x200000, 0x15},
		{"p1_dr", 0x800000, 0x17},
		{"lsWaveFifoEmpty", 0x200, 0x9},
		{"hsVertFifoEmpty", 0x400, 0xa},
		{"lsWaveFifoFull", 0x8000, 0xf},
		{"hsTifFifoEmpty", 0x2000, 0xd},
		{"hsInputFifoEmpty", 0x1000, 0xc},
		{"hs_grp_busy", 0x1, 0x0},
		{"lsVertIfBusy_0", 0x8, 0x3},
		{"hsInputFifoFull", 0x40000, 0x12},
		{"te11_hs_tess_input_rtr", 0x10, 0x4},
		{"tfmmIsBusy", 0x4, 0x2},
		{"grpModBusy", 0x80, 0x7},
		{"SPARE", 0xe0000000, 0x1d},
		{"p0_dr", 0x400000, 0x16},
		{"p0_rts", 0x1000000, 0x18},
		{"p0_rtr", 0x100000, 0x14},
		{"lsWaveSendFlush", 0x10000000, 0x1c},
		{"lsWaveIfBusy_0", 0x20, 0x5},
		{"hs_te11_tess_input_rts", 0x40, 0x6},
		{"hs_noif_busy", 0x2, 0x1},
		{"hsWaveFifoFull", 0x20000, 0x11},
		{"p1_rts", 0x2000000, 0x19},
		{"hsTifFifoFull", 0x80000, 0x13},
		{"lsVertFifoFull", 0x4000, 0xe},
		{"lsFwaveFlag", 0x8000000, 0x1b},
		{"lsVertFifoEmpty", 0x100, 0x8},
		{"hsVertFifoFull", 0x10000, 0x10},
		{"hsWaveFifoEmpty", 0x800, 0xb}
	} },
	{"RLC_SPM_CPC_PERFMON_SAMPLE_DELAY", 0xdc88, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"VGT_STRMOUT_DRAW_OPAQUE_BUFFER_FILLED_SIZE", 0xa2cb, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"SQ_EDC_SEC_CNT", 0x23a1, {
		{"SGPR_SEC", 0xff00, 0x8},
		{"VGPR_SEC", 0xff0000, 0x10},
		{"LDS_SEC", 0xff, 0x0}
	} },
	{"CB_COLOR7_BASE", 0xa381, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"GDS_RD_ADDR", 0xc400, {
		{"READ_ADDR", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_3", 0x2c4f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DB_DEBUG", 0x260c, {
		{"ONE_FREE_IN_FLIGHT", 0x10000000, 0x1c},
		{"DEBUG_FAST_Z_DISABLE", 0x4000, 0xe},
		{"DEPTH_CACHE_FORCE_MISS", 0x40000, 0x12},
		{"FORCE_MISS_IF_NOT_INFLIGHT", 0x20000000, 0x1d},
		{"DEBUG_FORCE_STENCIL_READ", 0x80, 0x7},
		{"FETCH_FULL_STENCIL_TILE", 0x8, 0x3},
		{"DISABLE_DEPTH_SURFACE_SYNC", 0x40000000, 0x1e},
		{"DISABLE_VPORT_ZPLANE_OPTIMIZATION", 0x800000, 0x17},
		{"DEBUG_FORCE_HIS_ENABLE1", 0x3000, 0xc},
		{"DEBUG_FORCE_HIS_ENABLE0", 0xc00, 0xa},
		{"DISABLE_SUMM_SQUADS", 0x20000, 0x11},
		{"DEBUG_FORCE_HIZ_ENABLE", 0x300, 0x8},
		{"DEBUG_FORCE_FULL_Z_RANGE", 0x180000, 0x13},
		{"DEBUG_STENCIL_COMPRESS_DISABLE", 0x1, 0x0},
		{"DECOMPRESS_AFTER_N_ZPLANES", 0xf000000, 0x18},
		{"DEBUG_FAST_STENCIL_DISABLE", 0x8000, 0xf},
		{"DEBUG_DEPTH_COMPRESS_DISABLE", 0x2, 0x1},
		{"FORCE_Z_MODE", 0x30, 0x4},
		{"DISABLE_HTILE_SURFACE_SYNC", 0x80000000, 0x1f},
		{"DEBUG_FORCE_DEPTH_READ", 0x40, 0x6},
		{"FETCH_FULL_Z_TILE", 0x4, 0x2},
		{"DEBUG_NOOP_CULL_DISABLE", 0x10000, 0x10},
		{"NEVER_FREE_Z_ONLY", 0x200000, 0x15},
		{"ZPASS_COUNTS_LOOK_AT_PIPE_STAT_EVENTS", 0x400000, 0x16}
	} },
	{"VGT_DEBUG_REG1", 0x1, {
		{"pi_vr_valid", 0x400, 0xa},
		{"pt_out_prim_valid", 0x400000, 0x16},
		{"SPARE11", 0x80000, 0x13},
		{"SPARE10", 0x200000, 0x15},
		{"SPARE12", 0x20000, 0x11},
		{"pt_out_indx_valid", 0x100000, 0x14},
		{"gog_out_prim_valid", 0x40000000, 0x1e},
		{"gs_pi_read", 0x8000000, 0x1b},
		{"vr_out_indx_valid", 0x10000, 0x10},
		{"te_grp_read", 0x8000, 0xf},
		{"te_out_data_valid", 0x1000000, 0x18},
		{"vr_out_prim_valid", 0x40000, 0x12},
		{"gog_out_indx_valid", 0x10000000, 0x1c},
		{"out_indx_read", 0x20000000, 0x1d},
		{"out_prim_read", 0x80000000, 0x1f},
		{"pi_gs_valid", 0x4000000, 0x1a},
		{"SPARE25", 0x2000000, 0x19},
		{"SPARE23", 0x800000, 0x17},
		{"pi_te_valid", 0x4000, 0xe},
		{"SPARE5", 0x10, 0x4},
		{"SPARE4", 0x20, 0x5},
		{"SPARE7", 0x4, 0x2},
		{"SPARE6", 0x8, 0x3},
		{"SPARE1", 0x100, 0x8},
		{"SPARE0", 0x200, 0x9},
		{"SPARE3", 0x40, 0x6},
		{"SPARE2", 0x80, 0x7},
		{"vr_pi_read", 0x800, 0xb},
		{"SPARE9", 0x1, 0x0},
		{"SPARE8", 0x2, 0x1},
		{"pi_pt_valid", 0x1000, 0xc},
		{"pt_pi_read", 0x2000, 0xd}
	} },
	{"SH_MEM_APE1_BASE", 0x230b, {
		{"BASE", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_2", 0x2c4e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_TTMP11", 0x27b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_TTMP10", 0x27a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CB_COLOR4_CLEAR_WORD1", 0xa360, {
		{"CLEAR_WORD1", 0xffffffff, 0x0}
	} },
	{"CB_COLOR4_CLEAR_WORD0", 0xa35f, {
		{"CLEAR_WORD0", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER0_LO", 0xd1c0, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_RB2_RPTR", 0x21be, {
		{"RB_RPTR", 0xfffff, 0x0}
	} },
	{"GDS_PERFCOUNTER3_LO", 0xd286, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_SU_DEBUG_CNTL", 0x2280, {
		{"SU_DEBUG_INDX", 0x1f, 0x0}
	} },
	{"CP_PFP_HEADER_DUMP", 0x21a2, {
		{"PFP_HEADER_DUMP", 0xffffffff, 0x0}
	} },
	{"RLC_SAFE_MODE", 0xec05, {
		{"RESERVED", 0xfffff000, 0xc},
		{"MESSAGE", 0x1e, 0x1},
		{"CMD", 0x1, 0x0},
		{"RESERVED1", 0xe0, 0x5},
		{"RESPONSE", 0xf00, 0x8}
	} },
	{"PA_CL_VPORT_ZSCALE_14", 0xa167, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_13", 0xa161, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_12", 0xa15b, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_11", 0xa155, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_ZSCALE_10", 0xa14f, {
		{"VPORT_ZSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_6", 0xa136, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_7", 0xa13c, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_4", 0xa12a, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_5", 0xa130, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_2", 0xa11e, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_3", 0xa124, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_1", 0xa118, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_8", 0xa142, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_9", 0xa148, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_10", 0xa14e, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_11", 0xa154, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_12", 0xa15a, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_13", 0xa160, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_14", 0xa166, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YOFFSET_15", 0xa16c, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER4_LO", 0xd1c8, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_0_BR", 0xa095, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"GDS_PS0_CTXSW_CNT3", 0x335a, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"PA_SC_VPORT_SCISSOR_11_BR", 0xa0ab, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CGTT_BCI_CLK_CTRL", 0xf082, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"CORE6_OVERRIDE", 0x1000000, 0x18},
		{"RESERVED", 0xfff000, 0xc},
		{"CORE5_OVERRIDE", 0x2000000, 0x19},
		{"CORE0_OVERRIDE", 0x40000000, 0x1e},
		{"CORE3_OVERRIDE", 0x8000000, 0x1b},
		{"CORE2_OVERRIDE", 0x10000000, 0x1c},
		{"CORE4_OVERRIDE", 0x4000000, 0x1a},
		{"REG_OVERRIDE", 0x80000000, 0x1f},
		{"CORE1_OVERRIDE", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"GRBM_DSM_BYPASS", 0x201e, {
		{"BYPASS_BITS", 0x3, 0x0},
		{"BYPASS_EN", 0x4, 0x2}
	} },
	{"CPG_PERFCOUNTER0_SELECT", 0xd802, {
		{"PERF_SEL1", 0xfc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3f, 0x0}
	} },
	{"TCP_WATCH1_ADDR_H", 0x32a3, {
		{"ADDR", 0xffff, 0x0}
	} },
	{"PA_SC_EDGERULE", 0xa08c, {
		{"ER_LINE_TB", 0xf000000, 0x18},
		{"ER_POINT", 0xf0, 0x4},
		{"ER_RECT", 0xf00, 0x8},
		{"ER_LINE_BT", 0xf0000000, 0x1c},
		{"ER_LINE_RL", 0xfc0000, 0x12},
		{"ER_TRI", 0xf, 0x0},
		{"ER_LINE_LR", 0x3f000, 0xc}
	} },
	{"CP_INT_STAT_DEBUG", 0x21f7, {
		{"TIME_STAMP_INT_ASSERTED", 0x4000000, 0x1a},
		{"CP_VM_DOORBELL_WR_INT_ASSERTED", 0x800, 0xb},
		{"CMP_BUSY_INT_ASSERTED", 0x40000, 0x12},
		{"RESERVED_BIT_ERROR_INT_ASSERTED", 0x8000000, 0x1b},
		{"WRM_POLL_TIMEOUT_INT_ASSERTED", 0x20000, 0x11},
		{"GENERIC2_INT_ASSERTED", 0x20000000, 0x1d},
		{"CNTX_BUSY_INT_ASSERTED", 0x80000, 0x13},
		{"CP_ECC_ERROR_INT_ASSERTED", 0x4000, 0xe},
		{"GENERIC1_INT_ASSERTED", 0x40000000, 0x1e},
		{"OPCODE_ERROR_INT_ASSERTED", 0x1000000, 0x18},
		{"PRIV_REG_INT_ASSERTED", 0x800000, 0x17},
		{"PRIV_INSTR_INT_ASSERTED", 0x400000, 0x16},
		{"CNTX_EMPTY_INT_ASSERTED", 0x100000, 0x14},
		{"GENERIC0_INT_ASSERTED", 0x80000000, 0x1f},
		{"GFX_IDLE_INT_ASSERTED", 0x200000, 0x15}
	} },
	{"CP_INT_CNTL_RING2", 0x306c, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"GFX_IDLE_INT_ENABLE", 0x200000, 0x15},
		{"CNTX_EMPTY_INT_ENABLE", 0x100000, 0x14},
		{"CP_VM_DOORBELL_WR_INT_ENABLE", 0x800, 0xb},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"CMP_BUSY_INT_ENABLE", 0x40000, 0x12},
		{"CNTX_BUSY_INT_ENABLE", 0x80000, 0x13},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"PRIV_INSTR_INT_ENABLE", 0x400000, 0x16},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"CP_INT_CNTL_RING1", 0x306b, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"GFX_IDLE_INT_ENABLE", 0x200000, 0x15},
		{"CNTX_EMPTY_INT_ENABLE", 0x100000, 0x14},
		{"CP_VM_DOORBELL_WR_INT_ENABLE", 0x800, 0xb},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"CMP_BUSY_INT_ENABLE", 0x40000, 0x12},
		{"CNTX_BUSY_INT_ENABLE", 0x80000, 0x13},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"PRIV_INSTR_INT_ENABLE", 0x400000, 0x16},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"CP_SC_PSINVOC_COUNT1_LO", 0xc02e, {
		{"OBSOLETE", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_UCODE_DATA", 0xf83d, {
		{"UCODE_DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPU_IOV_RLC_RESPONSE", 0xfb4d, {
		{"RESP", 0xffffffff, 0x0}
	} },
	{"CP_MEC_DOORBELL_RANGE_LOWER", 0x305c, {
		{"DOORBELL_RANGE_LOWER", 0x7ffffc, 0x2}
	} },
	{"PA_CL_VS_OUT_CNTL", 0xa207, {
		{"CULL_DIST_ENA_6", 0x4000, 0xe},
		{"CULL_DIST_ENA_7", 0x8000, 0xf},
		{"CULL_DIST_ENA_4", 0x1000, 0xc},
		{"CULL_DIST_ENA_5", 0x2000, 0xd},
		{"CULL_DIST_ENA_2", 0x400, 0xa},
		{"CULL_DIST_ENA_3", 0x800, 0xb},
		{"CULL_DIST_ENA_0", 0x100, 0x8},
		{"CULL_DIST_ENA_1", 0x200, 0x9},
		{"VS_OUT_CCDIST1_VEC_ENA", 0x800000, 0x17},
		{"VS_OUT_MISC_VEC_ENA", 0x200000, 0x15},
		{"VS_OUT_CCDIST0_VEC_ENA", 0x400000, 0x16},
		{"USE_VTX_VIEWPORT_INDX", 0x80000, 0x13},
		{"USE_VTX_LINE_WIDTH", 0x4000000, 0x1a},
		{"USE_VTX_EDGE_FLAG", 0x20000, 0x11},
		{"USE_VTX_POINT_SIZE", 0x10000, 0x10},
		{"VS_OUT_MISC_SIDE_BUS_ENA", 0x1000000, 0x18},
		{"USE_VTX_RENDER_TARGET_INDX", 0x40000, 0x12},
		{"USE_VTX_KILL_FLAG", 0x100000, 0x14},
		{"CLIP_DIST_ENA_0", 0x1, 0x0},
		{"CLIP_DIST_ENA_1", 0x2, 0x1},
		{"CLIP_DIST_ENA_2", 0x4, 0x2},
		{"CLIP_DIST_ENA_3", 0x8, 0x3},
		{"CLIP_DIST_ENA_4", 0x10, 0x4},
		{"CLIP_DIST_ENA_5", 0x20, 0x5},
		{"CLIP_DIST_ENA_6", 0x40, 0x6},
		{"CLIP_DIST_ENA_7", 0x80, 0x7},
		{"USE_VTX_GS_CUT_FLAG", 0x2000000, 0x19}
	} },
	{"SH_MEM_CONFIG", 0x230d, {
		{"ALIGNMENT_MODE", 0x18, 0x3},
		{"APE1_MTYPE", 0x700, 0x8},
		{"PRIVATE_ATC", 0x4, 0x2},
		{"ADDRESS_MODE", 0x3, 0x0},
		{"DEFAULT_MTYPE", 0xe0, 0x5},
		{"APE1_ATC", 0x800, 0xb}
	} },
	{"COMPUTE_DIM_X", 0x2e01, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"COMPUTE_DIM_Y", 0x2e02, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"COMPUTE_DIM_Z", 0x2e03, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"SQ_DEBUG_STS_GLOBAL", 0x2309, {
		{"WAVE_LEVEL_SH0", 0xfff0, 0x4},
		{"INTERRUPT_MSG_BUSY", 0x2, 0x1},
		{"BUSY", 0x1, 0x0},
		{"WAVE_LEVEL_SH1", 0xfff0000, 0x10}
	} },
	{"CP_VMID_RESET", 0x30b3, {
		{"RESET_STATUS", 0xffff0000, 0x10},
		{"RESET_REQUEST", 0xffff, 0x0}
	} },
	{"DB_PERFCOUNTER2_LO", 0xd444, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER8_HI", 0xd1d1, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CB_COLOR5_PITCH", 0xa364, {
		{"FMASK_TILE_MAX", 0x7ff00000, 0x14},
		{"TILE_MAX", 0x7ff, 0x0}
	} },
	{"SPI_SHADER_TMA_HI_HS", 0x2d03, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_10", 0xa14d, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_11", 0xa153, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_12", 0xa159, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_13", 0xa15f, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_14", 0xa165, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"PA_CL_VPORT_YSCALE_15", 0xa16b, {
		{"VPORT_YSCALE", 0xffffffff, 0x0}
	} },
	{"CGTS_CU7_LDS_SQ_CTRL_REG", 0xf02c, {
		{"LDS_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"LDS_OVERRIDE", 0x80, 0x7},
		{"SQ_OVERRIDE", 0x800000, 0x17},
		{"SQ_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SQ", 0x7f0000, 0x10},
		{"SQ_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"LDS", 0x7f, 0x0},
		{"SQ_LS_OVERRIDE", 0x4000000, 0x1a},
		{"LDS_LS_OVERRIDE", 0x400, 0xa},
		{"LDS_BUSY_OVERRIDE", 0x300, 0x8}
	} },
	{"GDS_EDC_OA_DED", 0x25c7, {
		{"ME2_PIPE0_DED", 0x100, 0x8},
		{"ME0_GFXHP3D_VTX_DED", 0x2, 0x1},
		{"ME2_PIPE2_DED", 0x400, 0xa},
		{"ME1_PIPE2_DED", 0x40, 0x6},
		{"ME2_PIPE3_DED", 0x800, 0xb},
		{"UNUSED1", 0xfffff000, 0xc},
		{"ME1_PIPE1_DED", 0x20, 0x5},
		{"UNUSED0", 0x8, 0x3},
		{"ME0_GFXHP3D_PIX_DED", 0x1, 0x0},
		{"ME0_CS_DED", 0x4, 0x2},
		{"ME1_PIPE0_DED", 0x10, 0x4},
		{"ME1_PIPE3_DED", 0x80, 0x7},
		{"ME2_PIPE1_DED", 0x200, 0x9}
	} },
	{"CP_IQ_WAIT_TIME2", 0x30b0, {
		{"DEQ_RETRY", 0xff000000, 0x18},
		{"QUE_SLEEP", 0xff, 0x0},
		{"SCH_WAVE", 0xff00, 0x8},
		{"SEM_REARM", 0xff0000, 0x10}
	} },
	{"CP_STQ_STAT", 0x21e3, {
		{"STQ_RPTR", 0x3ff, 0x0}
	} },
	{"CP_IQ_WAIT_TIME1", 0x30af, {
		{"ATOMIC_OFFLOAD", 0xff00, 0x8},
		{"IB_OFFLOAD", 0xff, 0x0},
		{"GWS", 0xff000000, 0x18},
		{"WRM_OFFLOAD", 0xff0000, 0x10}
	} },
	{"CP_CE_COMPLETION_STATUS", 0xc0ed, {
		{"STATUS", 0x3, 0x0}
	} },
	{"SX_MRT2_BLEND_OPT", 0xa1da, {
		{"COLOR_SRC_OPT", 0x7, 0x0},
		{"ALPHA_SRC_OPT", 0x70000, 0x10},
		{"COLOR_DST_OPT", 0x70, 0x4},
		{"ALPHA_DST_OPT", 0x700000, 0x14},
		{"COLOR_COMB_FCN", 0x700, 0x8},
		{"ALPHA_COMB_FCN", 0x7000000, 0x18}
	} },
	{"CB_COLOR0_SLICE", 0xa31a, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"PA_SU_POLY_OFFSET_FRONT_SCALE", 0xa2e0, {
		{"SCALE", 0xffffffff, 0x0}
	} },
	{"TCP_CNTL", 0x2b02, {
		{"FORCE_MISS", 0x2, 0x1},
		{"FORCE_EOW_TOTAL_CNT", 0x1f8000, 0xf},
		{"L1_SIZE", 0xc, 0x2},
		{"FORCE_HIT", 0x1, 0x0},
		{"FORCE_EOW_TAGRAM_CNT", 0xfc00000, 0x16},
		{"FLAT_BUF_CACHE_SWIZZLE", 0x20, 0x5},
		{"FLAT_BUF_HASH_ENABLE", 0x10, 0x4},
		{"DISABLE_Z_MAP", 0x10000000, 0x1c},
		{"INV_ALL_VMIDS", 0x20000000, 0x1d}
	} },
	{"SQ_PERFCOUNTER11_LO", 0xd1d6, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER2_SELECT", 0xd943, {
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_1_BR", 0xa097, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"TC_CFG_L2_STORE_POLICY1", 0x2b20, {
		{"POLICY_25", 0xc0000, 0x12},
		{"POLICY_17", 0xc, 0x2},
		{"POLICY_16", 0x3, 0x0},
		{"POLICY_28", 0x3000000, 0x18},
		{"POLICY_29", 0xc000000, 0x1a},
		{"POLICY_26", 0x300000, 0x14},
		{"POLICY_27", 0xc00000, 0x16},
		{"POLICY_19", 0xc0, 0x6},
		{"POLICY_18", 0x30, 0x4},
		{"POLICY_22", 0x3000, 0xc},
		{"POLICY_23", 0xc000, 0xe},
		{"POLICY_20", 0x300, 0x8},
		{"POLICY_21", 0xc00, 0xa},
		{"POLICY_30", 0x30000000, 0x1c},
		{"POLICY_31", 0xc0000000, 0x1e},
		{"POLICY_24", 0x30000, 0x10}
	} },
	{"TC_CFG_L2_STORE_POLICY0", 0x2b1f, {
		{"POLICY_13", 0xc000000, 0x1a},
		{"POLICY_12", 0x3000000, 0x18},
		{"POLICY_11", 0xc00000, 0x16},
		{"POLICY_10", 0x300000, 0x14},
		{"POLICY_15", 0xc0000000, 0x1e},
		{"POLICY_14", 0x30000000, 0x1c},
		{"POLICY_7", 0xc000, 0xe},
		{"POLICY_6", 0x3000, 0xc},
		{"POLICY_5", 0xc00, 0xa},
		{"POLICY_4", 0x300, 0x8},
		{"POLICY_3", 0xc0, 0x6},
		{"POLICY_2", 0x30, 0x4},
		{"POLICY_1", 0xc, 0x2},
		{"POLICY_0", 0x3, 0x0},
		{"POLICY_9", 0xc0000, 0x12},
		{"POLICY_8", 0x30000, 0x10}
	} },
	{"SPI_SHADER_USER_DATA_HS_7", 0x2d13, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"TCP_ADDR_CONFIG", 0x2b05, {
		{"RB_SPLIT_COLHI", 0x200, 0x9},
		{"NUM_TCC_BANKS", 0xf, 0x0},
		{"NUM_BANKS", 0x30, 0x4},
		{"COLHI_WIDTH", 0x1c0, 0x6}
	} },
	{"COMPUTE_MISC_RESERVED", 0x2e1f, {
		{"RESERVED4", 0x10, 0x4},
		{"WAVE_ID_BASE", 0x1ffe0, 0x5},
		{"RESERVED2", 0x4, 0x2},
		{"RESERVED3", 0x8, 0x3},
		{"SEND_SEID", 0x3, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_1", 0x2d0d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"VGT_STRMOUT_DRAW_OPAQUE_OFFSET", 0xa2ca, {
		{"OFFSET", 0xffffffff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER1_LO", 0xd142, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"TCA_PERFCOUNTER0_SELECT1", 0xdb91, {
		{"PERF_MODE2", 0xf000000, 0x18},
		{"PERF_MODE3", 0xf0000000, 0x1c},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"RLC_GPM_DEBUG", 0xec21, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_STREAM_OUT_ADDR_HI", 0xc007, {
		{"STREAM_OUT_ADDR_HI", 0xffff, 0x0}
	} },
	{"GDS_ATOM_CNTL", 0xc40a, {
		{"DMODE", 0x300, 0x8},
		{"UNUSED2", 0xfffffc00, 0xa},
		{"UNUSED1", 0xc0, 0x6},
		{"AINC", 0x3f, 0x0}
	} },
	{"GDS_OA_ADDRESS", 0xc41f, {
		{"DS_ADDRESS", 0xffff, 0x0},
		{"ENABLE", 0x80000000, 0x1f},
		{"UNUSED", 0x3fc00000, 0x16},
		{"CRAWLER_TYPE", 0x300000, 0x14},
		{"CRAWLER", 0xf0000, 0x10},
		{"NO_ALLOC", 0x40000000, 0x1e}
	} },
	{"GDS_ATOM_READ0_U", 0xc417, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_CP_RESPONSE3", 0xeca8, {
		{"RESPONSE", 0xffffffff, 0x0}
	} },
	{"RLC_CP_RESPONSE2", 0xeca7, {
		{"RESPONSE", 0xffffffff, 0x0}
	} },
	{"RLC_CP_RESPONSE1", 0xeca6, {
		{"RESPONSE", 0xffffffff, 0x0}
	} },
	{"RLC_CP_RESPONSE0", 0xeca5, {
		{"RESPONSE", 0xffffffff, 0x0}
	} },
	{"CGTT_SC_CLK_CTRL", 0xf089, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"DB_PERFCOUNTER0_LO", 0xd440, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"VGT_EVENT_ADDRESS_REG", 0xa1fe, {
		{"ADDRESS_LOW", 0xfffffff, 0x0}
	} },
	{"RLC_LB_INIT_CU_MASK", 0xec4f, {
		{"INIT_CU_MASK", 0xffffffff, 0x0}
	} },
	{"VGT_ESGS_RING_ITEMSIZE", 0xa2ab, {
		{"ITEMSIZE", 0x7fff, 0x0}
	} },
	{"TCC_PERFCOUNTER2_LO", 0xd384, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CGTT_VGT_CLK_CTRL", 0xf084, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"PERF_ENABLE", 0x2000000, 0x19},
		{"CORE_OVERRIDE", 0x40000000, 0x1e},
		{"GS_OVERRIDE", 0x20000000, 0x1d},
		{"DBG_ENABLE", 0x4000000, 0x1a},
		{"REG_OVERRIDE", 0x80000000, 0x1f},
		{"TESS_OVERRIDE", 0x10000000, 0x1c},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CP_ME1_PIPE3_INT_STATUS", 0x3090, {
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"DEQUEUE_REQUEST_INT_STATUS", 0x2000, 0xd},
		{"GENERIC0_INT_STATUS", 0x80000000, 0x1f},
		{"GENERIC1_INT_STATUS", 0x40000000, 0x1e},
		{"WRM_POLL_TIMEOUT_INT_STATUS", 0x20000, 0x11},
		{"RESERVED_BIT_ERROR_INT_STATUS", 0x8000000, 0x1b},
		{"CP_ECC_ERROR_INT_STATUS", 0x4000, 0xe},
		{"CMP_QUERY_STATUS_INT_STATUS", 0x1000, 0xc},
		{"TIME_STAMP_INT_STATUS", 0x4000000, 0x1a},
		{"PRIV_REG_INT_STATUS", 0x800000, 0x17},
		{"GENERIC2_INT_STATUS", 0x20000000, 0x1d},
		{"OPCODE_ERROR_INT_STATUS", 0x1000000, 0x18}
	} },
	{"WD_DEBUG_CNTL", 0x223d, {
		{"WD_DEBUG_INDX", 0x3f, 0x0},
		{"WD_DEBUG_SEL_BUS_B", 0x40, 0x6}
	} },
	{"CP_HQD_VMID", 0x3248, {
		{"VQID", 0x3ff0000, 0x10},
		{"IB_VMID", 0xf00, 0x8},
		{"VMID", 0xf, 0x0}
	} },
	{"SQ_PERFCOUNTER12_SELECT", 0xd9cc, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"SPI_SHADER_PGM_LO_VS", 0x2c48, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"CP_ECC_FIRSTOCCURRENCE", 0x307a, {
		{"ME", 0x300, 0x8},
		{"PIPE", 0xc00, 0xa},
		{"VMID", 0xf0000, 0x10},
		{"QUEUE", 0x7000, 0xc},
		{"CLIENT", 0xf0, 0x4},
		{"INTERFACE", 0x3, 0x0}
	} },
	{"CP_HQD_PQ_RPTR_REPORT_ADDR", 0x3250, {
		{"RPTR_REPORT_ADDR", 0xfffffffc, 0x2}
	} },
	{"SPI_SHADER_TBA_HI_LS", 0x2d41, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"SPI_PERFCOUNTER3_SELECT", 0xd983, {
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"VGT_TF_RING_SIZE", 0xc24e, {
		{"SIZE", 0xffff, 0x0}
	} },
	{"GDS_OA_INCDEC", 0xc420, {
		{"INCDEC", 0x80000000, 0x1f},
		{"VALUE", 0x7fffffff, 0x0}
	} },
	{"PA_SC_P3D_TRAP_SCREEN_OCCURRENCE", 0xc2a3, {
		{"COUNT", 0xffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_WAVE_START", 0x23b0, {
		{"VS_NO_ALLOC_OR_GROUPED", 0x200000, 0x15},
		{"COUNT", 0x1fc00000, 0x16},
		{"SH_ID", 0x20, 0x5},
		{"TG_ID", 0xe0000000, 0x1d},
		{"TOKEN_TYPE", 0xf, 0x0},
		{"SIMD_ID", 0xc000, 0xe},
		{"TIME_DELTA", 0x10, 0x4},
		{"CU_ID", 0x3c0, 0x6},
		{"WAVE_ID", 0x3c00, 0xa},
		{"DISPATCHER", 0x1f0000, 0x10}
	} },
	{"IA_DEBUG_CNTL", 0x223a, {
		{"IA_DEBUG_INDX", 0x3f, 0x0},
		{"IA_DEBUG_SEL_BUS_B", 0x40, 0x6}
	} },
	{"GRBM_SE2_PERFCOUNTER_SELECT", 0xd844, {
		{"SC_BUSY_USER_DEFINED_MASK", 0x10000, 0x10},
		{"VGT_BUSY_USER_DEFINED_MASK", 0x80000, 0x13},
		{"DB_CLEAN_USER_DEFINED_MASK", 0x400, 0xa},
		{"BCI_BUSY_USER_DEFINED_MASK", 0x200000, 0x15},
		{"DB_BUSY_USER_DEFINED_MASK", 0x20000, 0x11},
		{"SPI_BUSY_USER_DEFINED_MASK", 0x8000, 0xf},
		{"TA_BUSY_USER_DEFINED_MASK", 0x1000, 0xc},
		{"PA_BUSY_USER_DEFINED_MASK", 0x100000, 0x14},
		{"PERF_SEL", 0x3f, 0x0},
		{"CB_BUSY_USER_DEFINED_MASK", 0x40000, 0x12},
		{"SX_BUSY_USER_DEFINED_MASK", 0x2000, 0xd},
		{"CB_CLEAN_USER_DEFINED_MASK", 0x800, 0xb}
	} },
	{"SPI_PS_INPUT_CNTL_11", 0xa19c, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"CP_PFP_GDS_ATOMIC0_PREOP_LO", 0xc054, {
		{"GDS_ATOMIC0_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR6_DCC_BASE", 0xa37f, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"COMPUTE_WAVE_RESTORE_ADDR_LO", 0x2e23, {
		{"ADDR", 0xffffffff, 0x0}
	} },
	{"GDS_OA_RING_SIZE", 0xc421, {
		{"RING_SIZE", 0xffffffff, 0x0}
	} },
	{"TCP_CREDIT", 0x2b06, {
		{"REQ_FIFO_CREDIT", 0x7f0000, 0x10},
		{"TD_CREDIT", 0xe0000000, 0x1d},
		{"LFIFO_CREDIT", 0x3ff, 0x0}
	} },
	{"SX_PERFCOUNTER0_SELECT", 0xda40, {
		{"PERFCOUNTER_SELECT", 0x3ff, 0x0},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERFCOUNTER_SELECT1", 0xffc00, 0xa}
	} },
	{"GDS_GWS_VMID14", 0x332e, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID15", 0x332f, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"SPI_SHADER_TBA_LO_LS", 0x2d40, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"GDS_GWS_VMID13", 0x332d, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID10", 0x332a, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"GDS_GWS_VMID11", 0x332b, {
		{"BASE", 0x3f, 0x0},
		{"SIZE", 0x7f0000, 0x10}
	} },
	{"CP_CONTEXT_CNTL", 0x30ad, {
		{"ME0PIPE0_MAX_PIPE_CNTX", 0x70, 0x4},
		{"ME0PIPE0_MAX_WD_CNTX", 0x7, 0x0},
		{"ME0PIPE1_MAX_WD_CNTX", 0x70000, 0x10},
		{"ME0PIPE1_MAX_PIPE_CNTX", 0x700000, 0x14}
	} },
	{"VGT_GROUP_FIRST_DECR", 0xa28a, {
		{"FIRST_DECR", 0xf, 0x0}
	} },
	{"CB_COLOR2_CMASK", 0xa33d, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC2_LS_ES", 0x2cfd, {
		{"USER_SGPR", 0x3e, 0x1},
		{"SCRATCH_EN", 0x1, 0x0},
		{"EXCP_EN", 0x1ff0000, 0x10},
		{"LDS_SIZE", 0xff80, 0x7},
		{"TRAP_PRESENT", 0x40, 0x6}
	} },
	{"CPC_PERFCOUNTER0_SELECT", 0xd809, {
		{"PERF_SEL1", 0xfc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3f, 0x0}
	} },
	{"CB_PERFCOUNTER_FILTER", 0xdc00, {
		{"CLEAR_FILTER_ENABLE", 0x400, 0xa},
		{"OP_FILTER_ENABLE", 0x1, 0x0},
		{"NUM_SAMPLES_FILTER_SEL", 0x1c0000, 0x12},
		{"MRT_FILTER_SEL", 0xe000, 0xd},
		{"NUM_FRAGMENTS_FILTER_SEL", 0xc00000, 0x16},
		{"NUM_SAMPLES_FILTER_ENABLE", 0x20000, 0x11},
		{"CLEAR_FILTER_SEL", 0x800, 0xb},
		{"OP_FILTER_SEL", 0xe, 0x1},
		{"NUM_FRAGMENTS_FILTER_ENABLE", 0x200000, 0x15},
		{"FORMAT_FILTER_ENABLE", 0x10, 0x4},
		{"FORMAT_FILTER_SEL", 0x3e0, 0x5},
		{"MRT_FILTER_ENABLE", 0x1000, 0xc}
	} },
	{"CP_DFY_ADDR_HI", 0x3022, {
		{"ADDR_HI", 0xffffffff, 0x0}
	} },
	{"GDS_VS_CTXSW_CNT0", 0x3353, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"CP_DE_CE_COUNT", 0x20c2, {
		{"CONST_ENGINE_COUNT", 0xffffffff, 0x0}
	} },
	{"CB_COLOR5_BASE", 0xa363, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_13", 0x2c59, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_12", 0x2c58, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_11", 0x2c57, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_10", 0x2c56, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_VGT_GSPRIM_COUNT_HI", 0xc01f, {
		{"GSPRIM_COUNT_HI", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_15", 0x2c5b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_14", 0x2c5a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_RB_VMID", 0x3051, {
		{"RB1_VMID", 0xf00, 0x8},
		{"RB2_VMID", 0xf0000, 0x10},
		{"RB0_VMID", 0xf, 0x0}
	} },
	{"PA_SC_PERFCOUNTER7_HI", 0xd14f, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_DRAW_OBJECT", 0xd810, {
		{"OBJECT", 0xffffffff, 0x0}
	} },
	{"RLC_RLCV_COMMAND", 0xec0a, {
		{"CMD", 0xf, 0x0},
		{"RESERVED", 0xfffffff0, 0x4}
	} },
	{"CGTT_SX_CLK_CTRL4", 0xf098, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"RESERVED", 0xfff000, 0xc},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"DBG_EN", 0x1000000, 0x18},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CP_IB2_OFFSET", 0xc093, {
		{"IB2_OFFSET", 0xfffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_PERF_MASK", 0xc334, {
		{"SH1_MASK", 0xffff0000, 0x10},
		{"SH0_MASK", 0xffff, 0x0}
	} },
	{"CP_ME_MC_RADDR_LO", 0xc06d, {
		{"ME_MC_RADDR_LO", 0xfffffffc, 0x2},
		{"ME_MC_RADDR_SWAP", 0x3, 0x0}
	} },
	{"CB_COLOR4_DCC_CONTROL", 0xa35a, {
		{"OVERWRITE_COMBINER_DISABLE", 0x1, 0x0},
		{"KEY_CLEAR_ENABLE", 0x2, 0x1},
		{"MAX_UNCOMPRESSED_BLOCK_SIZE", 0xc, 0x2},
		{"LOSSY_ALPHA_PRECISION", 0x3c000, 0xe},
		{"INDEPENDENT_64B_BLOCKS", 0x200, 0x9},
		{"COLOR_TRANSFORM", 0x180, 0x7},
		{"LOSSY_RGB_PRECISION", 0x3c00, 0xa},
		{"MAX_COMPRESSED_BLOCK_SIZE", 0x60, 0x5},
		{"MIN_COMPRESSED_BLOCK_SIZE", 0x10, 0x4}
	} },
	{"PA_CL_VPORT_YOFFSET", 0xa112, {
		{"VPORT_YOFFSET", 0xffffffff, 0x0}
	} },
	{"RLC_SMU_SAFE_MODE", 0xec09, {
		{"RESERVED", 0xfffff000, 0xc},
		{"MESSAGE", 0x1e, 0x1},
		{"CMD", 0x1, 0x0},
		{"RESERVED1", 0xe0, 0x5},
		{"RESPONSE", 0xf00, 0x8}
	} },
	{"GDS_OA_VMID7", 0x3337, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"SQ_PERFCOUNTER10_SELECT", 0xd9ca, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_LS_13", 0x2d59, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_PA_CINVOC_COUNT_LO", 0xc028, {
		{"CINVOC_COUNT_LO", 0xffffffff, 0x0}
	} },
	{"VGT_GROUP_VECT_0_FMT_CNTL", 0xa28e, {
		{"Z_CONV", 0xf0000, 0x10},
		{"W_OFFSET", 0xf0000000, 0x1c},
		{"Z_OFFSET", 0xf00000, 0x14},
		{"W_CONV", 0xf000000, 0x18},
		{"Y_OFFSET", 0xf000, 0xc},
		{"X_OFFSET", 0xf0, 0x4},
		{"Y_CONV", 0xf00, 0x8},
		{"X_CONV", 0xf, 0x0}
	} },
	{"CB_PERFCOUNTER2_LO", 0xd40a, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"VGT_GROUP_VECT_1_CNTL", 0xa28d, {
		{"COMP_Y_EN", 0x2, 0x1},
		{"SHIFT", 0xff0000, 0x10},
		{"COMP_W_EN", 0x8, 0x3},
		{"STRIDE", 0xff00, 0x8},
		{"COMP_Z_EN", 0x4, 0x2},
		{"COMP_X_EN", 0x1, 0x0}
	} },
	{"SX_MRT6_BLEND_OPT", 0xa1de, {
		{"COLOR_SRC_OPT", 0x7, 0x0},
		{"ALPHA_SRC_OPT", 0x70000, 0x10},
		{"COLOR_DST_OPT", 0x70, 0x4},
		{"ALPHA_DST_OPT", 0x700000, 0x14},
		{"COLOR_COMB_FCN", 0x700, 0x8},
		{"ALPHA_COMB_FCN", 0x7000000, 0x18}
	} },
	{"COHER_DEST_BASE_2", 0xa07e, {
		{"DEST_BASE_256B", 0xffffffff, 0x0}
	} },
	{"COHER_DEST_BASE_3", 0xa07f, {
		{"DEST_BASE_256B", 0xffffffff, 0x0}
	} },
	{"COHER_DEST_BASE_0", 0xa092, {
		{"DEST_BASE_256B", 0xffffffff, 0x0}
	} },
	{"COHER_DEST_BASE_1", 0xa093, {
		{"DEST_BASE_256B", 0xffffffff, 0x0}
	} },
	{"SPI_CDBG_SYS_CS0", 0x31c5, {
		{"PIPE1", 0xff00, 0x8},
		{"PIPE0", 0xff, 0x0},
		{"PIPE3", 0xff000000, 0x18},
		{"PIPE2", 0xff0000, 0x10}
	} },
	{"SPI_CDBG_SYS_CS1", 0x31c6, {
		{"PIPE1", 0xff00, 0x8},
		{"PIPE0", 0xff, 0x0},
		{"PIPE3", 0xff000000, 0x18},
		{"PIPE2", 0xff0000, 0x10}
	} },
	{"SPI_SHADER_USER_DATA_VS_1", 0x2c4d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_0", 0x2c4c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_7", 0x2c53, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_6", 0x2c52, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_5", 0x2c51, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_4", 0x2c50, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CPF_PERFCOUNTER0_SELECT1", 0xd806, {
		{"PERF_SEL3", 0xfc00, 0xa},
		{"PERF_SEL2", 0x3f, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_9", 0x2c55, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_VS_8", 0x2c54, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER5_LO", 0xd14a, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER6_HI", 0xd1cd, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CGTS_CU8_TD_TCP_CTRL_REG", 0xf034, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"CPF_PERFCOUNTER0_HI", 0xd00b, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"GRBM_DEBUG_SNAPSHOT", 0x2015, {
		{"SE3SPI_ME0PIPE1_RDY1", 0x200000, 0x15},
		{"SE3SPI_ME0PIPE1_RDY0", 0x2000, 0xd},
		{"SE0SPI_ME0PIPE0_RDY1", 0x4000, 0xe},
		{"SE0SPI_ME0PIPE0_RDY0", 0x40, 0x6},
		{"CPG_RDY", 0x2, 0x1},
		{"SRBM_RDY", 0x4, 0x2},
		{"SE2SPI_ME0PIPE0_RDY0", 0x400, 0xa},
		{"CPF_RDY", 0x1, 0x0},
		{"WD_ME0PIPE1_RDY", 0x10, 0x4},
		{"SE1SPI_ME0PIPE0_RDY0", 0x100, 0x8},
		{"SE1SPI_ME0PIPE0_RDY1", 0x10000, 0x10},
		{"SE2SPI_ME0PIPE0_RDY1", 0x40000, 0x12},
		{"GDS_RDY", 0x20, 0x5},
		{"SE1SPI_ME0PIPE1_RDY1", 0x20000, 0x11},
		{"SE1SPI_ME0PIPE1_RDY0", 0x200, 0x9},
		{"SE2SPI_ME0PIPE1_RDY0", 0x800, 0xb},
		{"SE2SPI_ME0PIPE1_RDY1", 0x80000, 0x13},
		{"WD_ME0PIPE0_RDY", 0x8, 0x3},
		{"SE3SPI_ME0PIPE0_RDY0", 0x1000, 0xc},
		{"SE3SPI_ME0PIPE0_RDY1", 0x100000, 0x14},
		{"SE0SPI_ME0PIPE1_RDY0", 0x80, 0x7},
		{"SE0SPI_ME0PIPE1_RDY1", 0x8000, 0xf}
	} },
	{"DB_STENCILREFMASK", 0xa10c, {
		{"STENCILOPVAL", 0xff000000, 0x18},
		{"STENCILTESTVAL", 0xff, 0x0},
		{"STENCILWRITEMASK", 0xff0000, 0x10},
		{"STENCILMASK", 0xff00, 0x8}
	} },
	{"CP_IB1_BASE_HI", 0xc0cd, {
		{"IB1_BASE_HI", 0xffff, 0x0}
	} },
	{"GDS_VMID12_BASE", 0x3318, {
		{"BASE", 0xffff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER3_LO", 0xd146, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"DB_PERFCOUNTER0_SELECT1", 0xdc41, {
		{"PERF_MODE2", 0xf0000000, 0x1c},
		{"PERF_MODE3", 0xf000000, 0x18},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"SQ_VOP_SDWA", 0x237f, {
		{"CLAMP", 0x2000, 0xd},
		{"SRC1_NEG", 0x10000000, 0x1c},
		{"DST_SEL", 0x700, 0x8},
		{"SRC0_NEG", 0x100000, 0x14},
		{"SRC1_SEL", 0x7000000, 0x18},
		{"SRC0", 0xff, 0x0},
		{"SRC0_SEXT", 0x80000, 0x13},
		{"SRC1_ABS", 0x20000000, 0x1d},
		{"SRC1_SEXT", 0x8000000, 0x1b},
		{"DST_UNUSED", 0x1800, 0xb},
		{"SRC0_ABS", 0x200000, 0x15},
		{"SRC0_SEL", 0x70000, 0x10}
	} },
	{"CP_IB1_PREAMBLE_END", 0xc095, {
		{"IB1_PREAMBLE_END", 0xfffff, 0x0}
	} },
	{"SQ_SOP2", 0x237f, {
		{"SSRC0", 0xff, 0x0},
		{"SSRC1", 0xff00, 0x8},
		{"ENCODING", 0xc0000000, 0x1e},
		{"SDST", 0x7f0000, 0x10},
		{"OP", 0x3f800000, 0x17}
	} },
	{"GDS_RD_BURST_COUNT", 0xc403, {
		{"BURST_COUNT", 0xffffffff, 0x0}
	} },
	{"SQ_SOP1", 0x237f, {
		{"SSRC0", 0xff, 0x0},
		{"ENCODING", 0xff800000, 0x17},
		{"SDST", 0x7f0000, 0x10},
		{"OP", 0xff00, 0x8}
	} },
	{"GRBM_SOFT_RESET", 0x2008, {
		{"SOFT_RESET_CP", 0x1, 0x0},
		{"SOFT_RESET_GFX", 0x10000, 0x10},
		{"SOFT_RESET_CPC", 0x40000, 0x12},
		{"SOFT_RESET_RLC", 0x4, 0x2},
		{"SOFT_RESET_CPF", 0x20000, 0x11},
		{"SOFT_RESET_CPG", 0x80000, 0x13},
		{"SOFT_RESET_CAC", 0x100000, 0x14}
	} },
	{"DB_ZPASS_COUNT_HI", 0xc3ff, {
		{"COUNT_HI", 0x7fffffff, 0x0}
	} },
	{"TCC_EXE_DISABLE", 0x2b84, {
		{"EXE_DISABLE", 0x2, 0x1}
	} },
	{"CB_COLOR4_CMASK_SLICE", 0xa35c, {
		{"TILE_MAX", 0x3fff, 0x0}
	} },
	{"CB_PERFCOUNTER0_HI", 0xd407, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_ME2_PIPE_PRIORITY_CNTS", 0x309e, {
		{"PRIORITY1_CNT", 0xff, 0x0},
		{"PRIORITY2A_CNT", 0xff00, 0x8},
		{"PRIORITY2B_CNT", 0xff0000, 0x10},
		{"PRIORITY3_CNT", 0xff000000, 0x18}
	} },
	{"GDS_OA_VMID15", 0x333f, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_OA_VMID10", 0x333a, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_OA_VMID11", 0x333b, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_OA_VMID12", 0x333c, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_OA_VMID13", 0x333d, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"RLC_SRM_DEBUG_SELECT", 0xec81, {
		{"RESERVED", 0xffffff00, 0x8},
		{"SELECT", 0xff, 0x0}
	} },
	{"RLC_CAPTURE_GPU_CLOCK_COUNT", 0xec26, {
		{"CAPTURE", 0x1, 0x0},
		{"RESERVED", 0xfffffffe, 0x1}
	} },
	{"PA_SU_LINE_STIPPLE_SCALE", 0xa20a, {
		{"LINE_STIPPLE_SCALE", 0xffffffff, 0x0}
	} },
	{"CP_RB2_RPTR_ADDR_HI", 0x3068, {
		{"RB_RPTR_ADDR_HI", 0xffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_EVENT", 0x23b0, {
		{"TOKEN_TYPE", 0xf, 0x0},
		{"EVENT_TYPE", 0xfc00, 0xa},
		{"SH_ID", 0x20, 0x5},
		{"TIME_DELTA", 0x10, 0x4},
		{"STAGE", 0x1c0, 0x6}
	} },
	{"GDS_OA_VMID14", 0x333e, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"SX_MRT4_BLEND_OPT", 0xa1dc, {
		{"COLOR_SRC_OPT", 0x7, 0x0},
		{"ALPHA_SRC_OPT", 0x70000, 0x10},
		{"COLOR_DST_OPT", 0x70, 0x4},
		{"ALPHA_DST_OPT", 0x700000, 0x14},
		{"COLOR_COMB_FCN", 0x700, 0x8},
		{"ALPHA_COMB_FCN", 0x7000000, 0x18}
	} },
	{"SQ_PERFCOUNTER14_SELECT", 0xd9ce, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"RLC_GPM_SCRATCH_ADDR", 0xec6c, {
		{"RESERVED", 0xfffffe00, 0x9},
		{"ADDR", 0x1ff, 0x0}
	} },
	{"GDS_OA_VMID1", 0x3331, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_VMID8_SIZE", 0x3311, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"CP_CE_IB1_BASE_HI", 0xc0c7, {
		{"IB1_BASE_HI", 0xffff, 0x0}
	} },
	{"CB_COLOR0_BASE", 0xa318, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"SQ_SOPP", 0x237f, {
		{"ENCODING", 0xff800000, 0x17},
		{"SIMM16", 0xffff, 0x0},
		{"OP", 0x7f0000, 0x10}
	} },
	{"CGTT_SPI_CLK_CTRL", 0xf080, {
		{"GRP5_CG_OFF_HYST", 0xfc0000, 0x12},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"GRP5_CG_OVERRIDE", 0x1000000, 0x18},
		{"GRP0_OVERRIDE", 0x40000000, 0x1e},
		{"GRP2_OVERRIDE", 0x10000000, 0x1c},
		{"GRP3_OVERRIDE", 0x8000000, 0x1b},
		{"GRP1_OVERRIDE", 0x20000000, 0x1d},
		{"REG_OVERRIDE", 0x80000000, 0x1f},
		{"ALL_CLK_ON_OVERRIDE", 0x4000000, 0x1a},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"CPC_INT_CNTL", 0x30b4, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"DEQUEUE_REQUEST_INT_ENABLE", 0x2000, 0xd},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"SUA_VIOLATION_INT_ENABLE", 0x8000, 0xf},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"CMP_QUERY_STATUS_INT_ENABLE", 0x1000, 0xc},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"TCP_WATCH3_ADDR_L", 0x32aa, {
		{"ADDR", 0xffffffc0, 0x6}
	} },
	{"GDS_VMID13_SIZE", 0x331b, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"TCP_DSM_CNTL", 0x32b3, {
		{"CACHE_RAM_IRRITATOR_DATA_SEL", 0x3, 0x0},
		{"CACHE_RAM_IRRITATOR_SINGLE_WRITE", 0x4, 0x2},
		{"LFIFO_RAM_IRRITATOR_SINGLE_WRITE", 0x20, 0x5},
		{"LFIFO_RAM_IRRITATOR_DATA_SEL", 0x18, 0x3}
	} },
	{"SQ_SOPC", 0x237f, {
		{"SSRC0", 0xff, 0x0},
		{"SSRC1", 0xff00, 0x8},
		{"ENCODING", 0xff800000, 0x17},
		{"OP", 0x7f0000, 0x10}
	} },
	{"CP_HQD_OFFLOAD", 0x325e, {
		{"DMA_OFFLOAD_EN", 0x2, 0x1},
		{"EOP_OFFLOAD", 0x10, 0x4},
		{"EOP_OFFLOAD_EN", 0x20, 0x5},
		{"DMA_OFFLOAD", 0x1, 0x0}
	} },
	{"SQ_IMG_RSRC_WORD3", 0x23c7, {
		{"TILING_INDEX", 0x1f00000, 0x14},
		{"ATC", 0x8000000, 0x1b},
		{"DST_SEL_W", 0xe00, 0x9},
		{"DST_SEL_X", 0x7, 0x0},
		{"DST_SEL_Y", 0x38, 0x3},
		{"DST_SEL_Z", 0x1c0, 0x6},
		{"LAST_LEVEL", 0xf0000, 0x10},
		{"BASE_LEVEL", 0xf000, 0xc},
		{"MTYPE", 0x4000000, 0x1a},
		{"TYPE", 0xf0000000, 0x1c},
		{"POW2_PAD", 0x2000000, 0x19}
	} },
	{"SQ_IMG_RSRC_WORD2", 0x23c6, {
		{"PERF_MOD", 0x70000000, 0x1c},
		{"WIDTH", 0x3fff, 0x0},
		{"INTERLACED", 0x80000000, 0x1f},
		{"HEIGHT", 0xfffc000, 0xe}
	} },
	{"SQ_IMG_RSRC_WORD1", 0x23c5, {
		{"MTYPE", 0xc0000000, 0x1e},
		{"MIN_LOD", 0xfff00, 0x8},
		{"NUM_FORMAT", 0x3c000000, 0x1a},
		{"DATA_FORMAT", 0x3f00000, 0x14},
		{"BASE_ADDRESS_HI", 0xff, 0x0}
	} },
	{"SQ_IMG_RSRC_WORD0", 0x23c4, {
		{"BASE_ADDRESS", 0xffffffff, 0x0}
	} },
	{"SQ_IMG_RSRC_WORD7", 0x23cb, {
		{"META_DATA_ADDRESS", 0xffffffff, 0x0}
	} },
	{"CP_NUM_PRIM_WRITTEN_COUNT3_HI", 0xc015, {
		{"NUM_PRIM_WRITTEN_CNT3_HI", 0xffffffff, 0x0}
	} },
	{"SQ_IMG_RSRC_WORD5", 0x23c9, {
		{"LAST_ARRAY", 0x3ffe000, 0xd},
		{"BASE_ARRAY", 0x1fff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC3_ES", 0x2cc7, {
		{"GROUP_FIFO_DEPTH", 0xfc000000, 0x1a},
		{"WAVE_LIMIT", 0x3f0000, 0x10},
		{"LOCK_LOW_THRESHOLD", 0x3c00000, 0x16},
		{"CU_EN", 0xffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_6", 0xa0c0, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_7", 0xa0c2, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_4", 0xa0bc, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_5", 0xa0be, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_2", 0xa0b8, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_3", 0xa0ba, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_0", 0xa0b4, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_1", 0xa0b6, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"WD_ENHANCE", 0xa2a0, {
		{"MISC", 0xffffffff, 0x0}
	} },
	{"COMPUTE_TBA_LO", 0x2e0e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DMA_ME_CONTROL", 0xc078, {
		{"DST_MTYPE", 0xc00000, 0x16},
		{"SRC_CACHE_POLICY", 0x2000, 0xd},
		{"SRC_SELECT", 0x60000000, 0x1d},
		{"DST_SELECT", 0x300000, 0x14},
		{"SRC_ATC", 0x1000, 0xc},
		{"DST_CACHE_POLICY", 0x2000000, 0x19},
		{"DST_ATC", 0x1000000, 0x18},
		{"SRC_MTYPE", 0xc00, 0xa}
	} },
	{"GB_GPU_ID", 0x2640, {
		{"GPU_ID", 0xf, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_8", 0xa0c4, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_9", 0xa0c6, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"CP_HQD_QUANTUM", 0x324c, {
		{"QUANTUM_SCALE", 0x10, 0x4},
		{"QUANTUM_ACTIVE", 0x80000000, 0x1f},
		{"QUANTUM_EN", 0x1, 0x0},
		{"QUANTUM_DURATION", 0x3f00, 0x8}
	} },
	{"GDS_OA_CGPG_RESTORE", 0x334c, {
		{"UNUSED", 0xfff00000, 0x14},
		{"QUEUEID", 0xf0000, 0x10},
		{"VMID", 0xff, 0x0},
		{"MEID", 0xf00, 0x8},
		{"PIPEID", 0xf000, 0xc}
	} },
	{"RLC_SMU_ARGUMENT_2", 0xecac, {
		{"ARG", 0xffffffff, 0x0}
	} },
	{"CP_RB_RPTR_WR", 0x3042, {
		{"RB_RPTR_WR", 0xfffff, 0x0}
	} },
	{"PA_SC_ENHANCE_1", 0x22fd, {
		{"ECO_SPARE3", 0x80, 0x7},
		{"ECO_SPARE2", 0x40, 0x6},
		{"ECO_SPARE1", 0x20, 0x5},
		{"ECO_SPARE0", 0x10, 0x4},
		{"ENABLE_SC_BINNING", 0x8, 0x3},
		{"REALIGN_DQUADS_OVERRIDE", 0x6, 0x1},
		{"REALIGN_DQUADS_OVERRIDE_ENABLE", 0x1, 0x0}
	} },
	{"IA_PERFCOUNTER3_HI", 0xd08f, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SQ_LB_DATA_TEX_CYCLES", 0x239a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_12", 0x2d18, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_HQD_PQ_CONTROL", 0x3256, {
		{"PQ_ATC", 0x800000, 0x17},
		{"UNORD_DISPATCH", 0x10000000, 0x1c},
		{"CACHE_POLICY", 0x1000000, 0x18},
		{"NO_UPDATE_RPTR", 0x8000000, 0x1b},
		{"KMD_QUEUE", 0x80000000, 0x1f},
		{"SLOT_BASED_WPTR", 0x6000000, 0x19},
		{"PRIV_STATE", 0x40000000, 0x1e},
		{"MTYPE", 0x18000, 0xf},
		{"QUEUE_SIZE", 0x3f, 0x0},
		{"ROQ_PQ_IB_FLIP", 0x20000000, 0x1d},
		{"MIN_AVAIL_SIZE", 0x300000, 0x14},
		{"RPTR_BLOCK_SIZE", 0x3f00, 0x8},
		{"ENDIAN_SWAP", 0x60000, 0x11}
	} },
	{"RLC_SMU_GRBM_REG_SAVE_CTRL", 0xec56, {
		{"START_GRBM_REG_SAVE", 0x1, 0x0},
		{"SPARE", 0xfffffffe, 0x1}
	} },
	{"CP_IB1_BUFSZ", 0xc0ce, {
		{"IB1_BUFSZ", 0xfffff, 0x0}
	} },
	{"RLC_SERDES_WR_DATA", 0xec60, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER15_HI", 0xd1df, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"GDS_ATOM_SRC0_U", 0xc413, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"VGT_LAST_COPY_STATE", 0x2230, {
		{"SRC_STATE_ID", 0x7, 0x0},
		{"DST_STATE_ID", 0x70000, 0x10}
	} },
	{"SPI_RESET_DEBUG", 0x31da, {
		{"DISABLE_GFX_RESET_RESOURCE", 0x8, 0x3},
		{"DISABLE_GFX_RESET_PER_VMID", 0x2, 0x1},
		{"DISABLE_GFX_RESET", 0x1, 0x0},
		{"DISABLE_GFX_RESET_PRIORITY", 0x10, 0x4},
		{"DISABLE_GFX_RESET_ALL_VMID", 0x4, 0x2}
	} },
	{"CP_MEC1_F32_INT_DIS", 0x30bd, {
		{"EDC_GDS_FED_INT", 0x10, 0x4},
		{"EDC_SCRATCH_FED_INT", 0x20, 0x5},
		{"IQ_TIMER_INT", 0x200, 0x9},
		{"EDC_ROQ_FED_INT", 0x1, 0x0},
		{"EDC_DMA_FED_INT", 0x100, 0x8},
		{"WAVE_RESTORE_INT", 0x40, 0x6},
		{"PRIV_REG_INT", 0x2, 0x1},
		{"EDC_TC_FED_INT", 0x8, 0x3},
		{"RESERVED_BIT_ERR_INT", 0x4, 0x2},
		{"SUA_VIOLATION_INT", 0x80, 0x7}
	} },
	{"CP_VGT_GSINVOC_COUNT_HI", 0xc023, {
		{"GSINVOC_COUNT_HI", 0xffffffff, 0x0}
	} },
	{"CP_CE_INIT_BASE_LO", 0xc0c3, {
		{"INIT_BASE_LO", 0xffffffe0, 0x5}
	} },
	{"CB_COLOR6_ATTRIB", 0xa377, {
		{"FMASK_TILE_MODE_INDEX", 0x3e0, 0x5},
		{"FORCE_DST_ALPHA_1", 0x20000, 0x11},
		{"NUM_SAMPLES", 0x7000, 0xc},
		{"NUM_FRAGMENTS", 0x18000, 0xf},
		{"TILE_MODE_INDEX", 0x1f, 0x0},
		{"FMASK_BANK_HEIGHT", 0xc00, 0xa}
	} },
	{"WD_QOS", 0x2242, {
		{"DRAW_STALL", 0x1, 0x0}
	} },
	{"RLC_SPM_PERFMON_RING_SIZE", 0xdc83, {
		{"RING_BASE_SIZE", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_ADDR_7", 0xec92, {
		{"RESERVED", 0xffff0000, 0x10},
		{"ADDRESS", 0xffff, 0x0}
	} },
	{"RLC_GPM_DEBUG_INST_A", 0xec22, {
		{"INST_A", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_DEBUG_INST_B", 0xec23, {
		{"INST_B", 0xffffffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_ADDR_4", 0xec8f, {
		{"RESERVED", 0xffff0000, 0x10},
		{"ADDRESS", 0xffff, 0x0}
	} },
	{"CP_RING0_PRIORITY", 0x304d, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_ADDR_2", 0xec8d, {
		{"RESERVED", 0xffff0000, 0x10},
		{"ADDRESS", 0xffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_ADDR_1", 0xec8c, {
		{"RESERVED", 0xffff0000, 0x10},
		{"ADDRESS", 0xffff, 0x0}
	} },
	{"RLC_SRM_INDEX_CNTL_ADDR_0", 0xec8b, {
		{"RESERVED", 0xffff0000, 0x10},
		{"ADDRESS", 0xffff, 0x0}
	} },
	{"VGT_DMA_LS_HS_CONFIG", 0x2273, {
		{"HS_NUM_INPUT_CP", 0x3f00, 0x8}
	} },
	{"CP_ENDIAN_SWAP", 0x3050, {
		{"ENDIAN_SWAP", 0x3, 0x0}
	} },
	{"CPG_PERFCOUNTER0_HI", 0xd003, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"IA_PERFCOUNTER1_LO", 0xd08a, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_DMA_ME_SRC_ADDR_HI", 0xc081, {
		{"SRC_ADDR_HI", 0xffff, 0x0}
	} },
	{"PA_SU_POINT_SIZE", 0xa280, {
		{"WIDTH", 0xffff0000, 0x10},
		{"HEIGHT", 0xffff, 0x0}
	} },
	{"SQ_WREXEC_EXEC_LO", 0x23b1, {
		{"ADDR_LO", 0xffffffff, 0x0}
	} },
	{"CP_ME_RAM_DATA", 0xf817, {
		{"ME_RAM_DATA", 0xffffffff, 0x0}
	} },
	{"SPI_GDBG_TBA_LO", 0x31d4, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"TA_RESERVED_010C", 0x2543, {
		{"Unused", 0xffffffff, 0x0}
	} },
	{"CP_NUM_PRIM_NEEDED_COUNT1_HI", 0xc00f, {
		{"NUM_PRIM_NEEDED_CNT1_HI", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_1", 0x2e41, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_ME_INTR_ROUTINE_START", 0x30aa, {
		{"IR_START", 0xfff, 0x0}
	} },
	{"CP_VMID_STATUS", 0x30bf, {
		{"PREEMPT_CE_STATUS", 0xffff0000, 0x10},
		{"PREEMPT_DE_STATUS", 0xffff, 0x0}
	} },
	{"VGT_GS_VERT_ITEMSIZE", 0xa2d7, {
		{"ITEMSIZE", 0x7fff, 0x0}
	} },
	{"SX_DEBUG_BUSY_4", 0x2417, {
		{"COL_BUFF0_BANK0_VAL1_BUSY", 0x800000, 0x17},
		{"COL_BUFF0_BANK2_VAL3_BUSY", 0x2000, 0xd},
		{"COL_BUFF1_BANK2_VAL0_BUSY", 0x1, 0x0},
		{"COL_BUFF0_BANK3_VAL2_BUSY", 0x400, 0xa},
		{"COL_BUFF0_BANK0_VAL2_BUSY", 0x400000, 0x16},
		{"COL_BUFF0_BANK3_VAL0_BUSY", 0x1000, 0xc},
		{"COL_BUFF0_BANK2_VAL2_BUSY", 0x4000, 0xe},
		{"COL_BUFF1_BANK0_VAL0_BUSY", 0x100, 0x8},
		{"COL_BUFF1_BANK0_VAL3_BUSY", 0x20, 0x5},
		{"COL_BUFF1_BANK1_VAL0_BUSY", 0x10, 0x4},
		{"COL_BUFF0_BANK3_VAL3_BUSY", 0x200, 0x9},
		{"COL_BUFF0_BANK0_VAL0_BUSY", 0x1000000, 0x18},
		{"COL_BUFF1_BANK1_VAL1_BUSY", 0x8, 0x3},
		{"COL_BUFF0_BANK1_VAL3_BUSY", 0x20000, 0x11},
		{"COL_BUFF0_BANK2_VAL1_BUSY", 0x8000, 0xf},
		{"RESERVED", 0xfe000000, 0x19},
		{"COL_BUFF0_BANK1_VAL2_BUSY", 0x40000, 0x12},
		{"COL_BUFF1_BANK0_VAL1_BUSY", 0x80, 0x7},
		{"COL_BUFF0_BANK1_VAL0_BUSY", 0x100000, 0x14},
		{"COL_BUFF0_BANK3_VAL1_BUSY", 0x800, 0xb},
		{"COL_BUFF0_BANK1_VAL1_BUSY", 0x80000, 0x13},
		{"COL_BUFF0_BANK2_VAL0_BUSY", 0x10000, 0x10},
		{"COL_BUFF1_BANK1_VAL3_BUSY", 0x2, 0x1},
		{"COL_BUFF1_BANK0_VAL2_BUSY", 0x40, 0x6},
		{"COL_BUFF1_BANK1_VAL2_BUSY", 0x4, 0x2},
		{"COL_BUFF0_BANK0_VAL3_BUSY", 0x200000, 0x15}
	} },
	{"SPI_SHADER_PGM_HI_ES", 0x2cc9, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"SX_DEBUG_BUSY_3", 0x2416, {
		{"COL_BUFF3_BANK0_VAL3_BUSY", 0x20, 0x5},
		{"COL_BUFF3_BANK0_VAL0_BUSY", 0x100, 0x8},
		{"COL_BUFF3_BANK1_VAL1_BUSY", 0x8, 0x3},
		{"COL_BUFF3_BANK1_VAL2_BUSY", 0x4, 0x2},
		{"COL_BUFF2_BANK3_VAL1_BUSY", 0x800, 0xb},
		{"COL_BUFF2_BANK0_VAL3_BUSY", 0x200000, 0x15},
		{"COL_BUFF3_BANK2_VAL0_BUSY", 0x1, 0x0},
		{"COL_BUFF1_BANK3_VAL3_BUSY", 0x2000000, 0x19},
		{"COL_BUFF2_BANK3_VAL3_BUSY", 0x200, 0x9},
		{"COL_BUFF1_BANK3_VAL1_BUSY", 0x8000000, 0x1b},
		{"COL_BUFF1_BANK2_VAL3_BUSY", 0x20000000, 0x1d},
		{"COL_BUFF3_BANK1_VAL0_BUSY", 0x10, 0x4},
		{"COL_BUFF2_BANK3_VAL2_BUSY", 0x400, 0xa},
		{"COL_BUFF1_BANK3_VAL0_BUSY", 0x10000000, 0x1c},
		{"COL_BUFF1_BANK2_VAL1_BUSY", 0x80000000, 0x1f},
		{"COL_BUFF2_BANK0_VAL1_BUSY", 0x800000, 0x17},
		{"COL_BUFF2_BANK2_VAL1_BUSY", 0x8000, 0xf},
		{"COL_BUFF2_BANK2_VAL3_BUSY", 0x2000, 0xd},
		{"COL_BUFF1_BANK2_VAL2_BUSY", 0x40000000, 0x1e},
		{"COL_BUFF3_BANK0_VAL1_BUSY", 0x80, 0x7},
		{"COL_BUFF2_BANK0_VAL0_BUSY", 0x1000000, 0x18},
		{"COL_BUFF2_BANK3_VAL0_BUSY", 0x1000, 0xc},
		{"COL_BUFF2_BANK0_VAL2_BUSY", 0x400000, 0x16},
		{"COL_BUFF2_BANK2_VAL2_BUSY", 0x4000, 0xe},
		{"COL_BUFF1_BANK3_VAL2_BUSY", 0x4000000, 0x1a},
		{"COL_BUFF3_BANK1_VAL3_BUSY", 0x2, 0x1},
		{"COL_BUFF2_BANK1_VAL1_BUSY", 0x80000, 0x13},
		{"COL_BUFF3_BANK0_VAL2_BUSY", 0x40, 0x6},
		{"COL_BUFF2_BANK1_VAL0_BUSY", 0x100000, 0x14},
		{"COL_BUFF2_BANK1_VAL2_BUSY", 0x40000, 0x12},
		{"COL_BUFF2_BANK2_VAL0_BUSY", 0x10000, 0x10},
		{"COL_BUFF2_BANK1_VAL3_BUSY", 0x20000, 0x11}
	} },
	{"SX_DEBUG_BUSY_2", 0x2415, {
		{"COL_REQ0_FREECNT_NE0", 0x400, 0xa},
		{"COL_BUFF3_BANK3_VAL0_BUSY", 0x10000000, 0x1c},
		{"COL_SCBD_BUSY", 0x1, 0x0},
		{"COL_DBIF1_FIFO_BUSY", 0x100000, 0x14},
		{"COL_DBIF0_SENDFREE_BUSY", 0x400000, 0x16},
		{"COL_DBIF3_SENDFREE_BUSY", 0x2000, 0xd},
		{"COL_REQ1_IDLE", 0x100, 0x8},
		{"COL_REQ0_BUSY", 0x1000, 0xc},
		{"COL_BUFF3_BANK3_VAL3_BUSY", 0x2000000, 0x19},
		{"COL_REQ2_BUSY", 0x40, 0x6},
		{"COL_REQ2_IDLE", 0x20, 0x5},
		{"COL_BUFF3_BANK2_VAL1_BUSY", 0x80000000, 0x1f},
		{"COL_BUFF3_BANK2_VAL3_BUSY", 0x20000000, 0x1d},
		{"COL_DBIF1_READ_VALID", 0x200000, 0x15},
		{"COL_REQ2_FREECNT_NE0", 0x10, 0x4},
		{"COL_DBIF0_READ_VALID", 0x1000000, 0x18},
		{"COL_DBIF0_FIFO_BUSY", 0x800000, 0x17},
		{"COL_DBIF1_SENDFREE_BUSY", 0x80000, 0x13},
		{"COL_DBIF2_SENDFREE_BUSY", 0x10000, 0x10},
		{"COL_BUFF3_BANK3_VAL2_BUSY", 0x4000000, 0x1a},
		{"COL_REQ0_IDLE", 0x800, 0xb},
		{"COL_DBIF3_READ_VALID", 0x8000, 0xf},
		{"COL_DBIF2_READ_VALID", 0x40000, 0x12},
		{"COL_REQ1_FREECNT_NE0", 0x80, 0x7},
		{"COL_REQ3_FREECNT_NE0", 0x2, 0x1},
		{"COL_REQ3_BUSY", 0x8, 0x3},
		{"COL_DBIF2_FIFO_BUSY", 0x20000, 0x11},
		{"COL_DBIF3_FIFO_BUSY", 0x4000, 0xe},
		{"COL_REQ1_BUSY", 0x200, 0x9},
		{"COL_BUFF3_BANK3_VAL1_BUSY", 0x8000000, 0x1b},
		{"COL_BUFF3_BANK2_VAL2_BUSY", 0x40000000, 0x1e},
		{"COL_REQ3_IDLE", 0x4, 0x2}
	} },
	{"CP_ME1_PIPE1_INT_CNTL", 0x3086, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"DEQUEUE_REQUEST_INT_ENABLE", 0x2000, 0xd},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"SUA_VIOLATION_INT_ENABLE", 0x8000, 0xf},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"CMP_QUERY_STATUS_INT_ENABLE", 0x1000, 0xc},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"PA_SC_PERFCOUNTER5_SELECT", 0xd946, {
		{"PERF_SEL", 0x3ff, 0x0}
	} },
	{"SQ_VINTRP", 0x237f, {
		{"VSRC", 0xff, 0x0},
		{"ATTR", 0xfc00, 0xa},
		{"ENCODING", 0xfc000000, 0x1a},
		{"ATTRCHAN", 0x300, 0x8},
		{"VDST", 0x3fc0000, 0x12},
		{"OP", 0x30000, 0x10}
	} },
	{"DB_DEPTH_VIEW", 0xa002, {
		{"SLICE_MAX", 0xffe000, 0xd},
		{"SLICE_START", 0x7ff, 0x0},
		{"Z_READ_ONLY", 0x1000000, 0x18},
		{"STENCIL_READ_ONLY", 0x2000000, 0x19}
	} },
	{"WD_PERFCOUNTER1_LO", 0xd082, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER3_LO", 0xd187, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_WCL_PIPE_PERCENT_CS5", 0x31ce, {
		{"VALUE", 0x7f, 0x0}
	} },
	{"SPI_WCL_PIPE_PERCENT_CS4", 0x31cd, {
		{"VALUE", 0x7f, 0x0}
	} },
	{"SPI_WCL_PIPE_PERCENT_CS7", 0x31d0, {
		{"VALUE", 0x7f, 0x0}
	} },
	{"SPI_WCL_PIPE_PERCENT_CS6", 0x31cf, {
		{"VALUE", 0x7f, 0x0}
	} },
	{"SPI_WCL_PIPE_PERCENT_CS1", 0x31ca, {
		{"VALUE", 0x7f, 0x0}
	} },
	{"SPI_WCL_PIPE_PERCENT_CS0", 0x31c9, {
		{"VALUE", 0x7f, 0x0}
	} },
	{"SPI_WCL_PIPE_PERCENT_CS3", 0x31cc, {
		{"VALUE", 0x7f, 0x0}
	} },
	{"SPI_WCL_PIPE_PERCENT_CS2", 0x31cb, {
		{"VALUE", 0x7f, 0x0}
	} },
	{"RLC_SPM_SE_MUXSEL_ADDR", 0xdc85, {
		{"PERFMON_SEL_ADDR", 0xffffffff, 0x0}
	} },
	{"TA_PERFCOUNTER1_SELECT", 0xdac2, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0x3fc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"PA_SU_LINE_CNTL", 0xa282, {
		{"WIDTH", 0xffff, 0x0}
	} },
	{"SQ_POWER_THROTTLE2", 0xf092, {
		{"MAX_POWER_DELTA", 0x3fff, 0x0},
		{"LONG_TERM_INTERVAL_RATIO", 0x78000000, 0x1b},
		{"USE_REF_CLOCK", 0x80000000, 0x1f},
		{"SHORT_TERM_INTERVAL_SIZE", 0x3ff0000, 0x10}
	} },
	{"GDS_VMID15_SIZE", 0x331f, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"RLC_SPM_RING_RDPTR", 0xdc9d, {
		{"PERFMON_RING_RDPTR", 0xffffffff, 0x0}
	} },
	{"RLC_SMU_MESSAGE", 0xec76, {
		{"CMD", 0xffffffff, 0x0}
	} },
	{"CP_HQD_CTX_SAVE_CONTROL", 0x3272, {
		{"MTYPE", 0x6, 0x1},
		{"POLICY", 0x8, 0x3},
		{"ATC", 0x1, 0x0}
	} },
	{"CP_INT_STATUS", 0x304a, {
		{"OPCODE_ERROR_INT_STAT", 0x1000000, 0x18},
		{"CP_ECC_ERROR_INT_STAT", 0x4000, 0xe},
		{"CNTX_EMPTY_INT_STAT", 0x100000, 0x14},
		{"GFX_IDLE_INT_STAT", 0x200000, 0x15},
		{"TIME_STAMP_INT_STAT", 0x4000000, 0x1a},
		{"WRM_POLL_TIMEOUT_INT_STAT", 0x20000, 0x11},
		{"CMP_BUSY_INT_STAT", 0x40000, 0x12},
		{"PRIV_INSTR_INT_STAT", 0x400000, 0x16},
		{"CNTX_BUSY_INT_STAT", 0x80000, 0x13},
		{"RESERVED_BIT_ERROR_INT_STAT", 0x8000000, 0x1b},
		{"CP_VM_DOORBELL_WR_INT_STAT", 0x800, 0xb},
		{"GENERIC0_INT_STAT", 0x80000000, 0x1f},
		{"PRIV_REG_INT_STAT", 0x800000, 0x17},
		{"GENERIC1_INT_STAT", 0x40000000, 0x1e},
		{"GENERIC2_INT_STAT", 0x20000000, 0x1d}
	} },
	{"CB_COLOR3_CMASK", 0xa34c, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"CP_PFP_ATOMIC_PREOP_LO", 0xc052, {
		{"ATOMIC_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"CP_CE_METADATA_BASE_ADDR_HI", 0xc0f3, {
		{"ADDR_HI", 0xffff, 0x0}
	} },
	{"CP_APPEND_ADDR_HI", 0xc059, {
		{"MTYPE", 0x18000000, 0x1b},
		{"COMMAND", 0xe0000000, 0x1d},
		{"CS_PS_SEL", 0x10000, 0x10},
		{"MEM_ADDR_HI", 0xffff, 0x0},
		{"CACHE_POLICY", 0x2000000, 0x19}
	} },
	{"CP_CSF_CNTL", 0x21b5, {
		{"FETCH_BUFFER_DEPTH", 0xf, 0x0}
	} },
	{"CP_CE_ROQ_RB_STAT", 0x21e8, {
		{"CEQ_RPTR_PRIMARY", 0x3ff, 0x0},
		{"CEQ_WPTR_PRIMARY", 0x3ff0000, 0x10}
	} },
	{"CGTS_CU9_TA_CTRL_REG", 0xf037, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"CGTS_CU11_SP0_CTRL_REG", 0xf03f, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"TA_CGTT_CTRL", 0xf09d, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SOFT_OVERRIDE2", 0x20000000, 0x1d},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"TCI_STATUS", 0x2b61, {
		{"TCI_BUSY", 0x1, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_12_BR", 0xa0ad, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CP_HQD_HQ_CONTROL1", 0x3269, {
		{"CONTROL", 0xffffffff, 0x0}
	} },
	{"CP_HQD_HQ_CONTROL0", 0x3266, {
		{"CONTROL", 0xffffffff, 0x0}
	} },
	{"COMPUTE_PGM_RSRC1", 0x2e12, {
		{"BULKY", 0x1000000, 0x18},
		{"FLOAT_MODE", 0xff000, 0xc},
		{"CDBG_USER", 0x2000000, 0x19},
		{"IEEE_MODE", 0x800000, 0x17},
		{"PRIORITY", 0xc00, 0xa},
		{"SGPRS", 0x3c0, 0x6},
		{"DEBUG_MODE", 0x400000, 0x16},
		{"VGPRS", 0x3f, 0x0},
		{"DX10_CLAMP", 0x200000, 0x15},
		{"PRIV", 0x100000, 0x14}
	} },
	{"CP_DMA_PFP_CONTROL", 0xc077, {
		{"DST_MTYPE", 0xc00000, 0x16},
		{"SRC_CACHE_POLICY", 0x2000, 0xd},
		{"SRC_SELECT", 0x60000000, 0x1d},
		{"DST_SELECT", 0x300000, 0x14},
		{"SRC_ATC", 0x1000, 0xc},
		{"DST_CACHE_POLICY", 0x2000000, 0x19},
		{"DST_ATC", 0x1000000, 0x18},
		{"SRC_MTYPE", 0xc00, 0xa}
	} },
	{"SPI_SHADER_PGM_RSRC2_HS", 0x2d0b, {
		{"TRAP_PRESENT", 0x40, 0x6},
		{"EXCP_EN", 0x3fe00, 0x9},
		{"TG_SIZE_EN", 0x100, 0x8},
		{"SCRATCH_EN", 0x1, 0x0},
		{"OC_LDS_EN", 0x80, 0x7},
		{"USER_SGPR", 0x3e, 0x1}
	} },
	{"CB_COLOR0_ATTRIB", 0xa31d, {
		{"FMASK_TILE_MODE_INDEX", 0x3e0, 0x5},
		{"FORCE_DST_ALPHA_1", 0x20000, 0x11},
		{"NUM_SAMPLES", 0x7000, 0xc},
		{"NUM_FRAGMENTS", 0x18000, 0xf},
		{"TILE_MODE_INDEX", 0x1f, 0x0},
		{"FMASK_BANK_HEIGHT", 0xc00, 0xa}
	} },
	{"SQ_LDS_CLK_CTRL", 0xf090, {
		{"FORCE_CU_ON_SH1", 0xffff0000, 0x10},
		{"FORCE_CU_ON_SH0", 0xffff, 0x0}
	} },
	{"CPF_PERFCOUNTER0_SELECT", 0xd807, {
		{"PERF_SEL1", 0xfc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3f, 0x0}
	} },
	{"VGT_GROUP_DECR", 0xa28b, {
		{"DECR", 0xf, 0x0}
	} },
	{"CP_ST_BASE_HI", 0xc0d3, {
		{"ST_BASE_HI", 0xffff, 0x0}
	} },
	{"SPI_GDBG_WAVE_CNTL", 0x31d1, {
		{"STALL_RA", 0x1, 0x0},
		{"STALL_VMID", 0x1fffe, 0x1}
	} },
	{"CP_HQD_MSG_TYPE", 0x3260, {
		{"ACTION", 0x7, 0x0},
		{"SAVE_STATE", 0x70, 0x4}
	} },
	{"GRBM_PERFCOUNTER0_HI", 0xd041, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_PRED_NOT_VISIBLE", 0xc0ee, {
		{"NOT_VISIBLE", 0x1, 0x0}
	} },
	{"DB_STENCILREFMASK_BF", 0xa10d, {
		{"STENCILTESTVAL_BF", 0xff, 0x0},
		{"STENCILWRITEMASK_BF", 0xff0000, 0x10},
		{"STENCILOPVAL_BF", 0xff000000, 0x18},
		{"STENCILMASK_BF", 0xff00, 0x8}
	} },
	{"SX_MRT3_BLEND_OPT", 0xa1db, {
		{"COLOR_SRC_OPT", 0x7, 0x0},
		{"ALPHA_SRC_OPT", 0x70000, 0x10},
		{"COLOR_DST_OPT", 0x70, 0x4},
		{"ALPHA_DST_OPT", 0x700000, 0x14},
		{"COLOR_COMB_FCN", 0x700, 0x8},
		{"ALPHA_COMB_FCN", 0x7000000, 0x18}
	} },
	{"SQ_PERFCOUNTER11_SELECT", 0xd9cb, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"SQ_WAVE_STATUS", 0x12, {
		{"VALID", 0x10000, 0x10},
		{"SCC", 0x1, 0x0},
		{"PERF_EN", 0x80000, 0x13},
		{"IN_TG", 0x800, 0xb},
		{"PRIV", 0x20, 0x5},
		{"MUST_EXPORT", 0x8000000, 0x1b},
		{"TTRACE_EN", 0x80, 0x7},
		{"VCCZ", 0x400, 0xa},
		{"COND_DBG_USER", 0x100000, 0x14},
		{"ECC_ERR", 0x20000, 0x11},
		{"TTRACE_CU_EN", 0x8000, 0xf},
		{"HALT", 0x2000, 0xd},
		{"IN_BARRIER", 0x1000, 0xc},
		{"USER_PRIO", 0x18, 0x3},
		{"EXECZ", 0x200, 0x9},
		{"INST_ATC", 0x800000, 0x17},
		{"SKIP_EXPORT", 0x40000, 0x12},
		{"COND_DBG_SYS", 0x200000, 0x15},
		{"ALLOW_REPLAY", 0x400000, 0x16},
		{"SPI_PRIO", 0x6, 0x1},
		{"TRAP_EN", 0x40, 0x6},
		{"EXPORT_RDY", 0x100, 0x8},
		{"TRAP", 0x4000, 0xe}
	} },
	{"GRBM_TRAP_ADDR_MSK", 0x201b, {
		{"DATA", 0xffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_15", 0x2c1b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_14", 0x2c1a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_11", 0x2c17, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_10", 0x2c16, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_WAIT_SEM_ADDR_LO", 0xc075, {
		{"SEM_ADDR_LO", 0xfffffff8, 0x3},
		{"SEM_ADDR_SWAP", 0x3, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_PS_12", 0x2c18, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SXIFCCG_DEBUG_REG0", 0x14, {
		{"sx_pending_rd_req_mask", 0xf000, 0xc},
		{"sx_pending_rd_sp_id", 0x30000000, 0x1c},
		{"position_address", 0x3f, 0x0},
		{"point_address", 0x1c0, 0x6},
		{"sx_pending_rd_aux_sel", 0xc000000, 0x1a},
		{"sx_pending_rd_advance", 0x80000000, 0x1f},
		{"sx_pending_rd_aux_inc", 0x40000000, 0x1e},
		{"sx_pending_rd_state_var_indx", 0xe00, 0x9},
		{"sx_pending_rd_pci", 0x3ff0000, 0x10}
	} },
	{"CP_MEC2_PRGRM_CNTR_START", 0x30a7, {
		{"IP_START", 0xffff, 0x0}
	} },
	{"SXIFCCG_DEBUG_REG2", 0x16, {
		{"sx_aux", 0x180, 0x7},
		{"vgt_to_ccgen_state_var_indx", 0x3800000, 0x17},
		{"sx_request_indx", 0x7e00, 0x9},
		{"req_active_verts_loaded", 0x8000, 0xf},
		{"req_active_verts", 0x7f0000, 0x10},
		{"param_cache_base", 0x7f, 0x0},
		{"vgt_to_ccgen_active_verts", 0xfc000000, 0x1a}
	} },
	{"SXIFCCG_DEBUG_REG3", 0x17, {
		{"vgt_to_ccgen_fifo_full", 0x10000000, 0x1c},
		{"sx0_receive_fifo_write", 0x40000000, 0x1e},
		{"statevar_bits_vs_out_ccdist0_vec_ena", 0x2000, 0xd},
		{"vertex_fifo_empty", 0x800000, 0x17},
		{"sx0_receive_fifo_full", 0x4000000, 0x1a},
		{"current_state", 0x600000, 0x15},
		{"ccgen_to_clipcc_write", 0x80000000, 0x1f},
		{"statevar_bits_vs_out_ccdist1_vec_ena", 0x1000, 0xc},
		{"vertex_fifo_entriesavailable", 0xf00, 0x8},
		{"vgt_to_ccgen_fifo_empty", 0x8000000, 0x1b},
		{"sx0_receive_fifo_empty", 0x2000000, 0x19},
		{"ALWAYS_ZERO", 0xff, 0x0},
		{"vertex_fifo_full", 0x1000000, 0x18},
		{"ccgen_to_clipcc_fifo_full", 0x20000000, 0x1d},
		{"available_positions", 0x1fc000, 0xe}
	} },
	{"CGTS_CU9_SP1_CTRL_REG", 0xf038, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"CP_PQ_WPTR_POLL_CNTL", 0x3083, {
		{"POLL_ACTIVE", 0x40000000, 0x1e},
		{"PERIOD", 0xff, 0x0},
		{"EN", 0x80000000, 0x1f}
	} },
	{"CP_ROQ1_THRESHOLDS", 0x21d5, {
		{"R0_IB1_START", 0xff0000, 0x10},
		{"RB1_START", 0xff, 0x0},
		{"RB2_START", 0xff00, 0x8},
		{"R1_IB1_START", 0xff000000, 0x18}
	} },
	{"GRBM_DEBUG_DATA", 0x200a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_ME1_PIPE0_INT_CNTL", 0x3085, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"DEQUEUE_REQUEST_INT_ENABLE", 0x2000, 0xd},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"SUA_VIOLATION_INT_ENABLE", 0x8000, 0xf},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"CMP_QUERY_STATUS_INT_ENABLE", 0x1000, 0xc},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"SQ_PERFCOUNTER13_SELECT", 0xd9cd, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"GDS_GWS_RESOURCE", 0xc41b, {
		{"TYPE", 0x2000, 0xd},
		{"HEAD_FLAG", 0x20000000, 0x1d},
		{"COUNTER", 0x1ffe, 0x1},
		{"RELEASE_ALL", 0x8000, 0xf},
		{"HEAD_QUEUE", 0xfff0000, 0x10},
		{"FLAG", 0x1, 0x0},
		{"UNUSED1", 0xc0000000, 0x1e},
		{"HEAD_VALID", 0x10000000, 0x1c},
		{"DED", 0x4000, 0xe}
	} },
	{"CGTS_CU15_SP0_CTRL_REG", 0xf053, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"GDS_PERFCOUNTER2_LO", 0xd284, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR0_CLEAR_WORD1", 0xa324, {
		{"CLEAR_WORD1", 0xffffffff, 0x0}
	} },
	{"CB_COLOR0_CLEAR_WORD0", 0xa323, {
		{"CLEAR_WORD0", 0xffffffff, 0x0}
	} },
	{"SQ_VOP1", 0x237f, {
		{"SRC0", 0x1ff, 0x0},
		{"VDST", 0x1fe0000, 0x11},
		{"ENCODING", 0xfe000000, 0x19},
		{"OP", 0x1fe00, 0x9}
	} },
	{"SQ_VOP2", 0x237f, {
		{"ENCODING", 0x80000000, 0x1f},
		{"SRC0", 0x1ff, 0x0},
		{"VDST", 0x1fe0000, 0x11},
		{"VSRC1", 0x1fe00, 0x9},
		{"OP", 0x7e000000, 0x19}
	} },
	{"DB_PERFCOUNTER0_SELECT", 0xdc40, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"DB_OCCLUSION_COUNT2_HI", 0xc3c5, {
		{"COUNT_HI", 0x7fffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER14_HI", 0xd1dd, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SPI_PS_INPUT_ENA", 0xa1b3, {
		{"SAMPLE_COVERAGE_ENA", 0x4000, 0xe},
		{"PERSP_CENTROID_ENA", 0x4, 0x2},
		{"PERSP_PULL_MODEL_ENA", 0x8, 0x3},
		{"FRONT_FACE_ENA", 0x1000, 0xc},
		{"POS_FIXED_PT_ENA", 0x8000, 0xf},
		{"POS_W_FLOAT_ENA", 0x800, 0xb},
		{"LINEAR_SAMPLE_ENA", 0x10, 0x4},
		{"ANCILLARY_ENA", 0x2000, 0xd},
		{"PERSP_SAMPLE_ENA", 0x1, 0x0},
		{"LINE_STIPPLE_TEX_ENA", 0x80, 0x7},
		{"PERSP_CENTER_ENA", 0x2, 0x1},
		{"POS_Z_FLOAT_ENA", 0x400, 0xa},
		{"POS_X_FLOAT_ENA", 0x100, 0x8},
		{"POS_Y_FLOAT_ENA", 0x200, 0x9},
		{"LINEAR_CENTER_ENA", 0x20, 0x5},
		{"LINEAR_CENTROID_ENA", 0x40, 0x6}
	} },
	{"GDS_ATOM_OP", 0xc411, {
		{"UNUSED", 0xffffff00, 0x8},
		{"OP", 0xff, 0x0}
	} },
	{"PA_SC_MODE_CNTL_1", 0xa293, {
		{"WALK_FENCE_ENABLE", 0x8, 0x3},
		{"FORCE_EOV_CNTDWN_ENABLE", 0x2000000, 0x19},
		{"PS_ITER_SAMPLE", 0x10000, 0x10},
		{"ZMM_LINE_EXTENT", 0x800, 0xb},
		{"TILE_COVER_DISABLE", 0x200, 0x9},
		{"WALK_ALIGN8_PRIM_FITS_ST", 0x4, 0x2},
		{"MULTI_GPU_PRIM_DISCARD_ENABLE", 0x1000000, 0x18},
		{"WALK_SIZE", 0x1, 0x0},
		{"OUT_OF_ORDER_WATER_MARK", 0x70000000, 0x1c},
		{"TILE_COVER_NO_SCISSOR", 0x400, 0xa},
		{"KILL_PIX_POST_HI_Z", 0x4000, 0xe},
		{"ZMM_RECT_EXTENT", 0x2000, 0xd},
		{"KILL_PIX_POST_DETAIL_MASK", 0x8000, 0xf},
		{"OUT_OF_ORDER_PRIMITIVE_ENABLE", 0x8000000, 0x1b},
		{"MULTI_SHADER_ENGINE_PRIM_DISCARD_ENABLE", 0x20000, 0x11},
		{"TILE_WALK_ORDER_ENABLE", 0x100, 0x8},
		{"WALK_ALIGNMENT", 0x2, 0x1},
		{"GPU_ID_OVERRIDE", 0xf00000, 0x14},
		{"ZMM_LINE_OFFSET", 0x1000, 0xc},
		{"SUPERTILE_WALK_ORDER_ENABLE", 0x80, 0x7},
		{"GPU_ID_OVERRIDE_ENABLE", 0x80000, 0x13},
		{"WALK_FENCE_SIZE", 0x70, 0x4},
		{"MULTI_GPU_SUPERTILE_ENABLE", 0x40000, 0x12},
		{"FORCE_EOV_REZ_ENABLE", 0x4000000, 0x1a}
	} },
	{"SQ_WAVE_IB_DBG0", 0x1c, {
		{"IBUF_ST", 0x7, 0x0},
		{"PC_INVALID", 0x8, 0x3},
		{"IS_HYB", 0x4000000, 0x1a},
		{"INST_STR_ST", 0xf0000, 0x10},
		{"NEED_KILL_IFETCH", 0x40000000, 0x1e},
		{"HYB_CNT", 0x18000000, 0x1b},
		{"KILL", 0x20000000, 0x1d},
		{"ECC_ST", 0x3000000, 0x18},
		{"IBUF_RPTR", 0x300, 0x8},
		{"MISC_CNT", 0xf00000, 0x14},
		{"NEED_NEXT_DW", 0x10, 0x4},
		{"IBUF_WPTR", 0xc00, 0xa},
		{"NO_PREFETCH_CNT", 0xe0, 0x5}
	} },
	{"RLC_PERFMON_CNTL", 0xdcc0, {
		{"PERFMON_SAMPLE_ENABLE", 0x400, 0xa},
		{"PERFMON_STATE", 0x7, 0x0}
	} },
	{"CGTS_CU12_SP0_CTRL_REG", 0xf044, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"RLC_SPM_SC_PERFMON_SAMPLE_DELAY", 0xdc90, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"VGT_GSVS_RING_OFFSET_3", 0xa29a, {
		{"OFFSET", 0x7fff, 0x0}
	} },
	{"CP_STAT", 0x21a0, {
		{"CP_BUSY", 0x80000000, 0x1f},
		{"QUERY_BUSY", 0x40000, 0x12},
		{"SURFACE_SYNC_BUSY", 0x200000, 0x15},
		{"ROQ_STATE_BUSY", 0x1000, 0xc},
		{"ME_BUSY", 0x20000, 0x11},
		{"TCIU_BUSY", 0x8000000, 0x1b},
		{"CPC_CPG_BUSY", 0x2000000, 0x19},
		{"ROQ_INDIRECT1_BUSY", 0x400, 0xa},
		{"ROQ_CE_INDIRECT1_BUSY", 0x20000000, 0x1d},
		{"SCRATCH_RAM_BUSY", 0x1000000, 0x18},
		{"ROQ_CE_RING_BUSY", 0x10000000, 0x1c},
		{"PFP_BUSY", 0x8000, 0xf},
		{"RCIU_BUSY", 0x800000, 0x17},
		{"ROQ_CE_INDIRECT2_BUSY", 0x40000000, 0x1e},
		{"SEMAPHORE_BUSY", 0x80000, 0x13},
		{"ROQ_INDIRECT2_BUSY", 0x800, 0xb},
		{"ATCL2IU_BUSY", 0x4000, 0xe},
		{"INTERRUPT_BUSY", 0x100000, 0x14},
		{"DC_BUSY", 0x2000, 0xd},
		{"MEQ_BUSY", 0x10000, 0x10},
		{"ROQ_RING_BUSY", 0x200, 0x9},
		{"DMA_BUSY", 0x400000, 0x16},
		{"CE_BUSY", 0x4000000, 0x1a}
	} },
	{"VGT_GSVS_RING_OFFSET_1", 0xa298, {
		{"OFFSET", 0x7fff, 0x0}
	} },
	{"SQ_SOPK", 0x237f, {
		{"ENCODING", 0xf0000000, 0x1c},
		{"SDST", 0x7f0000, 0x10},
		{"SIMM16", 0xffff, 0x0},
		{"OP", 0xf800000, 0x17}
	} },
	{"DIDT_DBR_WEIGHT8_11", 0x92, {
		{"WEIGHT11", 0xff000000, 0x18},
		{"WEIGHT10", 0xff0000, 0x10},
		{"WEIGHT9", 0xff00, 0x8},
		{"WEIGHT8", 0xff, 0x0}
	} },
	{"SQ_VOPC", 0x237f, {
		{"SRC0", 0x1ff, 0x0},
		{"ENCODING", 0xfe000000, 0x19},
		{"VSRC1", 0x1fe00, 0x9},
		{"OP", 0x1fe0000, 0x11}
	} },
	{"SPI_SHADER_PGM_LO_HS", 0x2d08, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"SX_MRT0_BLEND_OPT", 0xa1d8, {
		{"COLOR_SRC_OPT", 0x7, 0x0},
		{"ALPHA_SRC_OPT", 0x70000, 0x10},
		{"COLOR_DST_OPT", 0x70, 0x4},
		{"ALPHA_DST_OPT", 0x700000, 0x14},
		{"COLOR_COMB_FCN", 0x700, 0x8},
		{"ALPHA_COMB_FCN", 0x7000000, 0x18}
	} },
	{"PA_SU_POLY_OFFSET_BACK_SCALE", 0xa2e2, {
		{"SCALE", 0xffffffff, 0x0}
	} },
	{"CGTS_CU11_TD_TCP_CTRL_REG", 0xf043, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"SETUP_DEBUG_REG0", 0x18, {
		{"event_id_gated", 0xfc00000, 0x16},
		{"geom_busy", 0x200000, 0x15},
		{"su_dyn_sclk_vld", 0x40000000, 0x1e},
		{"su_clip_baryc_free", 0x30000, 0x10},
		{"geom_enable", 0x8000, 0xf},
		{"ge_stallb", 0x4000, 0xe},
		{"su_cntl_busy", 0x100000, 0x14},
		{"su_clip_rtr", 0x40000, 0x12},
		{"pfifo_busy", 0x80000, 0x13},
		{"cl_dyn_sclk_vld", 0x80000000, 0x1f},
		{"pmode_state", 0x3f00, 0x8},
		{"pmode_prim_gated", 0x20000000, 0x1d},
		{"su_baryc_cntl_state", 0x3, 0x0},
		{"event_gated", 0x10000000, 0x1c},
		{"su_cntl_state", 0x3c, 0x2}
	} },
	{"SETUP_DEBUG_REG1", 0x19, {
		{"y_sort0_gated_23_8", 0xffff, 0x0},
		{"x_sort0_gated_23_8", 0xffff0000, 0x10}
	} },
	{"SETUP_DEBUG_REG2", 0x1a, {
		{"x_sort1_gated_23_8", 0xffff0000, 0x10},
		{"y_sort1_gated_23_8", 0xffff, 0x0}
	} },
	{"SETUP_DEBUG_REG3", 0x1b, {
		{"y_sort2_gated_23_8", 0xffff, 0x0},
		{"x_sort2_gated_23_8", 0xffff0000, 0x10}
	} },
	{"SETUP_DEBUG_REG4", 0x1c, {
		{"diamond_rule_gated", 0x3000000, 0x18},
		{"fpov_gated", 0x60000000, 0x1d},
		{"eop_gated", 0x80000000, 0x1f},
		{"st_indx_gated", 0x70000, 0x10},
		{"null_prim_gated", 0x4000, 0xe},
		{"xmajor_gated", 0x800000, 0x17},
		{"backfacing_gated", 0x8000, 0xf},
		{"attr_indx_sort0_gated", 0x3fff, 0x0},
		{"dealloc_slot_gated", 0x700000, 0x14},
		{"type_gated", 0x1c000000, 0x1a},
		{"clipped_gated", 0x80000, 0x13}
	} },
	{"SETUP_DEBUG_REG5", 0x1d, {
		{"pa_reg_sclk_vld", 0x80000000, 0x1f},
		{"attr_indx_sort2_gated", 0x3fff, 0x0},
		{"provoking_vtx_gated", 0x30000000, 0x1c},
		{"attr_indx_sort1_gated", 0xfffc000, 0xe},
		{"valid_prim_gated", 0x40000000, 0x1e}
	} },
	{"CC_GC_SHADER_ARRAY_CONFIG", 0x226f, {
		{"INACTIVE_CUS", 0xffff0000, 0x10}
	} },
	{"SQ_IMG_RSRC_WORD4", 0x23c8, {
		{"DEPTH", 0x1fff, 0x0},
		{"PITCH", 0x7ffe000, 0xd}
	} },
	{"DB_OCCLUSION_COUNT1_HI", 0xc3c3, {
		{"COUNT_HI", 0x7fffffff, 0x0}
	} },
	{"SQ_FLAT_SCRATCH_WORD1", 0x23d1, {
		{"OFFSET", 0xffffff, 0x0}
	} },
	{"DIDT_DBR_WEIGHT0_3", 0x90, {
		{"WEIGHT3", 0xff000000, 0x18},
		{"WEIGHT2", 0xff0000, 0x10},
		{"WEIGHT1", 0xff00, 0x8},
		{"WEIGHT0", 0xff, 0x0}
	} },
	{"CP_HQD_IQ_RPTR", 0x325c, {
		{"OFFSET", 0x3f, 0x0}
	} },
	{"CP_ME_ATOMIC_PREOP_LO", 0xc05d, {
		{"ATOMIC_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"SQ_FLAT_SCRATCH_WORD0", 0x23d0, {
		{"SIZE", 0x7ffff, 0x0}
	} },
	{"CP_IB2_PREAMBLE_BEGIN", 0xc096, {
		{"IB2_PREAMBLE_BEGIN", 0xfffff, 0x0}
	} },
	{"VGT_VS_MAX_WAVE_ID", 0x2268, {
		{"MAX_WAVE_ID", 0xfff, 0x0}
	} },
	{"TA_CNTL_AUX", 0x2542, {
		{"D16_PACK_DISABLE", 0x10, 0x4},
		{"RESERVED", 0xe, 0x1},
		{"ANISO_TAP", 0x40000, 0x12},
		{"ANISO_WEIGHT_MODE", 0x10000, 0x10},
		{"SCOAL_DSWIZZLE_N", 0x1, 0x0},
		{"ANISO_MIP_ADJ_MODE", 0x80000, 0x13},
		{"ANISO_RATIO_LUT", 0x20000, 0x11}
	} },
	{"GC_USER_RB_BACKEND_DISABLE", 0x26df, {
		{"BACKEND_DISABLE", 0xff0000, 0x10}
	} },
	{"GRBM_SE0_PERFCOUNTER_LO", 0xd045, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"RAS_SPI_SIGNATURE0", 0x3399, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"RAS_SPI_SIGNATURE1", 0x339a, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"PA_SC_CLIPRECT_1_TL", 0xa086, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0}
	} },
	{"TCP_PERFCOUNTER3_LO", 0xd346, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_DEBUG_READ", 0x2442, {
		{"DATA", 0xffffff, 0x0}
	} },
	{"TCC_PERFCOUNTER3_LO", 0xd386, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"GRBM_STATUS", 0x2004, {
		{"CP_BUSY", 0x20000000, 0x1d},
		{"SPI_BUSY", 0x400000, 0x16},
		{"CB_BUSY", 0x40000000, 0x1e},
		{"IA_BUSY", 0x80000, 0x13},
		{"GUI_ACTIVE", 0x80000000, 0x1f},
		{"PA_BUSY", 0x2000000, 0x19},
		{"VGT_BUSY", 0x20000, 0x11},
		{"SRBM_RQ_PENDING", 0x20, 0x5},
		{"CB_CLEAN", 0x2000, 0xd},
		{"IA_BUSY_NO_DMA", 0x40000, 0x12},
		{"GDS_BUSY", 0x8000, 0xf},
		{"ME0PIPE0_PF_RQ_PENDING", 0x100, 0x8},
		{"GDS_DMA_RQ_PENDING", 0x200, 0x9},
		{"ME0PIPE0_CF_RQ_PENDING", 0x80, 0x7},
		{"ME0PIPE0_CMDFIFO_AVAIL", 0xf, 0x0},
		{"WD_BUSY", 0x200000, 0x15},
		{"DB_BUSY", 0x4000000, 0x1a},
		{"BCI_BUSY", 0x800000, 0x17},
		{"CP_COHERENCY_BUSY", 0x10000000, 0x1c},
		{"WD_BUSY_NO_DMA", 0x10000, 0x10},
		{"DB_CLEAN", 0x1000, 0xc},
		{"TA_BUSY", 0x4000, 0xe},
		{"SX_BUSY", 0x100000, 0x14},
		{"SC_BUSY", 0x1000000, 0x18}
	} },
	{"SX_PERFCOUNTER2_HI", 0xd245, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SPI_WCL_PIPE_PERCENT_HP3D", 0x31c8, {
		{"GS_GRP_VALUE", 0x7c00000, 0x16},
		{"HS_GRP_VALUE", 0x1f000, 0xc},
		{"ES_GRP_VALUE", 0x3e0000, 0x11},
		{"LS_GRP_VALUE", 0xf80, 0x7},
		{"VALUE", 0x7f, 0x0}
	} },
	{"CB_COLOR1_CLEAR_WORD0", 0xa332, {
		{"CLEAR_WORD0", 0xffffffff, 0x0}
	} },
	{"CB_COLOR1_CLEAR_WORD1", 0xa333, {
		{"CLEAR_WORD1", 0xffffffff, 0x0}
	} },
	{"TCP_PERFCOUNTER1_SELECT", 0xdb42, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"CP_DISPATCH_INDR_ADDR_HI", 0xc0f7, {
		{"ADDR_HI", 0xffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_BASE2", 0xc337, {
		{"ADDR_HI", 0xf, 0x0}
	} },
	{"PA_SU_LINE_STIPPLE_CNTL", 0xa209, {
		{"DIAMOND_ADJUST", 0x10, 0x4},
		{"EXPAND_FULL_LENGTH", 0x4, 0x2},
		{"LINE_STIPPLE_RESET", 0x3, 0x0},
		{"FRACTIONAL_ACCUM", 0x8, 0x3}
	} },
	{"SQ_FLAT_1", 0x237f, {
		{"TFE", 0x800000, 0x17},
		{"VDST", 0xff000000, 0x18},
		{"DATA", 0xff00, 0x8},
		{"ADDR", 0xff, 0x0}
	} },
	{"PA_SC_SCREEN_SCISSOR_TL", 0xa00c, {
		{"TL_Y", 0xffff0000, 0x10},
		{"TL_X", 0xffff, 0x0}
	} },
	{"CP_NUM_PRIM_NEEDED_COUNT3_LO", 0xc016, {
		{"NUM_PRIM_NEEDED_CNT3_LO", 0xffffffff, 0x0}
	} },
	{"VGT_STRMOUT_BUFFER_SIZE_3", 0xa2c0, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"PA_CL_GB_VERT_DISC_ADJ", 0xa2fb, {
		{"DATA_REGISTER", 0xffffffff, 0x0}
	} },
	{"VGT_STRMOUT_BUFFER_SIZE_1", 0xa2b8, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"VGT_PRIMITIVEID_RESET", 0xa2a3, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"PA_SC_HP3D_TRAP_SCREEN_HV_EN", 0xc2a8, {
		{"FORCE_PRE_SHADER_ALL_PIXELS", 0x2, 0x1},
		{"ENABLE_HV_PRE_SHADER", 0x1, 0x0}
	} },
	{"VGT_STRMOUT_BUFFER_SIZE_0", 0xa2b4, {
		{"SIZE", 0xffffffff, 0x0}
	} },
	{"RLC_SPM_SE_MUXSEL_DATA", 0xdc86, {
		{"PERFMON_SEL_DATA", 0xffffffff, 0x0}
	} },
	{"USER_SQC_BANK_DISABLE", 0x2308, {
		{"SQC0_BANK_DISABLE", 0xf0000, 0x10},
		{"SQC2_BANK_DISABLE", 0xf000000, 0x18},
		{"SQC1_BANK_DISABLE", 0xf00000, 0x14},
		{"SQC3_BANK_DISABLE", 0xf0000000, 0x1c}
	} },
	{"CGTS_CU15_TA_CTRL_REG", 0xf055, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"CB_COLOR5_DCC_CONTROL", 0xa369, {
		{"OVERWRITE_COMBINER_DISABLE", 0x1, 0x0},
		{"KEY_CLEAR_ENABLE", 0x2, 0x1},
		{"MAX_UNCOMPRESSED_BLOCK_SIZE", 0xc, 0x2},
		{"LOSSY_ALPHA_PRECISION", 0x3c000, 0xe},
		{"INDEPENDENT_64B_BLOCKS", 0x200, 0x9},
		{"COLOR_TRANSFORM", 0x180, 0x7},
		{"LOSSY_RGB_PRECISION", 0x3c00, 0xa},
		{"MAX_COMPRESSED_BLOCK_SIZE", 0x60, 0x5},
		{"MIN_COMPRESSED_BLOCK_SIZE", 0x10, 0x4}
	} },
	{"DIDT_TCP_WEIGHT0_3", 0x70, {
		{"WEIGHT3", 0xff000000, 0x18},
		{"WEIGHT2", 0xff0000, 0x10},
		{"WEIGHT1", 0xff00, 0x8},
		{"WEIGHT0", 0xff, 0x0}
	} },
	{"SQ_M0_GPR_IDX_WORD", 0x23d2, {
		{"VSRC1_REL", 0x2000, 0xd},
		{"INDEX", 0xff, 0x0},
		{"VDST_REL", 0x8000, 0xf},
		{"VSRC0_REL", 0x1000, 0xc},
		{"VSRC2_REL", 0x4000, 0xe}
	} },
	{"GDS_PERFCOUNTER3_SELECT", 0xda83, {
		{"PERFCOUNTER_SELECT", 0x3ff, 0x0},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERFCOUNTER_SELECT1", 0xffc00, 0xa}
	} },
	{"CGTS_CU0_TA_SQC_CTRL_REG", 0xf00a, {
		{"SQC_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SQC_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"SQC", 0x7f0000, 0x10},
		{"SQC_OVERRIDE", 0x800000, 0x17},
		{"SQC_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"CGTS_CU10_SP1_CTRL_REG", 0xf03d, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"RLC_LB_ALWAYS_ACTIVE_CU_MASK", 0xec50, {
		{"ALWAYS_ACTIVE_CU_MASK", 0xffffffff, 0x0}
	} },
	{"CGTS_CU11_TA_CTRL_REG", 0xf041, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"SQ_INTERRUPT_WORD_WAVE", 0x20c0, {
		{"SH_ID", 0x100, 0x8},
		{"ENCODING", 0xc000000, 0x1a},
		{"DATA", 0xff, 0x0},
		{"SIMD_ID", 0xc0000, 0x12},
		{"SE_ID", 0x3000000, 0x18},
		{"CU_ID", 0xf00000, 0x14},
		{"WAVE_ID", 0x3c000, 0xe},
		{"VM_ID", 0x3c00, 0xa},
		{"PRIV", 0x200, 0x9}
	} },
	{"CP_ME1_PIPE2_INT_STATUS", 0x308f, {
		{"SUA_VIOLATION_INT_STATUS", 0x8000, 0xf},
		{"DEQUEUE_REQUEST_INT_STATUS", 0x2000, 0xd},
		{"GENERIC0_INT_STATUS", 0x80000000, 0x1f},
		{"GENERIC1_INT_STATUS", 0x40000000, 0x1e},
		{"WRM_POLL_TIMEOUT_INT_STATUS", 0x20000, 0x11},
		{"RESERVED_BIT_ERROR_INT_STATUS", 0x8000000, 0x1b},
		{"CP_ECC_ERROR_INT_STATUS", 0x4000, 0xe},
		{"CMP_QUERY_STATUS_INT_STATUS", 0x1000, 0xc},
		{"TIME_STAMP_INT_STATUS", 0x4000000, 0x1a},
		{"PRIV_REG_INT_STATUS", 0x800000, 0x17},
		{"GENERIC2_INT_STATUS", 0x20000000, 0x1d},
		{"OPCODE_ERROR_INT_STATUS", 0x1000000, 0x18}
	} },
	{"SQ_PERFCOUNTER1_HI", 0xd1c3, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_STATUS", 0xc33a, {
		{"BUSY", 0x40000000, 0x1e},
		{"FULL", 0x80000000, 0x1f},
		{"FINISH_DONE", 0x3ff0000, 0x10},
		{"NEW_BUF", 0x20000000, 0x1d},
		{"FINISH_PENDING", 0x3ff, 0x0}
	} },
	{"VGT_DMA_CONTROL", 0x2272, {
		{"PRIMGROUP_SIZE", 0xffff, 0x0},
		{"IA_SWITCH_ON_EOP", 0x20000, 0x11},
		{"WD_SWITCH_ON_EOP", 0x100000, 0x14}
	} },
	{"CP_CMD_DATA", 0x21df, {
		{"CMD_DATA", 0xffffffff, 0x0}
	} },
	{"CP_RB_WPTR_POLL_CNTL", 0x21c2, {
		{"IDLE_POLL_COUNT", 0xffff0000, 0x10},
		{"POLL_FREQUENCY", 0xffff, 0x0}
	} },
	{"CP_EOP_DONE_DATA_HI", 0xc003, {
		{"DATA_HI", 0xffffffff, 0x0}
	} },
	{"CP_MEM_SLP_CNTL", 0x3079, {
		{"CP_LS_DS_BUSY_OVERRIDE", 0x80, 0x7},
		{"RESERVED", 0x7c, 0x2},
		{"CP_MEM_DS_EN", 0x2, 0x1},
		{"CP_MEM_LS_OFF_DELAY", 0xff0000, 0x10},
		{"CP_MEM_LS_EN", 0x1, 0x0},
		{"RESERVED1", 0xff000000, 0x18},
		{"CP_MEM_LS_ON_DELAY", 0xff00, 0x8}
	} },
	{"SQ_WAVE_TTMP0", 0x270, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_THREAD_TRACE_CTRL", 0xc335, {
		{"RESET_BUFFER", 0x80000000, 0x1f}
	} },
	{"SQ_THREAD_TRACE_WORD_PERF_1_OF_2", 0x23b0, {
		{"SH_ID", 0x20, 0x5},
		{"CNTR0", 0x1fff000, 0xc},
		{"CNTR_BANK", 0xc00, 0xa},
		{"TOKEN_TYPE", 0xf, 0x0},
		{"CNTR1_LO", 0xfe000000, 0x19},
		{"TIME_DELTA", 0x10, 0x4},
		{"CU_ID", 0x3c0, 0x6}
	} },
	{"CGTT_PA_CLK_CTRL", 0xf088, {
		{"SOFT_OVERRIDE3", 0x10000000, 0x1c},
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE7", 0x1000000, 0x18},
		{"SOFT_OVERRIDE6", 0x2000000, 0x19},
		{"SOFT_OVERRIDE5", 0x4000000, 0x1a},
		{"SOFT_OVERRIDE4", 0x8000000, 0x1b},
		{"SU_CLK_OVERRIDE", 0x20000000, 0x1d},
		{"CL_CLK_OVERRIDE", 0x40000000, 0x1e},
		{"REG_CLK_OVERRIDE", 0x80000000, 0x1f},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"TCA_PERFCOUNTER3_HI", 0xd397, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SPI_P0_TRAP_SCREEN_PSBA_LO", 0x24ec, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"CGTS_CU3_SP0_CTRL_REG", 0xf017, {
		{"SP01_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP01_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP00_OVERRIDE", 0x80, 0x7},
		{"SP01", 0x7f0000, 0x10},
		{"SP00", 0x7f, 0x0},
		{"SP00_LS_OVERRIDE", 0x400, 0xa},
		{"SP00_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP00_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP01_OVERRIDE", 0x800000, 0x17},
		{"SP01_BUSY_OVERRIDE", 0x3000000, 0x18}
	} },
	{"CGTS_CU8_SP1_CTRL_REG", 0xf033, {
		{"SP11_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"SP10_OVERRIDE", 0x80, 0x7},
		{"SP10_LS_OVERRIDE", 0x400, 0xa},
		{"SP10", 0x7f, 0x0},
		{"SP11", 0x7f0000, 0x10},
		{"SP10_BUSY_OVERRIDE", 0x300, 0x8},
		{"SP11_LS_OVERRIDE", 0x4000000, 0x1a},
		{"SP11_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"SP10_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SP11_OVERRIDE", 0x800000, 0x17}
	} },
	{"CGTS_CU6_TA_CTRL_REG", 0xf028, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"SQ_THREAD_TRACE_WORD_INST_PC_2_OF_2", 0x23b1, {
		{"PC_HI", 0xffffff, 0x0}
	} },
	{"CB_COLOR4_PITCH", 0xa355, {
		{"FMASK_TILE_MAX", 0x7ff00000, 0x14},
		{"TILE_MAX", 0x7ff, 0x0}
	} },
	{"SPI_ARB_CYCLES_1", 0x31c2, {
		{"TS2_DURATION", 0xffff, 0x0},
		{"TS3_DURATION", 0xffff0000, 0x10}
	} },
	{"SPI_ARB_CYCLES_0", 0x31c1, {
		{"TS0_DURATION", 0xffff, 0x0},
		{"TS1_DURATION", 0xffff0000, 0x10}
	} },
	{"VGT_FIFO_DEPTHS", 0x2234, {
		{"RESERVED_0", 0x80, 0x7},
		{"VS_DEALLOC_TBL_DEPTH", 0x7f, 0x0},
		{"HSINPUT_FIFO_DEPTH", 0xfc00000, 0x16},
		{"CLIPP_FIFO_DEPTH", 0x3fff00, 0x8}
	} },
	{"PA_SC_CLIPRECT_0_BR", 0xa085, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"CP_DMA_PFP_DST_ADDR_HI", 0xc088, {
		{"DST_ADDR_HI", 0xffff, 0x0}
	} },
	{"SQ_DS_0", 0x237f, {
		{"ENCODING", 0xfc000000, 0x1a},
		{"GDS", 0x10000, 0x10},
		{"OFFSET0", 0xff, 0x0},
		{"OFFSET1", 0xff00, 0x8},
		{"OP", 0x1fe0000, 0x11}
	} },
	{"SQ_DS_1", 0x237f, {
		{"VDST", 0xff000000, 0x18},
		{"DATA1", 0xff0000, 0x10},
		{"ADDR", 0xff, 0x0},
		{"DATA0", 0xff00, 0x8}
	} },
	{"VGT_DMA_BASE", 0xa1fa, {
		{"BASE_ADDR", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER9_HI", 0xd1d3, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"DB_PERFCOUNTER3_LO", 0xd446, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR4_CMASK", 0xa35b, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"GDS_OA_VMID8", 0x3338, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_OA_VMID9", 0x3339, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_OA_VMID6", 0x3336, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"CP_PA_CPRIM_COUNT_LO", 0xc02a, {
		{"CPRIM_COUNT_LO", 0xffffffff, 0x0}
	} },
	{"GDS_OA_VMID4", 0x3334, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_OA_VMID5", 0x3335, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_OA_VMID2", 0x3332, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_OA_VMID3", 0x3333, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"GDS_OA_VMID0", 0x3330, {
		{"UNUSED", 0xffff0000, 0x10},
		{"MASK", 0xffff, 0x0}
	} },
	{"CP_HQD_CTX_SAVE_BASE_ADDR_LO", 0x3270, {
		{"ADDR", 0xfffff000, 0xc}
	} },
	{"CP_RB0_BASE_HI", 0x30b1, {
		{"RB_BASE_HI", 0xff, 0x0}
	} },
	{"TA_PERFCOUNTER0_HI", 0xd2c1, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER4_SELECT", 0xd988, {
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"VGT_NUM_INSTANCES", 0xc24d, {
		{"NUM_INSTANCES", 0xffffffff, 0x0}
	} },
	{"CB_COLOR7_PITCH", 0xa382, {
		{"FMASK_TILE_MAX", 0x7ff00000, 0x14},
		{"TILE_MAX", 0x7ff, 0x0}
	} },
	{"VGT_MULTI_PRIM_IB_RESET_INDX", 0xa103, {
		{"RESET_INDX", 0xffffffff, 0x0}
	} },
	{"DB_STENCIL_CONTROL", 0xa10b, {
		{"STENCILFAIL", 0xf, 0x0},
		{"STENCILFAIL_BF", 0xf000, 0xc},
		{"STENCILZFAIL_BF", 0xf00000, 0x14},
		{"STENCILZFAIL", 0xf00, 0x8},
		{"STENCILZPASS_BF", 0xf0000, 0x10},
		{"STENCILZPASS", 0xf0, 0x4}
	} },
	{"CP_COHER_CNTL", 0xc07c, {
		{"TC_ACTION_ENA", 0x800000, 0x17},
		{"DEST_BASE_2_ENA", 0x80000, 0x13},
		{"DEST_BASE_3_ENA", 0x200000, 0x15},
		{"TCL1_VOL_ACTION_ENA", 0x8000, 0xf},
		{"SH_SD_ACTION_ENA", 0x80000000, 0x1f},
		{"CB_ACTION_ENA", 0x2000000, 0x19},
		{"TC_NC_ACTION_ENA", 0x8, 0x3},
		{"SH_ICACHE_ACTION_ENA", 0x20000000, 0x1d},
		{"CB5_DEST_BASE_ENA", 0x800, 0xb},
		{"CB3_DEST_BASE_ENA", 0x200, 0x9},
		{"CB4_DEST_BASE_ENA", 0x400, 0xa},
		{"TC_SD_ACTION_ENA", 0x4, 0x2},
		{"TC_WB_ACTION_ENA", 0x40000, 0x12},
		{"DB_ACTION_ENA", 0x4000000, 0x1a},
		{"SH_KCACHE_VOL_ACTION_ENA", 0x10000000, 0x1c},
		{"CB1_DEST_BASE_ENA", 0x80, 0x7},
		{"CB0_DEST_BASE_ENA", 0x40, 0x6},
		{"TCL1_ACTION_ENA", 0x400000, 0x16},
		{"DB_DEST_BASE_ENA", 0x4000, 0xe},
		{"DEST_BASE_0_ENA", 0x1, 0x0},
		{"DEST_BASE_1_ENA", 0x2, 0x1},
		{"CB7_DEST_BASE_ENA", 0x2000, 0xd},
		{"SH_KCACHE_WB_ACTION_ENA", 0x40000000, 0x1e},
		{"SH_KCACHE_ACTION_ENA", 0x8000000, 0x1b},
		{"CB2_DEST_BASE_ENA", 0x100, 0x8},
		{"CB6_DEST_BASE_ENA", 0x1000, 0xc}
	} },
	{"DIDT_TD_WEIGHT4_7", 0x51, {
		{"WEIGHT7", 0xff000000, 0x18},
		{"WEIGHT6", 0xff0000, 0x10},
		{"WEIGHT5", 0xff00, 0x8},
		{"WEIGHT4", 0xff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER2_LO", 0xd144, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"DB_DEBUG4", 0x260f, {
		{"DISABLE_QC_STENCIL_MASK_SUMMATION", 0x2, 0x1},
		{"DISABLE_4XAA_2P_ZD_HOLDOFF", 0x10, 0x4},
		{"DB_EXTRA_DEBUG4", 0xffffff80, 0x7},
		{"ENABLE_DBCB_SLOW_FORMAT_COLLAPSE", 0x40, 0x6},
		{"DISABLE_PREZ_POSTZ_DTILE_CONFLICT_STALL", 0x8, 0x3},
		{"ENABLE_A2M_DQUAD_OPTIMIZATION", 0x20, 0x5},
		{"DISABLE_RESUMM_TO_SINGLE_STENCIL", 0x4, 0x2},
		{"DISABLE_QC_Z_MASK_SUMMATION", 0x1, 0x0}
	} },
	{"DB_DEBUG3", 0x260e, {
		{"DISABLE_HIZ_ON_VPORT_CLAMP", 0x10, 0x4},
		{"DISABLE_4XAA_2P_DELAYED_WRITE", 0x40000000, 0x1e},
		{"ENABLE_RECOMP_ZDIRTY_SUPPRESSION_OPT", 0x200000, 0x15},
		{"DISABLE_OP_Z_DATA_FORWARDING", 0x1000, 0xc},
		{"DISABLE_HZ_TC_WRITE_COMBINE", 0x100000, 0x14},
		{"DISABLE_OVERRASTERIZATION_FIX", 0x8000000, 0x1b},
		{"DISABLE_ZCMP_DIRTY_SUPPRESSION", 0x100, 0x8},
		{"DISABLE_EQAA_A2M_PERF_OPT", 0x1000000, 0x18},
		{"DISABLE_OP_DF_WRITE_COMBINE", 0x4000, 0xe},
		{"DISABLE_TL_SSO_NULL_SUPPRESSION", 0x8, 0x3},
		{"DISABLE_DI_DT_STALL", 0x2000000, 0x19},
		{"ENABLE_INCOHERENT_EQAA_READS", 0x800, 0xb},
		{"DISABLE_OP_DF_DIRECT_FEEDBACK", 0x8000, 0xf},
		{"ALLOW_RF2P_RW_COLLISION", 0x10000, 0x10},
		{"DONT_DELETE_CONTEXT_SUSPEND", 0x20000000, 0x1d},
		{"DISABLE_OP_DF_BYPASS", 0x2000, 0xd},
		{"FORCE_DB_IS_GOOD", 0x4, 0x2},
		{"SLOW_PREZ_TO_A2M_OMASK_RATE", 0x20000, 0x11},
		{"DISABLE_REDUNDANT_PLANE_FLUSHES_OPT", 0x200, 0x9},
		{"DISABLE_RAM_READ_SUPPRESION_ON_FWD", 0x800000, 0x17},
		{"ENABLE_TC_MA_ROUND_ROBIN_ARB", 0x400000, 0x16},
		{"DISABLE_OP_S_DATA_FORWARDING", 0x40000, 0x12},
		{"EQAA_INTERPOLATE_COMP_Z", 0x20, 0x5},
		{"EQAA_INTERPOLATE_SRC_Z", 0x40, 0x6},
		{"DONT_INSERT_CONTEXT_SUSPEND", 0x10000000, 0x1c},
		{"DISABLE_RECOMP_TO_1ZPLANE_WITHOUT_FASTOP", 0x400, 0xa},
		{"DISABLE_TCP_CAM_BYPASS", 0x80, 0x7},
		{"DISABLE_4XAA_2P_INTERLEAVED_PMASK", 0x80000000, 0x1f},
		{"ENABLE_DB_PROCESS_RESET", 0x4000000, 0x1a},
		{"DISABLE_TC_UPDATE_WRITE_COMBINE", 0x80000, 0x13}
	} },
	{"DB_DEBUG2", 0x260d, {
		{"DISABLE_TC_MASK_L0_CACHE", 0x4, 0x2},
		{"DISABLE_PREZL_VIEWPORT_STALL", 0x20000000, 0x1d},
		{"DISABLE_PREZL_CB_STALL_REZ", 0x100, 0x8},
		{"DISABLE_TC_ZRANGE_L0_CACHE", 0x2, 0x1},
		{"DISABLE_TILE_COVERED_FOR_PS_ITER", 0x4000, 0xe},
		{"DISABLE_QUAD_COHERENCY_STALL", 0x80000, 0x13},
		{"DISABLE_DTT_DATA_FORWARDING", 0x40000, 0x12},
		{"DTR_PREZ_STALLS_FOR_ETF_ROOM", 0x10, 0x4},
		{"DISABLE_PREZL_LPF_STALL", 0x20, 0x5},
		{"ALLOW_COMPZ_BYTE_MASKING", 0x1, 0x0},
		{"ENABLE_SUBTILE_GROUPING", 0x8000, 0xf},
		{"ENABLE_PREZL_CB_STALL", 0x40, 0x6},
		{"ENABLE_PREZ_OF_REZ_SUMM", 0x10000000, 0x1c},
		{"CLK_OFF_DELAY", 0x3e00, 0x9},
		{"DTR_ROUND_ROBIN_ARB", 0x8, 0x3},
		{"DISABLE_WRITE_STALL_ON_RDWR_CONFLICT", 0x80000000, 0x1f},
		{"DISABLE_HTILE_PAIRED_PIPES", 0x10000, 0x10},
		{"DISABLE_SINGLE_STENCIL_QUAD_SUMM", 0x40000000, 0x1e},
		{"DISABLE_NULL_EOT_FORWARDING", 0x20000, 0x11},
		{"DISABLE_PREZL_LPF_STALL_REZ", 0x80, 0x7}
	} },
	{"SPI_P1_TRAP_SCREEN_PSMA_HI", 0x24f4, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"TC_CFG_L1_STORE_POLICY", 0x2b1c, {
		{"POLICY_13", 0x2000, 0xd},
		{"POLICY_12", 0x1000, 0xc},
		{"POLICY_11", 0x800, 0xb},
		{"POLICY_10", 0x400, 0xa},
		{"POLICY_17", 0x20000, 0x11},
		{"POLICY_16", 0x10000, 0x10},
		{"POLICY_15", 0x8000, 0xf},
		{"POLICY_14", 0x4000, 0xe},
		{"POLICY_19", 0x80000, 0x13},
		{"POLICY_18", 0x40000, 0x12},
		{"POLICY_31", 0x80000000, 0x1f},
		{"POLICY_30", 0x40000000, 0x1e},
		{"POLICY_7", 0x80, 0x7},
		{"POLICY_6", 0x40, 0x6},
		{"POLICY_5", 0x20, 0x5},
		{"POLICY_4", 0x10, 0x4},
		{"POLICY_3", 0x8, 0x3},
		{"POLICY_2", 0x4, 0x2},
		{"POLICY_1", 0x2, 0x1},
		{"POLICY_0", 0x1, 0x0},
		{"POLICY_9", 0x200, 0x9},
		{"POLICY_8", 0x100, 0x8},
		{"POLICY_28", 0x10000000, 0x1c},
		{"POLICY_29", 0x20000000, 0x1d},
		{"POLICY_26", 0x4000000, 0x1a},
		{"POLICY_27", 0x8000000, 0x1b},
		{"POLICY_24", 0x1000000, 0x18},
		{"POLICY_25", 0x2000000, 0x19},
		{"POLICY_22", 0x400000, 0x16},
		{"POLICY_23", 0x800000, 0x17},
		{"POLICY_20", 0x100000, 0x14},
		{"POLICY_21", 0x200000, 0x15}
	} },
	{"GDS_DEBUG_REG3", 0x3, {
		{"pipe_num_busy", 0x7ff, 0x0},
		{"pipe0_busy_num", 0x7800, 0xb},
		{"spare", 0xffff8000, 0xf}
	} },
	{"PA_SC_VPORT_SCISSOR_6_BR", 0xa0a1, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_4_TL", 0xa09c, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"SPI_P0_TRAP_SCREEN_GPR_MIN", 0x24f0, {
		{"SGPR_MIN", 0x3c0, 0x6},
		{"VGPR_MIN", 0x3f, 0x0}
	} },
	{"GB_MACROTILE_MODE6", 0x266a, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"GB_MACROTILE_MODE7", 0x266b, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"GB_MACROTILE_MODE4", 0x2668, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"GB_MACROTILE_MODE5", 0x2669, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"GB_MACROTILE_MODE2", 0x2666, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"GB_MACROTILE_MODE3", 0x2667, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"GRBM_SE2_PERFCOUNTER_HI", 0xd04a, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"GB_MACROTILE_MODE1", 0x2665, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"SPI_WF_LIFETIME_STATUS_8", 0x24bd, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_STATUS_9", 0x24be, {
		{"INT_SENT", 0x80000000, 0x1f},
		{"MAX_CNT", 0x7fffffff, 0x0}
	} },
	{"GB_MACROTILE_MODE8", 0x266c, {
		{"NUM_BANKS", 0xc0, 0x6},
		{"MACRO_TILE_ASPECT", 0x30, 0x4},
		{"BANK_WIDTH", 0x3, 0x0},
		{"BANK_HEIGHT", 0xc, 0x2}
	} },
	{"CB_COLOR7_CLEAR_WORD1", 0xa38d, {
		{"CLEAR_WORD1", 0xffffffff, 0x0}
	} },
	{"CB_COLOR0_CMASK", 0xa31f, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"TCP_STATUS", 0x2b01, {
		{"INPUT_BUSY", 0x2, 0x1},
		{"ADRS_BUSY", 0x4, 0x2},
		{"TAGRAMS_BUSY", 0x8, 0x3},
		{"TCP_BUSY", 0x1, 0x0},
		{"LFIFO_BUSY", 0x20, 0x5},
		{"FORMAT_BUSY", 0x80, 0x7},
		{"READ_BUSY", 0x40, 0x6},
		{"CNTRL_BUSY", 0x10, 0x4}
	} },
	{"PA_SC_VPORT_ZMIN_14", 0xa0d0, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_15", 0xa0d2, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"SPI_GDBG_TRAP_DATA1", 0x31d9, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_PIPE_STATS_CONTROL", 0xc03d, {
		{"MTYPE", 0x18000000, 0x1b},
		{"CACHE_CONTROL", 0x2000000, 0x19}
	} },
	{"PA_SC_VPORT_ZMIN_10", 0xa0c8, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_11", 0xa0ca, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_12", 0xa0cc, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_ZMIN_13", 0xa0ce, {
		{"VPORT_ZMIN", 0xffffffff, 0x0}
	} },
	{"SQ_PERFCOUNTER7_SELECT", 0xd9c7, {
		{"SQC_BANK_MASK", 0xf000, 0xc},
		{"SQC_CLIENT_MASK", 0xf0000, 0x10},
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"SIMD_MASK", 0xf000000, 0x18},
		{"SPM_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"SPI_SHADER_TBA_HI_GS", 0x2c81, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"SQ_IMG_RSRC_WORD6", 0x23ca, {
		{"MIN_LOD_WARN", 0xfff, 0x0},
		{"COMPRESSION_EN", 0x200000, 0x15},
		{"COLOR_TRANSFORM", 0x800000, 0x17},
		{"COUNTER_BANK_ID", 0xff000, 0xc},
		{"LOD_HDW_CNT_EN", 0x100000, 0x14},
		{"LOST_COLOR_BITS", 0xf0000000, 0x1c},
		{"LOST_ALPHA_BITS", 0xf000000, 0x18},
		{"ALPHA_IS_ON_MSB", 0x400000, 0x16}
	} },
	{"VGT_STRMOUT_BUFFER_OFFSET_3", 0xa2c3, {
		{"OFFSET", 0xffffffff, 0x0}
	} },
	{"VGT_STRMOUT_BUFFER_OFFSET_2", 0xa2bf, {
		{"OFFSET", 0xffffffff, 0x0}
	} },
	{"CP_CE_ROQ_IB2_STAT", 0x21ea, {
		{"CEQ_WPTR_INDIRECT2", 0x3ff0000, 0x10},
		{"CEQ_RPTR_INDIRECT2", 0x3ff, 0x0}
	} },
	{"VGT_STRMOUT_BUFFER_OFFSET_0", 0xa2b7, {
		{"OFFSET", 0xffffffff, 0x0}
	} },
	{"VGT_ESGS_RING_SIZE", 0xc240, {
		{"MEM_SIZE", 0xffffffff, 0x0}
	} },
	{"RLC_SERDES_WR_NONCU_MASTER_MASK", 0xec5e, {
		{"TC0_MASTER_MASK", 0x40000, 0x12},
		{"GC_GFX_MASTER_MASK", 0x20000, 0x11},
		{"SPARE1_MASTER_MASK", 0x200000, 0x15},
		{"SPARE0_MASTER_MASK", 0x100000, 0x14},
		{"TC1_MASTER_MASK", 0x80000, 0x13},
		{"SPARE2_MASTER_MASK", 0x400000, 0x16},
		{"SPARE3_MASTER_MASK", 0x800000, 0x17},
		{"RESERVED", 0xff000000, 0x18},
		{"GC_MASTER_MASK", 0x10000, 0x10},
		{"SE_MASTER_MASK", 0xffff, 0x0}
	} },
	{"TCC_DSM_CNTL", 0x2b85, {
		{"CACHE_RAM_IRRITATOR_DATA_SEL", 0x3, 0x0},
		{"CACHE_RAM_IRRITATOR_SINGLE_WRITE", 0x4, 0x2}
	} },
	{"SPI_SHADER_PGM_RSRC2_LS_VS", 0x2c7d, {
		{"USER_SGPR", 0x3e, 0x1},
		{"SCRATCH_EN", 0x1, 0x0},
		{"EXCP_EN", 0x1ff0000, 0x10},
		{"LDS_SIZE", 0xff80, 0x7},
		{"TRAP_PRESENT", 0x40, 0x6}
	} },
	{"GDS_VMID7_SIZE", 0x330f, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"PA_SC_DEBUG_CNTL", 0x22f6, {
		{"SC_DEBUG_INDX", 0x3f, 0x0}
	} },
	{"SQ_POWER_THROTTLE", 0xf091, {
		{"PHASE_OFFSET", 0xc0000000, 0x1e},
		{"MAX_POWER", 0x3fff0000, 0x10},
		{"MIN_POWER", 0x3fff, 0x0}
	} },
	{"RAS_DB_SIGNATURE0", 0x338b, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"TCP_PERFCOUNTER0_SELECT", 0xdb40, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0xffc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0x3ff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"CP_ROQ_IB1_STAT", 0x21e1, {
		{"ROQ_WPTR_INDIRECT1", 0x3ff0000, 0x10},
		{"ROQ_RPTR_INDIRECT1", 0x3ff, 0x0}
	} },
	{"CP_SAMPLE_STATUS", 0xc0fd, {
		{"SCREEN_EXT_ACTIVE", 0x20, 0x5},
		{"DRAW_INDIRECT_ACTIVE", 0x40, 0x6},
		{"Z_PASS_ACITVE", 0x1, 0x0},
		{"PIPELINE_ACTIVE", 0x4, 0x2},
		{"STREAMOUT_ACTIVE", 0x2, 0x1},
		{"STIPPLE_ACTIVE", 0x8, 0x3},
		{"VGT_BUFFERS_ACTIVE", 0x10, 0x4},
		{"DISP_INDIRECT_ACTIVE", 0x80, 0x7}
	} },
	{"CB_BLEND0_CONTROL", 0xa1e0, {
		{"DISABLE_ROP3", 0x80000000, 0x1f},
		{"SEPARATE_ALPHA_BLEND", 0x20000000, 0x1d},
		{"ALPHA_DESTBLEND", 0x1f000000, 0x18},
		{"COLOR_COMB_FCN", 0xe0, 0x5},
		{"COLOR_DESTBLEND", 0x1f00, 0x8},
		{"COLOR_SRCBLEND", 0x1f, 0x0},
		{"ENABLE", 0x40000000, 0x1e},
		{"ALPHA_COMB_FCN", 0xe00000, 0x15},
		{"ALPHA_SRCBLEND", 0x1f0000, 0x10}
	} },
	{"CP_NUM_PRIM_WRITTEN_COUNT2_HI", 0xc011, {
		{"NUM_PRIM_WRITTEN_CNT2_HI", 0xffffffff, 0x0}
	} },
	{"CB_COLOR3_FMASK_SLICE", 0xa34f, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"TD_PERFCOUNTER1_SELECT", 0xdb02, {
		{"PERF_MODE1", 0xf000000, 0x18},
		{"PERF_SEL1", 0x3fc00, 0xa},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_MODE", 0xf0000000, 0x1c}
	} },
	{"PA_CL_ENHANCE", 0x2285, {
		{"ECO_SPARE3", 0x10000000, 0x1c},
		{"ECO_SPARE2", 0x20000000, 0x1d},
		{"ECO_SPARE1", 0x40000000, 0x1e},
		{"ECO_SPARE0", 0x80000000, 0x1f},
		{"VE_NAN_PROC_DISABLE", 0x10, 0x4},
		{"NUM_CLIP_SEQ", 0x6, 0x1},
		{"CLIP_VTX_REORDER_ENA", 0x1, 0x0},
		{"CLIPPED_PRIM_SEQ_STALL", 0x8, 0x3},
		{"XTRA_DEBUG_REG_SEL", 0x20, 0x5}
	} },
	{"CB_COLOR7_DCC_BASE", 0xa38e, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"CP_INT_CNTL", 0x3049, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"GFX_IDLE_INT_ENABLE", 0x200000, 0x15},
		{"CNTX_EMPTY_INT_ENABLE", 0x100000, 0x14},
		{"CP_VM_DOORBELL_WR_INT_ENABLE", 0x800, 0xb},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"CMP_BUSY_INT_ENABLE", 0x40000, 0x12},
		{"CNTX_BUSY_INT_ENABLE", 0x80000, 0x13},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"PRIV_INSTR_INT_ENABLE", 0x400000, 0x16},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"COMPUTE_USER_DATA_0", 0x2e40, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_HQD_EOP_BASE_ADDR_HI", 0x326b, {
		{"BASE_ADDR_HI", 0xff, 0x0}
	} },
	{"COMPUTE_USER_DATA_2", 0x2e42, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_3", 0x2e43, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_4", 0x2e44, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PA_SC_TRAP_SCREEN_OCCURRENCE", 0xc2b3, {
		{"COUNT", 0xffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_6", 0x2e46, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_7", 0x2e47, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_8", 0x2e48, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_USER_DATA_9", 0x2e49, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CB_DEBUG_BUS_19", 0x26ab, {
		{"DC_READY", 0x40000, 0x12},
		{"IB_BUSY", 0x100, 0x8},
		{"SF_BUSY", 0x8, 0x3},
		{"DC_BUSY", 0x1000, 0xc},
		{"SURF_SYNC_START", 0x4, 0x2},
		{"DF_BUSY", 0x400, 0xa},
		{"DK_BUSY", 0x2000, 0xd},
		{"DF_SKID_FIFO_EMPTY", 0x4000, 0xe},
		{"TB_BUSY", 0x80, 0x7},
		{"RB_BUSY", 0x20, 0x5},
		{"DD_READY", 0x10000, 0x10},
		{"DS_BUSY", 0x40, 0x6},
		{"DD_BUSY", 0x800, 0xb},
		{"DRR_BUSY", 0x200, 0x9},
		{"DF_CLEAR_FIFO_EMPTY", 0x8000, 0xf},
		{"SURF_SYNC_STATE", 0x3, 0x0},
		{"DC_FIFO_FULL", 0x20000, 0x11},
		{"CS_BUSY", 0x10, 0x4}
	} },
	{"CB_DEBUG_BUS_18", 0x26aa, {
		{"LAT_BUSY", 0x8, 0x3},
		{"DCS_READ_WINNER_LAST", 0x20000, 0x11},
		{"DAG_BUSY", 0x800, 0xb},
		{"DOC_CL_CAM_FULL", 0x4000, 0xe},
		{"MERGE_BUSY", 0x40, 0x6},
		{"DCS_READ_CC_PENDING", 0x100000, 0x14},
		{"DOC_STALL", 0x1000, 0xc},
		{"DCS_WRITE_CC_PENDING", 0x80000, 0x13},
		{"CLEAR_BUSY", 0x4, 0x2},
		{"CACHE_CTL_BUSY", 0x10, 0x4},
		{"DCS_WRITE_MC_PENDING", 0x200000, 0x15},
		{"TILE_RETIREMENT_BUSY", 0x1, 0x0},
		{"TILE_BUSY", 0x100, 0x8},
		{"DCC_BUSY", 0x200, 0x9},
		{"QUAD_BUSY", 0x80, 0x7},
		{"DCS_READ_EV_PENDING", 0x40000, 0x12},
		{"FOP_BUSY", 0x2, 0x1},
		{"DOC_BUSY", 0x400, 0xa},
		{"DOC_SECTOR_MASK_FIFO_FULL", 0x10000, 0x10},
		{"DOC_QT_CAM_FULL", 0x2000, 0xd},
		{"ADDR_BUSY", 0x20, 0x5},
		{"DOC_QUAD_PTR_FIFO_FULL", 0x8000, 0xf}
	} },
	{"SPI_WF_LIFETIME_LIMIT_6", 0x24b1, {
		{"MAX_CNT", 0x7fffffff, 0x0},
		{"EN_WARN", 0x80000000, 0x1f}
	} },
	{"RAS_TD_SIGNATURE0", 0x339c, {
		{"SIGNATURE", 0xffffffff, 0x0}
	} },
	{"SPI_WF_LIFETIME_LIMIT_4", 0x24af, {
		{"MAX_CNT", 0x7fffffff, 0x0},
		{"EN_WARN", 0x80000000, 0x1f}
	} },
	{"CGTS_CU12_TD_TCP_CTRL_REG", 0xf048, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"RLC_GPM_VMID_THREAD0", 0xec46, {
		{"RLC_VMID", 0xf, 0x0},
		{"RESERVED1", 0xfffff800, 0xb},
		{"RESERVED0", 0xf0, 0x4},
		{"RLC_QUEUEID", 0x700, 0x8}
	} },
	{"RLC_GPM_VMID_THREAD1", 0xec47, {
		{"RLC_VMID", 0xf, 0x0},
		{"RESERVED1", 0xfffff800, 0xb},
		{"RESERVED0", 0xf0, 0x4},
		{"RLC_QUEUEID", 0x700, 0x8}
	} },
	{"PA_SC_PERFCOUNTER4_HI", 0xd149, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"GDS_VMID5_BASE", 0x330a, {
		{"BASE", 0xffff, 0x0}
	} },
	{"DIDT_DB_CTRL0", 0x20, {
		{"PHASE_OFFSET", 0xc, 0x2},
		{"USE_REF_CLOCK", 0x2, 0x1},
		{"UNUSED_0", 0xffffffc0, 0x6},
		{"DIDT_CTRL_RST", 0x10, 0x4},
		{"DIDT_CTRL_EN", 0x1, 0x0},
		{"DIDT_CLK_EN_OVERRIDE", 0x20, 0x5}
	} },
	{"CP_RB0_BASE", 0x3040, {
		{"RB_BASE", 0xffffffff, 0x0}
	} },
	{"CP_RB1_BASE_HI", 0x30b2, {
		{"RB_BASE_HI", 0xff, 0x0}
	} },
	{"CP_NUM_PRIM_WRITTEN_COUNT0_LO", 0xc008, {
		{"NUM_PRIM_WRITTEN_CNT0_LO", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_PGM_RSRC3_GS", 0x2c87, {
		{"GROUP_FIFO_DEPTH", 0xfc000000, 0x1a},
		{"WAVE_LIMIT", 0x3f0000, 0x10},
		{"LOCK_LOW_THRESHOLD", 0x3c00000, 0x16},
		{"CU_EN", 0xffff, 0x0}
	} },
	{"SQ_PERFCOUNTER_MASK", 0xd9e1, {
		{"SH1_MASK", 0xffff0000, 0x10},
		{"SH0_MASK", 0xffff, 0x0}
	} },
	{"PA_SC_TRAP_SCREEN_V", 0xc2b2, {
		{"Y_COORD", 0x3fff, 0x0}
	} },
	{"SH_HIDDEN_PRIVATE_BASE_VMID", 0x2580, {
		{"ADDRESS", 0xffffffff, 0x0}
	} },
	{"SH_MEM_APE1_LIMIT", 0x230c, {
		{"LIMIT", 0xffffffff, 0x0}
	} },
	{"RLC_CNTL", 0xec00, {
		{"READ_CACHE_DISABLE", 0x4, 0x2},
		{"RLC_ENABLE_F32", 0x1, 0x0},
		{"FORCE_RETRY", 0x2, 0x1},
		{"RLC_STEP_F32", 0x8, 0x3},
		{"RESERVED", 0xffffff00, 0x8},
		{"SOFT_RESET_DEBUG_MODE", 0x10, 0x4}
	} },
	{"GRBM_STATUS_SE3", 0x200f, {
		{"DB_BUSY", 0x40000000, 0x1e},
		{"BCI_BUSY", 0x400000, 0x16},
		{"SPI_BUSY", 0x8000000, 0x1b},
		{"PA_BUSY", 0x1000000, 0x18},
		{"VGT_BUSY", 0x800000, 0x17},
		{"CB_BUSY", 0x80000000, 0x1f},
		{"DB_CLEAN", 0x2, 0x1},
		{"CB_CLEAN", 0x4, 0x2},
		{"TA_BUSY", 0x2000000, 0x19},
		{"SX_BUSY", 0x4000000, 0x1a},
		{"SC_BUSY", 0x20000000, 0x1d}
	} },
	{"PA_SC_TRAP_SCREEN_H", 0xc2b1, {
		{"X_COORD", 0x3fff, 0x0}
	} },
	{"GRBM_STATUS_SE1", 0x2006, {
		{"DB_BUSY", 0x40000000, 0x1e},
		{"BCI_BUSY", 0x400000, 0x16},
		{"SPI_BUSY", 0x8000000, 0x1b},
		{"PA_BUSY", 0x1000000, 0x18},
		{"VGT_BUSY", 0x800000, 0x17},
		{"CB_BUSY", 0x80000000, 0x1f},
		{"DB_CLEAN", 0x2, 0x1},
		{"CB_CLEAN", 0x4, 0x2},
		{"TA_BUSY", 0x2000000, 0x19},
		{"SX_BUSY", 0x4000000, 0x1a},
		{"SC_BUSY", 0x20000000, 0x1d}
	} },
	{"GRBM_STATUS_SE0", 0x2005, {
		{"DB_BUSY", 0x40000000, 0x1e},
		{"BCI_BUSY", 0x400000, 0x16},
		{"SPI_BUSY", 0x8000000, 0x1b},
		{"PA_BUSY", 0x1000000, 0x18},
		{"VGT_BUSY", 0x800000, 0x17},
		{"CB_BUSY", 0x80000000, 0x1f},
		{"DB_CLEAN", 0x2, 0x1},
		{"CB_CLEAN", 0x4, 0x2},
		{"TA_BUSY", 0x2000000, 0x19},
		{"SX_BUSY", 0x4000000, 0x1a},
		{"SC_BUSY", 0x20000000, 0x1d}
	} },
	{"SPI_PERFCOUNTER0_HI", 0xd180, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"RLC_GPM_GENERAL_10", 0xecaf, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CPG_PERFCOUNTER1_HI", 0xd001, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_CE_INTR_ROUTINE_START", 0x30a8, {
		{"IR_START", 0x7ff, 0x0}
	} },
	{"WD_PERFCOUNTER2_LO", 0xd084, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"GC_PRIV_MODE", 0x3048, {

	} },
	{"GDS_PS1_CTXSW_CNT0", 0x335b, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS1_CTXSW_CNT3", 0x335e, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"GDS_PS1_CTXSW_CNT2", 0x335d, {
		{"UPDN", 0xffff, 0x0},
		{"PTR", 0xffff0000, 0x10}
	} },
	{"COMPUTE_PIPELINESTAT_ENABLE", 0x2e0a, {
		{"PIPELINESTAT_ENABLE", 0x1, 0x0}
	} },
	{"CGTS_CU14_TD_TCP_CTRL_REG", 0xf052, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"RLC_SRM_INDEX_CNTL_ADDR_6", 0xec91, {
		{"RESERVED", 0xffff0000, 0x10},
		{"ADDRESS", 0xffff, 0x0}
	} },
	{"CP_EOP_DONE_ADDR_LO", 0xc000, {
		{"ADDR_LO", 0xfffffffc, 0x2}
	} },
	{"RLC_SRM_INDEX_CNTL_ADDR_5", 0xec90, {
		{"RESERVED", 0xffff0000, 0x10},
		{"ADDRESS", 0xffff, 0x0}
	} },
	{"PA_SC_PERFCOUNTER6_LO", 0xd14c, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CP_PERFMON_CNTL", 0xd808, {
		{"SPM_PERFMON_STATE", 0xf0, 0x4},
		{"PERFMON_ENABLE_MODE", 0x300, 0x8},
		{"PERFMON_STATE", 0xf, 0x0},
		{"PERFMON_SAMPLE_ENABLE", 0x400, 0xa}
	} },
	{"CLIPPER_DEBUG_REG09", 0x9, {
		{"clipsm3_clprim_to_clip_event", 0x20000000, 0x1d},
		{"clipsm3_clprim_to_clip_null_primitive", 0x40000000, 0x1e},
		{"clipsm3_clprim_to_clip_event_id", 0xfc000, 0xe},
		{"clipsm3_clprim_to_clip_deallocate_slot", 0x7000000, 0x18},
		{"clipsm3_clprim_to_clip_clip_primitive", 0x800000, 0x17},
		{"clipsm3_clprim_to_clip_clip_code_or", 0x3fff, 0x0},
		{"clipsm3_clprim_to_clip_state_var_indx", 0x700000, 0x14},
		{"clipsm3_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"clipsm3_clprim_to_clip_first_prim_of_slot", 0x8000000, 0x1b},
		{"clipsm3_clprim_to_clip_end_of_packet", 0x10000000, 0x1c}
	} },
	{"CLIPPER_DEBUG_REG08", 0x8, {
		{"clipsm2_clprim_to_clip_param_cache_indx_0", 0x7fe, 0x1},
		{"clipsm2_clprim_to_clip_null_primitive", 0x40000000, 0x1e},
		{"clipsm2_clprim_to_clip_vertex_store_indx_2", 0x1f800, 0xb},
		{"clipsm2_clprim_to_clip_vertex_store_indx_1", 0x7e0000, 0x11},
		{"clipsm2_clprim_to_clip_vertex_store_indx_0", 0x1f800000, 0x17},
		{"clipsm2_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"clipsm2_clprim_to_clip_event", 0x20000000, 0x1d}
	} },
	{"SPI_SHADER_PGM_RSRC2_ES", 0x2ccb, {
		{"LDS_SIZE", 0x1ff00000, 0x14},
		{"EXCP_EN", 0x1ff00, 0x8},
		{"TRAP_PRESENT", 0x40, 0x6},
		{"SCRATCH_EN", 0x1, 0x0},
		{"OC_LDS_EN", 0x80, 0x7},
		{"USER_SGPR", 0x3e, 0x1}
	} },
	{"SPI_VS_OUT_CONFIG", 0xa1b1, {
		{"VS_HALF_PACK", 0x40, 0x6},
		{"VS_EXPORT_COUNT", 0x3e, 0x1}
	} },
	{"CLIPPER_DEBUG_REG03", 0x3, {
		{"clipsm0_clprim_to_clip_clip_code_or", 0x3fff, 0x0},
		{"clipsm0_clprim_to_clip_end_of_packet", 0x10000000, 0x1c},
		{"clipsm0_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"clipsm0_clprim_to_clip_first_prim_of_slot", 0x8000000, 0x1b},
		{"clipsm0_clprim_to_clip_event", 0x20000000, 0x1d},
		{"clipsm0_clprim_to_clip_state_var_indx", 0x700000, 0x14},
		{"clipsm0_clprim_to_clip_clip_primitive", 0x800000, 0x17},
		{"clipsm0_clprim_to_clip_event_id", 0xfc000, 0xe},
		{"clipsm0_clprim_to_clip_null_primitive", 0x40000000, 0x1e},
		{"clipsm0_clprim_to_clip_deallocate_slot", 0x7000000, 0x18}
	} },
	{"CLIPPER_DEBUG_REG02", 0x2, {
		{"clip_to_outsm_first_prim_of_slot", 0x800000, 0x17},
		{"clip_to_clipga_vte_naninf_kill", 0x200000, 0x15},
		{"clip_to_outsm_fifo_advanceread", 0x40000000, 0x1e},
		{"clip_ga_bc_fifo_write", 0x10000000, 0x1c},
		{"clip_to_outsm_clipped_prim", 0x1000000, 0x18},
		{"clip_to_outsm_clip_seq_indx", 0xc0, 0x6},
		{"clip_to_outsm_fifo_empty", 0x80000000, 0x1f},
		{"clip_to_ga_fifo_write", 0x20000000, 0x1d},
		{"clip_extra_bc_valid", 0x7, 0x0},
		{"clip_to_clipga_extra_bc_coords", 0x100000, 0x14},
		{"clip_ga_bc_fifo_full", 0x4000000, 0x1a},
		{"clip_to_outsm_end_of_packet", 0x400000, 0x16},
		{"clip_vert_vte_valid", 0x38, 0x3},
		{"clip_to_ga_fifo_full", 0x8000000, 0x1b},
		{"clip_to_outsm_null_primitive", 0x2000000, 0x19},
		{"clip_to_outsm_vertex_store_indx_0", 0xf0000, 0x10},
		{"clip_to_outsm_vertex_store_indx_1", 0xf000, 0xc},
		{"clip_to_outsm_vertex_store_indx_2", 0xf00, 0x8}
	} },
	{"CLIPPER_DEBUG_REG01", 0x1, {
		{"vte_out_clip_rd_extra_bc_valid", 0x1000000, 0x18},
		{"vte_out_clip_rd_vertex_store_indx", 0xc000000, 0x1a},
		{"clip_ga_bc_fifo_write", 0x10000000, 0x1c},
		{"clip_to_outsm_vertex_deallocate", 0x1c000, 0xe},
		{"ALWAYS_ZERO", 0xff, 0x0},
		{"clip_extra_bc_valid", 0x700, 0x8},
		{"clip_to_ga_fifo_write", 0x20000000, 0x1d},
		{"clip_to_outsm_deallocate_slot", 0xe0000, 0x11},
		{"vte_out_clip_fifo_fifo_advanceread", 0x40000000, 0x1e},
		{"vte_out_clip_fifo_fifo_empty", 0x80000000, 0x1f},
		{"vte_positions_vte_clip_vte_naninf_kill_0", 0x800000, 0x17},
		{"vte_positions_vte_clip_vte_naninf_kill_1", 0x400000, 0x16},
		{"vte_positions_vte_clip_vte_naninf_kill_2", 0x200000, 0x15},
		{"clip_to_outsm_null_primitive", 0x100000, 0x14},
		{"vte_out_clip_rd_vte_naninf_kill", 0x2000000, 0x19},
		{"clip_vert_vte_valid", 0x3800, 0xb}
	} },
	{"CLIPPER_DEBUG_REG00", 0x0, {
		{"ccgen_to_clipcc_fifo_full", 0x10000000, 0x1c},
		{"su_clip_baryc_free", 0x600, 0x9},
		{"clipcode_fifo_fifo_empty", 0x200000, 0x15},
		{"primic_to_clprim_fifo_empty", 0x2000, 0xd},
		{"ccgen_to_clipcc_fifo_empty", 0x8000000, 0x1b},
		{"vgt_to_clips_fifo_empty", 0x80000, 0x13},
		{"clip_to_ga_fifo_full", 0x1000, 0xc},
		{"vte_out_clip_fifo_fifo_full", 0x1000000, 0x18},
		{"vte_out_orig_fifo_fifo_empty", 0x2000000, 0x19},
		{"clip_to_outsm_fifo_full", 0x10000, 0x10},
		{"vte_out_clip_fifo_fifo_empty", 0x800000, 0x17},
		{"vte_out_orig_fifo_fifo_write", 0x40000000, 0x1e},
		{"clipcode_fifo_full", 0x400000, 0x16},
		{"primic_to_clprim_fifo_full", 0x4000, 0xe},
		{"vgt_to_clipp_fifo_write", 0x80000000, 0x1f},
		{"clip_to_ga_fifo_write", 0x800, 0xb},
		{"clip_to_outsm_fifo_empty", 0x8000, 0xf},
		{"clip_ga_bc_fifo_write", 0x100, 0x8},
		{"vte_out_orig_fifo_fifo_full", 0x4000000, 0x1a},
		{"clip_to_outsm_fifo_write", 0x20000000, 0x1d},
		{"vgt_to_clipp_fifo_empty", 0x20000, 0x11},
		{"ALWAYS_ZERO", 0xff, 0x0},
		{"vgt_to_clipp_fifo_full", 0x40000, 0x12},
		{"vgt_to_clips_fifo_full", 0x100000, 0x14}
	} },
	{"CLIPPER_DEBUG_REG07", 0x7, {
		{"clipsm2_clprim_to_clip_first_prim_of_slot", 0x8000000, 0x1b},
		{"clipsm2_clprim_to_clip_clip_code_or", 0x3fff, 0x0},
		{"clipsm2_clprim_to_clip_end_of_packet", 0x10000000, 0x1c},
		{"clipsm2_clprim_to_clip_null_primitive", 0x40000000, 0x1e},
		{"clipsm2_clprim_to_clip_clip_primitive", 0x800000, 0x17},
		{"clipsm2_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"clipsm2_clprim_to_clip_event", 0x20000000, 0x1d},
		{"clipsm2_clprim_to_clip_deallocate_slot", 0x7000000, 0x18},
		{"clipsm2_clprim_to_clip_event_id", 0xfc000, 0xe},
		{"clipsm2_clprim_to_clip_state_var_indx", 0x700000, 0x14}
	} },
	{"CLIPPER_DEBUG_REG06", 0x6, {
		{"clipsm1_clprim_to_clip_event", 0x20000000, 0x1d},
		{"clipsm1_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"clipsm1_clprim_to_clip_param_cache_indx_0", 0x7fe, 0x1},
		{"clipsm1_clprim_to_clip_vertex_store_indx_2", 0x1f800, 0xb},
		{"clipsm1_clprim_to_clip_vertex_store_indx_0", 0x1f800000, 0x17},
		{"clipsm1_clprim_to_clip_vertex_store_indx_1", 0x7e0000, 0x11},
		{"clipsm1_clprim_to_clip_null_primitive", 0x40000000, 0x1e}
	} },
	{"CLIPPER_DEBUG_REG05", 0x5, {
		{"clipsm1_clprim_to_clip_clip_code_or", 0x3fff, 0x0},
		{"clipsm1_clprim_to_clip_first_prim_of_slot", 0x8000000, 0x1b},
		{"clipsm1_clprim_to_clip_clip_primitive", 0x800000, 0x17},
		{"clipsm1_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"clipsm1_clprim_to_clip_end_of_packet", 0x10000000, 0x1c},
		{"clipsm1_clprim_to_clip_deallocate_slot", 0x7000000, 0x18},
		{"clipsm1_clprim_to_clip_event", 0x20000000, 0x1d},
		{"clipsm1_clprim_to_clip_null_primitive", 0x40000000, 0x1e},
		{"clipsm1_clprim_to_clip_event_id", 0xfc000, 0xe},
		{"clipsm1_clprim_to_clip_state_var_indx", 0x700000, 0x14}
	} },
	{"CLIPPER_DEBUG_REG04", 0x4, {
		{"clipsm0_clprim_to_clip_null_primitive", 0x40000000, 0x1e},
		{"clipsm0_clprim_to_clip_prim_valid", 0x80000000, 0x1f},
		{"clipsm0_clprim_to_clip_event", 0x20000000, 0x1d},
		{"clipsm0_clprim_to_clip_param_cache_indx_0", 0x7fe, 0x1},
		{"clipsm0_clprim_to_clip_vertex_store_indx_1", 0x7e0000, 0x11},
		{"clipsm0_clprim_to_clip_vertex_store_indx_0", 0x1f800000, 0x17},
		{"clipsm0_clprim_to_clip_vertex_store_indx_2", 0x1f800, 0xb}
	} },
	{"CP_INDEX_BASE_ADDR", 0xc0f8, {
		{"ADDR_LO", 0xffffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER1_HI", 0xd182, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_14", 0x3032, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_15", 0x3033, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_10", 0x302e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_11", 0x302f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_12", 0x3030, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CP_DFY_DATA_13", 0x3031, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"VGT_RESET_DEBUG", 0x2232, {
		{"GS_DISABLE", 0x1, 0x0},
		{"TESS_DISABLE", 0x2, 0x1},
		{"WD_DISABLE", 0x4, 0x2}
	} },
	{"DB_FREE_CACHELINES", 0x2617, {
		{"FREE_DTILE_DEPTH", 0x7f, 0x0},
		{"QUAD_READ_REQS", 0xfe000000, 0x19},
		{"FREE_PLANE_DEPTH", 0x3f80, 0x7},
		{"FREE_HTILE_DEPTH", 0x1e00000, 0x15},
		{"FREE_Z_DEPTH", 0x1fc000, 0xe}
	} },
	{"CP_ATCL1_CNTL", 0x303c, {
		{"XNACK_REDO_TIMER_CNT", 0x3ff, 0x0}
	} },
	{"CB_COLOR0_DCC_CONTROL", 0xa31e, {
		{"OVERWRITE_COMBINER_DISABLE", 0x1, 0x0},
		{"KEY_CLEAR_ENABLE", 0x2, 0x1},
		{"MAX_UNCOMPRESSED_BLOCK_SIZE", 0xc, 0x2},
		{"LOSSY_ALPHA_PRECISION", 0x3c000, 0xe},
		{"INDEPENDENT_64B_BLOCKS", 0x200, 0x9},
		{"COLOR_TRANSFORM", 0x180, 0x7},
		{"LOSSY_RGB_PRECISION", 0x3c00, 0xa},
		{"MAX_COMPRESSED_BLOCK_SIZE", 0x60, 0x5},
		{"MIN_COMPRESSED_BLOCK_SIZE", 0x10, 0x4}
	} },
	{"VGT_HOS_REUSE_DEPTH", 0xa288, {
		{"REUSE_DEPTH", 0xff, 0x0}
	} },
	{"VGT_PRIMITIVE_TYPE", 0xc242, {
		{"PRIM_TYPE", 0x3f, 0x0}
	} },
	{"IA_PERFCOUNTER0_HI", 0xd089, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CP_CPC_HALT_HYST_COUNT", 0x20a7, {
		{"COUNT", 0xf, 0x0}
	} },
	{"CC_GC_PRIM_CONFIG", 0x2240, {
		{"INACTIVE_IA", 0x30000, 0x10},
		{"INACTIVE_VGT_PA", 0xf000000, 0x18}
	} },
	{"CB_PERFCOUNTER3_SELECT", 0xdc05, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"PA_SC_HP3D_TRAP_SCREEN_HV_LOCK", 0x22c1, {
		{"DISABLE_NON_PRIV_WRITES", 0x1, 0x0}
	} },
	{"COMPUTE_TMPRING_SIZE", 0x2e18, {
		{"WAVESIZE", 0x1fff000, 0xc},
		{"WAVES", 0xfff, 0x0}
	} },
	{"RLC_SPM_INT_STATUS", 0xec73, {
		{"RESERVED", 0xfffffffe, 0x1},
		{"RLC_SPM_INT_STATUS", 0x1, 0x0}
	} },
	{"DIDT_TCP_WEIGHT4_7", 0x71, {
		{"WEIGHT7", 0xff000000, 0x18},
		{"WEIGHT6", 0xff0000, 0x10},
		{"WEIGHT5", 0xff00, 0x8},
		{"WEIGHT4", 0xff, 0x0}
	} },
	{"CP_GDS_ATOMIC0_PREOP_LO", 0xc05f, {
		{"GDS_ATOMIC0_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR5_FMASK", 0xa36c, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"TD_CNTL", 0x2525, {
		{"LDS_STALL_PHASE_ADJUST", 0x1800, 0xb},
		{"SYNC_PHASE_VC_SMX", 0x30, 0x4},
		{"ENABLE_ROUND_TO_ZERO", 0x200000, 0x15},
		{"DISABLE_POWER_THROTTLE", 0x100000, 0x14},
		{"LD_FLOAT_MODE", 0x40000, 0x12},
		{"SYNC_PHASE_SH", 0x3, 0x0},
		{"PRECISION_COMPATIBILITY", 0x8000, 0xf},
		{"GATHER4_DX9_MODE", 0x80000, 0x13},
		{"DISABLE_2BIT_SIGNED_FORMAT", 0x800000, 0x17},
		{"EXTEND_LDS_STALL", 0x600, 0x9},
		{"PAD_STALL_EN", 0x100, 0x8},
		{"GATHER4_FLOAT_MODE", 0x10000, 0x10},
		{"DISABLE_D16_PACKING", 0x400000, 0x16}
	} },
	{"CB_COLOR4_INFO", 0xa358, {
		{"COMP_SWAP", 0x1800, 0xb},
		{"CMASK_IS_LINEAR", 0x80000, 0x13},
		{"DCC_ENABLE", 0x10000000, 0x1c},
		{"COMPRESSION", 0x4000, 0xe},
		{"FMASK_COMPRESS_1FRAG_ONLY", 0x8000000, 0x1b},
		{"FORMAT", 0x7c, 0x2},
		{"BLEND_CLAMP", 0x8000, 0xf},
		{"ROUND_MODE", 0x40000, 0x12},
		{"CMASK_ADDR_TYPE", 0x60000000, 0x1d},
		{"LINEAR_GENERAL", 0x80, 0x7},
		{"BLEND_OPT_DISCARD_PIXEL", 0x3800000, 0x17},
		{"BLEND_OPT_DONT_RD_DST", 0x700000, 0x14},
		{"NUMBER_TYPE", 0x700, 0x8},
		{"ENDIAN", 0x3, 0x0},
		{"BLEND_BYPASS", 0x10000, 0x10},
		{"FMASK_COMPRESSION_DISABLE", 0x4000000, 0x1a},
		{"FAST_CLEAR", 0x2000, 0xd},
		{"SIMPLE_FLOAT", 0x20000, 0x11}
	} },
	{"CB_PERFCOUNTER1_SELECT", 0xdc03, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0x1ff, 0x0}
	} },
	{"VGT_PERFCOUNTER0_LO", 0xd090, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"CGTS_CU13_TD_TCP_CTRL_REG", 0xf04d, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"CP_RB_WPTR_DELAY", 0x21c1, {
		{"PRE_WRITE_LIMIT", 0xf0000000, 0x1c},
		{"PRE_WRITE_TIMER", 0xfffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER2_LO", 0xd185, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_8_BR", 0xa0a5, {
		{"BR_Y", 0x7fff0000, 0x10},
		{"BR_X", 0x7fff, 0x0}
	} },
	{"DIDT_DBR_CTRL_OCP", 0x83, {
		{"OCP_MAX_POWER", 0xffff0000, 0x10},
		{"UNUSED_0", 0xffff, 0x0}
	} },
	{"CP_PFP_COMPLETION_STATUS", 0xc0ec, {
		{"STATUS", 0x3, 0x0}
	} },
	{"VGT_DEBUG_REG10", 0xa, {
		{"SPARE2", 0x600, 0x9},
		{"rcm_mem_gsprim_re_qq", 0x800, 0xb},
		{"rcm_mem_gsprim_re_q", 0x1000, 0xc},
		{"eotg_r2_q", 0x40, 0x6},
		{"es_rb_space_avail_r2_q_8_0", 0xff800000, 0x17},
		{"index_buffer_depth_r1_q", 0x1f, 0x0},
		{"gs_rb_space_avail_r3_q_9_0", 0x7fe000, 0xd},
		{"onchip_gs_en_r0_q", 0x180, 0x7},
		{"eopg_r2_q", 0x20, 0x5}
	} },
	{"VGT_DEBUG_REG11", 0xb, {
		{"counters_available_r0", 0x1000, 0xc},
		{"vs_event_fifo_full", 0x4000000, 0x1a},
		{"spi_gsthread_fifo_busy", 0x40, 0x6},
		{"VGT_SPI_gsthread_rtr_q", 0x4000, 0xe},
		{"es_r0_rtr", 0x100000, 0x14},
		{"tm_noif_busy_q", 0x2, 0x1},
		{"tm_rcm_gs_event_rtr", 0x400000, 0x16},
		{"tm_busy_q", 0x1, 0x0},
		{"VGT_SPI_esthread_rtr_q", 0x8000, 0xf},
		{"counters_avail_r0", 0x800, 0xb},
		{"send_event_q", 0x20000000, 0x1d},
		{"tm_rcm_gs_tbl_rtr", 0x800000, 0x17},
		{"counters_busy_r0", 0x400, 0xa},
		{"es_rb_dealloc_fifo_full", 0x8000000, 0x1b},
		{"no_active_states_r0", 0x80000000, 0x1f},
		{"es_tbl_empty", 0x40000000, 0x1e},
		{"gog_tm_vs_event_rtr", 0x200000, 0x15},
		{"spi_esthread_fifo_busy", 0x80, 0x7},
		{"vs_event_fifo_empty", 0x2000000, 0x19},
		{"tm_out_busy_q", 0x4, 0x2},
		{"gs_issue_rtr", 0x10000, 0x10},
		{"hold_eswave", 0x100, 0x8},
		{"tm_pt_event_rtr", 0x20000, 0x11},
		{"vs_event_fifo_rtr", 0x2000, 0xd},
		{"vs_dealloc_tbl_full", 0x10000000, 0x1c},
		{"SPARE1", 0x20, 0x5},
		{"SPARE0", 0x40000, 0x12},
		{"es_rb_roll_over_r3", 0x200, 0x9},
		{"es_rb_dealloc_fifo_busy", 0x8, 0x3},
		{"gs_r0_rtr", 0x80000, 0x13},
		{"vs_dealloc_tbl_busy", 0x10, 0x4},
		{"tm_rcm_es_tbl_rtr", 0x1000000, 0x18}
	} },
	{"VGT_DEBUG_REG12", 0xc, {
		{"gs_state5_r0_q", 0x38000, 0xf},
		{"gs_state6_r0_q", 0x1c0000, 0x12},
		{"gs_state9_r0_q", 0x38000000, 0x1b},
		{"SPARE0", 0x80000000, 0x1f},
		{"hold_eswave_eop", 0x40000000, 0x1e},
		{"gs_state1_r0_q", 0x38, 0x3},
		{"gs_state2_r0_q", 0x1c0, 0x6},
		{"gs_state7_r0_q", 0xe00000, 0x15},
		{"gs_state4_r0_q", 0x7000, 0xc},
		{"gs_state8_r0_q", 0x7000000, 0x18},
		{"gs_state3_r0_q", 0xe00, 0x9},
		{"gs_state0_r0_q", 0x7, 0x0}
	} },
	{"VGT_DEBUG_REG13", 0xd, {
		{"gs_state15_r0_q", 0x38000, 0xf},
		{"SPARE1", 0x2000000, 0x19},
		{"SPARE0", 0x4000000, 0x1a},
		{"gs_tbl_wrptr_r0_q_3_0", 0x3c0000, 0x12},
		{"active_cm_sm_r0_q", 0xf8000000, 0x1b},
		{"gsfetch_done_cnt_q_not_0", 0x800000, 0x17},
		{"gs_state11_r0_q", 0x38, 0x3},
		{"gs_state12_r0_q", 0x1c0, 0x6},
		{"gs_state14_r0_q", 0x7000, 0xc},
		{"gsfetch_done_fifo_cnt_q_not_0", 0x400000, 0x16},
		{"es_tbl_full", 0x1000000, 0x18},
		{"gs_state10_r0_q", 0x7, 0x0},
		{"gs_state13_r0_q", 0xe00, 0x9}
	} },
	{"VGT_DEBUG_REG14", 0xe, {
		{"VGT_SE1SPI_esthread_rtr_q", 0x80000000, 0x1f},
		{"se1spi_esthread_fifo_busy", 0x8000000, 0x1b},
		{"vs_done_cnt_q_not_0", 0x200, 0x9},
		{"SPARE0", 0x40000000, 0x1e},
		{"SPARE3", 0xf, 0x0},
		{"SPARE2", 0x1ff000, 0xc},
		{"smx1_es_done_cnt_r0_q_not_0", 0x4000000, 0x1a},
		{"se1spi_gsthread_fifo_busy", 0x200000, 0x15},
		{"SPARE8", 0x180, 0x7},
		{"gsfetch_done_se1_cnt_q_not_0", 0x20000000, 0x1d},
		{"gs_tbl_full_r0", 0x800, 0xb},
		{"gsfetch_done_fifo_full", 0x10, 0x4},
		{"smx_es_done_cnt_r0_q_not_0", 0x40, 0x6},
		{"SPARE1", 0x10000000, 0x1c},
		{"VGT_SE1SPI_gsthread_rtr_q", 0x2000000, 0x19},
		{"SPARE", 0x1c00000, 0x16},
		{"es_flush_cnt_busy_q", 0x400, 0xa},
		{"gs_rb_space_avail_r0", 0x20, 0x5}
	} },
	{"VGT_DEBUG_REG15", 0xf, {
		{"counters_full", 0x10, 0x4},
		{"cm_busy_q", 0x1, 0x0},
		{"counters_busy_q", 0x2, 0x1},
		{"gs_done_array_q_not_0", 0x10000000, 0x1c},
		{"active_sm_q", 0x3e0, 0x5},
		{"st_cut_mode_q", 0xc000000, 0x1a},
		{"cntr_tbl_wrptr_q", 0xf8000, 0xf},
		{"SPARE25", 0x3f00000, 0x14},
		{"output_fifo_full", 0x8, 0x3},
		{"SPARE31", 0xe0000000, 0x1d},
		{"entry_rdptr_q", 0x7c00, 0xa},
		{"output_fifo_empty", 0x4, 0x2}
	} },
	{"VGT_DEBUG_REG16", 0x10, {
		{"r3_force_vs_tbl_we_rtr", 0x1000, 0xc},
		{"valid_r2_q", 0x8000, 0xf},
		{"r1_rtr", 0x20, 0x5},
		{"multiple_streams_en_r1_q", 0x10000000, 0x1c},
		{"valid_r1_q", 0x40000, 0x12},
		{"r2_vs_tbl_rtr", 0x80, 0x7},
		{"r2_indx_rtr", 0x200, 0x9},
		{"valid_r0_q", 0x200000, 0x15},
		{"vert_seen_since_sopg_r2_q", 0x1000000, 0x18},
		{"send_event_q", 0x400000, 0x16},
		{"gog_out_prim_state_sel", 0xe000000, 0x19},
		{"r1_upstream_rtr", 0x40, 0x6},
		{"indx_valid_r2_q", 0x2000, 0xd},
		{"gog_busy", 0x1, 0x0},
		{"gog_tm_vs_event_rtr", 0x800, 0xb},
		{"gog_state_q", 0xe, 0x1},
		{"prim_valid_r0_q", 0x100000, 0x14},
		{"indx_valid_r1_q", 0x20000, 0x11},
		{"num_gs_r2_q_not_0", 0x40000000, 0x1e},
		{"vs_vert_count_r2_q_not_0", 0x20000000, 0x1d},
		{"prim_valid_r1_q", 0x10000, 0x10},
		{"indx_valid_r0_q", 0x80000, 0x13},
		{"SPARE24", 0x800000, 0x17},
		{"prim_valid_r2_q", 0x4000, 0xe},
		{"new_vs_thread_r2", 0x80000000, 0x1f},
		{"r2_rtr", 0x400, 0xa},
		{"r2_prim_rtr", 0x100, 0x8},
		{"r0_rtr", 0x10, 0x4}
	} },
	{"VGT_DEBUG_REG17", 0x11, {
		{"gog_out_prim_rel_indx2_5_0", 0x3f, 0x0},
		{"gog_out_prim_rel_indx0_5_0", 0x3f000, 0xc},
		{"gog_out_prim_rel_indx1_5_0", 0xfc0, 0x6},
		{"gog_out_indx_13_0", 0xfffc0000, 0x12}
	} },
	{"VGT_DEBUG_REG18", 0x7, {
		{"indx2_new_d", 0x8000, 0xf},
		{"last_group_of_instance_r0_q", 0x100000, 0x14},
		{"st_vertex_reuse_off_r0_q", 0x80000, 0x13},
		{"components_valid_r0_q", 0xe0000000, 0x1d},
		{"vr_grp_read", 0x8, 0x3},
		{"gs_scenario_b_r0_q", 0x10000000, 0x1c},
		{"null_primitive_r0_q", 0x200000, 0x15},
		{"gs_scenario_a_r0_q", 0x8000000, 0x1b},
		{"out_vr_prim_read", 0x80, 0x7},
		{"last_indx_of_prim", 0x1000, 0xc},
		{"eop_r0_q", 0x400000, 0x16},
		{"out_vr_indx_read", 0x40, 0x6},
		{"pipe1_rtr", 0x20, 0x5},
		{"eject_vtx_vect_r1_d", 0x800000, 0x17},
		{"pipe1_dr", 0x4, 0x2},
		{"indx0_hit_d", 0x40000, 0x12},
		{"indices_to_send_q", 0x700, 0x8},
		{"grp_vr_valid", 0x1, 0x0},
		{"indx1_hit_d", 0x20000, 0x11},
		{"indx2_hit_d", 0x10000, 0x10},
		{"pipe0_dr", 0x2, 0x1},
		{"indx1_new_d", 0x4000, 0xe},
		{"pipe0_rtr", 0x10, 0x4},
		{"indx0_new_d", 0x2000, 0xd},
		{"valid_indices", 0x800, 0xb},
		{"sub_prim_type_r0_q", 0x7000000, 0x18}
	} },
	{"VGT_DEBUG_REG19", 0x13, {
		{"num_new_unique_rel_indx", 0x30000000, 0x1c},
		{"spi_vsvert_fifo_busy_q", 0x200, 0x9},
		{"null_terminate_vtx_vector", 0x40000000, 0x1e},
		{"buffered_prim_type_event", 0x3f00000, 0x14},
		{"prim_buffer_full", 0x8, 0x3},
		{"VGT_SE1SPI_vsvert_rtr_q", 0x8000000, 0x1b},
		{"pa_clipp_fifo_busy_q", 0x20, 0x5},
		{"pa_clipv_fifo_busy_q", 0x400, 0xa},
		{"VGT_PA_clipv_rtr_q", 0x4000, 0xe},
		{"pa_clips_fifo_busy_q", 0x10, 0x4},
		{"buffered_prim_null_primitive", 0x20000, 0x11},
		{"spi_vsthread_fifo_busy_q", 0x100, 0x8},
		{"VGT_SPI_vsthread_rtr_q", 0x1000, 0xc},
		{"hold_prim", 0x800, 0xb},
		{"VGT_PA_clips_rtr_q", 0x40, 0x6},
		{"new_packet_q", 0x8000, 0xf},
		{"VGT_SPI_vsvert_rtr_q", 0x2000, 0xd},
		{"separate_out_busy_q", 0x1, 0x0},
		{"buffered_prim_eop", 0x40000, 0x12},
		{"buffered_prim_event", 0x10000, 0x10},
		{"buffered_prim_eject_vtx_vect", 0x80000, 0x13},
		{"separate_out_indx_busy_q", 0x2, 0x1},
		{"VGT_SE1SPI_vswave_rtr_q", 0x4000000, 0x1a},
		{"VGT_PA_clipp_rtr_q", 0x80, 0x7},
		{"prim_buffer_empty", 0x4, 0x2},
		{"filter_event", 0x80000000, 0x1f}
	} },
	{"GDS_PERFCOUNTER1_SELECT", 0xda81, {
		{"PERFCOUNTER_SELECT", 0x3ff, 0x0},
		{"CNTR_MODE", 0xf00000, 0x14},
		{"PERFCOUNTER_SELECT1", 0xffc00, 0xa}
	} },
	{"CPC_PERFCOUNTER1_HI", 0xd005, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"SQC_EDC_CNT", 0x23a0, {
		{"DATA_SEC", 0xff0000, 0x10},
		{"DATA_DED", 0xff000000, 0x18},
		{"INST_DED", 0xff00, 0x8},
		{"INST_SEC", 0xff, 0x0}
	} },
	{"SX_PERFCOUNTER0_LO", 0xd240, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_Z_FORMAT", 0xa1c4, {
		{"Z_EXPORT_FORMAT", 0xf, 0x0}
	} },
	{"SPI_SX_SCOREBOARD_BUFFER_SIZES", 0x24da, {
		{"POSITION_SCOREBOARD_SIZE", 0xffff0000, 0x10},
		{"COLOR_SCOREBOARD_SIZE", 0xffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_15", 0x2d1b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_14", 0x2d1a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_GPU_IOV_VF_ENABLE", 0xfb00, {
		{"VF_NUM", 0xffff0000, 0x10},
		{"RESERVED", 0xfffe, 0x1},
		{"VF_ENABLE", 0x1, 0x0}
	} },
	{"CB_COLOR5_SLICE", 0xa365, {
		{"TILE_MAX", 0x3fffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_10", 0x2d16, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_SHADER_USER_DATA_HS_13", 0x2d19, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"RLC_SMU_ARGUMENT_1", 0xecab, {
		{"ARG", 0xffffffff, 0x0}
	} },
	{"COMPUTE_TMA_HI", 0x2e11, {
		{"DATA", 0xff, 0x0}
	} },
	{"PA_SC_SCREEN_EXTENT_MAX_1", 0xc28b, {
		{"Y", 0xffff0000, 0x10},
		{"X", 0xffff, 0x0}
	} },
	{"PA_SC_SCREEN_EXTENT_MAX_0", 0xc285, {
		{"Y", 0xffff0000, 0x10},
		{"X", 0xffff, 0x0}
	} },
	{"CP_CE_COMPARE_COUNT", 0x20c0, {
		{"COMPARE_COUNT", 0xffffffff, 0x0}
	} },
	{"SPI_LB_CTR_CTRL", 0x24d4, {
		{"LOAD", 0x1, 0x0}
	} },
	{"PA_SU_PERFCOUNTER3_LO", 0xd106, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_PERFCOUNTER5_SELECT", 0xd989, {
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"IA_PERFCOUNTER3_SELECT", 0xd887, {
		{"PERF_MODE", 0xf0000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0}
	} },
	{"CGTS_CU8_TA_SQC_CTRL_REG", 0xf032, {
		{"SQC_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"SQC_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"SQC", 0x7f0000, 0x10},
		{"SQC_OVERRIDE", 0x800000, 0x17},
		{"SQC_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"VGT_PERFCOUNTER_SEID_MASK", 0xd894, {
		{"PERF_SEID_IGNORE_MASK", 0xff, 0x0}
	} },
	{"RLC_STATIC_PG_STATUS", 0xec6e, {
		{"PG_STATUS_CU_MASK", 0xffffffff, 0x0}
	} },
	{"CPG_PERFCOUNTER0_SELECT1", 0xd801, {
		{"PERF_SEL3", 0xfc00, 0xa},
		{"PERF_SEL2", 0x3f, 0x0}
	} },
	{"CB_BLEND_RED", 0xa105, {
		{"BLEND_RED", 0xffffffff, 0x0}
	} },
	{"CPF_PERFCOUNTER1_SELECT", 0xd805, {
		{"PERF_SEL", 0x3f, 0x0}
	} },
	{"DB_STENCIL_INFO", 0xa011, {
		{"CLEAR_DISALLOWED", 0x40000000, 0x1e},
		{"TILE_SPLIT", 0xe000, 0xd},
		{"TILE_STENCIL_DISABLE", 0x20000000, 0x1d},
		{"FORMAT", 0x1, 0x0},
		{"ALLOW_EXPCLEAR", 0x8000000, 0x1b},
		{"TILE_MODE_INDEX", 0x700000, 0x14}
	} },
	{"SPI_SHADER_TBA_HI_PS", 0x2c01, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"GRBM_TRAP_OP", 0x2019, {
		{"RW", 0x1, 0x0}
	} },
	{"SPI_PERFCOUNTER3_SELECT1", 0xd987, {
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"DB_SUBTILE_CONTROL", 0x2616, {
		{"MSAA8_X", 0x3000, 0xc},
		{"MSAA16_X", 0x30000, 0x10},
		{"MSAA16_Y", 0xc0000, 0x12},
		{"MSAA4_X", 0x300, 0x8},
		{"MSAA4_Y", 0xc00, 0xa},
		{"MSAA1_Y", 0xc, 0x2},
		{"MSAA1_X", 0x3, 0x0},
		{"MSAA8_Y", 0xc000, 0xe},
		{"MSAA2_X", 0x30, 0x4},
		{"MSAA2_Y", 0xc0, 0x6}
	} },
	{"GDS_VMID14_SIZE", 0x331d, {
		{"SIZE", 0x1ffff, 0x0}
	} },
	{"PA_SC_SCREEN_EXTENT_CONTROL", 0xa0d6, {
		{"SLICE_EVEN_ENABLE", 0x3, 0x0},
		{"SLICE_ODD_ENABLE", 0xc, 0x2}
	} },
	{"CP_ROQ_RB_STAT", 0x21e0, {
		{"ROQ_WPTR_PRIMARY", 0x3ff0000, 0x10},
		{"ROQ_RPTR_PRIMARY", 0x3ff, 0x0}
	} },
	{"CP_NUM_PRIM_NEEDED_COUNT0_LO", 0xc00a, {
		{"NUM_PRIM_NEEDED_CNT0_LO", 0xffffffff, 0x0}
	} },
	{"CGTS_CU10_TA_CTRL_REG", 0xf03c, {
		{"TA_SIMDBUSY_OVERRIDE", 0x800, 0xb},
		{"TA_BUSY_OVERRIDE", 0x300, 0x8},
		{"TA_OVERRIDE", 0x80, 0x7},
		{"TA_LS_OVERRIDE", 0x400, 0xa},
		{"TA", 0x7f, 0x0}
	} },
	{"SPI_SHADER_TMA_HI_VS", 0x2c43, {
		{"MEM_BASE", 0xff, 0x0}
	} },
	{"DB_Z_INFO", 0xa010, {
		{"CLEAR_DISALLOWED", 0x40000000, 0x1e},
		{"TILE_SPLIT", 0xe000, 0xd},
		{"ZRANGE_PRECISION", 0x80000000, 0x1f},
		{"READ_SIZE", 0x10000000, 0x1c},
		{"FORMAT", 0x3, 0x0},
		{"DECOMPRESS_ON_N_ZPLANES", 0x7800000, 0x17},
		{"NUM_SAMPLES", 0xc, 0x2},
		{"ALLOW_EXPCLEAR", 0x8000000, 0x1b},
		{"TILE_SURFACE_ENABLE", 0x20000000, 0x1d},
		{"TILE_MODE_INDEX", 0x700000, 0x14}
	} },
	{"SQ_WAVE_TTMP1", 0x271, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SPI_PS_INPUT_CNTL_17", 0xa1a2, {
		{"USE_DEFAULT_ATTR1", 0x100000, 0x14},
		{"DEFAULT_VAL", 0x300, 0x8},
		{"PT_SPRITE_TEX_ATTR1", 0x800000, 0x17},
		{"FP16_INTERP_MODE", 0x80000, 0x13},
		{"FLAT_SHADE", 0x400, 0xa},
		{"CYL_WRAP", 0x1e000, 0xd},
		{"PT_SPRITE_TEX", 0x20000, 0x11},
		{"DEFAULT_VAL_ATTR1", 0x600000, 0x15},
		{"ATTR1_VALID", 0x2000000, 0x19},
		{"OFFSET", 0x3f, 0x0},
		{"DUP", 0x40000, 0x12},
		{"ATTR0_VALID", 0x1000000, 0x18}
	} },
	{"SQ_WAVE_TTMP3", 0x273, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_TTMP2", 0x272, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_TTMP5", 0x275, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_TTMP4", 0x274, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_TTMP7", 0x277, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CB_COLOR2_FMASK", 0xa33f, {
		{"BASE_256B", 0xffffffff, 0x0}
	} },
	{"SQ_WAVE_TTMP9", 0x279, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"COMPUTE_THREAD_TRACE_ENABLE", 0x2e1e, {
		{"THREAD_TRACE_ENABLE", 0x1, 0x0}
	} },
	{"TD_PERFCOUNTER0_LO", 0xd300, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"RLC_GPU_IOV_ACTIVE_FCN_ID", 0xfb40, {
		{"PF_VF", 0x80000000, 0x1f},
		{"VF_ID", 0xf, 0x0},
		{"RESERVED", 0x7ffffff0, 0x4}
	} },
	{"RLC_SPM_CB_PERFMON_SAMPLE_DELAY", 0xdc8a, {
		{"PERFMON_SAMPLE_DELAY", 0xff, 0x0},
		{"RESERVED", 0xffffff00, 0x8}
	} },
	{"VGT_GS_VERT_ITEMSIZE_2", 0xa2d9, {
		{"ITEMSIZE", 0x7fff, 0x0}
	} },
	{"GDS_ATOM_OFFSET1", 0xc40f, {
		{"UNUSED", 0xffffff00, 0x8},
		{"OFFSET1", 0xff, 0x0}
	} },
	{"SQ_CONFIG", 0x2300, {
		{"DUA_FLAT_LOCK_ENABLE", 0x2000, 0xd},
		{"ENABLE_HIPRIO_ON_EXP_RDY_VS", 0x40000, 0x12},
		{"EARLY_TA_DONE_DISABLE", 0x1000, 0xc},
		{"DUA_LDS_BYPASS_DISABLE", 0x4000, 0xe},
		{"DUA_FLAT_LDS_PINGPONG_DISABLE", 0x8000, 0xf},
		{"UNUSED", 0xff, 0x0},
		{"DEBUG_EN", 0x100, 0x8},
		{"REPLAY_SLEEP_CNT", 0x1e00000, 0x15},
		{"PRIO_VAL_ON_EXP_RDY_VS", 0x180000, 0x13},
		{"DISABLE_SMEM_SOFT_CLAUSE", 0x20000, 0x11},
		{"DEBUG_ONE_INST_CLAUSE", 0x400, 0xa},
		{"DEBUG_SINGLE_MEMOP", 0x200, 0x9},
		{"DISABLE_VMEM_SOFT_CLAUSE", 0x10000, 0x10}
	} },
	{"DIDT_SQ_CTRL_OCP", 0x3, {
		{"OCP_MAX_POWER", 0xffff0000, 0x10},
		{"UNUSED_0", 0xffff, 0x0}
	} },
	{"CP_ME2_PIPE0_INT_CNTL", 0x3089, {
		{"RESERVED_BIT_ERROR_INT_ENABLE", 0x8000000, 0x1b},
		{"GENERIC1_INT_ENABLE", 0x40000000, 0x1e},
		{"DEQUEUE_REQUEST_INT_ENABLE", 0x2000, 0xd},
		{"CP_ECC_ERROR_INT_ENABLE", 0x4000, 0xe},
		{"SUA_VIOLATION_INT_ENABLE", 0x8000, 0xf},
		{"OPCODE_ERROR_INT_ENABLE", 0x1000000, 0x18},
		{"GENERIC0_INT_ENABLE", 0x80000000, 0x1f},
		{"CMP_QUERY_STATUS_INT_ENABLE", 0x1000, 0xc},
		{"WRM_POLL_TIMEOUT_INT_ENABLE", 0x20000, 0x11},
		{"TIME_STAMP_INT_ENABLE", 0x4000000, 0x1a},
		{"GENERIC2_INT_ENABLE", 0x20000000, 0x1d},
		{"PRIV_REG_INT_ENABLE", 0x800000, 0x17}
	} },
	{"CP_PFP_INTR_ROUTINE_START", 0x30a9, {
		{"IR_START", 0xfff, 0x0}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_0", 0xa306, {
		{"S2_X", 0xf0000, 0x10},
		{"S2_Y", 0xf00000, 0x14},
		{"S1_Y", 0xf000, 0xc},
		{"S1_X", 0xf00, 0x8},
		{"S0_X", 0xf, 0x0},
		{"S0_Y", 0xf0, 0x4},
		{"S3_Y", 0xf0000000, 0x1c},
		{"S3_X", 0xf000000, 0x18}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_1", 0xa307, {
		{"S7_Y", 0xf0000000, 0x1c},
		{"S7_X", 0xf000000, 0x18},
		{"S6_X", 0xf0000, 0x10},
		{"S6_Y", 0xf00000, 0x14},
		{"S5_Y", 0xf000, 0xc},
		{"S5_X", 0xf00, 0x8},
		{"S4_X", 0xf, 0x0},
		{"S4_Y", 0xf0, 0x4}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_2", 0xa308, {
		{"S9_Y", 0xf000, 0xc},
		{"S9_X", 0xf00, 0x8},
		{"S11_X", 0xf000000, 0x18},
		{"S8_X", 0xf, 0x0},
		{"S8_Y", 0xf0, 0x4},
		{"S11_Y", 0xf0000000, 0x1c},
		{"S10_X", 0xf0000, 0x10},
		{"S10_Y", 0xf00000, 0x14}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_3", 0xa309, {
		{"S13_Y", 0xf000, 0xc},
		{"S13_X", 0xf00, 0x8},
		{"S14_X", 0xf0000, 0x10},
		{"S14_Y", 0xf00000, 0x14},
		{"S15_Y", 0xf0000000, 0x1c},
		{"S15_X", 0xf000000, 0x18},
		{"S12_X", 0xf, 0x0},
		{"S12_Y", 0xf0, 0x4}
	} },
	{"GDS_WR_ADDR", 0xc405, {
		{"WRITE_ADDR", 0xffffffff, 0x0}
	} },
	{"CP_RING_PRIORITY_CNTS", 0x304c, {
		{"PRIORITY1_CNT", 0xff, 0x0},
		{"PRIORITY2A_CNT", 0xff00, 0x8},
		{"PRIORITY2B_CNT", 0xff0000, 0x10},
		{"PRIORITY3_CNT", 0xff000000, 0x18}
	} },
	{"SQ_THREAD_TRACE_WORD_CMN", 0x23b0, {
		{"TOKEN_TYPE", 0xf, 0x0},
		{"TIME_DELTA", 0x10, 0x4}
	} },
	{"DB_EQAA", 0xa201, {
		{"INCOHERENT_EQAA_READS", 0x20000, 0x11},
		{"OVERRASTERIZATION_AMOUNT", 0x7000000, 0x18},
		{"STATIC_ANCHOR_ASSOCIATIONS", 0x100000, 0x14},
		{"ALPHA_TO_MASK_EQAA_DISABLE", 0x200000, 0x15},
		{"HIGH_QUALITY_INTERSECTIONS", 0x10000, 0x10},
		{"ENABLE_POSTZ_OVERRASTERIZATION", 0x8000000, 0x1b},
		{"INTERPOLATE_SRC_Z", 0x80000, 0x13},
		{"INTERPOLATE_COMP_Z", 0x40000, 0x12},
		{"PS_ITER_SAMPLES", 0x70, 0x4},
		{"ALPHA_TO_MASK_NUM_SAMPLES", 0x7000, 0xc},
		{"MAX_ANCHOR_SAMPLES", 0x7, 0x0},
		{"MASK_EXPORT_NUM_SAMPLES", 0x700, 0x8}
	} },
	{"SPI_SHADER_TMA_LO_LS", 0x2d42, {
		{"MEM_BASE", 0xffffffff, 0x0}
	} },
	{"VGT_PERFCOUNTER1_SELECT1", 0xd891, {
		{"PERF_MODE2", 0xf0000000, 0x1c},
		{"PERF_MODE3", 0xf000000, 0x18},
		{"PERF_SEL3", 0xffc00, 0xa},
		{"PERF_SEL2", 0x3ff, 0x0}
	} },
	{"BCI_DEBUG_READ", 0x24eb, {
		{"DATA", 0xffffff, 0x0}
	} },
	{"CP_ME1_PIPE0_PRIORITY", 0x309a, {
		{"PRIORITY", 0x3, 0x0}
	} },
	{"SQ_DEBUG_STS_LOCAL", 0x8, {
		{"WAVE_LEVEL", 0x3f0, 0x4},
		{"BUSY", 0x1, 0x0}
	} },
	{"PA_SC_VPORT_SCISSOR_15_TL", 0xa0b2, {
		{"TL_Y", 0x7fff0000, 0x10},
		{"TL_X", 0x7fff, 0x0},
		{"WINDOW_OFFSET_DISABLE", 0x80000000, 0x1f}
	} },
	{"TA_STATUS", 0x2548, {
		{"IN_BUSY", 0x1000000, 0x18},
		{"FG_LFIFO_EMPTYB", 0x2000, 0xd},
		{"BUSY", 0x80000000, 0x1f},
		{"TA_BUSY", 0x10000000, 0x1c},
		{"AL_BUSY", 0x40000000, 0x1e},
		{"FL_BUSY", 0x8000000, 0x1b},
		{"FL_LFIFO_EMPTYB", 0x20000, 0x11},
		{"FA_BUSY", 0x20000000, 0x1d},
		{"FL_PFIFO_EMPTYB", 0x10000, 0x10},
		{"FG_BUSY", 0x2000000, 0x19},
		{"LA_BUSY", 0x4000000, 0x1a},
		{"FL_SFIFO_EMPTYB", 0x40000, 0x12},
		{"FA_PFIFO_EMPTYB", 0x100000, 0x14},
		{"FA_LFIFO_EMPTYB", 0x200000, 0x15},
		{"FG_SFIFO_EMPTYB", 0x4000, 0xe},
		{"FA_SFIFO_EMPTYB", 0x400000, 0x16},
		{"FG_PFIFO_EMPTYB", 0x1000, 0xc}
	} },
	{"CP_DISPATCH_INDR_ADDR", 0xc0f6, {
		{"ADDR_LO", 0xffffffff, 0x0}
	} },
	{"SQ_CMD", 0x237b, {
		{"VM_ID", 0xf0000000, 0x1c},
		{"CMD", 0x7, 0x0},
		{"CHECK_VMID", 0x80, 0x7},
		{"SIMD_ID", 0x300000, 0x14},
		{"MODE", 0x70, 0x4},
		{"QUEUE_ID", 0x7000000, 0x18},
		{"WAVE_ID", 0xf0000, 0x10},
		{"DATA", 0x700, 0x8}
	} },
	{"CP_HQD_DEQUEUE_REQUEST", 0x325d, {
		{"IQ_REQ_PEND_EN", 0x200, 0x9},
		{"DEQUEUE_REQ_EN", 0x400, 0xa},
		{"IQ_REQ_PEND", 0x10, 0x4},
		{"DEQUEUE_INT", 0x100, 0x8},
		{"DEQUEUE_REQ", 0x7, 0x0}
	} },
	{"DB_STENCIL_CLEAR", 0xa00a, {
		{"CLEAR", 0xff, 0x0}
	} },
	{"GDS_COMPUTE_MAX_WAVE_ID", 0x3348, {
		{"MAX_WAVE_ID", 0xfff, 0x0}
	} },
	{"SXIFCCG_DEBUG_REG1", 0x15, {
		{"statevar_bits_vs_out_misc_vec_ena", 0x8000, 0xf},
		{"aux_sel", 0x300000, 0x14},
		{"statevar_bits_disable_sp", 0xf0000, 0x10},
		{"pasx_req_cnt_1", 0xf000000, 0x18},
		{"pasx_req_cnt_0", 0xf0000000, 0x1c},
		{"sx_to_pa_empty_0", 0x800000, 0x17},
		{"sx_to_pa_empty_1", 0x400000, 0x16},
		{"available_positions", 0x7f, 0x0},
		{"sx_receive_indx", 0x380, 0x7},
		{"sx_pending_fifo_contents", 0x7c00, 0xa}
	} },
	{"CB_BLEND2_CONTROL", 0xa1e2, {
		{"DISABLE_ROP3", 0x80000000, 0x1f},
		{"SEPARATE_ALPHA_BLEND", 0x20000000, 0x1d},
		{"ALPHA_DESTBLEND", 0x1f000000, 0x18},
		{"COLOR_COMB_FCN", 0xe0, 0x5},
		{"COLOR_DESTBLEND", 0x1f00, 0x8},
		{"COLOR_SRCBLEND", 0x1f, 0x0},
		{"ENABLE", 0x40000000, 0x1e},
		{"ALPHA_COMB_FCN", 0xe00000, 0x15},
		{"ALPHA_SRCBLEND", 0x1f0000, 0x10}
	} },
	{"CP_HQD_ATOMIC1_PREOP_LO", 0x3263, {
		{"ATOMIC1_PREOP_LO", 0xffffffff, 0x0}
	} },
	{"CB_COLOR0_INFO", 0xa31c, {
		{"COMP_SWAP", 0x1800, 0xb},
		{"CMASK_IS_LINEAR", 0x80000, 0x13},
		{"DCC_ENABLE", 0x10000000, 0x1c},
		{"COMPRESSION", 0x4000, 0xe},
		{"FMASK_COMPRESS_1FRAG_ONLY", 0x8000000, 0x1b},
		{"FORMAT", 0x7c, 0x2},
		{"BLEND_CLAMP", 0x8000, 0xf},
		{"ROUND_MODE", 0x40000, 0x12},
		{"CMASK_ADDR_TYPE", 0x60000000, 0x1d},
		{"LINEAR_GENERAL", 0x80, 0x7},
		{"BLEND_OPT_DISCARD_PIXEL", 0x3800000, 0x17},
		{"BLEND_OPT_DONT_RD_DST", 0x700000, 0x14},
		{"NUMBER_TYPE", 0x700, 0x8},
		{"ENDIAN", 0x3, 0x0},
		{"BLEND_BYPASS", 0x10000, 0x10},
		{"FMASK_COMPRESSION_DISABLE", 0x4000000, 0x1a},
		{"FAST_CLEAR", 0x2000, 0xd},
		{"SIMPLE_FLOAT", 0x20000, 0x11}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_1", 0xa30b, {
		{"S7_Y", 0xf0000000, 0x1c},
		{"S7_X", 0xf000000, 0x18},
		{"S6_X", 0xf0000, 0x10},
		{"S6_Y", 0xf00000, 0x14},
		{"S5_Y", 0xf000, 0xc},
		{"S5_X", 0xf00, 0x8},
		{"S4_X", 0xf, 0x0},
		{"S4_Y", 0xf0, 0x4}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_0", 0xa30a, {
		{"S2_X", 0xf0000, 0x10},
		{"S2_Y", 0xf00000, 0x14},
		{"S1_Y", 0xf000, 0xc},
		{"S1_X", 0xf00, 0x8},
		{"S0_X", 0xf, 0x0},
		{"S0_Y", 0xf0, 0x4},
		{"S3_Y", 0xf0000000, 0x1c},
		{"S3_X", 0xf000000, 0x18}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_3", 0xa30d, {
		{"S13_Y", 0xf000, 0xc},
		{"S13_X", 0xf00, 0x8},
		{"S14_X", 0xf0000, 0x10},
		{"S14_Y", 0xf00000, 0x14},
		{"S15_Y", 0xf0000000, 0x1c},
		{"S15_X", 0xf000000, 0x18},
		{"S12_X", 0xf, 0x0},
		{"S12_Y", 0xf0, 0x4}
	} },
	{"PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_2", 0xa30c, {
		{"S9_Y", 0xf000, 0xc},
		{"S9_X", 0xf00, 0x8},
		{"S11_X", 0xf000000, 0x18},
		{"S8_X", 0xf, 0x0},
		{"S8_Y", 0xf0, 0x4},
		{"S11_Y", 0xf0000000, 0x1c},
		{"S10_X", 0xf0000, 0x10},
		{"S10_Y", 0xf00000, 0x14}
	} },
	{"SQ_PERFCOUNTER12_HI", 0xd1d9, {
		{"PERFCOUNTER_HI", 0xffffffff, 0x0}
	} },
	{"CGTS_CU15_TD_TCP_CTRL_REG", 0xf057, {
		{"TD_LS_OVERRIDE", 0x400, 0xa},
		{"TCP_BUSY_OVERRIDE", 0x3000000, 0x18},
		{"TCP_OVERRIDE", 0x800000, 0x17},
		{"TCP_LS_OVERRIDE", 0x4000000, 0x1a},
		{"TCP", 0x7f0000, 0x10},
		{"TD_OVERRIDE", 0x80, 0x7},
		{"TCP_SIMDBUSY_OVERRIDE", 0x8000000, 0x1b},
		{"TD_BUSY_OVERRIDE", 0x300, 0x8},
		{"TD", 0x7f, 0x0},
		{"TD_SIMDBUSY_OVERRIDE", 0x800, 0xb}
	} },
	{"GDS_PERFCOUNTER1_LO", 0xd282, {
		{"PERFCOUNTER_LO", 0xffffffff, 0x0}
	} },
	{"SPI_P1_TRAP_SCREEN_GPR_MIN", 0x24f5, {
		{"SGPR_MIN", 0x3c0, 0x6},
		{"VGPR_MIN", 0x3f, 0x0}
	} }
};

}; // namespace amdregdb
