/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_gmc_gmc_6_0();

static const RegSpec gmc_gmc_6_0_regs[] = {
	{"MC_SEQ_TRAIN_WAKEUP_MASK", 0x0A3D, {
		{"ALLOWSTOP1_WAKEUP", 0x00080000L, 0x00000013},
		{"D1_ARF_WAKEUP", 0x00000002L, 0x00000001},
		{"D1_CMD_FIFO_READY_WAKEUP", 0x00000200L, 0x00000009},
		{"PHY_PG_WAKEUP", 0x04000000L, 0x0000001a},
		{"MCLK_FREQ_CHANGE_WAKEUP", 0x00000040L, 0x00000006},
		{"D0_WEDC_WAKEUP", 0x00000010L, 0x00000004},
		{"RESERVE0_WAKEUP", 0x00002000L, 0x0000000d},
		{"D1_DATA_FIFO_READY_WAKEUP", 0x00000800L, 0x0000000b},
		{"D0_IDLEH_WAKEUP", 0x01000000L, 0x00000018},
		{"D1_WEDC_WAKEUP", 0x00000020L, 0x00000005},
		{"ALLOWSTOPB0_WAKEUP", 0x00200000L, 0x00000015},
		{"ALLOWSTOPB1_WAKEUP", 0x00400000L, 0x00000016},
		{"D0_DATA_FIFO_READY_WAKEUP", 0x00000400L, 0x0000000a},
		{"ALLOWSTOP0_WAKEUP", 0x00040000L, 0x00000012},
		{"D0_REDC_WAKEUP", 0x00000004L, 0x00000002},
		{"TSM_DONE_WAKEUP", 0x00004000L, 0x0000000e},
		{"DPM_LPT_WAKEUP", 0x00800000L, 0x00000017},
		{"SOFTWARE_WAKEUP_WAKEUP", 0x00001000L, 0x0000000c},
		{"D0_CMD_FIFO_READY_WAKEUP", 0x00000100L, 0x00000008},
		{"TIMER_DONE_WAKEUP", 0x00008000L, 0x0000000f},
		{"D1_REDC_WAKEUP", 0x00000008L, 0x00000003},
		{"D0_ARF_WAKEUP", 0x00000001L, 0x00000000},
		{"SCLK_SRBM_READY_WAKEUP", 0x00000080L, 0x00000007},
		{"TCG_DONE_WAKEUP", 0x00020000L, 0x00000011},
		{"DPM_WAKEUP", 0x00100000L, 0x00000014},
		{"D1_IDLEH_WAKEUP", 0x02000000L, 0x00000019}
	} },
	{"MC_HUB_WRRET_MCDW", 0x087B, {
		{"STALL_MODE", 0x00000001L, 0x00000000},
		{"CREDIT_COUNT", 0x000000feL, 0x00000001}
	} },
	{"MC_XPB_P2P_BAR_DEBUG", 0x090D, {
		{"SEL", 0x000000ffL, 0x00000000},
		{"HOST_FLUSH", 0x00000f00L, 0x00000008},
		{"MEM_SYS_BAR", 0x0000f000L, 0x0000000c}
	} },
	{"VM_PRT_APERTURE0_LOW_ADDR", 0x052C, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"VM_CONTEXT3_PAGE_TABLE_BASE_ADDR", 0x0552, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"GMCON_MISC2", 0x0D44, {
		{"RENG_SR_HOLD_THRESHOLD", 0x0000fc00L, 0x0000000a},
		{"STCTRL_LPT_TARGET", 0x0fff0000L, 0x00000010},
		{"RENG_MEM_POWER_CTRL_OVERRIDE0", 0x00000007L, 0x00000000},
		{"RENG_MEM_POWER_CTRL_OVERRIDE1", 0x00000038L, 0x00000003},
		{"STCTRL_IGNORE_ARB_BUSY", 0x10000000L, 0x0000001c},
		{"STCTRL_EXTEND_GMC_OFFLINE", 0x20000000L, 0x0000001d}
	} },
	{"MC_HUB_WRRET_MCDY", 0x087D, {
		{"STALL_MODE", 0x00000001L, 0x00000000},
		{"CREDIT_COUNT", 0x000000feL, 0x00000001}
	} },
	{"MC_HUB_WRRET_MCDX", 0x087C, {
		{"STALL_MODE", 0x00000001L, 0x00000000},
		{"CREDIT_COUNT", 0x000000feL, 0x00000001}
	} },
	{"GMCON_MISC3", 0x0D51, {
		{"RENG_DISABLE_MCD", 0x00000fc0L, 0x00000006},
		{"RENG_DISABLE_MCC", 0x0000003fL, 0x00000000},
		{"STCTRL_FORCE_PGFSM_CMD_DONE", 0x00fff000L, 0x0000000c}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR1", 0x091B, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MPLL_FUNC_CNTL_2", 0x0AEF, {
		{"TEST_VCTL_EN", 0x00000002L, 0x00000001},
		{"TEST_FBDIV_SSC_BYPASS", 0x00000200L, 0x00000009},
		{"TEST_BYPMCLK", 0x00000040L, 0x00000006},
		{"TEST_BYPCLK_SRC", 0x00000010L, 0x00000004},
		{"BACKUP_2", 0x000e0000L, 0x00000011},
		{"TEST_VCTL_CNTRL", 0x00000100L, 0x00000008},
		{"TEST_FBDIV_FRAC_BYPASS", 0x00000020L, 0x00000005},
		{"RESET_TIMER", 0x00000c00L, 0x0000000a},
		{"MPLL_UNLOCK_CLEAR", 0x00000080L, 0x00000007},
		{"VCTRLADC_EN", 0x00000001L, 0x00000000},
		{"PFD_RESET_CNTRL", 0x00003000L, 0x0000000c},
		{"LF_CNTRL", 0x07f00000L, 0x00000014},
		{"TEST_BYPCLK_EN", 0x00000008L, 0x00000003},
		{"RESET_EN", 0x00000004L, 0x00000002},
		{"BACKUP", 0xf8000000L, 0x0000001b}
	} },
	{"MC_IO_DEBUG_DQB2H_TXBST_PD_D0", 0x0185, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_TXBST_PD_D1", 0x0195, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_RX_VREF_CAL_D0", 0x0140, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_RX_VREF_CAL_D1", 0x0150, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_RX_EQ_D1", 0x01D6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_RX_EQ_D0", 0x01C6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_TXSLF_D0", 0x0160, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_TXSLF_D1", 0x0170, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_CDR_PHSIZE_D0", 0x00ED, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_CDR_PHSIZE_D1", 0x00FD, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MPLL_DQ_FUNC_CNTL", 0x0AF1, {
		{"YCLK_SEL", 0x00000010L, 0x00000004},
		{"SPARE_0", 0x00000008L, 0x00000003},
		{"SPARE", 0xffffffe0L, 0x00000005},
		{"YCLK_POST_DIV", 0x00000007L, 0x00000000}
	} },
	{"MC_CITF_CREDITS_XBAR", 0x0989, {
		{"READ_LCL", 0x000000ffL, 0x00000000},
		{"WRITE_LCL", 0x0000ff00L, 0x00000008}
	} },
	{"MC_SEQ_PERF_CNTL", 0x0A77, {
		{"MONITOR_PERIOD", 0x3fffffffL, 0x00000000},
		{"CNTL", 0xc0000000L, 0x0000001e}
	} },
	{"MC_IO_DEBUG_DQB0H_MISC_D0", 0x00A1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_MISC_D1", 0x00B1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_TXPHASE_D1", 0x0136, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_TXPHASE_D0", 0x0126, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TRAIN_EDC_THRESHOLD", 0x0A3B, {
		{"WRITE_EDC_THRESHOLD", 0x0000ffffL, 0x00000000},
		{"READ_EDC_THRESHOLD", 0xffff0000L, 0x00000010}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_2_LOW_ADDR", 0x0813, {
		{"PHYSICAL_ADDRESS", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG24", 0x092C, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"ATC_ATS_FAULT_STATUS_INFO", 0x0CCE, {
		{"STATUS", 0x00f80000L, 0x00000013},
		{"EXTRA_INFO2", 0x00010000L, 0x00000010},
		{"VMID", 0x00007c00L, 0x0000000a},
		{"PAGE_ADDR_HIGH", 0x0f000000L, 0x00000018},
		{"INVALIDATION", 0x00020000L, 0x00000011},
		{"FAULT_TYPE", 0x0000003fL, 0x00000000},
		{"PAGE_REQUEST", 0x00040000L, 0x00000012},
		{"EXTRA_INFO", 0x00008000L, 0x0000000f}
	} },
	{"MC_IO_DEBUG_ADDRL_TXSLF_D0", 0x016C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRL_TXSLF_D1", 0x017C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_CONTEXT2_PAGE_TABLE_BASE_ADDR", 0x0551, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_STATUS", 0x0536, {
		{"VMID", 0x1e000000L, 0x00000019},
		{"MEMORY_CLIENT_ID", 0x000ff000L, 0x0000000c},
		{"PROTECTIONS", 0x000000ffL, 0x00000000},
		{"MEMORY_CLIENT_RW", 0x01000000L, 0x00000018}
	} },
	{"MC_IO_DEBUG_DQB2L_TXBST_PD_D0", 0x0184, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_TXBST_PD_D1", 0x0194, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_TXBST_PU_D0", 0x01A2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_TXBST_PU_D1", 0x01B2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"DLL_CNTL", 0x0AE9, {
		{"DLL_LOCK_TIME", 0x003ff000L, 0x0000000c},
		{"MRDCK1_BYPASS", 0x02000000L, 0x00000019},
		{"PWR2_MODE", 0x04000000L, 0x0000001a},
		{"DLL_RESET_TIME", 0x000003ffL, 0x00000000},
		{"MRDCK0_BYPASS", 0x01000000L, 0x00000018}
	} },
	{"MC_TRAIN_PRBSERR_2_D0", 0x0AFB, {
		{"CK_STATUS", 0x00000001L, 0x00000000},
		{"RAS_STATUS", 0x00000200L, 0x00000009},
		{"CS_STATUS", 0x00000030L, 0x00000004},
		{"ADDR_STATUS", 0x03ff0000L, 0x00000010},
		{"CKB_STATUS", 0x00000002L, 0x00000001},
		{"WE_STATUS", 0x00000800L, 0x0000000b},
		{"CAS_STATUS", 0x00000400L, 0x0000000a},
		{"ABI_STATUS", 0x10000000L, 0x0000001c},
		{"CKE_STATUS", 0x00000100L, 0x00000008}
	} },
	{"MC_IO_DEBUG_DQB2H_TXSLF_D0", 0x0165, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_TXSLF_D1", 0x0175, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_149", 0x0095, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_148", 0x0094, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_147", 0x0093, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_146", 0x0092, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_145", 0x0091, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_144", 0x0090, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_143", 0x008F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_142", 0x008E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_TXPHASE_D1", 0x013F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_TXPHASE_D0", 0x012F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_P2P_BAR4", 0x0908, {
		{"HOST_FLUSH", 0x0000000fL, 0x00000000},
		{"RESERVED", 0x00008000L, 0x0000000f},
		{"COMPRESS_DIS", 0x00004000L, 0x0000000e},
		{"MEM_SYS_BAR", 0x00000f00L, 0x00000008},
		{"SEND_DIS", 0x00002000L, 0x0000000d},
		{"VALID", 0x00001000L, 0x0000000c},
		{"ADDRESS", 0xffff0000L, 0x00000010},
		{"REG_SYS_BAR", 0x000000f0L, 0x00000004}
	} },
	{"MC_ARB_RET_CREDITS_WR", 0x09F5, {
		{"LCL", 0x000000ffL, 0x00000000},
		{"RETURN_CREDIT", 0x00ff0000L, 0x00000010},
		{"WRRET_SEQ_SKID", 0x0f000000L, 0x00000018},
		{"HUB", 0x0000ff00L, 0x00000008}
	} },
	{"MC_IO_DEBUG_DQB0H_RX_VREF_CAL_D0", 0x0141, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_RX_VREF_CAL_D1", 0x0151, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_27", 0x001B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_26", 0x001A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_25", 0x0019, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_24", 0x0018, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_23", 0x0017, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_22", 0x0016, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_21", 0x0015, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_20", 0x0014, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_MISC_DBG", 0x0831, {
		{"SELECT1", 0x000000f0L, 0x00000004},
		{"SELECT0", 0x0000000fL, 0x00000000}
	} },
	{"VM_PRT_APERTURE3_HIGH_ADDR", 0x0533, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XPB_CLG_EXTRA_RD", 0x0935, {
		{"CMP0", 0x000000ffL, 0x00000000},
		{"CMP1", 0x01fe0000L, 0x00000011},
		{"VLD1", 0x02000000L, 0x00000019},
		{"VLD0", 0x00010000L, 0x00000010},
		{"MSK0", 0x0000ff00L, 0x00000008}
	} },
	{"MC_IO_DEBUG_DBI_MISC_D0", 0x00A8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_MISC_D1", 0x00B8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_CLKSEL_D0", 0x00C1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_CLKSEL_D1", 0x00D1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_RTT_CNTL2", 0x09D2, {
		{"SAMPLE_CNT", 0x0000003fL, 0x00000000},
		{"FILTER_CNTL", 0x00002000L, 0x0000000d},
		{"PHASE_ADJUST_SIZE", 0x00001000L, 0x0000000c},
		{"PHASE_ADJUST_THRESHOLD", 0x00000fc0L, 0x00000006}
	} },
	{"MC_ARB_RTT_CNTL1", 0x09D1, {
		{"WINDOW_SIZE_MIN", 0x3e000000L, 0x00000019},
		{"WINDOW_SIZE", 0x0000001fL, 0x00000000},
		{"WINDOW_SIZE_MAX", 0x01f00000L, 0x00000014},
		{"WINDOW_UPDATE", 0x00000020L, 0x00000005},
		{"WINDOW_INC_THRESHOLD", 0x00001fc0L, 0x00000006},
		{"WINDOW_DEC_THRESHOLD", 0x000fe000L, 0x0000000d},
		{"WINDOW_UPDATE_COUNT", 0xc0000000L, 0x0000001e}
	} },
	{"MC_ARB_RTT_CNTL0", 0x09D0, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"DEBUG_RSV_8", 0x00800000L, 0x00000017},
		{"START_R2W", 0x0000000cL, 0x00000002},
		{"DEBUG_RSV_7", 0x00400000L, 0x00000016},
		{"DEBUG_RSV_6", 0x00200000L, 0x00000015},
		{"DEBUG_RSV_5", 0x00100000L, 0x00000014},
		{"DEBUG_RSV_4", 0x00080000L, 0x00000013},
		{"DEBUG_RSV_3", 0x00040000L, 0x00000012},
		{"DEBUG_RSV_2", 0x00020000L, 0x00000011},
		{"DEBUG_RSV_1", 0x00010000L, 0x00000010},
		{"TPS_HARSH_PRIORITY", 0x00000040L, 0x00000006},
		{"BREAK_ON_HARSH", 0x00000100L, 0x00000008},
		{"BREAK_ON_URGENTWR", 0x00000400L, 0x0000000a},
		{"DATA_CNTL", 0x01000000L, 0x00000018},
		{"BREAK_ON_URGENTRD", 0x00000200L, 0x00000009},
		{"DEBUG_RSV_0", 0x00008000L, 0x0000000f},
		{"TWRT_HARSH_PRIORITY", 0x00000080L, 0x00000007},
		{"START_R2W_RFSH", 0x00004000L, 0x0000000e},
		{"FLUSH_ON_ENTER", 0x00000010L, 0x00000004},
		{"TRAIN_PERIOD", 0x00003800L, 0x0000000b},
		{"START_IDLE", 0x00000002L, 0x00000001},
		{"NEIGHBOR_BIT", 0x02000000L, 0x00000019},
		{"HARSH_START", 0x00000020L, 0x00000005}
	} },
	{"MC_IO_DEBUG_DQ0_RX_EQ_PM_D1", 0x01DB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQ0_RX_EQ_PM_D0", 0x01CB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_138", 0x008A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_139", 0x008B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_BIST_EADDR", 0x0A09, {
		{"RANK", 0x10000000L, 0x0000001c},
		{"COLH", 0x20000000L, 0x0000001d},
		{"ROWH", 0xc0000000L, 0x0000001e},
		{"COL", 0x000003ffL, 0x00000000},
		{"BANK", 0x0f000000L, 0x00000018},
		{"ROW", 0x00fffc00L, 0x0000000a}
	} },
	{"MC_IO_DEBUG_UP_132", 0x0084, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_133", 0x0085, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_130", 0x0082, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_131", 0x0083, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_136", 0x0088, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_137", 0x0089, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_134", 0x0086, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_135", 0x0087, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_CITF_XTRA_ENABLE", 0x096D, {
		{"DB1_WR", 0x00000008L, 0x00000003},
		{"ARB_DBG", 0x00000f00L, 0x00000008},
		{"DB1_RD", 0x00000004L, 0x00000002},
		{"TC2_RD", 0x00000010L, 0x00000004},
		{"TC2_WR", 0x00001000L, 0x0000000c},
		{"CB1_WR", 0x00000002L, 0x00000001},
		{"CB1_RD", 0x00000001L, 0x00000000}
	} },
	{"MC_SEQ_BIT_REMAP_B1_D0", 0x0AA4, {
		{"BIT7", 0x00e00000L, 0x00000015},
		{"BIT6", 0x001c0000L, 0x00000012},
		{"BIT5", 0x00038000L, 0x0000000f},
		{"BIT4", 0x00007000L, 0x0000000c},
		{"BIT3", 0x00000e00L, 0x00000009},
		{"BIT2", 0x000001c0L, 0x00000006},
		{"BIT1", 0x00000038L, 0x00000003},
		{"BIT0", 0x00000007L, 0x00000000}
	} },
	{"MC_ARB_GECC2_DEBUG", 0x09C4, {
		{"SW_INJECTION", 0x00000020L, 0x00000005},
		{"DIRECTION", 0x00000004L, 0x00000002},
		{"NUM_ERR_BITS", 0x00000003L, 0x00000000},
		{"DATA_FIELD", 0x00000018L, 0x00000003}
	} },
	{"MC_SEQ_MISC6", 0x0A96, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_TRAIN_EDCCDR_R_D0", 0x0A41, {
		{"EDC2", 0x00ff0000L, 0x00000010},
		{"EDC3", 0xff000000L, 0x00000018},
		{"EDC0", 0x000000ffL, 0x00000000},
		{"EDC1", 0x0000ff00L, 0x00000008}
	} },
	{"MC_HUB_WRRET_STATUS", 0x083A, {
		{"MCDZ_AVAIL", 0x00000008L, 0x00000003},
		{"MCDX_AVAIL", 0x00000002L, 0x00000001},
		{"MCDY_AVAIL", 0x00000004L, 0x00000002},
		{"MCDW_AVAIL", 0x00000001L, 0x00000000}
	} },
	{"MC_VM_MX_L1_TLB_CNTL", 0x0819, {
		{"SYSTEM_ACCESS_MODE", 0x00000018L, 0x00000003},
		{"SYSTEM_APERTURE_UNMAPPED_ACCESS", 0x00000020L, 0x00000005},
		{"ENABLE_ADVANCED_DRIVER_MODEL", 0x00000040L, 0x00000006},
		{"ENABLE_L1_TLB", 0x00000001L, 0x00000000},
		{"ENABLE_L1_FRAGMENT_PROCESSING", 0x00000002L, 0x00000001},
		{"ECO_BITS", 0x00000780L, 0x00000007}
	} },
	{"MC_RD_HUB", 0x0985, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"MAX_BURST", 0x00000780L, 0x00000007},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"MC_IO_DEBUG_DQB3H_TXBST_PD_D1", 0x0197, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_RD_GRP_SYS", 0x0805, {
		{"VCEU", 0xf0000000L, 0x0000001c},
		{"VCE", 0x0f000000L, 0x00000018},
		{"SMU", 0x00f00000L, 0x00000014},
		{"MCIF", 0x000f0000L, 0x00000010},
		{"RLC", 0x0000000fL, 0x00000000},
		{"VMC", 0x000000f0L, 0x00000004},
		{"DMIF", 0x0000f000L, 0x0000000c}
	} },
	{"MC_IO_DEBUG_DQB2H_CLKSEL_D0", 0x00C5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_CLKSEL_D1", 0x00D5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_TXBST_PD_D0", 0x0187, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_RXPHASE_D0", 0x0108, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_RXPHASE_D1", 0x0118, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_RESERVE_1_S", 0x0A1F, {
		{"SCLK_FIELD", 0xffffffffL, 0x00000000}
	} },
	{"MC_HUB_WDP_ERR", 0x0836, {
		{"MGPU1_TARG_SYS", 0x00000001L, 0x00000000},
		{"MGPU2_TARG_SYS", 0x00000002L, 0x00000001}
	} },
	{"MC_SEQ_TXFRAMING_FCK_D0", 0x0A5E, {
		{"FCK0", 0x0000000fL, 0x00000000},
		{"FCK1", 0x000000f0L, 0x00000004},
		{"FCK2", 0x00000f00L, 0x00000008},
		{"FCK3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_RPB_CID_QUEUE_EX_DATA", 0x095B, {
		{"READ_ENTRIES", 0xffff0000L, 0x00000010},
		{"WRITE_ENTRIES", 0x0000ffffL, 0x00000000}
	} },
	{"MC_HUB_WDP_RLC", 0x0873, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_IO_DPHY_STR_CNTL_D0", 0x0A4E, {
		{"PSTR_OFF_D", 0x0000003fL, 0x00000000},
		{"USE_D_CAL", 0x01000000L, 0x00000018},
		{"LOAD_D_STR", 0x10000000L, 0x0000001c},
		{"CAL_SEL", 0x0c000000L, 0x0000001a},
		{"USE_S_CAL", 0x02000000L, 0x00000019},
		{"NSTR_OFF_S", 0x00fc0000L, 0x00000012},
		{"LOAD_S_STR", 0x20000000L, 0x0000001d},
		{"PSTR_OFF_S", 0x0003f000L, 0x0000000c},
		{"NSTR_OFF_D", 0x00000fc0L, 0x00000006}
	} },
	{"MC_IO_RXCNTL1_DPHY0_D1", 0x0AE1, {
		{"VREFCAL1_MSB", 0x0000000fL, 0x00000000},
		{"PMD_LOOPBACK", 0x0e000000L, 0x00000019},
		{"VREFSEL2", 0x00010000L, 0x00000010},
		{"VREFCAL3", 0x0000ff00L, 0x00000008},
		{"VREFCAL2_MSB", 0x000000f0L, 0x00000004},
		{"VREFSEL3", 0x00020000L, 0x00000011},
		{"DLL_RSV", 0xf0000000L, 0x0000001c},
		{"VREFPDNB_1", 0x00040000L, 0x00000012}
	} },
	{"MC_RD_GRP_EXT", 0x0978, {
		{"DBSTEN0", 0x0000000fL, 0x00000000},
		{"TC0", 0x000000f0L, 0x00000004}
	} },
	{"MC_VM_MD_L1_TLB0_DEBUG", 0x0998, {
		{"SEND_FREE_AT_RTN", 0x00000100L, 0x00000008},
		{"INVALIDATE_L1_TLB", 0x00000001L, 0x00000000},
		{"L1_TLB_DEBUG", 0x00078000L, 0x0000000f},
		{"EFFECTIVE_L1_TLB_SIZE", 0x00000e00L, 0x00000009},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x00007000L, 0x0000000c}
	} },
	{"VM_L2_CONTEXT_IDENTITY_PHYSICAL_OFFSET", 0x0577, {
		{"PHYSICAL_PAGE_OFFSET", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_DPHY_STR_CNTL_D1", 0x0A54, {
		{"PSTR_OFF_D", 0x0000003fL, 0x00000000},
		{"USE_D_CAL", 0x01000000L, 0x00000018},
		{"LOAD_D_STR", 0x10000000L, 0x0000001c},
		{"CAL_SEL", 0x0c000000L, 0x0000001a},
		{"USE_S_CAL", 0x02000000L, 0x00000019},
		{"NSTR_OFF_S", 0x00fc0000L, 0x00000012},
		{"LOAD_S_STR", 0x20000000L, 0x0000001d},
		{"PSTR_OFF_S", 0x0003f000L, 0x0000000c},
		{"NSTR_OFF_D", 0x00000fc0L, 0x00000006}
	} },
	{"MC_IO_DEBUG_DQB1L_MISC_D1", 0x00B2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_MISC_D0", 0x00A2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_DUMMY_PAGE_FAULT_ADDR", 0x0507, {
		{"DUMMY_PAGE_ADDR", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XPB_RTR_SRC_APRTR8", 0x08D5, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_CLKSEL_D0", 0x00C0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_CLKSEL_D1", 0x00D0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_RX_EQ_D1", 0x01D9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_STATUS", 0x0838, {
		{"MCDZ_RD_AVAIL", 0x00000010L, 0x00000004},
		{"MCDY_RD_AVAIL", 0x00000008L, 0x00000003},
		{"MCDW_WR_AVAIL", 0x00000800L, 0x0000000b},
		{"GBL0_VM_FULL", 0x00000020L, 0x00000005},
		{"MCDX_RD_AVAIL", 0x00000004L, 0x00000002},
		{"MCDZ_WR_AVAIL", 0x00004000L, 0x0000000e},
		{"GBL0_STOR_FULL", 0x00000040L, 0x00000006},
		{"MCDX_WR_AVAIL", 0x00001000L, 0x0000000c},
		{"SIP_AVAIL", 0x00000001L, 0x00000000},
		{"MCDY_WR_AVAIL", 0x00002000L, 0x0000000d},
		{"GBL1_BYPASS_STOR_FULL", 0x00000400L, 0x0000000a},
		{"GBL0_BYPASS_STOR_FULL", 0x00000080L, 0x00000007},
		{"MCDW_RD_AVAIL", 0x00000002L, 0x00000001},
		{"GBL1_VM_FULL", 0x00000100L, 0x00000008},
		{"GBL1_STOR_FULL", 0x00000200L, 0x00000009}
	} },
	{"MC_IO_TXCNTL_DPHY1_D0", 0x0A4A, {
		{"TSTEN", 0x01000000L, 0x00000018},
		{"LOWCMEN", 0x00000010L, 0x00000004},
		{"NTERM", 0x0000f000L, 0x0000000c},
		{"TXBYPASS", 0x04000000L, 0x0000001a},
		{"EMPH", 0x00000040L, 0x00000006},
		{"PLL_LOOPBCK", 0x08000000L, 0x0000001b},
		{"PTERM", 0x00000f00L, 0x00000008},
		{"QDR", 0x00000020L, 0x00000005},
		{"TXBYPASS_DATA", 0xf0000000L, 0x0000001c},
		{"PDRV", 0x000f0000L, 0x00000010},
		{"TXPD", 0x00000080L, 0x00000007},
		{"NDRV", 0x00f00000L, 0x00000014},
		{"EDCTX_CLKGATE_EN", 0x02000000L, 0x00000019},
		{"BIASSEL", 0x00000003L, 0x00000000},
		{"DRVDUTY", 0x0000000cL, 0x00000002}
	} },
	{"MC_IO_TXCNTL_DPHY1_D1", 0x0A50, {
		{"TSTEN", 0x01000000L, 0x00000018},
		{"LOWCMEN", 0x00000010L, 0x00000004},
		{"NTERM", 0x0000f000L, 0x0000000c},
		{"TXBYPASS", 0x04000000L, 0x0000001a},
		{"EMPH", 0x00000040L, 0x00000006},
		{"PLL_LOOPBCK", 0x08000000L, 0x0000001b},
		{"PTERM", 0x00000f00L, 0x00000008},
		{"QDR", 0x00000020L, 0x00000005},
		{"TXBYPASS_DATA", 0xf0000000L, 0x0000001c},
		{"PDRV", 0x000f0000L, 0x00000010},
		{"TXPD", 0x00000080L, 0x00000007},
		{"NDRV", 0x00f00000L, 0x00000014},
		{"EDCTX_CLKGATE_EN", 0x02000000L, 0x00000019},
		{"BIASSEL", 0x00000003L, 0x00000000},
		{"DRVDUTY", 0x0000000cL, 0x00000002}
	} },
	{"MC_IO_DEBUG_EDC_RX_EQ_D0", 0x01C9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_CITF_RET_MODE", 0x0976, {
		{"LCLPRI_RD", 0x00000010L, 0x00000004},
		{"LCLPRI_WR", 0x00000020L, 0x00000005},
		{"INORDER_RD", 0x00000001L, 0x00000000},
		{"INORDER_WR", 0x00000002L, 0x00000001},
		{"REMPRI_RD", 0x00000004L, 0x00000002},
		{"REMPRI_WR", 0x00000008L, 0x00000003}
	} },
	{"MC_IO_RXCNTL1_DPHY0_D0", 0x0ADF, {
		{"VREFCAL1_MSB", 0x0000000fL, 0x00000000},
		{"PMD_LOOPBACK", 0x0e000000L, 0x00000019},
		{"VREFSEL2", 0x00010000L, 0x00000010},
		{"VREFCAL3", 0x0000ff00L, 0x00000008},
		{"VREFCAL2_MSB", 0x000000f0L, 0x00000004},
		{"VREFSEL3", 0x00020000L, 0x00000011},
		{"DLL_RSV", 0xf0000000L, 0x0000001c},
		{"VREFPDNB_1", 0x00040000L, 0x00000012}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_B_I0", 0x0A7B, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_RX_EQ_D0", 0x01C0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_RX_EQ_D1", 0x01D0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_PMG_TIMING_LP", 0x0AD3, {
		{"TCKE_PULSE_MSB", 0x00800000L, 0x00000017},
		{"TCKSRE", 0x00000007L, 0x00000000},
		{"TCKE", 0x0003f000L, 0x0000000c},
		{"SEQ_IDLE_SS", 0xff000000L, 0x00000018},
		{"SEQ_IDLE", 0x001c0000L, 0x00000012},
		{"TCKE_PULSE", 0x00000f00L, 0x00000008},
		{"TCKSRX", 0x00000070L, 0x00000004}
	} },
	{"MC_IO_DEBUG_EDC_RXPHASE_D1", 0x0119, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_RXPHASE_D0", 0x0109, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_CLKSEL_D1", 0x00D2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_CLKSEL_D0", 0x00C2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_CLKSEL_D1", 0x00D7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_CLKSEL_D0", 0x00C7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_CG", 0x09FA, {
		{"CG_ARB_RESP", 0x0000ff00L, 0x00000008},
		{"CG_ARB_REQ", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_TXBST_PU_D1", 0x01B4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_TXBST_PU_D0", 0x01A4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_CITF_DAGB_DLY", 0x0977, {
		{"DLY", 0x0000001fL, 0x00000000},
		{"CLI", 0x001f0000L, 0x00000010},
		{"POS", 0x1f000000L, 0x00000018}
	} },
	{"MC_BIST_CNTL", 0x0A05, {
		{"RESET", 0x00000001L, 0x00000000},
		{"ENABLE_D1", 0x00002000L, 0x0000000d},
		{"ENABLE_D0", 0x00001000L, 0x0000000c},
		{"LOAD_RTDATA", 0x80000000L, 0x0000001f},
		{"LOAD_RTDATA_CH", 0x00004000L, 0x0000000e},
		{"RUN", 0x00000002L, 0x00000001},
		{"LOOP_CNT", 0x0fff0000L, 0x00000010},
		{"DONE", 0x40000000L, 0x0000001e},
		{"MOP_MODE", 0x00000010L, 0x00000004},
		{"PTR_RST_D1", 0x00000008L, 0x00000003},
		{"PTR_RST_D0", 0x00000004L, 0x00000002},
		{"DAT_MODE", 0x00000040L, 0x00000006},
		{"LOOP", 0x00000c00L, 0x0000000a},
		{"ADR_MODE", 0x00000020L, 0x00000005}
	} },
	{"MC_ARB_MISC", 0x09D6, {
		{"HARSHNESS", 0x0007f800L, 0x0000000b},
		{"SMART_RDWR_SW", 0x00080000L, 0x00000013},
		{"STICKY_RFSH", 0x00000001L, 0x00000000},
		{"CALI_ENABLE", 0x00100000L, 0x00000014},
		{"DISPURG_THROTTLE", 0x3c000000L, 0x0000001a},
		{"CHAN_COUPLE", 0x000007f8L, 0x00000003},
		{"DISPURG_NOSW2WR", 0x01000000L, 0x00000018},
		{"IDLE_RFSH", 0x00000002L, 0x00000001},
		{"DISPURGVLD_NOWRT", 0x00800000L, 0x00000017},
		{"DISPURG_STALL", 0x02000000L, 0x00000019},
		{"CALI_RATES", 0x00600000L, 0x00000015},
		{"STUTTER_RFSH", 0x00000004L, 0x00000002}
	} },
	{"MC_HUB_RDREQ_SIP", 0x0855, {
		{"DUMMY", 0x00000080L, 0x00000007},
		{"DISPLAY_CREDITS", 0x00007f00L, 0x00000008},
		{"ASK_CREDITS", 0x0000007fL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_RXPHASE_D0", 0x010B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_RXPHASE_D1", 0x011B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_RX_VREF_CAL_D0", 0x014A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_66", 0x0042, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_CITF_MISC_RD_CG", 0x0992, {
		{"OFFDLY", 0x00000fc0L, 0x00000006},
		{"ENABLE", 0x00040000L, 0x00000012},
		{"MEM_LS_ENABLE", 0x00080000L, 0x00000013},
		{"ONDLY", 0x0000003fL, 0x00000000},
		{"RDYDLY", 0x0003f000L, 0x0000000c}
	} },
	{"MC_ARB_WCDR_2", 0x09CE, {
		{"DEBUG_5", 0x00004000L, 0x0000000e},
		{"DEBUG_4", 0x00002000L, 0x0000000d},
		{"DEBUG_3", 0x00001000L, 0x0000000c},
		{"DEBUG_2", 0x00000800L, 0x0000000b},
		{"DEBUG_1", 0x00000400L, 0x0000000a},
		{"DEBUG_0", 0x00000200L, 0x00000009},
		{"WPRE_INC_STEP", 0x0000000fL, 0x00000000},
		{"WPRE_MIN_THRESHOLD", 0x000001f0L, 0x00000004}
	} },
	{"MC_VM_MD_L1_TLB2_DEBUG", 0x099A, {
		{"SEND_FREE_AT_RTN", 0x00000100L, 0x00000008},
		{"INVALIDATE_L1_TLB", 0x00000001L, 0x00000000},
		{"L1_TLB_DEBUG", 0x00078000L, 0x0000000f},
		{"EFFECTIVE_L1_TLB_SIZE", 0x00000e00L, 0x00000009},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x00007000L, 0x0000000c}
	} },
	{"VM_CONTEXT1_PAGE_TABLE_START_ADDR", 0x0558, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_DRAM", 0x0A26, {
		{"ODT_ENB", 0x04000000L, 0x0000001a},
		{"ODT_ACT", 0x08000000L, 0x0000001b},
		{"AP8", 0x00000008L, 0x00000003},
		{"DLL_CLR", 0x00008000L, 0x0000000f},
		{"TRI_MIO_DYN", 0x20000000L, 0x0000001d},
		{"DQS_DF1", 0x00000020L, 0x00000005},
		{"INV_ACM", 0x02000000L, 0x00000019},
		{"RST_CTL", 0x10000000L, 0x0000001c},
		{"CKE_DYN", 0x00001000L, 0x0000000c},
		{"DAT_INV", 0x01000000L, 0x00000018},
		{"BO4", 0x00004000L, 0x0000000e},
		{"CKE_ACT", 0x00002000L, 0x0000000d},
		{"ADR_DF1", 0x00000004L, 0x00000002},
		{"DLL_CNT", 0x00ff0000L, 0x00000010},
		{"STB_CNT", 0x00000f00L, 0x00000008},
		{"DQM_ACT", 0x00000080L, 0x00000007},
		{"ADR_2CK", 0x00000001L, 0x00000000},
		{"DAT_DF1", 0x00000010L, 0x00000004},
		{"ADR_MUX", 0x00000002L, 0x00000001},
		{"TRI_CKE", 0x40000000L, 0x0000001e},
		{"DQM_DF1", 0x00000040L, 0x00000006}
	} },
	{"MC_TRAIN_EDC_STATUS_D1", 0x0A48, {
		{"REDC_CNT", 0xffff0000L, 0x00000010},
		{"WEDC_CNT", 0x0000ffffL, 0x00000000}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_2_HIGH_ADDR", 0x0817, {
		{"PHYSICAL_ADDRESS", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XPB_P2P_BAR7", 0x090B, {
		{"HOST_FLUSH", 0x0000000fL, 0x00000000},
		{"RESERVED", 0x00008000L, 0x0000000f},
		{"COMPRESS_DIS", 0x00004000L, 0x0000000e},
		{"MEM_SYS_BAR", 0x00000f00L, 0x00000008},
		{"SEND_DIS", 0x00002000L, 0x0000000d},
		{"VALID", 0x00001000L, 0x0000000c},
		{"ADDRESS", 0xffff0000L, 0x00000010},
		{"REG_SYS_BAR", 0x000000f0L, 0x00000004}
	} },
	{"MC_IO_DEBUG_DQB1L_TXSLF_D1", 0x0172, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_TXSLF_D0", 0x0162, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_MISC_D0", 0x00A5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_MISC_D1", 0x00B5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_P2P_BAR_SETUP", 0x090C, {
		{"RESERVED", 0x00008000L, 0x0000000f},
		{"COMPRESS_DIS", 0x00004000L, 0x0000000e},
		{"SEND_DIS", 0x00002000L, 0x0000000d},
		{"VALID", 0x00001000L, 0x0000000c},
		{"ADDRESS", 0xffff0000L, 0x00000010},
		{"REG_SYS_BAR", 0x00000f00L, 0x00000008},
		{"SEL", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_IO_RWORD0", 0x0AAC, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"ATC_VM_APERTURE1_CNTL2", 0x0CC7, {
		{"VMIDS_USING_RANGE", 0x0000ffffL, 0x00000000}
	} },
	{"MC_SEQ_IO_RWORD1", 0x0AAD, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_RPB_CID_QUEUE_RD", 0x0957, {
		{"WRITE_QUEUE", 0x00000300L, 0x00000008},
		{"READ_QUEUE", 0x00000c00L, 0x0000000a},
		{"CLIENT_ID", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_RX_VREF_CAL_D0", 0x0142, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TRAIN_PRBSERR_0_D1", 0x0A46, {
		{"DQ_STATUS", 0xffffffffL, 0x00000000}
	} },
	{"MC_XPB_UNC_THRESH_SID", 0x0900, {
		{"USE_UNFULL", 0x0003f000L, 0x0000000c},
		{"CHANGE_PREF", 0x0000003fL, 0x00000000},
		{"STRONG_PREF", 0x00000fc0L, 0x00000006}
	} },
	{"VM_CONTEXT0_PAGE_TABLE_START_ADDR", 0x0557, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_IO_RWORD3", 0x0AAF, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_SUP_PGM", 0x0A33, {
		{"CNTL", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_SUP_PGM_STAT", 0x0A89, {
		{"STATUS", 0xffffffffL, 0x00000000}
	} },
	{"GMCON_PGFSM_WRITE", 0x0D4F, {
		{"WRITE_VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_PMG_AUTO_CFG", 0x0A35, {
		{"SCDS_MODE", 0x00000400L, 0x0000000a},
		{"RST_MRS", 0x00000002L, 0x00000001},
		{"EXIT_ALLOW_STOP", 0x00000800L, 0x0000000b},
		{"SS_ALWAYS_SLF", 0x00000100L, 0x00000008},
		{"TRI_MIO", 0x00000004L, 0x00000002},
		{"SYC_CLK", 0x00000001L, 0x00000000},
		{"WRITE_DURING_DLOCK", 0x00100000L, 0x00000014},
		{"SELFREFR_COMMIT_1", 0x00800000L, 0x00000017},
		{"SELFREFR_COMMIT_0", 0x00008000L, 0x0000000f},
		{"SS_S_SLF", 0x00000200L, 0x00000009},
		{"PREA_SRX", 0x00002000L, 0x0000000d},
		{"XSR_TMR", 0x000000f0L, 0x00000004},
		{"RXPDNB", 0x00400000L, 0x00000016},
		{"MRS_WAIT_CNT", 0x000f0000L, 0x00000010},
		{"STUTTER_EN", 0x00004000L, 0x0000000e},
		{"DLL_CNT", 0xff000000L, 0x00000018},
		{"RFS_SRX", 0x00001000L, 0x0000000c},
		{"YCLK_ON", 0x00200000L, 0x00000015}
	} },
	{"MC_IO_TXCNTL_DPHY0_D1", 0x0A4F, {
		{"TSTEN", 0x01000000L, 0x00000018},
		{"LOWCMEN", 0x00000010L, 0x00000004},
		{"NTERM", 0x0000f000L, 0x0000000c},
		{"TXBYPASS", 0x04000000L, 0x0000001a},
		{"EMPH", 0x00000040L, 0x00000006},
		{"PLL_LOOPBCK", 0x08000000L, 0x0000001b},
		{"PTERM", 0x00000f00L, 0x00000008},
		{"QDR", 0x00000020L, 0x00000005},
		{"TXBYPASS_DATA", 0xf0000000L, 0x0000001c},
		{"PDRV", 0x000f0000L, 0x00000010},
		{"TXPD", 0x00000080L, 0x00000007},
		{"NDRV", 0x00f00000L, 0x00000014},
		{"EDCTX_CLKGATE_EN", 0x02000000L, 0x00000019},
		{"BIASSEL", 0x00000003L, 0x00000000},
		{"DRVDUTY", 0x0000000cL, 0x00000002}
	} },
	{"MC_IO_TXCNTL_DPHY0_D0", 0x0A49, {
		{"TSTEN", 0x01000000L, 0x00000018},
		{"LOWCMEN", 0x00000010L, 0x00000004},
		{"NTERM", 0x0000f000L, 0x0000000c},
		{"TXBYPASS", 0x04000000L, 0x0000001a},
		{"EMPH", 0x00000040L, 0x00000006},
		{"PLL_LOOPBCK", 0x08000000L, 0x0000001b},
		{"PTERM", 0x00000f00L, 0x00000008},
		{"QDR", 0x00000020L, 0x00000005},
		{"TXBYPASS_DATA", 0xf0000000L, 0x0000001c},
		{"PDRV", 0x000f0000L, 0x00000010},
		{"TXPD", 0x00000080L, 0x00000007},
		{"NDRV", 0x00f00000L, 0x00000014},
		{"EDCTX_CLKGATE_EN", 0x02000000L, 0x00000019},
		{"BIASSEL", 0x00000003L, 0x00000000},
		{"DRVDUTY", 0x0000000cL, 0x00000002}
	} },
	{"MC_XPB_STICKY", 0x0925, {
		{"BITS", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_CLKSEL_D0", 0x00CD, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_CLKSEL_D1", 0x00DD, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_L2_CNTL", 0x0CD5, {
		{"NUMBER_OF_TRANSLATION_READS_DEPENDS_ON_ADDR_MOD", 0x00000400L, 0x0000000a},
		{"NUMBER_OF_TRANSLATION_WRITE_REQUESTS", 0x00000030L, 0x00000004},
		{"NUMBER_OF_TRANSLATION_READ_REQUESTS", 0x00000003L, 0x00000000},
		{"NUMBER_OF_TRANSLATION_WRITES_DEPENDS_ON_ADDR_MOD", 0x00000800L, 0x0000000b}
	} },
	{"MC_XBAR_SPARE0", 0x0C97, {
		{"BIT", 0xffffffffL, 0x00000000}
	} },
	{"MC_XPB_RTR_DEST_MAP8", 0x08E3, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_XPB_RTR_DEST_MAP9", 0x08E4, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_XPB_RTR_DEST_MAP6", 0x08E1, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_XPB_RTR_DEST_MAP7", 0x08E2, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_XPB_RTR_DEST_MAP4", 0x08DF, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_XPB_RTR_DEST_MAP5", 0x08E0, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_XPB_RTR_DEST_MAP2", 0x08DD, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_XPB_RTR_DEST_MAP3", 0x08DE, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_XPB_RTR_DEST_MAP0", 0x08DB, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_XPB_RTR_DEST_MAP1", 0x08DC, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MPLL_DQ_1_0_STATUS", 0x0AF9, {
		{"FREQ_UNLOCK_STICKY", 0x00080000L, 0x00000013},
		{"OINT_RESET", 0x00020000L, 0x00000011},
		{"TEST_FBDIV_FRAC", 0x00000070L, 0x00000004},
		{"FREQ_LOCK", 0x00040000L, 0x00000012},
		{"TEST_FBDIV_INT", 0x0001ff80L, 0x00000007},
		{"VCTRLADC", 0x00000007L, 0x00000000}
	} },
	{"MC_CITF_WTM_WR_CNTL", 0x0980, {
		{"GROUP0_DECREMENT", 0x00000007L, 0x00000000},
		{"GROUP6_DECREMENT", 0x001c0000L, 0x00000012},
		{"GROUP1_DECREMENT", 0x00000038L, 0x00000003},
		{"DISABLE_REMOTE", 0x01000000L, 0x00000018},
		{"GROUP7_DECREMENT", 0x00e00000L, 0x00000015},
		{"GROUP4_DECREMENT", 0x00007000L, 0x0000000c},
		{"GROUP5_DECREMENT", 0x00038000L, 0x0000000f},
		{"GROUP3_DECREMENT", 0x00000e00L, 0x00000009},
		{"GROUP2_DECREMENT", 0x000001c0L, 0x00000006}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_D_I0", 0x0ADB, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MPLL_DQ_0_1_STATUS", 0x0AF8, {
		{"FREQ_UNLOCK_STICKY", 0x00080000L, 0x00000013},
		{"OINT_RESET", 0x00020000L, 0x00000011},
		{"TEST_FBDIV_FRAC", 0x00000070L, 0x00000004},
		{"FREQ_LOCK", 0x00040000L, 0x00000012},
		{"TEST_FBDIV_INT", 0x0001ff80L, 0x00000007},
		{"VCTRLADC", 0x00000007L, 0x00000000}
	} },
	{"VM_PRT_APERTURE3_LOW_ADDR", 0x052F, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR2", 0x091C, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_SEQ_TXFRAMING_FCK_D1", 0x0A66, {
		{"FCK0", 0x0000000fL, 0x00000000},
		{"FCK1", 0x000000f0L, 0x00000004},
		{"FCK2", 0x00000f00L, 0x00000008},
		{"FCK3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_SEQ_CAS_TIMING", 0x0A29, {
		{"TNOPW", 0x00000003L, 0x00000000},
		{"TNOPR", 0x0000000cL, 0x00000002},
		{"TW2R", 0x001f0000L, 0x00000010},
		{"TCL", 0x1f000000L, 0x00000018},
		{"TCCDL", 0x00000e00L, 0x00000009},
		{"TR2W", 0x000001f0L, 0x00000004},
		{"TR2R", 0x0000f000L, 0x0000000c}
	} },
	{"MC_ARB_MINCLKS", 0x09DA, {
		{"ARB_RW_SWITCH", 0x00010000L, 0x00000010},
		{"READ_CLKS", 0x000000ffL, 0x00000000},
		{"WRITE_CLKS", 0x0000ff00L, 0x00000008}
	} },
	{"MC_SEQ_TSM_NCNT", 0x0AC1, {
		{"RANGE_HIGH", 0x00f00000L, 0x00000014},
		{"TESTS", 0x0000ff00L, 0x00000008},
		{"RANGE_LOW", 0x000f0000L, 0x00000010},
		{"FALSE_ACT", 0x000000f0L, 0x00000004},
		{"TRUE_ACT", 0x0000000fL, 0x00000000},
		{"NIBBLE_SKIP", 0x0f000000L, 0x00000018}
	} },
	{"MC_IO_PAD_CNTL", 0x0A73, {
		{"ATBSEL_D1", 0x40000000L, 0x0000001e},
		{"ATBSEL_D0", 0x80000000L, 0x0000001f},
		{"MEM_IO_IMP_MAX", 0x0000ff00L, 0x00000008},
		{"MEM_IO_IMP_MIN", 0x000000ffL, 0x00000000},
		{"OVL_YCLKON_D1", 0x00080000L, 0x00000013},
		{"OVL_YCLKON_D0", 0x00040000L, 0x00000012},
		{"ATBSEL", 0x00f00000L, 0x00000014},
		{"TXPHASE_GRAY", 0x00010000L, 0x00000010},
		{"ATBEN", 0x3f000000L, 0x00000018},
		{"RXPHASE_GRAY", 0x00020000L, 0x00000011}
	} },
	{"MC_ARB_RFSH_RATE", 0x09EC, {
		{"POWERMODE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_GBL1", 0x0842, {
		{"STALL_THRESHOLD", 0x0000ff00L, 0x00000008},
		{"STALL_MODE", 0x00010000L, 0x00000010},
		{"MAXBURST", 0x0000000fL, 0x00000000},
		{"LAZY_TIMER", 0x000000f0L, 0x00000004}
	} },
	{"MC_HUB_WDP_GBL0", 0x0841, {
		{"STALL_THRESHOLD", 0x0000ff00L, 0x00000008},
		{"STALL_MODE", 0x00010000L, 0x00000010},
		{"MAXBURST", 0x0000000fL, 0x00000000},
		{"LAZY_TIMER", 0x000000f0L, 0x00000004}
	} },
	{"MC_SEQ_RXFRAMING_BYTE0_D1", 0x0A6D, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_ADDR", 0x053F, {
		{"LOGICAL_PAGE_ADDR", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_IO_DEBUG_DATA", 0x0A92, {
		{"IO_DEBUG_DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_ST45", 0x0012, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_69", 0x0045, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_68", 0x0044, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_63", 0x003F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_62", 0x003E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_61", 0x003D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_60", 0x003C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRL_TXPHASE_D0", 0x012C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRL_TXPHASE_D1", 0x013C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_65", 0x0041, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_64", 0x0040, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_CLKSEL_D1", 0x00DF, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_CLKSEL_D0", 0x00CF, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TRAIN_CAPTURE", 0x0A3E, {
		{"ALLOWSTOP1_WAKEUP", 0x00080000L, 0x00000013},
		{"D1_ARF_WAKEUP", 0x00000002L, 0x00000001},
		{"D1_CMD_FIFO_READY_WAKEUP", 0x00000200L, 0x00000009},
		{"PHY_PG_WAKEUP", 0x04000000L, 0x0000001a},
		{"MCLK_FREQ_CHANGE_WAKEUP", 0x00000040L, 0x00000006},
		{"D0_WEDC_WAKEUP", 0x00000010L, 0x00000004},
		{"RESERVE0_WAKEUP", 0x00002000L, 0x0000000d},
		{"D1_DATA_FIFO_READY_WAKEUP", 0x00000800L, 0x0000000b},
		{"D0_IDLEH_WAKEUP", 0x01000000L, 0x00000018},
		{"D1_WEDC_WAKEUP", 0x00000020L, 0x00000005},
		{"ALLOWSTOPB0_WAKEUP", 0x00200000L, 0x00000015},
		{"ALLOWSTOPB1_WAKEUP", 0x00400000L, 0x00000016},
		{"D0_DATA_FIFO_READY_WAKEUP", 0x00000400L, 0x0000000a},
		{"ALLOWSTOP0_WAKEUP", 0x00040000L, 0x00000012},
		{"D0_REDC_WAKEUP", 0x00000004L, 0x00000002},
		{"TSM_DONE_WAKEUP", 0x00004000L, 0x0000000e},
		{"DPM_LPT_WAKEUP", 0x00800000L, 0x00000017},
		{"SOFTWARE_WAKEUP_WAKEUP", 0x00001000L, 0x0000000c},
		{"D0_CMD_FIFO_READY_WAKEUP", 0x00000100L, 0x00000008},
		{"TIMER_DONE_WAKEUP", 0x00008000L, 0x0000000f},
		{"D1_REDC_WAKEUP", 0x00000008L, 0x00000003},
		{"D0_ARF_WAKEUP", 0x00000001L, 0x00000000},
		{"SCLK_SRBM_READY_WAKEUP", 0x00000080L, 0x00000007},
		{"TCG_DONE_WAKEUP", 0x00020000L, 0x00000011},
		{"DPM_WAKEUP", 0x00100000L, 0x00000014},
		{"D1_IDLEH_WAKEUP", 0x02000000L, 0x00000019}
	} },
	{"MC_SEQ_MISC_TIMING2", 0x0A2B, {
		{"PA2RDATA", 0x00000007L, 0x00000000},
		{"PA2WDATA", 0x00000070L, 0x00000004},
		{"T32AW", 0x01e00000L, 0x00000015},
		{"FAW", 0x00001f00L, 0x00000008},
		{"TWDATATR", 0xf0000000L, 0x0000001c},
		{"TREDC", 0x0000e000L, 0x0000000d},
		{"TWEDC", 0x001f0000L, 0x00000010}
	} },
	{"MC_IO_DEBUG_UP_81", 0x0051, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_80", 0x0050, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_83", 0x0053, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_82", 0x0052, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_85", 0x0055, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_84", 0x0054, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_87", 0x0057, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_86", 0x0056, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_RX_EQ_PM_D0", 0x00EB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_RX_EQ_PM_D1", 0x00FB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_RX_EQ_D1", 0x01D3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_RX_EQ_D0", 0x01C3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_RX_VREF_CAL_D0", 0x01E5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_RX_VREF_CAL_D1", 0x01F5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_STATUS", 0x0537, {
		{"VMID", 0x1e000000L, 0x00000019},
		{"MEMORY_CLIENT_ID", 0x000ff000L, 0x0000000c},
		{"PROTECTIONS", 0x000000ffL, 0x00000000},
		{"MEMORY_CLIENT_RW", 0x01000000L, 0x00000018}
	} },
	{"MC_HUB_RDREQ_GBL0", 0x0856, {
		{"STALL_THRESHOLD", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_GBL1", 0x0857, {
		{"STALL_THRESHOLD", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_TXPHASE_D1", 0x013E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_TXPHASE_D0", 0x012E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_VCEU", 0x087F, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_XPB_PIPE_STS", 0x0921, {
		{"WCB_SID_REQ_FIFO_FULL", 0x00040000L, 0x00000012},
		{"WCB_ANY_PBUF", 0x00000001L, 0x00000000},
		{"WCB_HST_DATA_BUF_CNT", 0x000000feL, 0x00000001},
		{"RET_BUF_FULL", 0x00800000L, 0x00000017},
		{"WCB_SID_RD_PTR_BUF_FULL", 0x00010000L, 0x00000010},
		{"WCB_HST_REQ_FIFO_FULL", 0x00020000L, 0x00000011},
		{"WCB_SID_DATA_BUF_CNT", 0x00007f00L, 0x00000008},
		{"WCB_SID_DATA_OBUF_FULL", 0x00400000L, 0x00000016},
		{"WCB_SID_REQ_OBUF_FULL", 0x00100000L, 0x00000014},
		{"WCB_HST_REQ_OBUF_FULL", 0x00080000L, 0x00000013},
		{"XPB_CLK_BUSY_BITS", 0xff000000L, 0x00000018},
		{"WCB_HST_DATA_OBUF_FULL", 0x00200000L, 0x00000015},
		{"WCB_HST_RD_PTR_BUF_FULL", 0x00008000L, 0x0000000f}
	} },
	{"VM_CONTEXT0_CNTL", 0x0504, {
		{"VALID_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00001000L, 0x0000000c},
		{"READ_PROTECTION_FAULT_ENABLE_SAVE", 0x00020000L, 0x00000011},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00000080L, 0x00000007},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_SAVE", 0x00800000L, 0x00000017},
		{"VALID_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00002000L, 0x0000000d},
		{"RANGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00000010L, 0x00000004},
		{"ENABLE_CONTEXT", 0x00000001L, 0x00000000},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00400000L, 0x00000016},
		{"PDE0_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00000200L, 0x00000009},
		{"READ_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00008000L, 0x0000000f},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00000040L, 0x00000006},
		{"PDE0_PROTECTION_FAULT_ENABLE_SAVE", 0x00000800L, 0x0000000b},
		{"WRITE_PROTECTION_FAULT_ENABLE_SAVE", 0x00100000L, 0x00000014},
		{"PDE0_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00000400L, 0x0000000a},
		{"RANGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00000008L, 0x00000003},
		{"WRITE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00040000L, 0x00000012},
		{"PAGE_TABLE_BLOCK_SIZE", 0x0f000000L, 0x00000018},
		{"VALID_PROTECTION_FAULT_ENABLE_SAVE", 0x00004000L, 0x0000000e},
		{"READ_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00010000L, 0x00000010},
		{"PAGE_TABLE_DEPTH", 0x00000006L, 0x00000001},
		{"WRITE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00080000L, 0x00000013},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00200000L, 0x00000015}
	} },
	{"MC_IO_DEBUG_DBI_TXBST_PD_D0", 0x0188, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_TXBST_PD_D1", 0x0198, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TSM_BCNT", 0x0AC2, {
		{"COMP_VALUE", 0x00ff0000L, 0x00000010},
		{"DONE_TESTS", 0xff000000L, 0x00000018},
		{"TRUE_ACT", 0x0000000fL, 0x00000000},
		{"FALSE_ACT", 0x000000f0L, 0x00000004},
		{"BCNT_TESTS", 0x0000ff00L, 0x00000008}
	} },
	{"VM_PRT_APERTURE1_HIGH_ADDR", 0x0531, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XBAR_CHTRIREMAP", 0x0C8B, {
		{"CH0", 0x00000003L, 0x00000000},
		{"CH1", 0x0000000cL, 0x00000002},
		{"CH2", 0x00000030L, 0x00000004}
	} },
	{"MC_SEQ_MISC9", 0x0AE7, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_TXFRAMING_BYTE1_D1", 0x0A61, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_SEQ_TXFRAMING_BYTE1_D0", 0x0A59, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_ARB_GECC2", 0x09C9, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"NO_GECC_CLI", 0x00000780L, 0x00000007},
		{"COLFIFO_WATER", 0x001f8000L, 0x0000000f},
		{"READ_ERR", 0x00003800L, 0x0000000b},
		{"EXOR_BANK_SEL", 0x00000060L, 0x00000005},
		{"CLOSE_BANK_RMW", 0x00004000L, 0x0000000e},
		{"PAGE_BIT0", 0x00000018L, 0x00000003},
		{"ECC_MODE", 0x00000006L, 0x00000001}
	} },
	{"VM_CONTEXT7_PAGE_TABLE_BASE_ADDR", 0x0556, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_OFSCAL_D1", 0x00FE, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_OFSCAL_D0", 0x00EE, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_FIFO_CTL", 0x0A57, {
		{"W_ASYC_EXT", 0x00030000L, 0x00000010},
		{"SYC_DLY", 0x00007000L, 0x0000000c},
		{"W_DSYC_EXT", 0x000c0000L, 0x00000012},
		{"R_SYC_SEL", 0x000000c0L, 0x00000006},
		{"W_LD_INIT_D0", 0x00000003L, 0x00000000},
		{"W_SYC_SEL", 0x0000000cL, 0x00000002},
		{"CG_DIS_D1", 0x00000200L, 0x00000009},
		{"CG_DIS_D0", 0x00000100L, 0x00000008},
		{"R_LD_INIT", 0x00000030L, 0x00000004},
		{"W_LD_INIT_D1", 0x00000c00L, 0x0000000a}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_0_HIGH_ADDR", 0x0815, {
		{"PHYSICAL_ADDRESS", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG9", 0x08F2, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG34", 0x0938, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"ATC_VMID13_PASID_MAPPING", 0x0CF4, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_IO_DEBUG_DBI_RX_VREF_CAL_D0", 0x0148, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_RX_VREF_CAL_D1", 0x0158, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XBAR_PERF_MON_RSLT0", 0x0C92, {
		{"COUNT", 0xffffffffL, 0x00000000}
	} },
	{"MC_RPB_CONF", 0x094D, {
		{"RPB_WR_PCIE_ORDER", 0x00020000L, 0x00000011},
		{"XPB_PCIE_ORDER", 0x00008000L, 0x0000000f},
		{"RPB_RD_PCIE_ORDER", 0x00010000L, 0x00000010}
	} },
	{"MC_XPB_CLG_CFG32", 0x0936, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_HUB_WRRET_MCDZ", 0x087E, {
		{"STALL_MODE", 0x00000001L, 0x00000000},
		{"CREDIT_COUNT", 0x000000feL, 0x00000001}
	} },
	{"VM_PRT_APERTURE2_HIGH_ADDR", 0x0532, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_WR_CB", 0x0986, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"MAX_BURST", 0x00000780L, 0x00000007},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"MC_IO_DEBUG_DQB3_CDR_PHSIZE_D1", 0x015E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3_CDR_PHSIZE_D0", 0x014E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_XDMA", 0x0881, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BYPASS_AVAIL_OVERRIDE", 0x00010000L, 0x00000010},
		{"MAXBURST", 0x00000780L, 0x00000007},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"ATC_VMID15_PASID_MAPPING", 0x0CF6, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_SEQ_RAS_TIMING_LP", 0x0A9B, {
		{"TRRD", 0x00f00000L, 0x00000014},
		{"TRC", 0x7f000000L, 0x00000018},
		{"TRCDW", 0x0000001fL, 0x00000000},
		{"TRCDR", 0x00007c00L, 0x0000000a},
		{"TRCDWA", 0x000003e0L, 0x00000005},
		{"TRCDRA", 0x000f8000L, 0x0000000f}
	} },
	{"MC_IMP_DQ_STATUS", 0x0ABC, {
		{"CH0_DQ_PSTR", 0x000000ffL, 0x00000000},
		{"CH0_DQ_NSTR", 0x0000ff00L, 0x00000008},
		{"CH1_DQ_NSTR", 0xff000000L, 0x00000018},
		{"CH1_DQ_PSTR", 0x00ff0000L, 0x00000010}
	} },
	{"MC_SEQ_MISC8", 0x0A5F, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_TXSLF_D0", 0x016D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_TXSLF_D1", 0x017D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XBAR_RDREQ_CREDIT", 0x0C83, {
		{"OUT0", 0x000000ffL, 0x00000000},
		{"OUT1", 0x0000ff00L, 0x00000008},
		{"OUT2", 0x00ff0000L, 0x00000010},
		{"OUT3", 0xff000000L, 0x00000018}
	} },
	{"MC_HUB_RDREQ_CREDITS", 0x0844, {
		{"STOR1", 0xff000000L, 0x00000018},
		{"STOR0", 0x00ff0000L, 0x00000010},
		{"VM0", 0x000000ffL, 0x00000000},
		{"VM1", 0x0000ff00L, 0x00000008}
	} },
	{"GMCON_RENG_EXECUTE", 0x0D42, {
		{"RENG_EXECUTE_NOW_START_PTR", 0x00000ffcL, 0x00000002},
		{"RENG_EXECUTE_NOW", 0x00000002L, 0x00000001},
		{"RENG_EXECUTE_DSP_END_PTR", 0x003ff000L, 0x0000000c},
		{"RENG_EXECUTE_ON_PWR_UP", 0x00000001L, 0x00000000},
		{"RENG_EXECUTE_END_PTR", 0xffc00000L, 0x00000016}
	} },
	{"MC_IO_DEBUG_ACMD_TXBST_PU_D0", 0x01AE, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_TXBST_PU_D1", 0x01BE, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_VMID5_PASID_MAPPING", 0x0CEC, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_SHARED_CHMAP", 0x0801, {
		{"CHAN1", 0x000000f0L, 0x00000004},
		{"CHAN0", 0x0000000fL, 0x00000000},
		{"NOOFCHAN", 0x0000f000L, 0x0000000c},
		{"CHAN2", 0x00000f00L, 0x00000008}
	} },
	{"MC_XBAR_WRRET_CREDIT1", 0x0C85, {
		{"OUT0", 0x000000ffL, 0x00000000},
		{"OUT1", 0x0000ff00L, 0x00000008},
		{"OUT2", 0x00ff0000L, 0x00000010},
		{"OUT3", 0xff000000L, 0x00000018}
	} },
	{"MC_XPB_STICKY_W1C", 0x0926, {
		{"BITS", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_TRAIN_WAKEUP_CLEAR", 0x0A3F, {
		{"ALLOWSTOP1_WAKEUP", 0x00080000L, 0x00000013},
		{"D1_ARF_WAKEUP", 0x00000002L, 0x00000001},
		{"D1_CMD_FIFO_READY_WAKEUP", 0x00000200L, 0x00000009},
		{"PHY_PG_WAKEUP", 0x04000000L, 0x0000001a},
		{"MCLK_FREQ_CHANGE_WAKEUP", 0x00000040L, 0x00000006},
		{"SCLK_SRBM_READY_WAKEUP", 0x00000080L, 0x00000007},
		{"RESERVE0_WAKEUP", 0x00002000L, 0x0000000d},
		{"D1_DATA_FIFO_READY_WAKEUP", 0x00000800L, 0x0000000b},
		{"D0_IDLEH_WAKEUP", 0x01000000L, 0x00000018},
		{"D1_WEDC_WAKEUP", 0x00000020L, 0x00000005},
		{"ALLOWSTOPB0_WAKEUP", 0x00200000L, 0x00000015},
		{"ALLOWSTOPB1_WAKEUP", 0x00400000L, 0x00000016},
		{"D0_DATA_FIFO_READY_WAKEUP", 0x00000400L, 0x0000000a},
		{"ALLOWSTOP0_WAKEUP", 0x00040000L, 0x00000012},
		{"D0_REDC_WAKEUP", 0x00000004L, 0x00000002},
		{"TSM_DONE_WAKEUP", 0x00004000L, 0x0000000e},
		{"CLEARALL", 0x00010000L, 0x00000010},
		{"DPM_LPT_WAKEUP", 0x00800000L, 0x00000017},
		{"SOFTWARE_WAKEUP_WAKEUP", 0x00001000L, 0x0000000c},
		{"D0_CMD_FIFO_READY_WAKEUP", 0x00000100L, 0x00000008},
		{"TIMER_DONE_WAKEUP", 0x00008000L, 0x0000000f},
		{"D1_REDC_WAKEUP", 0x00000008L, 0x00000003},
		{"D0_ARF_WAKEUP", 0x00000001L, 0x00000000},
		{"D0_WEDC_WAKEUP", 0x00000010L, 0x00000004},
		{"TCG_DONE_WAKEUP", 0x00020000L, 0x00000011},
		{"DPM_WAKEUP", 0x00100000L, 0x00000014},
		{"D1_IDLEH_WAKEUP", 0x02000000L, 0x00000019}
	} },
	{"MC_IO_DEBUG_WCDR_TXSLF_D0", 0x01E6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_TXSLF_D1", 0x01F6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRL_TXBST_PU_D1", 0x01BC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRL_TXBST_PU_D0", 0x01AC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_TXSLF_D1", 0x017F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_TXSLF_D0", 0x016F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_TXPHASE_D0", 0x0128, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_TXPHASE_D1", 0x0138, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_PMG_CMD_MRS1", 0x0AD1, {
		{"END", 0x00100000L, 0x00000014},
		{"MOP", 0x00070000L, 0x00000010},
		{"ADR_MSB0", 0x20000000L, 0x0000001d},
		{"ADR_MSB1", 0x10000000L, 0x0000001c},
		{"CSB", 0x00600000L, 0x00000015},
		{"ADR", 0x0000ffffL, 0x00000000},
		{"BNK_MSB", 0x00080000L, 0x00000013}
	} },
	{"MC_IO_DEBUG_DQB2H_RXPHASE_D0", 0x0105, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_RXPHASE_D1", 0x0115, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_GDEC_WR_CNTL", 0x09EF, {
		{"USE_RSNO", 0x00000200L, 0x00000009},
		{"REM_DEFAULT_GRP", 0x00003c00L, 0x0000000a},
		{"USE_RANK", 0x00000100L, 0x00000008},
		{"PAGEBIT0", 0x0000000fL, 0x00000000},
		{"PAGEBIT1", 0x000000f0L, 0x00000004}
	} },
	{"MC_XBAR_RDRET_CREDIT2", 0x0C88, {
		{"OUT4", 0x000000ffL, 0x00000000},
		{"HUB_LP_RDRET_SKID", 0x00ff0000L, 0x00000010},
		{"OUT5", 0x0000ff00L, 0x00000008}
	} },
	{"MC_XPB_RTR_SRC_APRTR6", 0x08D3, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_XPB_RTR_SRC_APRTR7", 0x08D4, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_XPB_RTR_SRC_APRTR4", 0x08D1, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_SEQ_TSM_CTRL", 0x0ABE, {
		{"DIRECTION", 0x00000020L, 0x00000005},
		{"UPDATE_LOOP", 0x00000300L, 0x00000008},
		{"ERR", 0x00000008L, 0x00000003},
		{"MASK_BITS", 0x00000080L, 0x00000007},
		{"STEP", 0x00000010L, 0x00000004},
		{"START", 0x00000001L, 0x00000000},
		{"CAPTURE_START", 0x00000002L, 0x00000001},
		{"DONE", 0x00000004L, 0x00000002},
		{"ROT_INV", 0x00000400L, 0x0000000a},
		{"POINTER", 0xffff0000L, 0x00000010},
		{"INVERT", 0x00000040L, 0x00000006}
	} },
	{"MC_XPB_RTR_SRC_APRTR2", 0x08CF, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_MCIF", 0x0864, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"ATC_ATS_FAULT_CNTL", 0x0CCD, {
		{"FAULT_CRASH_TABLE", 0x03f00000L, 0x00000014},
		{"FAULT_INTERRUPT_TABLE", 0x0000fc00L, 0x0000000a},
		{"FAULT_REGISTER_LOG", 0x0000003fL, 0x00000000}
	} },
	{"MC_XPB_RTR_SRC_APRTR1", 0x08CE, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"ATC_L1WR_DEBUG_TLB", 0x0CDF, {
		{"EFFECTIVE_WORK_QUEUE_SIZE", 0x00000700L, 0x00000008},
		{"CREDITS_L1_L2", 0x0003f000L, 0x0000000c},
		{"DISABLE_FRAGMENTS", 0x00000001L, 0x00000000},
		{"INVALIDATE_ALL", 0x40000000L, 0x0000001e},
		{"EFFECTIVE_CAM_SIZE", 0x000000f0L, 0x00000004},
		{"DEBUG_ECO", 0x30000000L, 0x0000001c},
		{"CREDITS_L1_RPB", 0x0ff00000L, 0x00000014}
	} },
	{"MC_SEQ_CMD", 0x0A31, {
		{"ADR", 0x0000ffffL, 0x00000000},
		{"CHAN0", 0x01000000L, 0x00000018},
		{"CHAN1", 0x02000000L, 0x00000019},
		{"MOP", 0x000f0000L, 0x00000010},
		{"ADR_MSB0", 0x20000000L, 0x0000001d},
		{"ADR_MSB1", 0x10000000L, 0x0000001c},
		{"CSB", 0x00600000L, 0x00000015},
		{"END", 0x00100000L, 0x00000014}
	} },
	{"MC_ARB_BURST_TIME", 0x0A02, {
		{"STATE3", 0x000f8000L, 0x0000000f},
		{"STATE2", 0x00007c00L, 0x0000000a},
		{"STATE1", 0x000003e0L, 0x00000005},
		{"STATE0", 0x0000001fL, 0x00000000}
	} },
	{"MC_RPB_BIF_CNTL", 0x0952, {
		{"XPB_SWITCH_NUM", 0x0000ff00L, 0x00000008},
		{"ARB_SWITCH_NUM", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_RTR_SRC_APRTR9", 0x08D6, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_XPB_PEER_SYS_BAR2", 0x0912, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_XPB_P2P_BAR1", 0x0905, {
		{"HOST_FLUSH", 0x0000000fL, 0x00000000},
		{"RESERVED", 0x00008000L, 0x0000000f},
		{"COMPRESS_DIS", 0x00004000L, 0x0000000e},
		{"MEM_SYS_BAR", 0x00000f00L, 0x00000008},
		{"SEND_DIS", 0x00002000L, 0x0000000d},
		{"VALID", 0x00001000L, 0x0000000c},
		{"ADDRESS", 0xffff0000L, 0x00000010},
		{"REG_SYS_BAR", 0x000000f0L, 0x00000004}
	} },
	{"MC_XPB_PEER_SYS_BAR0", 0x0910, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_XPB_PEER_SYS_BAR1", 0x0911, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_XPB_P2P_BAR3", 0x0907, {
		{"HOST_FLUSH", 0x0000000fL, 0x00000000},
		{"RESERVED", 0x00008000L, 0x0000000f},
		{"COMPRESS_DIS", 0x00004000L, 0x0000000e},
		{"MEM_SYS_BAR", 0x00000f00L, 0x00000008},
		{"SEND_DIS", 0x00002000L, 0x0000000d},
		{"VALID", 0x00001000L, 0x0000000c},
		{"ADDRESS", 0xffff0000L, 0x00000010},
		{"REG_SYS_BAR", 0x000000f0L, 0x00000004}
	} },
	{"MC_XPB_CLG_CFG6", 0x08EF, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_PEER_SYS_BAR4", 0x0914, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_BIST_DIR_CNTL", 0x0A07, {
		{"EOB", 0x00000008L, 0x00000003},
		{"MOP_LOAD", 0x00000010L, 0x00000004},
		{"DAT_RTR_D1", 0x00000200L, 0x00000009},
		{"DAT_RTR_D0", 0x00000080L, 0x00000007},
		{"MOP3", 0x00000400L, 0x0000000a},
		{"MOP", 0x00000007L, 0x00000000},
		{"CMD_RTR_D0", 0x00000040L, 0x00000006},
		{"CMD_RTR_D1", 0x00000100L, 0x00000008},
		{"DATA_LOAD", 0x00000020L, 0x00000005}
	} },
	{"MC_IO_DEBUG_DBI_TXBST_PU_D1", 0x01B8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_TXBST_PU_D0", 0x01A8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_PEER_SYS_BAR8", 0x0918, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_XPB_PEER_SYS_BAR9", 0x0919, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_IMP_CNTL", 0x0A36, {
		{"CAL_WHEN_REFRESH", 0x40000000L, 0x0000001e},
		{"MEM_IO_UPDATE_RATE", 0x0000001fL, 0x00000000},
		{"TIMEOUT_ERR", 0x00000100L, 0x00000008},
		{"CAL_VREFMODE", 0x00000040L, 0x00000006},
		{"CLEAR_TIMEOUT_ERR", 0x00000200L, 0x00000009},
		{"CAL_PWRON", 0x80000000L, 0x0000001f},
		{"CAL_VREF_SEL", 0x00000020L, 0x00000005},
		{"CAL_WHEN_IDLE", 0x20000000L, 0x0000001d},
		{"CAL_VREF", 0x007f0000L, 0x00000010},
		{"MEM_IO_SAMPLE_CNT", 0x0000e000L, 0x0000000d}
	} },
	{"MC_ARB_POP", 0x09D9, {
		{"WRDATAINDEX_DEPTH", 0x00000fc0L, 0x00000006},
		{"POP_DEPTH", 0x0000003cL, 0x00000002},
		{"WAIT_AFTER_RFSH", 0x00018000L, 0x0000000f},
		{"QUICK_STOP", 0x00020000L, 0x00000011},
		{"ENABLE_ARB", 0x00000001L, 0x00000000},
		{"SKID_DEPTH", 0x00007000L, 0x0000000c},
		{"ENABLE_TWO_PAGE", 0x00040000L, 0x00000012},
		{"ALLOW_EOB_BY_WRRET_STALL", 0x00080000L, 0x00000013},
		{"SPEC_OPEN", 0x00000002L, 0x00000001}
	} },
	{"ATC_L1WR_STATUS", 0x0CE1, {
		{"BUSY", 0x00000001L, 0x00000000},
		{"DEADLOCK_DETECTION", 0x00000002L, 0x00000001},
		{"BAD_NEED_ATS", 0x00000100L, 0x00000008}
	} },
	{"MC_IMP_DEBUG", 0x0A37, {
		{"DEBUG_CAL_DONE", 0x80000000L, 0x0000001f},
		{"PMVCAL_RESERVED", 0x0fff0000L, 0x00000010},
		{"DEBUG_CAL_START", 0x20000000L, 0x0000001d},
		{"TIMEOUT_CNTR", 0x0000ff00L, 0x00000008},
		{"DEBUG_CAL_EN", 0x10000000L, 0x0000001c},
		{"TSTARTUP_CNTR", 0x000000ffL, 0x00000000},
		{"DEBUG_CAL_INTR", 0x40000000L, 0x0000001e}
	} },
	{"MC_CONFIG", 0x0800, {
		{"MCDX_WR_ENABLE", 0x00000002L, 0x00000001},
		{"MCDY_WR_ENABLE", 0x00000004L, 0x00000002},
		{"MCDZ_WR_ENABLE", 0x00000008L, 0x00000003},
		{"MCC_INDEX_MODE_ENABLE", 0x80000000L, 0x0000001f},
		{"MC_RD_ENABLE", 0x00000030L, 0x00000004},
		{"MCDW_WR_ENABLE", 0x00000001L, 0x00000000}
	} },
	{"MC_XPB_P2P_BAR2", 0x0906, {
		{"HOST_FLUSH", 0x0000000fL, 0x00000000},
		{"RESERVED", 0x00008000L, 0x0000000f},
		{"COMPRESS_DIS", 0x00004000L, 0x0000000e},
		{"MEM_SYS_BAR", 0x00000f00L, 0x00000008},
		{"SEND_DIS", 0x00002000L, 0x0000000d},
		{"VALID", 0x00001000L, 0x0000000c},
		{"ADDRESS", 0xffff0000L, 0x00000010},
		{"REG_SYS_BAR", 0x000000f0L, 0x00000004}
	} },
	{"MC_SEQ_SUP_GP2_STAT", 0x0A85, {
		{"STATUS", 0xffffffffL, 0x00000000}
	} },
	{"MC_XPB_P2P_BAR5", 0x0909, {
		{"HOST_FLUSH", 0x0000000fL, 0x00000000},
		{"RESERVED", 0x00008000L, 0x0000000f},
		{"COMPRESS_DIS", 0x00004000L, 0x0000000e},
		{"MEM_SYS_BAR", 0x00000f00L, 0x00000008},
		{"SEND_DIS", 0x00002000L, 0x0000000d},
		{"VALID", 0x00001000L, 0x0000000c},
		{"ADDRESS", 0xffff0000L, 0x00000010},
		{"REG_SYS_BAR", 0x000000f0L, 0x00000004}
	} },
	{"MC_HUB_WDP_MCIF", 0x086F, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_IO_DEBUG_CK_TXPHASE_D0", 0x012B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_TXPHASE_D1", 0x013B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1_CDR_PHSIZE_D1", 0x015C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1_CDR_PHSIZE_D0", 0x014C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_MISC5", 0x0A95, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_XBAR_TWOCHAN", 0x0C8C, {
		{"CH0", 0x00000006L, 0x00000001},
		{"CH1", 0x00000018L, 0x00000003},
		{"DISABLE_ONEPORT", 0x00000001L, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_141", 0x008D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_SYSTEM_APERTURE_DEFAULT_ADDR", 0x080F, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"GMCON_PERF_MON_CNTL0", 0x0D4A, {
		{"ALLOW_WRAP", 0x10000000L, 0x0000001c},
		{"START_MODE", 0x03000000L, 0x00000018},
		{"START_THRESH", 0x00000fffL, 0x00000000},
		{"STOP_THRESH", 0x00fff000L, 0x0000000c},
		{"STOP_MODE", 0x0c000000L, 0x0000001a}
	} },
	{"MC_RPB_CID_QUEUE_WR", 0x0956, {
		{"UPDATE_MODE", 0x00000100L, 0x00000008},
		{"WRITE_QUEUE", 0x00000600L, 0x00000009},
		{"READ_QUEUE", 0x00001800L, 0x0000000b},
		{"CLIENT_ID", 0x000000ffL, 0x00000000},
		{"UPDATE", 0x00002000L, 0x0000000d}
	} },
	{"MC_IO_DEBUG_UP_140", 0x008C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_PEER_SYS_BAR5", 0x0915, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_TSM_DEBUG_MISC", 0x0002, {
		{"FLAG", 0x000000ffL, 0x00000000},
		{"NCNT_RD", 0x00000f00L, 0x00000008},
		{"NCNT_WR", 0x0000f000L, 0x0000000c}
	} },
	{"MC_BIST_RDATA_WORD4", 0x0A18, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_ADDR", 0x053E, {
		{"LOGICAL_PAGE_ADDR", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_TIMER_WR", 0x0AC9, {
		{"COUNTER", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_TXFRAMING_BYTE0_D0", 0x0A58, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_SEQ_TXFRAMING_BYTE0_D1", 0x0A60, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_PHY_TIMING_D0", 0x0ACC, {
		{"TXC1_EXT", 0xf0000000L, 0x0000001c},
		{"RXC1_EXT", 0x0000f000L, 0x0000000c},
		{"TXC0_EXT", 0x00f00000L, 0x00000014},
		{"RXC0_DLY", 0x0000000fL, 0x00000000},
		{"TXC1_DLY", 0x07000000L, 0x00000018},
		{"TXC0_DLY", 0x00070000L, 0x00000010},
		{"RXC1_DLY", 0x00000f00L, 0x00000008},
		{"RXC0_EXT", 0x000000f0L, 0x00000004}
	} },
	{"MC_IO_DEBUG_DBI_RX_EQ_D0", 0x01C8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_RX_EQ_D1", 0x01D8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_SUP_GP1_STAT", 0x0A90, {
		{"STATUS", 0xffffffffL, 0x00000000}
	} },
	{"GMCON_MISC", 0x0D43, {
		{"RENG_EXECUTE_ON_REG_UPDATE", 0x00000800L, 0x0000000b},
		{"STCTRL_DISABLE_GMC_OFFLINE", 0x04000000L, 0x0000001a},
		{"STCTRL_IGNORE_PROTECTION_FAULT", 0x01000000L, 0x00000018},
		{"STCTRL_STUTTER_EN", 0x00010000L, 0x00000010},
		{"STCTRL_SRBM_IDLE_THRESHOLD", 0x00180000L, 0x00000013},
		{"STCTRL_IGNORE_SR_COMMIT", 0x00800000L, 0x00000017},
		{"RENG_EXECUTE_NOW_MODE", 0x00000400L, 0x0000000a},
		{"ALLOW_DEEP_SLEEP_MODE", 0x30000000L, 0x0000001c},
		{"CRITICAL_REGS_LOCK", 0x08000000L, 0x0000001b},
		{"STCTRL_IGNORE_ALLOW_STOP", 0x00400000L, 0x00000016},
		{"STCTRL_IGNORE_PRE_SR", 0x00200000L, 0x00000015},
		{"STCTRL_GMC_IDLE_THRESHOLD", 0x00060000L, 0x00000011},
		{"STCTRL_DISABLE_ALLOW_SR", 0x02000000L, 0x00000019},
		{"STCTRL_FORCE_ALLOW_SR", 0x40000000L, 0x0000001e},
		{"RENG_SRBM_CREDITS_MCD", 0x0000f000L, 0x0000000c}
	} },
	{"ATC_L1_CNTL", 0x0CDC, {
		{"NEED_ATS_BEHAVIOR", 0x00000004L, 0x00000002},
		{"DONT_NEED_ATS_BEHAVIOR", 0x00000003L, 0x00000000},
		{"NEED_ATS_SNOOP_DEFAULT", 0x00000010L, 0x00000004}
	} },
	{"MC_RPB_PERF_COUNTER_STATUS", 0x0959, {
		{"PERFORMANCE_COUNTER_VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BKPT", 0x0013, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_WR_CTL_D0_LP", 0x0A9F, {
		{"ODT_DLY", 0x0f000000L, 0x00000018},
		{"CMD_DLY", 0x40000000L, 0x0000001e},
		{"OEN_DLY", 0x0000f000L, 0x0000000c},
		{"CMD_2Y_DLY", 0x00000800L, 0x0000000b},
		{"ODT_EXT", 0x10000000L, 0x0000001c},
		{"DQS_DLY", 0x000000f0L, 0x00000004},
		{"DQS_XTR", 0x00000100L, 0x00000008},
		{"DAT_DLY", 0x0000000fL, 0x00000000},
		{"OEN_SEL", 0x00300000L, 0x00000014},
		{"ADR_DLY", 0x20000000L, 0x0000001d},
		{"OEN_EXT", 0x000f0000L, 0x00000010},
		{"ADR_2Y_DLY", 0x00000400L, 0x0000000a},
		{"DAT_2Y_DLY", 0x00000200L, 0x00000009}
	} },
	{"MC_IO_DEBUG_UP_14", 0x000E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_RX_VREF_CAL_D0", 0x0145, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_RX_VREF_CAL_D1", 0x0155, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_1_HIGH_ADDR", 0x0816, {
		{"PHYSICAL_ADDRESS", 0x0fffffffL, 0x00000000}
	} },
	{"MPLL_SEQ_UCODE_1", 0x0AEA, {
		{"INSTR0", 0x0000000fL, 0x00000000},
		{"INSTR1", 0x000000f0L, 0x00000004},
		{"INSTR2", 0x00000f00L, 0x00000008},
		{"INSTR3", 0x0000f000L, 0x0000000c},
		{"INSTR4", 0x000f0000L, 0x00000010},
		{"INSTR5", 0x00f00000L, 0x00000014},
		{"INSTR6", 0x0f000000L, 0x00000018},
		{"INSTR7", 0xf0000000L, 0x0000001c}
	} },
	{"MC_SEQ_DRAM_2", 0x0A27, {
		{"DQM_EST", 0x00000080L, 0x00000007},
		{"TESTCHIP_EN", 0x40000000L, 0x0000001e},
		{"PLL_EST", 0x00000400L, 0x0000000a},
		{"PCH_BNK", 0x01000000L, 0x00000018},
		{"ADBI_ACT", 0x04000000L, 0x0000001a},
		{"WDAT_EDC", 0x00000020L, 0x00000005},
		{"DBI_ACT", 0x10000000L, 0x0000001c},
		{"DBI_DF1", 0x08000000L, 0x0000001b},
		{"WR_DQS", 0x00000200L, 0x00000009},
		{"CS_BY16", 0x80000000L, 0x0000001f},
		{"ADR_DDR", 0x00000001L, 0x00000000},
		{"CMD_QDR", 0x00000008L, 0x00000003},
		{"ADR_DBI_ACM", 0x00000004L, 0x00000002},
		{"BNK_MRS", 0x00002000L, 0x0000000d},
		{"RDAT_EDC", 0x00000040L, 0x00000006},
		{"TRI_CLK", 0x00008000L, 0x0000000f},
		{"DBI_OVR", 0x00004000L, 0x0000000e},
		{"PLL_CNT", 0x00ff0000L, 0x00000010},
		{"ADR_DBI", 0x00000002L, 0x00000001},
		{"DBI_EDC_DF1", 0x20000000L, 0x0000001d},
		{"PLL_CLR", 0x00000800L, 0x0000000b},
		{"RD_DQS", 0x00000100L, 0x00000008},
		{"DAT_QDR", 0x00000010L, 0x00000004},
		{"ADBI_DF1", 0x02000000L, 0x00000019},
		{"DLL_EST", 0x00001000L, 0x0000000c}
	} },
	{"VM_INVALIDATE_RESPONSE", 0x051F, {
		{"DOMAIN_INVALIDATED_9", 0x00000200L, 0x00000009},
		{"DOMAIN_INVALIDATED_8", 0x00000100L, 0x00000008},
		{"DOMAIN_INVALIDATED_1", 0x00000002L, 0x00000001},
		{"DOMAIN_INVALIDATED_0", 0x00000001L, 0x00000000},
		{"DOMAIN_INVALIDATED_3", 0x00000008L, 0x00000003},
		{"DOMAIN_INVALIDATED_2", 0x00000004L, 0x00000002},
		{"DOMAIN_INVALIDATED_5", 0x00000020L, 0x00000005},
		{"DOMAIN_INVALIDATED_4", 0x00000010L, 0x00000004},
		{"DOMAIN_INVALIDATED_7", 0x00000080L, 0x00000007},
		{"DOMAIN_INVALIDATED_6", 0x00000040L, 0x00000006},
		{"DOMAIN_INVALIDATED_11", 0x00000800L, 0x0000000b},
		{"DOMAIN_INVALIDATED_10", 0x00000400L, 0x0000000a},
		{"DOMAIN_INVALIDATED_13", 0x00002000L, 0x0000000d},
		{"DOMAIN_INVALIDATED_12", 0x00001000L, 0x0000000c},
		{"DOMAIN_INVALIDATED_15", 0x00008000L, 0x0000000f},
		{"DOMAIN_INVALIDATED_14", 0x00004000L, 0x0000000e}
	} },
	{"MC_IO_DEBUG_UP_29", 0x001D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_PMG_TIMING", 0x0A2C, {
		{"TCKE_PULSE_MSB", 0x00800000L, 0x00000017},
		{"TCKSRE", 0x00000007L, 0x00000000},
		{"TCKE", 0x0003f000L, 0x0000000c},
		{"SEQ_IDLE_SS", 0xff000000L, 0x00000018},
		{"SEQ_IDLE", 0x001c0000L, 0x00000012},
		{"TCKE_PULSE", 0x00000f00L, 0x00000008},
		{"TCKSRX", 0x00000070L, 0x00000004}
	} },
	{"MC_IO_DEBUG_DQB3H_TXPHASE_D1", 0x0137, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_TXPHASE_D0", 0x0127, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_RX_EQ_D0", 0x01C1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_RX_EQ_D1", 0x01D1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_RANGE0", 0x0D45, {
		{"STCTRL_REGISTER_SAVE_BASE0", 0x0000ffffL, 0x00000000},
		{"STCTRL_REGISTER_SAVE_LIMIT0", 0xffff0000L, 0x00000010}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_RANGE1", 0x0D46, {
		{"STCTRL_REGISTER_SAVE_LIMIT1", 0xffff0000L, 0x00000010},
		{"STCTRL_REGISTER_SAVE_BASE1", 0x0000ffffL, 0x00000000}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_RANGE2", 0x0D47, {
		{"STCTRL_REGISTER_SAVE_BASE2", 0x0000ffffL, 0x00000000},
		{"STCTRL_REGISTER_SAVE_LIMIT2", 0xffff0000L, 0x00000010}
	} },
	{"MC_SEQ_MISC7", 0x0A99, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_TXBST_PD_D1", 0x0193, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_TXBST_PD_D0", 0x0183, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG13", 0x08F6, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_TSM_DEBUG_ST01", 0x0010, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_HUB_MISC_OVERRIDE", 0x0833, {
		{"IDLE", 0x00000003L, 0x00000000}
	} },
	{"MC_IO_CDRCNTL2_D1", 0x0AE5, {
		{"EDC_RXEN_OVR1", 0x00000008L, 0x00000003},
		{"EDC_RXEN_OVR0", 0x00000004L, 0x00000002},
		{"WCK_RXEN_OVR1", 0x00000080L, 0x00000007},
		{"CDR_FB_SEL0", 0x00000001L, 0x00000000},
		{"CDR_FB_SEL1", 0x00000002L, 0x00000001},
		{"TXCDRBYPASS1", 0x00000020L, 0x00000005},
		{"TXCDRBYPASS0", 0x00000010L, 0x00000004},
		{"WCK_RXEN_OVR0", 0x00000040L, 0x00000006}
	} },
	{"MC_SEQ_TSM_WCDR", 0x0AE3, {
		{"WCDR", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_DATA_MASK", 0x0A12, {
		{"MASK", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_TXBST_PU_D1", 0x01B5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_TXBST_PU_D0", 0x01A5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_TXBST_PU_D0", 0x01A7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_TXBST_PU_D1", 0x01B7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_PMG_CMD_EMRS_LP", 0x0AA1, {
		{"END", 0x00100000L, 0x00000014},
		{"MOP", 0x00070000L, 0x00000010},
		{"ADR_MSB0", 0x20000000L, 0x0000001d},
		{"ADR_MSB1", 0x10000000L, 0x0000001c},
		{"CSB", 0x00600000L, 0x00000015},
		{"ADR", 0x0000ffffL, 0x00000000},
		{"BNK_MSB", 0x00080000L, 0x00000013}
	} },
	{"GMCON_PGFSM_READ", 0x0D50, {
		{"READ_VALUE", 0x00ffffffL, 0x00000000},
		{"PGFSM_SELECT", 0x0f000000L, 0x00000018},
		{"SERDES_MASTER_BUSY", 0x10000000L, 0x0000001c}
	} },
	{"MC_SEQ_SUP_DEC_STAT", 0x0A88, {
		{"STATUS", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_RX_VREF_CAL_D1", 0x0159, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_LB_ADDR", 0x08FE, {
		{"CMP0", 0x000003ffL, 0x00000000},
		{"CMP1", 0x03f00000L, 0x00000014},
		{"MASK1", 0xfc000000L, 0x0000001a},
		{"MASK0", 0x000ffc00L, 0x0000000a}
	} },
	{"VM_L2_CNTL", 0x0500, {
		{"L2_PDE0_CACHE_TAG_GENERATION_MODE", 0x00000100L, 0x00000008},
		{"CONTEXT1_IDENTITY_ACCESS_MODE", 0x00180000L, 0x00000013},
		{"ENABLE_L2_CACHE", 0x00000001L, 0x00000000},
		{"L2_CACHE_PTE_ENDIAN_SWAP_MODE", 0x0000000cL, 0x00000002},
		{"EFFECTIVE_L2_QUEUE_SIZE", 0x00038000L, 0x0000000f},
		{"L2_CACHE_BIGK_SWAP_TAG_INDEX_LSBS", 0x70000000L, 0x0000001c},
		{"PDE_FAULT_CLASSIFICATION", 0x00040000L, 0x00000012},
		{"ENABLE_L2_FRAGMENT_PROCESSING", 0x00000002L, 0x00000001},
		{"L2_PDE0_CACHE_SPLIT_MODE", 0x00007000L, 0x0000000c},
		{"L2_CACHE_4K_SWAP_TAG_INDEX_LSBS", 0x0c000000L, 0x0000001a},
		{"ENABLE_L2_PTE_CACHE_LRU_UPDATE_BY_WRITE", 0x00000200L, 0x00000009},
		{"ENABLE_L2_PDE0_CACHE_LRU_UPDATE_BY_WRITE", 0x00000400L, 0x0000000a},
		{"L2_CACHE_PDE_ENDIAN_SWAP_MODE", 0x00000030L, 0x00000004},
		{"IDENTITY_MODE_FRAGMENT_SIZE", 0x03e00000L, 0x00000015}
	} },
	{"MC_ARB_AGE_RD", 0x09E9, {
		{"ENABLE_GROUP6", 0x00400000L, 0x00000016},
		{"ENABLE_GROUP7", 0x00800000L, 0x00000017},
		{"ENABLE_GROUP4", 0x00100000L, 0x00000014},
		{"ENABLE_GROUP5", 0x00200000L, 0x00000015},
		{"ENABLE_GROUP2", 0x00040000L, 0x00000012},
		{"ENABLE_GROUP3", 0x00080000L, 0x00000013},
		{"ENABLE_GROUP0", 0x00010000L, 0x00000010},
		{"ENABLE_GROUP1", 0x00020000L, 0x00000011},
		{"DIVIDE_GROUP0", 0x01000000L, 0x00000018},
		{"DIVIDE_GROUP1", 0x02000000L, 0x00000019},
		{"DIVIDE_GROUP2", 0x04000000L, 0x0000001a},
		{"DIVIDE_GROUP3", 0x08000000L, 0x0000001b},
		{"DIVIDE_GROUP4", 0x10000000L, 0x0000001c},
		{"DIVIDE_GROUP5", 0x20000000L, 0x0000001d},
		{"DIVIDE_GROUP6", 0x40000000L, 0x0000001e},
		{"DIVIDE_GROUP7", 0x80000000L, 0x0000001f},
		{"RATE_GROUP5", 0x00000c00L, 0x0000000a},
		{"RATE_GROUP4", 0x00000300L, 0x00000008},
		{"RATE_GROUP7", 0x0000c000L, 0x0000000e},
		{"RATE_GROUP6", 0x00003000L, 0x0000000c},
		{"RATE_GROUP1", 0x0000000cL, 0x00000002},
		{"RATE_GROUP0", 0x00000003L, 0x00000000},
		{"RATE_GROUP3", 0x000000c0L, 0x00000006},
		{"RATE_GROUP2", 0x00000030L, 0x00000004}
	} },
	{"MC_SEQ_PMG_CMD_MRS2_LP", 0x0AD8, {
		{"END", 0x00100000L, 0x00000014},
		{"MOP", 0x00070000L, 0x00000010},
		{"ADR_MSB0", 0x20000000L, 0x0000001d},
		{"ADR_MSB1", 0x10000000L, 0x0000001c},
		{"CSB", 0x00600000L, 0x00000015},
		{"ADR", 0x0000ffffL, 0x00000000},
		{"BNK_MSB", 0x00080000L, 0x00000013}
	} },
	{"MC_SEQ_RAS_TIMING", 0x0A28, {
		{"TRRD", 0x00f00000L, 0x00000014},
		{"TRC", 0x7f000000L, 0x00000018},
		{"TRCDW", 0x0000001fL, 0x00000000},
		{"TRCDR", 0x00007c00L, 0x0000000a},
		{"TRCDWA", 0x000003e0L, 0x00000005},
		{"TRCDRA", 0x000f8000L, 0x0000000f}
	} },
	{"MC_XPB_P2P_BAR6", 0x090A, {
		{"HOST_FLUSH", 0x0000000fL, 0x00000000},
		{"RESERVED", 0x00008000L, 0x0000000f},
		{"COMPRESS_DIS", 0x00004000L, 0x0000000e},
		{"MEM_SYS_BAR", 0x00000f00L, 0x00000008},
		{"SEND_DIS", 0x00002000L, 0x0000000d},
		{"VALID", 0x00001000L, 0x0000000c},
		{"ADDRESS", 0xffff0000L, 0x00000010},
		{"REG_SYS_BAR", 0x000000f0L, 0x00000004}
	} },
	{"MC_HUB_MISC_VM_CG", 0x082F, {
		{"OFFDLY", 0x00000fc0L, 0x00000006},
		{"ENABLE", 0x00040000L, 0x00000012},
		{"MEM_LS_ENABLE", 0x00080000L, 0x00000013},
		{"ONDLY", 0x0000003fL, 0x00000000},
		{"RDYDLY", 0x0003f000L, 0x0000000c}
	} },
	{"VM_CONTEXT15_PAGE_TABLE_BASE_ADDR", 0x0515, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_30", 0x001E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_31", 0x001F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_32", 0x0020, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_33", 0x0021, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_34", 0x0022, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_35", 0x0023, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_36", 0x0024, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_37", 0x0025, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_38", 0x0026, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_39", 0x0027, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_CITF_MISC_WR_CG", 0x0993, {
		{"OFFDLY", 0x00000fc0L, 0x00000006},
		{"ENABLE", 0x00040000L, 0x00000012},
		{"MEM_LS_ENABLE", 0x00080000L, 0x00000013},
		{"ONDLY", 0x0000003fL, 0x00000000},
		{"RDYDLY", 0x0003f000L, 0x0000000c}
	} },
	{"MC_XPB_CLG_CFG36", 0x093A, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_IO_DEBUG_UP_129", 0x0081, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_128", 0x0080, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TRAIN_TIMING", 0x0A40, {
		{"TLD2LD", 0x000f8000L, 0x0000000f},
		{"TARF2T", 0x000003e0L, 0x00000005},
		{"TT2ROW", 0x00007c00L, 0x0000000a},
		{"TWT2RT", 0x0000001fL, 0x00000000}
	} },
	{"MC_CITF_WTM_RD_CNTL", 0x097F, {
		{"GROUP0_DECREMENT", 0x00000007L, 0x00000000},
		{"GROUP6_DECREMENT", 0x001c0000L, 0x00000012},
		{"GROUP1_DECREMENT", 0x00000038L, 0x00000003},
		{"DISABLE_REMOTE", 0x01000000L, 0x00000018},
		{"GROUP7_DECREMENT", 0x00e00000L, 0x00000015},
		{"GROUP4_DECREMENT", 0x00007000L, 0x0000000c},
		{"GROUP5_DECREMENT", 0x00038000L, 0x0000000f},
		{"GROUP3_DECREMENT", 0x00000e00L, 0x00000009},
		{"GROUP2_DECREMENT", 0x000001c0L, 0x00000006}
	} },
	{"MC_IO_DEBUG_UP_121", 0x0079, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_120", 0x0078, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_123", 0x007B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_122", 0x007A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_125", 0x007D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_124", 0x007C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_127", 0x007F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_126", 0x007E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0_CDR_PHSIZE_D0", 0x014B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_VMID6_PASID_MAPPING", 0x0CED, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_IO_DEBUG_DQB1L_RX_VREF_CAL_D1", 0x0152, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0_CDR_PHSIZE_D1", 0x015B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_RXPHASE_D1", 0x011F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_RXPHASE_D0", 0x010F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG33", 0x0937, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"ATC_VMID2_PASID_MAPPING", 0x0CE9, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_IO_DEBUG_UP_28", 0x001C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TXFRAMING_BYTE3_D0", 0x0A5B, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_SHARED_BLACKOUT_CNTL", 0x082B, {
		{"BLACKOUT_MODE", 0x00000007L, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_TXSLF_D0", 0x0161, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_TXSLF_D1", 0x0171, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_CONTEXT13_PAGE_TABLE_BASE_ADDR", 0x0513, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_TXPHASE_D0", 0x0121, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_RPB_WR_SWITCH_CNTL", 0x0953, {
		{"QUEUE1_SWITCH_NUM", 0x0000ff00L, 0x00000008},
		{"QUEUE0_SWITCH_NUM", 0x000000ffL, 0x00000000},
		{"QUEUE3_SWITCH_NUM", 0xff000000L, 0x00000018},
		{"QUEUE2_SWITCH_NUM", 0x00ff0000L, 0x00000010}
	} },
	{"MC_XBAR_WRREQ_CREDIT", 0x0C82, {
		{"OUT0", 0x000000ffL, 0x00000000},
		{"OUT1", 0x0000ff00L, 0x00000008},
		{"OUT2", 0x00ff0000L, 0x00000010},
		{"OUT3", 0xff000000L, 0x00000018}
	} },
	{"MC_HUB_WRRET_CNTL", 0x083C, {
		{"DISABLE_SELF_INIT", 0x40000000L, 0x0000001e},
		{"FAIR_CH_SW", 0x80000000L, 0x0000001f},
		{"BP", 0x001ffffeL, 0x00000001},
		{"JUMPAHEAD", 0x00000001L, 0x00000000},
		{"BP_ENABLE", 0x00200000L, 0x00000015},
		{"DEBUG_REG", 0x3fc00000L, 0x00000016}
	} },
	{"MC_IO_DEBUG_DQB0H_TXPHASE_D1", 0x0131, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_MISC_TIMING", 0x0A2A, {
		{"TRP", 0x000f8000L, 0x0000000f},
		{"TRFC", 0x1ff00000L, 0x00000014},
		{"TRP_RDA", 0x00003f00L, 0x00000008},
		{"TRP_WRA", 0x0000003fL, 0x00000000}
	} },
	{"MC_HUB_SHARED_DAGB_DLY", 0x0846, {
		{"DLY", 0x0000003fL, 0x00000000},
		{"CLI", 0x001f0000L, 0x00000010},
		{"POS", 0x1f000000L, 0x00000018}
	} },
	{"ATC_L2_DEBUG", 0x0CD7, {
		{"CREDITS_L2_ATS", 0x0000003fL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_TXBST_PD_D0", 0x01E7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_TXBST_PD_D1", 0x01F7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_CNTL", 0x0A25, {
		{"RET_HOLD_EOP", 0x00010000L, 0x00000010},
		{"MEM_ADDR_MAP_BANK", 0x0000000cL, 0x00000002},
		{"MSKOFF_DAT_TH", 0x00008000L, 0x0000000f},
		{"ARB_RTDAT_WMK", 0xf0000000L, 0x0000001c},
		{"MSKOFF_DAT_TL", 0x00004000L, 0x0000000e},
		{"DAT_INV", 0x00000040L, 0x00000006},
		{"BANKGROUP_SIZE", 0x00020000L, 0x00000011},
		{"ARB_REQCMD_WMK", 0x00f00000L, 0x00000014},
		{"SAFE_MODE", 0x00000030L, 0x00000004},
		{"BANKGROUP_ENB", 0x00040000L, 0x00000012},
		{"CHANNEL_DISABLE", 0x00000300L, 0x00000008},
		{"MEM_ADDR_MAP_COLS", 0x00000003L, 0x00000000},
		{"RTR_OVERRIDE", 0x00080000L, 0x00000013},
		{"MSK_DF1", 0x00000080L, 0x00000007},
		{"ARB_REQDAT_WMK", 0x0f000000L, 0x00000018}
	} },
	{"MC_IO_DEBUG_WCDR_RXPHASE_D0", 0x01E3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_RXPHASE_D1", 0x01F3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_ATS_DEBUG", 0x0CCA, {
		{"PAGE_REQUEST_PERMS", 0x00000100L, 0x00000008},
		{"DISALLOW_ERR_TO_DONE", 0x00004000L, 0x0000000e},
		{"PAGE_REQUESTS_USE_RELAXED_ORDERING", 0x00000020L, 0x00000005},
		{"UNTRANSLATED_ONLY_REQUESTS_CARRY_SIZE", 0x00000200L, 0x00000009},
		{"IDENT_RETURN", 0x00000002L, 0x00000001},
		{"IGNORE_FED", 0x00008000L, 0x0000000f},
		{"EXE_BIT", 0x00000080L, 0x00000007},
		{"INVALIDATION_REQUESTS_DISALLOWED_WHEN_ATC_IS_DISABLED", 0x00010000L, 0x00000010},
		{"INVALIDATE_ALL", 0x00000001L, 0x00000000},
		{"ADDRESS_TRANSLATION_REQUEST_WRITE_PERMS", 0x00000004L, 0x00000002},
		{"PRIV_BIT", 0x00000040L, 0x00000006},
		{"NUM_REQUESTS_AT_ERR", 0x00003c00L, 0x0000000a}
	} },
	{"VM_CONTEXT1_PAGE_TABLE_BASE_ADDR", 0x0550, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"ATC_VMID4_PASID_MAPPING", 0x0CEB, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_VM_MB_L1_TLB1_STATUS", 0x0896, {
		{"BUSY", 0x00000001L, 0x00000000}
	} },
	{"MC_HUB_RDREQ_UMC", 0x0860, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_XPB_INTF_CFG", 0x091F, {
		{"BIF_MEM_SNOOP_VAL", 0x04000000L, 0x0000001a},
		{"XSP_REQ_CRD", 0x007f0000L, 0x00000010},
		{"XSP_ORDERING_VAL", 0x80000000L, 0x0000001f},
		{"BIF_REG_SNOOP_SEL", 0x00800000L, 0x00000017},
		{"BIF_MEM_SNOOP_SEL", 0x02000000L, 0x00000019},
		{"RPB_WRREQ_CRD", 0x000000ffL, 0x00000000},
		{"BIF_REG_SNOOP_VAL", 0x01000000L, 0x00000018},
		{"MC_WRRET_ASK", 0x0000ff00L, 0x00000008},
		{"XSP_SNOOP_VAL", 0x20000000L, 0x0000001d},
		{"XSP_ORDERING_SEL", 0x40000000L, 0x0000001e},
		{"XSP_SNOOP_SEL", 0x18000000L, 0x0000001b}
	} },
	{"MC_IO_DEBUG_CK_TXBST_PD_D0", 0x018B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_TXBST_PD_D1", 0x019B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_TXBST_PU_D0", 0x01A9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_CG_CONFIG_MCD", 0x0829, {
		{"INDEX", 0x1fffe000L, 0x0000000d},
		{"MCD1_WR_ENABLE", 0x00000002L, 0x00000001},
		{"MCD2_WR_ENABLE", 0x00000004L, 0x00000002},
		{"MCD3_WR_ENABLE", 0x00000008L, 0x00000003},
		{"MC_RD_ENABLE", 0x00000700L, 0x00000008},
		{"MCD0_WR_ENABLE", 0x00000001L, 0x00000000},
		{"MCD5_WR_ENABLE", 0x00000020L, 0x00000005},
		{"MCD4_WR_ENABLE", 0x00000010L, 0x00000004}
	} },
	{"MC_WR_GRP_LCL", 0x098B, {
		{"CBFMASK0", 0x00000f00L, 0x00000008},
		{"CBCMASK0", 0x000000f0L, 0x00000004},
		{"CBIMMED0", 0xf0000000L, 0x0000001c},
		{"SX0", 0x00f00000L, 0x00000014},
		{"CB0", 0x0000000fL, 0x00000000},
		{"DB0", 0x0000f000L, 0x0000000c},
		{"DBHTILE0", 0x000f0000L, 0x00000010}
	} },
	{"VM_L2_CONTEXT1_IDENTITY_APERTURE_LOW_ADDR", 0x0575, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_MISC_D0", 0x00A6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_MB_L1_TLB3_STATUS", 0x08A6, {
		{"BUSY", 0x00000001L, 0x00000000}
	} },
	{"MC_SEQ_MISC_TIMING_LP", 0x0A9D, {
		{"TRP", 0x000f8000L, 0x0000000f},
		{"TRFC", 0x1ff00000L, 0x00000014},
		{"TRP_RDA", 0x00003f00L, 0x00000008},
		{"TRP_WRA", 0x0000003fL, 0x00000000}
	} },
	{"MC_VM_SYSTEM_APERTURE_HIGH_ADDR", 0x080E, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"ATC_VMID3_PASID_MAPPING", 0x0CEA, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_WR_DB", 0x0987, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"MAX_BURST", 0x00000780L, 0x00000007},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"MC_TSM_DEBUG_BCNT10", 0x000D, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQ1_RX_DYN_PM_D0", 0x01CE, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQ1_RX_DYN_PM_D1", 0x01DE, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_OFSCAL_D1", 0x00F2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_OFSCAL_D0", 0x00E2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_RX_EQ_D1", 0x01D7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_RX_EQ_D0", 0x01C7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_GCNT", 0x0000, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_CNTL_2", 0x0AD4, {
		{"ARB_RTDAT_WMK_MSB", 0x00000300L, 0x00000008},
		{"PLL_TX_PWRON_D0", 0x00400000L, 0x00000016},
		{"PLL_TX_PWRON_D1", 0x00800000L, 0x00000017},
		{"DRST_NSTR", 0x0000fc00L, 0x0000000a},
		{"PLL_RX_PWRON_D0", 0x0f000000L, 0x00000018},
		{"PLL_RX_PWRON_D1", 0xf0000000L, 0x0000001c},
		{"DRST_PSTR", 0x003f0000L, 0x00000010}
	} },
	{"MC_BIST_DATA_WORD7", 0x0A11, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_DATA_WORD6", 0x0A10, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_DATA_WORD5", 0x0A0F, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_DATA_WORD4", 0x0A0E, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_DATA_WORD3", 0x0A0D, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_DATA_WORD2", 0x0A0C, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_DATA_WORD1", 0x0A0B, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_DATA_WORD0", 0x0A0A, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_MISC_D0", 0x00A4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_MISC_D1", 0x00B4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MPLL_FUNC_CNTL", 0x0AED, {
		{"BWCTRL", 0x0ff00000L, 0x00000014},
		{"BG_100ADJ", 0x00000f00L, 0x00000008},
		{"REG_BIAS", 0xc0000000L, 0x0000001e},
		{"SPARE_0", 0x00000020L, 0x00000005},
		{"BG_135ADJ", 0x000f0000L, 0x00000010}
	} },
	{"MC_WR_TC1", 0x097C, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"MAX_BURST", 0x00000780L, 0x00000007},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"MC_IO_DEBUG_WCK_RX_EQ_D0", 0x01CA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_WR_GRP_SYS", 0x0806, {
		{"VCEU", 0xf0000000L, 0x0000001c},
		{"VCE", 0x0f000000L, 0x00000018},
		{"SMU", 0x00f00000L, 0x00000014},
		{"MCIF", 0x000000f0L, 0x00000004},
		{"RLC", 0x00000f00L, 0x00000008},
		{"IH", 0x0000000fL, 0x00000000}
	} },
	{"MC_ARB_RET_CREDITS_RD", 0x09F4, {
		{"DISP", 0x00ff0000L, 0x00000010},
		{"LCL", 0x000000ffL, 0x00000000},
		{"RETURN_CREDIT", 0xff000000L, 0x00000018},
		{"HUB", 0x0000ff00L, 0x00000008}
	} },
	{"MC_IO_DEBUG_WCK_RX_EQ_D1", 0x01DA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP0", 0x08E5, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_IO_DEBUG_CK_CLKSEL_D0", 0x00CB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_CLKSEL_D1", 0x00DB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_TXBST_PD_D0", 0x018A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_TXBST_PD_D1", 0x019A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_DEFAULT_ADDR", 0x0547, {
		{"PHYSICAL_PAGE_ADDR", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP1", 0x08E6, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_IO_DEBUG_DQB0L_TXBST_PU_D1", 0x01B0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_TXBST_PU_D0", 0x01A0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_CITF_DAGB_CNTL", 0x0974, {
		{"DISABLE_SELF_INIT", 0x00000020L, 0x00000005},
		{"JUMP_AHEAD", 0x00000001L, 0x00000000},
		{"CENTER_WR_MAX_BURST", 0x000003c0L, 0x00000006},
		{"CENTER_RD_MAX_BURST", 0x0000001eL, 0x00000001}
	} },
	{"MC_ARB_DRAM_TIMING", 0x09DD, {
		{"ACTRD", 0x000000ffL, 0x00000000},
		{"RASMACTRD", 0x00ff0000L, 0x00000010},
		{"ACTWR", 0x0000ff00L, 0x00000008},
		{"RASMACTWR", 0xff000000L, 0x00000018}
	} },
	{"MC_IO_DEBUG_WCK_RX_VREF_CAL_D1", 0x015A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_RXPHASE_D0", 0x0101, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_RXPHASE_D1", 0x0111, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP3", 0x08E8, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"ATC_ATS_FAULT_DEBUG", 0x0CCB, {
		{"CLEAR_FAULT_STATUS_ADDR", 0x00010000L, 0x00000010},
		{"ALLOW_SUBSEQUENT_FAULT_STATUS_ADDR_UPDATES", 0x00000100L, 0x00000008},
		{"CREDITS_ATS_IH", 0x0000001fL, 0x00000000}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP2", 0x08E7, {
		{"DEST_OFFSET", 0x000ffffeL, 0x00000001},
		{"NMR", 0x00000001L, 0x00000000},
		{"DEST_SEL_RPB", 0x01000000L, 0x00000018},
		{"DEST_SEL", 0x00f00000L, 0x00000014},
		{"SIDE_OK", 0x02000000L, 0x00000019},
		{"APRTR_SIZE", 0x7c000000L, 0x0000001a}
	} },
	{"MC_HUB_WDP_MCDY", 0x0869, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_THRESHOLD", 0x00fe0000L, 0x00000011},
		{"LAZY_TIMER", 0x0001e000L, 0x0000000d},
		{"ASK_CREDITS_W", 0x7f000000L, 0x00000018},
		{"BLACKOUT_EXEMPT", 0x00000002L, 0x00000001},
		{"STALL_MODE", 0x00000004L, 0x00000002},
		{"MAXBURST", 0x00000078L, 0x00000003},
		{"ASK_CREDITS", 0x00001f80L, 0x00000007}
	} },
	{"MC_IO_DEBUG_ACMD_RXPHASE_D1", 0x011E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_OFSCAL_D0", 0x00E9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TSM_DEBUG_DATA", 0x0AD0, {
		{"TSM_DEBUG_DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_C_I0", 0x0AD9, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_TXCNTL_APHY_D0", 0x0A4B, {
		{"TSTEN", 0x01000000L, 0x00000018},
		{"LOWCMEN", 0x00000010L, 0x00000004},
		{"CKE_BIT", 0x40000000L, 0x0000001e},
		{"CKE_SEL", 0x80000000L, 0x0000001f},
		{"TXBYPASS", 0x04000000L, 0x0000001a},
		{"EMPH", 0x00000040L, 0x00000006},
		{"TXBPASS_SEL", 0x00001000L, 0x0000000c},
		{"PMA_LOOPBACK", 0x0000e000L, 0x0000000d},
		{"PTERM", 0x00000f00L, 0x00000008},
		{"QDR", 0x00000020L, 0x00000005},
		{"TXBYPASS_DATA", 0x38000000L, 0x0000001b},
		{"YCLKON", 0x00800000L, 0x00000017},
		{"TXRESET", 0x02000000L, 0x00000019},
		{"PDRV", 0x000f0000L, 0x00000010},
		{"TXPD", 0x00000080L, 0x00000007},
		{"NDRV", 0x00700000L, 0x00000014},
		{"BIASSEL", 0x00000003L, 0x00000000},
		{"DRVDUTY", 0x0000000cL, 0x00000002}
	} },
	{"ATC_L1RD_DEBUG_TLB", 0x0CDE, {
		{"EFFECTIVE_WORK_QUEUE_SIZE", 0x00000700L, 0x00000008},
		{"CREDITS_L1_L2", 0x0003f000L, 0x0000000c},
		{"DISABLE_FRAGMENTS", 0x00000001L, 0x00000000},
		{"INVALIDATE_ALL", 0x40000000L, 0x0000001e},
		{"EFFECTIVE_CAM_SIZE", 0x000000f0L, 0x00000004},
		{"DEBUG_ECO", 0x30000000L, 0x0000001c},
		{"CREDITS_L1_RPB", 0x0ff00000L, 0x00000014}
	} },
	{"MC_IO_DEBUG_WCK_CLKSEL_D0", 0x00CA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_CLKSEL_D1", 0x00DA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_XDMAM", 0x0880, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BYPASS_AVAIL_OVERRIDE", 0x00010000L, 0x00000010},
		{"MAXBURST", 0x00000780L, 0x00000007},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"MC_XPB_P2P_BAR_CFG", 0x0903, {
		{"UPDATE_DIS", 0x00000200L, 0x00000009},
		{"COMPRESS_DIS", 0x00000100L, 0x00000008},
		{"ADDR_SIZE", 0x0000000fL, 0x00000000},
		{"REGBAR_FROM_SYSBAR", 0x00000400L, 0x0000000a},
		{"SNOOP", 0x00000040L, 0x00000006},
		{"SEND_DIS", 0x00000080L, 0x00000007},
		{"RD_EN", 0x00000800L, 0x0000000b},
		{"SEND_BAR", 0x00000030L, 0x00000004},
		{"ATC_TRANSLATED", 0x00001000L, 0x0000000c}
	} },
	{"MC_IO_DEBUG_WCK_OFSCAL_D0", 0x00EA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_OFSCAL_D1", 0x00FA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_PHY_TIMING_D1", 0x0ACD, {
		{"TXC1_EXT", 0xf0000000L, 0x0000001c},
		{"RXC1_EXT", 0x0000f000L, 0x0000000c},
		{"TXC0_EXT", 0x00f00000L, 0x00000014},
		{"RXC0_DLY", 0x0000000fL, 0x00000000},
		{"TXC1_DLY", 0x07000000L, 0x00000018},
		{"TXC0_DLY", 0x00070000L, 0x00000010},
		{"RXC1_DLY", 0x00000f00L, 0x00000008},
		{"RXC0_EXT", 0x000000f0L, 0x00000004}
	} },
	{"MC_HUB_RDREQ_CREDITS2", 0x0845, {
		{"STOR1_PRI", 0x000000ffL, 0x00000000}
	} },
	{"VM_CONTEXT0_CNTL2", 0x050C, {
		{"WAIT_FOR_IDLE_WHEN_INVALIDATE", 0x00000010L, 0x00000004},
		{"CLEAR_PROTECTION_FAULT_STATUS_ADDR", 0x00000001L, 0x00000000},
		{"ENABLE_CLEAR_PROTECTION_FAULT_STATUS_ADDR_WHEN_INVALIDATE_CONTEXT", 0x00000002L, 0x00000001},
		{"ENABLE_INTERRUPT_PROCESSING_FOR_SUBSEQUENT_FAULTS_PER_CONTEXT", 0x00000004L, 0x00000002},
		{"ALLOW_SUBSEQUENT_PROTECTION_FAULT_STATUS_ADDR_UPDATES", 0x00000008L, 0x00000003}
	} },
	{"MC_MEM_POWER_LS", 0x082A, {
		{"LS_SETUP", 0x0000003fL, 0x00000000},
		{"LS_HOLD", 0x00000fc0L, 0x00000006}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR0", 0x08D7, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR1", 0x08D8, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR2", 0x08D9, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR3", 0x08DA, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MPLL_FUNC_CNTL_1", 0x0AEE, {
		{"SPARE_1", 0xf0000000L, 0x0000001c},
		{"CLKFRAC", 0x0000fff0L, 0x00000004},
		{"SPARE_0", 0x0000000cL, 0x00000002},
		{"VCO_MODE", 0x00000003L, 0x00000000},
		{"CLKF", 0x0fff0000L, 0x00000010}
	} },
	{"MC_SEQ_IO_DEBUG_INDEX", 0x0A91, {
		{"IO_DEBUG_INDEX", 0x000001ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_TXSLF_D1", 0x017E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_TXSLF_D0", 0x016E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_MGPU2", 0x0840, {
		{"CID2", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_SEM", 0x085E, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_XPB_PERF_KNOBS", 0x0924, {
		{"CNS_FIFO_DEPTH", 0x0000003fL, 0x00000000},
		{"WCB_HST_FIFO_DEPTH", 0x00000fc0L, 0x00000006},
		{"WCB_SID_FIFO_DEPTH", 0x0003f000L, 0x0000000c}
	} },
	{"CC_MC_MAX_CHANNEL", 0x096E, {
		{"NOOFCHAN", 0x0000001eL, 0x00000001}
	} },
	{"MC_XPB_PEER_SYS_BAR3", 0x0913, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_IO_RXCNTL_DPHY1_D0", 0x0A4D, {
		{"VREFCAL", 0x00000f00L, 0x00000008},
		{"VREFCAL_STR", 0x0000f000L, 0x0000000c},
		{"DLL_ADJ_B1", 0x07000000L, 0x00000018},
		{"DLL_ADJ_B0", 0x00700000L, 0x00000014},
		{"RXLP", 0x00000080L, 0x00000007},
		{"VREFSEL", 0x00010000L, 0x00000010},
		{"RX_PEAKSEL", 0x000c0000L, 0x00000012},
		{"DLL_BW_CTRL", 0xc0000000L, 0x0000001e},
		{"RXDPWRON_DLY", 0x00000030L, 0x00000004},
		{"DLL_ADJ_M", 0x10000000L, 0x0000001c},
		{"RXPDNB", 0x00000040L, 0x00000006},
		{"RXBIASSEL", 0x00000003L, 0x00000000},
		{"REFCLK_PWRON", 0x20000000L, 0x0000001d},
		{"VREFPDNB", 0x00000008L, 0x00000003},
		{"RCVSEL", 0x00000004L, 0x00000002}
	} },
	{"MC_IO_RXCNTL_DPHY1_D1", 0x0A53, {
		{"VREFCAL", 0x00000f00L, 0x00000008},
		{"VREFCAL_STR", 0x0000f000L, 0x0000000c},
		{"DLL_ADJ_B1", 0x07000000L, 0x00000018},
		{"DLL_ADJ_B0", 0x00700000L, 0x00000014},
		{"RXLP", 0x00000080L, 0x00000007},
		{"VREFSEL", 0x00010000L, 0x00000010},
		{"RX_PEAKSEL", 0x000c0000L, 0x00000012},
		{"DLL_BW_CTRL", 0xc0000000L, 0x0000001e},
		{"RXDPWRON_DLY", 0x00000030L, 0x00000004},
		{"DLL_ADJ_M", 0x10000000L, 0x0000001c},
		{"RXPDNB", 0x00000040L, 0x00000006},
		{"RXBIASSEL", 0x00000003L, 0x00000000},
		{"REFCLK_PWRON", 0x20000000L, 0x0000001d},
		{"VREFPDNB", 0x00000008L, 0x00000003},
		{"RCVSEL", 0x00000004L, 0x00000002}
	} },
	{"MC_XPB_CLG_CFG19", 0x08FC, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_ARB_ADDR_HASH", 0x09DC, {
		{"ROW_XOR", 0x0ffff000L, 0x0000000c},
		{"COL_XOR", 0x00000ff0L, 0x00000004},
		{"BANK_XOR_ENABLE", 0x0000000fL, 0x00000000}
	} },
	{"MC_ARB_LAZY1_WR", 0x09E8, {
		{"GROUP5", 0x0000ff00L, 0x00000008},
		{"GROUP4", 0x000000ffL, 0x00000000},
		{"GROUP7", 0xff000000L, 0x00000018},
		{"GROUP6", 0x00ff0000L, 0x00000010}
	} },
	{"MC_IO_DEBUG_DQB3L_TXSLF_D1", 0x0176, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_TXSLF_D0", 0x0166, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_WTM_CNTL_RD", 0x09DF, {
		{"ALLOW_STUTTER_GRP5", 0x00000100L, 0x00000008},
		{"ALLOW_STUTTER_GRP4", 0x00000080L, 0x00000007},
		{"ALLOW_STUTTER_GRP7", 0x00000400L, 0x0000000a},
		{"ALLOW_STUTTER_GRP6", 0x00000200L, 0x00000009},
		{"ALLOW_STUTTER_GRP1", 0x00000010L, 0x00000004},
		{"ALLOW_STUTTER_GRP0", 0x00000008L, 0x00000003},
		{"ALLOW_STUTTER_GRP3", 0x00000040L, 0x00000006},
		{"ALLOW_STUTTER_GRP2", 0x00000020L, 0x00000005},
		{"WTMODE", 0x00000003L, 0x00000000},
		{"HARSH_PRI", 0x00000004L, 0x00000002}
	} },
	{"MC_CITF_CREDITS_ARB_WR", 0x0973, {
		{"HUB_PRI", 0x00010000L, 0x00000010},
		{"WRITE_HUB", 0x0000ff00L, 0x00000008},
		{"WRITE_LCL", 0x000000ffL, 0x00000000},
		{"LCL_PRI", 0x00020000L, 0x00000011}
	} },
	{"MC_IO_DEBUG_DQB0L_RXPHASE_D0", 0x0100, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_RXPHASE_D1", 0x0110, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_MD_L1_TLB3_STATUS", 0x09A8, {
		{"BUSY", 0x00000001L, 0x00000000}
	} },
	{"MC_WR_TC0", 0x097B, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"MAX_BURST", 0x00000780L, 0x00000007},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"MC_IO_DEBUG_UP_74", 0x004A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_75", 0x004B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_OFSCAL_D1", 0x00F3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_OFSCAL_D0", 0x00E3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_70", 0x0046, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_71", 0x0047, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_72", 0x0048, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_73", 0x0049, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_L2_CONTEXT1_IDENTITY_APERTURE_HIGH_ADDR", 0x0576, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_RXCNTL_DPHY0_D1", 0x0A52, {
		{"VREFCAL", 0x00000f00L, 0x00000008},
		{"VREFCAL_STR", 0x0000f000L, 0x0000000c},
		{"DLL_ADJ_B1", 0x07000000L, 0x00000018},
		{"DLL_ADJ_B0", 0x00700000L, 0x00000014},
		{"RXLP", 0x00000080L, 0x00000007},
		{"VREFSEL", 0x00010000L, 0x00000010},
		{"RX_PEAKSEL", 0x000c0000L, 0x00000012},
		{"DLL_BW_CTRL", 0xc0000000L, 0x0000001e},
		{"RXDPWRON_DLY", 0x00000030L, 0x00000004},
		{"DLL_ADJ_M", 0x10000000L, 0x0000001c},
		{"RXPDNB", 0x00000040L, 0x00000006},
		{"RXBIASSEL", 0x00000003L, 0x00000000},
		{"REFCLK_PWRON", 0x20000000L, 0x0000001d},
		{"VREFPDNB", 0x00000008L, 0x00000003},
		{"RCVSEL", 0x00000004L, 0x00000002}
	} },
	{"MC_IO_RXCNTL_DPHY0_D0", 0x0A4C, {
		{"VREFCAL", 0x00000f00L, 0x00000008},
		{"VREFCAL_STR", 0x0000f000L, 0x0000000c},
		{"DLL_ADJ_B1", 0x07000000L, 0x00000018},
		{"DLL_ADJ_B0", 0x00700000L, 0x00000014},
		{"RXLP", 0x00000080L, 0x00000007},
		{"VREFSEL", 0x00010000L, 0x00000010},
		{"RX_PEAKSEL", 0x000c0000L, 0x00000012},
		{"DLL_BW_CTRL", 0xc0000000L, 0x0000001e},
		{"RXDPWRON_DLY", 0x00000030L, 0x00000004},
		{"DLL_ADJ_M", 0x10000000L, 0x0000001c},
		{"RXPDNB", 0x00000040L, 0x00000006},
		{"RXBIASSEL", 0x00000003L, 0x00000000},
		{"REFCLK_PWRON", 0x20000000L, 0x0000001d},
		{"VREFPDNB", 0x00000008L, 0x00000003},
		{"RCVSEL", 0x00000004L, 0x00000002}
	} },
	{"MC_BIST_RDATA_MASK", 0x0A1C, {
		{"MASK", 0xffffffffL, 0x00000000}
	} },
	{"VM_L2_BANK_SELECT_MASKB", 0x0573, {
		{"BANK_SELECT_MASK", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TSM_EDC", 0x0AC5, {
		{"EDC", 0xffffffffL, 0x00000000}
	} },
	{"MC_CG_DATAPORT", 0x0A21, {
		{"DATA_FIELD", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_MISC_D0", 0x00A0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_MISC_D1", 0x00B0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_92", 0x005C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_93", 0x005D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_90", 0x005A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_RXPHASE_D1", 0x011D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_96", 0x0060, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_97", 0x0061, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_94", 0x005E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_95", 0x005F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_WTM_GRPWT_WR", 0x09E2, {
		{"GRP_EXT", 0x00ff0000L, 0x00000010},
		{"GRP3", 0x000000c0L, 0x00000006},
		{"GRP2", 0x00000030L, 0x00000004},
		{"GRP1", 0x0000000cL, 0x00000002},
		{"GRP0", 0x00000003L, 0x00000000},
		{"GRP7", 0x0000c000L, 0x0000000e},
		{"GRP6", 0x00003000L, 0x0000000c},
		{"GRP5", 0x00000c00L, 0x0000000a},
		{"GRP4", 0x00000300L, 0x00000008}
	} },
	{"MC_IO_DEBUG_UP_98", 0x0062, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_99", 0x0063, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_MD_L1_TLB1_DEBUG", 0x0999, {
		{"SEND_FREE_AT_RTN", 0x00000100L, 0x00000008},
		{"INVALIDATE_L1_TLB", 0x00000001L, 0x00000000},
		{"L1_TLB_DEBUG", 0x00078000L, 0x0000000f},
		{"EFFECTIVE_L1_TLB_SIZE", 0x00000e00L, 0x00000009},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x00007000L, 0x0000000c}
	} },
	{"ATC_VMID_PASID_MAPPING_UPDATE_STATUS", 0x0CE6, {
		{"VMID1_REMAPPING_FINISHED", 0x00000002L, 0x00000001},
		{"VMID12_REMAPPING_FINISHED", 0x00001000L, 0x0000000c},
		{"VMID7_REMAPPING_FINISHED", 0x00000080L, 0x00000007},
		{"VMID14_REMAPPING_FINISHED", 0x00004000L, 0x0000000e},
		{"VMID3_REMAPPING_FINISHED", 0x00000008L, 0x00000003},
		{"VMID10_REMAPPING_FINISHED", 0x00000400L, 0x0000000a},
		{"VMID9_REMAPPING_FINISHED", 0x00000200L, 0x00000009},
		{"VMID5_REMAPPING_FINISHED", 0x00000020L, 0x00000005},
		{"VMID4_REMAPPING_FINISHED", 0x00000010L, 0x00000004},
		{"VMID13_REMAPPING_FINISHED", 0x00002000L, 0x0000000d},
		{"VMID0_REMAPPING_FINISHED", 0x00000001L, 0x00000000},
		{"VMID15_REMAPPING_FINISHED", 0x00008000L, 0x0000000f},
		{"VMID6_REMAPPING_FINISHED", 0x00000040L, 0x00000006},
		{"VMID11_REMAPPING_FINISHED", 0x00000800L, 0x0000000b},
		{"VMID2_REMAPPING_FINISHED", 0x00000004L, 0x00000002},
		{"VMID8_REMAPPING_FINISHED", 0x00000100L, 0x00000008}
	} },
	{"MC_TSM_DEBUG_ST23", 0x0011, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"VM_CONTEXT11_PAGE_TABLE_BASE_ADDR", 0x0511, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_STATUS_S", 0x0A20, {
		{"SEQ1_ARB_DATA_FIFO_FULL", 0x00000002L, 0x00000001},
		{"SEQ0_RS_DATA_FIFO_EMPTY", 0x00000100L, 0x00000008},
		{"SEQ0_ARB_DATA_FIFO_FULL", 0x00000001L, 0x00000000},
		{"SEQ0_ARB_CMD_FIFO_FULL", 0x00000010L, 0x00000004},
		{"SEQ1_RS_DATA_FIFO_EMPTY", 0x00000200L, 0x00000009},
		{"SEQ1_ARB_CMD_FIFO_FULL", 0x00000020L, 0x00000005}
	} },
	{"MC_SEQ_DRAM_ERROR_INSERTION", 0x0ACB, {
		{"RX", 0xffff0000L, 0x00000010},
		{"TX", 0x0000ffffL, 0x00000000}
	} },
	{"MC_ARB_REPLAY", 0x09F3, {
		{"BOS_WAIT_CYC", 0x00007f00L, 0x00000008},
		{"BOS_ENABLE_WAIT_CYC", 0x00000080L, 0x00000007},
		{"WAW_ENABLE", 0x00000008L, 0x00000003},
		{"IGNORE_WR_CDC", 0x00000020L, 0x00000005},
		{"ENABLE_RD", 0x00000001L, 0x00000000},
		{"ENABLE_WR", 0x00000002L, 0x00000001},
		{"BREAK_ON_STALL", 0x00000040L, 0x00000006},
		{"RAW_ENABLE", 0x00000010L, 0x00000004},
		{"WRACK_MODE", 0x00000004L, 0x00000002}
	} },
	{"MC_XPB_INTF_CFG2", 0x0934, {
		{"RPB_RDREQ_CRD", 0x000000ffL, 0x00000000}
	} },
	{"GMCON_PERF_MON_RSLT1", 0x0D4D, {
		{"COUNT", 0xffffffffL, 0x00000000}
	} },
	{"GMCON_PERF_MON_RSLT0", 0x0D4C, {
		{"COUNT", 0xffffffffL, 0x00000000}
	} },
	{"MC_VM_AGP_BOT", 0x080B, {
		{"AGP_BOT", 0x0003ffffL, 0x00000000}
	} },
	{"MC_VM_MD_L1_TLB2_STATUS", 0x099D, {
		{"BUSY", 0x00000001L, 0x00000000}
	} },
	{"MC_XBAR_RDRET_PRI_CREDIT1", 0x0C89, {
		{"OUT0", 0x000000ffL, 0x00000000},
		{"OUT1", 0x0000ff00L, 0x00000008},
		{"OUT2", 0x00ff0000L, 0x00000010},
		{"OUT3", 0xff000000L, 0x00000018}
	} },
	{"ATC_VM_APERTURE0_HIGH_ADDR", 0x0CC2, {
		{"VIRTUAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XBAR_SPARE1", 0x0C98, {
		{"BIT", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_CMD_CNTL", 0x0A8E, {
		{"RESET", 0x00000001L, 0x00000000},
		{"LOOP_END_CONDITION", 0x00000008L, 0x00000003},
		{"ENABLE_D1", 0x20000000L, 0x0000001d},
		{"ENABLE_D0", 0x10000000L, 0x0000001c},
		{"LOOP_CNT_RD", 0x0ffc0000L, 0x00000012},
		{"CMD_ISSUE_MODE_U", 0x00010000L, 0x00000010},
		{"STATUS_CH", 0x40000000L, 0x0000001e},
		{"CMD_ISSUE_MODE", 0x00000002L, 0x00000001},
		{"LOOP_CNT_MAX", 0x0000fff0L, 0x00000004},
		{"DONE", 0x80000000L, 0x0000001f},
		{"CMD_ISSUE_RUN", 0x00020000L, 0x00000011},
		{"CMD_ISSUE_LOOP", 0x00000004L, 0x00000002}
	} },
	{"MC_HUB_MISC_POWER", 0x082D, {
		{"PM_BLACKOUT_CNTL", 0x00000018L, 0x00000003},
		{"SRBM_GATE_OVERRIDE", 0x00000004L, 0x00000002}
	} },
	{"MC_SEQ_IO_RESERVE_D1", 0x0AB8, {
		{"DPHY0_RSV", 0x00000fffL, 0x00000000},
		{"DPHY1_RSV", 0x00fff000L, 0x0000000c},
		{"APHY_RSV", 0xff000000L, 0x00000018}
	} },
	{"MC_SEQ_IO_RESERVE_D0", 0x0AB7, {
		{"DPHY0_RSV", 0x00000fffL, 0x00000000},
		{"DPHY1_RSV", 0x00fff000L, 0x0000000c},
		{"APHY_RSV", 0xff000000L, 0x00000018}
	} },
	{"MC_SEQ_PMG_PG_SWCNTL_0", 0x0ABA, {
		{"PMD0_DQ_RX_ENB", 0x00000010L, 0x00000004},
		{"PMD1_WCLKX_RX_ENB", 0x00008000L, 0x0000000f},
		{"PMD1_EDC_RX_ENB", 0x00004000L, 0x0000000e},
		{"PMD1_DBI_RX_ENB", 0x00002000L, 0x0000000d},
		{"PMD0_WCLKX_RX_ENB", 0x00000080L, 0x00000007},
		{"GMCON_SR_COMMIT", 0x80000000L, 0x0000001f},
		{"PMD0_EDC_RX_ENB", 0x00000040L, 0x00000006},
		{"PMD0_DBI_RX_ENB", 0x00000020L, 0x00000005},
		{"PMD1_WCLKX_TX_ENB", 0x00000800L, 0x0000000b},
		{"PMD0_EDC_TX_ENB", 0x00000004L, 0x00000002},
		{"PMD0_DQ_TX_ENB", 0x00000001L, 0x00000000},
		{"PMD1_DQ_RX_ENB", 0x00001000L, 0x0000000c},
		{"PMA0_AC_ENB", 0x00010000L, 0x00000010},
		{"PMD0_DBI_TX_ENB", 0x00000002L, 0x00000001},
		{"PMD1_DBI_TX_ENB", 0x00000200L, 0x00000009},
		{"PMD1_EDC_TX_ENB", 0x00000400L, 0x0000000a},
		{"PMD0_WCLKX_TX_ENB", 0x00000008L, 0x00000003},
		{"PMD1_DQ_TX_ENB", 0x00000100L, 0x00000008}
	} },
	{"VM_CONTEXT9_PAGE_TABLE_BASE_ADDR", 0x050F, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG29", 0x0931, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG28", 0x0930, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG27", 0x092F, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG26", 0x092E, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG25", 0x092D, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XBAR_RDRET_PRI_CREDIT2", 0x0C8A, {
		{"OUT4", 0x000000ffL, 0x00000000},
		{"OUT5", 0x0000ff00L, 0x00000008}
	} },
	{"MC_XPB_CLG_CFG23", 0x092B, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG22", 0x092A, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG21", 0x0929, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG20", 0x0928, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_HUB_WDP_MCDZ", 0x086A, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_THRESHOLD", 0x00fe0000L, 0x00000011},
		{"LAZY_TIMER", 0x0001e000L, 0x0000000d},
		{"ASK_CREDITS_W", 0x7f000000L, 0x00000018},
		{"BLACKOUT_EXEMPT", 0x00000002L, 0x00000001},
		{"STALL_MODE", 0x00000004L, 0x00000002},
		{"MAXBURST", 0x00000078L, 0x00000003},
		{"ASK_CREDITS", 0x00001f80L, 0x00000007}
	} },
	{"MC_IO_DEBUG_DBI_CDR_PHSIZE_D1", 0x015F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_CDR_PHSIZE_D0", 0x014F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_RPB_WR_COMBINE_CNTL", 0x0954, {
		{"WC_ENABLE", 0x00000001L, 0x00000000},
		{"WC_ALIGN", 0x00000080L, 0x00000007},
		{"WC_MAX_PACKET_SIZE", 0x00000006L, 0x00000001},
		{"WC_FLUSH_TIMER", 0x00000078L, 0x00000003}
	} },
	{"MC_IO_DEBUG_DQB3L_TXBST_PU_D0", 0x01A6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_TXBST_PU_D1", 0x01B6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_LAZY0_RD", 0x09E5, {
		{"GROUP1", 0x0000ff00L, 0x00000008},
		{"GROUP0", 0x000000ffL, 0x00000000},
		{"GROUP3", 0xff000000L, 0x00000018},
		{"GROUP2", 0x00ff0000L, 0x00000010}
	} },
	{"MC_IO_DEBUG_DQB0H_TXBST_PD_D0", 0x0181, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_TXBST_PD_D1", 0x0191, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_VCE", 0x0870, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"GMCON_RENG_RAM_INDEX", 0x0D40, {
		{"RENG_RAM_INDEX", 0x000003ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_TXSLF_D1", 0x0177, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_TXSLF_D0", 0x0167, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TRAIN_PRBSERR_2_D1", 0x0AFC, {
		{"CK_STATUS", 0x00000001L, 0x00000000},
		{"RAS_STATUS", 0x00000200L, 0x00000009},
		{"CS_STATUS", 0x00000030L, 0x00000004},
		{"ADDR_STATUS", 0x03ff0000L, 0x00000010},
		{"CKB_STATUS", 0x00000002L, 0x00000001},
		{"WE_STATUS", 0x00000800L, 0x0000000b},
		{"CAS_STATUS", 0x00000400L, 0x0000000a},
		{"ABI_STATUS", 0x10000000L, 0x0000001c},
		{"CKE_STATUS", 0x00000100L, 0x00000008}
	} },
	{"MC_HUB_WDP_BP", 0x0837, {
		{"RDRET", 0x0003fffeL, 0x00000001},
		{"ENABLE", 0x00000001L, 0x00000000},
		{"WRREQ", 0x3ffc0000L, 0x00000012}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_A_I0", 0x0A79, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_A_I1", 0x0A7A, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_RXFRAMING_BYTE1_D0", 0x0A68, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_HUB_WDP_MGPU", 0x0843, {
		{"OTH_PRIORITY_TIME", 0x7f000000L, 0x00000018},
		{"ENABLE", 0x00800000L, 0x00000017},
		{"STOR", 0x000000ffL, 0x00000000},
		{"MGPU_PRIORITY_TIME", 0x007f0000L, 0x00000010},
		{"CID", 0x0000ff00L, 0x00000008}
	} },
	{"MC_IO_DEBUG_DQB2L_OFSCAL_D0", 0x00E4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_OFSCAL_D1", 0x00F4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_TXSLF_D0", 0x016B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_TXSLF_D1", 0x017B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_RX_VREF_CAL_D1", 0x0157, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_RX_VREF_CAL_D0", 0x0147, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BCNT9", 0x000C, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BCNT8", 0x000B, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_VM_APERTURE1_LOW_ADDR", 0x0CC1, {
		{"VIRTUAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BCNT3", 0x0006, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BCNT2", 0x0005, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BCNT1", 0x0004, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BCNT0", 0x0003, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BCNT7", 0x000A, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BCNT6", 0x0009, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BCNT5", 0x0008, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TSM_DEBUG_BCNT4", 0x0007, {
		{"BYTE3", 0xff000000L, 0x00000018},
		{"BYTE2", 0x00ff0000L, 0x00000010},
		{"BYTE1", 0x0000ff00L, 0x00000008},
		{"BYTE0", 0x000000ffL, 0x00000000}
	} },
	{"MPLL_DQ_0_0_STATUS", 0x0AF7, {
		{"FREQ_UNLOCK_STICKY", 0x00080000L, 0x00000013},
		{"OINT_RESET", 0x00020000L, 0x00000011},
		{"TEST_FBDIV_FRAC", 0x00000070L, 0x00000004},
		{"FREQ_LOCK", 0x00040000L, 0x00000012},
		{"TEST_FBDIV_INT", 0x0001ff80L, 0x00000007},
		{"VCTRLADC", 0x00000007L, 0x00000000}
	} },
	{"MC_RD_GRP_OTH", 0x0807, {
		{"HDP", 0x00000f00L, 0x00000008},
		{"UVD_EXT1", 0x0f000000L, 0x00000018},
		{"UVD_EXT0", 0x0000000fL, 0x00000000},
		{"UMC", 0x000f0000L, 0x00000010},
		{"SEM", 0x0000f000L, 0x0000000c},
		{"UVD", 0x00f00000L, 0x00000014}
	} },
	{"MC_XBAR_RDRET_CREDIT1", 0x0C87, {
		{"OUT0", 0x000000ffL, 0x00000000},
		{"OUT1", 0x0000ff00L, 0x00000008},
		{"OUT2", 0x00ff0000L, 0x00000010},
		{"OUT3", 0xff000000L, 0x00000018}
	} },
	{"MC_WR_GRP_OTH", 0x0808, {
		{"HDP", 0x00000f00L, 0x00000008},
		{"UVD_EXT1", 0xf0000000L, 0x0000001c},
		{"UVD_EXT0", 0x0000000fL, 0x00000000},
		{"UMC", 0x000f0000L, 0x00000010},
		{"XDP", 0x0f000000L, 0x00000018},
		{"SEM", 0x0000f000L, 0x0000000c},
		{"UVD", 0x00f00000L, 0x00000014}
	} },
	{"MC_SEQ_VENDOR_ID_I0", 0x0A7E, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_VENDOR_ID_I1", 0x0A7F, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_MISC_D0", 0x01E0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_MISC_D1", 0x01F0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"GMCON_RENG_RAM_DATA", 0x0D41, {
		{"RENG_RAM_DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_RDATA_WORD5", 0x0A19, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_RDATA_WORD6", 0x0A1A, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_RDATA_WORD7", 0x0A1B, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_RDATA_WORD0", 0x0A14, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_RDATA_WORD1", 0x0A15, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_RDATA_WORD2", 0x0A16, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_BIST_RDATA_WORD3", 0x0A17, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_ARB_RTT_DATA", 0x09CF, {
		{"PATTERN", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_MB_L1_TLB2_STATUS", 0x0897, {
		{"BUSY", 0x00000001L, 0x00000000}
	} },
	{"VM_CONTEXT0_PAGE_TABLE_BASE_ADDR", 0x054F, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_WR_HUB", 0x0988, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"MAX_BURST", 0x00000780L, 0x00000007},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"ATC_ATS_FAULT_STATUS_ADDR", 0x0CCF, {
		{"PAGE_ADDR", 0xffffffffL, 0x00000000}
	} },
	{"MC_RD_GRP_GFX", 0x0803, {
		{"CP", 0x0000000fL, 0x00000000},
		{"XDMAM", 0x000f0000L, 0x00000010}
	} },
	{"MC_RD_CB", 0x0981, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"MAX_BURST", 0x00000780L, 0x00000007},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_B_I1", 0x0A7C, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_MISC_D0", 0x00AD, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_MISC_D1", 0x00BD, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XBAR_PERF_MON_CNTL2", 0x0C91, {
		{"MON1_ID", 0x0000ff00L, 0x00000008},
		{"MON3_ID", 0xff000000L, 0x00000018},
		{"MON0_ID", 0x000000ffL, 0x00000000},
		{"MON2_ID", 0x00ff0000L, 0x00000010}
	} },
	{"MC_XBAR_PERF_MON_CNTL1", 0x0C90, {
		{"START_TRIG_ID", 0x0000ff00L, 0x00000008},
		{"THRESH_CNTR_ID", 0x000000ffL, 0x00000000},
		{"STOP_TRIG_ID", 0x00ff0000L, 0x00000010}
	} },
	{"MC_HUB_RDREQ_RLC", 0x085D, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"ATC_ATS_DEFAULT_PAGE_CNTL", 0x0CD1, {
		{"DEFAULT_PAGE_HIGH", 0x0000003cL, 0x00000002},
		{"SEND_DEFAULT_PAGE", 0x00000001L, 0x00000000}
	} },
	{"MC_SEQ_RD_CTL_D1_LP", 0x0AC8, {
		{"RBS_WEDC_DLY", 0x3e000000L, 0x00000019},
		{"RCV_DLY", 0x00000007L, 0x00000000},
		{"STR_PRE", 0x00010000L, 0x00000010},
		{"RST_SEL", 0x00000300L, 0x00000008},
		{"RBS_DLY", 0x01f00000L, 0x00000014},
		{"STR_PST", 0x00020000L, 0x00000011},
		{"RXDPWRON_DLY", 0x00000c00L, 0x0000000a},
		{"RCV_EXT", 0x000000f8L, 0x00000003},
		{"RST_HLD", 0x0000f000L, 0x0000000c}
	} },
	{"MC_XPB_SUB_CTRL", 0x0922, {
		{"STALL_CNS_RTR_REQ", 0x00000002L, 0x00000001},
		{"RESET_CGR", 0x00080000L, 0x00000013},
		{"WRREQ_BYPASS_XPB", 0x00000001L, 0x00000000},
		{"STALL_WCB_HST_REQ", 0x00000080L, 0x00000007},
		{"RESET_HST", 0x00008000L, 0x0000000f},
		{"STALL_RTR_RPB_WRREQ", 0x00000004L, 0x00000002},
		{"RESET_HOP", 0x00010000L, 0x00000010},
		{"RESET_RTR", 0x00000800L, 0x0000000b},
		{"RESET_SID", 0x00020000L, 0x00000011},
		{"STALL_MAP_WCB_REQ", 0x00000010L, 0x00000004},
		{"STALL_XPB_RPB_REQ_ATTR", 0x00000200L, 0x00000009},
		{"RESET_RET", 0x00001000L, 0x0000000c},
		{"STALL_HST_HOP_REQ", 0x00000100L, 0x00000008},
		{"RESET_WCB", 0x00004000L, 0x0000000e},
		{"STALL_MC_XSP_REQ_SEND", 0x00000040L, 0x00000006},
		{"RESET_SRB", 0x00040000L, 0x00000012},
		{"RESET_MAP", 0x00002000L, 0x0000000d},
		{"STALL_RTR_MAP_REQ", 0x00000008L, 0x00000003},
		{"STALL_WCB_SID_REQ", 0x00000020L, 0x00000005},
		{"RESET_CNS", 0x00000400L, 0x0000000a}
	} },
	{"MC_SEQ_PMG_PG_SWCNTL_1", 0x0ABB, {
		{"PMD3_DBI_TX_ENB", 0x00000200L, 0x00000009},
		{"PMD2_WCLKX_TX_ENB", 0x00000008L, 0x00000003},
		{"PMD3_DQ_RX_ENB", 0x00001000L, 0x0000000c},
		{"PMD2_EDC_TX_ENB", 0x00000004L, 0x00000002},
		{"PMD3_EDC_TX_ENB", 0x00000400L, 0x0000000a},
		{"PMD2_DBI_TX_ENB", 0x00000002L, 0x00000001},
		{"PMD3_DBI_RX_ENB", 0x00002000L, 0x0000000d},
		{"GMCON_SR_COMMIT", 0x80000000L, 0x0000001f},
		{"PMA1_AC_ENB", 0x00010000L, 0x00000010},
		{"PMD2_WCLKX_RX_ENB", 0x00000080L, 0x00000007},
		{"PMD2_DQ_TX_ENB", 0x00000001L, 0x00000000},
		{"PMD3_WCLKX_RX_ENB", 0x00008000L, 0x0000000f},
		{"PMD3_WCLKX_TX_ENB", 0x00000800L, 0x0000000b},
		{"PMD2_EDC_RX_ENB", 0x00000040L, 0x00000006},
		{"PMD3_DQ_TX_ENB", 0x00000100L, 0x00000008},
		{"PMD2_DBI_RX_ENB", 0x00000020L, 0x00000005},
		{"PMD3_EDC_RX_ENB", 0x00004000L, 0x0000000e},
		{"PMD2_DQ_RX_ENB", 0x00000010L, 0x00000004}
	} },
	{"MC_IO_DEBUG_UP_8", 0x0008, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_9", 0x0009, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_MISC_D1", 0x00B6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_TXBST_PU_D1", 0x01B9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_0", 0x0000, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_1", 0x0001, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_2", 0x0002, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_3", 0x0003, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_4", 0x0004, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_5", 0x0005, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_6", 0x0006, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_7", 0x0007, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_RPB_PERF_COUNTER_CNTL", 0x0958, {
		{"PERF_COUNTER_SELECT", 0x00000003L, 0x00000000},
		{"CLEAR_ALL_PERF_COUNTERS", 0x00000008L, 0x00000003},
		{"CLEAR_SELECTED_PERF_COUNTER", 0x00000004L, 0x00000002},
		{"STOP_ON_COUNTER_SATURATION", 0x00000010L, 0x00000004},
		{"PERF_COUNTER_ASSIGN_3", 0x1f000000L, 0x00000018},
		{"PERF_COUNTER_ASSIGN_0", 0x00003e00L, 0x00000009},
		{"PERF_COUNTER_ASSIGN_1", 0x0007c000L, 0x0000000e},
		{"PERF_COUNTER_ASSIGN_2", 0x00f80000L, 0x00000013},
		{"ENABLE_PERF_COUNTERS", 0x000001e0L, 0x00000005}
	} },
	{"ATC_ATS_STATUS", 0x0CCC, {
		{"CRASHED", 0x00000002L, 0x00000001},
		{"BUSY", 0x00000001L, 0x00000000},
		{"DEADLOCK_DETECTION", 0x00000004L, 0x00000002}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_C_I1", 0x0ADA, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"VM_CONTEXT5_PAGE_TABLE_BASE_ADDR", 0x0554, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_151", 0x0097, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_79", 0x004F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TRAIN_EDCCDR_R_D1", 0x0A42, {
		{"EDC2", 0x00ff0000L, 0x00000010},
		{"EDC3", 0xff000000L, 0x00000018},
		{"EDC0", 0x000000ffL, 0x00000000},
		{"EDC1", 0x0000ff00L, 0x00000008}
	} },
	{"ATC_VMID1_PASID_MAPPING", 0x0CE8, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_IO_DEBUG_EDC_OFSCAL_D1", 0x00F9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_RXPHASE_D0", 0x010D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_RX_VREF_CAL_D0", 0x0143, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_FB_OFFSET", 0x081A, {
		{"FB_OFFSET", 0x0003ffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_RXPHASE_D0", 0x010E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_VMID9_PASID_MAPPING", 0x0CF0, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_IO_APHY_STR_CNTL_D1", 0x0A98, {
		{"LOAD_D_RD_STR", 0x20000000L, 0x0000001d},
		{"PSTR_OFF_A", 0x0000003fL, 0x00000000},
		{"CAL_SEL", 0x0c000000L, 0x0000001a},
		{"USE_A_CAL", 0x01000000L, 0x00000018},
		{"USE_D_RD_CAL", 0x02000000L, 0x00000019},
		{"PSTR_OFF_D_RD", 0x0003f000L, 0x0000000c},
		{"LOAD_A_STR", 0x10000000L, 0x0000001c},
		{"NSTR_OFF_A", 0x00000fc0L, 0x00000006}
	} },
	{"MC_HUB_WDP_CREDITS", 0x083F, {
		{"STOR1", 0xff000000L, 0x00000018},
		{"STOR0", 0x00ff0000L, 0x00000010},
		{"VM0", 0x000000ffL, 0x00000000},
		{"VM1", 0x0000ff00L, 0x00000008}
	} },
	{"MC_IO_APHY_STR_CNTL_D0", 0x0A97, {
		{"LOAD_D_RD_STR", 0x20000000L, 0x0000001d},
		{"PSTR_OFF_A", 0x0000003fL, 0x00000000},
		{"CAL_SEL", 0x0c000000L, 0x0000001a},
		{"USE_A_CAL", 0x01000000L, 0x00000018},
		{"USE_D_RD_CAL", 0x02000000L, 0x00000019},
		{"PSTR_OFF_D_RD", 0x0003f000L, 0x0000000c},
		{"LOAD_A_STR", 0x10000000L, 0x0000001c},
		{"NSTR_OFF_A", 0x00000fc0L, 0x00000006}
	} },
	{"MC_ARB_MISC2", 0x09D5, {
		{"TCCDL4_BANKBIT3_XOR_COLBIT8", 0x00000400L, 0x0000000a},
		{"TCCDL4_BANKBIT3_XOR_ENABLE", 0x00000020L, 0x00000005},
		{"RDRET_SEQ_SKID", 0x0003c000L, 0x0000000e},
		{"TCCDL4_REPLAY_EOB", 0x80000000L, 0x0000001f},
		{"REPLAY_DEBUG", 0x10000000L, 0x0000001c},
		{"SEQ_RDY_POP_IDLE", 0x40000000L, 0x0000001e},
		{"GECC_STATUS", 0x00100000L, 0x00000014},
		{"RDRET_NO_REORDERING", 0x00001000L, 0x0000000c},
		{"TAGFIFO_THRESHOLD", 0x01e00000L, 0x00000015},
		{"GECC_RST", 0x00080000L, 0x00000013},
		{"TCCDL4_BANKBIT3_XOR_COLBIT7", 0x00000200L, 0x00000009},
		{"TCCDL4_BANKBIT3_XOR_COLBIT4", 0x00000040L, 0x00000006},
		{"RDRET_NO_BP", 0x00002000L, 0x0000000d},
		{"ARB_DEBUG29", 0x20000000L, 0x0000001d},
		{"POP_IDLE_REPLAY", 0x00000800L, 0x0000000b},
		{"TCCDL4_BANKBIT3_XOR_COLBIT6", 0x00000100L, 0x00000008},
		{"TCCDL4_BANKBIT3_XOR_COLBIT5", 0x00000080L, 0x00000007},
		{"GECC", 0x00040000L, 0x00000012},
		{"WCDR_REPLAY_MASKCNT", 0x0e000000L, 0x00000019}
	} },
	{"MC_IO_DEBUG_UP_156", 0x009C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_RTT_DEBUG", 0x09D3, {
		{"WINDOW_SIZE_CH1", 0x3e000000L, 0x00000019},
		{"WINDOW_SIZE_CH0", 0x0001f000L, 0x0000000c},
		{"DEBUG_BYTE_CH0", 0x00000003L, 0x00000000},
		{"DEBUG_BYTE_CH1", 0x0000000cL, 0x00000002},
		{"SHIFTED_PHASE_CH0", 0x00000ff0L, 0x00000004},
		{"SHIFTED_PHASE_CH1", 0x01fe0000L, 0x00000011}
	} },
	{"MC_IO_DEBUG_DQB3L_RXPHASE_D1", 0x0116, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_RXPHASE_D0", 0x0106, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IMP_STATUS", 0x0A38, {
		{"NSTR_ACCUM_VAL", 0xff000000L, 0x00000018},
		{"PSTR_CAL", 0x000000ffL, 0x00000000},
		{"NSTR_CAL", 0x00ff0000L, 0x00000010},
		{"PSTR_ACCUM_VAL", 0x0000ff00L, 0x00000008}
	} },
	{"MC_IO_DEBUG_DQB0L_TXPHASE_D0", 0x0120, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_TXPHASE_D1", 0x0130, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_WR_GRP_EXT", 0x0979, {
		{"DBSTEN0", 0x0000000fL, 0x00000000},
		{"TC0", 0x000000f0L, 0x00000004}
	} },
	{"MC_IO_DEBUG_EDC_RX_DYN_PM_D0", 0x00EC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_RX_DYN_PM_D1", 0x00FC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_SUP_CNTL", 0x0A32, {
		{"SW_WAKE", 0x00000004L, 0x00000002},
		{"RUN", 0x00000001L, 0x00000000},
		{"RESET_PC", 0x00000008L, 0x00000003},
		{"PGM_WRITE", 0x00000010L, 0x00000004},
		{"PGM_CHKSUM", 0xff800000L, 0x00000017},
		{"FAST_WRITE", 0x00000040L, 0x00000006},
		{"BKPT_CLEAR", 0x00000080L, 0x00000007},
		{"SINGLE_STEP", 0x00000002L, 0x00000001},
		{"PGM_READ", 0x00000020L, 0x00000005}
	} },
	{"MC_WR_GRP_GFX", 0x0804, {
		{"CP", 0x0000000fL, 0x00000000},
		{"XDMAM", 0x000f0000L, 0x00000010},
		{"XDMA", 0x0000f000L, 0x0000000c}
	} },
	{"MC_CITF_INT_CREDITS", 0x0975, {
		{"CNTR_RD_LCL", 0x3f000000L, 0x00000018},
		{"CNTR_RD_HUB_LP", 0x0003f000L, 0x0000000c},
		{"REMRDRET", 0x0000003fL, 0x00000000},
		{"CNTR_RD_HUB_HP", 0x00fc0000L, 0x00000012}
	} },
	{"ATC_VMID11_PASID_MAPPING", 0x0CF2, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_RPB_EFF_CNTL", 0x0950, {
		{"RD_LAZY_TIMER", 0x0000ff00L, 0x00000008},
		{"WR_LAZY_TIMER", 0x000000ffL, 0x00000000}
	} },
	{"VM_CONTEXT10_PAGE_TABLE_BASE_ADDR", 0x0510, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"ATC_VM_APERTURE0_CNTL2", 0x0CC6, {
		{"VMIDS_USING_RANGE", 0x0000ffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_TXBST_PD_D1", 0x019E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_TXBST_PD_D0", 0x018E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_CDRCNTL2_D0", 0x0AE4, {
		{"EDC_RXEN_OVR1", 0x00000008L, 0x00000003},
		{"EDC_RXEN_OVR0", 0x00000004L, 0x00000002},
		{"WCK_RXEN_OVR1", 0x00000080L, 0x00000007},
		{"CDR_FB_SEL0", 0x00000001L, 0x00000000},
		{"CDR_FB_SEL1", 0x00000002L, 0x00000001},
		{"TXCDRBYPASS1", 0x00000020L, 0x00000005},
		{"TXCDRBYPASS0", 0x00000010L, 0x00000004},
		{"WCK_RXEN_OVR0", 0x00000040L, 0x00000006}
	} },
	{"MC_ARB_WCDR", 0x09FB, {
		{"IDLE_BURST_MODE", 0x00002000L, 0x0000000d},
		{"IDLE_BURST", 0x00001f80L, 0x00000007},
		{"IDLE_DEGLITCH_ENABLE", 0x00010000L, 0x00000010},
		{"IDLE_PERIOD", 0x0000007cL, 0x00000002},
		{"WPRE_ENABLE", 0x00020000L, 0x00000011},
		{"WPRE_INC_SEQIDLE", 0x08000000L, 0x0000001b},
		{"SEQ_IDLE", 0x00000002L, 0x00000001},
		{"WPRE_INC_READ", 0x02000000L, 0x00000019},
		{"WPRE_MAX_BURST", 0x01c00000L, 0x00000016},
		{"WPRE_TWOPAGE", 0x10000000L, 0x0000001c},
		{"WPRE_INC_SKIDIDLE", 0x04000000L, 0x0000001a},
		{"IDLE_ENABLE", 0x00000001L, 0x00000000},
		{"WPRE_THRESHOLD", 0x003c0000L, 0x00000012},
		{"IDLE_WAKEUP", 0x0000c000L, 0x0000000e}
	} },
	{"ATC_L1RD_STATUS", 0x0CE0, {
		{"BUSY", 0x00000001L, 0x00000000},
		{"DEADLOCK_DETECTION", 0x00000002L, 0x00000001},
		{"BAD_NEED_ATS", 0x00000100L, 0x00000008}
	} },
	{"MC_SEQ_TRAIN_EDC_THRESHOLD2", 0x0AFE, {
		{"THRESHOLD_PERIOD", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_TXSLF_D0", 0x016A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_TXSLF_D1", 0x017A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_HDP", 0x085B, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_HUB_WDP_IH", 0x0872, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_ARB_PM_CNTL", 0x09ED, {
		{"OVRR_PM_STATE", 0x00000300L, 0x00000008},
		{"OVRR_WR", 0x00001000L, 0x0000000c},
		{"OVRR_RD", 0x00000400L, 0x0000000a},
		{"OVRR_PM", 0x00000080L, 0x00000007},
		{"OVERRIDE_CGSTATE", 0x00000003L, 0x00000000},
		{"OVRR_WR_STATE", 0x00002000L, 0x0000000d},
		{"IDLE_CNT", 0x00f00000L, 0x00000014},
		{"OVRR_CGSQM", 0x00000008L, 0x00000003},
		{"BLKOUT_ON_D1", 0x00000020L, 0x00000005},
		{"OVRR_CGRFSH", 0x00000004L, 0x00000002},
		{"IDLE_ON_D3", 0x00080000L, 0x00000013},
		{"IDLE_ON_D2", 0x00040000L, 0x00000012},
		{"IDLE_ON_D1", 0x00000040L, 0x00000006},
		{"OVRR_RFSH_STATE", 0x00008000L, 0x0000000f},
		{"OVRR_RD_STATE", 0x00000800L, 0x0000000b},
		{"OVRR_RFSH", 0x00004000L, 0x0000000e},
		{"SRFSH_ON_D1", 0x00000010L, 0x00000004}
	} },
	{"MC_XBAR_PERF_MON_MAX_THSH", 0x0C96, {
		{"MON2", 0x00ff0000L, 0x00000010},
		{"MON3", 0xff000000L, 0x00000018},
		{"MON0", 0x000000ffL, 0x00000000},
		{"MON1", 0x0000ff00L, 0x00000008}
	} },
	{"MC_IO_DEBUG_DQ1_RX_EQ_PM_D0", 0x01CC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQ1_RX_EQ_PM_D1", 0x01DC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_47", 0x002F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_46", 0x002E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_41", 0x0029, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_40", 0x0028, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_43", 0x002B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_42", 0x002A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_MB_L1_TLB3_DEBUG", 0x08A5, {
		{"SEND_FREE_AT_RTN", 0x00000100L, 0x00000008},
		{"INVALIDATE_L1_TLB", 0x00000001L, 0x00000000},
		{"L1_TLB_DEBUG", 0x00078000L, 0x0000000f},
		{"EFFECTIVE_L1_TLB_SIZE", 0x00000e00L, 0x00000009},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x00007000L, 0x0000000c}
	} },
	{"MC_ARB_GECC2_STATUS", 0x09C2, {
		{"FED_STS0", 0x00000004L, 0x00000002},
		{"FED_STS1", 0x00000040L, 0x00000006},
		{"UNCORR_CLEAR0", 0x00000200L, 0x00000009},
		{"UNCORR_CLEAR1", 0x00002000L, 0x0000000d},
		{"UNCORR_STS1", 0x00000020L, 0x00000005},
		{"UNCORR_STS0", 0x00000002L, 0x00000001},
		{"CORR_CLEAR1", 0x00001000L, 0x0000000c},
		{"CORR_CLEAR0", 0x00000100L, 0x00000008},
		{"FED_CLEAR1", 0x00004000L, 0x0000000e},
		{"FED_CLEAR0", 0x00000400L, 0x0000000a},
		{"RSVD0", 0x00000008L, 0x00000003},
		{"RSVD1", 0x00000080L, 0x00000007},
		{"RSVD2", 0x00000800L, 0x0000000b},
		{"CORR_STS0", 0x00000001L, 0x00000000},
		{"CORR_STS1", 0x00000010L, 0x00000004}
	} },
	{"MC_HUB_RDREQ_MCDY", 0x0853, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"DISPLAY_CREDITS", 0x01fc0000L, 0x00000012},
		{"BUS", 0x00000004L, 0x00000002},
		{"LAZY_TIMER", 0x00000780L, 0x00000007},
		{"BLACKOUT_EXEMPT", 0x00000002L, 0x00000001},
		{"STALL_THRESHOLD", 0xfe000000L, 0x00000019},
		{"MAXBURST", 0x00000078L, 0x00000003},
		{"ASK_CREDITS", 0x0003f800L, 0x0000000b}
	} },
	{"MC_HUB_RDREQ_MCDX", 0x0852, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"DISPLAY_CREDITS", 0x01fc0000L, 0x00000012},
		{"BUS", 0x00000004L, 0x00000002},
		{"LAZY_TIMER", 0x00000780L, 0x00000007},
		{"BLACKOUT_EXEMPT", 0x00000002L, 0x00000001},
		{"STALL_THRESHOLD", 0xfe000000L, 0x00000019},
		{"MAXBURST", 0x00000078L, 0x00000003},
		{"ASK_CREDITS", 0x0003f800L, 0x0000000b}
	} },
	{"MC_IO_DEBUG_UP_49", 0x0031, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_48", 0x0030, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_RXPHASE_D0", 0x0104, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_RXPHASE_D1", 0x0114, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_VMID8_PASID_MAPPING", 0x0CEF, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_VM_DC_WRITE_CNTL", 0x0810, {
		{"DC_WRITE_HIT_REGION_1_MODE", 0x0000000cL, 0x00000002},
		{"DC_MEMORY_WRITE_SYSTEM", 0x00000200L, 0x00000009},
		{"DC_WRITE_HIT_REGION_2_MODE", 0x00000030L, 0x00000004},
		{"DC_WRITE_HIT_REGION_3_MODE", 0x000000c0L, 0x00000006},
		{"DC_MEMORY_WRITE_LOCAL", 0x00000100L, 0x00000008},
		{"DC_WRITE_HIT_REGION_0_MODE", 0x00000003L, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_118", 0x0076, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_119", 0x0077, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_BIST_AUTO_CNTL", 0x0A06, {
		{"ADR_RESET", 0x02000000L, 0x00000019},
		{"ADR_GEN", 0x000000f0L, 0x00000004},
		{"LFSR_KEY", 0x00ffff00L, 0x00000008},
		{"MOP", 0x00000003L, 0x00000000},
		{"LFSR_RESET", 0x01000000L, 0x00000018}
	} },
	{"MPLL_SEQ_UCODE_2", 0x0AEB, {
		{"INSTR12", 0x000f0000L, 0x00000010},
		{"INSTR13", 0x00f00000L, 0x00000014},
		{"INSTR10", 0x00000f00L, 0x00000008},
		{"INSTR11", 0x0000f000L, 0x0000000c},
		{"INSTR14", 0x0f000000L, 0x00000018},
		{"INSTR15", 0xf0000000L, 0x0000001c},
		{"INSTR8", 0x0000000fL, 0x00000000},
		{"INSTR9", 0x000000f0L, 0x00000004}
	} },
	{"MC_IO_DEBUG_UP_114", 0x0072, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_115", 0x0073, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_116", 0x0074, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_117", 0x0075, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_110", 0x006E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_111", 0x006F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_112", 0x0070, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_113", 0x0071, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_DRAM_TIMING_1", 0x09FC, {
		{"ACTRD", 0x000000ffL, 0x00000000},
		{"RASMACTRD", 0x00ff0000L, 0x00000010},
		{"ACTWR", 0x0000ff00L, 0x00000008},
		{"RASMACTWR", 0xff000000L, 0x00000018}
	} },
	{"MC_PMG_CMD_EMRS", 0x0A83, {
		{"END", 0x00100000L, 0x00000014},
		{"MOP", 0x00070000L, 0x00000010},
		{"ADR_MSB0", 0x20000000L, 0x0000001d},
		{"ADR_MSB1", 0x10000000L, 0x0000001c},
		{"CSB", 0x00600000L, 0x00000015},
		{"ADR", 0x0000ffffL, 0x00000000},
		{"BNK_MSB", 0x00080000L, 0x00000013}
	} },
	{"MC_IO_DEBUG_DQB1H_MISC_D0", 0x00A3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_TXBST_PD_D1", 0x0192, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_TXBST_PD_D0", 0x0182, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_OFSCAL_D1", 0x00FF, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_OFSCAL_D0", 0x00EF, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_15", 0x000F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XBAR_PERF_MON_RSLT2", 0x0C94, {
		{"COUNT", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_PERF_SEQ_CTL", 0x0A78, {
		{"SEL_A", 0x0000000fL, 0x00000000},
		{"SEL_B", 0x000000f0L, 0x00000004},
		{"SEL_CH0_C", 0x00000f00L, 0x00000008},
		{"SEL_CH1_D", 0xf0000000L, 0x0000001c},
		{"SEL_CH1_C", 0x0f000000L, 0x00000018},
		{"SEL_CH0_D", 0x0000f000L, 0x0000000c},
		{"SEL_CH1_A", 0x000f0000L, 0x00000010},
		{"SEL_CH1_B", 0x00f00000L, 0x00000014}
	} },
	{"GMCON_PGFSM_CONFIG", 0x0D4E, {
		{"FSM_ADDR", 0x000000ffL, 0x00000000},
		{"REG_ADDR", 0xf0000000L, 0x0000001c},
		{"RSRVD", 0x07ffc000L, 0x0000000e},
		{"POWER_DOWN", 0x00000100L, 0x00000008},
		{"READ", 0x00002000L, 0x0000000d},
		{"P1_SELECT", 0x00000400L, 0x0000000a},
		{"SRBM_OVERRIDE", 0x08000000L, 0x0000001b},
		{"P2_SELECT", 0x00000800L, 0x0000000b},
		{"WRITE", 0x00001000L, 0x0000000c},
		{"POWER_UP", 0x00000200L, 0x00000009}
	} },
	{"ATC_VM_APERTURE1_CNTL", 0x0CC5, {
		{"ATS_ACCESS_MODE", 0x00000003L, 0x00000000}
	} },
	{"MPLL_TIME", 0x0AF2, {
		{"MPLL_RESET_TIME", 0xffff0000L, 0x00000010},
		{"MPLL_LOCK_TIME", 0x0000ffffL, 0x00000000}
	} },
	{"ATC_L1_ADDRESS_OFFSET", 0x0CDD, {
		{"LOGICAL_ADDRESS", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_CLKSEL_D0", 0x00C8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_CLKSEL_D1", 0x00D8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TIMER_RD", 0x0ACA, {
		{"COUNTER", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_WR_CTL_D1", 0x0A30, {
		{"ODT_DLY", 0x0f000000L, 0x00000018},
		{"CMD_DLY", 0x40000000L, 0x0000001e},
		{"OEN_DLY", 0x0000f000L, 0x0000000c},
		{"CMD_2Y_DLY", 0x00000800L, 0x0000000b},
		{"ODT_EXT", 0x10000000L, 0x0000001c},
		{"DQS_DLY", 0x000000f0L, 0x00000004},
		{"DQS_XTR", 0x00000100L, 0x00000008},
		{"DAT_DLY", 0x0000000fL, 0x00000000},
		{"OEN_SEL", 0x00300000L, 0x00000014},
		{"ADR_DLY", 0x20000000L, 0x0000001d},
		{"OEN_EXT", 0x000f0000L, 0x00000010},
		{"ADR_2Y_DLY", 0x00000400L, 0x0000000a},
		{"DAT_2Y_DLY", 0x00000200L, 0x00000009}
	} },
	{"MC_IO_DEBUG_UP_76", 0x004C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_ATS_DEFAULT_PAGE_LOW", 0x0CD0, {
		{"DEFAULT_PAGE", 0xffffffffL, 0x00000000}
	} },
	{"MC_HUB_WDP_UVD", 0x0878, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"VM_BYPASS", 0x00010000L, 0x00000010},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_IO_DEBUG_EDC_MISC_D1", 0x00B9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_MISC_D0", 0x00A9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_MB_L2ARBITER_L2_CREDITS", 0x08A1, {
		{"L2_IF_CREDITS", 0x0000003fL, 0x00000000}
	} },
	{"MC_SEQ_BIT_REMAP_B1_D1", 0x0AA8, {
		{"BIT7", 0x00e00000L, 0x00000015},
		{"BIT6", 0x001c0000L, 0x00000012},
		{"BIT5", 0x00038000L, 0x0000000f},
		{"BIT4", 0x00007000L, 0x0000000c},
		{"BIT3", 0x00000e00L, 0x00000009},
		{"BIT2", 0x000001c0L, 0x00000006},
		{"BIT1", 0x00000038L, 0x00000003},
		{"BIT0", 0x00000007L, 0x00000000}
	} },
	{"MC_SEQ_CG", 0x0A9A, {
		{"CG_SEQ_RESP", 0x0000ff00L, 0x00000008},
		{"CG_SEQ_REQ", 0x000000ffL, 0x00000000},
		{"SEQ_CG_RESP", 0xff000000L, 0x00000018},
		{"SEQ_CG_REQ", 0x00ff0000L, 0x00000010}
	} },
	{"MC_SEQ_TSM_DEBUG_INDEX", 0x0ACF, {
		{"TSM_DEBUG_INDEX", 0x0000001fL, 0x00000000}
	} },
	{"MC_PMG_AUTO_CMD", 0x0A34, {
		{"ADR_MSB0", 0x20000000L, 0x0000001d},
		{"ADR", 0x0001ffffL, 0x00000000},
		{"ADR_MSB1", 0x10000000L, 0x0000001c}
	} },
	{"MC_ARB_RAMCFG", 0x09D8, {
		{"CHANSIZE", 0x00000100L, 0x00000008},
		{"NOOFCOLS", 0x000000c0L, 0x00000006},
		{"NOOFBANK", 0x00000003L, 0x00000000},
		{"NOOFROWS", 0x00000038L, 0x00000003},
		{"NOOFGROUPS", 0x00001000L, 0x0000000c},
		{"NOOFRANKS", 0x00000004L, 0x00000002}
	} },
	{"MC_HUB_WDP_SEM", 0x0874, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_SEQ_TRAIN_EDC_THRESHOLD3", 0x0AFF, {
		{"CLEAR_RETRAIN_STATUS", 0x00000004L, 0x00000002},
		{"RETRAIN_VBI", 0x00000008L, 0x00000003},
		{"CH1_LINK_RETRAIN_IN_PROGRESS", 0x00000200L, 0x00000009},
		{"CH0_LINK_RETRAIN_STATUS", 0x00000001L, 0x00000000},
		{"RETRAIN_MONITOR", 0x00000030L, 0x00000004},
		{"CH1_LINK_RETRAIN_STATUS", 0x00000002L, 0x00000001},
		{"CH0_LINK_RETRAIN_IN_PROGRESS", 0x00000100L, 0x00000008}
	} },
	{"MC_IO_DEBUG_WCDR_TXPHASE_D0", 0x01E4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_TXPHASE_D1", 0x01F4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_CONTEXT8_PAGE_TABLE_BASE_ADDR", 0x050E, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_MISC_D1", 0x00BE, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ACMD_MISC_D0", 0x00AE, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TRAIN_PRBSERR_0_D0", 0x0A43, {
		{"DQ_STATUS", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_77", 0x004D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_VMID14_PASID_MAPPING", 0x0CF5, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_IO_DEBUG_DQB1H_TXSLF_D1", 0x0173, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_TXSLF_D0", 0x0163, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_TXPHASE_D1", 0x0139, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_TXPHASE_D0", 0x0129, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_OFSCAL_D1", 0x01F2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_RPB_IF_CONF", 0x094E, {
		{"RPB_BIF_CREDITS", 0x000000ffL, 0x00000000},
		{"OUTSTANDING_WRRET_ASK", 0x0000ff00L, 0x00000008}
	} },
	{"MC_IO_DEBUG_ADDRL_MISC_D0", 0x00AC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRL_MISC_D1", 0x00BC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_WR_CTL_2_LP", 0x0AD6, {
		{"DQS_DLY_H_D0", 0x00000002L, 0x00000001},
		{"DQS_DLY_H_D1", 0x00000010L, 0x00000004},
		{"OEN_DLY_H_D0", 0x00000004L, 0x00000002},
		{"OEN_DLY_H_D1", 0x00000020L, 0x00000005},
		{"WCDR_EN", 0x00000040L, 0x00000006},
		{"DAT_DLY_H_D1", 0x00000008L, 0x00000003},
		{"DAT_DLY_H_D0", 0x00000001L, 0x00000000}
	} },
	{"MC_ARB_LAZY1_RD", 0x09E7, {
		{"GROUP5", 0x0000ff00L, 0x00000008},
		{"GROUP4", 0x000000ffL, 0x00000000},
		{"GROUP7", 0xff000000L, 0x00000018},
		{"GROUP6", 0x00ff0000L, 0x00000010}
	} },
	{"MC_ARB_TM_CNTL_WR", 0x09E4, {
		{"BANK_SELECT", 0x00000006L, 0x00000001},
		{"MATCH_RANK", 0x00000008L, 0x00000003},
		{"MATCH_BANK", 0x00000010L, 0x00000004},
		{"GROUPBY_RANK", 0x00000001L, 0x00000000}
	} },
	{"MC_VM_MD_L1_TLB1_STATUS", 0x099C, {
		{"BUSY", 0x00000001L, 0x00000000}
	} },
	{"MC_SEQ_TSM_MISC", 0x0AE6, {
		{"WCDR_MASK", 0x000f0000L, 0x00000010},
		{"WCDR_PTR", 0x0000ffffL, 0x00000000}
	} },
	{"MC_SEQ_RXFRAMING_BYTE3_D1", 0x0A70, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_SEQ_RXFRAMING_BYTE3_D0", 0x0A6A, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_CITF_MISC_VM_CG", 0x0994, {
		{"OFFDLY", 0x00000fc0L, 0x00000006},
		{"ENABLE", 0x00040000L, 0x00000012},
		{"MEM_LS_ENABLE", 0x00080000L, 0x00000013},
		{"ONDLY", 0x0000003fL, 0x00000000},
		{"RDYDLY", 0x0003f000L, 0x0000000c}
	} },
	{"MC_IO_DEBUG_CMD_TXBST_PD_D1", 0x019F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_TXBST_PD_D0", 0x018F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_TXBST_PD_D1", 0x0199, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_TXBST_PD_D0", 0x0189, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_WTM_CNTL_WR", 0x09E0, {
		{"ALLOW_STUTTER_GRP5", 0x00000100L, 0x00000008},
		{"ALLOW_STUTTER_GRP4", 0x00000080L, 0x00000007},
		{"ALLOW_STUTTER_GRP7", 0x00000400L, 0x0000000a},
		{"ALLOW_STUTTER_GRP6", 0x00000200L, 0x00000009},
		{"ALLOW_STUTTER_GRP1", 0x00000010L, 0x00000004},
		{"ALLOW_STUTTER_GRP0", 0x00000008L, 0x00000003},
		{"ALLOW_STUTTER_GRP3", 0x00000040L, 0x00000006},
		{"ALLOW_STUTTER_GRP2", 0x00000020L, 0x00000005},
		{"WTMODE", 0x00000003L, 0x00000000},
		{"HARSH_PRI", 0x00000004L, 0x00000002}
	} },
	{"MC_SEQ_CAS_TIMING_LP", 0x0A9C, {
		{"TNOPW", 0x00000003L, 0x00000000},
		{"TNOPR", 0x0000000cL, 0x00000002},
		{"TW2R", 0x001f0000L, 0x00000010},
		{"TCL", 0x1f000000L, 0x00000018},
		{"TCCDL", 0x00000e00L, 0x00000009},
		{"TR2W", 0x000001f0L, 0x00000004},
		{"TR2R", 0x0000f000L, 0x0000000c}
	} },
	{"MPLL_AD_FUNC_CNTL", 0x0AF0, {
		{"SPARE", 0xfffffff8L, 0x00000003},
		{"YCLK_POST_DIV", 0x00000007L, 0x00000000}
	} },
	{"MC_IO_RXCNTL1_DPHY1_D1", 0x0AE2, {
		{"VREFCAL1_MSB", 0x0000000fL, 0x00000000},
		{"PMD_LOOPBACK", 0x0e000000L, 0x00000019},
		{"VREFSEL2", 0x00010000L, 0x00000010},
		{"VREFCAL3", 0x0000ff00L, 0x00000008},
		{"VREFCAL2_MSB", 0x000000f0L, 0x00000004},
		{"VREFSEL3", 0x00020000L, 0x00000011},
		{"DLL_RSV", 0xf0000000L, 0x0000001c},
		{"VREFPDNB_1", 0x00040000L, 0x00000012}
	} },
	{"MC_CITF_CREDITS_ARB_RD", 0x0972, {
		{"HUB_PRI", 0x02000000L, 0x00000019},
		{"READ_HUB", 0x0000ff00L, 0x00000008},
		{"READ_LCL", 0x000000ffL, 0x00000000},
		{"LCL_PRI", 0x01000000L, 0x00000018},
		{"READ_PRI", 0x00ff0000L, 0x00000010}
	} },
	{"MC_VM_FB_LOCATION", 0x0809, {
		{"FB_TOP", 0xffff0000L, 0x00000010},
		{"FB_BASE", 0x0000ffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_RX_EQ_D0", 0x01C5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_RX_EQ_D1", 0x01D5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_IO_RWORD2", 0x0AAE, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_DMIF", 0x0863, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_SEQ_IO_RWORD4", 0x0AB0, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_IO_RWORD5", 0x0AB1, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_IO_RWORD6", 0x0AB2, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_IO_RWORD7", 0x0AB3, {
		{"RDATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_1_LOW_ADDR", 0x0812, {
		{"PHYSICAL_ADDRESS", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_SUP_R_PGM", 0x0A8A, {
		{"PGM", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_TXBST_PU_D1", 0x01BB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_TXBST_PU_D0", 0x01AB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_BIT_REMAP_B2_D0", 0x0AA5, {
		{"BIT7", 0x00e00000L, 0x00000015},
		{"BIT6", 0x001c0000L, 0x00000012},
		{"BIT5", 0x00038000L, 0x0000000f},
		{"BIT4", 0x00007000L, 0x0000000c},
		{"BIT3", 0x00000e00L, 0x00000009},
		{"BIT2", 0x000001c0L, 0x00000006},
		{"BIT1", 0x00000038L, 0x00000003},
		{"BIT0", 0x00000007L, 0x00000000}
	} },
	{"MC_SEQ_BIT_REMAP_B2_D1", 0x0AA9, {
		{"BIT7", 0x00e00000L, 0x00000015},
		{"BIT6", 0x001c0000L, 0x00000012},
		{"BIT5", 0x00038000L, 0x0000000f},
		{"BIT4", 0x00007000L, 0x0000000c},
		{"BIT3", 0x00000e00L, 0x00000009},
		{"BIT2", 0x000001c0L, 0x00000006},
		{"BIT1", 0x00000038L, 0x00000003},
		{"BIT0", 0x00000007L, 0x00000000}
	} },
	{"MC_NPL_STATUS", 0x0A76, {
		{"D1_NEARLY", 0x00000800L, 0x0000000b},
		{"D1_PDELAY", 0x000000c0L, 0x00000006},
		{"D0_NEARLY", 0x00000020L, 0x00000005},
		{"D0_PEARLY", 0x00000010L, 0x00000004},
		{"D1_PEARLY", 0x00000400L, 0x0000000a},
		{"D0_NDELAY", 0x0000000cL, 0x00000002},
		{"D1_NDELAY", 0x00000300L, 0x00000008},
		{"D0_PDELAY", 0x00000003L, 0x00000000}
	} },
	{"MC_ARB_TM_CNTL_RD", 0x09E3, {
		{"BANK_SELECT", 0x00000006L, 0x00000001},
		{"MATCH_RANK", 0x00000008L, 0x00000003},
		{"MATCH_BANK", 0x00000010L, 0x00000004},
		{"GROUPBY_RANK", 0x00000001L, 0x00000000}
	} },
	{"VM_CONTEXT1_CNTL", 0x0505, {
		{"VALID_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00001000L, 0x0000000c},
		{"READ_PROTECTION_FAULT_ENABLE_SAVE", 0x00020000L, 0x00000011},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00000080L, 0x00000007},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_SAVE", 0x00800000L, 0x00000017},
		{"VALID_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00002000L, 0x0000000d},
		{"RANGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00000010L, 0x00000004},
		{"ENABLE_CONTEXT", 0x00000001L, 0x00000000},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00400000L, 0x00000016},
		{"PDE0_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00000200L, 0x00000009},
		{"READ_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00008000L, 0x0000000f},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00000040L, 0x00000006},
		{"PDE0_PROTECTION_FAULT_ENABLE_SAVE", 0x00000800L, 0x0000000b},
		{"WRITE_PROTECTION_FAULT_ENABLE_SAVE", 0x00100000L, 0x00000014},
		{"PDE0_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00000400L, 0x0000000a},
		{"RANGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00000008L, 0x00000003},
		{"WRITE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00040000L, 0x00000012},
		{"PAGE_TABLE_BLOCK_SIZE", 0x0f000000L, 0x00000018},
		{"VALID_PROTECTION_FAULT_ENABLE_SAVE", 0x00004000L, 0x0000000e},
		{"READ_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00010000L, 0x00000010},
		{"PAGE_TABLE_DEPTH", 0x00000006L, 0x00000001},
		{"WRITE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x00080000L, 0x00000013},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x00200000L, 0x00000015}
	} },
	{"MC_ARB_CAC_CNTL", 0x09D4, {
		{"WRITE_WEIGHT", 0x00001f80L, 0x00000007},
		{"ENABLE", 0x00000001L, 0x00000000},
		{"READ_WEIGHT", 0x0000007eL, 0x00000001},
		{"ALLOW_OVERFLOW", 0x00002000L, 0x0000000d}
	} },
	{"MC_RPB_RD_SWITCH_CNTL", 0x0955, {
		{"QUEUE1_SWITCH_NUM", 0x0000ff00L, 0x00000008},
		{"QUEUE0_SWITCH_NUM", 0x000000ffL, 0x00000000},
		{"QUEUE3_SWITCH_NUM", 0xff000000L, 0x00000018},
		{"QUEUE2_SWITCH_NUM", 0x00ff0000L, 0x00000010}
	} },
	{"MC_XPB_P2P_BAR0", 0x0904, {
		{"HOST_FLUSH", 0x0000000fL, 0x00000000},
		{"RESERVED", 0x00008000L, 0x0000000f},
		{"COMPRESS_DIS", 0x00004000L, 0x0000000e},
		{"MEM_SYS_BAR", 0x00000f00L, 0x00000008},
		{"SEND_DIS", 0x00002000L, 0x0000000d},
		{"VALID", 0x00001000L, 0x0000000c},
		{"ADDRESS", 0xffff0000L, 0x00000010},
		{"REG_SYS_BAR", 0x000000f0L, 0x00000004}
	} },
	{"MC_SEQ_TXFRAMING_DBI_D1", 0x0A64, {
		{"DBI1", 0x000000f0L, 0x00000004},
		{"DBI0", 0x0000000fL, 0x00000000},
		{"DBI3", 0x0000f000L, 0x0000000c},
		{"DBI2", 0x00000f00L, 0x00000008}
	} },
	{"MC_SEQ_TXFRAMING_DBI_D0", 0x0A5C, {
		{"DBI1", 0x000000f0L, 0x00000004},
		{"DBI0", 0x0000000fL, 0x00000000},
		{"DBI3", 0x0000f000L, 0x0000000c},
		{"DBI2", 0x00000f00L, 0x00000008}
	} },
	{"MC_SEQ_RXFRAMING_DBI_D1", 0x0A71, {
		{"DBI1", 0x000000f0L, 0x00000004},
		{"DBI0", 0x0000000fL, 0x00000000},
		{"DBI3", 0x0000f000L, 0x0000000c},
		{"DBI2", 0x00000f00L, 0x00000008}
	} },
	{"MC_SEQ_RXFRAMING_DBI_D0", 0x0A6B, {
		{"DBI1", 0x000000f0L, 0x00000004},
		{"DBI0", 0x0000000fL, 0x00000000},
		{"DBI3", 0x0000f000L, 0x0000000c},
		{"DBI2", 0x00000f00L, 0x00000008}
	} },
	{"MC_ARB_GDEC_RD_CNTL", 0x09EE, {
		{"USE_RSNO", 0x00000200L, 0x00000009},
		{"REM_DEFAULT_GRP", 0x00003c00L, 0x0000000a},
		{"USE_RANK", 0x00000100L, 0x00000008},
		{"PAGEBIT0", 0x0000000fL, 0x00000000},
		{"PAGEBIT1", 0x000000f0L, 0x00000004}
	} },
	{"MC_HUB_RDREQ_STATUS", 0x0839, {
		{"MCDZ_RD_AVAIL", 0x00000010L, 0x00000004},
		{"MCDY_RD_AVAIL", 0x00000008L, 0x00000003},
		{"GBL0_VM_FULL", 0x00000020L, 0x00000005},
		{"MCDX_RD_AVAIL", 0x00000004L, 0x00000002},
		{"PWRXPRESS_ERR", 0x00000800L, 0x0000000b},
		{"GBL0_STOR_FULL", 0x00000040L, 0x00000006},
		{"SIP_AVAIL", 0x00000001L, 0x00000000},
		{"GBL1_BYPASS_STOR_FULL", 0x00000400L, 0x0000000a},
		{"GBL0_BYPASS_STOR_FULL", 0x00000080L, 0x00000007},
		{"MCDW_RD_AVAIL", 0x00000002L, 0x00000001},
		{"GBL1_VM_FULL", 0x00000100L, 0x00000008},
		{"GBL1_STOR_FULL", 0x00000200L, 0x00000009}
	} },
	{"MC_XPB_CLG_CFG8", 0x08F1, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_IO_DEBUG_UP_45", 0x002D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TRAIN_PRBSERR_1_D0", 0x0A44, {
		{"EDC_STATUS", 0x000000f0L, 0x00000004},
		{"WCDR_STATUS", 0x0000f000L, 0x0000000c},
		{"PMD0_PRBSCLR", 0x20000000L, 0x0000001d},
		{"PMA_PRBSCLR", 0x10000000L, 0x0000001c},
		{"PMD1_PRBSCLR", 0x40000000L, 0x0000001e},
		{"WCK_STATUS", 0x00000f00L, 0x00000008},
		{"DBI_STATUS", 0x0000000fL, 0x00000000}
	} },
	{"MC_TRAIN_PRBSERR_1_D1", 0x0A47, {
		{"EDC_STATUS", 0x000000f0L, 0x00000004},
		{"WCDR_STATUS", 0x0000f000L, 0x0000000c},
		{"PMD0_PRBSCLR", 0x20000000L, 0x0000001d},
		{"PMA_PRBSCLR", 0x10000000L, 0x0000001c},
		{"PMD1_PRBSCLR", 0x40000000L, 0x0000001e},
		{"WCK_STATUS", 0x00000f00L, 0x00000008},
		{"DBI_STATUS", 0x0000000fL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_44", 0x002C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG0", 0x08E9, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG1", 0x08EA, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG2", 0x08EB, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG3", 0x08EC, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG4", 0x08ED, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG5", 0x08EE, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"GMCON_PERF_MON_CNTL1", 0x0D4B, {
		{"START_TRIG_ID", 0x00000fc0L, 0x00000006},
		{"MON1_ID", 0x3f000000L, 0x00000018},
		{"MON0_ID", 0x00fc0000L, 0x00000012},
		{"THRESH_CNTR_ID", 0x0000003fL, 0x00000000},
		{"STOP_TRIG_ID", 0x0003f000L, 0x0000000c}
	} },
	{"MC_XPB_CLG_CFG7", 0x08F0, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_IO_DEBUG_ADDRH_TXBST_PD_D0", 0x018D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_TXBST_PD_D1", 0x019D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_CLKSEL_D1", 0x00D6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_CLKSEL_D0", 0x00C6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_SUP_GP3_STAT", 0x0A86, {
		{"STATUS", 0xffffffffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_MCDW", 0x0851, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"DISPLAY_CREDITS", 0x01fc0000L, 0x00000012},
		{"BUS", 0x00000004L, 0x00000002},
		{"LAZY_TIMER", 0x00000780L, 0x00000007},
		{"BLACKOUT_EXEMPT", 0x00000002L, 0x00000001},
		{"STALL_THRESHOLD", 0xfe000000L, 0x00000019},
		{"MAXBURST", 0x00000078L, 0x00000003},
		{"ASK_CREDITS", 0x0003f800L, 0x0000000b}
	} },
	{"ATC_VM_APERTURE1_HIGH_ADDR", 0x0CC3, {
		{"VIRTUAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_CITF_PERF_MON_RSLT2", 0x0991, {
		{"DB_WR_BUSY", 0x00002000L, 0x0000000d},
		{"TC0_RD_BUSY", 0x00000100L, 0x00000008},
		{"TC1_RD_BUSY", 0x00000400L, 0x0000000a},
		{"CB_RD_BUSY", 0x00000040L, 0x00000006},
		{"TC0_WR_BUSY", 0x00010000L, 0x00000010},
		{"CB_WR_BUSY", 0x00001000L, 0x0000000c},
		{"SX_WR_BUSY", 0x00004000L, 0x0000000e},
		{"VC0_RD_BUSY", 0x00000200L, 0x00000009},
		{"TC1_WR_BUSY", 0x00020000L, 0x00000011},
		{"DB_RD_BUSY", 0x00000080L, 0x00000007},
		{"TC2_WR_BUSY", 0x00040000L, 0x00000012},
		{"VC1_RD_BUSY", 0x00000800L, 0x0000000b},
		{"TC2_RD_BUSY", 0x00008000L, 0x0000000f}
	} },
	{"MC_IO_DEBUG_DQB2_CDR_PHSIZE_D0", 0x014D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_FED_CNTL", 0x09C1, {
		{"KEEP_POISON_IN_PAGE", 0x00000010L, 0x00000004},
		{"WR_ERR", 0x0000000cL, 0x00000002},
		{"MODE", 0x00000003L, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_OFSCAL_D0", 0x00E0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_OFSCAL_D1", 0x00F0, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_MD_L1_TLB3_DEBUG", 0x09A7, {
		{"SEND_FREE_AT_RTN", 0x00000100L, 0x00000008},
		{"INVALIDATE_L1_TLB", 0x00000001L, 0x00000000},
		{"L1_TLB_DEBUG", 0x00078000L, 0x0000000f},
		{"EFFECTIVE_L1_TLB_SIZE", 0x00000e00L, 0x00000009},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x00007000L, 0x0000000c}
	} },
	{"VM_DEBUG", 0x056F, {
		{"FLAGS", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_TXBST_PU_D0", 0x01A1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_RX_VREF_CAL_D0", 0x0149, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_AGP_TOP", 0x080A, {
		{"AGP_TOP", 0x0003ffffL, 0x00000000}
	} },
	{"VM_L2_CG", 0x0570, {
		{"OFFDLY", 0x00000fc0L, 0x00000006},
		{"ENABLE", 0x00040000L, 0x00000012},
		{"MEM_LS_ENABLE", 0x00080000L, 0x00000013}
	} },
	{"MC_XBAR_ARB_MAX_BURST", 0x0C8E, {
		{"WR_PORT1", 0x00f00000L, 0x00000014},
		{"WR_PORT0", 0x000f0000L, 0x00000010},
		{"WR_PORT3", 0xf0000000L, 0x0000001c},
		{"WR_PORT2", 0x0f000000L, 0x00000018},
		{"RD_PORT0", 0x0000000fL, 0x00000000},
		{"RD_PORT1", 0x000000f0L, 0x00000004},
		{"RD_PORT2", 0x00000f00L, 0x00000008},
		{"RD_PORT3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_IO_DEBUG_DQB0H_OFSCAL_D0", 0x00E1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_OFSCAL_D1", 0x00F1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_MISC_IDLE_STATUS", 0x0847, {
		{"OUTSTANDING_HDP_READ", 0x00010000L, 0x00000010},
		{"OUTSTANDING_SMU_WRITE", 0x00008000L, 0x0000000f},
		{"OUTSTANDING_UVD_WRITE", 0x00002000L, 0x0000000d},
		{"OUTSTANDING_GFX_WRITE", 0x00000008L, 0x00000003},
		{"OUTSTANDING_GFX_READ", 0x00000004L, 0x00000002},
		{"OUTSTANDING_HDP_WRITE", 0x00020000L, 0x00000011},
		{"OUTSTANDING_DISP_WRITE", 0x00000800L, 0x0000000b},
		{"OUTSTANDING_DISP_READ", 0x00000400L, 0x0000000a},
		{"OUTSTANDING_SMU_READ", 0x00004000L, 0x0000000e},
		{"OUTSTANDING_RLC_WRITE", 0x00000080L, 0x00000007},
		{"OUTSTANDING_OTH_READ", 0x00040000L, 0x00000012},
		{"OUTSTANDING_VMC_READ", 0x00100000L, 0x00000014},
		{"OUTSTANDING_VMC_WRITE", 0x00200000L, 0x00000015},
		{"OUTSTANDING_VCE_READ", 0x01000000L, 0x00000018},
		{"OUTSTANDING_VCE_WRITE", 0x02000000L, 0x00000019},
		{"OUTSTANDING_UVD_READ", 0x00001000L, 0x0000000c},
		{"OUTSTANDING_CP_READ", 0x00000001L, 0x00000000},
		{"OUTSTANDING_RLC_READ", 0x00000040L, 0x00000006},
		{"OUTSTANDING_CP_WRITE", 0x00000002L, 0x00000001},
		{"OUTSTANDING_OTH_WRITE", 0x00080000L, 0x00000013}
	} },
	{"VM_CONTEXT6_PAGE_TABLE_BASE_ADDR", 0x0555, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_RXFRAMING_BYTE0_D0", 0x0A67, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_HUB_RDREQ_UVD", 0x0861, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"VM_BYPASS", 0x00010000L, 0x00000010},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_3_LOW_ADDR", 0x0814, {
		{"PHYSICAL_ADDRESS", 0x0fffffffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_MCDZ", 0x0854, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"DISPLAY_CREDITS", 0x01fc0000L, 0x00000012},
		{"BUS", 0x00000004L, 0x00000002},
		{"LAZY_TIMER", 0x00000780L, 0x00000007},
		{"BLACKOUT_EXEMPT", 0x00000002L, 0x00000001},
		{"STALL_THRESHOLD", 0xfe000000L, 0x00000019},
		{"MAXBURST", 0x00000078L, 0x00000003},
		{"ASK_CREDITS", 0x0003f800L, 0x0000000b}
	} },
	{"MC_IO_DEBUG_DBI_TXSLF_D0", 0x0168, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_TXSLF_D1", 0x0178, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_SH0", 0x086E, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_HUB_WDP_SH1", 0x0876, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_SEQ_IO_REDC", 0x0AB5, {
		{"EDC", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_OFSCAL_D1", 0x00F7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_OFSCAL_D0", 0x00E7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_MCDX", 0x0868, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_THRESHOLD", 0x00fe0000L, 0x00000011},
		{"LAZY_TIMER", 0x0001e000L, 0x0000000d},
		{"ASK_CREDITS_W", 0x7f000000L, 0x00000018},
		{"BLACKOUT_EXEMPT", 0x00000002L, 0x00000001},
		{"STALL_MODE", 0x00000004L, 0x00000002},
		{"MAXBURST", 0x00000078L, 0x00000003},
		{"ASK_CREDITS", 0x00001f80L, 0x00000007}
	} },
	{"MC_IO_DEBUG_DQB1H_RX_VREF_CAL_D1", 0x0153, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_WTM_CNTL", 0x083E, {
		{"GROUP0_DECREMENT", 0x00000007L, 0x00000000},
		{"GROUP6_DECREMENT", 0x001c0000L, 0x00000012},
		{"GROUP1_DECREMENT", 0x00000038L, 0x00000003},
		{"GROUP7_DECREMENT", 0x00e00000L, 0x00000015},
		{"GROUP4_DECREMENT", 0x00007000L, 0x0000000c},
		{"GROUP5_DECREMENT", 0x00038000L, 0x0000000f},
		{"GROUP3_DECREMENT", 0x00000e00L, 0x00000009},
		{"GROUP2_DECREMENT", 0x000001c0L, 0x00000006}
	} },
	{"MC_HUB_WDP_MCDW", 0x0867, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_THRESHOLD", 0x00fe0000L, 0x00000011},
		{"LAZY_TIMER", 0x0001e000L, 0x0000000d},
		{"ASK_CREDITS_W", 0x7f000000L, 0x00000018},
		{"BLACKOUT_EXEMPT", 0x00000002L, 0x00000001},
		{"STALL_MODE", 0x00000004L, 0x00000002},
		{"MAXBURST", 0x00000078L, 0x00000003},
		{"ASK_CREDITS", 0x00001f80L, 0x00000007}
	} },
	{"MC_SEQ_PMG_PG_HWCNTL", 0x0AB9, {
		{"ACAO", 0x00040000L, 0x00000012},
		{"RXAO", 0x00020000L, 0x00000011},
		{"STAGGER_EN", 0x00000002L, 0x00000001},
		{"TXAO", 0x00010000L, 0x00000010},
		{"D_DLY", 0x000000c0L, 0x00000006},
		{"PWRGATE_EN", 0x00000001L, 0x00000000},
		{"G_DLY", 0x00003c00L, 0x0000000a},
		{"TPGCG", 0x0000003cL, 0x00000002},
		{"AC_DLY", 0x00000300L, 0x00000008}
	} },
	{"VM_DUMMY_PAGE_FAULT_CNTL", 0x0506, {
		{"DUMMY_PAGE_ADDRESS_LOGICAL", 0x00000002L, 0x00000001},
		{"DUMMY_PAGE_COMPARE_MASK", 0x0000000cL, 0x00000002},
		{"DUMMY_PAGE_FAULT_ENABLE", 0x00000001L, 0x00000000}
	} },
	{"MC_SEQ_TSM_DBI", 0x0AC6, {
		{"DBI", 0xffffffffL, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG10", 0x08F3, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_IO_DEBUG_ADDRH_TXPHASE_D0", 0x012D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_TXPHASE_D1", 0x013D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_TXPHASE_D0", 0x0124, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_TXPHASE_D1", 0x0134, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_3_HIGH_ADDR", 0x0818, {
		{"PHYSICAL_ADDRESS", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_TSM_UPDATE", 0x0AC4, {
		{"FALSE_ACT", 0x000000f0L, 0x00000004},
		{"AREF_COUNT", 0x00ff0000L, 0x00000010},
		{"CAPTR_TESTS", 0xff000000L, 0x00000018},
		{"UPDT_TESTS", 0x0000ff00L, 0x00000008},
		{"TRUE_ACT", 0x0000000fL, 0x00000000}
	} },
	{"MC_CITF_REMREQ", 0x097A, {
		{"WRITE_CREDITS", 0x00003f80L, 0x00000007},
		{"CREDITS_ENABLE", 0x00004000L, 0x0000000e},
		{"READ_CREDITS", 0x0000007fL, 0x00000000}
	} },
	{"VM_L2_CNTL2", 0x0501, {
		{"DISABLE_BIGK_CACHE_OPTIMIZATION", 0x00400000L, 0x00000016},
		{"L2_CACHE_BIGK_VMID_MODE", 0x03800000L, 0x00000017},
		{"INVALIDATE_CACHE_MODE", 0x0c000000L, 0x0000001a},
		{"INVALIDATE_L2_CACHE", 0x00000002L, 0x00000001},
		{"INVALIDATE_ALL_L1_TLBS", 0x00000001L, 0x00000000},
		{"DISABLE_INVALIDATE_PER_DOMAIN", 0x00200000L, 0x00000015}
	} },
	{"MC_XPB_CLG_CFG18", 0x08FB, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_VM_AGP_BASE", 0x080C, {
		{"AGP_BASE", 0x0003ffffL, 0x00000000}
	} },
	{"MC_ARB_REMREQ", 0x09F2, {
		{"WR_WATER", 0x0000ff00L, 0x00000008},
		{"WR_MAXBURST_SIZE", 0x000f0000L, 0x00000010},
		{"RD_WATER", 0x000000ffL, 0x00000000},
		{"WR_LAZY_TIMER", 0x00f00000L, 0x00000014}
	} },
	{"MPLL_DQ_1_1_STATUS", 0x0AFA, {
		{"FREQ_UNLOCK_STICKY", 0x00080000L, 0x00000013},
		{"OINT_RESET", 0x00020000L, 0x00000011},
		{"TEST_FBDIV_FRAC", 0x00000070L, 0x00000004},
		{"FREQ_LOCK", 0x00040000L, 0x00000012},
		{"TEST_FBDIV_INT", 0x0001ff80L, 0x00000007},
		{"VCTRLADC", 0x00000007L, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG15", 0x08F8, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MPLL_AD_STATUS", 0x0AF6, {
		{"FREQ_UNLOCK_STICKY", 0x00080000L, 0x00000013},
		{"OINT_RESET", 0x00020000L, 0x00000011},
		{"TEST_FBDIV_FRAC", 0x00000070L, 0x00000004},
		{"FREQ_LOCK", 0x00040000L, 0x00000012},
		{"TEST_FBDIV_INT", 0x0001ff80L, 0x00000007},
		{"VCTRLADC", 0x00000007L, 0x00000000}
	} },
	{"MC_HUB_MISC_HUB_CG", 0x082E, {
		{"OFFDLY", 0x00000fc0L, 0x00000006},
		{"ENABLE", 0x00040000L, 0x00000012},
		{"MEM_LS_ENABLE", 0x00080000L, 0x00000013},
		{"ONDLY", 0x0000003fL, 0x00000000},
		{"RDYDLY", 0x0003f000L, 0x0000000c}
	} },
	{"MC_VM_MB_L1_TLB0_DEBUG", 0x0891, {
		{"SEND_FREE_AT_RTN", 0x00000100L, 0x00000008},
		{"INVALIDATE_L1_TLB", 0x00000001L, 0x00000000},
		{"L1_TLB_DEBUG", 0x00078000L, 0x0000000f},
		{"EFFECTIVE_L1_TLB_SIZE", 0x00000e00L, 0x00000009},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x00007000L, 0x0000000c}
	} },
	{"MC_IO_DEBUG_UP_158", 0x009E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_159", 0x009F, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_LM_WR", 0x09F1, {
		{"ENABLE_TWO_LIST", 0x00040000L, 0x00000012},
		{"STREAK_BREAK", 0x00010000L, 0x00000010},
		{"STREAK_UBER", 0x00020000L, 0x00000011},
		{"BANKGROUP_CONFIG", 0x00e00000L, 0x00000015},
		{"POPIDLE_RST_TWOLIST", 0x00080000L, 0x00000013},
		{"SKID1_RST_TWOLIST", 0x00100000L, 0x00000014},
		{"STREAK_LIMIT_UBER", 0x0000ff00L, 0x00000008},
		{"STREAK_LIMIT", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_UMC", 0x0877, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"VM_CONTEXT1_CNTL2", 0x050D, {
		{"WAIT_FOR_IDLE_WHEN_INVALIDATE", 0x00000010L, 0x00000004},
		{"CLEAR_PROTECTION_FAULT_STATUS_ADDR", 0x00000001L, 0x00000000},
		{"ENABLE_CLEAR_PROTECTION_FAULT_STATUS_ADDR_WHEN_INVALIDATE_CONTEXT", 0x00000002L, 0x00000001},
		{"ENABLE_INTERRUPT_PROCESSING_FOR_SUBSEQUENT_FAULTS_PER_CONTEXT", 0x00000004L, 0x00000002},
		{"ALLOW_SUBSEQUENT_PROTECTION_FAULT_STATUS_ADDR_UPDATES", 0x00000008L, 0x00000003}
	} },
	{"MC_IO_DEBUG_UP_150", 0x0096, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0H_TXBST_PU_D1", 0x01B1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_152", 0x0098, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_153", 0x0099, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_154", 0x009A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_155", 0x009B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_TXBST_PU_D1", 0x01BD, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRH_TXBST_PU_D0", 0x01AD, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_CLKSEL_D1", 0x00D3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_18", 0x0012, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_19", 0x0013, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_VMID12_PASID_MAPPING", 0x0CF3, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_IO_DEBUG_DQB1L_RXPHASE_D0", 0x0102, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_12", 0x000C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_13", 0x000D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_10", 0x000A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_11", 0x000B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_16", 0x0010, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_17", 0x0011, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_RXPHASE_D1", 0x0117, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_RXPHASE_D0", 0x0107, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_EXCL_SET1", 0x0D49, {
		{"STCTRL_REGISTER_SAVE_EXCL3", 0xffff0000L, 0x00000010},
		{"STCTRL_REGISTER_SAVE_EXCL2", 0x0000ffffL, 0x00000000}
	} },
	{"MC_SEQ_RXFRAMING_BYTE2_D0", 0x0A69, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_SEQ_RXFRAMING_BYTE2_D1", 0x0A6F, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_RD_DB", 0x0982, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"MAX_BURST", 0x00000780L, 0x00000007},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_EXCL_SET0", 0x0D48, {
		{"STCTRL_REGISTER_SAVE_EXCL1", 0xffff0000L, 0x00000010},
		{"STCTRL_REGISTER_SAVE_EXCL0", 0x0000ffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_OFSCAL_D0", 0x01E2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_78", 0x004E, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_MPLL_OVERRIDE", 0x0A22, {
		{"TEST_BYPASS_CLK_SEL_OVERRIDE", 0x00000080L, 0x00000007},
		{"AD_PLL_RESET_OVERRIDE", 0x00000001L, 0x00000000},
		{"DQ_0_0_PLL_RESET_OVERRIDE", 0x00000002L, 0x00000001},
		{"TEST_BYPASS_CLK_EN_OVERRIDE", 0x00000040L, 0x00000006},
		{"DQ_0_1_PLL_RESET_OVERRIDE", 0x00000004L, 0x00000002},
		{"DQ_1_1_PLL_RESET_OVERRIDE", 0x00000010L, 0x00000004},
		{"ATGM_CLK_SEL_OVERRIDE", 0x00000020L, 0x00000005},
		{"DQ_1_0_PLL_RESET_OVERRIDE", 0x00000008L, 0x00000003}
	} },
	{"MC_SEQ_RXFRAMING_BYTE1_D1", 0x0A6E, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_IO_DEBUG_DQB2L_TXSLF_D0", 0x0164, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_TXSLF_D1", 0x0174, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_88", 0x0058, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_DEFAULT_ADDR", 0x0546, {
		{"PHYSICAL_PAGE_ADDR", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_PMG_CMD_MRS1_LP", 0x0AD2, {
		{"END", 0x00100000L, 0x00000014},
		{"MOP", 0x00070000L, 0x00000010},
		{"ADR_MSB0", 0x20000000L, 0x0000001d},
		{"ADR_MSB1", 0x10000000L, 0x0000001c},
		{"CSB", 0x00600000L, 0x00000015},
		{"ADR", 0x0000ffffL, 0x00000000},
		{"BNK_MSB", 0x00080000L, 0x00000013}
	} },
	{"MC_SEQ_BYTE_REMAP_D0", 0x0A93, {
		{"BYTE3", 0x000000c0L, 0x00000006},
		{"BYTE2", 0x00000030L, 0x00000004},
		{"BYTE1", 0x0000000cL, 0x00000002},
		{"BYTE0", 0x00000003L, 0x00000000}
	} },
	{"MC_IO_DEBUG_DBI_OFSCAL_D0", 0x00E8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MPLL_SS1", 0x0AF3, {
		{"SPARE", 0xfc000000L, 0x0000001a},
		{"CLKV", 0x03ffffffL, 0x00000000}
	} },
	{"MC_XBAR_ARB", 0x0C8D, {
		{"BREAK_BURST_CID_CHANGE", 0x00000004L, 0x00000002},
		{"HUBRD_HIGHEST", 0x00000001L, 0x00000000},
		{"DISABLE_HUB_STALL_HIGHEST", 0x00000002L, 0x00000001}
	} },
	{"MC_IO_DEBUG_DBI_OFSCAL_D1", 0x00F8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG12", 0x08F5, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_BIST_RDATA_EDC", 0x0A1D, {
		{"EDC", 0xffffffffL, 0x00000000}
	} },
	{"MC_ARB_GECC2_CLI", 0x09CA, {
		{"NO_GECC_CLI3", 0xff000000L, 0x00000018},
		{"NO_GECC_CLI2", 0x00ff0000L, 0x00000010},
		{"NO_GECC_CLI1", 0x0000ff00L, 0x00000008},
		{"NO_GECC_CLI0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG11", 0x08F4, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG16", 0x08F9, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG17", 0x08FA, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_XPB_CLG_CFG14", 0x08F7, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_SEQ_MISC4", 0x0A8C, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_SEQ_PERF_CNTL_1", 0x0AFD, {
		{"SEL_CH1_B_MSB", 0x00002000L, 0x0000000d},
		{"PAUSE", 0x00000001L, 0x00000000},
		{"SEL_A_MSB", 0x00000100L, 0x00000008},
		{"SEL_CH1_D_MSB", 0x00008000L, 0x0000000f},
		{"SEL_CH0_D_MSB", 0x00000800L, 0x0000000b},
		{"SEL_CH1_A_MSB", 0x00001000L, 0x0000000c},
		{"SEL_CH1_C_MSB", 0x00004000L, 0x0000000e},
		{"SEL_B_MSB", 0x00000200L, 0x00000009},
		{"SEL_CH0_C_MSB", 0x00000400L, 0x0000000a}
	} },
	{"MC_XBAR_RDREQ_PRI_CREDIT", 0x0C84, {
		{"OUT0", 0x000000ffL, 0x00000000},
		{"OUT1", 0x0000ff00L, 0x00000008},
		{"OUT2", 0x00ff0000L, 0x00000010},
		{"OUT3", 0xff000000L, 0x00000018}
	} },
	{"MC_SEQ_SUP_GP0_STAT", 0x0A8F, {
		{"STATUS", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_TXBST_PU_D0", 0x01AF, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_PMG_CMD_MRS2", 0x0AD7, {
		{"END", 0x00100000L, 0x00000014},
		{"MOP", 0x00070000L, 0x00000010},
		{"ADR_MSB0", 0x20000000L, 0x0000001d},
		{"ADR_MSB1", 0x10000000L, 0x0000001c},
		{"CSB", 0x00600000L, 0x00000015},
		{"ADR", 0x0000ffffL, 0x00000000},
		{"BNK_MSB", 0x00080000L, 0x00000013}
	} },
	{"MC_XPB_CLG_CFG35", 0x0939, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_IO_DEBUG_CMD_TXBST_PU_D1", 0x01BF, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_BYTE_REMAP_D1", 0x0A94, {
		{"BYTE3", 0x000000c0L, 0x00000006},
		{"BYTE2", 0x00000030L, 0x00000004},
		{"BYTE1", 0x0000000cL, 0x00000002},
		{"BYTE0", 0x00000003L, 0x00000000}
	} },
	{"MC_XPB_MISC_CFG", 0x0927, {
		{"TRIGGERNAME", 0x80000000L, 0x0000001f},
		{"FIELDNAME1", 0x0000ff00L, 0x00000008},
		{"FIELDNAME0", 0x000000ffL, 0x00000000},
		{"FIELDNAME3", 0x7f000000L, 0x00000018},
		{"FIELDNAME2", 0x00ff0000L, 0x00000010}
	} },
	{"VM_CONTEXTS_DISABLE", 0x0535, {
		{"DISABLE_CONTEXT_14", 0x00004000L, 0x0000000e},
		{"DISABLE_CONTEXT_15", 0x00008000L, 0x0000000f},
		{"DISABLE_CONTEXT_12", 0x00001000L, 0x0000000c},
		{"DISABLE_CONTEXT_13", 0x00002000L, 0x0000000d},
		{"DISABLE_CONTEXT_10", 0x00000400L, 0x0000000a},
		{"DISABLE_CONTEXT_11", 0x00000800L, 0x0000000b},
		{"DISABLE_CONTEXT_8", 0x00000100L, 0x00000008},
		{"DISABLE_CONTEXT_9", 0x00000200L, 0x00000009},
		{"DISABLE_CONTEXT_4", 0x00000010L, 0x00000004},
		{"DISABLE_CONTEXT_5", 0x00000020L, 0x00000005},
		{"DISABLE_CONTEXT_6", 0x00000040L, 0x00000006},
		{"DISABLE_CONTEXT_7", 0x00000080L, 0x00000007},
		{"DISABLE_CONTEXT_0", 0x00000001L, 0x00000000},
		{"DISABLE_CONTEXT_1", 0x00000002L, 0x00000001},
		{"DISABLE_CONTEXT_2", 0x00000004L, 0x00000002},
		{"DISABLE_CONTEXT_3", 0x00000008L, 0x00000003}
	} },
	{"MC_ARB_DRAM_TIMING2_1", 0x09FF, {
		{"BUS_TURN", 0x1f000000L, 0x00000018},
		{"RAS2RAS", 0x000000ffL, 0x00000000},
		{"RP", 0x0000ff00L, 0x00000008},
		{"WRPLUSRP", 0x00ff0000L, 0x00000010}
	} },
	{"VM_CONTEXT14_PAGE_TABLE_BASE_ADDR", 0x0514, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_MISC1", 0x0A81, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_TXBST_PU_D0", 0x01A3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_TXBST_PU_D1", 0x01B3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_RX_VREF_CAL_D1", 0x0156, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_RX_VREF_CAL_D0", 0x0146, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_MISC0", 0x0A80, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_ARB_GECC2_DEBUG2", 0x09C5, {
		{"ERR0_START", 0x0000ff00L, 0x00000008},
		{"ERR1_START", 0x00ff0000L, 0x00000010},
		{"ERR2_START", 0xff000000L, 0x00000018},
		{"PERIOD", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_TXCNTL_APHY_D1", 0x0A51, {
		{"TSTEN", 0x01000000L, 0x00000018},
		{"LOWCMEN", 0x00000010L, 0x00000004},
		{"CKE_BIT", 0x40000000L, 0x0000001e},
		{"CKE_SEL", 0x80000000L, 0x0000001f},
		{"TXBYPASS", 0x04000000L, 0x0000001a},
		{"EMPH", 0x00000040L, 0x00000006},
		{"TXBPASS_SEL", 0x00001000L, 0x0000000c},
		{"PMA_LOOPBACK", 0x0000e000L, 0x0000000d},
		{"PTERM", 0x00000f00L, 0x00000008},
		{"QDR", 0x00000020L, 0x00000005},
		{"TXBYPASS_DATA", 0x38000000L, 0x0000001b},
		{"YCLKON", 0x00800000L, 0x00000017},
		{"TXRESET", 0x02000000L, 0x00000019},
		{"PDRV", 0x000f0000L, 0x00000010},
		{"TXPD", 0x00000080L, 0x00000007},
		{"NDRV", 0x00700000L, 0x00000014},
		{"BIASSEL", 0x00000003L, 0x00000000},
		{"DRVDUTY", 0x0000000cL, 0x00000002}
	} },
	{"MC_XPB_INTF_STS", 0x0920, {
		{"HOP_ATTR_BUF_FULL", 0x00010000L, 0x00000010},
		{"XSP_REQ_CRD", 0x00007f00L, 0x00000008},
		{"RPB_WRREQ_CRD", 0x000000ffL, 0x00000000},
		{"RPB_RDREQ_CRD", 0x07f80000L, 0x00000013},
		{"HOP_DATA_BUF_FULL", 0x00008000L, 0x0000000f},
		{"CNS_BUF_FULL", 0x00020000L, 0x00000011},
		{"CNS_BUF_BUSY", 0x00040000L, 0x00000012}
	} },
	{"MC_CITF_CNTL", 0x0970, {
		{"GFX_IDLE_OVERRIDE", 0x00000030L, 0x00000004},
		{"MCD_SRBM_MASK_ENABLE", 0x00000040L, 0x00000006},
		{"IGNOREPM", 0x00000004L, 0x00000002},
		{"EXEMPTPM", 0x00000008L, 0x00000003}
	} },
	{"MC_SEQ_MISC3", 0x0A8B, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_MISC_D1", 0x00BF, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_MISC_D0", 0x00AF, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_TXPHASE_D0", 0x012A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_TXPHASE_D1", 0x013A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_CDRCNTL_D1", 0x0A56, {
		{"DQRXSEL_B0", 0x10000000L, 0x0000001c},
		{"DQRXSEL_B1", 0x20000000L, 0x0000001d},
		{"RXPHASE_B01", 0x0000000fL, 0x00000000},
		{"WCDRRXCDREN_B1", 0x02000000L, 0x00000019},
		{"RXPHASE_B23", 0x000000f0L, 0x00000004},
		{"WCDRRXCDREN_B0", 0x01000000L, 0x00000018},
		{"RXPHASE1_B23", 0x000f0000L, 0x00000010},
		{"DQRXCDREN_B0", 0x00400000L, 0x00000016},
		{"DQRXCDREN_B1", 0x00800000L, 0x00000017},
		{"WCDREDC_B1", 0x08000000L, 0x0000001b},
		{"WCDREDC_B0", 0x04000000L, 0x0000001a},
		{"RXCDRBYPASS_B01", 0x00000400L, 0x0000000a},
		{"RXPHASE1_B01", 0x0000f000L, 0x0000000c},
		{"RXCDRBYPASS_B23", 0x00000800L, 0x0000000b},
		{"RXCDREN_B01", 0x00000100L, 0x00000008},
		{"DQTXSEL_B0", 0x40000000L, 0x0000001e},
		{"DQTXSEL_B1", 0x80000000L, 0x0000001f},
		{"DQTXCDREN_B0", 0x00100000L, 0x00000014},
		{"DQTXCDREN_B1", 0x00200000L, 0x00000015},
		{"RXCDREN_B23", 0x00000200L, 0x00000009}
	} },
	{"MC_IO_CDRCNTL_D0", 0x0A55, {
		{"DQRXSEL_B0", 0x10000000L, 0x0000001c},
		{"DQRXSEL_B1", 0x20000000L, 0x0000001d},
		{"RXPHASE_B01", 0x0000000fL, 0x00000000},
		{"WCDRRXCDREN_B1", 0x02000000L, 0x00000019},
		{"RXPHASE_B23", 0x000000f0L, 0x00000004},
		{"WCDRRXCDREN_B0", 0x01000000L, 0x00000018},
		{"RXPHASE1_B23", 0x000f0000L, 0x00000010},
		{"DQRXCDREN_B0", 0x00400000L, 0x00000016},
		{"DQRXCDREN_B1", 0x00800000L, 0x00000017},
		{"WCDREDC_B1", 0x08000000L, 0x0000001b},
		{"WCDREDC_B0", 0x04000000L, 0x0000001a},
		{"RXCDRBYPASS_B01", 0x00000400L, 0x0000000a},
		{"RXPHASE1_B01", 0x0000f000L, 0x0000000c},
		{"RXCDRBYPASS_B23", 0x00000800L, 0x0000000b},
		{"RXCDREN_B01", 0x00000100L, 0x00000008},
		{"DQTXSEL_B0", 0x40000000L, 0x0000001e},
		{"DQTXSEL_B1", 0x80000000L, 0x0000001f},
		{"DQTXCDREN_B0", 0x00100000L, 0x00000014},
		{"DQTXCDREN_B1", 0x00200000L, 0x00000015},
		{"RXCDREN_B23", 0x00000200L, 0x00000009}
	} },
	{"MC_VM_MB_L1_TLB0_STATUS", 0x0895, {
		{"BUSY", 0x00000001L, 0x00000000}
	} },
	{"MC_HUB_WDP_HDP", 0x0879, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_BIST_MISMATCH_ADDR", 0x0A13, {
		{"RANK", 0x10000000L, 0x0000001c},
		{"COLH", 0x20000000L, 0x0000001d},
		{"ROWH", 0xc0000000L, 0x0000001e},
		{"COL", 0x000003ffL, 0x00000000},
		{"BANK", 0x0f000000L, 0x00000018},
		{"ROW", 0x00fffc00L, 0x0000000a}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR3", 0x091D, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_IO_DEBUG_WCK_MISC_D0", 0x00AA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_MISC_D1", 0x00BA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_CDRCNTL1_D1", 0x0ADE, {
		{"DQ_RXPHASE_B1", 0x0000ff00L, 0x00000008},
		{"DQ_RXPHASE_B0", 0x000000ffL, 0x00000000},
		{"WCDR_TXPHASE_B0", 0x00ff0000L, 0x00000010},
		{"WCDR_TXPHASE_B1", 0xff000000L, 0x00000018}
	} },
	{"MPLL_SS2", 0x0AF4, {
		{"CLKS", 0x00000fffL, 0x00000000},
		{"SPARE", 0xfffff000L, 0x0000000c}
	} },
	{"MC_IO_DEBUG_DQB3L_TXBST_PD_D1", 0x0196, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_TXBST_PD_D0", 0x0186, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_MISC_D1", 0x00B7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3H_MISC_D0", 0x00A7, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_L2_BANK_SELECT_MASKA", 0x0572, {
		{"BANK_SELECT_MASK", 0x0fffffffL, 0x00000000}
	} },
	{"MC_XBAR_PERF_MON_RSLT3", 0x0C95, {
		{"COUNT", 0xffffffffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_XDMAM", 0x0882, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_SHARED_CHREMAP", 0x0802, {
		{"CHAN5", 0x00038000L, 0x0000000f},
		{"CHAN4", 0x00007000L, 0x0000000c},
		{"CHAN7", 0x00e00000L, 0x00000015},
		{"CHAN6", 0x001c0000L, 0x00000012},
		{"CHAN1", 0x00000038L, 0x00000003},
		{"CHAN0", 0x00000007L, 0x00000000},
		{"CHAN3", 0x00000e00L, 0x00000009},
		{"CHAN2", 0x000001c0L, 0x00000006}
	} },
	{"VM_L2_STATUS", 0x0503, {
		{"L2_BUSY", 0x00000001L, 0x00000000},
		{"CONTEXT_DOMAIN_BUSY", 0x0001fffeL, 0x00000001}
	} },
	{"MC_IO_DEBUG_DQB0L_TXBST_PD_D0", 0x0180, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB0L_TXBST_PD_D1", 0x0190, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_MAP_INVERT_FLUSH_NUM_LSB", 0x0923, {
		{"ALTER_FLUSH_NUM", 0x0000ffffL, 0x00000000}
	} },
	{"MC_CONFIG_MCD", 0x0828, {
		{"MCD_INDEX_MODE_ENABLE", 0x80000000L, 0x0000001f},
		{"MCD1_WR_ENABLE", 0x00000002L, 0x00000001},
		{"MCD2_WR_ENABLE", 0x00000004L, 0x00000002},
		{"MCD3_WR_ENABLE", 0x00000008L, 0x00000003},
		{"MC_RD_ENABLE", 0x00000700L, 0x00000008},
		{"MCD0_WR_ENABLE", 0x00000001L, 0x00000000},
		{"MCD5_WR_ENABLE", 0x00000020L, 0x00000005},
		{"MCD4_WR_ENABLE", 0x00000010L, 0x00000004}
	} },
	{"MC_IO_RXCNTL1_DPHY1_D0", 0x0AE0, {
		{"VREFCAL1_MSB", 0x0000000fL, 0x00000000},
		{"PMD_LOOPBACK", 0x0e000000L, 0x00000019},
		{"VREFSEL2", 0x00010000L, 0x00000010},
		{"VREFCAL3", 0x0000ff00L, 0x00000008},
		{"VREFCAL2_MSB", 0x000000f0L, 0x00000004},
		{"VREFSEL3", 0x00020000L, 0x00000011},
		{"DLL_RSV", 0xf0000000L, 0x0000001c},
		{"VREFPDNB_1", 0x00040000L, 0x00000012}
	} },
	{"VM_PRT_APERTURE2_LOW_ADDR", 0x052E, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_RX_EQ_D0", 0x01E9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_WCDR_CTRL", 0x0A39, {
		{"PRBS_EN", 0x00100000L, 0x00000014},
		{"WCDR_PRE", 0x000000ffL, 0x00000000},
		{"WCDR_TIM", 0x00000f00L, 0x00000008},
		{"PRE_MASK", 0xf0000000L, 0x0000001c},
		{"RD_EN", 0x00002000L, 0x0000000d},
		{"WR_EN", 0x00001000L, 0x0000000c},
		{"TRAIN_EN", 0x00008000L, 0x0000000f},
		{"PRBS_RST", 0x00200000L, 0x00000015},
		{"TWCDRL", 0x000f0000L, 0x00000010},
		{"PREAMBLE", 0x0f000000L, 0x00000018},
		{"AREF_EN", 0x00004000L, 0x0000000e}
	} },
	{"MC_HUB_MISC_SIP_CG", 0x0830, {
		{"OFFDLY", 0x00000fc0L, 0x00000006},
		{"ENABLE", 0x00040000L, 0x00000012},
		{"MEM_LS_ENABLE", 0x00080000L, 0x00000013},
		{"ONDLY", 0x0000003fL, 0x00000000},
		{"RDYDLY", 0x0003f000L, 0x0000000c}
	} },
	{"MC_SEQ_STATUS_M", 0x0A7D, {
		{"SS_SLF_D0", 0x00000040L, 0x00000006},
		{"PMG_PWRSTATE", 0x00010000L, 0x00000010},
		{"SEQ0_RS_DATA_FIFO_FULL", 0x00001000L, 0x0000000c},
		{"SS_SLF_D1", 0x00000080L, 0x00000007},
		{"SEQ0_BUSY_HYS", 0x02000000L, 0x00000019},
		{"SLF_D1", 0x00000020L, 0x00000005},
		{"PWRUP_COMPL_D1", 0x00000002L, 0x00000001},
		{"PWRUP_COMPL_D0", 0x00000001L, 0x00000000},
		{"SEQ1_ARB_CMD_FIFO_EMPTY", 0x00000200L, 0x00000009},
		{"SEQ1_BUSY_HYS", 0x04000000L, 0x0000001a},
		{"CMD_RDY_D1", 0x00000008L, 0x00000003},
		{"SEQ1_RS_DATA_FIFO_FULL", 0x00002000L, 0x0000000d},
		{"SEQ0_BUSY", 0x00004000L, 0x0000000e},
		{"PMG_FSMSTATE", 0x01f00000L, 0x00000014},
		{"CMD_RDY_D0", 0x00000004L, 0x00000002},
		{"SEQ0_ARB_CMD_FIFO_EMPTY", 0x00000100L, 0x00000008},
		{"SLF_D0", 0x00000010L, 0x00000004},
		{"SEQ1_BUSY", 0x00008000L, 0x0000000f}
	} },
	{"MC_IO_DEBUG_WCDR_RX_EQ_D1", 0x01F9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_MISC_D0", 0x00AB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CK_MISC_D1", 0x00BB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_PEER_SYS_BAR6", 0x0916, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_VM_MD_L1_TLB0_STATUS", 0x099B, {
		{"BUSY", 0x00000001L, 0x00000000}
	} },
	{"MC_ARB_WTM_GRPWT_RD", 0x09E1, {
		{"GRP_EXT", 0x00ff0000L, 0x00000010},
		{"GRP3", 0x000000c0L, 0x00000006},
		{"GRP2", 0x00000030L, 0x00000004},
		{"GRP1", 0x0000000cL, 0x00000002},
		{"GRP0", 0x00000003L, 0x00000000},
		{"GRP7", 0x0000c000L, 0x0000000e},
		{"GRP6", 0x00003000L, 0x0000000c},
		{"GRP5", 0x00000c00L, 0x0000000a},
		{"GRP4", 0x00000300L, 0x00000008}
	} },
	{"MC_IO_DEBUG_DQB2H_OFSCAL_D0", 0x00E5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_OFSCAL_D1", 0x00F5, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_CLG_CFG30", 0x0932, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_ARB_GECC2_MISC", 0x09C3, {
		{"STREAK_BREAK", 0x0000000fL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_RX_EQ_D1", 0x01D2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_RX_EQ_D0", 0x01C2, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_CDR_PHSIZE_D1", 0x01FA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_CDR_PHSIZE_D0", 0x01EA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_SMU", 0x0858, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_IO_DEBUG_ACMD_CLKSEL_D1", 0x00DE, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TSM_OCNT", 0x0AC0, {
		{"FALSE_ACT", 0x000000f0L, 0x00000004},
		{"TESTS", 0x0000ff00L, 0x00000008},
		{"CMP_VALUE", 0xffff0000L, 0x00000010},
		{"TRUE_ACT", 0x0000000fL, 0x00000000}
	} },
	{"MC_XPB_PEER_SYS_BAR7", 0x0917, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_IO_DEBUG_ACMD_CLKSEL_D0", 0x00CE, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_SUP_IR_STAT", 0x0A87, {
		{"STATUS", 0xffffffffL, 0x00000000}
	} },
	{"VM_CONTEXT0_PAGE_TABLE_END_ADDR", 0x055F, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_157", 0x009D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MPLL_CNTL_MODE", 0x0AEC, {
		{"GLOBAL_MPLL_RESET", 0x80000000L, 0x0000001f},
		{"INSTR_DELAY", 0x000000ffL, 0x00000000},
		{"SS_DSMODE_EN", 0x04000000L, 0x0000001a},
		{"FAST_LOCK_CNTRL", 0x00600000L, 0x00000015},
		{"MPLL_MCLK_SEL", 0x00000800L, 0x0000000b},
		{"MPLL_SW_DIR_CONTROL", 0x00000100L, 0x00000008},
		{"SPARE_3", 0x70000000L, 0x0000001c},
		{"SPARE_2", 0x00800000L, 0x00000017},
		{"SPARE_1", 0x00001000L, 0x0000000c},
		{"VTOI_BIAS_CNTRL", 0x08000000L, 0x0000001b},
		{"QDR", 0x00002000L, 0x0000000d},
		{"FAST_LOCK_EN", 0x00100000L, 0x00000014},
		{"MPLL_CHG_STATUS", 0x00010000L, 0x00000010},
		{"MPLL_CTLREQ", 0x00004000L, 0x0000000e},
		{"SS_SSEN", 0x03000000L, 0x00000018},
		{"FORCE_TESTMODE", 0x00020000L, 0x00000011}
	} },
	{"MC_XPB_CLG_CFG31", 0x0933, {
		{"LB_TYPE", 0x00000070L, 0x00000004},
		{"HOST_FLUSH", 0x00003c00L, 0x0000000a},
		{"SIDE_FLUSH", 0x0003c000L, 0x0000000e},
		{"WCB_NUM", 0x0000000fL, 0x00000000},
		{"P2P_BAR", 0x00000380L, 0x00000007}
	} },
	{"MC_IO_DEBUG_ADDRL_CLKSEL_D0", 0x00CC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRL_CLKSEL_D1", 0x00DC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_CONTEXT4_PAGE_TABLE_BASE_ADDR", 0x0553, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_TSM_GCNT", 0x0ABF, {
		{"COMP_VALUE", 0xffff0000L, 0x00000010},
		{"TESTS", 0x0000ff00L, 0x00000008},
		{"TRUE_ACT", 0x0000000fL, 0x00000000},
		{"FALSE_ACT", 0x000000f0L, 0x00000004}
	} },
	{"MC_IO_DEBUG_DQB2L_RX_VREF_CAL_D0", 0x0144, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_RX_VREF_CAL_D1", 0x0154, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_RXFRAMING_EDC_D0", 0x0A6C, {
		{"WCDR1", 0x00f00000L, 0x00000014},
		{"WCDR0", 0x000f0000L, 0x00000010},
		{"WCDR3", 0xf0000000L, 0x0000001c},
		{"WCDR2", 0x0f000000L, 0x00000018},
		{"EDC2", 0x00000f00L, 0x00000008},
		{"EDC3", 0x0000f000L, 0x0000000c},
		{"EDC0", 0x0000000fL, 0x00000000},
		{"EDC1", 0x000000f0L, 0x00000004}
	} },
	{"MC_SEQ_RXFRAMING_EDC_D1", 0x0A72, {
		{"WCDR1", 0x00f00000L, 0x00000014},
		{"WCDR0", 0x000f0000L, 0x00000010},
		{"WCDR3", 0xf0000000L, 0x0000001c},
		{"WCDR2", 0x0f000000L, 0x00000018},
		{"EDC2", 0x00000f00L, 0x00000008},
		{"EDC3", 0x0000f000L, 0x0000000c},
		{"EDC0", 0x0000000fL, 0x00000000},
		{"EDC1", 0x000000f0L, 0x00000004}
	} },
	{"MC_IO_DEBUG_DQB2L_RX_EQ_D0", 0x01C4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_RX_EQ_D1", 0x01D4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_CDRCNTL1_D0", 0x0ADD, {
		{"DQ_RXPHASE_B1", 0x0000ff00L, 0x00000008},
		{"DQ_RXPHASE_B0", 0x000000ffL, 0x00000000},
		{"WCDR_TXPHASE_B0", 0x00ff0000L, 0x00000010},
		{"WCDR_TXPHASE_B1", 0xff000000L, 0x00000018}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR0", 0x091A, {
		{"VALID", 0x00000001L, 0x00000000},
		{"ADDR", 0x07fffffcL, 0x00000002},
		{"SIDE_OK", 0x00000002L, 0x00000001}
	} },
	{"MC_CG_CONFIG", 0x096F, {
		{"MCDX_WR_ENABLE", 0x00000002L, 0x00000001},
		{"INDEX", 0x003fffc0L, 0x00000006},
		{"MCDY_WR_ENABLE", 0x00000004L, 0x00000002},
		{"MCDZ_WR_ENABLE", 0x00000008L, 0x00000003},
		{"MC_RD_ENABLE", 0x00000030L, 0x00000004},
		{"MCDW_WR_ENABLE", 0x00000001L, 0x00000000}
	} },
	{"MC_SEQ_TXFRAMING_BYTE3_D1", 0x0A63, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MCLK_PWRMGT_CNTL", 0x0AE8, {
		{"MRDCK0_PDNB", 0x00000100L, 0x00000008},
		{"MRDCK0_RESET", 0x00010000L, 0x00000010},
		{"MC_INT_CNTL", 0x00000080L, 0x00000007},
		{"MRDCK1_PDNB", 0x00000200L, 0x00000009},
		{"DLL_READY", 0x00000040L, 0x00000006},
		{"MRDCK1_RESET", 0x00020000L, 0x00000011},
		{"DLL_READY_READ", 0x01000000L, 0x00000018},
		{"DLL_SPEED", 0x0000001fL, 0x00000000}
	} },
	{"ATC_VM_APERTURE0_CNTL", 0x0CC4, {
		{"ATS_ACCESS_MODE", 0x00000003L, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_91", 0x005B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_WR_CTL_2", 0x0AD5, {
		{"DQS_DLY_H_D0", 0x00000002L, 0x00000001},
		{"DQS_DLY_H_D1", 0x00000010L, 0x00000004},
		{"OEN_DLY_H_D0", 0x00000004L, 0x00000002},
		{"OEN_DLY_H_D1", 0x00000020L, 0x00000005},
		{"WCDR_EN", 0x00000040L, 0x00000006},
		{"DAT_DLY_H_D1", 0x00000008L, 0x00000003},
		{"DAT_DLY_H_D0", 0x00000001L, 0x00000000}
	} },
	{"VM_CONTEXT1_PAGE_TABLE_END_ADDR", 0x0560, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_RESERVE_0_S", 0x0A1E, {
		{"SCLK_FIELD", 0xffffffffL, 0x00000000}
	} },
	{"MC_XPB_UNC_THRESH_HST", 0x08FF, {
		{"USE_UNFULL", 0x0003f000L, 0x0000000c},
		{"CHANGE_PREF", 0x0000003fL, 0x00000000},
		{"STRONG_PREF", 0x00000fc0L, 0x00000006}
	} },
	{"MC_SEQ_WR_CTL_D1_LP", 0x0AA0, {
		{"ODT_DLY", 0x0f000000L, 0x00000018},
		{"CMD_DLY", 0x40000000L, 0x0000001e},
		{"OEN_DLY", 0x0000f000L, 0x0000000c},
		{"CMD_2Y_DLY", 0x00000800L, 0x0000000b},
		{"ODT_EXT", 0x10000000L, 0x0000001c},
		{"DQS_DLY", 0x000000f0L, 0x00000004},
		{"DQS_XTR", 0x00000100L, 0x00000008},
		{"DAT_DLY", 0x0000000fL, 0x00000000},
		{"OEN_SEL", 0x00300000L, 0x00000014},
		{"ADR_DLY", 0x20000000L, 0x0000001d},
		{"OEN_EXT", 0x000f0000L, 0x00000010},
		{"ADR_2Y_DLY", 0x00000400L, 0x0000000a},
		{"DAT_2Y_DLY", 0x00000200L, 0x00000009}
	} },
	{"MPLL_CONTROL", 0x0AF5, {
		{"DQ_1_0_BG_PWRON", 0x01000000L, 0x00000018},
		{"GDDR_PWRON", 0x00000001L, 0x00000000},
		{"SPARE_DQ_0_0", 0x00080000L, 0x00000013},
		{"DQ_1_1_PLL_RESET", 0x40000000L, 0x0000001e},
		{"SPARE_DQ_1_0", 0x08000000L, 0x0000001b},
		{"DQ_0_0_PLL_PWRON", 0x00020000L, 0x00000011},
		{"AD_PLL_PWRON", 0x00002000L, 0x0000000d},
		{"DQ_0_1_PLL_RESET", 0x00400000L, 0x00000016},
		{"SPARE_DQ_1_1", 0x80000000L, 0x0000001f},
		{"DQ_0_0_PLL_RESET", 0x00040000L, 0x00000012},
		{"DQ_1_0_PLL_RESET", 0x04000000L, 0x0000001a},
		{"AD_PLL_RESET", 0x00004000L, 0x0000000e},
		{"DQ_0_0_BG_PWRON", 0x00010000L, 0x00000010},
		{"REFCLK_PWRON", 0x00000002L, 0x00000001},
		{"DQ_1_1_BG_PWRON", 0x10000000L, 0x0000001c},
		{"SPARE_AD_0", 0x00008000L, 0x0000000f},
		{"AD_BG_PWRON", 0x00001000L, 0x0000000c},
		{"DQ_0_1_PLL_PWRON", 0x00200000L, 0x00000015},
		{"PLL_BUF_PWRON_TX", 0x00000004L, 0x00000002},
		{"DQ_0_1_BG_PWRON", 0x00100000L, 0x00000014},
		{"SPARE_DQ_0_1", 0x00800000L, 0x00000017},
		{"DQ_1_0_PLL_PWRON", 0x02000000L, 0x00000019},
		{"DQ_1_1_PLL_PWRON", 0x20000000L, 0x0000001d}
	} },
	{"MC_HUB_MISC_STATUS", 0x0832, {
		{"OUTSTANDING_RPB_READ", 0x00000040L, 0x00000006},
		{"RPB_BUSY", 0x00000400L, 0x0000000a},
		{"OUTSTANDING_HUB_RDRET", 0x00000008L, 0x00000003},
		{"OUTSTANDING_MCD_WRITE", 0x00000200L, 0x00000009},
		{"OUTSTANDING_HUB_RDREQ", 0x00000004L, 0x00000002},
		{"READ_DEADLOCK_WARNING", 0x00001000L, 0x0000000c},
		{"OUTSTANDING_HUB_WRRET", 0x00000020L, 0x00000005},
		{"WRITE_DEADLOCK_WARNING", 0x00000800L, 0x0000000b},
		{"OUTSTANDING_RPB_WRITE", 0x00000080L, 0x00000007},
		{"GFX_BUSY", 0x00002000L, 0x0000000d},
		{"OUTSTANDING_WRITE", 0x00000002L, 0x00000001},
		{"OUTSTANDING_HUB_WRREQ", 0x00000010L, 0x00000004},
		{"OUTSTANDING_READ", 0x00000001L, 0x00000000},
		{"OUTSTANDING_MCD_READ", 0x00000100L, 0x00000008}
	} },
	{"VM_L2_CNTL3", 0x0502, {
		{"L2_CACHE_BIGK_ASSOCIATIVITY", 0x00100000L, 0x00000014},
		{"L2_CACHE_BIGK_FORCE_MISS", 0x20000000L, 0x0000001d},
		{"BANK_SELECT", 0x0000003fL, 0x00000000},
		{"L2_CACHE_BIGK_FRAGMENT_SIZE", 0x000f8000L, 0x0000000f},
		{"L2_CACHE_4K_EFFECTIVE_SIZE", 0x00e00000L, 0x00000015},
		{"L2_CACHE_BIGK_EFFECTIVE_SIZE", 0x0f000000L, 0x00000018},
		{"L2_CACHE_UPDATE_WILDCARD_REFERENCE_VALUE", 0x00001f00L, 0x00000008},
		{"L2_CACHE_4K_FORCE_MISS", 0x10000000L, 0x0000001c},
		{"L2_CACHE_UPDATE_MODE", 0x000000c0L, 0x00000006}
	} },
	{"MC_XPB_CLK_GAT", 0x091E, {
		{"OFFDLY", 0x00000fc0L, 0x00000006},
		{"ENABLE", 0x00040000L, 0x00000012},
		{"MEM_LS_ENABLE", 0x00080000L, 0x00000013},
		{"ONDLY", 0x0000003fL, 0x00000000},
		{"RDYDLY", 0x0003f000L, 0x0000000c}
	} },
	{"MC_SEQ_PMG_CMD_MRS_LP", 0x0AA2, {
		{"END", 0x00100000L, 0x00000014},
		{"MOP", 0x00070000L, 0x00000010},
		{"ADR_MSB0", 0x20000000L, 0x0000001d},
		{"ADR_MSB1", 0x10000000L, 0x0000001c},
		{"CSB", 0x00600000L, 0x00000015},
		{"ADR", 0x0000ffffL, 0x00000000},
		{"BNK_MSB", 0x00080000L, 0x00000013}
	} },
	{"MC_IO_DEBUG_DQB2H_TXPHASE_D0", 0x0125, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2H_TXPHASE_D1", 0x0135, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"ATC_VMID7_PASID_MAPPING", 0x0CEE, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"ATC_VMID10_PASID_MAPPING", 0x0CF1, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_IO_DEBUG_WCDR_RX_EQ_PM_D1", 0x01FB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_RX_EQ_PM_D0", 0x01EB, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_WCB_CFG", 0x0902, {
		{"SID_MAX", 0x000c0000L, 0x00000012},
		{"HST_MAX", 0x00030000L, 0x00000010},
		{"TIMEOUT", 0x0000ffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_TXBST_PU_D1", 0x01F8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_TXBST_PU_D0", 0x01E8, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_RX_DYN_PM_D1", 0x01FC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_RX_DYN_PM_D0", 0x01EC, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TCG_CNTL", 0x0ABD, {
		{"RESET", 0x00000001L, 0x00000000},
		{"MOP", 0x00000f00L, 0x00000008},
		{"ENABLE_D1", 0x00000004L, 0x00000002},
		{"ENABLE_D0", 0x00000002L, 0x00000001},
		{"AREF_LAST", 0x02000000L, 0x00000019},
		{"START", 0x00000008L, 0x00000003},
		{"DATA_CNT", 0x0000f000L, 0x0000000c},
		{"NFIFO", 0x00000070L, 0x00000004},
		{"BURST_NUM", 0x00380000L, 0x00000013},
		{"AREF_BOTH", 0x04000000L, 0x0000001a},
		{"LOAD_FIFO", 0x00010000L, 0x00000010},
		{"ISSUE_AREF", 0x00400000L, 0x00000016},
		{"DONE", 0x80000000L, 0x0000001f},
		{"SHORT_LDFF", 0x00020000L, 0x00000011},
		{"TXDBI_CNTL", 0x00800000L, 0x00000017},
		{"INFINITE_CMD", 0x00000080L, 0x00000007},
		{"VPTR_MASK", 0x01000000L, 0x00000018},
		{"FRAME_TRAIN", 0x00040000L, 0x00000012}
	} },
	{"MC_IO_DEBUG_EDC_TXSLF_D1", 0x0179, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_TXSLF_D0", 0x0169, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_PHY_TIMING_2", 0x0ACE, {
		{"TXC1_INV", 0x00000800L, 0x0000000b},
		{"IND_LD_CNT", 0x0000007fL, 0x00000000},
		{"TXC0_INV", 0x00000400L, 0x0000000a},
		{"ADR_CLKEN_D0", 0x00040000L, 0x00000012},
		{"ADR_CLKEN_D1", 0x00080000L, 0x00000013},
		{"RXC1_INV", 0x00000200L, 0x00000009},
		{"TXC0_FRC", 0x00004000L, 0x0000000e},
		{"TX_CDREN_D1", 0x00020000L, 0x00000011},
		{"WR_DLY", 0x00f00000L, 0x00000014},
		{"RXC0_FRC", 0x00001000L, 0x0000000c},
		{"RXC0_INV", 0x00000100L, 0x00000008},
		{"RXC1_FRC", 0x00002000L, 0x0000000d},
		{"TXC1_FRC", 0x00008000L, 0x0000000f},
		{"TX_CDREN_D0", 0x00010000L, 0x00000010}
	} },
	{"MC_IO_DEBUG_WCK_TXBST_PU_D1", 0x01BA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_TXBST_PU_D0", 0x01AA, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_OFSCAL_D1", 0x00F6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB3L_OFSCAL_D0", 0x00E6, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_RX_EQ_D1", 0x01DF, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_CMD_RX_EQ_D0", 0x01CF, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_BIT_REMAP_B3_D1", 0x0AAA, {
		{"BIT7", 0x00e00000L, 0x00000015},
		{"BIT6", 0x001c0000L, 0x00000012},
		{"BIT5", 0x00038000L, 0x0000000f},
		{"BIT4", 0x00007000L, 0x0000000c},
		{"BIT3", 0x00000e00L, 0x00000009},
		{"BIT2", 0x000001c0L, 0x00000006},
		{"BIT1", 0x00000038L, 0x00000003},
		{"BIT0", 0x00000007L, 0x00000000}
	} },
	{"MC_SEQ_BIT_REMAP_B3_D0", 0x0AA6, {
		{"BIT7", 0x00e00000L, 0x00000015},
		{"BIT6", 0x001c0000L, 0x00000012},
		{"BIT5", 0x00038000L, 0x0000000f},
		{"BIT4", 0x00007000L, 0x0000000c},
		{"BIT3", 0x00000e00L, 0x00000009},
		{"BIT2", 0x000001c0L, 0x00000006},
		{"BIT1", 0x00000038L, 0x00000003},
		{"BIT0", 0x00000007L, 0x00000000}
	} },
	{"ATC_VM_APERTURE0_LOW_ADDR", 0x0CC0, {
		{"VIRTUAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_BIST_CMP_CNTL", 0x0A8D, {
		{"DATA_STORE_MODE", 0x00300000L, 0x00000014},
		{"EDC_STORE_SEL", 0x00004000L, 0x0000000e},
		{"CMP_MASK_BYTE", 0x0000000fL, 0x00000000},
		{"LOAD_RTEDC", 0x00001000L, 0x0000000c},
		{"DATA_STORE_SEL", 0x00002000L, 0x0000000d},
		{"ENABLE_CMD_FIFO", 0x00008000L, 0x0000000f},
		{"EDC_STORE_MODE", 0x00080000L, 0x00000013},
		{"CMP_MASK_BIT", 0x00000ff0L, 0x00000004},
		{"MISMATCH_CNT", 0xffc00000L, 0x00000016},
		{"DAT_MODE", 0x00040000L, 0x00000012},
		{"CMP", 0x00030000L, 0x00000010}
	} },
	{"ATC_MISC_CG", 0x0CD4, {
		{"OFFDLY", 0x00000fc0L, 0x00000006},
		{"ENABLE", 0x00040000L, 0x00000012},
		{"MEM_LS_ENABLE", 0x00080000L, 0x00000013}
	} },
	{"MC_IO_DEBUG_DQ0_RX_DYN_PM_D1", 0x01DD, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQ0_RX_DYN_PM_D0", 0x01CD, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_BIT_REMAP_B0_D0", 0x0AA3, {
		{"BIT7", 0x00e00000L, 0x00000015},
		{"BIT6", 0x001c0000L, 0x00000012},
		{"BIT5", 0x00038000L, 0x0000000f},
		{"BIT4", 0x00007000L, 0x0000000c},
		{"BIT3", 0x00000e00L, 0x00000009},
		{"BIT2", 0x000001c0L, 0x00000006},
		{"BIT1", 0x00000038L, 0x00000003},
		{"BIT0", 0x00000007L, 0x00000000}
	} },
	{"MC_SEQ_BIT_REMAP_B0_D1", 0x0AA7, {
		{"BIT7", 0x00e00000L, 0x00000015},
		{"BIT6", 0x001c0000L, 0x00000012},
		{"BIT5", 0x00038000L, 0x0000000f},
		{"BIT4", 0x00007000L, 0x0000000c},
		{"BIT3", 0x00000e00L, 0x00000009},
		{"BIT2", 0x000001c0L, 0x00000006},
		{"BIT1", 0x00000038L, 0x00000003},
		{"BIT0", 0x00000007L, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_56", 0x0038, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_57", 0x0039, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_54", 0x0036, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_55", 0x0037, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_52", 0x0034, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_53", 0x0035, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_50", 0x0032, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_51", 0x0033, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_VMC", 0x0865, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"ATC_VMID0_PASID_MAPPING", 0x0CE7, {
		{"PASID", 0x0000ffffL, 0x00000000},
		{"VALID", 0x80000000L, 0x0000001f}
	} },
	{"MC_IO_DEBUG_WCDR_CLKSEL_D0", 0x01E1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCDR_CLKSEL_D1", 0x01F1, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_58", 0x003A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_59", 0x003B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_SMU", 0x0875, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_IO_DEBUG_ADDRL_TXBST_PD_D0", 0x018C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRL_TXBST_PD_D1", 0x019C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_VM_MB_L1_TLB2_DEBUG", 0x0893, {
		{"SEND_FREE_AT_RTN", 0x00000100L, 0x00000008},
		{"INVALIDATE_L1_TLB", 0x00000001L, 0x00000000},
		{"L1_TLB_DEBUG", 0x00078000L, 0x0000000f},
		{"EFFECTIVE_L1_TLB_SIZE", 0x00000e00L, 0x00000009},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x00007000L, 0x0000000c}
	} },
	{"MC_SEQ_WR_CTL_D0", 0x0A2F, {
		{"ODT_DLY", 0x0f000000L, 0x00000018},
		{"CMD_DLY", 0x40000000L, 0x0000001e},
		{"OEN_DLY", 0x0000f000L, 0x0000000c},
		{"CMD_2Y_DLY", 0x00000800L, 0x0000000b},
		{"ODT_EXT", 0x10000000L, 0x0000001c},
		{"DQS_DLY", 0x000000f0L, 0x00000004},
		{"DQS_XTR", 0x00000100L, 0x00000008},
		{"DAT_DLY", 0x0000000fL, 0x00000000},
		{"OEN_SEL", 0x00300000L, 0x00000014},
		{"ADR_DLY", 0x20000000L, 0x0000001d},
		{"OEN_EXT", 0x000f0000L, 0x00000010},
		{"ADR_2Y_DLY", 0x00000400L, 0x0000000a},
		{"DAT_2Y_DLY", 0x00000200L, 0x00000009}
	} },
	{"MC_HUB_WDP_XDP", 0x0871, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_XPB_P2P_BAR_DELTA_ABOVE", 0x090E, {
		{"EN", 0x000000ffL, 0x00000000},
		{"DELTA", 0x0fffff00L, 0x00000008}
	} },
	{"MC_IO_DEBUG_UP_103", 0x0067, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_102", 0x0066, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_101", 0x0065, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_100", 0x0064, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_107", 0x006B, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_106", 0x006A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_105", 0x0069, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_104", 0x0068, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_WDP_SIP", 0x086B, {
		{"STALL_MODE", 0x00000003L, 0x00000000},
		{"ASK_CREDITS", 0x000001fcL, 0x00000002}
	} },
	{"MC_ARB_DRAM_TIMING2", 0x09DE, {
		{"BUS_TURN", 0x1f000000L, 0x00000018},
		{"RAS2RAS", 0x000000ffL, 0x00000000},
		{"RP", 0x0000ff00L, 0x00000008},
		{"WRPLUSRP", 0x00ff0000L, 0x00000010}
	} },
	{"MC_IO_DEBUG_UP_109", 0x006D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_UP_108", 0x006C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_CITF_PERF_MON_CNTL2", 0x098E, {
		{"CID", 0x000001ffL, 0x00000000}
	} },
	{"VM_PRT_APERTURE0_HIGH_ADDR", 0x0530, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_SEQ_TXFRAMING_EDC_D0", 0x0A5D, {
		{"WCDR1", 0x00f00000L, 0x00000014},
		{"WCDR0", 0x000f0000L, 0x00000010},
		{"WCDR3", 0xf0000000L, 0x0000001c},
		{"WCDR2", 0x0f000000L, 0x00000018},
		{"EDC2", 0x00000f00L, 0x00000008},
		{"EDC3", 0x0000f000L, 0x0000000c},
		{"EDC0", 0x0000000fL, 0x00000000},
		{"EDC1", 0x000000f0L, 0x00000004}
	} },
	{"MC_PMG_CMD_MRS", 0x0AAB, {
		{"END", 0x00100000L, 0x00000014},
		{"MOP", 0x00070000L, 0x00000010},
		{"ADR_MSB0", 0x20000000L, 0x0000001d},
		{"ADR_MSB1", 0x10000000L, 0x0000001c},
		{"CSB", 0x00600000L, 0x00000015},
		{"ADR", 0x0000ffffL, 0x00000000},
		{"BNK_MSB", 0x00080000L, 0x00000013}
	} },
	{"MC_ARB_BANKMAP", 0x09D7, {
		{"BANK3", 0x0000f000L, 0x0000000c},
		{"BANK2", 0x00000f00L, 0x00000008},
		{"BANK1", 0x000000f0L, 0x00000004},
		{"BANK0", 0x0000000fL, 0x00000000},
		{"RANK", 0x000f0000L, 0x00000010}
	} },
	{"MC_SEQ_RD_CTL_D0", 0x0A2D, {
		{"RBS_WEDC_DLY", 0x3e000000L, 0x00000019},
		{"RCV_DLY", 0x00000007L, 0x00000000},
		{"STR_PRE", 0x00010000L, 0x00000010},
		{"RST_SEL", 0x00000300L, 0x00000008},
		{"RBS_DLY", 0x01f00000L, 0x00000014},
		{"STR_PST", 0x00020000L, 0x00000011},
		{"RXDPWRON_DLY", 0x00000c00L, 0x0000000a},
		{"RCV_EXT", 0x000000f8L, 0x00000003},
		{"RST_HLD", 0x0000f000L, 0x0000000c}
	} },
	{"MC_SEQ_RD_CTL_D1", 0x0A2E, {
		{"RBS_WEDC_DLY", 0x3e000000L, 0x00000019},
		{"RCV_DLY", 0x00000007L, 0x00000000},
		{"STR_PRE", 0x00010000L, 0x00000010},
		{"RST_SEL", 0x00000300L, 0x00000008},
		{"RBS_DLY", 0x01f00000L, 0x00000014},
		{"STR_PST", 0x00020000L, 0x00000011},
		{"RXDPWRON_DLY", 0x00000c00L, 0x0000000a},
		{"RCV_EXT", 0x000000f8L, 0x00000003},
		{"RST_HLD", 0x0000f000L, 0x0000000c}
	} },
	{"MC_XPB_RTR_SRC_APRTR5", 0x08D2, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_RXPHASE_D0", 0x010A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_WCK_RXPHASE_D1", 0x011A, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_TSM_FLAG", 0x0AC3, {
		{"FALSE_ACT", 0x000000f0L, 0x00000004},
		{"FLAG_TESTS", 0x0000ff00L, 0x00000008},
		{"NBBL_MASK", 0x000f0000L, 0x00000010},
		{"TRUE_ACT", 0x0000000fL, 0x00000000},
		{"ERROR_TESTS", 0xff000000L, 0x00000018}
	} },
	{"MC_IO_DEBUG_EDC_CLKSEL_D1", 0x00D9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_EDC_CLKSEL_D0", 0x00C9, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XBAR_PERF_MON_CNTL0", 0x0C8F, {
		{"ALLOW_WRAP", 0x10000000L, 0x0000001c},
		{"START_MODE", 0x03000000L, 0x00000018},
		{"START_THRESH", 0x00000fffL, 0x00000000},
		{"STOP_THRESH", 0x00fff000L, 0x0000000c},
		{"STOP_MODE", 0x0c000000L, 0x0000001a}
	} },
	{"MC_XPB_WCB_STS", 0x0901, {
		{"PBUF_VLD", 0x0000ffffL, 0x00000000},
		{"WCB_HST_DATA_BUF_CNT", 0x007f0000L, 0x00000010},
		{"WCB_SID_DATA_BUF_CNT", 0x3f800000L, 0x00000017}
	} },
	{"MC_CITF_INT_CREDITS_WR", 0x097D, {
		{"CNTR_WR_HUB", 0x0000003fL, 0x00000000},
		{"CNTR_WR_LCL", 0x00000fc0L, 0x00000006}
	} },
	{"ATC_ATS_CNTL", 0x0CC9, {
		{"DISABLE_PASID", 0x00000004L, 0x00000002},
		{"DISABLE_PRI", 0x00000002L, 0x00000001},
		{"DEBUG_ECO", 0x000f0000L, 0x00000010},
		{"CREDITS_ATS_RPB", 0x00003f00L, 0x00000008},
		{"DISABLE_ATC", 0x00000001L, 0x00000000}
	} },
	{"VM_FAULT_CLIENT_ID", 0x054E, {
		{"MEMORY_CLIENT", 0x000001ffL, 0x00000000},
		{"MEMORY_CLIENT_MASK", 0x0003fe00L, 0x00000009}
	} },
	{"MC_IO_DEBUG_DQB1H_MISC_D1", 0x00B3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2_CDR_PHSIZE_D1", 0x015D, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_BIST_CMP_CNTL_2", 0x0AB6, {
		{"DATA_STORE_CNT", 0x0000001fL, 0x00000000},
		{"EDC_STORE_CNT", 0x0001f000L, 0x0000000c},
		{"DATA_STORE_CNT_RST", 0x00000100L, 0x00000008},
		{"EDC_STORE_CNT_RST", 0x00100000L, 0x00000014}
	} },
	{"VM_INVALIDATE_REQUEST", 0x051E, {
		{"INVALIDATE_DOMAIN_0", 0x00000001L, 0x00000000},
		{"INVALIDATE_DOMAIN_1", 0x00000002L, 0x00000001},
		{"INVALIDATE_DOMAIN_2", 0x00000004L, 0x00000002},
		{"INVALIDATE_DOMAIN_3", 0x00000008L, 0x00000003},
		{"INVALIDATE_DOMAIN_4", 0x00000010L, 0x00000004},
		{"INVALIDATE_DOMAIN_5", 0x00000020L, 0x00000005},
		{"INVALIDATE_DOMAIN_6", 0x00000040L, 0x00000006},
		{"INVALIDATE_DOMAIN_7", 0x00000080L, 0x00000007},
		{"INVALIDATE_DOMAIN_8", 0x00000100L, 0x00000008},
		{"INVALIDATE_DOMAIN_9", 0x00000200L, 0x00000009},
		{"INVALIDATE_DOMAIN_12", 0x00001000L, 0x0000000c},
		{"INVALIDATE_DOMAIN_13", 0x00002000L, 0x0000000d},
		{"INVALIDATE_DOMAIN_10", 0x00000400L, 0x0000000a},
		{"INVALIDATE_DOMAIN_11", 0x00000800L, 0x0000000b},
		{"INVALIDATE_DOMAIN_14", 0x00004000L, 0x0000000e},
		{"INVALIDATE_DOMAIN_15", 0x00008000L, 0x0000000f}
	} },
	{"MC_SEQ_TXFRAMING_BYTE2_D0", 0x0A5A, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"MC_SEQ_TXFRAMING_BYTE2_D1", 0x0A62, {
		{"DQ4", 0x000f0000L, 0x00000010},
		{"DQ5", 0x00f00000L, 0x00000014},
		{"DQ6", 0x0f000000L, 0x00000018},
		{"DQ7", 0xf0000000L, 0x0000001c},
		{"DQ0", 0x0000000fL, 0x00000000},
		{"DQ1", 0x000000f0L, 0x00000004},
		{"DQ2", 0x00000f00L, 0x00000008},
		{"DQ3", 0x0000f000L, 0x0000000c}
	} },
	{"VM_PRT_CNTL", 0x0534, {
		{"L1_TLB_STORE_INVALID_ENTRIES", 0x00000008L, 0x00000003},
		{"L2_CACHE_STORE_INVALID_ENTRIES", 0x00000004L, 0x00000002}
	} },
	{"MC_IO_DEBUG_DQB1H_RXPHASE_D1", 0x0113, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_RXPHASE_D0", 0x0103, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_MISC_TIMING2_LP", 0x0A9E, {
		{"PA2RDATA", 0x00000007L, 0x00000000},
		{"TFCKTR", 0x0f000000L, 0x00000018},
		{"FAW", 0x00001f00L, 0x00000008},
		{"TADR", 0x00e00000L, 0x00000015},
		{"TWDATATR", 0xf0000000L, 0x0000001c},
		{"PA2WDATA", 0x00000070L, 0x00000004},
		{"TREDC", 0x0000e000L, 0x0000000d},
		{"TWEDC", 0x001f0000L, 0x00000010}
	} },
	{"MC_CITF_CREDITS_VM", 0x0971, {
		{"READ_ALL", 0x0000003fL, 0x00000000},
		{"WRITE_ALL", 0x00000fc0L, 0x00000006}
	} },
	{"MC_RD_GRP_LCL", 0x098A, {
		{"CBFMASK0", 0x00f00000L, 0x00000014},
		{"CB0", 0x0000f000L, 0x0000000c},
		{"DBHTILE0", 0xf0000000L, 0x0000001c},
		{"CBCMASK0", 0x000f0000L, 0x00000010},
		{"DB0", 0x0f000000L, 0x00000018}
	} },
	{"MC_IO_DEBUG_DQB1L_TXPHASE_D1", 0x0132, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1L_TXPHASE_D0", 0x0122, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_TRAIN_EDC_STATUS_D0", 0x0A45, {
		{"REDC_CNT", 0xffff0000L, 0x00000010},
		{"WEDC_CNT", 0x0000ffffL, 0x00000000}
	} },
	{"MC_XPB_CLG_EXTRA", 0x08FD, {
		{"CMP0", 0x000000ffL, 0x00000000},
		{"CMP1", 0x01fe0000L, 0x00000011},
		{"VLD1", 0x02000000L, 0x00000019},
		{"VLD0", 0x00010000L, 0x00000010},
		{"MSK0", 0x0000ff00L, 0x00000008}
	} },
	{"MC_SEQ_TRAIN_WAKEUP_CNTL", 0x0A3A, {
		{"SELF_REFRESH_READ_TRAIN", 0x00000040L, 0x00000006},
		{"AUTO_REFRESH_ADDR_TRAIN", 0x00000100L, 0x00000008},
		{"STOP_WCK_D0", 0x00200000L, 0x00000015},
		{"STOP_WCK_D1", 0x00400000L, 0x00000016},
		{"BOOT_UP_READ_TRAIN", 0x00000004L, 0x00000002},
		{"AUTO_REFRESH_WAKEUP_EARLY", 0x00100000L, 0x00000014},
		{"AUTO_REFRESH_READ_TRAIN", 0x00000400L, 0x0000000a},
		{"BOOT_UP_ADDR_TRAIN", 0x00000001L, 0x00000000},
		{"READ_ECC_ADDR_TRAIN", 0x00010000L, 0x00000010},
		{"DISP_ASTOP_WAKEUP", 0x20000000L, 0x0000001d},
		{"WRITE_ECC_WRITE_TRAIN", 0x00008000L, 0x0000000f},
		{"SW_WAKEUP", 0x10000000L, 0x0000001c},
		{"READ_ECC_READ_TRAIN", 0x00040000L, 0x00000012},
		{"SELF_REFRESH_WCK_TRAIN", 0x00000020L, 0x00000005},
		{"BLOCK_ARB_RD_D0", 0x01000000L, 0x00000018},
		{"AUTO_REFRESH_WRITE_TRAIN", 0x00000800L, 0x0000000b},
		{"SELF_REFRESH_WRITE_TRAIN", 0x00000080L, 0x00000007},
		{"READ_ECC_WRITE_TRAIN", 0x00080000L, 0x00000013},
		{"WRITE_ECC_ADDR_TRAIN", 0x00001000L, 0x0000000c},
		{"WRITE_ECC_WCK_TRAIN", 0x00002000L, 0x0000000d},
		{"SELF_REFRESH_ADDR_TRAIN", 0x00000010L, 0x00000004},
		{"WRITE_ECC_READ_TRAIN", 0x00004000L, 0x0000000e},
		{"BOOT_UP_WCK_TRAIN", 0x00000002L, 0x00000001},
		{"AUTO_REFRESH_WCK_TRAIN", 0x00000200L, 0x00000009},
		{"BLOCK_ARB_RD_D1", 0x04000000L, 0x0000001a},
		{"BLOCK_ARB_WR_D1", 0x08000000L, 0x0000001b},
		{"BLOCK_ARB_WR_D0", 0x02000000L, 0x00000019},
		{"TRAIN_DONE_D1", 0x80000000L, 0x0000001f},
		{"TRAIN_DONE_D0", 0x40000000L, 0x0000001e},
		{"READ_ECC_WCK_TRAIN", 0x00020000L, 0x00000011},
		{"BOOT_UP_WRITE_TRAIN", 0x00000008L, 0x00000003}
	} },
	{"MC_XBAR_REMOTE", 0x0C81, {
		{"RDREQ_EN_GOQ", 0x00000002L, 0x00000001},
		{"WRREQ_EN_GOQ", 0x00000001L, 0x00000000}
	} },
	{"MC_RPB_ARB_CNTL", 0x0951, {
		{"RD_SWITCH_NUM", 0x0000ff00L, 0x00000008},
		{"WR_SWITCH_NUM", 0x000000ffL, 0x00000000},
		{"ATC_SWITCH_NUM", 0x00ff0000L, 0x00000010}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_0_LOW_ADDR", 0x0811, {
		{"PHYSICAL_ADDRESS", 0x0fffffffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_VCEU", 0x0866, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_VM_MD_L2ARBITER_L2_CREDITS", 0x09A4, {
		{"L2_IF_CREDITS", 0x0000003fL, 0x00000000}
	} },
	{"MC_SEQ_RD_CTL_D0_LP", 0x0AC7, {
		{"RBS_WEDC_DLY", 0x3e000000L, 0x00000019},
		{"RCV_DLY", 0x00000007L, 0x00000000},
		{"STR_PRE", 0x00010000L, 0x00000010},
		{"RST_SEL", 0x00000300L, 0x00000008},
		{"RBS_DLY", 0x01f00000L, 0x00000014},
		{"STR_PST", 0x00020000L, 0x00000011},
		{"RXDPWRON_DLY", 0x00000c00L, 0x0000000a},
		{"RCV_EXT", 0x000000f8L, 0x00000003},
		{"RST_HLD", 0x0000f000L, 0x0000000c}
	} },
	{"MC_XBAR_ADDR_DEC", 0x0C80, {
		{"RB_SPLIT_COLHI", 0x00000008L, 0x00000003},
		{"NO_DIV_BY_3", 0x00000001L, 0x00000000},
		{"RB_SPLIT", 0x00000004L, 0x00000002},
		{"GECC", 0x00000002L, 0x00000001}
	} },
	{"MC_XPB_RTR_SRC_APRTR3", 0x08D0, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_SEQ_IO_RDBI", 0x0AB4, {
		{"MASK", 0xffffffffL, 0x00000000}
	} },
	{"MC_ARB_RFSH_CNTL", 0x09EB, {
		{"URG0", 0x0000003eL, 0x00000001},
		{"ENABLE", 0x00000001L, 0x00000000},
		{"ACCUM", 0x00000800L, 0x0000000b},
		{"URG1", 0x000007c0L, 0x00000006}
	} },
	{"MC_IO_DEBUG_DQB1L_RXPHASE_D1", 0x0112, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB1H_CLKSEL_D0", 0x00C3, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_ARB_SQM_CNTL", 0x09DB, {
		{"MIN_PENAL", 0x000000ffL, 0x00000000},
		{"SQM_RESERVE", 0x0000fe00L, 0x00000009},
		{"RATIO", 0x00ff0000L, 0x00000010},
		{"RATIO_DEBUG", 0xff000000L, 0x00000018},
		{"DYN_SQM_ENABLE", 0x00000100L, 0x00000008}
	} },
	{"MC_VM_SYSTEM_APERTURE_LOW_ADDR", 0x080D, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"GMCON_DEBUG", 0x0D5F, {
		{"GFX_CLEAR", 0x00000002L, 0x00000001},
		{"GFX_STALL", 0x00000001L, 0x00000000},
		{"MISC_FLAGS", 0x3ffffffcL, 0x00000002}
	} },
	{"MC_HUB_RDREQ_CNTL", 0x083B, {
		{"MCDY_STALL_MODE", 0x00000080L, 0x00000007},
		{"OVERRIDE_STALL_ENABLE", 0x00000010L, 0x00000004},
		{"MCDW_STALL_MODE", 0x00000020L, 0x00000005},
		{"PWRXPRESS_MODE", 0x00080000L, 0x00000013},
		{"DISABLE_SELF_INIT_GBL0", 0x00020000L, 0x00000011},
		{"DISABLE_SELF_INIT_GBL1", 0x00040000L, 0x00000012},
		{"JUMPAHEAD_GBL1", 0x00000008L, 0x00000003},
		{"JUMPAHEAD_GBL0", 0x00000004L, 0x00000002},
		{"MCDX_STALL_MODE", 0x00000040L, 0x00000006},
		{"BREAK_HDP_DEADLOCK", 0x00000200L, 0x00000009},
		{"REMOTE_BLACKOUT", 0x00000001L, 0x00000000},
		{"MCDZ_STALL_MODE", 0x00000100L, 0x00000008},
		{"DEBUG_REG", 0x0001fc00L, 0x0000000a}
	} },
	{"MC_IO_DEBUG_DQB1H_TXPHASE_D1", 0x0133, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XBAR_PERF_MON_RSLT1", 0x0C93, {
		{"COUNT", 0xffffffffL, 0x00000000}
	} },
	{"MC_ARB_AGE_WR", 0x09EA, {
		{"ENABLE_GROUP6", 0x00400000L, 0x00000016},
		{"ENABLE_GROUP7", 0x00800000L, 0x00000017},
		{"ENABLE_GROUP4", 0x00100000L, 0x00000014},
		{"ENABLE_GROUP5", 0x00200000L, 0x00000015},
		{"ENABLE_GROUP2", 0x00040000L, 0x00000012},
		{"ENABLE_GROUP3", 0x00080000L, 0x00000013},
		{"ENABLE_GROUP0", 0x00010000L, 0x00000010},
		{"ENABLE_GROUP1", 0x00020000L, 0x00000011},
		{"DIVIDE_GROUP0", 0x01000000L, 0x00000018},
		{"DIVIDE_GROUP1", 0x02000000L, 0x00000019},
		{"DIVIDE_GROUP2", 0x04000000L, 0x0000001a},
		{"DIVIDE_GROUP3", 0x08000000L, 0x0000001b},
		{"DIVIDE_GROUP4", 0x10000000L, 0x0000001c},
		{"DIVIDE_GROUP5", 0x20000000L, 0x0000001d},
		{"DIVIDE_GROUP6", 0x40000000L, 0x0000001e},
		{"DIVIDE_GROUP7", 0x80000000L, 0x0000001f},
		{"RATE_GROUP5", 0x00000c00L, 0x0000000a},
		{"RATE_GROUP4", 0x00000300L, 0x00000008},
		{"RATE_GROUP7", 0x0000c000L, 0x0000000e},
		{"RATE_GROUP6", 0x00003000L, 0x0000000c},
		{"RATE_GROUP1", 0x0000000cL, 0x00000002},
		{"RATE_GROUP0", 0x00000003L, 0x00000000},
		{"RATE_GROUP3", 0x000000c0L, 0x00000006},
		{"RATE_GROUP2", 0x00000030L, 0x00000004}
	} },
	{"MC_ARB_LAZY0_WR", 0x09E6, {
		{"GROUP1", 0x0000ff00L, 0x00000008},
		{"GROUP0", 0x000000ffL, 0x00000000},
		{"GROUP3", 0xff000000L, 0x00000018},
		{"GROUP2", 0x00ff0000L, 0x00000010}
	} },
	{"MC_IO_DEBUG_DQB1H_TXPHASE_D0", 0x0123, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"VM_CONTEXT12_PAGE_TABLE_BASE_ADDR", 0x0512, {
		{"PHYSICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRL_RXPHASE_D0", 0x010C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_ADDRL_RXPHASE_D1", 0x011C, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_XPB_RTR_SRC_APRTR0", 0x08CD, {
		{"BASE_ADDR", 0x01ffffffL, 0x00000000}
	} },
	{"MC_ARB_LM_RD", 0x09F0, {
		{"ENABLE_TWO_LIST", 0x00040000L, 0x00000012},
		{"STREAK_BREAK", 0x00010000L, 0x00000010},
		{"STREAK_UBER", 0x00020000L, 0x00000011},
		{"BANKGROUP_CONFIG", 0x00e00000L, 0x00000015},
		{"POPIDLE_RST_TWOLIST", 0x00080000L, 0x00000013},
		{"SKID1_RST_TWOLIST", 0x00100000L, 0x00000014},
		{"STREAK_LIMIT_UBER", 0x0000ff00L, 0x00000008},
		{"STREAK_LIMIT", 0x000000ffL, 0x00000000}
	} },
	{"VM_PRT_APERTURE1_LOW_ADDR", 0x052D, {
		{"LOGICAL_PAGE_NUMBER", 0x0fffffffL, 0x00000000}
	} },
	{"MC_PMG_CFG", 0x0A84, {
		{"RST_MRS", 0x00000002L, 0x00000001},
		{"TRI_MIO", 0x00000008L, 0x00000003},
		{"SYC_CLK", 0x00000001L, 0x00000000},
		{"RST_MRS2", 0x00000200L, 0x00000009},
		{"WRITE_DURING_DLOCK", 0x00100000L, 0x00000014},
		{"YCLK_ON", 0x00200000L, 0x00000015},
		{"RST_MRS1", 0x00000100L, 0x00000008},
		{"DPM_WAKE", 0x00000400L, 0x0000000a},
		{"RST_EMRS", 0x00000004L, 0x00000002},
		{"PREA_SRX", 0x00002000L, 0x0000000d},
		{"XSR_TMR", 0x000000f0L, 0x00000004},
		{"ZQCL_SEND", 0x0c000000L, 0x0000001a},
		{"RXPDNB", 0x02000000L, 0x00000019},
		{"EARLY_ACK_ACPI", 0x00400000L, 0x00000016},
		{"MRS_WAIT_CNT", 0x000f0000L, 0x00000010},
		{"RFS_SRX", 0x00001000L, 0x0000000c}
	} },
	{"MC_SEQ_TXFRAMING_EDC_D1", 0x0A65, {
		{"WCDR1", 0x00f00000L, 0x00000014},
		{"WCDR0", 0x000f0000L, 0x00000010},
		{"WCDR3", 0xf0000000L, 0x0000001c},
		{"WCDR2", 0x0f000000L, 0x00000018},
		{"EDC2", 0x00000f00L, 0x00000008},
		{"EDC3", 0x0000f000L, 0x0000000c},
		{"EDC0", 0x0000000fL, 0x00000000},
		{"EDC1", 0x000000f0L, 0x00000004}
	} },
	{"MC_XBAR_WRRET_CREDIT2", 0x0C86, {
		{"OUT4", 0x000000ffL, 0x00000000},
		{"OUT5", 0x0000ff00L, 0x00000008}
	} },
	{"MC_RD_TC0", 0x0983, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"MAX_BURST", 0x00000780L, 0x00000007},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"MC_RD_TC1", 0x0984, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"MAX_BURST", 0x00000780L, 0x00000007},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"STALL_MODE", 0x00000030L, 0x00000004}
	} },
	{"MC_XPB_P2P_BAR_DELTA_BELOW", 0x090F, {
		{"EN", 0x000000ffL, 0x00000000},
		{"DELTA", 0x0fffff00L, 0x00000008}
	} },
	{"MC_IO_DEBUG_UP_67", 0x0043, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_BIST_SADDR", 0x0A08, {
		{"RANK", 0x10000000L, 0x0000001c},
		{"COLH", 0x20000000L, 0x0000001d},
		{"ROWH", 0xc0000000L, 0x0000001e},
		{"COL", 0x000003ffL, 0x00000000},
		{"BANK", 0x0f000000L, 0x00000018},
		{"ROW", 0x00fffc00L, 0x0000000a}
	} },
	{"MC_IO_DEBUG_UP_89", 0x0059, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_WTM_CNTL", 0x083D, {
		{"GROUP0_DECREMENT", 0x00000007L, 0x00000000},
		{"GROUP6_DECREMENT", 0x001c0000L, 0x00000012},
		{"GROUP1_DECREMENT", 0x00000038L, 0x00000003},
		{"GROUP7_DECREMENT", 0x00e00000L, 0x00000015},
		{"GROUP4_DECREMENT", 0x00007000L, 0x0000000c},
		{"GROUP5_DECREMENT", 0x00038000L, 0x0000000f},
		{"GROUP3_DECREMENT", 0x00000e00L, 0x00000009},
		{"GROUP2_DECREMENT", 0x000001c0L, 0x00000006}
	} },
	{"MC_HUB_RDREQ_DMIF_LIMIT", 0x0848, {
		{"LIMIT_COUNT", 0x0000007cL, 0x00000002},
		{"ENABLE", 0x00000003L, 0x00000000}
	} },
	{"MC_RPB_CID_QUEUE_EX", 0x095A, {
		{"START", 0x00000001L, 0x00000000},
		{"OFFSET", 0x0000003eL, 0x00000001}
	} },
	{"MC_SEQ_TRAIN_WAKEUP_EDGE", 0x0A3C, {
		{"ALLOWSTOP1_WAKEUP", 0x00080000L, 0x00000013},
		{"D1_ARF_WAKEUP", 0x00000002L, 0x00000001},
		{"D1_CMD_FIFO_READY_WAKEUP", 0x00000200L, 0x00000009},
		{"PHY_PG_WAKEUP", 0x04000000L, 0x0000001a},
		{"MCLK_FREQ_CHANGE_WAKEUP", 0x00000040L, 0x00000006},
		{"D0_WEDC_WAKEUP", 0x00000010L, 0x00000004},
		{"RESERVE0_WAKEUP", 0x00002000L, 0x0000000d},
		{"D1_DATA_FIFO_READY_WAKEUP", 0x00000800L, 0x0000000b},
		{"D0_IDLEH_WAKEUP", 0x01000000L, 0x00000018},
		{"D1_WEDC_WAKEUP", 0x00000020L, 0x00000005},
		{"ALLOWSTOPB0_WAKEUP", 0x00200000L, 0x00000015},
		{"ALLOWSTOPB1_WAKEUP", 0x00400000L, 0x00000016},
		{"D0_DATA_FIFO_READY_WAKEUP", 0x00000400L, 0x0000000a},
		{"ALLOWSTOP0_WAKEUP", 0x00040000L, 0x00000012},
		{"D0_REDC_WAKEUP", 0x00000004L, 0x00000002},
		{"TSM_DONE_WAKEUP", 0x00004000L, 0x0000000e},
		{"DPM_LPT_WAKEUP", 0x00800000L, 0x00000017},
		{"SOFTWARE_WAKEUP_WAKEUP", 0x00001000L, 0x0000000c},
		{"D0_CMD_FIFO_READY_WAKEUP", 0x00000100L, 0x00000008},
		{"TIMER_DONE_WAKEUP", 0x00008000L, 0x0000000f},
		{"D1_REDC_WAKEUP", 0x00000008L, 0x00000003},
		{"D0_ARF_WAKEUP", 0x00000001L, 0x00000000},
		{"SCLK_SRBM_READY_WAKEUP", 0x00000080L, 0x00000007},
		{"TCG_DONE_WAKEUP", 0x00020000L, 0x00000011},
		{"DPM_WAKEUP", 0x00100000L, 0x00000014},
		{"D1_IDLEH_WAKEUP", 0x02000000L, 0x00000019}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_D_I1", 0x0ADC, {
		{"VALUE", 0xffffffffL, 0x00000000}
	} },
	{"MC_HUB_WDP_CNTL", 0x0835, {
		{"SIP_WAIT_EOP", 0x00100000L, 0x00000014},
		{"DISP_WAIT_EOP", 0x00040000L, 0x00000012},
		{"OVERRIDE_STALL_ENABLE", 0x00000010L, 0x00000004},
		{"FAIR_CH_SW", 0x00010000L, 0x00000010},
		{"MCD_WAIT_EOP", 0x00080000L, 0x00000013},
		{"JUMPAHEAD_INTERNAL", 0x00000008L, 0x00000003},
		{"DISABLE_SELF_INIT_GBL0", 0x00002000L, 0x0000000d},
		{"DISABLE_SELF_INIT_GBL1", 0x00004000L, 0x0000000e},
		{"JUMPAHEAD_GBL1", 0x00000004L, 0x00000002},
		{"JUMPAHEAD_GBL0", 0x00000002L, 0x00000001},
		{"LCLWRREQ_BYPASS", 0x00020000L, 0x00000011},
		{"DISABLE_SELF_INIT_INTERNAL", 0x00008000L, 0x0000000f},
		{"DEBUG_REG", 0x00001fe0L, 0x00000005}
	} },
	{"MC_IO_PAD_CNTL_D1", 0x0A75, {
		{"FORCE_EN_RD_STR", 0x00000400L, 0x0000000a},
		{"CK_DELAY_P", 0x03000000L, 0x00000018},
		{"DELAY_STR_SYNC", 0x00000002L, 0x00000001},
		{"UNI_STR", 0x10000000L, 0x0000001c},
		{"TXPWROFF_CLK", 0x80000000L, 0x0000001f},
		{"DISABLE_ADR", 0x00002000L, 0x0000000d},
		{"GDDR_PWRON", 0x40000000L, 0x0000001e},
		{"CK_DELAY_N", 0x00c00000L, 0x00000016},
		{"CK_AUTO_EN", 0x00100000L, 0x00000014},
		{"DIFF_STR", 0x20000000L, 0x0000001d},
		{"DELAY_CMD_SYNC", 0x00000008L, 0x00000003},
		{"CK_DELAY_SEL", 0x00200000L, 0x00000015},
		{"DELAY_ADR_SYNC", 0x00000010L, 0x00000004},
		{"DELAY_CLK_SYNC", 0x00000004L, 0x00000002},
		{"VREFI_EN", 0x00004000L, 0x0000000e},
		{"DELAY_DATA_SYNC", 0x00000001L, 0x00000000},
		{"DISABLE_CMD", 0x00001000L, 0x0000000c},
		{"TXPWROFF_CKE", 0x08000000L, 0x0000001b},
		{"MEM_FALL_OUT_STR", 0x00000040L, 0x00000006},
		{"MEM_FALL_OUT_DATA", 0x00000020L, 0x00000005},
		{"MEM_FALL_OUT_CMD", 0x00000100L, 0x00000008},
		{"VREFI_SEL", 0x000f8000L, 0x0000000f},
		{"MEM_FALL_OUT_CLK", 0x00000080L, 0x00000007},
		{"MEM_FALL_OUT_ADR", 0x00000200L, 0x00000009},
		{"EN_RD_STR_DLY", 0x00000800L, 0x0000000b}
	} },
	{"MC_IO_PAD_CNTL_D0", 0x0A74, {
		{"DELAY_CMD_SYNC", 0x00000008L, 0x00000003},
		{"FORCE_EN_RD_STR", 0x00000400L, 0x0000000a},
		{"VREFI_SEL", 0x000f8000L, 0x0000000f},
		{"CK_DELAY_SEL", 0x00200000L, 0x00000015},
		{"CK_DELAY_P", 0x03000000L, 0x00000018},
		{"CK_AUTO_EN", 0x00100000L, 0x00000014},
		{"TXPWROFF_CLK", 0x80000000L, 0x0000001f},
		{"VREFI_EN", 0x00004000L, 0x0000000e},
		{"DISABLE_ADR", 0x00002000L, 0x0000000d},
		{"MEM_FALL_OUT_ADR", 0x00000200L, 0x00000009},
		{"EN_RD_STR_DLY", 0x00000800L, 0x0000000b},
		{"DELAY_ADR_SYNC", 0x00000010L, 0x00000004},
		{"UNI_STR", 0x10000000L, 0x0000001c},
		{"GDDR_PWRON", 0x40000000L, 0x0000001e},
		{"MEM_FALL_OUT_CMD", 0x00000100L, 0x00000008},
		{"DISABLE_CMD", 0x00001000L, 0x0000000c},
		{"MEM_FALL_OUT_CLK", 0x00000080L, 0x00000007},
		{"TXPWROFF_CKE", 0x08000000L, 0x0000001b},
		{"CK_DELAY_N", 0x00c00000L, 0x00000016},
		{"DELAY_CLK_SYNC", 0x00000004L, 0x00000002},
		{"DIFF_STR", 0x20000000L, 0x0000001d}
	} },
	{"MC_TSM_DEBUG_FLAG", 0x0001, {
		{"DATA", 0xffffffffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_CLKSEL_D0", 0x00C4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_IO_DEBUG_DQB2L_CLKSEL_D1", 0x00D4, {
		{"VALUE3", 0xff000000L, 0x00000018},
		{"VALUE2", 0x00ff0000L, 0x00000010},
		{"VALUE1", 0x0000ff00L, 0x00000008},
		{"VALUE0", 0x000000ffL, 0x00000000}
	} },
	{"MC_HUB_MISC_FRAMING", 0x0834, {
		{"BITS", 0xffffffffL, 0x00000000}
	} },
	{"MC_HUB_RDREQ_VCE", 0x085F, {
		{"ENABLE", 0x00000001L, 0x00000000},
		{"STALL_OVERRIDE_WTM", 0x00008000L, 0x0000000f},
		{"LAZY_TIMER", 0x00007800L, 0x0000000b},
		{"STALL_OVERRIDE", 0x00000040L, 0x00000006},
		{"BLACKOUT_EXEMPT", 0x00000008L, 0x00000003},
		{"PRESCALE", 0x00000006L, 0x00000001},
		{"STALL_MODE", 0x00000030L, 0x00000004},
		{"MAXBURST", 0x00000780L, 0x00000007}
	} },
	{"MC_RPB_DBG1", 0x094F, {
		{"RPB_BIF_OUTSTANDING_RD_32B", 0x000fff00L, 0x00000008},
		{"DEBUG_BITS", 0xfff00000L, 0x00000014},
		{"RPB_BIF_OUTSTANDING_RD", 0x000000ffL, 0x00000000}
	} },
	{"MC_SEQ_RESERVE_M", 0x0A82, {
		{"MCLK_FIELD", 0xffffffffL, 0x00000000}
	} }
};

}; // namespace amdregdb
