/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_gmc_gmc_7_1();

static const RegSpec gmc_gmc_7_1_regs[] = {
	{"MC_VM_L2_PERFCOUNTER1_CFG", 0x7cd, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_ARB_PERF_CID", 0x9c6, {
		{"CH0", 0xff, 0x0},
		{"CH1", 0xff00, 0x8},
		{"CH1_EN", 0x20000, 0x11},
		{"CH0_EN", 0x10000, 0x10}
	} },
	{"MC_CITF_XTRA_ENABLE", 0x96d, {
		{"TC1_CONNECT_CNTL", 0x1800000, 0x17},
		{"CB0_CONNECT_CNTL", 0x6000, 0xd},
		{"DB1_WR", 0x8, 0x3},
		{"TC0_CONNECT_CNTL", 0x600000, 0x15},
		{"ARB_DBG", 0xf00, 0x8},
		{"DB0_CONNECT_CNTL", 0x18000, 0xf},
		{"DB0_CID_CNTL_ENABLE", 0x4000000, 0x1a},
		{"DB1_RD", 0x4, 0x2},
		{"DB1_CID_CNTL_ENABLE", 0x10000000, 0x1c},
		{"TC2_RD", 0x10, 0x4},
		{"CB0_CID_CNTL_ENABLE", 0x2000000, 0x19},
		{"TC2_WR", 0x1000, 0xc},
		{"TC2_REPAIR_ENABLE", 0x60000000, 0x1d},
		{"CB1_WR", 0x2, 0x1},
		{"CB1_CID_CNTL_ENABLE", 0x8000000, 0x1b},
		{"DB1_CONNECT_CNTL", 0x180000, 0x13},
		{"CB1_CONNECT_CNTL", 0x60000, 0x11},
		{"CB1_RD", 0x1, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_TXBST_PD_D1", 0x197, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_TXBST_PD_D0", 0x187, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_RX_EQ_D1", 0x1d9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_RX_EQ_D0", 0x1c9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_CDR_PHSIZE_D0", 0xed, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_BUSY_STATUS", 0x9fd, {
		{"GECC2_WR1", 0x800000, 0x17},
		{"GECC2_WR0", 0x400000, 0x16},
		{"LM_RD0", 0x1, 0x0},
		{"LM_RD1", 0x2, 0x1},
		{"REM_WR1", 0x80000000, 0x1f},
		{"REM_WR0", 0x40000000, 0x1e},
		{"TAGFIFO0", 0x4000, 0xe},
		{"TAGFIFO1", 0x8000, 0xf},
		{"RTT0", 0x4000000, 0x1a},
		{"RTT1", 0x8000000, 0x1b},
		{"WDE_WR1", 0x800, 0xb},
		{"WDE_WR0", 0x400, 0xa},
		{"HM_RD0", 0x10, 0x4},
		{"HM_RD1", 0x20, 0x5},
		{"WCDR1", 0x2000000, 0x19},
		{"WCDR0", 0x1000000, 0x18},
		{"REPLAY0", 0x10000, 0x10},
		{"REPLAY1", 0x20000, 0x11},
		{"GECC2_RD0", 0x100000, 0x14},
		{"GECC2_RD1", 0x200000, 0x15},
		{"HM_WR1", 0x80, 0x7},
		{"HM_WR0", 0x40, 0x6},
		{"RDRET1", 0x80000, 0x13},
		{"RDRET0", 0x40000, 0x12},
		{"LM_WR1", 0x8, 0x3},
		{"LM_WR0", 0x4, 0x2},
		{"WDE_RD0", 0x100, 0x8},
		{"WDE_RD1", 0x200, 0x9},
		{"REM_RD0", 0x10000000, 0x1c},
		{"REM_RD1", 0x20000000, 0x1d},
		{"POP1", 0x2000, 0xd},
		{"POP0", 0x1000, 0xc}
	} },
	{"MC_CITF_CREDITS_XBAR", 0x989, {
		{"READ_LCL", 0xff, 0x0},
		{"WRITE_LCL", 0xff00, 0x8}
	} },
	{"ATC_PERFCOUNTER0_CFG", 0x7c8, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_DQB0H_MISC_D0", 0xa1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_MISC_D1", 0xb1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_MCDVM_PERFCOUNTER2_CFG", 0x7c6, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_ATS_FAULT_STATUS_INFO", 0xcce, {
		{"STATUS", 0xf80000, 0x13},
		{"EXTRA_INFO2", 0x10000, 0x10},
		{"VMID", 0x7c00, 0xa},
		{"PAGE_ADDR_HIGH", 0xf000000, 0x18},
		{"INVALIDATION", 0x20000, 0x11},
		{"FAULT_TYPE", 0x3f, 0x0},
		{"PAGE_REQUEST", 0x40000, 0x12},
		{"EXTRA_INFO", 0x8000, 0xf}
	} },
	{"MC_IO_DEBUG_DQB2L_TXBST_PD_D0", 0x184, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_TXBST_PD_D1", 0x194, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_MCDVM_PERFCOUNTER_HI", 0x7ab, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_ARB_HARSH_BWCNT0_RD", 0xdce, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_ARB_HARSH_BWPERIOD0_WR", 0xdcb, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_IO_DEBUG_UP_29", 0x1d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_28", 0x1c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_27", 0x1b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_ST01", 0x10, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_25", 0x19, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_24", 0x18, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_23", 0x17, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_22", 0x16, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_21", 0x15, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_20", 0x14, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_VM_FB_OFFSET", 0x81a, {
		{"FB_OFFSET", 0x3ffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_CLKSEL_D0", 0xc1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_CLKSEL_D1", 0xd1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_PERFCOUNTER3_CFG", 0x7cb, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_DQ0_RX_EQ_PM_D0", 0x1cb, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MPLL_FUNC_CNTL", 0xaed, {
		{"BWCTRL", 0xff00000, 0x14},
		{"BG_100ADJ", 0xf00, 0x8},
		{"REG_BIAS", 0xc0000000, 0x1e},
		{"SPARE_0", 0x20, 0x5},
		{"BG_135ADJ", 0xf0000, 0x10}
	} },
	{"MC_SEQ_BYTE_REMAP_D1", 0xa94, {
		{"BYTE3", 0xc0, 0x6},
		{"BYTE2", 0x30, 0x4},
		{"BYTE1", 0xc, 0x2},
		{"BYTE0", 0x3, 0x0}
	} },
	{"MC_IO_RXCNTL1_DPHY0_D1", 0xae1, {
		{"DLL_RSV", 0xf0000000, 0x1c},
		{"RXLEQ_EN", 0x400000, 0x16},
		{"VREFCAL1_MSB", 0xf, 0x0},
		{"PMD_LOOPBACK", 0xe000000, 0x19},
		{"DLL_MSTR_STBY", 0x200000, 0x15},
		{"DLL_PWRGOOD_OVR", 0x80000, 0x13},
		{"DLL_VCTRLADC_EN", 0x100000, 0x14},
		{"VREFCAL3", 0xff00, 0x8},
		{"VREFCAL2_MSB", 0xf0, 0x4},
		{"VREFSEL3", 0x20000, 0x11},
		{"VREFSEL2", 0x10000, 0x10},
		{"RXLEQ_NXT", 0x800000, 0x17},
		{"VREFPDNB_1", 0x40000, 0x12}
	} },
	{"MC_HUB_RDREQ_ISP_CCPU", 0xde2, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_VM_STEERING", 0x81b, {
		{"DEFAULT_STEERING", 0x3, 0x0}
	} },
	{"ATC_PERFCOUNTER_LO", 0x7a7, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_RD_HUB", 0x985, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_HUB_WDP_RLC", 0x873, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_DQB1L_MISC_D1", 0xb2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_MISC_D0", 0xa2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_TXCNTL_DPHY1_D0", 0xa4a, {
		{"TSTEN", 0x1000000, 0x18},
		{"LOWCMEN", 0x10, 0x4},
		{"NTERM", 0xf000, 0xc},
		{"TXBYPASS", 0x4000000, 0x1a},
		{"EMPH", 0x40, 0x6},
		{"PLL_LOOPBCK", 0x8000000, 0x1b},
		{"PTERM", 0xf00, 0x8},
		{"QDR", 0x20, 0x5},
		{"TXBYPASS_DATA", 0xf0000000, 0x1c},
		{"PDRV", 0xf0000, 0x10},
		{"TXPD", 0x80, 0x7},
		{"NDRV", 0xf00000, 0x14},
		{"EDCTX_CLKGATE_EN", 0x2000000, 0x19},
		{"BIASSEL", 0x3, 0x0},
		{"DRVDUTY", 0xc, 0x2}
	} },
	{"MC_IO_TXCNTL_DPHY1_D1", 0xa50, {
		{"TSTEN", 0x1000000, 0x18},
		{"LOWCMEN", 0x10, 0x4},
		{"NTERM", 0xf000, 0xc},
		{"TXBYPASS", 0x4000000, 0x1a},
		{"EMPH", 0x40, 0x6},
		{"PLL_LOOPBCK", 0x8000000, 0x1b},
		{"PTERM", 0xf00, 0x8},
		{"QDR", 0x20, 0x5},
		{"TXBYPASS_DATA", 0xf0000000, 0x1c},
		{"PDRV", 0xf0000, 0x10},
		{"TXPD", 0x80, 0x7},
		{"NDRV", 0xf00000, 0x14},
		{"EDCTX_CLKGATE_EN", 0x2000000, 0x19},
		{"BIASSEL", 0x3, 0x0},
		{"DRVDUTY", 0xc, 0x2}
	} },
	{"MC_CITF_RET_MODE", 0x976, {
		{"LCLPRI_RD", 0x10, 0x4},
		{"RDRET_STALL_EN", 0x40, 0x6},
		{"LCLPRI_WR", 0x20, 0x5},
		{"INORDER_RD", 0x1, 0x0},
		{"RDRET_STALL_THRESHOLD", 0x7f80, 0x7},
		{"INORDER_WR", 0x2, 0x1},
		{"REMPRI_RD", 0x4, 0x2},
		{"REMPRI_WR", 0x8, 0x3}
	} },
	{"MC_IO_DEBUG_DQB0L_RX_EQ_D0", 0x1c0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_PERFCOUNTER2_CFG", 0x7ca, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_EDC_RXPHASE_D1", 0x119, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_RXPHASE_D0", 0x109, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_TXBST_PU_D1", 0x1b4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_TXBST_PU_D0", 0x1a4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_RXCNTL1_DPHY1_D0", 0xae0, {
		{"DLL_RSV", 0xf0000000, 0x1c},
		{"RXLEQ_EN", 0x400000, 0x16},
		{"VREFCAL1_MSB", 0xf, 0x0},
		{"PMD_LOOPBACK", 0xe000000, 0x19},
		{"DLL_MSTR_STBY", 0x200000, 0x15},
		{"DLL_PWRGOOD_OVR", 0x80000, 0x13},
		{"DLL_VCTRLADC_EN", 0x100000, 0x14},
		{"VREFCAL3", 0xff00, 0x8},
		{"VREFCAL2_MSB", 0xf0, 0x4},
		{"VREFSEL3", 0x20000, 0x11},
		{"VREFSEL2", 0x10000, 0x10},
		{"RXLEQ_NXT", 0x800000, 0x17},
		{"VREFPDNB_1", 0x40000, 0x12}
	} },
	{"MC_IO_RXCNTL1_DPHY1_D1", 0xae2, {
		{"DLL_RSV", 0xf0000000, 0x1c},
		{"RXLEQ_EN", 0x400000, 0x16},
		{"VREFCAL1_MSB", 0xf, 0x0},
		{"PMD_LOOPBACK", 0xe000000, 0x19},
		{"DLL_MSTR_STBY", 0x200000, 0x15},
		{"DLL_PWRGOOD_OVR", 0x80000, 0x13},
		{"DLL_VCTRLADC_EN", 0x100000, 0x14},
		{"VREFCAL3", 0xff00, 0x8},
		{"VREFCAL2_MSB", 0xf0, 0x4},
		{"VREFSEL3", 0x20000, 0x11},
		{"VREFSEL2", 0x10000, 0x10},
		{"RXLEQ_NXT", 0x800000, 0x17},
		{"VREFPDNB_1", 0x40000, 0x12}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_2_HIGH_ADDR", 0x817, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_MISC_D0", 0xa5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_MISC_D1", 0xb5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XPB_P2P_BAR_SETUP", 0x90c, {
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf00, 0x8},
		{"SEL", 0xff, 0x0}
	} },
	{"ATC_VM_APERTURE1_CNTL2", 0xcc7, {
		{"VMIDS_USING_RANGE", 0xffff, 0x0}
	} },
	{"MC_XPB_UNC_THRESH_SID", 0x900, {
		{"USE_UNFULL", 0x3f000, 0xc},
		{"CHANGE_PREF", 0x3f, 0x0},
		{"STRONG_PREF", 0xfc0, 0x6}
	} },
	{"MC_SEQ_IO_RWORD3", 0xaaf, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"GMCON_PGFSM_WRITE", 0xd4f, {
		{"WRITE_VALUE", 0xffffffff, 0x0}
	} },
	{"MC_ARB_PERF_MON_CNTL0_ECC", 0x7db, {
		{"ALLOW_WRAP", 0x1, 0x0}
	} },
	{"MC_IO_TXCNTL_DPHY0_D1", 0xa4f, {
		{"TSTEN", 0x1000000, 0x18},
		{"LOWCMEN", 0x10, 0x4},
		{"NTERM", 0xf000, 0xc},
		{"TXBYPASS", 0x4000000, 0x1a},
		{"EMPH", 0x40, 0x6},
		{"PLL_LOOPBCK", 0x8000000, 0x1b},
		{"PTERM", 0xf00, 0x8},
		{"QDR", 0x20, 0x5},
		{"TXBYPASS_DATA", 0xf0000000, 0x1c},
		{"PDRV", 0xf0000, 0x10},
		{"TXPD", 0x80, 0x7},
		{"NDRV", 0xf00000, 0x14},
		{"EDCTX_CLKGATE_EN", 0x2000000, 0x19},
		{"BIASSEL", 0x3, 0x0},
		{"DRVDUTY", 0xc, 0x2}
	} },
	{"MC_IO_TXCNTL_DPHY0_D0", 0xa49, {
		{"TSTEN", 0x1000000, 0x18},
		{"LOWCMEN", 0x10, 0x4},
		{"NTERM", 0xf000, 0xc},
		{"TXBYPASS", 0x4000000, 0x1a},
		{"EMPH", 0x40, 0x6},
		{"PLL_LOOPBCK", 0x8000000, 0x1b},
		{"PTERM", 0xf00, 0x8},
		{"QDR", 0x20, 0x5},
		{"TXBYPASS_DATA", 0xf0000000, 0x1c},
		{"PDRV", 0xf0000, 0x10},
		{"TXPD", 0x80, 0x7},
		{"NDRV", 0xf00000, 0x14},
		{"EDCTX_CLKGATE_EN", 0x2000000, 0x19},
		{"BIASSEL", 0x3, 0x0},
		{"DRVDUTY", 0xc, 0x2}
	} },
	{"MC_MCBVM_PERFCOUNTER2_CFG", 0x7c2, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_L2_CNTL", 0xcd5, {
		{"NUMBER_OF_TRANSLATION_READS_DEPENDS_ON_ADDR_MOD", 0x100, 0x8},
		{"NUMBER_OF_TRANSLATION_WRITE_REQUESTS", 0x30, 0x4},
		{"NUMBER_OF_TRANSLATION_READ_REQUESTS", 0x3, 0x0},
		{"NUMBER_OF_TRANSLATION_WRITES_DEPENDS_ON_ADDR_MOD", 0x200, 0x9}
	} },
	{"MC_CITF_WTM_WR_CNTL", 0x980, {
		{"GROUP0_DECREMENT", 0x7, 0x0},
		{"GROUP6_DECREMENT", 0x1c0000, 0x12},
		{"GROUP1_DECREMENT", 0x38, 0x3},
		{"DISABLE_REMOTE", 0x1000000, 0x18},
		{"GROUP7_DECREMENT", 0xe00000, 0x15},
		{"GROUP4_DECREMENT", 0x7000, 0xc},
		{"DISABLE_LOCAL", 0x2000000, 0x19},
		{"GROUP5_DECREMENT", 0x38000, 0xf},
		{"GROUP3_DECREMENT", 0xe00, 0x9},
		{"GROUP2_DECREMENT", 0x1c0, 0x6}
	} },
	{"MC_CITF_PERFCOUNTER2_CFG", 0x7b2, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_SEQ_IO_DEBUG_DATA", 0xa92, {
		{"IO_DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_MISC_TIMING2", 0xa2b, {
		{"PA2RDATA", 0x7, 0x0},
		{"PA2WDATA", 0x70, 0x4},
		{"T32AW", 0x1e00000, 0x15},
		{"FAW", 0x1f00, 0x8},
		{"TWDATATR", 0xf0000000, 0x1c},
		{"TREDC", 0xe000, 0xd},
		{"TWEDC", 0x1f0000, 0x10}
	} },
	{"MC_CITF_PERFCOUNTER_RSLT_CNTL", 0x7ce, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_IO_DEBUG_WCDR_RX_VREF_CAL_D0", 0x1e5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_RX_VREF_CAL_D1", 0x1f5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_RPB_TCI_CNTL", 0x95c, {
		{"TCI_REQ_CREDITS", 0xff00, 0x8},
		{"TCI_VMID", 0xf0, 0x4},
		{"TCI_MAX_WRITES", 0xff0000, 0x10},
		{"TCI_MAX_READS", 0xff000000, 0x18},
		{"TCI_POLICY", 0x6, 0x1},
		{"TCI_ENABLE", 0x1, 0x0},
		{"TCI_VOL", 0x8, 0x3}
	} },
	{"MC_XPB_PIPE_STS", 0x921, {
		{"WCB_SID_REQ_FIFO_FULL", 0x40000, 0x12},
		{"WCB_ANY_PBUF", 0x1, 0x0},
		{"WCB_HST_DATA_BUF_CNT", 0xfe, 0x1},
		{"RET_BUF_FULL", 0x800000, 0x17},
		{"WCB_SID_RD_PTR_BUF_FULL", 0x10000, 0x10},
		{"WCB_HST_REQ_FIFO_FULL", 0x20000, 0x11},
		{"WCB_HST_DATA_OBUF_FULL", 0x200000, 0x15},
		{"WCB_SID_DATA_OBUF_FULL", 0x400000, 0x16},
		{"WCB_SID_REQ_OBUF_FULL", 0x100000, 0x14},
		{"WCB_HST_REQ_OBUF_FULL", 0x80000, 0x13},
		{"XPB_CLK_BUSY_BITS", 0xff000000, 0x18},
		{"WCB_SID_DATA_BUF_CNT", 0x7f00, 0x8},
		{"WCB_HST_RD_PTR_BUF_FULL", 0x8000, 0xf}
	} },
	{"MC_VM_L2_PERFCOUNTER_LO", 0x7a5, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_TSM_BCNT", 0xac2, {
		{"TRUE_ACT", 0xf, 0x0},
		{"BCNT_TESTS", 0xff00, 0x8},
		{"DONE_TESTS", 0xff000000, 0x18},
		{"COMP_VALUE", 0xff0000, 0x10},
		{"FALSE_ACT", 0xf0, 0x4}
	} },
	{"MC_IO_DEBUG_DQB3_CDR_PHSIZE_D1", 0x15e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3_CDR_PHSIZE_D0", 0x14e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_TXBST_PU_D0", 0x1ae, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_TXBST_PU_D1", 0x1be, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_HARSH_TX_HI1_RD", 0xdc4, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_PMG_CMD_MRS1", 0xad1, {
		{"END", 0x100000, 0x14},
		{"MOP", 0x70000, 0x10},
		{"ADR_MSB0", 0x20000000, 0x1d},
		{"ADR_MSB1", 0x10000000, 0x1c},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0},
		{"BNK_MSB", 0x80000, 0x13}
	} },
	{"MC_PMG_CMD_MRS2", 0xad7, {
		{"END", 0x100000, 0x14},
		{"MOP", 0x70000, 0x10},
		{"ADR_MSB0", 0x20000000, 0x1d},
		{"ADR_MSB1", 0x10000000, 0x1c},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0},
		{"BNK_MSB", 0x80000, 0x13}
	} },
	{"MC_XPB_RTR_SRC_APRTR6", 0x8d3, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR7", 0x8d4, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR4", 0x8d1, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR5", 0x8d2, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR2", 0x8cf, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR3", 0x8d0, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR0", 0x8cd, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR1", 0x8ce, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_HUB_WDP_XDMAM", 0x880, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_XPB_RTR_SRC_APRTR8", 0x8d5, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR9", 0x8d6, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XBAR_TWOCHAN", 0xc8c, {
		{"CH0", 0x6, 0x1},
		{"CH1", 0x18, 0x3},
		{"DISABLE_ONEPORT", 0x1, 0x0}
	} },
	{"MC_HUB_RDREQ_ACPG_LIMIT", 0x849, {
		{"LIMIT_COUNT", 0x7c, 0x2},
		{"ENABLE", 0x3, 0x0}
	} },
	{"MC_SEQ_G5PDX_CTRL", 0xd81, {
		{"WCKOFF_LATE", 0x8, 0x3},
		{"TMRD", 0xf00000, 0x14},
		{"WCKOFF_EARLY", 0x4, 0x2},
		{"CH0_ENABLE", 0x1, 0x0},
		{"TMRS2WCK", 0xf000, 0xc},
		{"CH1_ENABLE", 0x2, 0x1},
		{"TWCK2MRS", 0xf0000, 0x10},
		{"TPD2MRS", 0x3f0, 0x4}
	} },
	{"MC_ARB_HARSH_BWCNT1_WR", 0xdd1, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_SEQ_TIMER_WR", 0xac9, {
		{"COUNTER", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_SUP_GP1_STAT", 0xa90, {
		{"STATUS", 0xffffffff, 0x0}
	} },
	{"GMCON_MISC", 0xd43, {
		{"RENG_EXECUTE_ON_REG_UPDATE", 0x800, 0xb},
		{"STCTRL_IGNORE_PRE_SR", 0x200000, 0x15},
		{"STCTRL_IGNORE_PROTECTION_FAULT", 0x1000000, 0x18},
		{"STCTRL_STUTTER_EN", 0x10000, 0x10},
		{"STCTRL_SRBM_IDLE_THRESHOLD", 0x180000, 0x13},
		{"RENG_EXECUTE_NOW_MODE", 0x400, 0xa},
		{"ALLOW_DEEP_SLEEP_MODE", 0x70000000, 0x1c},
		{"CRITICAL_REGS_LOCK", 0x8000000, 0x1b},
		{"STCTRL_DISABLE_ALLOW_SR", 0x2000000, 0x19},
		{"STCTRL_DISABLE_GMC_OFFLINE", 0x4000000, 0x1a},
		{"STCTRL_GMC_IDLE_THRESHOLD", 0x60000, 0x11},
		{"STCTRL_FORCE_ALLOW_SR", 0x80000000, 0x1f},
		{"STCTRL_IGNORE_ALLOW_STOP", 0x400000, 0x16},
		{"STCTRL_IGNORE_SR_COMMIT", 0x800000, 0x17},
		{"RENG_SRBM_CREDITS_MCD", 0xf000, 0xc}
	} },
	{"MC_RPB_PERF_COUNTER_STATUS", 0x959, {
		{"PERFORMANCE_COUNTER_VALUE", 0xffffffff, 0x0}
	} },
	{"MC_ARB_HARSH_SAT0_RD", 0xdd2, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_IO_DEBUG_UP_26", 0x1a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_TXBST_PU_D0", 0x1a7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_TXBST_PU_D1", 0x1b7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_SUP_DEC_STAT", 0xa88, {
		{"STATUS", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_PMG_CMD_MRS2_LP", 0xad8, {
		{"END", 0x100000, 0x14},
		{"MOP", 0x70000, 0x10},
		{"ADR_MSB0", 0x20000000, 0x1d},
		{"ADR_MSB1", 0x10000000, 0x1c},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0},
		{"BNK_MSB", 0x80000, 0x13}
	} },
	{"MC_HUB_RDREQ_VCE", 0x85f, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MC_IO_DEBUG_UP_31", 0x1f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_32", 0x20, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_33", 0x21, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_34", 0x22, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_2_LOW_ADDR", 0x813, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_36", 0x24, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_37", 0x25, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_38", 0x26, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_39", 0x27, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_CITF_WTM_RD_CNTL", 0x97f, {
		{"GROUP0_DECREMENT", 0x7, 0x0},
		{"GROUP6_DECREMENT", 0x1c0000, 0x12},
		{"GROUP1_DECREMENT", 0x38, 0x3},
		{"DISABLE_REMOTE", 0x1000000, 0x18},
		{"GROUP7_DECREMENT", 0xe00000, 0x15},
		{"GROUP4_DECREMENT", 0x7000, 0xc},
		{"DISABLE_LOCAL", 0x2000000, 0x19},
		{"GROUP5_DECREMENT", 0x38000, 0xf},
		{"GROUP3_DECREMENT", 0xe00, 0x9},
		{"GROUP2_DECREMENT", 0x1c0, 0x6}
	} },
	{"MC_TRAIN_EDCCDR_R_D1", 0xa42, {
		{"EDC2", 0xff0000, 0x10},
		{"EDC3", 0xff000000, 0x18},
		{"EDC0", 0xff, 0x0},
		{"EDC1", 0xff00, 0x8}
	} },
	{"MC_TRAIN_EDCCDR_R_D0", 0xa41, {
		{"EDC2", 0xff0000, 0x10},
		{"EDC3", 0xff000000, 0x18},
		{"EDC0", 0xff, 0x0},
		{"EDC1", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_DBI_MISC_D1", 0xb8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_VMID2_PASID_MAPPING", 0xce9, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_HUB_RDREQ_SAM", 0x885, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_DQB0H_TXSLF_D0", 0x161, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_TXSLF_D1", 0x171, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_PERF_SEQ_CTL", 0xa78, {
		{"SEL_A", 0xf, 0x0},
		{"SEL_B", 0xf0, 0x4},
		{"SEL_CH0_C", 0xf00, 0x8},
		{"SEL_CH1_D", 0xf0000000, 0x1c},
		{"SEL_CH1_C", 0xf000000, 0x18},
		{"SEL_CH0_D", 0xf000, 0xc},
		{"SEL_CH1_A", 0xf0000, 0x10},
		{"SEL_CH1_B", 0xf00000, 0x14}
	} },
	{"MC_XBAR_WRREQ_CREDIT", 0xc82, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"MC_HUB_WRRET_CNTL", 0x83c, {
		{"DISABLE_SELF_INIT", 0x40000000, 0x1e},
		{"FAIR_CH_SW", 0x80000000, 0x1f},
		{"BP", 0x1ffffe, 0x1},
		{"JUMPAHEAD", 0x1, 0x0},
		{"BP_ENABLE", 0x200000, 0x15},
		{"DEBUG_REG", 0x3fc00000, 0x16}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_0_HIGH_ADDR", 0x815, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_CREDITS2", 0x845, {
		{"STOR1_PRI", 0xff00, 0x8},
		{"STOR0_PRI", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_TXBST_PD_D0", 0x1e7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_TXBST_PD_D1", 0x1f7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"CHUB_ATC_PERFCOUNTER0_CFG", 0x7d8, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_SEQ_BYTE_REMAP_D0", 0xa93, {
		{"BYTE3", 0xc0, 0x6},
		{"BYTE2", 0x30, 0x4},
		{"BYTE1", 0xc, 0x2},
		{"BYTE0", 0x3, 0x0}
	} },
	{"MCLK_PWRMGT_CNTL", 0xae8, {
		{"MRDCK0_PDNB", 0x100, 0x8},
		{"MRDCK0_RESET", 0x10000, 0x10},
		{"MC_INT_CNTL", 0x80, 0x7},
		{"MRDCK1_PDNB", 0x200, 0x9},
		{"DLL_READY", 0x40, 0x6},
		{"MRDCK1_RESET", 0x20000, 0x11},
		{"DLL_READY_READ", 0x1000000, 0x18},
		{"DLL_SPEED", 0x1f, 0x0}
	} },
	{"MC_VM_MB_L1_TLB3_STATUS", 0x8a6, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_WR_DB", 0x987, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_IO_DEBUG_DQB3H_RX_EQ_D1", 0x1d7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_RX_EQ_D0", 0x1c7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_CNTL_2", 0xad4, {
		{"DRST_PU", 0x10, 0x4},
		{"ARB_RTDAT_WMK_MSB", 0x300, 0x8},
		{"PLL_TX_PWRON_D0", 0x400000, 0x16},
		{"PLL_TX_PWRON_D1", 0x800000, 0x17},
		{"DRST_PDRV", 0xf, 0x0},
		{"DRST_PD", 0x20, 0x5},
		{"DRST_NSTR", 0xfc00, 0xa},
		{"PLL_RX_PWRON_D0", 0xf000000, 0x18},
		{"PLL_RX_PWRON_D1", 0xf0000000, 0x1c},
		{"DRST_PSTR", 0x3f0000, 0x10}
	} },
	{"MC_SEQ_CNTL_3", 0xd80, {
		{"PIPE_DELAY_OUT_D1", 0x1c0, 0x6},
		{"PIPE_DELAY_OUT_D0", 0x7, 0x0},
		{"REPCG_EN_D1", 0x2000, 0xd},
		{"REPCG_EN_D0", 0x1000, 0xc},
		{"PIPE_DELAY_IN_D0", 0x38, 0x3},
		{"DQS_FRC", 0x800000, 0x17},
		{"PRGRM_CDC", 0x400000, 0x16},
		{"PIPE_DELAY_IN_D1", 0xe00, 0x9},
		{"IDSC_EN", 0x40000000, 0x1e},
		{"REPCG_OFF_DLY", 0xf0000, 0x10},
		{"FCK_FRC", 0x100000, 0x14},
		{"DQS_FRC_PAT", 0xf000000, 0x18},
		{"DBI_FRC", 0x200000, 0x15},
		{"CAC_EN", 0x80000000, 0x1f}
	} },
	{"MC_IO_DEBUG_WCK_TXBST_PD_D0", 0x18a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_TXBST_PD_D1", 0x19a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_MCDZ", 0x86a, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_IO_RXCNTL1_DPHY0_D0", 0xadf, {
		{"DLL_RSV", 0xf0000000, 0x1c},
		{"RXLEQ_EN", 0x400000, 0x16},
		{"VREFCAL1_MSB", 0xf, 0x0},
		{"PMD_LOOPBACK", 0xe000000, 0x19},
		{"DLL_MSTR_STBY", 0x200000, 0x15},
		{"DLL_PWRGOOD_OVR", 0x80000, 0x13},
		{"DLL_VCTRLADC_EN", 0x100000, 0x14},
		{"VREFCAL3", 0xff00, 0x8},
		{"VREFCAL2_MSB", 0xf0, 0x4},
		{"VREFSEL3", 0x20000, 0x11},
		{"VREFSEL2", 0x10000, 0x10},
		{"RXLEQ_NXT", 0x800000, 0x17},
		{"VREFPDNB_1", 0x40000, 0x12}
	} },
	{"MC_HUB_PERFCOUNTER_HI", 0x7a9, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_SEQ_TSM_DEBUG_DATA", 0xad0, {
		{"TSM_DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"MC_HUB_WDP_MCDT", 0xdec, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_IO_DEBUG_DQB2L_MISC_D1", 0xb4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_TXSLF_D1", 0x176, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_TXSLF_D0", 0x166, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_BIST_RDATA_EDC", 0xa1d, {
		{"EDC", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_TXBST_PU_D0", 0x1af, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_TXBST_PU_D1", 0x1bf, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_BIST_RDATA_MASK", 0xa1c, {
		{"MASK", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_TSM_EDC", 0xac5, {
		{"EDC", 0xffffffff, 0x0}
	} },
	{"MC_CG_DATAPORT", 0xa21, {
		{"DATA_FIELD", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_MISC_D0", 0xa0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_MISC_D1", 0xb0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_CDRCNTL1_D1", 0xade, {
		{"DQ_RXPHASE_B1", 0xff00, 0x8},
		{"DQ_RXPHASE_B0", 0xff, 0x0},
		{"WCDR_TXPHASE_B0", 0xff0000, 0x10},
		{"WCDR_TXPHASE_B1", 0xff000000, 0x18}
	} },
	{"MC_IO_CDRCNTL1_D0", 0xadd, {
		{"DQ_RXPHASE_B1", 0xff00, 0x8},
		{"DQ_RXPHASE_B0", 0xff, 0x0},
		{"WCDR_TXPHASE_B0", 0xff0000, 0x10},
		{"WCDR_TXPHASE_B1", 0xff000000, 0x18}
	} },
	{"MC_VM_MD_L1_TLB1_DEBUG", 0x999, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"VM_CONTEXT2_PAGE_TABLE_BASE_ADDR", 0x551, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"VM_L2_CONTEXT1_IDENTITY_APERTURE_LOW_ADDR", 0x575, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_A_I0", 0xa79, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_A_I1", 0xa7a, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_OFSCAL_D0", 0xe4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_OFSCAL_D1", 0xf4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_RX_VREF_CAL_D1", 0x157, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_RX_VREF_CAL_D0", 0x147, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_FLAG", 0x1, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"ATC_VMID13_PASID_MAPPING", 0xcf4, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MPLL_DQ_0_0_STATUS", 0xaf7, {
		{"FREQ_UNLOCK_STICKY", 0x80000, 0x13},
		{"OINT_RESET", 0x20000, 0x11},
		{"TEST_FBDIV_FRAC", 0x70, 0x4},
		{"FREQ_LOCK", 0x40000, 0x12},
		{"TEST_FBDIV_INT", 0x1ff80, 0x7},
		{"VCTRLADC", 0x7, 0x0}
	} },
	{"VM_CONTEXT5_PAGE_TABLE_BASE_ADDR", 0x554, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_SEQ_VENDOR_ID_I0", 0xa7e, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_VENDOR_ID_I1", 0xa7f, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"GMCON_RENG_RAM_DATA", 0xd41, {
		{"RENG_RAM_DATA", 0xffffffff, 0x0}
	} },
	{"MC_ARB_LM_WR", 0x9f1, {
		{"STREAK_BREAK", 0x10000, 0x10},
		{"SKID1_RST_TWOLIST", 0x100000, 0x14},
		{"BANKGROUP_CONFIG", 0xe00000, 0x15},
		{"ENABLE_TWO_LIST", 0x40000, 0x12},
		{"POPIDLE_RST_TWOLIST", 0x80000, 0x13},
		{"MASKWR_LM_EOB", 0x1000000, 0x18},
		{"STREAK_UBER", 0x20000, 0x11},
		{"STREAK_LIMIT_UBER", 0xff00, 0x8},
		{"STREAK_LIMIT", 0xff, 0x0}
	} },
	{"MC_RD_CB", 0x981, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_IO_DEBUG_ADDRH_MISC_D0", 0xad, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRH_MISC_D1", 0xbd, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XBAR_PERF_MON_CNTL2", 0xc91, {
		{"MON1_ID", 0xff00, 0x8},
		{"MON3_ID", 0xff000000, 0x18},
		{"MON0_ID", 0xff, 0x0},
		{"MON2_ID", 0xff0000, 0x10}
	} },
	{"MC_XBAR_PERF_MON_CNTL1", 0xc90, {
		{"START_TRIG_ID", 0xff00, 0x8},
		{"THRESH_CNTR_ID", 0xff, 0x0},
		{"STOP_TRIG_ID", 0xff0000, 0x10}
	} },
	{"MC_XBAR_PERF_MON_CNTL0", 0xc8f, {
		{"START_MODE", 0x3000000, 0x18},
		{"ALLOW_WRAP", 0x10000000, 0x1c},
		{"START_THRESH", 0xfff, 0x0},
		{"STOP_THRESH", 0xfff000, 0xc},
		{"STOP_MODE", 0xc000000, 0x1a}
	} },
	{"MC_SEQ_RD_CTL_D1_LP", 0xac8, {
		{"RST_SEL", 0x300, 0x8},
		{"RCV_DLY", 0x7, 0x0},
		{"STR_PRE", 0x10000, 0x10},
		{"RBS_WEDC_DLY", 0x3e000000, 0x19},
		{"RBS_DLY", 0x1f00000, 0x14},
		{"STR_PST", 0x20000, 0x11},
		{"RXDPWRON_DLY", 0xc00, 0xa},
		{"RCV_EXT", 0xf8, 0x3},
		{"RST_HLD", 0xf000, 0xc}
	} },
	{"MC_XPB_CLG_EXTRA", 0x8fd, {
		{"CMP0", 0xff, 0x0},
		{"MSK0", 0xff00, 0x8},
		{"VLD1", 0x2000000, 0x19},
		{"VLD0", 0x10000, 0x10},
		{"CMP1", 0x1fe0000, 0x11}
	} },
	{"MC_IO_DEBUG_EDC_TXBST_PU_D0", 0x1a9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_TXBST_PU_D1", 0x1b9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_HARSH_TX_LO0_WR", 0xdc7, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_ARB_REPLAY", 0x9f3, {
		{"BOS_WAIT_CYC", 0x7f00, 0x8},
		{"BOS_ENABLE_WAIT_CYC", 0x80, 0x7},
		{"WAW_ENABLE", 0x8, 0x3},
		{"WRACK_MODE", 0x4, 0x2},
		{"ENABLE_RD", 0x1, 0x0},
		{"NO_PCH_AT_REPLAY_START", 0x8000, 0xf},
		{"ENABLE_WR", 0x2, 0x1},
		{"BREAK_ON_STALL", 0x40, 0x6},
		{"RAW_ENABLE", 0x10, 0x4},
		{"IGNORE_WR_CDC", 0x20, 0x5}
	} },
	{"MC_IO_APHY_STR_CNTL_D1", 0xa98, {
		{"LOAD_A_STR", 0x10000000, 0x1c},
		{"LOAD_D_RD_STR", 0x20000000, 0x1d},
		{"PSTR_OFF_A", 0x3f, 0x0},
		{"CAL_SEL", 0xc000000, 0x1a},
		{"USE_D_RD_CAL", 0x2000000, 0x19},
		{"PSTR_OFF_D_RD", 0x3f000, 0xc},
		{"USE_A_CAL", 0x1000000, 0x18},
		{"NSTR_OFF_A", 0xfc0, 0x6}
	} },
	{"MC_IO_DEBUG_UP_155", 0x9b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XBAR_CHTRIREMAP", 0xc8b, {
		{"CH0", 0x3, 0x0},
		{"CH1", 0xc, 0x2},
		{"CH2", 0x30, 0x4}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_DEFAULT_ADDR", 0x546, {
		{"PHYSICAL_PAGE_ADDR", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_RXPHASE_D1", 0x116, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_RXPHASE_D0", 0x106, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_CITF_PERFCOUNTER0_CFG", 0x7b0, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_SEQ_SUP_CNTL", 0xa32, {
		{"SW_WAKE", 0x4, 0x2},
		{"RUN", 0x1, 0x0},
		{"RESET_PC", 0x8, 0x3},
		{"PGM_WRITE", 0x10, 0x4},
		{"PGM_CHKSUM", 0xff800000, 0x17},
		{"FAST_WRITE", 0x40, 0x6},
		{"BKPT_CLEAR", 0x80, 0x7},
		{"SINGLE_STEP", 0x2, 0x1},
		{"PGM_READ", 0x20, 0x5}
	} },
	{"MC_IO_DEBUG_ACMD_TXBST_PD_D1", 0x19e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_TXBST_PD_D0", 0x18e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_RX_EQ_D1", 0x1d0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_G5PDX_CMD0_LP", 0xd84, {
		{"CMD", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_PERF_MON_MAX_THSH", 0xc96, {
		{"MON2", 0xff0000, 0x10},
		{"MON3", 0xff000000, 0x18},
		{"MON0", 0xff, 0x0},
		{"MON1", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_UP_45", 0x2d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_44", 0x2c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_47", 0x2f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_46", 0x2e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_41", 0x29, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_40", 0x28, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_43", 0x2b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_42", 0x2a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_49", 0x31, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_48", 0x30, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_TXBST_PU_D1", 0x1b1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_TXBST_PU_D0", 0x1a1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_IO_REDC", 0xab5, {
		{"EDC", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_RXFRAMING_BYTE1_D1", 0xa6e, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_SEQ_RXFRAMING_BYTE1_D0", 0xa68, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"VM_DUMMY_PAGE_FAULT_CNTL", 0x506, {
		{"DUMMY_PAGE_ADDRESS_LOGICAL", 0x2, 0x1},
		{"DUMMY_PAGE_COMPARE_MASK", 0xc, 0x2},
		{"DUMMY_PAGE_FAULT_ENABLE", 0x1, 0x0}
	} },
	{"MC_PMG_AUTO_CFG", 0xa35, {
		{"SCDS_MODE", 0x400, 0xa},
		{"SYC_CLK", 0x1, 0x0},
		{"EXIT_ALLOW_STOP", 0x800, 0xb},
		{"SELFREFR_COMMIT_0", 0x8000, 0xf},
		{"TRI_MIO", 0x4, 0x2},
		{"RST_MRS", 0x2, 0x1},
		{"WRITE_DURING_DLOCK", 0x100000, 0x14},
		{"YCLK_ON", 0x200000, 0x15},
		{"SS_ALWAYS_SLF", 0x100, 0x8},
		{"SS_S_SLF", 0x200, 0x9},
		{"PREA_SRX", 0x2000, 0xd},
		{"MRS_WAIT_CNT", 0xf0000, 0x10},
		{"RXPDNB", 0x400000, 0x16},
		{"XSR_TMR", 0xf0, 0x4},
		{"STUTTER_EN", 0x4000, 0xe},
		{"DLL_CNT", 0xff000000, 0x18},
		{"RFS_SRX", 0x1000, 0xc},
		{"SELFREFR_COMMIT_1", 0x800000, 0x17}
	} },
	{"MC_ARB_DRAM_TIMING_1", 0x9fc, {
		{"ACTRD", 0xff, 0x0},
		{"RASMACTRD", 0xff0000, 0x10},
		{"ACTWR", 0xff00, 0x8},
		{"RASMACTWR", 0xff000000, 0x18}
	} },
	{"MC_IO_DEBUG_DQB1L_TXBST_PD_D1", 0x192, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_TXBST_PD_D0", 0x182, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_RPB_PERFCOUNTER0_CFG", 0x7b8, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_DBI_CLKSEL_D0", 0xc8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_CLKSEL_D1", 0xd8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT13_PAGE_TABLE_BASE_ADDR", 0x513, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_TXPHASE_D1", 0x133, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_TXPHASE_D0", 0x123, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_DLL_STBY", 0xd8e, {
		{"VCTRLADC_VAL", 0x4, 0x2},
		{"TCKE_PULSE_EXTN", 0xf000, 0xc},
		{"EN", 0x1, 0x0},
		{"ENTR_DLY", 0xe0, 0x5},
		{"TCKE_EXTN", 0xff0000, 0x10},
		{"MSTRSTBY_FRC", 0x8, 0x3},
		{"EXIT_DLY", 0x3f000000, 0x18},
		{"STBY_DLY", 0xf00, 0x8},
		{"VCTRLADC_FRC", 0x2, 0x1},
		{"MSTRSTBY_VAL", 0x10, 0x4}
	} },
	{"MC_DLB_STATUS_MISC6", 0xda0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_DLB_STATUS_MISC7", 0xda1, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_DLB_STATUS_MISC4", 0xd9e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_DLB_STATUS_MISC5", 0xd9f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_DLB_STATUS_MISC2", 0xd9c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_DLB_STATUS_MISC3", 0xd9d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_DLB_STATUS_MISC0", 0xd9a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_DLB_STATUS_MISC1", 0xd9b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_ARB_LAZY1_RD", 0x9e7, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_CITF_MISC_VM_CG", 0x994, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MC_IO_DEBUG_EDC_TXBST_PD_D1", 0x199, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_TXBST_PD_D0", 0x189, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_IO_RWORD0", 0xaac, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_IO_RWORD1", 0xaad, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_IO_RWORD2", 0xaae, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_DMIF", 0x863, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_SEQ_IO_RWORD4", 0xab0, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_IO_RWORD5", 0xab1, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_IO_RWORD6", 0xab2, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_IO_RWORD7", 0xab3, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_BIT_REMAP_B2_D0", 0xaa5, {
		{"BIT7", 0xe00000, 0x15},
		{"BIT6", 0x1c0000, 0x12},
		{"BIT5", 0x38000, 0xf},
		{"BIT4", 0x7000, 0xc},
		{"BIT3", 0xe00, 0x9},
		{"BIT2", 0x1c0, 0x6},
		{"BIT1", 0x38, 0x3},
		{"BIT0", 0x7, 0x0}
	} },
	{"MC_SEQ_BIT_REMAP_B2_D1", 0xaa9, {
		{"BIT7", 0xe00000, 0x15},
		{"BIT6", 0x1c0000, 0x12},
		{"BIT5", 0x38000, 0xf},
		{"BIT4", 0x7000, 0xc},
		{"BIT3", 0xe00, 0x9},
		{"BIT2", 0x1c0, 0x6},
		{"BIT1", 0x38, 0x3},
		{"BIT0", 0x7, 0x0}
	} },
	{"MC_SEQ_TXFRAMING_DBI_D1", 0xa64, {
		{"DBI1", 0xf0, 0x4},
		{"DBI0", 0xf, 0x0},
		{"DBI3", 0xf000, 0xc},
		{"DBI2", 0xf00, 0x8}
	} },
	{"MC_SEQ_TXFRAMING_DBI_D0", 0xa5c, {
		{"DBI1", 0xf0, 0x4},
		{"DBI0", 0xf, 0x0},
		{"DBI3", 0xf000, 0xc},
		{"DBI2", 0xf00, 0x8}
	} },
	{"VM_INVALIDATE_RESPONSE", 0x51f, {
		{"DOMAIN_INVALIDATED_9", 0x200, 0x9},
		{"DOMAIN_INVALIDATED_8", 0x100, 0x8},
		{"DOMAIN_INVALIDATED_1", 0x2, 0x1},
		{"DOMAIN_INVALIDATED_0", 0x1, 0x0},
		{"DOMAIN_INVALIDATED_3", 0x8, 0x3},
		{"DOMAIN_INVALIDATED_2", 0x4, 0x2},
		{"DOMAIN_INVALIDATED_5", 0x20, 0x5},
		{"DOMAIN_INVALIDATED_4", 0x10, 0x4},
		{"DOMAIN_INVALIDATED_7", 0x80, 0x7},
		{"DOMAIN_INVALIDATED_6", 0x40, 0x6},
		{"DOMAIN_INVALIDATED_11", 0x800, 0xb},
		{"DOMAIN_INVALIDATED_10", 0x400, 0xa},
		{"DOMAIN_INVALIDATED_13", 0x2000, 0xd},
		{"DOMAIN_INVALIDATED_12", 0x1000, 0xc},
		{"DOMAIN_INVALIDATED_15", 0x8000, 0xf},
		{"DOMAIN_INVALIDATED_14", 0x4000, 0xe}
	} },
	{"MC_IO_DEBUG_DQB0L_OFSCAL_D0", 0xe0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_OFSCAL_D1", 0xf0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_VM_MD_L1_TLB3_DEBUG", 0x9a7, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MC_SHARED_CHREMAP2", 0x81c, {
		{"CHAN9", 0xf0, 0x4},
		{"CHAN8", 0xf, 0x0},
		{"CHAN15", 0xf0000000, 0x1c},
		{"CHAN14", 0xf000000, 0x18},
		{"CHAN11", 0xf000, 0xc},
		{"CHAN10", 0xf00, 0x8},
		{"CHAN13", 0xf00000, 0x14},
		{"CHAN12", 0xf0000, 0x10}
	} },
	{"MC_IO_DEBUG_WCK_RX_VREF_CAL_D0", 0x14a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_RX_VREF_CAL_D1", 0x15a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_WTM_CNTL", 0x83e, {
		{"GROUP0_DECREMENT", 0x7, 0x0},
		{"GROUP6_DECREMENT", 0x1c0000, 0x12},
		{"GROUP1_DECREMENT", 0x38, 0x3},
		{"GROUP7_DECREMENT", 0xe00000, 0x15},
		{"GROUP4_DECREMENT", 0x7000, 0xc},
		{"GROUP5_DECREMENT", 0x38000, 0xf},
		{"GROUP3_DECREMENT", 0xe00, 0x9},
		{"GROUP2_DECREMENT", 0x1c0, 0x6}
	} },
	{"MC_SEQ_SREG_STATUS", 0xd88, {
		{"AVAIL_RTN", 0xf, 0x0},
		{"PND_WR", 0xf000, 0xc},
		{"PND_RD", 0xf00, 0x8}
	} },
	{"MC_IO_DEBUG_ADDRH_TXPHASE_D0", 0x12d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRH_TXPHASE_D1", 0x13d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_MCBVM_PERFCOUNTER3_CFG", 0x7c3, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_ARB_REMREQ", 0x9f2, {
		{"ENABLE_REMOTE_NACK_REQ", 0x1000000, 0x18},
		{"WR_WATER", 0xff00, 0x8},
		{"WR_MAXBURST_SIZE", 0xf0000, 0x10},
		{"RD_WATER", 0xff, 0x0},
		{"WR_LAZY_TIMER", 0xf00000, 0x14}
	} },
	{"MC_RD_GRP_OTH", 0x807, {
		{"SAM", 0xf0000000, 0x1c},
		{"HDP", 0xf00, 0x8},
		{"UVD_EXT1", 0xf000000, 0x18},
		{"UVD_EXT0", 0xf, 0x0},
		{"UMC", 0xf0000, 0x10},
		{"SDMA0", 0xf0, 0x4},
		{"SEM", 0xf000, 0xc},
		{"UVD", 0xf00000, 0x14}
	} },
	{"MC_VM_MB_L1_TLB0_DEBUG", 0x891, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MC_IO_DEBUG_UP_158", 0x9e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_159", 0x9f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT0_PAGE_TABLE_BASE_ADDR", 0x54f, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_WDP_UMC", 0x877, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_UP_150", 0x96, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_151", 0x97, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_152", 0x98, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_153", 0x99, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_154", 0x9a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_APHY_STR_CNTL_D0", 0xa97, {
		{"LOAD_A_STR", 0x10000000, 0x1c},
		{"LOAD_D_RD_STR", 0x20000000, 0x1d},
		{"PSTR_OFF_A", 0x3f, 0x0},
		{"CAL_SEL", 0xc000000, 0x1a},
		{"USE_D_RD_CAL", 0x2000000, 0x19},
		{"PSTR_OFF_D_RD", 0x3f000, 0xc},
		{"USE_A_CAL", 0x1000000, 0x18},
		{"NSTR_OFF_A", 0xfc0, 0x6}
	} },
	{"MC_IO_DEBUG_UP_156", 0x9c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_157", 0x9d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_PERFCOUNTER_RSLT_CNTL", 0x7cf, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_ARB_GECC2", 0x9c9, {
		{"ENABLE", 0x1, 0x0},
		{"NO_GECC_CLI", 0x780, 0x7},
		{"RMWRD_UNCOR_POISON", 0x400000, 0x16},
		{"WRADDR_CONV", 0x200000, 0x15},
		{"COLFIFO_WATER", 0x1f8000, 0xf},
		{"READ_ERR", 0x3800, 0xb},
		{"EXOR_BANK_SEL", 0x60, 0x5},
		{"CLOSE_BANK_RMW", 0x4000, 0xe},
		{"PAGE_BIT0", 0x18, 0x3},
		{"ECC_MODE", 0x6, 0x1}
	} },
	{"MC_MCBVM_PERFCOUNTER1_CFG", 0x7c1, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_SEQ_RXFRAMING_BYTE2_D0", 0xa69, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_SEQ_RXFRAMING_BYTE2_D1", 0xa6f, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_RD_DB", 0x982, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_IO_DEBUG_DQB2L_TXSLF_D0", 0x164, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_TXSLF_D1", 0x174, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_76", 0x4c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_77", 0x4d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_FAULT_CLIENT_ID", 0x54e, {
		{"MEMORY_CLIENT", 0x1ff, 0x0},
		{"MEMORY_CLIENT_MASK", 0x3fe00, 0x9}
	} },
	{"MC_XBAR_WRRET_CREDIT1", 0xc85, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"MC_ARB_GECC2_DEBUG", 0x9c4, {
		{"SW_INJECTION", 0x20, 0x5},
		{"DIRECTION", 0x4, 0x2},
		{"NUM_ERR_BITS", 0x3, 0x0},
		{"DATA_FIELD", 0x18, 0x3}
	} },
	{"MC_IO_DEBUG_DQB3H_MISC_D1", 0xb7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_PMG_PG_SWCNTL_0", 0xaba, {
		{"PMD0_DQ_RX_ENB", 0x10, 0x4},
		{"PMD1_WCLKX_RX_ENB", 0x8000, 0xf},
		{"PMD1_EDC_RX_ENB", 0x4000, 0xe},
		{"PMD1_DBI_RX_ENB", 0x2000, 0xd},
		{"PMD0_WCLKX_RX_ENB", 0x80, 0x7},
		{"GMCON_SR_COMMIT", 0x80000000, 0x1f},
		{"PMD0_EDC_RX_ENB", 0x40, 0x6},
		{"PMD0_DBI_RX_ENB", 0x20, 0x5},
		{"PMD1_WCLKX_TX_ENB", 0x800, 0xb},
		{"PMD1_EDC_TX_ENB", 0x400, 0xa},
		{"PMD0_DQ_TX_ENB", 0x1, 0x0},
		{"PMD1_DQ_RX_ENB", 0x1000, 0xc},
		{"PMD0_EDC_TX_ENB", 0x4, 0x2},
		{"PMA0_AC_ENB", 0x10000, 0x10},
		{"PMD0_DBI_TX_ENB", 0x2, 0x1},
		{"PMD1_DBI_TX_ENB", 0x200, 0x9},
		{"PMD0_WCLKX_TX_ENB", 0x8, 0x3},
		{"PMD1_DQ_TX_ENB", 0x100, 0x8}
	} },
	{"MC_SEQ_PMG_PG_SWCNTL_1", 0xabb, {
		{"PMD3_DBI_TX_ENB", 0x200, 0x9},
		{"PMD2_WCLKX_TX_ENB", 0x8, 0x3},
		{"PMD3_DQ_RX_ENB", 0x1000, 0xc},
		{"PMD2_EDC_TX_ENB", 0x4, 0x2},
		{"PMD2_DBI_TX_ENB", 0x2, 0x1},
		{"PMD3_WCLKX_RX_ENB", 0x8000, 0xf},
		{"PMD3_DBI_RX_ENB", 0x2000, 0xd},
		{"PMD3_EDC_TX_ENB", 0x400, 0xa},
		{"GMCON_SR_COMMIT", 0x80000000, 0x1f},
		{"PMA1_AC_ENB", 0x10000, 0x10},
		{"PMD2_WCLKX_RX_ENB", 0x80, 0x7},
		{"PMD2_DQ_TX_ENB", 0x1, 0x0},
		{"PMD3_WCLKX_TX_ENB", 0x800, 0xb},
		{"PMD2_EDC_RX_ENB", 0x40, 0x6},
		{"PMD3_DQ_TX_ENB", 0x100, 0x8},
		{"PMD2_DBI_RX_ENB", 0x20, 0x5},
		{"PMD3_EDC_RX_ENB", 0x4000, 0xe},
		{"PMD2_DQ_RX_ENB", 0x10, 0x4}
	} },
	{"MC_ARB_HARSH_BWCNT0_WR", 0xdcf, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_HUB_RDREQ_CPC", 0x889, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_CPG", 0x859, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_CPF", 0x88a, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"GMCON_MISC2", 0xd44, {
		{"RENG_SR_HOLD_THRESHOLD", 0x1f800, 0xb},
		{"STCTRL_NONDISP_IDLE_THRESHOLD", 0x7c0, 0x6},
		{"STCTRL_TIMER_PULSE_OVERRIDE", 0x80000000, 0x1f},
		{"STCTRL_IGNORE_ARB_BUSY", 0x20000000, 0x1d},
		{"GMCON_MISC2_RESERVED1", 0x1ffe0000, 0x11},
		{"GMCON_MISC2_RESERVED0", 0x3f, 0x0},
		{"STCTRL_EXTEND_GMC_OFFLINE", 0x40000000, 0x1e}
	} },
	{"GMCON_MISC3", 0xd51, {
		{"RENG_DISABLE_MCD", 0xff00, 0x8},
		{"RENG_DISABLE_MCC", 0xff, 0x0},
		{"STCTRL_FORCE_PGFSM_CMD_DONE", 0xfff0000, 0x10},
		{"STCTRL_EXCLUDE_NONMEM_CLIENTS", 0x40000000, 0x1e},
		{"RENG_MEM_LS_ENABLE", 0x20000000, 0x1d},
		{"STCTRL_IGNORE_ALLOW_STUTTER", 0x10000000, 0x1c}
	} },
	{"VM_CONTEXT7_PAGE_TABLE_BASE_ADDR", 0x556, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_ARB_GECC2_MISC", 0x9c3, {
		{"STREAK_BREAK", 0xf, 0x0},
		{"COL10_HACK", 0x10, 0x4},
		{"WRRDWR_REPLAY_AGAIN", 0x800, 0xb},
		{"RMW_STALL_RELEASE", 0x100, 0x8},
		{"CWRD_REPLAY_AGAIN", 0x400, 0xa},
		{"CWRD_IN_REPLAY", 0x20, 0x5},
		{"RMW_LM_WR_STALL", 0x80, 0x7},
		{"ALLOW_RMW_ERR_AFTER_REPLAY", 0x1000, 0xc},
		{"DEBUG_RSV", 0xffffe000, 0xd},
		{"WR_EDC_MASK_REPLAY", 0x200, 0x9},
		{"NO_EOB_ALL_WR_IN_REPLAY", 0x40, 0x6}
	} },
	{"MC_SEQ_PHYREG_BCAST", 0xd89, {
		{"CKE_MASK", 0x80, 0x7},
		{"DBI_MASK", 0x200, 0x9},
		{"WCDR_MASK", 0x1000, 0xc},
		{"WCK_MASK", 0x800, 0xb},
		{"CH0_EN", 0x1, 0x0},
		{"CLK_MASK", 0x2000, 0xd},
		{"CH1_EN", 0x2, 0x1},
		{"DQ_MASK", 0x100, 0x8},
		{"ADR_MASK", 0x8000, 0xf},
		{"CMD_MASK", 0x4000, 0xe},
		{"EDC_MASK", 0x400, 0xa}
	} },
	{"MC_CITF_PERFCOUNTER_HI", 0x7a8, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_SEQ_PMG_CMD_MRS_LP", 0xaa2, {
		{"END", 0x100000, 0x14},
		{"MOP", 0x70000, 0x10},
		{"ADR_MSB0", 0x20000000, 0x1d},
		{"ADR_MSB1", 0x10000000, 0x1c},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0},
		{"BNK_MSB", 0x80000, 0x13}
	} },
	{"MC_MCDVM_PERFCOUNTER1_CFG", 0x7c5, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_WCDR_RX_EQ_PM_D1", 0x1fb, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_RX_EQ_PM_D0", 0x1eb, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_RX_EQ_D1", 0x1df, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_RX_EQ_D0", 0x1cf, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_BIT_REMAP_B3_D1", 0xaaa, {
		{"BIT7", 0xe00000, 0x15},
		{"BIT6", 0x1c0000, 0x12},
		{"BIT5", 0x38000, 0xf},
		{"BIT4", 0x7000, 0xc},
		{"BIT3", 0xe00, 0x9},
		{"BIT2", 0x1c0, 0x6},
		{"BIT1", 0x38, 0x3},
		{"BIT0", 0x7, 0x0}
	} },
	{"MC_SEQ_BIT_REMAP_B3_D0", 0xaa6, {
		{"BIT7", 0xe00000, 0x15},
		{"BIT6", 0x1c0000, 0x12},
		{"BIT5", 0x38000, 0xf},
		{"BIT4", 0x7000, 0xc},
		{"BIT3", 0xe00, 0x9},
		{"BIT2", 0x1c0, 0x6},
		{"BIT1", 0x38, 0x3},
		{"BIT0", 0x7, 0x0}
	} },
	{"MC_IO_DEBUG_UP_56", 0x38, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_57", 0x39, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_54", 0x36, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_55", 0x37, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_52", 0x34, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_53", 0x35, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_50", 0x32, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_51", 0x33, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP0", 0x8e5, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"ATC_VMID0_PASID_MAPPING", 0xce7, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_ARB_DRAM_TIMING", 0x9dd, {
		{"ACTRD", 0xff, 0x0},
		{"RASMACTRD", 0xff0000, 0x10},
		{"ACTWR", 0xff00, 0x8},
		{"RASMACTWR", 0xff000000, 0x18}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP3", 0x8e8, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_IO_DEBUG_UP_58", 0x3a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_59", 0x3b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_SMU", 0x875, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"GMCON_PERF_MON_RSLT1", 0xd4d, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"GMCON_PERF_MON_RSLT0", 0xd4c, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_XDMAM", 0x882, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"CHUB_ATC_PERFCOUNTER_LO", 0x7d6, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_ARB_BANKMAP", 0x9d7, {
		{"BANK3", 0xf000, 0xc},
		{"BANK2", 0xf00, 0x8},
		{"BANK1", 0xf0, 0x4},
		{"BANK0", 0xf, 0x0},
		{"RANK", 0xf0000, 0x10}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_MCCLIENT", 0x538, {
		{"NAME", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_CLKSEL_D1", 0xd9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_CLKSEL_D0", 0xc9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_ATS_CNTL", 0xcc9, {
		{"DISABLE_PRI", 0x2, 0x1},
		{"DEBUG_ECO", 0xf0000, 0x10},
		{"DISABLE_PASID", 0x4, 0x2},
		{"DISABLE_ATC", 0x1, 0x0},
		{"CREDITS_ATS_RPB", 0x3f00, 0x8}
	} },
	{"MC_SEQ_IO_RDBI", 0xab4, {
		{"MASK", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_ARB", 0xc8d, {
		{"BREAK_BURST_CID_CHANGE", 0x4, 0x2},
		{"HUBRD_HIGHEST", 0x1, 0x0},
		{"DISABLE_HUB_STALL_HIGHEST", 0x2, 0x1}
	} },
	{"MC_XBAR_PERF_MON_RSLT1", 0xc93, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_PERF_MON_RSLT0", 0xc92, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_PERF_MON_RSLT3", 0xc95, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_PERF_MON_RSLT2", 0xc94, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_RX_EQ_D0", 0x1e9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_RX_EQ_D1", 0x1f9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_PRT_APERTURE1_LOW_ADDR", 0x52d, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_PMG_CFG", 0xa84, {
		{"SYC_CLK", 0x1, 0x0},
		{"TRI_MIO", 0x8, 0x3},
		{"RST_MRS", 0x2, 0x1},
		{"RST_MRS2", 0x200, 0x9},
		{"WRITE_DURING_DLOCK", 0x100000, 0x14},
		{"YCLK_ON", 0x200000, 0x15},
		{"RST_MRS1", 0x100, 0x8},
		{"DPM_WAKE", 0x400, 0xa},
		{"RST_EMRS", 0x4, 0x2},
		{"PREA_SRX", 0x2000, 0xd},
		{"MRS_WAIT_CNT", 0xf0000, 0x10},
		{"ZQCL_SEND", 0xc000000, 0x1a},
		{"RXPDNB", 0x2000000, 0x19},
		{"EARLY_ACK_ACPI", 0x400000, 0x16},
		{"XSR_TMR", 0xf0, 0x4},
		{"RFS_SRX", 0x1000, 0xc}
	} },
	{"MC_RD_TC0", 0x983, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_RD_TC1", 0x984, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_HUB_WDP_CNTL", 0x835, {
		{"SIP_WAIT_EOP", 0x100000, 0x14},
		{"DISABLE_SELF_INIT_INTERNAL", 0x8000, 0xf},
		{"OVERRIDE_STALL_ENABLE", 0x10, 0x4},
		{"FAIR_CH_SW", 0x10000, 0x10},
		{"MCD_WAIT_EOP", 0x80000, 0x13},
		{"JUMPAHEAD_INTERNAL", 0x8, 0x3},
		{"DISABLE_SELF_INIT_GBL0", 0x2000, 0xd},
		{"DISABLE_SELF_INIT_GBL1", 0x4000, 0xe},
		{"JUMPAHEAD_GBL1", 0x4, 0x2},
		{"JUMPAHEAD_GBL0", 0x2, 0x1},
		{"UVD_VCE_WRITE_PRI_EN", 0x200000, 0x15},
		{"LCLWRREQ_BYPASS", 0x20000, 0x11},
		{"DISP_WAIT_EOP", 0x40000, 0x12},
		{"WRITE_PRI_EN", 0x400000, 0x16},
		{"DEBUG_REG", 0x1fe0, 0x5}
	} },
	{"MC_IO_PAD_CNTL_D1", 0xa75, {
		{"FORCE_EN_RD_STR", 0x400, 0xa},
		{"CK_DELAY_P", 0x3000000, 0x18},
		{"DELAY_STR_SYNC", 0x2, 0x1},
		{"UNI_STR", 0x10000000, 0x1c},
		{"TXPWROFF_CLK", 0x80000000, 0x1f},
		{"DISABLE_ADR", 0x2000, 0xd},
		{"GDDR_PWRON", 0x40000000, 0x1e},
		{"CK_DELAY_N", 0xc00000, 0x16},
		{"CK_AUTO_EN", 0x100000, 0x14},
		{"DIFF_STR", 0x20000000, 0x1d},
		{"DELAY_CMD_SYNC", 0x8, 0x3},
		{"CK_DELAY_SEL", 0x200000, 0x15},
		{"DELAY_DATA_SYNC", 0x1, 0x0},
		{"DELAY_CLK_SYNC", 0x4, 0x2},
		{"VREFI_EN", 0x4000, 0xe},
		{"DELAY_ADR_SYNC", 0x10, 0x4},
		{"DISABLE_CMD", 0x1000, 0xc},
		{"TXPWROFF_CKE", 0x8000000, 0x1b},
		{"MEM_FALL_OUT_STR", 0x40, 0x6},
		{"MEM_FALL_OUT_DATA", 0x20, 0x5},
		{"MEM_FALL_OUT_CMD", 0x100, 0x8},
		{"VREFI_SEL", 0xf8000, 0xf},
		{"MEM_FALL_OUT_CLK", 0x80, 0x7},
		{"MEM_FALL_OUT_ADR", 0x200, 0x9},
		{"EN_RD_STR_DLY", 0x800, 0xb}
	} },
	{"MC_IO_PAD_CNTL_D0", 0xa74, {
		{"DELAY_CMD_SYNC", 0x8, 0x3},
		{"FORCE_EN_RD_STR", 0x400, 0xa},
		{"VREFI_SEL", 0xf8000, 0xf},
		{"CK_DELAY_SEL", 0x200000, 0x15},
		{"MEM_FALL_OUT_CLK", 0x80, 0x7},
		{"CK_AUTO_EN", 0x100000, 0x14},
		{"TXPWROFF_CLK", 0x80000000, 0x1f},
		{"VREFI_EN", 0x4000, 0xe},
		{"DISABLE_ADR", 0x2000, 0xd},
		{"MEM_FALL_OUT_ADR", 0x200, 0x9},
		{"EN_RD_STR_DLY", 0x800, 0xb},
		{"DELAY_ADR_SYNC", 0x10, 0x4},
		{"GDDR_PWRON", 0x40000000, 0x1e},
		{"MEM_FALL_OUT_CMD", 0x100, 0x8},
		{"DISABLE_CMD", 0x1000, 0xc},
		{"UNI_STR", 0x10000000, 0x1c},
		{"TXPWROFF_CKE", 0x8000000, 0x1b},
		{"DIFF_STR", 0x20000000, 0x1d},
		{"CK_DELAY_N", 0xc00000, 0x16},
		{"DELAY_CLK_SYNC", 0x4, 0x2},
		{"CK_DELAY_P", 0x3000000, 0x18}
	} },
	{"MC_HUB_MISC_FRAMING", 0x834, {
		{"BITS", 0xffffffff, 0x0}
	} },
	{"GMCON_RENG_RAM_INDEX", 0xd40, {
		{"RENG_RAM_INDEX", 0x3ff, 0x0}
	} },
	{"MC_SEQ_PERF_CNTL", 0xa77, {
		{"MONITOR_PERIOD", 0x3fffffff, 0x0},
		{"CNTL", 0xc0000000, 0x1e}
	} },
	{"MC_IO_DEBUG_DQB3L_TXPHASE_D1", 0x136, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_TXPHASE_D0", 0x126, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_DLB_SETUPSWEEP", 0xd96, {
		{"MASTER", 0x4, 0x2},
		{"DLLDLY", 0xf0, 0x4},
		{"CONFIG", 0x2, 0x1},
		{"DLL_RST", 0x1, 0x0},
		{"DLLSTEPS", 0x1f00, 0x8}
	} },
	{"MC_IO_DEBUG_ADDRL_TXSLF_D0", 0x16c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_TXSLF_D1", 0x17c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_TXBST_PU_D0", 0x1a2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_TXBST_PU_D1", 0x1b2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"DLL_CNTL", 0xae9, {
		{"DLL_LOCK_TIME", 0x3ff000, 0xc},
		{"MRDCK1_BYPASS", 0x2000000, 0x19},
		{"PWR2_MODE", 0x4000000, 0x1a},
		{"DLL_RESET_TIME", 0x3ff, 0x0},
		{"MRDCK0_BYPASS", 0x1000000, 0x18}
	} },
	{"MC_HUB_RDREQ_MCIF", 0x864, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_UP_148", 0x94, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_147", 0x93, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_146", 0x92, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_145", 0x91, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_144", 0x90, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_143", 0x8f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_142", 0x8e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_141", 0x8d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_140", 0x8c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_RX_VREF_CAL_D0", 0x141, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_TRAIN_TIMING", 0xa40, {
		{"TT2ROW", 0x7c00, 0xa},
		{"TARF2T", 0x3e0, 0x5},
		{"TWT2RT", 0x1f, 0x0},
		{"TLD2LD", 0xf8000, 0xf}
	} },
	{"MC_SEQ_RESERVE_M", 0xa82, {
		{"MCLK_FIELD", 0xffffffff, 0x0}
	} },
	{"MC_RD_GRP_SYS", 0x805, {
		{"VCEU", 0xf0000000, 0x1c},
		{"VCE", 0xf000000, 0x18},
		{"SMU", 0xf00000, 0x14},
		{"VMC", 0xf0, 0x4},
		{"RLC", 0xf, 0x0},
		{"MCIF", 0xf0000, 0x10},
		{"SDMA1", 0xf00, 0x8},
		{"DMIF", 0xf000, 0xc}
	} },
	{"MC_IO_DEBUG_DQB2H_CLKSEL_D0", 0xc5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_CLKSEL_D1", 0xd5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_TXFRAMING_FCK_D0", 0xa5e, {
		{"FCK0", 0xf, 0x0},
		{"FCK1", 0xf0, 0x4},
		{"FCK2", 0xf00, 0x8},
		{"FCK3", 0xf000, 0xc}
	} },
	{"MC_SEQ_TXFRAMING_FCK_D1", 0xa66, {
		{"FCK0", 0xf, 0x0},
		{"FCK1", 0xf0, 0x4},
		{"FCK2", 0xf00, 0x8},
		{"FCK3", 0xf000, 0xc}
	} },
	{"MC_SEQ_G5PDX_CMD1_LP", 0xd86, {
		{"CMD", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_CLKSEL_D0", 0xc0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS", 0x83f, {
		{"STOR1", 0xff000000, 0x18},
		{"STOR0", 0xff0000, 0x10},
		{"VM0", 0xff, 0x0},
		{"VM1", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_DQB3H_CLKSEL_D1", 0xd7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_BIST_MISMATCH_ADDR", 0xa13, {
		{"RANK", 0x10000000, 0x1c},
		{"COLH", 0x20000000, 0x1d},
		{"ROWH", 0xc0000000, 0x1e},
		{"COL", 0x3ff, 0x0},
		{"BANK", 0xf000000, 0x18},
		{"ROW", 0xfffc00, 0xa}
	} },
	{"MC_CITF_MISC_RD_CG", 0x992, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MC_ARB_WCDR_2", 0x9ce, {
		{"DEBUG_5", 0x4000, 0xe},
		{"DEBUG_4", 0x2000, 0xd},
		{"DEBUG_3", 0x1000, 0xc},
		{"DEBUG_2", 0x800, 0xb},
		{"DEBUG_1", 0x400, 0xa},
		{"DEBUG_0", 0x200, 0x9},
		{"WPRE_INC_STEP", 0xf, 0x0},
		{"WPRE_MIN_THRESHOLD", 0x1f0, 0x4}
	} },
	{"MC_TRAIN_EDC_STATUS_D0", 0xa45, {
		{"REDC_CNT", 0xffff0000, 0x10},
		{"WEDC_CNT", 0xffff, 0x0}
	} },
	{"MC_TRAIN_EDC_STATUS_D1", 0xa48, {
		{"REDC_CNT", 0xffff0000, 0x10},
		{"WEDC_CNT", 0xffff, 0x0}
	} },
	{"MC_RPB_CID_QUEUE_RD", 0x957, {
		{"READ_QUEUE", 0xc00, 0xa},
		{"WRITE_QUEUE", 0x300, 0x8},
		{"CLIENT_ID", 0xff, 0x0}
	} },
	{"MC_MCDVM_PERFCOUNTER3_CFG", 0x7c7, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MPLL_SS1", 0xaf3, {
		{"SPARE", 0xfc000000, 0x1a},
		{"CLKV", 0x3ffffff, 0x0}
	} },
	{"MPLL_SS2", 0xaf4, {
		{"CLKS", 0xfff, 0x0},
		{"SPARE", 0xfffff000, 0xc}
	} },
	{"MC_DLB_MISCCTRL1", 0xd91, {
		{"PRBS_ERR_CNT_LIMIT", 0xffffffff, 0x0}
	} },
	{"MC_XPB_RTR_DEST_MAP8", 0x8e3, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP9", 0x8e4, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP6", 0x8e1, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP7", 0x8e2, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP4", 0x8df, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP5", 0x8e0, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP2", 0x8dd, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP3", 0x8de, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP0", 0x8db, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP1", 0x8dc, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MPLL_DQ_1_0_STATUS", 0xaf9, {
		{"FREQ_UNLOCK_STICKY", 0x80000, 0x13},
		{"OINT_RESET", 0x20000, 0x11},
		{"TEST_FBDIV_FRAC", 0x70, 0x4},
		{"FREQ_LOCK", 0x40000, 0x12},
		{"TEST_FBDIV_INT", 0x1ff80, 0x7},
		{"VCTRLADC", 0x7, 0x0}
	} },
	{"MC_ARB_HARSH_SAT0_WR", 0xdd3, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_ARB_HARSH_EN_WR", 0xdc1, {
		{"FIX_PRI", 0xff0000, 0x10},
		{"TX_PRI", 0xff, 0x0},
		{"BW_PRI", 0xff00, 0x8},
		{"ST_PRI", 0xff000000, 0x18}
	} },
	{"MC_ARB_HARSH_CTL_RD", 0xdd6, {
		{"BWCNT_CATCHUP", 0x800, 0xb},
		{"FORCE_HIGHEST", 0xff, 0x0},
		{"PERF_MON_SEL", 0x1c00000, 0x16},
		{"USE_LEGACY_HARSH", 0x400, 0xa},
		{"ST_MODE", 0x3000, 0xc},
		{"BANK_AGE_ONLY", 0x200, 0x9},
		{"HARSH_RR", 0x100, 0x8},
		{"FORCE_STALL", 0x3fc000, 0xe}
	} },
	{"MC_ARB_MINCLKS", 0x9da, {
		{"ARB_RW_SWITCH", 0x10000, 0x10},
		{"READ_CLKS", 0xff, 0x0},
		{"RW_SWITCH_HARSH", 0x60000, 0x11},
		{"WRITE_CLKS", 0xff00, 0x8}
	} },
	{"MC_HUB_WDP_GBL1", 0x842, {
		{"STALL_THRESHOLD", 0xff00, 0x8},
		{"STALL_MODE", 0x10000, 0x10},
		{"MAXBURST", 0xf, 0x0},
		{"LAZY_TIMER", 0xf0, 0x4},
		{"STALL_THRESHOLD_PRI", 0x1fe0000, 0x11}
	} },
	{"MC_HUB_WDP_GBL0", 0x841, {
		{"STALL_THRESHOLD", 0xff00, 0x8},
		{"STALL_MODE", 0x10000, 0x10},
		{"MAXBURST", 0xf, 0x0},
		{"LAZY_TIMER", 0xf0, 0x4},
		{"STALL_THRESHOLD_PRI", 0x1fe0000, 0x11}
	} },
	{"MC_TSM_DEBUG_ST45", 0x12, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_69", 0x45, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_68", 0x44, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_63", 0x3f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_62", 0x3e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_61", 0x3d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_60", 0x3c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_67", 0x43, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_66", 0x42, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_65", 0x41, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_64", 0x40, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_81", 0x51, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_80", 0x50, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_83", 0x53, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_82", 0x52, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_85", 0x55, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_84", 0x54, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_87", 0x57, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_86", 0x56, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_DRAM", 0xa26, {
		{"ODT_ENB", 0x4000000, 0x1a},
		{"AP8", 0x8, 0x3},
		{"ADR_2CK", 0x1, 0x0},
		{"TRI_CKE", 0x40000000, 0x1e},
		{"DLL_CNT", 0xff0000, 0x10},
		{"RST_CTL", 0x10000000, 0x1c},
		{"DQM_ACT", 0x80, 0x7},
		{"ADR_DF1", 0x4, 0x2},
		{"TRI_MIO_DYN", 0x20000000, 0x1d},
		{"RDSTRB_RSYC_DIS", 0x80000000, 0x1f},
		{"INV_ACM", 0x2000000, 0x19},
		{"DAT_INV", 0x1000000, 0x18},
		{"CKE_ACT", 0x2000, 0xd},
		{"STB_CNT", 0xf00, 0x8},
		{"DLL_CLR", 0x8000, 0xf},
		{"DQM_DF1", 0x40, 0x6},
		{"ODT_ACT", 0x8000000, 0x1b},
		{"DQS_DF1", 0x20, 0x5},
		{"ADR_MUX", 0x2, 0x1},
		{"CKE_DYN", 0x1000, 0xc},
		{"BO4", 0x4000, 0xe},
		{"DAT_DF1", 0x10, 0x4}
	} },
	{"MC_IO_DEBUG_UP_88", 0x58, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_RPB_PERFCOUNTER_RSLT_CNTL", 0x7d0, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_DLB_CONFIG0", 0xd93, {
		{"CONF_EN_CH1", 0x2, 0x1},
		{"CONF_EN_CH0", 0x1, 0x0},
		{"CONF_AUTO_EN", 0x4, 0x2},
		{"MASK", 0xf0, 0x4},
		{"PTR", 0x3ff00, 0x8}
	} },
	{"MC_DLB_CONFIG1", 0xd94, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_TXBST_PD_D0", 0x188, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_TXBST_PD_D1", 0x198, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_PRT_APERTURE1_HIGH_ADDR", 0x531, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_RX_VREF_CAL_D0", 0x148, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_RX_VREF_CAL_D1", 0x158, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_RPB_CONF", 0x94d, {
		{"RPB_WR_PCIE_ORDER", 0x20000, 0x11},
		{"XPB_PCIE_ORDER", 0x8000, 0xf},
		{"RPB_RD_PCIE_ORDER", 0x10000, 0x10}
	} },
	{"MC_VM_L2_PERFCOUNTER0_CFG", 0x7cc, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_VMID15_PASID_MAPPING", 0xcf6, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_VM_SYSTEM_APERTURE_HIGH_ADDR", 0x80e, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_CREDITS", 0x844, {
		{"STOR1", 0xff000000, 0x18},
		{"STOR0", 0xff0000, 0x10},
		{"VM0", 0xff, 0x0},
		{"VM1", 0xff00, 0x8}
	} },
	{"GMCON_LPT_TARGET", 0xd53, {
		{"STCTRL_LPT_TARGET", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_TXBST_PU_D1", 0x1bc, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_TXBST_PU_D0", 0x1ac, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_TXSLF_D1", 0x17f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_TXSLF_D0", 0x16f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_TXPHASE_D0", 0x128, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_TXPHASE_D1", 0x138, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XBAR_REMOTE", 0xc81, {
		{"RDREQ_EN_GOQ", 0x2, 0x1},
		{"WRREQ_EN_GOQ", 0x1, 0x0}
	} },
	{"MC_XPB_PEER_SYS_BAR2", 0x912, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR3", 0x913, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR0", 0x910, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR1", 0x911, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR6", 0x916, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR7", 0x917, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR4", 0x914, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_BIST_DIR_CNTL", 0xa07, {
		{"EOB", 0x8, 0x3},
		{"MOP", 0x7, 0x0},
		{"DAT_RTR_D1", 0x200, 0x9},
		{"MOP_LOAD", 0x10, 0x4},
		{"MOP3", 0x400, 0xa},
		{"DAT_RTR_D0", 0x80, 0x7},
		{"DATA_LOAD", 0x20, 0x5},
		{"CMD_RTR_D1", 0x100, 0x8},
		{"CMD_RTR_D0", 0x40, 0x6}
	} },
	{"MC_IO_DEBUG_DBI_TXBST_PU_D1", 0x1b8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_TXBST_PU_D0", 0x1a8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XPB_PEER_SYS_BAR8", 0x918, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR9", 0x919, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_HUB_WDP_MCIF", 0x86f, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"GMCON_PERF_MON_CNTL1", 0xd4b, {
		{"START_TRIG_ID", 0xfc0, 0x6},
		{"MON1_ID", 0xfe000000, 0x19},
		{"MON0_ID", 0x1fc0000, 0x12},
		{"THRESH_CNTR_ID", 0x3f, 0x0},
		{"STOP_TRIG_ID", 0x3f000, 0xc}
	} },
	{"MC_HUB_RDREQ_ISP_SPM", 0xde0, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"GMCON_PERF_MON_CNTL0", 0xd4a, {
		{"START_TRIG_ID_EXT", 0x40000000, 0x1e},
		{"START_THRESH", 0xfff, 0x0},
		{"START_MODE", 0x3000000, 0x18},
		{"STOP_TRIG_ID_EXT", 0x80000000, 0x1f},
		{"THRESH_CNTR_ID_EXT", 0x20000000, 0x1d},
		{"STOP_THRESH", 0xfff000, 0xc},
		{"ALLOW_WRAP", 0x10000000, 0x1c},
		{"STOP_MODE", 0xc000000, 0x1a}
	} },
	{"MC_SEQ_WR_CTL_2_LP", 0xad6, {
		{"DQS_DLY_H_D0", 0x2, 0x1},
		{"DQS_DLY_H_D1", 0x10, 0x4},
		{"OEN_DLY_H_D0", 0x4, 0x2},
		{"OEN_DLY_H_D1", 0x20, 0x5},
		{"WCDR_EN", 0x40, 0x6},
		{"DAT_DLY_H_D1", 0x8, 0x3},
		{"DAT_DLY_H_D0", 0x1, 0x0}
	} },
	{"MC_BIST_RDATA_WORD6", 0xa1a, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_HUB_PERFCOUNTER_LO", 0x7a1, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MPLL_AD_STATUS", 0xaf6, {
		{"FREQ_UNLOCK_STICKY", 0x80000, 0x13},
		{"OINT_RESET", 0x20000, 0x11},
		{"TEST_FBDIV_FRAC", 0x70, 0x4},
		{"FREQ_LOCK", 0x40000, 0x12},
		{"TEST_FBDIV_INT", 0x1ff80, 0x7},
		{"VCTRLADC", 0x7, 0x0}
	} },
	{"MC_ARB_MAX_LAT_CID", 0x9f6, {
		{"CID_CH1", 0xff00, 0x8},
		{"CID_CH0", 0xff, 0x0},
		{"REALTIME_CH1", 0x80000, 0x13},
		{"REALTIME_CH0", 0x40000, 0x12},
		{"WRITE_CH0", 0x10000, 0x10},
		{"WRITE_CH1", 0x20000, 0x11}
	} },
	{"MC_ARB_AGE_RD", 0x9e9, {
		{"ENABLE_GROUP6", 0x400000, 0x16},
		{"ENABLE_GROUP7", 0x800000, 0x17},
		{"ENABLE_GROUP4", 0x100000, 0x14},
		{"ENABLE_GROUP5", 0x200000, 0x15},
		{"ENABLE_GROUP2", 0x40000, 0x12},
		{"ENABLE_GROUP3", 0x80000, 0x13},
		{"ENABLE_GROUP0", 0x10000, 0x10},
		{"ENABLE_GROUP1", 0x20000, 0x11},
		{"DIVIDE_GROUP0", 0x1000000, 0x18},
		{"DIVIDE_GROUP1", 0x2000000, 0x19},
		{"DIVIDE_GROUP2", 0x4000000, 0x1a},
		{"DIVIDE_GROUP3", 0x8000000, 0x1b},
		{"DIVIDE_GROUP4", 0x10000000, 0x1c},
		{"DIVIDE_GROUP5", 0x20000000, 0x1d},
		{"DIVIDE_GROUP6", 0x40000000, 0x1e},
		{"DIVIDE_GROUP7", 0x80000000, 0x1f},
		{"RATE_GROUP5", 0xc00, 0xa},
		{"RATE_GROUP4", 0x300, 0x8},
		{"RATE_GROUP7", 0xc000, 0xe},
		{"RATE_GROUP6", 0x3000, 0xc},
		{"RATE_GROUP1", 0xc, 0x2},
		{"RATE_GROUP0", 0x3, 0x0},
		{"RATE_GROUP3", 0xc0, 0x6},
		{"RATE_GROUP2", 0x30, 0x4}
	} },
	{"MC_HUB_MISC_VM_CG", 0x82f, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"VM_CONTEXT15_PAGE_TABLE_BASE_ADDR", 0x515, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_WDP_ISP_SPM", 0xde3, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_SEQ_DRAM_2", 0xa27, {
		{"DQM_EST", 0x80, 0x7},
		{"TESTCHIP_EN", 0x40000000, 0x1e},
		{"PLL_EST", 0x400, 0xa},
		{"PCH_BNK", 0x1000000, 0x18},
		{"ADBI_ACT", 0x4000000, 0x1a},
		{"WDAT_EDC", 0x20, 0x5},
		{"DBI_ACT", 0x10000000, 0x1c},
		{"WR_DQS", 0x200, 0x9},
		{"CS_BY16", 0x80000000, 0x1f},
		{"ADR_DDR", 0x1, 0x0},
		{"CMD_QDR", 0x8, 0x3},
		{"ADR_DBI_ACM", 0x4, 0x2},
		{"ADBI_DF1", 0x2000000, 0x19},
		{"BNK_MRS", 0x2000, 0xd},
		{"RDAT_EDC", 0x40, 0x6},
		{"TRI_CLK", 0x8000, 0xf},
		{"DBI_OVR", 0x4000, 0xe},
		{"PLL_CNT", 0xff0000, 0x10},
		{"ADR_DBI", 0x2, 0x1},
		{"DBI_EDC_DF1", 0x20000000, 0x1d},
		{"PLL_CLR", 0x800, 0xb},
		{"RD_DQS", 0x100, 0x8},
		{"DAT_QDR", 0x10, 0x4},
		{"DBI_DF1", 0x8000000, 0x1b},
		{"DLL_EST", 0x1000, 0xc}
	} },
	{"ATC_VMID6_PASID_MAPPING", 0xced, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_IO_DEBUG_DQB1L_RX_VREF_CAL_D1", 0x152, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_RX_VREF_CAL_D0", 0x142, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_RXPHASE_D1", 0x11f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_RXPHASE_D0", 0x10f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_DLB_SETUPFIFO", 0xd97, {
		{"READ_FIFO_RST", 0x2, 0x1},
		{"SYNC_RST", 0x8, 0x3},
		{"BOTH_FIFO_RST", 0x4, 0x2},
		{"DELAY_RD_FIFO_PTR", 0x1c00, 0xa},
		{"SYNC_RST_MASK", 0x30, 0x4},
		{"STROBE", 0xf0000, 0x10},
		{"WRITE_FIFO_RST", 0x1, 0x0},
		{"OUTPUT_EN_RST", 0x40, 0x6},
		{"SHIFT_WR_FIFO_PTR", 0x300, 0x8}
	} },
	{"MC_SEQ_MISC_TIMING", 0xa2a, {
		{"TRFC", 0x1ff00000, 0x14},
		{"TRP", 0xf8000, 0xf},
		{"TRP_RDA", 0x3f00, 0x8},
		{"TRP_WRA", 0x3f, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_RXPHASE_D0", 0x1e3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_RXPHASE_D1", 0x1f3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_VMID4_PASID_MAPPING", 0xceb, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_XPB_INTF_CFG", 0x91f, {
		{"BIF_MEM_SNOOP_VAL", 0x4000000, 0x1a},
		{"MC_WRRET_ASK", 0xff00, 0x8},
		{"BIF_REG_SNOOP_SEL", 0x800000, 0x17},
		{"XSP_REQ_CRD", 0x7f0000, 0x10},
		{"RPB_WRREQ_CRD", 0xff, 0x0},
		{"BIF_REG_SNOOP_VAL", 0x1000000, 0x18},
		{"XSP_ORDERING_VAL", 0x80000000, 0x1f},
		{"BIF_MEM_SNOOP_SEL", 0x2000000, 0x19},
		{"XSP_SNOOP_VAL", 0x20000000, 0x1d},
		{"XSP_ORDERING_SEL", 0x40000000, 0x1e},
		{"XSP_SNOOP_SEL", 0x18000000, 0x1b}
	} },
	{"MC_IO_DEBUG_CK_TXBST_PD_D0", 0x18b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CK_TXBST_PD_D1", 0x19b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BCNT10", 0xd, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_BIST_DATA_WORD7", 0xa11, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_DATA_WORD6", 0xa10, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_DATA_WORD5", 0xa0f, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_DATA_WORD4", 0xa0e, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_DATA_WORD3", 0xa0d, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_DATA_WORD2", 0xa0c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_DATA_WORD1", 0xa0b, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_DATA_WORD0", 0xa0a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_MISC_D0", 0xa4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_IO_DEBUG_INDEX", 0xa91, {
		{"IO_DEBUG_INDEX", 0x1ff, 0x0}
	} },
	{"MC_WR_TC1", 0x97c, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_WR_TC0", 0x97b, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"VM_CONTEXTS_DISABLE", 0x535, {
		{"DISABLE_CONTEXT_14", 0x4000, 0xe},
		{"DISABLE_CONTEXT_15", 0x8000, 0xf},
		{"DISABLE_CONTEXT_12", 0x1000, 0xc},
		{"DISABLE_CONTEXT_13", 0x2000, 0xd},
		{"DISABLE_CONTEXT_10", 0x400, 0xa},
		{"DISABLE_CONTEXT_11", 0x800, 0xb},
		{"DISABLE_CONTEXT_8", 0x100, 0x8},
		{"DISABLE_CONTEXT_9", 0x200, 0x9},
		{"DISABLE_CONTEXT_4", 0x10, 0x4},
		{"DISABLE_CONTEXT_5", 0x20, 0x5},
		{"DISABLE_CONTEXT_6", 0x40, 0x6},
		{"DISABLE_CONTEXT_7", 0x80, 0x7},
		{"DISABLE_CONTEXT_0", 0x1, 0x0},
		{"DISABLE_CONTEXT_1", 0x2, 0x1},
		{"DISABLE_CONTEXT_2", 0x4, 0x2},
		{"DISABLE_CONTEXT_3", 0x8, 0x3}
	} },
	{"MC_HUB_RDREQ_VMC", 0x865, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_CK_CLKSEL_D0", 0xcb, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CK_CLKSEL_D1", 0xdb, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP1", 0x8e6, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP2", 0x8e7, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_IO_DEBUG_DQB0H_RXPHASE_D0", 0x101, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_RXPHASE_D1", 0x111, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_VM_MD_L2ARBITER_L2_CREDITS", 0x9a4, {
		{"L2_IF_CREDITS", 0x3f, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_RXPHASE_D1", 0x11e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_RXPHASE_D0", 0x10e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_L1RD_DEBUG_TLB", 0xcde, {
		{"DISABLE_CACHING_FAULT_RETURNS", 0x80000000, 0x1f},
		{"EFFECTIVE_WORK_QUEUE_SIZE", 0x700, 0x8},
		{"DISABLE_INVALIDATE_BY_ADDRESS_RANGE", 0x2, 0x1},
		{"CREDITS_L1_L2", 0x3f000, 0xc},
		{"DISABLE_FRAGMENTS", 0x1, 0x0},
		{"INVALIDATE_ALL", 0x40000000, 0x1e},
		{"EFFECTIVE_CAM_SIZE", 0xf0, 0x4},
		{"DEBUG_ECO", 0x30000000, 0x1c},
		{"CREDITS_L1_RPB", 0xff00000, 0x14}
	} },
	{"MPLL_FUNC_CNTL_1", 0xaee, {
		{"CLKFRAC", 0xfff0, 0x4},
		{"VCO_MODE", 0x3, 0x0},
		{"SPARE_0", 0xc, 0x2},
		{"SPARE_1", 0xf0000000, 0x1c},
		{"CLKF", 0xfff0000, 0x10}
	} },
	{"MPLL_FUNC_CNTL_2", 0xaef, {
		{"PWRGOOD_OVR", 0x8000, 0xf},
		{"TEST_FBDIV_SSC_BYPASS", 0x200, 0x9},
		{"TEST_BYPMCLK", 0x40, 0x6},
		{"TEST_BYPCLK_SRC", 0x10, 0x4},
		{"BACKUP_2", 0xe0000, 0x11},
		{"TEST_VCTL_CNTRL", 0x100, 0x8},
		{"TEST_FBDIV_FRAC_BYPASS", 0x20, 0x5},
		{"RISEFBVCO_EN", 0x4000, 0xe},
		{"ISO_DIS_P", 0x10000, 0x10},
		{"RESET_TIMER", 0xc00, 0xa},
		{"MPLL_UNLOCK_CLEAR", 0x80, 0x7},
		{"VCTRLADC_EN", 0x1, 0x0},
		{"PFD_RESET_CNTRL", 0x3000, 0xc},
		{"TEST_BYPCLK_EN", 0x8, 0x3},
		{"RESET_EN", 0x4, 0x2},
		{"TEST_VCTL_EN", 0x2, 0x1},
		{"BACKUP", 0xf8000000, 0x1b},
		{"LF_CNTRL", 0x7f00000, 0x14}
	} },
	{"MC_IO_DEBUG_ACMD_TXSLF_D1", 0x17e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_TXSLF_D0", 0x16e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_RDREQ_SEM", 0x85e, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_ARB_LAZY1_WR", 0x9e8, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_IO_DEBUG_UP_78", 0x4e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_79", 0x4f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_74", 0x4a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_75", 0x4b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_OFSCAL_D1", 0xf3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_OFSCAL_D0", 0xe3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_70", 0x46, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_71", 0x47, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_72", 0x48, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_73", 0x49, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_92", 0x5c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_93", 0x5d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_90", 0x5a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_91", 0x5b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_96", 0x60, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_97", 0x61, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_94", 0x5e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_95", 0x5f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_98", 0x62, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_99", 0x63, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT11_PAGE_TABLE_BASE_ADDR", 0x511, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_RPB_PERFCOUNTER2_CFG", 0x7ba, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_PERFCOUNTER1_CFG", 0x7c9, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_BIST_CNTL", 0xa05, {
		{"RESET", 0x1, 0x0},
		{"RUN", 0x2, 0x1},
		{"ENABLE_D0", 0x1000, 0xc},
		{"LOOP_CNT", 0xfff0000, 0x10},
		{"LOAD_RTDATA_CH", 0x4000, 0xe},
		{"ENABLE_D1", 0x2000, 0xd},
		{"LOAD_RTDATA", 0x80000000, 0x1f},
		{"DONE", 0x40000000, 0x1e},
		{"LOOP", 0xc00, 0xa},
		{"PTR_RST_D1", 0x8, 0x3},
		{"PTR_RST_D0", 0x4, 0x2},
		{"DAT_MODE", 0x40, 0x6},
		{"MOP_MODE", 0x10, 0x4},
		{"ADR_MODE", 0x20, 0x5}
	} },
	{"MC_SEQ_PMG_DVS_CTL", 0xd8a, {
		{"ENABLE", 0x1, 0x0},
		{"TDVS", 0x3e, 0x1}
	} },
	{"MC_VM_AGP_BOT", 0x80b, {
		{"AGP_BOT", 0x3ffff, 0x0}
	} },
	{"VM_CONTEXT1_PAGE_TABLE_BASE_ADDR", 0x550, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_SEQ_IO_RESERVE_D1", 0xab8, {
		{"DPHY0_RSV", 0xfff, 0x0},
		{"DPHY1_RSV", 0xfff000, 0xc},
		{"APHY_RSV", 0xff000000, 0x18}
	} },
	{"MC_SEQ_IO_RESERVE_D0", 0xab7, {
		{"DPHY0_RSV", 0xfff, 0x0},
		{"DPHY1_RSV", 0xfff000, 0xc},
		{"APHY_RSV", 0xff000000, 0x18}
	} },
	{"VM_CONTEXT9_PAGE_TABLE_BASE_ADDR", 0x50f, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_WDP_BP2", 0xdfb, {
		{"RDRET", 0xffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_TXBST_PD_D0", 0x181, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_TXBST_PD_D1", 0x191, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_TXSLF_D1", 0x177, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_TXSLF_D0", 0x167, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_PERFCOUNTER_RSLT_CNTL", 0x7d5, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_TSM_DEBUG_BCNT9", 0xc, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BCNT8", 0xb, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BCNT3", 0x6, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BCNT2", 0x5, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BCNT1", 0x4, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BCNT0", 0x3, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BCNT7", 0xa, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BCNT6", 0x9, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BCNT5", 0x8, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BCNT4", 0x7, {
		{"BYTE3", 0xff000000, 0x18},
		{"BYTE2", 0xff0000, 0x10},
		{"BYTE1", 0xff00, 0x8},
		{"BYTE0", 0xff, 0x0}
	} },
	{"MC_XBAR_RDRET_CREDIT2", 0xc88, {
		{"OUT4", 0xff, 0x0},
		{"OUT5", 0xff00, 0x8},
		{"HUB_LP_RDRET_SKID", 0xff0000, 0x10}
	} },
	{"MC_XBAR_RDRET_CREDIT1", 0xc87, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"MC_BIST_RDATA_WORD4", 0xa18, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_RDATA_WORD5", 0xa19, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"VM_L2_CNTL", 0x500, {
		{"L2_PDE0_CACHE_TAG_GENERATION_MODE", 0x100, 0x8},
		{"PDE_FAULT_CLASSIFICATION", 0x40000, 0x12},
		{"ENABLE_L2_CACHE", 0x1, 0x0},
		{"CONTEXT1_IDENTITY_ACCESS_MODE", 0x180000, 0x13},
		{"ENABLE_DEFAULT_PAGE_OUT_TO_SYSTEM_MEMORY", 0x800, 0xb},
		{"L2_CACHE_PTE_ENDIAN_SWAP_MODE", 0xc, 0x2},
		{"EFFECTIVE_L2_QUEUE_SIZE", 0x38000, 0xf},
		{"L2_CACHE_BIGK_SWAP_TAG_INDEX_LSBS", 0x70000000, 0x1c},
		{"ENABLE_L2_FRAGMENT_PROCESSING", 0x2, 0x1},
		{"L2_PDE0_CACHE_SPLIT_MODE", 0x7000, 0xc},
		{"L2_CACHE_4K_SWAP_TAG_INDEX_LSBS", 0xc000000, 0x1a},
		{"ENABLE_L2_PTE_CACHE_LRU_UPDATE_BY_WRITE", 0x200, 0x9},
		{"ENABLE_L2_PDE0_CACHE_LRU_UPDATE_BY_WRITE", 0x400, 0xa},
		{"L2_CACHE_PDE_ENDIAN_SWAP_MODE", 0x30, 0x4},
		{"IDENTITY_MODE_FRAGMENT_SIZE", 0x3e00000, 0x15}
	} },
	{"MC_BIST_RDATA_WORD7", 0xa1b, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_RDATA_WORD0", 0xa14, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_RDATA_WORD1", 0xa15, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_RDATA_WORD2", 0xa16, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_BIST_RDATA_WORD3", 0xa17, {
		{"RDATA", 0xffffffff, 0x0}
	} },
	{"MC_IMP_STATUS", 0xa38, {
		{"NSTR_ACCUM_VAL", 0xff000000, 0x18},
		{"PSTR_CAL", 0xff, 0x0},
		{"NSTR_CAL", 0xff0000, 0x10},
		{"PSTR_ACCUM_VAL", 0xff00, 0x8}
	} },
	{"ATC_ATS_DEFAULT_PAGE_CNTL", 0xcd1, {
		{"DEFAULT_PAGE_HIGH", 0x3c, 0x2},
		{"SEND_DEFAULT_PAGE", 0x1, 0x0}
	} },
	{"MC_IO_DEBUG_UP_8", 0x8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_9", 0x9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_L2_DEBUG", 0xcd7, {
		{"CREDITS_L2_ATS", 0x3f, 0x0}
	} },
	{"MC_IO_DEBUG_UP_0", 0x0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_1", 0x1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_2", 0x2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_3", 0x3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_4", 0x4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_5", 0x5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_6", 0x6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_7", 0x7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_C_I0", 0xad9, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_C_I1", 0xada, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_ARB_PERFCOUNTER_LO", 0x7a6, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_ARB_PERFCOUNTER_RSLT_CNTL", 0x7d4, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_VM_MD_L1_TLB2_STATUS", 0x99d, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_ARB_MISC3", 0x9cd, {
		{"CHAN4_ARB_SEL", 0x4, 0x2},
		{"NO_GECC_EXT_EOB", 0x1, 0x0},
		{"CHAN4_EN", 0x2, 0x1},
		{"TBD_FIELD", 0xfffffff8, 0x3}
	} },
	{"MC_ARB_MISC2", 0x9d5, {
		{"TCCDL4_BANKBIT3_XOR_COLBIT8", 0x400, 0xa},
		{"TCCDL4_REPLAY_EOB", 0x80000000, 0x1f},
		{"RDRET_SEQ_SKID", 0x3c000, 0xe},
		{"GECC_STATUS", 0x100000, 0x14},
		{"ARB_DEBUG29", 0x20000000, 0x1d},
		{"SEQ_RDY_POP_IDLE", 0x40000000, 0x1e},
		{"GECC_RST", 0x80000, 0x13},
		{"RDRET_NO_REORDERING", 0x1000, 0xc},
		{"TAGFIFO_THRESHOLD", 0x1e00000, 0x15},
		{"TCCDL4_BANKBIT3_XOR_COLBIT6", 0x100, 0x8},
		{"TCCDL4_BANKBIT3_XOR_COLBIT7", 0x200, 0x9},
		{"TCCDL4_BANKBIT3_XOR_COLBIT4", 0x40, 0x6},
		{"TCCDL4_BANKBIT3_XOR_COLBIT5", 0x80, 0x7},
		{"REPLAY_DEBUG", 0x10000000, 0x1c},
		{"POP_IDLE_REPLAY", 0x800, 0xb},
		{"TCCDL4_BANKBIT3_XOR_ENABLE", 0x20, 0x5},
		{"RDRET_NO_BP", 0x2000, 0xd},
		{"GECC", 0x40000, 0x12},
		{"WCDR_REPLAY_MASKCNT", 0xe000000, 0x19}
	} },
	{"VM_L2_STATUS", 0x503, {
		{"L2_BUSY", 0x1, 0x0},
		{"CONTEXT_DOMAIN_BUSY", 0x1fffe, 0x1}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_B_I1", 0xa7c, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_B_I0", 0xa7b, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_RX_DYN_PM_D0", 0xec, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_RX_DYN_PM_D1", 0xfc, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_IH", 0x872, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_DQ1_RX_EQ_PM_D0", 0x1cc, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQ1_RX_EQ_PM_D1", 0x1dc, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_VM_SYSTEM_APERTURE_DEFAULT_ADDR", 0x80f, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_NPL_STATUS", 0xa76, {
		{"D1_NEARLY", 0x800, 0xb},
		{"D1_PDELAY", 0xc0, 0x6},
		{"D0_NEARLY", 0x20, 0x5},
		{"D0_PEARLY", 0x10, 0x4},
		{"D1_PEARLY", 0x400, 0xa},
		{"D0_NDELAY", 0xc, 0x2},
		{"D1_NDELAY", 0x300, 0x8},
		{"D0_PDELAY", 0x3, 0x0}
	} },
	{"MC_IO_CDRCNTL2_D0", 0xae4, {
		{"EDC_RXEN_OVR1", 0x8, 0x3},
		{"EDC_RXEN_OVR0", 0x4, 0x2},
		{"WCK_RXEN_OVR1", 0x80, 0x7},
		{"CDR_FB_SEL0", 0x1, 0x0},
		{"CDR_FB_SEL1", 0x2, 0x1},
		{"WCDRTRACK01", 0xf0000, 0x10},
		{"WCDRTXPWRON", 0xf00, 0x8},
		{"WCDRTXSEL", 0xf000, 0xc},
		{"TXCDRBYPASS1", 0x20, 0x5},
		{"TXCDRBYPASS0", 0x10, 0x4},
		{"WCK_RXEN_OVR0", 0x40, 0x6}
	} },
	{"MC_IO_CDRCNTL2_D1", 0xae5, {
		{"EDC_RXEN_OVR1", 0x8, 0x3},
		{"EDC_RXEN_OVR0", 0x4, 0x2},
		{"WCK_RXEN_OVR1", 0x80, 0x7},
		{"CDR_FB_SEL0", 0x1, 0x0},
		{"CDR_FB_SEL1", 0x2, 0x1},
		{"WCDRTRACK01", 0xf0000, 0x10},
		{"WCDRTXPWRON", 0xf00, 0x8},
		{"WCDRTXSEL", 0xf000, 0xc},
		{"TXCDRBYPASS1", 0x20, 0x5},
		{"TXCDRBYPASS0", 0x10, 0x4},
		{"WCK_RXEN_OVR0", 0x40, 0x6}
	} },
	{"MC_SEQ_SUP_GP0_STAT", 0xa8f, {
		{"STATUS", 0xffffffff, 0x0}
	} },
	{"ATC_VM_APERTURE1_CNTL", 0xcc5, {
		{"ATS_ACCESS_MODE", 0x3, 0x0}
	} },
	{"MPLL_TIME", 0xaf2, {
		{"MPLL_RESET_TIME", 0xffff0000, 0x10},
		{"MPLL_LOCK_TIME", 0xffff, 0x0}
	} },
	{"ATC_L1_ADDRESS_OFFSET", 0xcdd, {
		{"LOGICAL_ADDRESS", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_TIMER_RD", 0xaca, {
		{"COUNTER", 0xffffffff, 0x0}
	} },
	{"MC_HUB_WDP_UVD", 0x878, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"ATC_VMID14_PASID_MAPPING", 0xcf5, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_RPB_IF_CONF", 0x94e, {
		{"OUTSTANDING_WRRET_ASK", 0xff00, 0x8},
		{"RPB_BIF_CREDITS", 0xff, 0x0}
	} },
	{"MC_SEQ_RESERVE_1_S", 0xa1f, {
		{"SCLK_FIELD", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_CAS_TIMING_LP", 0xa9c, {
		{"TNOPW", 0x3, 0x0},
		{"TNOPR", 0xc, 0x2},
		{"TW2R", 0x1f0000, 0x10},
		{"TCL", 0x1f000000, 0x18},
		{"TCCDL", 0xe00, 0x9},
		{"TR2W", 0x1f0, 0x4},
		{"TR2R", 0xf000, 0xc}
	} },
	{"MC_IO_DEBUG_DQB2H_RX_EQ_D0", 0x1c5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_RX_EQ_D1", 0x1d5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CK_TXBST_PU_D1", 0x1bb, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CK_TXBST_PU_D0", 0x1ab, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT1_CNTL", 0x505, {
		{"VALID_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x1000, 0xc},
		{"READ_PROTECTION_FAULT_ENABLE_SAVE", 0x20000, 0x11},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x80, 0x7},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_SAVE", 0x800000, 0x17},
		{"VALID_PROTECTION_FAULT_ENABLE_DEFAULT", 0x2000, 0xd},
		{"RANGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x10, 0x4},
		{"ENABLE_CONTEXT", 0x1, 0x0},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_DEFAULT", 0x400000, 0x16},
		{"PDE0_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x200, 0x9},
		{"READ_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x8000, 0xf},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x40, 0x6},
		{"PDE0_PROTECTION_FAULT_ENABLE_SAVE", 0x800, 0xb},
		{"WRITE_PROTECTION_FAULT_ENABLE_SAVE", 0x100000, 0x14},
		{"PDE0_PROTECTION_FAULT_ENABLE_DEFAULT", 0x400, 0xa},
		{"RANGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x8, 0x3},
		{"WRITE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x40000, 0x12},
		{"PAGE_TABLE_BLOCK_SIZE", 0xf000000, 0x18},
		{"VALID_PROTECTION_FAULT_ENABLE_SAVE", 0x4000, 0xe},
		{"READ_PROTECTION_FAULT_ENABLE_DEFAULT", 0x10000, 0x10},
		{"PAGE_TABLE_DEPTH", 0x6, 0x1},
		{"WRITE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x80000, 0x13},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x200000, 0x15}
	} },
	{"MC_ARB_CAC_CNTL", 0x9d4, {
		{"WRITE_WEIGHT", 0x1f80, 0x7},
		{"ENABLE", 0x1, 0x0},
		{"READ_WEIGHT", 0x7e, 0x1},
		{"ALLOW_OVERFLOW", 0x2000, 0xd}
	} },
	{"MC_ARB_GDEC_RD_CNTL", 0x9ee, {
		{"USE_RSNO", 0x200, 0x9},
		{"REM_DEFAULT_GRP", 0x3c00, 0xa},
		{"USE_RANK", 0x100, 0x8},
		{"PAGEBIT0", 0xf, 0x0},
		{"PAGEBIT1", 0xf0, 0x4}
	} },
	{"MC_HUB_RDREQ_STATUS", 0x839, {
		{"MCDS_RD_AVAIL", 0x20, 0x5},
		{"MCDZ_RD_AVAIL", 0x10, 0x4},
		{"GBL1_BYPASS_STOR_FULL", 0x4000, 0xe},
		{"GBL0_VM_FULL", 0x200, 0x9},
		{"GBL0_BYPASS_STOR_FULL", 0x800, 0xb},
		{"PWRXPRESS_ERR", 0x8000, 0xf},
		{"GBL0_STOR_FULL", 0x400, 0xa},
		{"MCDU_RD_AVAIL", 0x80, 0x7},
		{"MCDT_RD_AVAIL", 0x40, 0x6},
		{"SIP_AVAIL", 0x1, 0x0},
		{"MCDV_RD_AVAIL", 0x100, 0x8},
		{"MCDY_RD_AVAIL", 0x8, 0x3},
		{"MCDX_RD_AVAIL", 0x4, 0x2},
		{"MCDW_RD_AVAIL", 0x2, 0x1},
		{"GBL1_VM_FULL", 0x1000, 0xc},
		{"GBL1_STOR_FULL", 0x2000, 0xd}
	} },
	{"MC_XPB_CLG_CFG8", 0x8f1, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG9", 0x8f2, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_ARB_HARSH_TX_HI0_WR", 0xdc3, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_XPB_CLG_CFG0", 0x8e9, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG1", 0x8ea, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG2", 0x8eb, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG3", 0x8ec, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG4", 0x8ed, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG5", 0x8ee, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG6", 0x8ef, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG7", 0x8f0, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_CONFIG", 0x800, {
		{"MCDX_WR_ENABLE", 0x2, 0x1},
		{"MCDS_WR_ENABLE", 0x10, 0x4},
		{"MCDY_WR_ENABLE", 0x4, 0x2},
		{"MCDZ_WR_ENABLE", 0x8, 0x3},
		{"MCC_INDEX_MODE_ENABLE", 0x80000000, 0x1f},
		{"MC_RD_ENABLE", 0x700, 0x8},
		{"MCDU_WR_ENABLE", 0x40, 0x6},
		{"MCDV_WR_ENABLE", 0x80, 0x7},
		{"MCDT_WR_ENABLE", 0x20, 0x5},
		{"MCDW_WR_ENABLE", 0x1, 0x0}
	} },
	{"VM_DEBUG", 0x56f, {
		{"FLAGS", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_RXFRAMING_BYTE0_D0", 0xa67, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_SEQ_RXFRAMING_BYTE0_D1", 0xa6d, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_HUB_WDP_SH2", 0x84d, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_SH3", 0x84e, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_SH0", 0x86e, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_SH1", 0x876, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_DLB_STATUS", 0xd99, {
		{"STICK_ERROR", 0xf, 0x0},
		{"LOCK", 0xf0, 0x4},
		{"SWEEP_DONE", 0xf00, 0x8}
	} },
	{"MC_IO_DEBUG_DQB2L_TXPHASE_D0", 0x124, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_TXPHASE_D1", 0x134, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_TSM_UPDATE", 0xac4, {
		{"TRUE_ACT", 0xf, 0x0},
		{"AREF_COUNT", 0xff0000, 0x10},
		{"UPDT_TESTS", 0xff00, 0x8},
		{"CAPTR_TESTS", 0xff000000, 0x18},
		{"FALSE_ACT", 0xf0, 0x4}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_DEFAULT_ADDR", 0x547, {
		{"PHYSICAL_PAGE_ADDR", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_ACPG", 0x883, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_ACPO", 0x884, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"ATC_VMID11_PASID_MAPPING", 0xcf2, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"ATC_VMID12_PASID_MAPPING", 0xcf3, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_IO_DEBUG_UP_114", 0x72, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_115", 0x73, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_OFSCAL_D0", 0x1e2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_WR_GRP_GFX", 0x804, {
		{"ACPO", 0xf000, 0xc},
		{"SH", 0xf0, 0x4},
		{"XDMAM", 0xf000000, 0x18},
		{"ISP", 0xf0000, 0x10},
		{"ACPG", 0xf00, 0x8},
		{"CP", 0xf, 0x0},
		{"XDMA", 0xf00000, 0x14}
	} },
	{"MC_IO_DEBUG_UP_110", 0x6e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_111", 0x6f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_GECC2_CLI", 0x9ca, {
		{"NO_GECC_CLI3", 0xff000000, 0x18},
		{"NO_GECC_CLI2", 0xff0000, 0x10},
		{"NO_GECC_CLI1", 0xff00, 0x8},
		{"NO_GECC_CLI0", 0xff, 0x0}
	} },
	{"MC_SEQ_DLL_STBY_LP", 0xd8f, {
		{"VCTRLADC_VAL", 0x4, 0x2},
		{"TCKE_PULSE_EXTN", 0xf000, 0xc},
		{"EN", 0x1, 0x0},
		{"ENTR_DLY", 0xe0, 0x5},
		{"TCKE_EXTN", 0xff0000, 0x10},
		{"MSTRSTBY_FRC", 0x8, 0x3},
		{"EXIT_DLY", 0x3f000000, 0x18},
		{"STBY_DLY", 0xf00, 0x8},
		{"VCTRLADC_FRC", 0x2, 0x1},
		{"MSTRSTBY_VAL", 0x10, 0x4}
	} },
	{"MC_HUB_WDP_CREDITS_MCDW", 0xdf3, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDV", 0xdfa, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDU", 0xdf9, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDT", 0xdf8, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_SEQ_PERF_CNTL_1", 0xafd, {
		{"SEL_CH1_B_MSB", 0x2000, 0xd},
		{"PAUSE", 0x1, 0x0},
		{"SEL_A_MSB", 0x100, 0x8},
		{"SEL_CH1_D_MSB", 0x8000, 0xf},
		{"SEL_CH0_D_MSB", 0x800, 0xb},
		{"SEL_CH1_A_MSB", 0x1000, 0xc},
		{"SEL_CH1_C_MSB", 0x4000, 0xe},
		{"SEL_B_MSB", 0x200, 0x9},
		{"SEL_CH0_C_MSB", 0x400, 0xa}
	} },
	{"MC_HUB_WDP_CREDITS_MCDZ", 0xdf6, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDY", 0xdf5, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDX", 0xdf4, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_IO_CDRCNTL_D1", 0xa56, {
		{"DQRXSEL_B0", 0x10000000, 0x1c},
		{"WCDREDC_B1", 0x8000000, 0x1b},
		{"RXPHASE_B01", 0xf, 0x0},
		{"RXPHASE_B23", 0xf0, 0x4},
		{"WCDREDC_B0", 0x4000000, 0x1a},
		{"RXPHASE1_B23", 0xf0000, 0x10},
		{"RXCDRBYPASS_B23", 0x800, 0xb},
		{"DQRXCDREN_B1", 0x800000, 0x17},
		{"WCDRRXCDREN_B1", 0x2000000, 0x19},
		{"WCDRRXCDREN_B0", 0x1000000, 0x18},
		{"RXCDRBYPASS_B01", 0x400, 0xa},
		{"DQTXSEL_B0", 0x40000000, 0x1e},
		{"DQRXCDREN_B0", 0x400000, 0x16},
		{"RXCDREN_B01", 0x100, 0x8},
		{"DQRXSEL_B1", 0x20000000, 0x1d},
		{"RXPHASE1_B01", 0xf000, 0xc},
		{"DQTXSEL_B1", 0x80000000, 0x1f},
		{"DQTXCDREN_B0", 0x100000, 0x14},
		{"DQTXCDREN_B1", 0x200000, 0x15},
		{"RXCDREN_B23", 0x200, 0x9}
	} },
	{"MC_IO_CDRCNTL_D0", 0xa55, {
		{"DQRXSEL_B0", 0x10000000, 0x1c},
		{"WCDREDC_B1", 0x8000000, 0x1b},
		{"RXPHASE_B01", 0xf, 0x0},
		{"RXPHASE_B23", 0xf0, 0x4},
		{"WCDREDC_B0", 0x4000000, 0x1a},
		{"RXPHASE1_B23", 0xf0000, 0x10},
		{"RXCDRBYPASS_B23", 0x800, 0xb},
		{"DQRXCDREN_B1", 0x800000, 0x17},
		{"WCDRRXCDREN_B1", 0x2000000, 0x19},
		{"WCDRRXCDREN_B0", 0x1000000, 0x18},
		{"RXCDRBYPASS_B01", 0x400, 0xa},
		{"DQTXSEL_B0", 0x40000000, 0x1e},
		{"DQRXCDREN_B0", 0x400000, 0x16},
		{"RXCDREN_B01", 0x100, 0x8},
		{"DQRXSEL_B1", 0x20000000, 0x1d},
		{"RXPHASE1_B01", 0xf000, 0xc},
		{"DQTXSEL_B1", 0x80000000, 0x1f},
		{"DQTXCDREN_B0", 0x100000, 0x14},
		{"DQTXCDREN_B1", 0x200000, 0x15},
		{"RXCDREN_B23", 0x200, 0x9}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR0", 0x91a, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR1", 0x91b, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR2", 0x91c, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR3", 0x91d, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_IO_DEBUG_WCK_MISC_D0", 0xaa, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_RX_EQ_D1", 0x1d1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_LAZY0_WR", 0x9e6, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_MCCLIENT", 0x539, {
		{"NAME", 0xffffffff, 0x0}
	} },
	{"VM_PRT_APERTURE0_HIGH_ADDR", 0x530, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_CK_MISC_D0", 0xab, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CK_MISC_D1", 0xbb, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_OFSCAL_D0", 0xe5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_OFSCAL_D1", 0xf5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_BIT_REMAP_B1_D1", 0xaa8, {
		{"BIT7", 0xe00000, 0x15},
		{"BIT6", 0x1c0000, 0x12},
		{"BIT5", 0x38000, 0xf},
		{"BIT4", 0x7000, 0xc},
		{"BIT3", 0xe00, 0x9},
		{"BIT2", 0x1c0, 0x6},
		{"BIT1", 0x38, 0x3},
		{"BIT0", 0x7, 0x0}
	} },
	{"MC_SEQ_BIT_REMAP_B1_D0", 0xaa4, {
		{"BIT7", 0xe00000, 0x15},
		{"BIT6", 0x1c0000, 0x12},
		{"BIT5", 0x38000, 0xf},
		{"BIT4", 0x7000, 0xc},
		{"BIT3", 0xe00, 0x9},
		{"BIT2", 0x1c0, 0x6},
		{"BIT1", 0x38, 0x3},
		{"BIT0", 0x7, 0x0}
	} },
	{"MC_SEQ_SUP_IR_STAT", 0xa87, {
		{"STATUS", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_RX_VREF_CAL_D0", 0x144, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_RX_VREF_CAL_D1", 0x154, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_RX_EQ_D0", 0x1c4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_RX_EQ_D1", 0x1d4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XPB_P2P_BAR_CFG", 0x903, {
		{"UPDATE_DIS", 0x200, 0x9},
		{"ADDR_SIZE", 0xf, 0x0},
		{"COMPRESS_DIS", 0x100, 0x8},
		{"SNOOP", 0x40, 0x6},
		{"REGBAR_FROM_SYSBAR", 0x400, 0xa},
		{"SEND_DIS", 0x80, 0x7},
		{"RD_EN", 0x800, 0xb},
		{"SEND_BAR", 0x30, 0x4},
		{"ATC_TRANSLATED", 0x1000, 0xc}
	} },
	{"MC_WR_CB", 0x986, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_XPB_UNC_THRESH_HST", 0x8ff, {
		{"USE_UNFULL", 0x3f000, 0xc},
		{"CHANGE_PREF", 0x3f, 0x0},
		{"STRONG_PREF", 0xfc0, 0x6}
	} },
	{"VM_L2_CNTL3", 0x502, {
		{"L2_CACHE_BIGK_ASSOCIATIVITY", 0x100000, 0x14},
		{"PDE_CACHE_FORCE_MISS", 0x40000000, 0x1e},
		{"L2_CACHE_BIGK_FORCE_MISS", 0x20000000, 0x1d},
		{"BANK_SELECT", 0x3f, 0x0},
		{"L2_CACHE_BIGK_FRAGMENT_SIZE", 0xf8000, 0xf},
		{"L2_CACHE_4K_EFFECTIVE_SIZE", 0xe00000, 0x15},
		{"L2_CACHE_BIGK_EFFECTIVE_SIZE", 0xf000000, 0x18},
		{"L2_CACHE_4K_FORCE_MISS", 0x10000000, 0x1c},
		{"L2_CACHE_UPDATE_WILDCARD_REFERENCE_VALUE", 0x1f00, 0x8},
		{"L2_CACHE_UPDATE_MODE", 0xc0, 0x6}
	} },
	{"VM_L2_CNTL2", 0x501, {
		{"PDE_CACHE_EFFECTIVE_SIZE", 0x70000000, 0x1c},
		{"DISABLE_BIGK_CACHE_OPTIMIZATION", 0x400000, 0x16},
		{"L2_CACHE_BIGK_VMID_MODE", 0x3800000, 0x17},
		{"INVALIDATE_CACHE_MODE", 0xc000000, 0x1a},
		{"INVALIDATE_L2_CACHE", 0x2, 0x1},
		{"INVALIDATE_ALL_L1_TLBS", 0x1, 0x0},
		{"DISABLE_INVALIDATE_PER_DOMAIN", 0x200000, 0x15}
	} },
	{"ATC_VMID7_PASID_MAPPING", 0xcee, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_IO_DEBUG_WCDR_RX_DYN_PM_D1", 0x1fc, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_RX_DYN_PM_D0", 0x1ec, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_TCG_CNTL", 0xabd, {
		{"RESET", 0x1, 0x0},
		{"AREF_BOTH", 0x4000000, 0x1a},
		{"ENABLE_D1", 0x4, 0x2},
		{"ENABLE_D0", 0x2, 0x1},
		{"AREF_LAST", 0x2000000, 0x19},
		{"LD_RTDATA_CH", 0x20000000, 0x1d},
		{"DATA_CNT", 0xf000, 0xc},
		{"NFIFO", 0x70, 0x4},
		{"BURST_NUM", 0x380000, 0x13},
		{"MOP", 0xf00, 0x8},
		{"START", 0x8, 0x3},
		{"ISSUE_AREF", 0x400000, 0x16},
		{"DONE", 0x80000000, 0x1f},
		{"SHORT_LDFF", 0x20000, 0x11},
		{"LD_RTDATA_OVR", 0x10000000, 0x1c},
		{"TXDBI_CNTL", 0x800000, 0x17},
		{"LOAD_FIFO", 0x10000, 0x10},
		{"INFINITE_CMD", 0x80, 0x7},
		{"VPTR_MASK", 0x1000000, 0x18},
		{"FRAME_TRAIN", 0x40000, 0x12}
	} },
	{"MC_IO_DEBUG_EDC_TXSLF_D1", 0x179, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_TXSLF_D0", 0x169, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IMP_DEBUG", 0xa37, {
		{"PMVCAL_RESERVED", 0xfff0000, 0x10},
		{"DEBUG_CAL_DONE", 0x80000000, 0x1f},
		{"DEBUG_CAL_START", 0x20000000, 0x1d},
		{"TIMEOUT_CNTR", 0xff00, 0x8},
		{"DEBUG_CAL_EN", 0x10000000, 0x1c},
		{"TSTARTUP_CNTR", 0xff, 0x0},
		{"DEBUG_CAL_INTR", 0x40000000, 0x1e}
	} },
	{"MC_IO_DEBUG_EDC_CDR_PHSIZE_D1", 0xfd, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_BIST_CMP_CNTL", 0xa8d, {
		{"DATA_STORE_MODE", 0x300000, 0x14},
		{"EDC_STORE_SEL", 0x4000, 0xe},
		{"CMP_MASK_BYTE", 0xf, 0x0},
		{"CMP_MASK_BIT", 0xff0, 0x4},
		{"DATA_STORE_SEL", 0x2000, 0xd},
		{"ENABLE_CMD_FIFO", 0x8000, 0xf},
		{"EDC_STORE_MODE", 0x80000, 0x13},
		{"LOAD_RTEDC", 0x1000, 0xc},
		{"MISMATCH_CNT", 0xffc00000, 0x16},
		{"DAT_MODE", 0x40000, 0x12},
		{"CMP", 0x30000, 0x10}
	} },
	{"MPLL_DQ_0_1_STATUS", 0xaf8, {
		{"FREQ_UNLOCK_STICKY", 0x80000, 0x13},
		{"OINT_RESET", 0x20000, 0x11},
		{"TEST_FBDIV_FRAC", 0x70, 0x4},
		{"FREQ_LOCK", 0x40000, 0x12},
		{"TEST_FBDIV_INT", 0x1ff80, 0x7},
		{"VCTRLADC", 0x7, 0x0}
	} },
	{"MC_SEQ_BIT_REMAP_B0_D0", 0xaa3, {
		{"BIT7", 0xe00000, 0x15},
		{"BIT6", 0x1c0000, 0x12},
		{"BIT5", 0x38000, 0xf},
		{"BIT4", 0x7000, 0xc},
		{"BIT3", 0xe00, 0x9},
		{"BIT2", 0x1c0, 0x6},
		{"BIT1", 0x38, 0x3},
		{"BIT0", 0x7, 0x0}
	} },
	{"MC_SEQ_BIT_REMAP_B0_D1", 0xaa7, {
		{"BIT7", 0xe00000, 0x15},
		{"BIT6", 0x1c0000, 0x12},
		{"BIT5", 0x38000, 0xf},
		{"BIT4", 0x7000, 0xc},
		{"BIT3", 0xe00, 0x9},
		{"BIT2", 0x1c0, 0x6},
		{"BIT1", 0x38, 0x3},
		{"BIT0", 0x7, 0x0}
	} },
	{"MC_ARB_HARSH_SAT1_RD", 0xdd4, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_RPB_EFF_CNTL", 0x950, {
		{"RD_LAZY_TIMER", 0xff00, 0x8},
		{"WR_LAZY_TIMER", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_TXBST_PD_D0", 0x18c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_TXBST_PD_D1", 0x19c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"CHUB_ATC_PERFCOUNTER_RSLT_CNTL", 0x7da, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_ARB_DRAM_TIMING2", 0x9de, {
		{"BUS_TURN", 0x1f000000, 0x18},
		{"RAS2RAS", 0xff, 0x0},
		{"RP", 0xff00, 0x8},
		{"WRPLUSRP", 0xff0000, 0x10}
	} },
	{"MC_CITF_PERF_MON_CNTL2", 0x98e, {
		{"CID", 0xff, 0x0}
	} },
	{"MC_XPB_WCB_STS", 0x901, {
		{"PBUF_VLD", 0xffff, 0x0},
		{"WCB_HST_DATA_BUF_CNT", 0x7f0000, 0x10},
		{"WCB_SID_DATA_BUF_CNT", 0x3f800000, 0x17}
	} },
	{"MC_IO_DEBUG_DQB1H_MISC_D1", 0xb3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2_CDR_PHSIZE_D1", 0x15d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_BIST_CMP_CNTL_2", 0xab6, {
		{"DATA_STORE_CNT", 0x1f, 0x0},
		{"EDC_STORE_CNT", 0x1f000, 0xc},
		{"DATA_STORE_CNT_RST", 0x100, 0x8},
		{"EDC_STORE_CNT_RST", 0x100000, 0x14}
	} },
	{"VM_PRT_CNTL", 0x534, {
		{"CB_DISABLE_READ_FAULT_ON_UNMAPPED_ACCESS", 0x1, 0x0},
		{"L1_TLB_STORE_INVALID_ENTRIES", 0x8, 0x3},
		{"TC_DISABLE_WRITE_FAULT_ON_UNMAPPED_ACCESS", 0x20, 0x5},
		{"CB_DISABLE_WRITE_FAULT_ON_UNMAPPED_ACCESS", 0x10, 0x4},
		{"L2_CACHE_STORE_INVALID_ENTRIES", 0x4, 0x2},
		{"TC_DISABLE_READ_FAULT_ON_UNMAPPED_ACCESS", 0x2, 0x1},
		{"MASK_PDE0_FAULT", 0x40, 0x6}
	} },
	{"MC_IO_DEBUG_DQB1H_RXPHASE_D1", 0x113, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_RXPHASE_D0", 0x103, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_MISC_TIMING2_LP", 0xa9e, {
		{"PA2RDATA", 0x7, 0x0},
		{"PA2WDATA", 0x70, 0x4},
		{"FAW", 0x1f00, 0x8},
		{"TADR", 0xe00000, 0x15},
		{"TWDATATR", 0xf0000000, 0x1c},
		{"TFCKTR", 0xf000000, 0x18},
		{"TREDC", 0xe000, 0xd},
		{"TWEDC", 0x1f0000, 0x10}
	} },
	{"MC_HUB_PERFCOUNTER0_CFG", 0x7b4, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_HUB_RDREQ_VCEU", 0x866, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_SEQ_TRAIN_CAPTURE", 0xa3e, {
		{"ALLOWSTOP1_WAKEUP", 0x80000, 0x13},
		{"D1_ARF_WAKEUP", 0x2, 0x1},
		{"D1_CMD_FIFO_READY_WAKEUP", 0x200, 0x9},
		{"PHY_PG_WAKEUP", 0x4000000, 0x1a},
		{"MCLK_FREQ_CHANGE_WAKEUP", 0x40, 0x6},
		{"SCLK_SRBM_READY_WAKEUP", 0x80, 0x7},
		{"RESERVE0_WAKEUP", 0x2000, 0xd},
		{"D1_DATA_FIFO_READY_WAKEUP", 0x800, 0xb},
		{"D0_IDLEH_WAKEUP", 0x1000000, 0x18},
		{"D1_WEDC_WAKEUP", 0x20, 0x5},
		{"ALLOWSTOPB0_WAKEUP", 0x200000, 0x15},
		{"ALLOWSTOPB1_WAKEUP", 0x400000, 0x16},
		{"D0_DATA_FIFO_READY_WAKEUP", 0x400, 0xa},
		{"SREG_WAKEUP", 0x8000000, 0x1b},
		{"ALLOWSTOP0_WAKEUP", 0x40000, 0x12},
		{"D0_REDC_WAKEUP", 0x4, 0x2},
		{"TSM_DONE_WAKEUP", 0x4000, 0xe},
		{"DPM_LPT_WAKEUP", 0x800000, 0x17},
		{"SOFTWARE_WAKEUP_WAKEUP", 0x1000, 0xc},
		{"D0_CMD_FIFO_READY_WAKEUP", 0x100, 0x8},
		{"TIMER_DONE_WAKEUP", 0x8000, 0xf},
		{"D1_REDC_WAKEUP", 0x8, 0x3},
		{"D0_ARF_WAKEUP", 0x1, 0x0},
		{"D0_WEDC_WAKEUP", 0x10, 0x4},
		{"TCG_DONE_WAKEUP", 0x20000, 0x11},
		{"DPM_WAKEUP", 0x100000, 0x14},
		{"D1_IDLEH_WAKEUP", 0x2000000, 0x19}
	} },
	{"MC_RPB_PERFCOUNTER_HI", 0x7ac, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_SEQ_PMG_DVS_CTL_LP", 0xd8b, {
		{"ENABLE", 0x1, 0x0},
		{"TDVS", 0x3e, 0x1}
	} },
	{"MC_ARB_PERFCOUNTER2_CFG", 0x7be, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_D_I1", 0xadc, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_PERF_SEQ_CNT_D_I0", 0xadb, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_CLKSEL_D0", 0xc4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_CLKSEL_D1", 0xd4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_RPB_DBG1", 0x94f, {
		{"RPB_BIF_OUTSTANDING_RD_32B", 0xfff00, 0x8},
		{"DEBUG_BITS", 0xfff00000, 0x14},
		{"RPB_BIF_OUTSTANDING_RD", 0xff, 0x0}
	} },
	{"MC_ARB_MAX_LAT_RSLT1", 0x9f8, {
		{"MAX_LATENCY", 0xffffffff, 0x0}
	} },
	{"MC_ARB_MAX_LAT_RSLT0", 0x9f7, {
		{"MAX_LATENCY", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_TXSLF_D0", 0x160, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_TXSLF_D1", 0x170, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MPLL_DQ_FUNC_CNTL", 0xaf1, {
		{"YCLK_SEL", 0x10, 0x4},
		{"SPARE_0", 0x8, 0x3},
		{"SPARE", 0xffffffe0, 0x5},
		{"YCLK_POST_DIV", 0x7, 0x0}
	} },
	{"MC_ARB_PERFCOUNTER0_CFG", 0x7bc, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_UP_35", 0x23, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_STATUS", 0x536, {
		{"MEMORY_CLIENT_ID", 0x1ff000, 0xc},
		{"PROTECTIONS", 0xff, 0x0},
		{"VMID", 0x1e000000, 0x19},
		{"MEMORY_CLIENT_RW", 0x1000000, 0x18}
	} },
	{"MC_IO_DEBUG_DQB2H_TXSLF_D0", 0x165, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_TXSLF_D1", 0x175, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XPB_P2P_BAR1", 0x905, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR0", 0x904, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR3", 0x907, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR2", 0x906, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR5", 0x909, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR4", 0x908, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR7", 0x90b, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR6", 0x90a, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_HUB_WDP_CPC", 0x88b, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_CPF", 0x88c, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_CPG", 0x86c, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_ARB_HARSH_TX_LO0_RD", 0xdc6, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_IO_DEBUG_DBI_MISC_D0", 0xa8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_SIP", 0x86b, {
		{"STALL_MODE", 0x3, 0x0},
		{"ASK_CREDITS", 0x1fc, 0x2}
	} },
	{"MC_BIST_EADDR", 0xa09, {
		{"RANK", 0x10000000, 0x1c},
		{"COLH", 0x20000000, 0x1d},
		{"ROWH", 0xc0000000, 0x1e},
		{"COL", 0x3ff, 0x0},
		{"BANK", 0xf000000, 0x18},
		{"ROW", 0xfffc00, 0xa}
	} },
	{"MC_XPB_INTF_STS", 0x920, {
		{"HOP_ATTR_BUF_FULL", 0x10000, 0x10},
		{"XSP_REQ_CRD", 0x7f00, 0x8},
		{"RPB_WRREQ_CRD", 0xff, 0x0},
		{"RPB_RDREQ_CRD", 0x7f80000, 0x13},
		{"HOP_DATA_BUF_FULL", 0x8000, 0xf},
		{"CNS_BUF_FULL", 0x20000, 0x11},
		{"CNS_BUF_BUSY", 0x40000, 0x12}
	} },
	{"MC_HUB_WDP_STATUS", 0x838, {
		{"MCDZ_RD_AVAIL", 0x10, 0x4},
		{"MCDU_RD_AVAIL", 0x80, 0x7},
		{"MCDV_RD_AVAIL", 0x100, 0x8},
		{"MCDS_RD_AVAIL", 0x20, 0x5},
		{"MCDU_WR_AVAIL", 0x8000, 0xf},
		{"MCDY_WR_AVAIL", 0x800, 0xb},
		{"GBL0_BYPASS_STOR_FULL", 0x80000, 0x13},
		{"GBL1_VM_FULL", 0x100000, 0x14},
		{"MCDZ_WR_AVAIL", 0x1000, 0xc},
		{"MCDT_RD_AVAIL", 0x40, 0x6},
		{"SIP_AVAIL", 0x1, 0x0},
		{"MCDT_WR_AVAIL", 0x4000, 0xe},
		{"MCDS_WR_AVAIL", 0x2000, 0xd},
		{"MCDY_RD_AVAIL", 0x8, 0x3},
		{"GBL1_BYPASS_STOR_FULL", 0x400000, 0x16},
		{"MCDW_WR_AVAIL", 0x200, 0x9},
		{"GBL0_VM_FULL", 0x20000, 0x11},
		{"GBL0_STOR_FULL", 0x40000, 0x12},
		{"MCDV_WR_AVAIL", 0x10000, 0x10},
		{"MCDX_WR_AVAIL", 0x400, 0xa},
		{"MCDX_RD_AVAIL", 0x4, 0x2},
		{"MCDW_RD_AVAIL", 0x2, 0x1},
		{"GBL1_STOR_FULL", 0x200000, 0x15}
	} },
	{"MC_SEQ_PMG_TIMING_LP", 0xad3, {
		{"TCKSRE", 0x7, 0x0},
		{"TCKE_PULSE_MSB", 0x800000, 0x17},
		{"TCKE", 0x3f000, 0xc},
		{"SEQ_IDLE_SS", 0xff000000, 0x18},
		{"SEQ_IDLE", 0x1c0000, 0x12},
		{"TCKE_PULSE", 0xf00, 0x8},
		{"TCKSRX", 0x70, 0x4}
	} },
	{"MC_IO_DEBUG_DQB1L_CLKSEL_D1", 0xd2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_CLKSEL_D0", 0xc2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_CG", 0x9fa, {
		{"CG_ARB_RESP", 0xff00, 0x8},
		{"CG_ARB_REQ", 0xff, 0x0},
		{"RSV_1", 0xff000000, 0x18},
		{"RSV_0", 0xff0000, 0x10}
	} },
	{"MC_VM_MD_L1_TLB0_DEBUG", 0x998, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MC_PMG_AUTO_CMD", 0xa34, {
		{"ADR_MSB0", 0x20000000, 0x1d},
		{"ADR", 0x1ffff, 0x0},
		{"ADR_MSB1", 0x10000000, 0x1c}
	} },
	{"MC_ARB_MISC", 0x9d6, {
		{"HARSHNESS", 0x7f800, 0xb},
		{"SMART_RDWR_SW", 0x80000, 0x13},
		{"DISPURG_NOSW2WR", 0x1000000, 0x18},
		{"ACPURG_STALL", 0x80000000, 0x1f},
		{"CALI_ENABLE", 0x100000, 0x14},
		{"DISPURG_THROTTLE", 0x3c000000, 0x1a},
		{"CHAN_COUPLE", 0x7f8, 0x3},
		{"STICKY_RFSH", 0x1, 0x0},
		{"DISPURGVLD_NOWRT", 0x800000, 0x17},
		{"EXTEND_WEIGHT", 0x40000000, 0x1e},
		{"IDLE_RFSH", 0x2, 0x1},
		{"DISPURG_STALL", 0x2000000, 0x19},
		{"CALI_RATES", 0x600000, 0x15},
		{"STUTTER_RFSH", 0x4, 0x2}
	} },
	{"MC_HUB_RDREQ_SIP", 0x855, {
		{"DUMMY", 0x80, 0x7},
		{"DISPLAY_CREDITS", 0x7f00, 0x8},
		{"ASK_CREDITS", 0x7f, 0x0}
	} },
	{"MC_IO_DEBUG_CK_RXPHASE_D0", 0x10b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CK_RXPHASE_D1", 0x11b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XPB_LB_ADDR", 0x8fe, {
		{"CMP0", 0x3ff, 0x0},
		{"CMP1", 0x3f00000, 0x14},
		{"MASK1", 0xfc000000, 0x1a},
		{"MASK0", 0xffc00, 0xa}
	} },
	{"VM_CONTEXT1_PAGE_TABLE_END_ADDR", 0x560, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_SEQ_SUP_PGM_STAT", 0xa89, {
		{"STATUS", 0xffffffff, 0x0}
	} },
	{"ATC_VM_APERTURE0_CNTL", 0xcc4, {
		{"ATS_ACCESS_MODE", 0x3, 0x0}
	} },
	{"MC_VM_L2_PERFCOUNTER_RSLT_CNTL", 0x7d3, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_SEQ_CAS_TIMING", 0xa29, {
		{"TNOPW", 0x3, 0x0},
		{"TNOPR", 0xc, 0x2},
		{"TW2R", 0x1f0000, 0x10},
		{"TCL", 0x1f000000, 0x18},
		{"TCCDL", 0xe00, 0x9},
		{"TR2W", 0x1f0, 0x4},
		{"TR2R", 0xf000, 0xc}
	} },
	{"MC_XPB_CLG_EXTRA_RD", 0x935, {
		{"CMP0", 0xff, 0x0},
		{"MSK0", 0xff00, 0x8},
		{"VLD1", 0x2000000, 0x19},
		{"VLD0", 0x10000, 0x10},
		{"CMP1", 0x1fe0000, 0x11}
	} },
	{"MC_IO_DPHY_STR_CNTL_D0", 0xa4e, {
		{"PSTR_OFF_D", 0x3f, 0x0},
		{"AUTO_LD_STR", 0x40000000, 0x1e},
		{"USE_D_CAL", 0x1000000, 0x18},
		{"USE_S_CAL", 0x2000000, 0x19},
		{"CAL_SEL", 0xc000000, 0x1a},
		{"LOAD_D_STR", 0x10000000, 0x1c},
		{"NSTR_OFF_S", 0xfc0000, 0x12},
		{"LOAD_S_STR", 0x20000000, 0x1d},
		{"PSTR_OFF_S", 0x3f000, 0xc},
		{"NSTR_OFF_D", 0xfc0, 0x6}
	} },
	{"MC_IO_DPHY_STR_CNTL_D1", 0xa54, {
		{"PSTR_OFF_D", 0x3f, 0x0},
		{"AUTO_LD_STR", 0x40000000, 0x1e},
		{"USE_D_CAL", 0x1000000, 0x18},
		{"USE_S_CAL", 0x2000000, 0x19},
		{"CAL_SEL", 0xc000000, 0x1a},
		{"LOAD_D_STR", 0x10000000, 0x1c},
		{"NSTR_OFF_S", 0xfc0000, 0x12},
		{"LOAD_S_STR", 0x20000000, 0x1d},
		{"PSTR_OFF_S", 0x3f000, 0xc},
		{"NSTR_OFF_D", 0xfc0, 0x6}
	} },
	{"MC_VM_MB_L2ARBITER_L2_CREDITS", 0x8a1, {
		{"L2_IF_CREDITS", 0x3f, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_RX_EQ_D1", 0x1d3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_RX_EQ_D0", 0x1c3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_RDREQ_GBL0", 0x856, {
		{"STALL_THRESHOLD", 0xff, 0x0},
		{"STALL_THRESHOLD_PRI", 0xff00, 0x8}
	} },
	{"MC_HUB_RDREQ_GBL1", 0x857, {
		{"STALL_THRESHOLD", 0xff, 0x0},
		{"STALL_THRESHOLD_PRI", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_ACMD_TXPHASE_D1", 0x13e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_TXPHASE_D0", 0x12e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT1_CNTL2", 0x50d, {
		{"WAIT_FOR_IDLE_WHEN_INVALIDATE", 0x10, 0x4},
		{"CLEAR_PROTECTION_FAULT_STATUS_ADDR", 0x1, 0x0},
		{"ENABLE_CLEAR_PROTECTION_FAULT_STATUS_ADDR_WHEN_INVALIDATE_CONTEXT", 0x2, 0x1},
		{"ENABLE_INTERRUPT_PROCESSING_FOR_SUBSEQUENT_FAULTS_PER_CONTEXT", 0x4, 0x2},
		{"ALLOW_SUBSEQUENT_PROTECTION_FAULT_STATUS_ADDR_UPDATES", 0x8, 0x3}
	} },
	{"MC_SEQ_TXFRAMING_BYTE1_D1", 0xa61, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_SEQ_TXFRAMING_BYTE1_D0", 0xa59, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_IO_DEBUG_ACMD_OFSCAL_D1", 0xfe, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_OFSCAL_D0", 0xee, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_TXPHASE_D0", 0x121, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_TXPHASE_D1", 0x131, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_XDMA", 0x881, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_SEQ_RAS_TIMING_LP", 0xa9b, {
		{"TRRD", 0xf00000, 0x14},
		{"TRCDR", 0x7c00, 0xa},
		{"TRCDW", 0x1f, 0x0},
		{"TRCDWA", 0x3e0, 0x5},
		{"TRC", 0x7f000000, 0x18},
		{"TRCDRA", 0xf8000, 0xf}
	} },
	{"MC_HUB_RDREQ_SDMA1", 0x85c, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_SDMA0", 0x85a, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_ARB_AGE_CNTL", 0x9bf, {
		{"RESET_WR_GROUP6", 0x4000, 0xe},
		{"RESET_WR_GROUP7", 0x8000, 0xf},
		{"RESET_WR_GROUP4", 0x1000, 0xc},
		{"RESET_WR_GROUP5", 0x2000, 0xd},
		{"RESET_WR_GROUP2", 0x400, 0xa},
		{"RESET_WR_GROUP3", 0x800, 0xb},
		{"RESET_WR_GROUP0", 0x100, 0x8},
		{"RESET_WR_GROUP1", 0x200, 0x9},
		{"AGE_LOW_RATE_WR", 0x380000, 0x13},
		{"TIMER_STALL_RD", 0x400000, 0x16},
		{"EXTEND_WEIGHT_RD", 0x1000000, 0x18},
		{"TIMER_STALL_WR", 0x800000, 0x17},
		{"AGE_LOW_RATE_RD", 0x70000, 0x10},
		{"EXTEND_WEIGHT_WR", 0x2000000, 0x19},
		{"RESET_RD_GROUP5", 0x20, 0x5},
		{"RESET_RD_GROUP4", 0x10, 0x4},
		{"RESET_RD_GROUP7", 0x80, 0x7},
		{"RESET_RD_GROUP6", 0x40, 0x6},
		{"RESET_RD_GROUP1", 0x2, 0x1},
		{"RESET_RD_GROUP0", 0x1, 0x0},
		{"RESET_RD_GROUP3", 0x8, 0x3},
		{"RESET_RD_GROUP2", 0x4, 0x2}
	} },
	{"MC_SHARED_CHMAP", 0x801, {
		{"CHAN4", 0xf00000, 0x14},
		{"CHAN1", 0xf0, 0x4},
		{"CHAN0", 0xf, 0x0},
		{"CHAN3", 0xf0000, 0x10},
		{"CHAN2", 0xf00, 0x8},
		{"NOOFCHAN", 0xf000, 0xc}
	} },
	{"MC_SEQ_TRAIN_WAKEUP_CLEAR", 0xa3f, {
		{"ALLOWSTOP1_WAKEUP", 0x80000, 0x13},
		{"D1_ARF_WAKEUP", 0x2, 0x1},
		{"D1_CMD_FIFO_READY_WAKEUP", 0x200, 0x9},
		{"PHY_PG_WAKEUP", 0x4000000, 0x1a},
		{"MCLK_FREQ_CHANGE_WAKEUP", 0x40, 0x6},
		{"SCLK_SRBM_READY_WAKEUP", 0x80, 0x7},
		{"RESERVE0_WAKEUP", 0x2000, 0xd},
		{"D1_DATA_FIFO_READY_WAKEUP", 0x800, 0xb},
		{"D0_IDLEH_WAKEUP", 0x1000000, 0x18},
		{"D1_WEDC_WAKEUP", 0x20, 0x5},
		{"ALLOWSTOPB0_WAKEUP", 0x200000, 0x15},
		{"ALLOWSTOPB1_WAKEUP", 0x400000, 0x16},
		{"D0_DATA_FIFO_READY_WAKEUP", 0x400, 0xa},
		{"SREG_WAKEUP", 0x8000000, 0x1b},
		{"ALLOWSTOP0_WAKEUP", 0x40000, 0x12},
		{"D0_REDC_WAKEUP", 0x4, 0x2},
		{"TSM_DONE_WAKEUP", 0x4000, 0xe},
		{"CLEARALL", 0x10000, 0x10},
		{"DPM_LPT_WAKEUP", 0x800000, 0x17},
		{"SOFTWARE_WAKEUP_WAKEUP", 0x1000, 0xc},
		{"D0_CMD_FIFO_READY_WAKEUP", 0x100, 0x8},
		{"TIMER_DONE_WAKEUP", 0x8000, 0xf},
		{"D1_REDC_WAKEUP", 0x8, 0x3},
		{"D0_ARF_WAKEUP", 0x1, 0x0},
		{"D0_WEDC_WAKEUP", 0x10, 0x4},
		{"TCG_DONE_WAKEUP", 0x20000, 0x11},
		{"DPM_WAKEUP", 0x100000, 0x14},
		{"D1_IDLEH_WAKEUP", 0x2000000, 0x19}
	} },
	{"MC_IO_DEBUG_WCDR_TXSLF_D0", 0x1e6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_TXSLF_D1", 0x1f6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_WR_CTL_D1", 0xa30, {
		{"OEN_DLY", 0xf000, 0xc},
		{"CMD_DLY", 0x40000000, 0x1e},
		{"ODT_DLY", 0xf000000, 0x18},
		{"CMD_2Y_DLY", 0x800, 0xb},
		{"ODT_EXT", 0x10000000, 0x1c},
		{"DQS_DLY", 0xf0, 0x4},
		{"DQS_XTR", 0x100, 0x8},
		{"DAT_DLY", 0xf, 0x0},
		{"OEN_SEL", 0x300000, 0x14},
		{"ADR_DLY", 0x20000000, 0x1d},
		{"OEN_EXT", 0xf0000, 0x10},
		{"ADR_2Y_DLY", 0x400, 0xa},
		{"DAT_2Y_DLY", 0x200, 0x9}
	} },
	{"MC_SEQ_WR_CTL_D0", 0xa2f, {
		{"OEN_DLY", 0xf000, 0xc},
		{"CMD_DLY", 0x40000000, 0x1e},
		{"ODT_DLY", 0xf000000, 0x18},
		{"CMD_2Y_DLY", 0x800, 0xb},
		{"ODT_EXT", 0x10000000, 0x1c},
		{"DQS_DLY", 0xf0, 0x4},
		{"DQS_XTR", 0x100, 0x8},
		{"DAT_DLY", 0xf, 0x0},
		{"OEN_SEL", 0x300000, 0x14},
		{"ADR_DLY", 0x20000000, 0x1d},
		{"OEN_EXT", 0xf0000, 0x10},
		{"ADR_2Y_DLY", 0x400, 0xa},
		{"DAT_2Y_DLY", 0x200, 0x9}
	} },
	{"MC_SEQ_SREG_READ", 0xd87, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_149", 0x95, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQ0_RX_EQ_PM_D1", 0x1db, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_RPB_BIF_CNTL", 0x952, {
		{"XPB_SWITCH_NUM", 0xff00, 0x8},
		{"ARB_SWITCH_NUM", 0xff, 0x0}
	} },
	{"MC_ARB_POP", 0x9d9, {
		{"QUICK_STOP", 0x20000, 0x11},
		{"POP_DEPTH", 0x3c, 0x2},
		{"WAIT_AFTER_RFSH", 0x18000, 0xf},
		{"WRDATAINDEX_DEPTH", 0xfc0, 0x6},
		{"ENABLE_ARB", 0x1, 0x0},
		{"SKID_DEPTH", 0x7000, 0xc},
		{"ENABLE_TWO_PAGE", 0x40000, 0x12},
		{"ALLOW_EOB_BY_WRRET_STALL", 0x80000, 0x13},
		{"SPEC_OPEN", 0x2, 0x1}
	} },
	{"ATC_L1WR_STATUS", 0xce1, {
		{"BUSY", 0x1, 0x0},
		{"DEADLOCK_DETECTION", 0x2, 0x1},
		{"BAD_NEED_ATS", 0x100, 0x8}
	} },
	{"MC_IO_DEBUG_DQB1_CDR_PHSIZE_D1", 0x15c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1_CDR_PHSIZE_D0", 0x14c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_TM_CNTL_WR", 0x9e4, {
		{"BANK_SELECT", 0x6, 0x1},
		{"MATCH_BANK", 0x10, 0x4},
		{"MATCH_RANK", 0x8, 0x3},
		{"GROUPBY_RANK", 0x1, 0x0}
	} },
	{"MC_TSM_DEBUG_MISC", 0x2, {
		{"FLAG", 0xff, 0x0},
		{"NCNT_RD", 0xf00, 0x8},
		{"NCNT_WR", 0xf000, 0xc}
	} },
	{"MC_IO_DEBUG_DBI_RX_EQ_D0", 0x1c8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_RX_EQ_D1", 0x1d8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_BKPT", 0x13, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_WR_CTL_D0_LP", 0xa9f, {
		{"OEN_DLY", 0xf000, 0xc},
		{"CMD_DLY", 0x40000000, 0x1e},
		{"ODT_DLY", 0xf000000, 0x18},
		{"CMD_2Y_DLY", 0x800, 0xb},
		{"ODT_EXT", 0x10000000, 0x1c},
		{"DQS_DLY", 0xf0, 0x4},
		{"DQS_XTR", 0x100, 0x8},
		{"DAT_DLY", 0xf, 0x0},
		{"OEN_SEL", 0x300000, 0x14},
		{"ADR_DLY", 0x20000000, 0x1d},
		{"OEN_EXT", 0xf0000, 0x10},
		{"ADR_2Y_DLY", 0x400, 0xa},
		{"DAT_2Y_DLY", 0x200, 0x9}
	} },
	{"MC_IO_DEBUG_DQB2H_RX_VREF_CAL_D0", 0x145, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_RX_VREF_CAL_D1", 0x155, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_1_HIGH_ADDR", 0x816, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_RX_EQ_D0", 0x1c1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_RX_VREF_CAL_D1", 0x151, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_RANGE0", 0xd45, {
		{"STCTRL_REGISTER_SAVE_BASE0", 0xffff, 0x0},
		{"STCTRL_REGISTER_SAVE_LIMIT0", 0xffff0000, 0x10}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_RANGE1", 0xd46, {
		{"STCTRL_REGISTER_SAVE_LIMIT1", 0xffff0000, 0x10},
		{"STCTRL_REGISTER_SAVE_BASE1", 0xffff, 0x0}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_RANGE2", 0xd47, {
		{"STCTRL_REGISTER_SAVE_BASE2", 0xffff, 0x0},
		{"STCTRL_REGISTER_SAVE_LIMIT2", 0xffff0000, 0x10}
	} },
	{"MC_SEQ_TSM_WCDR", 0xae3, {
		{"WCDR", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_TXBST_PU_D1", 0x1b5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_TXBST_PU_D0", 0x1a5, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"GMCON_PGFSM_READ", 0xd50, {
		{"READ_VALUE", 0xffffff, 0x0},
		{"PGFSM_SELECT", 0xf000000, 0x18},
		{"SERDES_MASTER_BUSY", 0x10000000, 0x1c}
	} },
	{"MC_VM_MB_L1_TLB0_STATUS", 0x895, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_CITF_MISC_WR_CG", 0x993, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"VM_PRT_APERTURE2_HIGH_ADDR", 0x532, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_IO_PAD_CNTL", 0xa73, {
		{"ATBSEL_D1", 0x40000000, 0x1e},
		{"ATBSEL_D0", 0x80000000, 0x1f},
		{"ATBEN", 0x3f000000, 0x18},
		{"MEM_IO_IMP_MAX", 0xff00, 0x8},
		{"MEM_IO_IMP_MIN", 0xff, 0x0},
		{"OVL_YCLKON_D0", 0x40000, 0x12},
		{"OVL_YCLKON_D1", 0x80000, 0x13},
		{"ATBSEL", 0xf00000, 0x14},
		{"TXPHASE_GRAY", 0x10000, 0x10},
		{"RXPHASE_GRAY", 0x20000, 0x11}
	} },
	{"MC_SEQ_TSM_NCNT", 0xac1, {
		{"RANGE_HIGH", 0xf00000, 0x14},
		{"TESTS", 0xff00, 0x8},
		{"RANGE_LOW", 0xf0000, 0x10},
		{"FALSE_ACT", 0xf0, 0x4},
		{"TRUE_ACT", 0xf, 0x0},
		{"NIBBLE_SKIP", 0xf000000, 0x18}
	} },
	{"MC_HUB_WDP_ISP_CCPU", 0xde6, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_UVD", 0x861, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MC_IO_DEBUG_UP_138", 0x8a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_139", 0x8b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_WR_GRP_LCL", 0x98b, {
		{"CBFMASK0", 0xf00, 0x8},
		{"CBCMASK0", 0xf0, 0x4},
		{"CBIMMED0", 0xf0000000, 0x1c},
		{"SX0", 0xf00000, 0x14},
		{"CB0", 0xf, 0x0},
		{"DB0", 0xf000, 0xc},
		{"DBHTILE0", 0xf0000, 0x10}
	} },
	{"ATC_VMID3_PASID_MAPPING", 0xcea, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"ATC_ATS_DEBUG", 0xcca, {
		{"PAGE_REQUEST_PERMS", 0x100, 0x8},
		{"NUM_REQUESTS_AT_ERR", 0x3c00, 0xa},
		{"PAGE_REQUESTS_USE_RELAXED_ORDERING", 0x20, 0x5},
		{"DEBUG_BUS_SELECT", 0x20000, 0x11},
		{"UNTRANSLATED_ONLY_REQUESTS_CARRY_SIZE", 0x200, 0x9},
		{"IDENT_RETURN", 0x2, 0x1},
		{"IGNORE_FED", 0x8000, 0xf},
		{"EXE_BIT", 0x80, 0x7},
		{"INVALIDATION_REQUESTS_DISALLOWED_WHEN_ATC_IS_DISABLED", 0x10000, 0x10},
		{"INVALIDATE_ALL", 0x1, 0x0},
		{"ADDRESS_TRANSLATION_REQUEST_WRITE_PERMS", 0x4, 0x2},
		{"PRIV_BIT", 0x40, 0x6},
		{"DISABLE_INVALIDATE_PER_DOMAIN", 0x40000, 0x12},
		{"DISALLOW_ERR_TO_DONE", 0x4000, 0xe}
	} },
	{"MC_IO_DEBUG_DQB1L_OFSCAL_D1", 0xf2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_OFSCAL_D0", 0xe2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_TSM_DEBUG_GCNT", 0x0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_CNTL", 0xa25, {
		{"ARB_REQDAT_WMK", 0xf000000, 0x18},
		{"ARB_REQCMD_WMK", 0xf00000, 0x14},
		{"MSKOFF_DAT_TH", 0x8000, 0xf},
		{"RET_HOLD_EOP", 0x10000, 0x10},
		{"MSKOFF_DAT_TL", 0x4000, 0xe},
		{"BANKGROUP_ENB", 0x40000, 0x12},
		{"DAT_INV", 0x40, 0x6},
		{"BANKGROUP_SIZE", 0x20000, 0x11},
		{"MEM_ADDR_MAP_BANK", 0xc, 0x2},
		{"ARB_RTDAT_WMK", 0xf0000000, 0x1c},
		{"SAFE_MODE", 0x30, 0x4},
		{"CHANNEL_DISABLE", 0x300, 0x8},
		{"RTR_OVERRIDE", 0x80000, 0x13},
		{"MSK_DF1", 0x80, 0x7},
		{"MEM_ADDR_MAP_COLS", 0x3, 0x0}
	} },
	{"MC_IO_DEBUG_UP_136", 0x88, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_RX_EQ_D1", 0x1da, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_SDMA0", 0x87a, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_SDMA1", 0x86d, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_DQB0L_TXBST_PU_D1", 0x1b0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_MCBVM_PERFCOUNTER_LO", 0x7a3, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_OFSCAL_D1", 0xf9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_OFSCAL_D0", 0xe9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_PMG_DVS_CMD", 0xd8c, {
		{"END", 0x100000, 0x14},
		{"MOP", 0x70000, 0x10},
		{"ADR_MSB0", 0x1000000, 0x18},
		{"ADR_MSB1", 0x800000, 0x17},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0},
		{"BNK_MSB", 0x80000, 0x13}
	} },
	{"MC_IO_DEBUG_WCK_OFSCAL_D0", 0xea, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_OFSCAL_D1", 0xfa, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MPLL_AD_FUNC_CNTL", 0xaf0, {
		{"SPARE", 0xfffffff8, 0x3},
		{"YCLK_POST_DIV", 0x7, 0x0}
	} },
	{"MC_XPB_PERF_KNOBS", 0x924, {
		{"CNS_FIFO_DEPTH", 0x3f, 0x0},
		{"WCB_HST_FIFO_DEPTH", 0xfc0, 0x6},
		{"WCB_SID_FIFO_DEPTH", 0x3f000, 0xc}
	} },
	{"CC_MC_MAX_CHANNEL", 0x96e, {
		{"NOOFCHAN", 0x1e, 0x1}
	} },
	{"MC_SEQ_MISC9", 0xae7, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_MISC8", 0xa5f, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_VM_MD_L1_TLB3_STATUS", 0x9a8, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_SEQ_MISC5", 0xa95, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_MISC4", 0xa8c, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_MISC7", 0xa99, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_MISC6", 0xa96, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_MISC1", 0xa81, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_MISC0", 0xa80, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_MISC3", 0xa8b, {
		{"VALUE", 0xffffffff, 0x0}
	} },
	{"VM_L2_CONTEXT1_IDENTITY_APERTURE_HIGH_ADDR", 0x576, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_CLKSEL_D1", 0xde, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_CLKSEL_D0", 0xce, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_PERFCOUNTER2_CFG", 0x7b6, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_CG_CONFIG", 0x96f, {
		{"MCDX_WR_ENABLE", 0x2, 0x1},
		{"INDEX", 0x3fffc0, 0x6},
		{"MCDY_WR_ENABLE", 0x4, 0x2},
		{"MCDZ_WR_ENABLE", 0x8, 0x3},
		{"MC_RD_ENABLE", 0x30, 0x4},
		{"MCDW_WR_ENABLE", 0x1, 0x0}
	} },
	{"MC_ARB_WTM_GRPWT_WR", 0x9e2, {
		{"GRP_EXT", 0xff0000, 0x10},
		{"GRP3", 0xc0, 0x6},
		{"GRP2", 0x30, 0x4},
		{"GRP1", 0xc, 0x2},
		{"GRP0", 0x3, 0x0},
		{"GRP7", 0xc000, 0xe},
		{"GRP6", 0x3000, 0xc},
		{"GRP5", 0xc00, 0xa},
		{"GRP4", 0x300, 0x8}
	} },
	{"ATC_VMID_PASID_MAPPING_UPDATE_STATUS", 0xce6, {
		{"VMID1_REMAPPING_FINISHED", 0x2, 0x1},
		{"VMID12_REMAPPING_FINISHED", 0x1000, 0xc},
		{"VMID7_REMAPPING_FINISHED", 0x80, 0x7},
		{"VMID14_REMAPPING_FINISHED", 0x4000, 0xe},
		{"VMID3_REMAPPING_FINISHED", 0x8, 0x3},
		{"VMID10_REMAPPING_FINISHED", 0x400, 0xa},
		{"VMID9_REMAPPING_FINISHED", 0x200, 0x9},
		{"VMID11_REMAPPING_FINISHED", 0x800, 0xb},
		{"VMID4_REMAPPING_FINISHED", 0x10, 0x4},
		{"VMID13_REMAPPING_FINISHED", 0x2000, 0xd},
		{"VMID0_REMAPPING_FINISHED", 0x1, 0x0},
		{"VMID15_REMAPPING_FINISHED", 0x8000, 0xf},
		{"VMID6_REMAPPING_FINISHED", 0x40, 0x6},
		{"VMID5_REMAPPING_FINISHED", 0x20, 0x5},
		{"VMID2_REMAPPING_FINISHED", 0x4, 0x2},
		{"VMID8_REMAPPING_FINISHED", 0x100, 0x8}
	} },
	{"MC_SEQ_STATUS_S", 0xa20, {
		{"SEQ1_ARB_DATA_FIFO_FULL", 0x2, 0x1},
		{"SEQ0_RS_DATA_FIFO_EMPTY", 0x100, 0x8},
		{"SEQ0_ARB_DATA_FIFO_FULL", 0x1, 0x0},
		{"SEQ0_ARB_CMD_FIFO_FULL", 0x10, 0x4},
		{"SEQ1_RS_DATA_FIFO_EMPTY", 0x200, 0x9},
		{"SEQ1_ARB_CMD_FIFO_FULL", 0x20, 0x5}
	} },
	{"MC_SEQ_DRAM_ERROR_INSERTION", 0xacb, {
		{"RX", 0xffff0000, 0x10},
		{"TX", 0xffff, 0x0}
	} },
	{"MC_XBAR_RDREQ_PRI_CREDIT", 0xc84, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"MC_SEQ_STATUS_M", 0xa7d, {
		{"PMG_PWRSTATE", 0x10000, 0x10},
		{"SEQ1_BUSY", 0x8000, 0xf},
		{"SS_SLF_D0", 0x40, 0x6},
		{"SS_SLF_D1", 0x80, 0x7},
		{"SEQ0_RS_DATA_FIFO_FULL", 0x1000, 0xc},
		{"SEQ0_BUSY_HYS", 0x2000000, 0x19},
		{"SEQ0_ALLOWSTOP", 0x8000000, 0x1b},
		{"CMD_RDY_D1", 0x8, 0x3},
		{"CMD_RDY_D0", 0x4, 0x2},
		{"SEQ1_ARB_CMD_FIFO_EMPTY", 0x200, 0x9},
		{"SEQ1_BUSY_HYS", 0x4000000, 0x1a},
		{"PWRUP_COMPL_D1", 0x2, 0x1},
		{"SEQ1_RS_DATA_FIFO_FULL", 0x2000, 0xd},
		{"SEQ1_ALLOWSTOP", 0x10000000, 0x1c},
		{"SEQ0_BUSY", 0x4000, 0xe},
		{"SEQ0_ARB_CMD_FIFO_EMPTY", 0x100, 0x8},
		{"PWRUP_COMPL_D0", 0x1, 0x0},
		{"PMG_FSMSTATE", 0x1f00000, 0x14},
		{"SLF_D0", 0x10, 0x4},
		{"SLF_D1", 0x20, 0x5}
	} },
	{"MC_VM_AGP_BASE", 0x80c, {
		{"AGP_BASE", 0x3ffff, 0x0}
	} },
	{"MC_ARB_HARSH_CTL_WR", 0xdd7, {
		{"BWCNT_CATCHUP", 0x800, 0xb},
		{"FORCE_HIGHEST", 0xff, 0x0},
		{"PERF_MON_SEL", 0x1c00000, 0x16},
		{"USE_LEGACY_HARSH", 0x400, 0xa},
		{"ST_MODE", 0x3000, 0xc},
		{"BANK_AGE_ONLY", 0x200, 0x9},
		{"HARSH_RR", 0x100, 0x8},
		{"FORCE_STALL", 0x3fc000, 0xe}
	} },
	{"MC_IO_DEBUG_DBI_CDR_PHSIZE_D1", 0x15f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_CDR_PHSIZE_D0", 0x14f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_TXBST_PU_D0", 0x1a0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_PMG_CMD_MRS", 0xaab, {
		{"END", 0x100000, 0x14},
		{"MOP", 0x70000, 0x10},
		{"ADR_MSB0", 0x20000000, 0x1d},
		{"ADR_MSB1", 0x10000000, 0x1c},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0},
		{"BNK_MSB", 0x80000, 0x13}
	} },
	{"MC_SEQ_SUP_PGM", 0xa33, {
		{"CNTL", 0xffffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_ISP_MPM", 0xde1, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_RD_GRP_EXT", 0x978, {
		{"DBSTEN0", 0xf, 0x0},
		{"TC0", 0xf0, 0x4}
	} },
	{"MC_IO_DEBUG_CK_TXSLF_D1", 0x17b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_VM_APERTURE1_LOW_ADDR", 0xcc1, {
		{"VIRTUAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_VM_MB_L1_TLB2_STATUS", 0x897, {
		{"BUSY", 0x1, 0x0}
	} },
	{"ATC_ATS_FAULT_STATUS_ADDR", 0xccf, {
		{"PAGE_ADDR", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_CLKSEL_D1", 0xd0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT0_PAGE_TABLE_START_ADDR", 0x557, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_MEM_POWER_LS", 0x82a, {
		{"LS_SETUP", 0x3f, 0x0},
		{"LS_HOLD", 0xfc0, 0x6}
	} },
	{"ATC_L2_DEBUG2", 0xcd8, {
		{"DISABLE_CACHING_SPECULATIVE_READ_RETURNS", 0x800, 0xb},
		{"DISABLE_CACHING_FAULT_RETURNS", 0x4000, 0xe},
		{"EFFECTIVE_WORK_QUEUE_SIZE", 0xe0, 0x5},
		{"DEBUG_BUS_SELECT", 0x18000, 0xf},
		{"FORCE_CACHE_MISS", 0x100, 0x8},
		{"EFFECTIVE_CACHE_SIZE", 0x1f, 0x0},
		{"INVALIDATE_ALL", 0x200, 0x9},
		{"DEBUG_ECO", 0x60000, 0x11},
		{"DISABLE_CACHING_SPECULATIVE_WRITE_RETURNS", 0x1000, 0xc}
	} },
	{"MC_IO_DEBUG_ADDRH_RXPHASE_D0", 0x10d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRH_RXPHASE_D1", 0x11d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_VMID9_PASID_MAPPING", 0xcf0, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_WR_HUB", 0x988, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_IO_DEBUG_DQB0L_TXPHASE_D0", 0x120, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_TXPHASE_D1", 0x130, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT10_PAGE_TABLE_BASE_ADDR", 0x510, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_SEQ_PMG_TIMING", 0xa2c, {
		{"TCKSRE", 0x7, 0x0},
		{"TCKE_PULSE_MSB", 0x800000, 0x17},
		{"TCKE", 0x3f000, 0xc},
		{"SEQ_IDLE_SS", 0xff000000, 0x18},
		{"SEQ_IDLE", 0x1c0000, 0x12},
		{"TCKE_PULSE", 0xf00, 0x8},
		{"TCKSRX", 0x70, 0x4}
	} },
	{"MC_SEQ_TRAIN_EDC_THRESHOLD3", 0xaff, {
		{"CLEAR_RETRAIN_STATUS", 0x4, 0x2},
		{"RETRAIN_VBI", 0x8, 0x3},
		{"CH1_LINK_RETRAIN_IN_PROGRESS", 0x200, 0x9},
		{"CH0_LINK_RETRAIN_STATUS", 0x1, 0x0},
		{"RETRAIN_MONITOR", 0x30, 0x4},
		{"CH1_LINK_RETRAIN_STATUS", 0x2, 0x1},
		{"CH0_LINK_RETRAIN_IN_PROGRESS", 0x100, 0x8}
	} },
	{"MC_SEQ_TRAIN_EDC_THRESHOLD2", 0xafe, {
		{"THRESHOLD_PERIOD", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_TXSLF_D0", 0x16a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_TXSLF_D1", 0x17a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_RDREQ_HDP", 0x85b, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_ARB_PM_CNTL", 0x9ed, {
		{"OVRR_RFSH_STATE", 0x8000, 0xf},
		{"OVRR_WR", 0x1000, 0xc},
		{"OVRR_RD", 0x400, 0xa},
		{"OVRR_PM", 0x80, 0x7},
		{"IDLE_CNT", 0xf00000, 0x14},
		{"OVERRIDE_CGSTATE", 0x3, 0x0},
		{"RSV_0", 0x30000, 0x10},
		{"OVRR_WR_STATE", 0x2000, 0xd},
		{"OVRR_CGSQM", 0x8, 0x3},
		{"BLKOUT_ON_D1", 0x20, 0x5},
		{"OVRR_CGRFSH", 0x4, 0x2},
		{"OVRR_PM_STATE", 0x300, 0x8},
		{"IDLE_ON_D2", 0x40000, 0x12},
		{"IDLE_ON_D1", 0x40, 0x6},
		{"RSV_2", 0x2000000, 0x19},
		{"IDLE_ON_D3", 0x80000, 0x13},
		{"RSV_1", 0x1000000, 0x18},
		{"OVRR_RD_STATE", 0x800, 0xb},
		{"OVRR_RFSH", 0x4000, 0xe},
		{"SRFSH_ON_D1", 0x10, 0x4}
	} },
	{"MC_VM_MB_L1_TLB3_DEBUG", 0x8a5, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MC_ARB_GECC2_STATUS", 0x9c2, {
		{"RMWRD_CORR_CLEAR0", 0x1000000, 0x18},
		{"RMWRD_CORR_CLEAR1", 0x10000000, 0x1c},
		{"UNCORR_STS1", 0x20, 0x5},
		{"UNCORR_STS0", 0x2, 0x1},
		{"CORR_CLEAR1", 0x1000, 0xc},
		{"CORR_CLEAR0", 0x100, 0x8},
		{"RMWRD_CORR_STS1", 0x100000, 0x14},
		{"RMWRD_CORR_STS0", 0x10000, 0x10},
		{"FED_CLEAR1", 0x4000, 0xe},
		{"FED_CLEAR0", 0x400, 0xa},
		{"RSVD0", 0x8, 0x3},
		{"RSVD1", 0x80, 0x7},
		{"RSVD2", 0x800, 0xb},
		{"RSVD3", 0x8000, 0xf},
		{"RSVD4", 0xc0000, 0x12},
		{"RSVD5", 0xc00000, 0x16},
		{"RMWRD_UNCORR_STS0", 0x20000, 0x11},
		{"RMWRD_UNCORR_STS1", 0x200000, 0x15},
		{"RMWRD_UNCORR_CLEAR1", 0x20000000, 0x1d},
		{"RMWRD_UNCORR_CLEAR0", 0x2000000, 0x19},
		{"FED_STS0", 0x4, 0x2},
		{"FED_STS1", 0x40, 0x6},
		{"UNCORR_CLEAR0", 0x200, 0x9},
		{"UNCORR_CLEAR1", 0x2000, 0xd},
		{"CORR_STS0", 0x1, 0x0},
		{"CORR_STS1", 0x10, 0x4},
		{"RSVD6", 0xc000000, 0x1a}
	} },
	{"MC_IO_DEBUG_DQB2L_RXPHASE_D0", 0x104, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2L_RXPHASE_D1", 0x114, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_VMID8_PASID_MAPPING", 0xcef, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MPLL_SEQ_UCODE_1", 0xaea, {
		{"INSTR0", 0xf, 0x0},
		{"INSTR1", 0xf0, 0x4},
		{"INSTR2", 0xf00, 0x8},
		{"INSTR3", 0xf000, 0xc},
		{"INSTR4", 0xf0000, 0x10},
		{"INSTR5", 0xf00000, 0x14},
		{"INSTR6", 0xf000000, 0x18},
		{"INSTR7", 0xf0000000, 0x1c}
	} },
	{"MC_BIST_AUTO_CNTL", 0xa06, {
		{"ADR_GEN", 0xf0, 0x4},
		{"ADR_RESET", 0x2000000, 0x19},
		{"MOP", 0x3, 0x0},
		{"LFSR_KEY", 0xffff00, 0x8},
		{"LFSR_RESET", 0x1000000, 0x18}
	} },
	{"MPLL_SEQ_UCODE_2", 0xaeb, {
		{"INSTR12", 0xf0000, 0x10},
		{"INSTR13", 0xf00000, 0x14},
		{"INSTR10", 0xf00, 0x8},
		{"INSTR11", 0xf000, 0xc},
		{"INSTR14", 0xf000000, 0x18},
		{"INSTR15", 0xf0000000, 0x1c},
		{"INSTR8", 0xf, 0x0},
		{"INSTR9", 0xf0, 0x4}
	} },
	{"MC_IO_DEBUG_DQB3H_CLKSEL_D0", 0xc7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_RPB_CID_QUEUE_EX", 0x95a, {
		{"START", 0x1, 0x0},
		{"OFFSET", 0x3e, 0x1}
	} },
	{"MC_IO_DEBUG_UP_14", 0xe, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_OFSCAL_D1", 0xff, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_OFSCAL_D0", 0xef, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_15", 0xf, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_L2_CONTEXT_IDENTITY_PHYSICAL_OFFSET", 0x577, {
		{"PHYSICAL_PAGE_OFFSET", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_MISC_D1", 0xb9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_MISC_D0", 0xa9, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_TSM_DEBUG_INDEX", 0xacf, {
		{"TSM_DEBUG_INDEX", 0x1f, 0x0}
	} },
	{"MC_ARB_RAMCFG", 0x9d8, {
		{"RSV_2", 0x400, 0xa},
		{"RSV_1", 0x200, 0x9},
		{"RSV_3", 0x800, 0xb},
		{"CHANSIZE", 0x100, 0x8},
		{"RSV_4", 0x3e000, 0xd},
		{"NOOFCOLS", 0xc0, 0x6},
		{"NOOFBANK", 0x3, 0x0},
		{"NOOFROWS", 0x38, 0x3},
		{"NOOFGROUPS", 0x1000, 0xc},
		{"NOOFRANKS", 0x4, 0x2}
	} },
	{"MC_HUB_WDP_SEM", 0x874, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_WCDR_TXPHASE_D0", 0x1e4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_TXPHASE_D1", 0x1f4, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_MISC_D1", 0xbe, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ACMD_MISC_D0", 0xae, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_BIST_SADDR", 0xa08, {
		{"RANK", 0x10000000, 0x1c},
		{"COLH", 0x20000000, 0x1d},
		{"ROWH", 0xc0000000, 0x1e},
		{"COL", 0x3ff, 0x0},
		{"BANK", 0xf000000, 0x18},
		{"ROW", 0xfffc00, 0xa}
	} },
	{"MC_IO_DEBUG_WCDR_OFSCAL_D1", 0x1f2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_MISC_D0", 0xac, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_MISC_D1", 0xbc, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_WR_GRP_SYS", 0x806, {
		{"VCEU", 0xf0000000, 0x1c},
		{"VCE", 0xf000000, 0x18},
		{"SAM", 0xf000, 0xc},
		{"SMU", 0xf0000, 0x10},
		{"MCIF", 0xf0, 0x4},
		{"RLC", 0xf00, 0x8},
		{"IH", 0xf, 0x0},
		{"SDMA1", 0xf00000, 0x14}
	} },
	{"MC_VM_MD_L1_TLB1_STATUS", 0x99c, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_VM_MX_L1_TLB_CNTL", 0x819, {
		{"SYSTEM_ACCESS_MODE", 0x18, 0x3},
		{"SYSTEM_APERTURE_UNMAPPED_ACCESS", 0x20, 0x5},
		{"ENABLE_ADVANCED_DRIVER_MODEL", 0x40, 0x6},
		{"ENABLE_L1_TLB", 0x1, 0x0},
		{"ENABLE_L1_FRAGMENT_PROCESSING", 0x2, 0x1},
		{"ECO_BITS", 0x780, 0x7}
	} },
	{"MC_ARB_WTM_CNTL_WR", 0x9e0, {
		{"ACP_OVER_DISP", 0x1000, 0xc},
		{"ACP_HARSH_PRI", 0x800, 0xb},
		{"ALLOW_STUTTER_GRP5", 0x100, 0x8},
		{"ALLOW_STUTTER_GRP4", 0x80, 0x7},
		{"ALLOW_STUTTER_GRP7", 0x400, 0xa},
		{"ALLOW_STUTTER_GRP6", 0x200, 0x9},
		{"ALLOW_STUTTER_GRP1", 0x10, 0x4},
		{"ALLOW_STUTTER_GRP0", 0x8, 0x3},
		{"ALLOW_STUTTER_GRP3", 0x40, 0x6},
		{"ALLOW_STUTTER_GRP2", 0x20, 0x5},
		{"FORCE_ACP_URG", 0x2000, 0xd},
		{"WTMODE", 0x3, 0x0},
		{"HARSH_PRI", 0x4, 0x2}
	} },
	{"MC_CITF_CREDITS_ARB_RD", 0x972, {
		{"READ_LCL", 0xff, 0x0},
		{"READ_HUB", 0xff00, 0x8},
		{"READ_PRI", 0xff0000, 0x10},
		{"LCL_PRI", 0x1000000, 0x18},
		{"HUB_PRI", 0x2000000, 0x19}
	} },
	{"MC_ARB_PERFCOUNTER_HI", 0x7ae, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_ADDR", 0x53f, {
		{"LOGICAL_PAGE_ADDR", 0xfffffff, 0x0}
	} },
	{"MC_SEQ_RXFRAMING_DBI_D1", 0xa71, {
		{"DBI1", 0xf0, 0x4},
		{"DBI0", 0xf, 0x0},
		{"DBI3", 0xf000, 0xc},
		{"DBI2", 0xf00, 0x8}
	} },
	{"MC_SEQ_RXFRAMING_DBI_D0", 0xa6b, {
		{"DBI1", 0xf0, 0x4},
		{"DBI0", 0xf, 0x0},
		{"DBI3", 0xf000, 0xc},
		{"DBI2", 0xf00, 0x8}
	} },
	{"MC_XBAR_RDREQ_CREDIT", 0xc83, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"MC_HUB_WDP_BYPASS_GBL1", 0x84b, {
		{"CID1", 0x1fe, 0x1},
		{"CID2", 0x1fe00, 0x9},
		{"ENABLE", 0x1, 0x0},
		{"HDP_PRIORITY_TIME", 0xfe0000, 0x11},
		{"OTH_PRIORITY_TIME", 0x7f000000, 0x18}
	} },
	{"MC_HUB_WDP_BYPASS_GBL0", 0x84a, {
		{"CID1", 0x1fe, 0x1},
		{"CID2", 0x1fe00, 0x9},
		{"ENABLE", 0x1, 0x0},
		{"HDP_PRIORITY_TIME", 0xfe0000, 0x11},
		{"OTH_PRIORITY_TIME", 0x7f000000, 0x18}
	} },
	{"MC_IO_DEBUG_UP_30", 0x1e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_CITF_PERF_MON_RSLT2", 0x991, {
		{"DB_WR_BUSY", 0x2000, 0xd},
		{"TC0_RD_BUSY", 0x100, 0x8},
		{"TC2_RD_BUSY", 0x8000, 0xf},
		{"TC1_RD_BUSY", 0x400, 0xa},
		{"CB_RD_BUSY", 0x40, 0x6},
		{"TC0_WR_BUSY", 0x10000, 0x10},
		{"CB_WR_BUSY", 0x1000, 0xc},
		{"VC0_RD_BUSY", 0x200, 0x9},
		{"TC1_WR_BUSY", 0x20000, 0x11},
		{"DB_RD_BUSY", 0x80, 0x7},
		{"TC2_WR_BUSY", 0x40000, 0x12},
		{"VC1_RD_BUSY", 0x800, 0xb},
		{"SX_WR_BUSY", 0x4000, 0xe}
	} },
	{"MC_IO_DEBUG_DQB2_CDR_PHSIZE_D0", 0x14d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_FED_CNTL", 0x9c1, {
		{"RDRET_PARITY_NACK", 0x20, 0x5},
		{"KEEP_POISON_IN_PAGE", 0x10, 0x4},
		{"WR_ERR", 0xc, 0x2},
		{"MODE", 0x3, 0x0},
		{"USE_LEGACY_NACK", 0x40, 0x6},
		{"DEBUG_RSV", 0xffffff80, 0x7}
	} },
	{"MC_IO_DEBUG_DQB0H_OFSCAL_D0", 0xe1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0H_OFSCAL_D1", 0xf1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_MISC_IDLE_STATUS", 0x847, {
		{"OUTSTANDING_HDP_READ", 0x4000, 0xe},
		{"OUTSTANDING_IA_READ", 0x100000, 0x14},
		{"OUTSTANDING_ISP_WRITE", 0x80000000, 0x1f},
		{"OUTSTANDING_GFX_WRITE", 0x2, 0x1},
		{"OUTSTANDING_DISP_READ", 0x100, 0x8},
		{"OUTSTANDING_XDMA_READ", 0x10000000, 0x1c},
		{"OUTSTANDING_XDMA_WRITE", 0x20000000, 0x1d},
		{"OUTSTANDING_CP_READ", 0x4000000, 0x1a},
		{"OUTSTANDING_ISP_READ", 0x40000000, 0x1e},
		{"OUTSTANDING_RLC_WRITE", 0x8, 0x3},
		{"OUTSTANDING_SMU_WRITE", 0x2000, 0xd},
		{"OUTSTANDING_SMU_READ", 0x1000, 0xc},
		{"OUTSTANDING_GFX_READ", 0x1, 0x0},
		{"OUTSTANDING_IA_WRITE", 0x200000, 0x15},
		{"OUTSTANDING_OTH_READ", 0x10000, 0x10},
		{"OUTSTANDING_VMC_READ", 0x40000, 0x12},
		{"OUTSTANDING_SDMA1_WRITE", 0x80, 0x7},
		{"OUTSTANDING_UVD_READ", 0x400, 0xa},
		{"OUTSTANDING_ACP_READ", 0x1000000, 0x18},
		{"OUTSTANDING_VCE_WRITE", 0x800000, 0x17},
		{"OUTSTANDING_UVD_WRITE", 0x800, 0xb},
		{"OUTSTANDING_SDMA0_READ", 0x10, 0x4},
		{"OUTSTANDING_CP_WRITE", 0x8000000, 0x1b},
		{"OUTSTANDING_SDMA0_WRITE", 0x20, 0x5},
		{"OUTSTANDING_RLC_READ", 0x4, 0x2},
		{"OUTSTANDING_HDP_WRITE", 0x8000, 0xf},
		{"OUTSTANDING_DISP_WRITE", 0x200, 0x9},
		{"OUTSTANDING_ACP_WRITE", 0x2000000, 0x19},
		{"OUTSTANDING_SDMA1_READ", 0x40, 0x6},
		{"OUTSTANDING_VMC_WRITE", 0x80000, 0x13},
		{"OUTSTANDING_VCE_READ", 0x400000, 0x16},
		{"OUTSTANDING_OTH_WRITE", 0x20000, 0x11}
	} },
	{"MC_IO_DEBUG_DQB3H_OFSCAL_D1", 0xf7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_OFSCAL_D0", 0xe7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_MCDX", 0x868, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_HUB_WDP_MCDY", 0x869, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_HUB_WDP_MCDV", 0xdee, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_HUB_WDP_MCDW", 0x867, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_SEQ_PMG_PG_HWCNTL", 0xab9, {
		{"ACAO", 0x40000, 0x12},
		{"AC_DLY", 0x300, 0x8},
		{"STAGGER_EN", 0x2, 0x1},
		{"TXAO", 0x10000, 0x10},
		{"D_DLY", 0xc0, 0x6},
		{"PWRGATE_EN", 0x1, 0x0},
		{"G_DLY", 0x3c00, 0xa},
		{"TPGCG", 0x3c, 0x2},
		{"RXAO", 0x20000, 0x11}
	} },
	{"MC_HUB_WDP_MCDU", 0xded, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_HUB_WDP_MCDS", 0xdeb, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MPLL_DQ_1_1_STATUS", 0xafa, {
		{"FREQ_UNLOCK_STICKY", 0x80000, 0x13},
		{"OINT_RESET", 0x20000, 0x11},
		{"TEST_FBDIV_FRAC", 0x70, 0x4},
		{"FREQ_LOCK", 0x40000, 0x12},
		{"TEST_FBDIV_INT", 0x1ff80, 0x7},
		{"VCTRLADC", 0x7, 0x0}
	} },
	{"MC_RPB_PERF_COUNTER_CNTL", 0x958, {
		{"PERF_COUNTER_SELECT", 0x3, 0x0},
		{"STOP_ON_COUNTER_SATURATION", 0x10, 0x4},
		{"CLEAR_SELECTED_PERF_COUNTER", 0x4, 0x2},
		{"CLEAR_ALL_PERF_COUNTERS", 0x8, 0x3},
		{"PERF_COUNTER_ASSIGN_3", 0x1f000000, 0x18},
		{"PERF_COUNTER_ASSIGN_0", 0x3e00, 0x9},
		{"PERF_COUNTER_ASSIGN_1", 0x7c000, 0xe},
		{"PERF_COUNTER_ASSIGN_2", 0xf80000, 0x13},
		{"ENABLE_PERF_COUNTERS", 0x1e0, 0x5}
	} },
	{"MC_SEQ_TRAIN_WAKEUP_MASK", 0xa3d, {
		{"ALLOWSTOP1_WAKEUP", 0x80000, 0x13},
		{"D1_ARF_WAKEUP", 0x2, 0x1},
		{"D1_CMD_FIFO_READY_WAKEUP", 0x200, 0x9},
		{"PHY_PG_WAKEUP", 0x4000000, 0x1a},
		{"MCLK_FREQ_CHANGE_WAKEUP", 0x40, 0x6},
		{"SCLK_SRBM_READY_WAKEUP", 0x80, 0x7},
		{"RESERVE0_WAKEUP", 0x2000, 0xd},
		{"D1_DATA_FIFO_READY_WAKEUP", 0x800, 0xb},
		{"D0_IDLEH_WAKEUP", 0x1000000, 0x18},
		{"D1_WEDC_WAKEUP", 0x20, 0x5},
		{"ALLOWSTOPB0_WAKEUP", 0x200000, 0x15},
		{"ALLOWSTOPB1_WAKEUP", 0x400000, 0x16},
		{"D0_DATA_FIFO_READY_WAKEUP", 0x400, 0xa},
		{"SREG_WAKEUP", 0x8000000, 0x1b},
		{"ALLOWSTOP0_WAKEUP", 0x40000, 0x12},
		{"D0_REDC_WAKEUP", 0x4, 0x2},
		{"TSM_DONE_WAKEUP", 0x4000, 0xe},
		{"DPM_LPT_WAKEUP", 0x800000, 0x17},
		{"SOFTWARE_WAKEUP_WAKEUP", 0x1000, 0xc},
		{"D0_CMD_FIFO_READY_WAKEUP", 0x100, 0x8},
		{"TIMER_DONE_WAKEUP", 0x8000, 0xf},
		{"D1_REDC_WAKEUP", 0x8, 0x3},
		{"D0_ARF_WAKEUP", 0x1, 0x0},
		{"D0_WEDC_WAKEUP", 0x10, 0x4},
		{"TCG_DONE_WAKEUP", 0x20000, 0x11},
		{"DPM_WAKEUP", 0x100000, 0x14},
		{"D1_IDLEH_WAKEUP", 0x2000000, 0x19}
	} },
	{"MC_SEQ_TSM_CTRL", 0xabe, {
		{"DIRECTION", 0x20, 0x5},
		{"UPDATE_LOOP", 0x300, 0x8},
		{"DONE1", 0x2000, 0xd},
		{"DONE0", 0x1000, 0xc},
		{"ERR", 0x8, 0x3},
		{"INVERT", 0x40, 0x6},
		{"DUAL_CH_EN", 0x800, 0xb},
		{"STEP", 0x10, 0x4},
		{"START", 0x1, 0x0},
		{"CAPTURE_START", 0x2, 0x1},
		{"DONE", 0x4, 0x2},
		{"ROT_INV", 0x400, 0xa},
		{"POINTER", 0xffff0000, 0x10},
		{"MASK_BITS", 0x80, 0x7}
	} },
	{"MC_IO_DEBUG_DQB0L_RXPHASE_D0", 0x100, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_RDREQ_DMIF_LIMIT", 0x848, {
		{"LIMIT_COUNT", 0x7c, 0x2},
		{"ENABLE", 0x3, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDS", 0xdf7, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"VM_CONTEXT8_PAGE_TABLE_BASE_ADDR", 0x50e, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_RX_VREF_CAL_D1", 0x156, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_RX_VREF_CAL_D0", 0x146, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_WCDR_CTRL", 0xa39, {
		{"PRBS_EN", 0x100000, 0x14},
		{"WCDR_PRE", 0xff, 0x0},
		{"WCDR_TIM", 0xf00, 0x8},
		{"PRE_MASK", 0xf0000000, 0x1c},
		{"PRBS_RST", 0x200000, 0x15},
		{"WR_EN", 0x1000, 0xc},
		{"TRAIN_EN", 0x8000, 0xf},
		{"RD_EN", 0x2000, 0xd},
		{"TWCDRL", 0xf0000, 0x10},
		{"PREAMBLE", 0xf000000, 0x18},
		{"AREF_EN", 0x4000, 0xe}
	} },
	{"MC_SEQ_TSM_OCNT", 0xac0, {
		{"TRUE_ACT", 0xf, 0x0},
		{"TESTS", 0xff00, 0x8},
		{"CMP_VALUE", 0xffff0000, 0x10},
		{"FALSE_ACT", 0xf0, 0x4}
	} },
	{"MC_HUB_WDP_HDP", 0x879, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_SEQ_WR_CTL_2", 0xad5, {
		{"DQS_DLY_H_D0", 0x2, 0x1},
		{"DQS_DLY_H_D1", 0x10, 0x4},
		{"OEN_DLY_H_D0", 0x4, 0x2},
		{"OEN_DLY_H_D1", 0x20, 0x5},
		{"WCDR_EN", 0x40, 0x6},
		{"DAT_DLY_H_D1", 0x8, 0x3},
		{"DAT_DLY_H_D0", 0x1, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_TXBST_PD_D1", 0x196, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_TXBST_PD_D0", 0x186, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_L2_BANK_SELECT_MASKB", 0x573, {
		{"BANK_SELECT_MASK", 0x1ff, 0x0}
	} },
	{"VM_L2_BANK_SELECT_MASKA", 0x572, {
		{"BANK_SELECT_MASK", 0xfffffff, 0x0}
	} },
	{"MC_SHARED_CHREMAP", 0x802, {
		{"CHAN5", 0xf00000, 0x14},
		{"CHAN4", 0xf0000, 0x10},
		{"CHAN7", 0xf0000000, 0x1c},
		{"CHAN6", 0xf000000, 0x18},
		{"CHAN1", 0xf0, 0x4},
		{"CHAN0", 0xf, 0x0},
		{"CHAN3", 0xf000, 0xc},
		{"CHAN2", 0xf00, 0x8}
	} },
	{"ATC_L2_CNTL2", 0xcd6, {
		{"BANK_SELECT", 0x3f, 0x0},
		{"ENABLE_L2_CACHE_LRU_UPDATE_BY_WRITE", 0x100, 0x8},
		{"L2_CACHE_VMID_MODE", 0x7000, 0xc},
		{"L2_CACHE_UPDATE_WILDCARD_REFERENCE_VALUE", 0x1f8000, 0xf},
		{"L2_CACHE_UPDATE_MODE", 0xc0, 0x6},
		{"L2_CACHE_SWAP_TAG_INDEX_LSBS", 0xe00, 0x9}
	} },
	{"MC_IO_DEBUG_DQB0L_TXBST_PD_D0", 0x180, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_TXBST_PD_D1", 0x190, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_CONFIG_MCD", 0x828, {
		{"MCD_INDEX_MODE_ENABLE", 0x80000000, 0x1f},
		{"MCD1_WR_ENABLE", 0x2, 0x1},
		{"MCD2_WR_ENABLE", 0x4, 0x2},
		{"MCD3_WR_ENABLE", 0x8, 0x3},
		{"ARB1_WR_ENABLE", 0x2000, 0xd},
		{"ARB0_WR_ENABLE", 0x1000, 0xc},
		{"MC_RD_ENABLE_SUB", 0x800, 0xb},
		{"MC_RD_ENABLE", 0x700, 0x8},
		{"MCD0_WR_ENABLE", 0x1, 0x0},
		{"MCD5_WR_ENABLE", 0x20, 0x5},
		{"MCD6_WR_ENABLE", 0x40, 0x6},
		{"MCD4_WR_ENABLE", 0x10, 0x4},
		{"MCD7_WR_ENABLE", 0x80, 0x7}
	} },
	{"MC_VM_MD_L1_TLB0_STATUS", 0x99b, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_RX_EQ_D1", 0x1d2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_RX_EQ_D0", 0x1c2, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_MISC_OVERRIDE", 0x833, {
		{"IDLE", 0x3, 0x0}
	} },
	{"MC_RPB_CID_QUEUE_EX_DATA", 0x95b, {
		{"READ_ENTRIES", 0xffff0000, 0x10},
		{"WRITE_ENTRIES", 0xffff, 0x0}
	} },
	{"MC_CITF_CREDITS_VM", 0x971, {
		{"READ_ALL", 0x3f, 0x0},
		{"WRITE_ALL", 0xfc0, 0x6}
	} },
	{"MC_IO_DEBUG_CMD_MISC_D0", 0xaf, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XPB_CLG_CFG31", 0x933, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"VM_CONTEXT4_PAGE_TABLE_BASE_ADDR", 0x553, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_SEQ_TSM_GCNT", 0xabf, {
		{"TRUE_ACT", 0xf, 0x0},
		{"TESTS", 0xff00, 0x8},
		{"COMP_VALUE", 0xffff0000, 0x10},
		{"FALSE_ACT", 0xf0, 0x4}
	} },
	{"MC_SEQ_RXFRAMING_EDC_D0", 0xa6c, {
		{"WCDR1", 0xf00000, 0x14},
		{"WCDR0", 0xf0000, 0x10},
		{"WCDR3", 0xf0000000, 0x1c},
		{"WCDR2", 0xf000000, 0x18},
		{"EDC2", 0xf00, 0x8},
		{"EDC3", 0xf000, 0xc},
		{"EDC0", 0xf, 0x0},
		{"EDC1", 0xf0, 0x4}
	} },
	{"MC_SEQ_RXFRAMING_EDC_D1", 0xa72, {
		{"WCDR1", 0xf00000, 0x14},
		{"WCDR0", 0xf0000, 0x10},
		{"WCDR3", 0xf0000000, 0x1c},
		{"WCDR2", 0xf000000, 0x18},
		{"EDC2", 0xf00, 0x8},
		{"EDC3", 0xf000, 0xc},
		{"EDC0", 0xf, 0x0},
		{"EDC1", 0xf0, 0x4}
	} },
	{"MC_SEQ_TXFRAMING_BYTE3_D1", 0xa63, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_SEQ_TXFRAMING_BYTE3_D0", 0xa5b, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_SEQ_WR_CTL_D1_LP", 0xaa0, {
		{"OEN_DLY", 0xf000, 0xc},
		{"CMD_DLY", 0x40000000, 0x1e},
		{"ODT_DLY", 0xf000000, 0x18},
		{"CMD_2Y_DLY", 0x800, 0xb},
		{"ODT_EXT", 0x10000000, 0x1c},
		{"DQS_DLY", 0xf0, 0x4},
		{"DQS_XTR", 0x100, 0x8},
		{"DAT_DLY", 0xf, 0x0},
		{"OEN_SEL", 0x300000, 0x14},
		{"ADR_DLY", 0x20000000, 0x1d},
		{"OEN_EXT", 0xf0000, 0x10},
		{"ADR_2Y_DLY", 0x400, 0xa},
		{"DAT_2Y_DLY", 0x200, 0x9}
	} },
	{"MPLL_CONTROL", 0xaf5, {
		{"DQ_1_0_BG_PWRON", 0x1000000, 0x18},
		{"GDDR_PWRON", 0x1, 0x0},
		{"SPARE_DQ_0_0", 0x80000, 0x13},
		{"DQ_1_1_PLL_RESET", 0x40000000, 0x1e},
		{"SPARE_DQ_1_0", 0x8000000, 0x1b},
		{"DQ_0_0_PLL_PWRON", 0x20000, 0x11},
		{"AD_PLL_PWRON", 0x2000, 0xd},
		{"DQ_0_1_PLL_RESET", 0x400000, 0x16},
		{"SPARE_DQ_1_1", 0x80000000, 0x1f},
		{"DQ_0_0_PLL_RESET", 0x40000, 0x12},
		{"DQ_1_0_PLL_RESET", 0x4000000, 0x1a},
		{"AD_PLL_RESET", 0x4000, 0xe},
		{"DQ_0_0_BG_PWRON", 0x10000, 0x10},
		{"REFCLK_PWRON", 0x2, 0x1},
		{"DQ_1_1_BG_PWRON", 0x10000000, 0x1c},
		{"SPARE_AD_0", 0x8000, 0xf},
		{"AD_BG_PWRON", 0x1000, 0xc},
		{"DQ_0_1_PLL_PWRON", 0x200000, 0x15},
		{"PLL_BUF_PWRON_TX", 0x4, 0x2},
		{"DQ_0_1_BG_PWRON", 0x100000, 0x14},
		{"SPARE_DQ_0_1", 0x800000, 0x17},
		{"DQ_1_0_PLL_PWRON", 0x2000000, 0x19},
		{"DQ_1_1_PLL_PWRON", 0x20000000, 0x1d}
	} },
	{"MC_IO_DEBUG_DQB2H_TXPHASE_D0", 0x125, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_TXPHASE_D1", 0x135, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_ADDR", 0x53e, {
		{"LOGICAL_PAGE_ADDR", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_BYPASS_GBL0", 0x84c, {
		{"CID1", 0x1fe, 0x1},
		{"CID2", 0x1fe00, 0x9},
		{"ENABLE", 0x1, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_MISC_D1", 0xba, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_TXBST_PU_D1", 0x1ba, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_TXBST_PU_D0", 0x1aa, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_OFSCAL_D1", 0xf6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_OFSCAL_D0", 0xe6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_VM_APERTURE0_LOW_ADDR", 0xcc0, {
		{"VIRTUAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"VM_CONTEXT3_PAGE_TABLE_BASE_ADDR", 0x552, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_CLKSEL_D0", 0x1e1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_CLKSEL_D1", 0x1f1, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_VM_MB_L1_TLB2_DEBUG", 0x893, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MC_XBAR_RDRET_PRI_CREDIT1", 0xc89, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"MC_XBAR_RDRET_PRI_CREDIT2", 0xc8a, {
		{"OUT4", 0xff, 0x0},
		{"OUT5", 0xff00, 0x8}
	} },
	{"MC_HUB_RDREQ_IA0", 0x84f, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_IA1", 0x850, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_MCDVM_PERFCOUNTER_LO", 0x7a4, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_ARB_HARSH_BWCNT1_RD", 0xdd0, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_IO_DEBUG_WCK_RXPHASE_D0", 0x10a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_RXPHASE_D1", 0x11a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_TSM_FLAG", 0xac3, {
		{"TRUE_ACT", 0xf, 0x0},
		{"FLAG_TESTS", 0xff00, 0x8},
		{"ERROR_TESTS", 0xff000000, 0x18},
		{"NBBL_MASK", 0xf0000, 0x10},
		{"FALSE_ACT", 0xf0, 0x4}
	} },
	{"MC_CITF_INT_CREDITS_WR", 0x97d, {
		{"CNTR_WR_HUB", 0x3f, 0x0},
		{"CNTR_WR_LCL", 0xfc0, 0x6}
	} },
	{"VM_INVALIDATE_REQUEST", 0x51e, {
		{"INVALIDATE_DOMAIN_0", 0x1, 0x0},
		{"INVALIDATE_DOMAIN_1", 0x2, 0x1},
		{"INVALIDATE_DOMAIN_2", 0x4, 0x2},
		{"INVALIDATE_DOMAIN_3", 0x8, 0x3},
		{"INVALIDATE_DOMAIN_4", 0x10, 0x4},
		{"INVALIDATE_DOMAIN_5", 0x20, 0x5},
		{"INVALIDATE_DOMAIN_6", 0x40, 0x6},
		{"INVALIDATE_DOMAIN_7", 0x80, 0x7},
		{"INVALIDATE_DOMAIN_8", 0x100, 0x8},
		{"INVALIDATE_DOMAIN_9", 0x200, 0x9},
		{"INVALIDATE_DOMAIN_12", 0x1000, 0xc},
		{"INVALIDATE_DOMAIN_13", 0x2000, 0xd},
		{"INVALIDATE_DOMAIN_10", 0x400, 0xa},
		{"INVALIDATE_DOMAIN_11", 0x800, 0xb},
		{"INVALIDATE_DOMAIN_14", 0x4000, 0xe},
		{"INVALIDATE_DOMAIN_15", 0x8000, 0xf}
	} },
	{"MC_RD_GRP_LCL", 0x98a, {
		{"CBFMASK0", 0xf00000, 0x14},
		{"CB0", 0xf000, 0xc},
		{"DBHTILE0", 0xf0000000, 0x1c},
		{"CBCMASK0", 0xf0000, 0x10},
		{"DB0", 0xf000000, 0x18}
	} },
	{"MC_RPB_ARB_CNTL", 0x951, {
		{"RD_SWITCH_NUM", 0xff00, 0x8},
		{"ATC_SWITCH_NUM", 0xff0000, 0x10},
		{"WR_SWITCH_NUM", 0xff, 0x0}
	} },
	{"MPLL_CNTL_MODE", 0xaec, {
		{"GLOBAL_MPLL_RESET", 0x80000000, 0x1f},
		{"INSTR_DELAY", 0xff, 0x0},
		{"SS_DSMODE_EN", 0x4000000, 0x1a},
		{"FAST_LOCK_CNTRL", 0x600000, 0x15},
		{"MPLL_MCLK_SEL", 0x800, 0xb},
		{"SS_SSEN", 0x3000000, 0x18},
		{"SPARE_3", 0x70000000, 0x1c},
		{"SPARE_2", 0x800000, 0x17},
		{"SPARE_1", 0x1000, 0xc},
		{"VTOI_BIAS_CNTRL", 0x8000000, 0x1b},
		{"QDR", 0x2000, 0xd},
		{"FAST_LOCK_EN", 0x100000, 0x14},
		{"MPLL_CHG_STATUS", 0x10000, 0x10},
		{"FORCE_TESTMODE", 0x20000, 0x11},
		{"MPLL_CTLREQ", 0x4000, 0xe},
		{"MPLL_SW_DIR_CONTROL", 0x100, 0x8}
	} },
	{"MC_IO_DEBUG_ADDRL_RXPHASE_D0", 0x10c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_RXPHASE_D1", 0x11c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_VM_APERTURE0_HIGH_ADDR", 0xcc2, {
		{"VIRTUAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"ATC_PERFCOUNTER_HI", 0x7af, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_XPB_P2P_BAR_DELTA_BELOW", 0x90f, {
		{"EN", 0xff, 0x0},
		{"DELTA", 0xfffff00, 0x8}
	} },
	{"MC_HUB_WRRET_MCDU", 0xdf1, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDT", 0xdf0, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDW", 0x87b, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDV", 0xdf2, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDS", 0xdef, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_ARB_RET_CREDITS2", 0x9c0, {
		{"NECKDOWN_CNTR_MONITOR_WR", 0x2000, 0xd},
		{"NECKDOWN_CNTR_EN_RD", 0x100, 0x8},
		{"NECKDOWN_CNTR_MONITOR_RD", 0x1000, 0xc},
		{"NECKDOWN_CNTR_EN_WR", 0x200, 0x9},
		{"HDP_RDRET_URG", 0x800, 0xb},
		{"ACP_WR", 0xff, 0x0},
		{"ACP_RDRET_URG", 0x400, 0xa}
	} },
	{"MC_HUB_WRRET_MCDY", 0x87d, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDX", 0x87c, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDZ", 0x87e, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_IO_DEBUG_DQB2H_TXBST_PD_D0", 0x185, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_TXBST_PD_D1", 0x195, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_RX_VREF_CAL_D0", 0x140, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0L_RX_VREF_CAL_D1", 0x150, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_RX_EQ_D1", 0x1d6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_RX_EQ_D0", 0x1c6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"GMCON_RENG_EXECUTE", 0xd42, {
		{"RENG_EXECUTE_END_PTR", 0xffc00000, 0x16},
		{"RENG_EXECUTE_NOW_START_PTR", 0xffc, 0x2},
		{"RENG_EXECUTE_DSP_END_PTR", 0x3ff000, 0xc},
		{"RENG_EXECUTE_ON_PWR_UP", 0x1, 0x0},
		{"RENG_EXECUTE_NOW", 0x2, 0x1}
	} },
	{"VM_PRT_APERTURE3_LOW_ADDR", 0x52f, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_TRAIN_PRBSERR_2_D1", 0xafc, {
		{"CK_STATUS", 0x1, 0x0},
		{"ADDR_STATUS", 0x3ff0000, 0x10},
		{"CS_STATUS", 0x30, 0x4},
		{"RAS_STATUS", 0x200, 0x9},
		{"CKB_STATUS", 0x2, 0x1},
		{"WE_STATUS", 0x800, 0xb},
		{"CAS_STATUS", 0x400, 0xa},
		{"ABI_STATUS", 0x10000000, 0x1c},
		{"CKE_STATUS", 0x100, 0x8}
	} },
	{"MC_TRAIN_PRBSERR_2_D0", 0xafb, {
		{"CK_STATUS", 0x1, 0x0},
		{"ADDR_STATUS", 0x3ff0000, 0x10},
		{"CS_STATUS", 0x30, 0x4},
		{"RAS_STATUS", 0x200, 0x9},
		{"CKB_STATUS", 0x2, 0x1},
		{"WE_STATUS", 0x800, 0xb},
		{"CAS_STATUS", 0x400, 0xa},
		{"ABI_STATUS", 0x10000000, 0x1c},
		{"CKE_STATUS", 0x100, 0x8}
	} },
	{"MC_IO_DEBUG_CMD_TXPHASE_D1", 0x13f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_TXPHASE_D0", 0x12f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_RET_CREDITS_WR", 0x9f5, {
		{"WRRET_BP", 0x10000000, 0x1c},
		{"LCL", 0xff, 0x0},
		{"RETURN_CREDIT", 0xff0000, 0x10},
		{"WRRET_SEQ_SKID", 0xf000000, 0x18},
		{"HUB", 0xff00, 0x8}
	} },
	{"MC_ARB_HARSH_TX_LO1_WR", 0xdc9, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_HUB_WDP_ISP_MPM", 0xde5, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_SEQ_PMG_CMD_EMRS_LP", 0xaa1, {
		{"END", 0x100000, 0x14},
		{"MOP", 0x70000, 0x10},
		{"ADR_MSB0", 0x20000000, 0x1d},
		{"ADR_MSB1", 0x10000000, 0x1c},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0},
		{"BNK_MSB", 0x80000, 0x13}
	} },
	{"MC_HUB_WDP_ISP_MPS", 0xde4, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_DQB0_CDR_PHSIZE_D0", 0x14b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB0_CDR_PHSIZE_D1", 0x15b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_RTT_CNTL2", 0x9d2, {
		{"SAMPLE_CNT", 0x3f, 0x0},
		{"FILTER_CNTL", 0x2000, 0xd},
		{"PHASE_ADJUST_SIZE", 0x1000, 0xc},
		{"PHASE_ADJUST_THRESHOLD", 0xfc0, 0x6}
	} },
	{"MC_ARB_RTT_CNTL1", 0x9d1, {
		{"WINDOW_SIZE_MIN", 0x3e000000, 0x19},
		{"WINDOW_SIZE", 0x1f, 0x0},
		{"WINDOW_SIZE_MAX", 0x1f00000, 0x14},
		{"WINDOW_INC_THRESHOLD", 0x1fc0, 0x6},
		{"WINDOW_UPDATE", 0x20, 0x5},
		{"WINDOW_UPDATE_COUNT", 0xc0000000, 0x1e},
		{"WINDOW_DEC_THRESHOLD", 0xfe000, 0xd}
	} },
	{"MC_ARB_RTT_CNTL0", 0x9d0, {
		{"ENABLE", 0x1, 0x0},
		{"START_R2W", 0xc, 0x2},
		{"DEBUG_RSV_8", 0x800000, 0x17},
		{"DEBUG_RSV_7", 0x400000, 0x16},
		{"DEBUG_RSV_6", 0x200000, 0x15},
		{"DEBUG_RSV_5", 0x100000, 0x14},
		{"DEBUG_RSV_4", 0x80000, 0x13},
		{"DEBUG_RSV_3", 0x40000, 0x12},
		{"DEBUG_RSV_2", 0x20000, 0x11},
		{"DEBUG_RSV_1", 0x10000, 0x10},
		{"DEBUG_RSV_0", 0x8000, 0xf},
		{"BREAK_ON_HARSH", 0x100, 0x8},
		{"TPS_HARSH_PRIORITY", 0x40, 0x6},
		{"BREAK_ON_URGENTWR", 0x400, 0xa},
		{"DATA_CNTL", 0x1000000, 0x18},
		{"BREAK_ON_URGENTRD", 0x200, 0x9},
		{"TWRT_HARSH_PRIORITY", 0x80, 0x7},
		{"START_R2W_RFSH", 0x4000, 0xe},
		{"FLUSH_ON_ENTER", 0x10, 0x4},
		{"TRAIN_PERIOD", 0x3800, 0xb},
		{"START_IDLE", 0x2, 0x1},
		{"NEIGHBOR_BIT", 0x2000000, 0x19},
		{"HARSH_START", 0x20, 0x5}
	} },
	{"MC_VM_L2_PERFCOUNTER_HI", 0x7ad, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_XPB_P2P_BAR_DEBUG", 0x90d, {
		{"MEM_SYS_BAR", 0xf000, 0xc},
		{"SEL", 0xff, 0x0},
		{"HOST_FLUSH", 0xf00, 0x8}
	} },
	{"MC_HUB_RDREQ_UMC", 0x860, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MC_IO_DEBUG_UP_132", 0x84, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_133", 0x85, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_130", 0x82, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_131", 0x83, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_RD_GRP_GFX", 0x803, {
		{"ACPO", 0xf0000, 0x10},
		{"SH", 0xf0, 0x4},
		{"XDMAM", 0xf000000, 0x18},
		{"ISP", 0xf00000, 0x14},
		{"ACPG", 0xf000, 0xc},
		{"IA", 0xf00, 0x8},
		{"CP", 0xf, 0x0}
	} },
	{"MC_IO_DEBUG_UP_137", 0x89, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_134", 0x86, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_135", 0x87, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XPB_SUB_CTRL", 0x922, {
		{"RESET_SID", 0x20000, 0x11},
		{"RESET_CGR", 0x80000, 0x13},
		{"WRREQ_BYPASS_XPB", 0x1, 0x0},
		{"STALL_WCB_HST_REQ", 0x80, 0x7},
		{"RESET_WCB", 0x4000, 0xe},
		{"STALL_CNS_RTR_REQ", 0x2, 0x1},
		{"STALL_RTR_RPB_WRREQ", 0x4, 0x2},
		{"RESET_RTR", 0x800, 0xb},
		{"STALL_MAP_WCB_REQ", 0x10, 0x4},
		{"RESET_HOP", 0x10000, 0x10},
		{"STALL_XPB_RPB_REQ_ATTR", 0x200, 0x9},
		{"STALL_MC_XSP_REQ_SEND", 0x40, 0x6},
		{"STALL_HST_HOP_REQ", 0x100, 0x8},
		{"RESET_HST", 0x8000, 0xf},
		{"RESET_RET", 0x1000, 0xc},
		{"STALL_WCB_SID_REQ", 0x20, 0x5},
		{"RESET_MAP", 0x2000, 0xd},
		{"STALL_RTR_MAP_REQ", 0x8, 0x3},
		{"RESET_SRB", 0x40000, 0x12},
		{"RESET_CNS", 0x400, 0xa}
	} },
	{"MC_HUB_WRRET_STATUS", 0x83a, {
		{"MCDZ_AVAIL", 0x8, 0x3},
		{"MCDW_AVAIL", 0x1, 0x0},
		{"MCDX_AVAIL", 0x2, 0x1},
		{"MCDY_AVAIL", 0x4, 0x2},
		{"MCDV_AVAIL", 0x80, 0x7},
		{"MCDT_AVAIL", 0x20, 0x5},
		{"MCDU_AVAIL", 0x40, 0x6},
		{"MCDS_AVAIL", 0x10, 0x4}
	} },
	{"MC_IO_DEBUG_DBI_RXPHASE_D0", 0x108, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_RXPHASE_D1", 0x118, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_ERR", 0x836, {
		{"MGPU1_TARG_SYS", 0x1, 0x0},
		{"MGPU2_TARG_SYS", 0x2, 0x1}
	} },
	{"MC_RPB_PERFCOUNTER_LO", 0x7a2, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_RPB_RD_SWITCH_CNTL", 0x955, {
		{"QUEUE1_SWITCH_NUM", 0xff00, 0x8},
		{"QUEUE0_SWITCH_NUM", 0xff, 0x0},
		{"QUEUE3_SWITCH_NUM", 0xff000000, 0x18},
		{"QUEUE2_SWITCH_NUM", 0xff0000, 0x10}
	} },
	{"MC_SEQ_FIFO_CTL", 0xa57, {
		{"W_ASYC_EXT", 0x30000, 0x10},
		{"W_LD_INIT_D1", 0xc00, 0xa},
		{"CG_DIS_D1", 0x200, 0x9},
		{"W_DSYC_EXT", 0xc0000, 0x12},
		{"R_SYC_SEL", 0xc0, 0x6},
		{"R_DQS_LD_INIT", 0xf00000, 0x14},
		{"W_SYC_SEL", 0xc, 0x2},
		{"W_LD_INIT_D0", 0x3, 0x0},
		{"CG_DIS_D0", 0x100, 0x8},
		{"R_DQS_FRC", 0x10000000, 0x1c},
		{"SYC_DLY", 0x7000, 0xc},
		{"R_LD_INIT", 0x30, 0x4},
		{"R_DQS_STEP", 0xf000000, 0x18}
	} },
	{"MC_WR_GRP_EXT", 0x979, {
		{"DBSTEN0", 0xf, 0x0},
		{"TC0", 0xf0, 0x4}
	} },
	{"MC_IMP_CNTL", 0xa36, {
		{"CAL_VREFMODE", 0x40, 0x6},
		{"MEM_IO_UPDATE_RATE", 0x1f, 0x0},
		{"TIMEOUT_ERR", 0x100, 0x8},
		{"CAL_WHEN_REFRESH", 0x40000000, 0x1e},
		{"CLEAR_TIMEOUT_ERR", 0x200, 0x9},
		{"CAL_PWRON", 0x80000000, 0x1f},
		{"CAL_VREF_SEL", 0x20, 0x5},
		{"CAL_WHEN_IDLE", 0x20000000, 0x1d},
		{"CAL_VREF", 0x7f0000, 0x10},
		{"MEM_IO_SAMPLE_CNT", 0xe000, 0xd}
	} },
	{"MC_HUB_MISC_POWER", 0x82d, {
		{"PM_BLACKOUT_CNTL", 0x18, 0x3},
		{"SRBM_GATE_OVERRIDE", 0x4, 0x2}
	} },
	{"MC_IO_DEBUG_ADDRL_TXPHASE_D0", 0x12c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_TXPHASE_D1", 0x13c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT1_PAGE_TABLE_START_ADDR", 0x558, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_TXSLF_D1", 0x172, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_TXSLF_D0", 0x162, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_PMG_CMD_MRS1_LP", 0xad2, {
		{"END", 0x100000, 0x14},
		{"MOP", 0x70000, 0x10},
		{"ADR_MSB0", 0x20000000, 0x1d},
		{"ADR_MSB1", 0x10000000, 0x1c},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0},
		{"BNK_MSB", 0x80000, 0x13}
	} },
	{"VM_CONTEXT0_PAGE_TABLE_END_ADDR", 0x55f, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_ARB_HARSH_BWPERIOD0_RD", 0xdca, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"VM_PRT_APERTURE2_LOW_ADDR", 0x52e, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRH_CLKSEL_D0", 0xcd, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRH_CLKSEL_D1", 0xdd, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_HARSH_BWPERIOD1_RD", 0xdcc, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_XPB_STICKY", 0x925, {
		{"BITS", 0xffffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_MISC_D0", 0xa7, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_RFSH_RATE", 0x9ec, {
		{"POWERMODE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CK_TXSLF_D0", 0x16b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_CITF_DAGB_DLY", 0x977, {
		{"DLY", 0x1f, 0x0},
		{"CLI", 0x3f0000, 0x10},
		{"POS", 0x1f000000, 0x18}
	} },
	{"MC_ARB_HARSH_TX_HI0_RD", 0xdc2, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_IO_DEBUG_CMD_CLKSEL_D1", 0xdf, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_CLKSEL_D0", 0xcf, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_89", 0x59, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_RX_EQ_PM_D1", 0xfb, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_RX_EQ_PM_D0", 0xeb, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_DUMMY_PAGE_FAULT_ADDR", 0x507, {
		{"DUMMY_PAGE_ADDR", 0xfffffff, 0x0}
	} },
	{"MC_HUB_WDP_VCEU", 0x87f, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_CITF_PERFCOUNTER3_CFG", 0x7b3, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"VM_CONTEXT0_CNTL", 0x504, {
		{"VALID_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x1000, 0xc},
		{"READ_PROTECTION_FAULT_ENABLE_SAVE", 0x20000, 0x11},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x80, 0x7},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_SAVE", 0x800000, 0x17},
		{"VALID_PROTECTION_FAULT_ENABLE_DEFAULT", 0x2000, 0xd},
		{"RANGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x10, 0x4},
		{"ENABLE_CONTEXT", 0x1, 0x0},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_DEFAULT", 0x400000, 0x16},
		{"PDE0_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x200, 0x9},
		{"READ_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x8000, 0xf},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x40, 0x6},
		{"PDE0_PROTECTION_FAULT_ENABLE_SAVE", 0x800, 0xb},
		{"WRITE_PROTECTION_FAULT_ENABLE_SAVE", 0x100000, 0x14},
		{"PDE0_PROTECTION_FAULT_ENABLE_DEFAULT", 0x400, 0xa},
		{"RANGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x8, 0x3},
		{"WRITE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x40000, 0x12},
		{"PAGE_TABLE_BLOCK_SIZE", 0xf000000, 0x18},
		{"VALID_PROTECTION_FAULT_ENABLE_SAVE", 0x4000, 0xe},
		{"READ_PROTECTION_FAULT_ENABLE_DEFAULT", 0x10000, 0x10},
		{"PAGE_TABLE_DEPTH", 0x6, 0x1},
		{"WRITE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x80000, 0x13},
		{"PRIVILEGED_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x200000, 0x15}
	} },
	{"MC_XPB_CLG_CFG34", 0x938, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG35", 0x939, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG36", 0x93a, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG30", 0x932, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_SEQ_TSM_DBI", 0xac6, {
		{"DBI", 0xffffffff, 0x0}
	} },
	{"MC_XPB_CLG_CFG32", 0x936, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG33", 0x937, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_ARB_GECC2_DEBUG2", 0x9c5, {
		{"ERR0_START", 0xff00, 0x8},
		{"PERIOD", 0xff, 0x0},
		{"ERR2_START", 0xff000000, 0x18},
		{"ERR1_START", 0xff0000, 0x10}
	} },
	{"MC_IMP_DQ_STATUS", 0xabc, {
		{"CH0_DQ_PSTR", 0xff, 0x0},
		{"CH0_DQ_NSTR", 0xff00, 0x8},
		{"CH1_DQ_NSTR", 0xff000000, 0x18},
		{"CH1_DQ_PSTR", 0xff0000, 0x10}
	} },
	{"MC_IO_DEBUG_ADDRH_TXSLF_D0", 0x16d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRH_TXSLF_D1", 0x17d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_G5PDX_CMD1", 0xd85, {
		{"CMD", 0xffffffff, 0x0}
	} },
	{"MC_SEQ_G5PDX_CMD0", 0xd83, {
		{"CMD", 0xffffffff, 0x0}
	} },
	{"ATC_VMID5_PASID_MAPPING", 0xcec, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_HUB_RDREQ_SMU", 0x858, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_DQB2H_RXPHASE_D0", 0x105, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB2H_RXPHASE_D1", 0x115, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_PERFCOUNTER1_CFG", 0x7bd, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_ATS_FAULT_CNTL", 0xccd, {
		{"FAULT_CRASH_TABLE", 0x3f00000, 0x14},
		{"FAULT_INTERRUPT_TABLE", 0xfc00, 0xa},
		{"FAULT_REGISTER_LOG", 0x3f, 0x0}
	} },
	{"ATC_L1WR_DEBUG_TLB", 0xcdf, {
		{"DISABLE_CACHING_FAULT_RETURNS", 0x80000000, 0x1f},
		{"EFFECTIVE_WORK_QUEUE_SIZE", 0x700, 0x8},
		{"DISABLE_INVALIDATE_BY_ADDRESS_RANGE", 0x2, 0x1},
		{"CREDITS_L1_L2", 0x3f000, 0xc},
		{"DISABLE_FRAGMENTS", 0x1, 0x0},
		{"INVALIDATE_ALL", 0x40000000, 0x1e},
		{"EFFECTIVE_CAM_SIZE", 0xf0, 0x4},
		{"DEBUG_ECO", 0x30000000, 0x1c},
		{"CREDITS_L1_RPB", 0xff00000, 0x14}
	} },
	{"MC_SEQ_CMD", 0xa31, {
		{"END", 0x100000, 0x14},
		{"ADR_MSB1", 0x10000000, 0x1c},
		{"ADR_MSB0", 0x20000000, 0x1d},
		{"MOP", 0xf0000, 0x10},
		{"CHAN1", 0x2000000, 0x19},
		{"CHAN0", 0x1000000, 0x18},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0}
	} },
	{"MC_ARB_BURST_TIME", 0xa02, {
		{"STATE3", 0xf8000, 0xf},
		{"STATE2", 0x7c00, 0xa},
		{"STATE1", 0x3e0, 0x5},
		{"STATE0", 0x1f, 0x0}
	} },
	{"MC_SEQ_SUP_GP2_STAT", 0xa85, {
		{"STATUS", 0xffffffff, 0x0}
	} },
	{"MC_HUB_PERFCOUNTER1_CFG", 0x7b5, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_CK_TXPHASE_D0", 0x12b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CK_TXPHASE_D1", 0x13b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_GDEC_WR_CNTL", 0x9ef, {
		{"USE_RSNO", 0x200, 0x9},
		{"REM_DEFAULT_GRP", 0x3c00, 0xa},
		{"USE_RANK", 0x100, 0x8},
		{"PAGEBIT0", 0xf, 0x0},
		{"PAGEBIT1", 0xf0, 0x4}
	} },
	{"MC_SEQ_TXFRAMING_BYTE0_D0", 0xa58, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_SEQ_TXFRAMING_BYTE0_D1", 0xa60, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"ATC_L1_CNTL", 0xcdc, {
		{"NEED_ATS_BEHAVIOR", 0x4, 0x2},
		{"DONT_NEED_ATS_BEHAVIOR", 0x3, 0x0},
		{"NEED_ATS_SNOOP_DEFAULT", 0x10, 0x4}
	} },
	{"MC_ARB_ADDR_SWIZ1", 0x9cc, {
		{"A17", 0xf0, 0x4},
		{"A16", 0xf, 0x0},
		{"A19", 0xf000, 0xc},
		{"A18", 0xf00, 0x8}
	} },
	{"MC_ARB_ADDR_SWIZ0", 0x9cb, {
		{"A15", 0xf0000000, 0x1c},
		{"A14", 0xf000000, 0x18},
		{"A11", 0xf000, 0xc},
		{"A10", 0xf00, 0x8},
		{"A13", 0xf00000, 0x14},
		{"A12", 0xf0000, 0x10},
		{"A9", 0xf0, 0x4},
		{"A8", 0xf, 0x0}
	} },
	{"MC_XPB_MISC_CFG", 0x927, {
		{"TRIGGERNAME", 0x80000000, 0x1f},
		{"FIELDNAME1", 0xff00, 0x8},
		{"FIELDNAME0", 0xff, 0x0},
		{"FIELDNAME3", 0x7f000000, 0x18},
		{"FIELDNAME2", 0xff0000, 0x10}
	} },
	{"MC_IO_TXCNTL_APHY_D1", 0xa51, {
		{"TXBYPASS_DATA", 0x38000000, 0x1b},
		{"TSTEN", 0x1000000, 0x18},
		{"LOWCMEN", 0x10, 0x4},
		{"CKE_BIT", 0x40000000, 0x1e},
		{"CKE_SEL", 0x80000000, 0x1f},
		{"TXBYPASS", 0x4000000, 0x1a},
		{"EMPH", 0x40, 0x6},
		{"TXBPASS_SEL", 0x1000, 0xc},
		{"PMA_LOOPBACK", 0xe000, 0xd},
		{"PTERM", 0xf00, 0x8},
		{"QDR", 0x20, 0x5},
		{"TXRESET", 0x2000000, 0x19},
		{"YCLKON", 0x800000, 0x17},
		{"PDRV", 0xf0000, 0x10},
		{"TXPD", 0x80, 0x7},
		{"NDRV", 0x700000, 0x14},
		{"BIASSEL", 0x3, 0x0},
		{"DRVDUTY", 0xc, 0x2}
	} },
	{"MC_IO_DEBUG_DQB3H_TXPHASE_D0", 0x127, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_TXBST_PD_D1", 0x193, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_TXBST_PD_D0", 0x183, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_BIST_DATA_MASK", 0xa12, {
		{"MASK", 0xffffffff, 0x0}
	} },
	{"MC_ARB_HARSH_SAT1_WR", 0xdd5, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_XPB_P2P_BAR_DELTA_ABOVE", 0x90e, {
		{"EN", 0xff, 0x0},
		{"DELTA", 0xfffff00, 0x8}
	} },
	{"MC_SEQ_TRAIN_WAKEUP_CNTL", 0xa3a, {
		{"SELF_REFRESH_READ_TRAIN", 0x40, 0x6},
		{"AUTO_REFRESH_ADDR_TRAIN", 0x100, 0x8},
		{"STOP_WCK_D0", 0x200000, 0x15},
		{"STOP_WCK_D1", 0x400000, 0x16},
		{"BOOT_UP_READ_TRAIN", 0x4, 0x2},
		{"AUTO_REFRESH_WAKEUP_EARLY", 0x100000, 0x14},
		{"AUTO_REFRESH_READ_TRAIN", 0x400, 0xa},
		{"BOOT_UP_ADDR_TRAIN", 0x1, 0x0},
		{"READ_ECC_ADDR_TRAIN", 0x10000, 0x10},
		{"DISP_ASTOP_WAKEUP", 0x20000000, 0x1d},
		{"WRITE_ECC_WRITE_TRAIN", 0x8000, 0xf},
		{"SW_WAKEUP", 0x10000000, 0x1c},
		{"READ_ECC_READ_TRAIN", 0x40000, 0x12},
		{"SELF_REFRESH_WCK_TRAIN", 0x20, 0x5},
		{"BLOCK_ARB_RD_D0", 0x1000000, 0x18},
		{"AUTO_REFRESH_WRITE_TRAIN", 0x800, 0xb},
		{"SELF_REFRESH_WRITE_TRAIN", 0x80, 0x7},
		{"BLOCK_ARB_RD_D1", 0x4000000, 0x1a},
		{"WRITE_ECC_ADDR_TRAIN", 0x1000, 0xc},
		{"WRITE_ECC_WCK_TRAIN", 0x2000, 0xd},
		{"SELF_REFRESH_ADDR_TRAIN", 0x10, 0x4},
		{"WRITE_ECC_READ_TRAIN", 0x4000, 0xe},
		{"BOOT_UP_WCK_TRAIN", 0x2, 0x1},
		{"AUTO_REFRESH_WCK_TRAIN", 0x200, 0x9},
		{"READ_ECC_WRITE_TRAIN", 0x80000, 0x13},
		{"BLOCK_ARB_WR_D1", 0x8000000, 0x1b},
		{"BLOCK_ARB_WR_D0", 0x2000000, 0x19},
		{"TRAIN_DONE_D1", 0x80000000, 0x1f},
		{"TRAIN_DONE_D0", 0x40000000, 0x1e},
		{"READ_ECC_WCK_TRAIN", 0x20000, 0x11},
		{"BOOT_UP_WRITE_TRAIN", 0x8, 0x3}
	} },
	{"MC_RPB_PERFCOUNTER3_CFG", 0x7bb, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_SEQ_TRAIN_WAKEUP_EDGE", 0xa3c, {
		{"ALLOWSTOP1_WAKEUP", 0x80000, 0x13},
		{"D1_ARF_WAKEUP", 0x2, 0x1},
		{"D1_CMD_FIFO_READY_WAKEUP", 0x200, 0x9},
		{"PHY_PG_WAKEUP", 0x4000000, 0x1a},
		{"MCLK_FREQ_CHANGE_WAKEUP", 0x40, 0x6},
		{"SCLK_SRBM_READY_WAKEUP", 0x80, 0x7},
		{"RESERVE0_WAKEUP", 0x2000, 0xd},
		{"D1_DATA_FIFO_READY_WAKEUP", 0x800, 0xb},
		{"D0_IDLEH_WAKEUP", 0x1000000, 0x18},
		{"D1_WEDC_WAKEUP", 0x20, 0x5},
		{"ALLOWSTOPB0_WAKEUP", 0x200000, 0x15},
		{"ALLOWSTOPB1_WAKEUP", 0x400000, 0x16},
		{"D0_DATA_FIFO_READY_WAKEUP", 0x400, 0xa},
		{"SREG_WAKEUP", 0x8000000, 0x1b},
		{"ALLOWSTOP0_WAKEUP", 0x40000, 0x12},
		{"D0_REDC_WAKEUP", 0x4, 0x2},
		{"TSM_DONE_WAKEUP", 0x4000, 0xe},
		{"DPM_LPT_WAKEUP", 0x800000, 0x17},
		{"SOFTWARE_WAKEUP_WAKEUP", 0x1000, 0xc},
		{"D0_CMD_FIFO_READY_WAKEUP", 0x100, 0x8},
		{"TIMER_DONE_WAKEUP", 0x8000, 0xf},
		{"D1_REDC_WAKEUP", 0x8, 0x3},
		{"D0_ARF_WAKEUP", 0x1, 0x0},
		{"D0_WEDC_WAKEUP", 0x10, 0x4},
		{"TCG_DONE_WAKEUP", 0x20000, 0x11},
		{"DPM_WAKEUP", 0x100000, 0x14},
		{"D1_IDLEH_WAKEUP", 0x2000000, 0x19}
	} },
	{"MC_ARB_HARSH_TX_HI1_WR", 0xdc5, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_IO_DEBUG_UP_129", 0x81, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_128", 0x80, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_121", 0x79, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_120", 0x78, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_123", 0x7b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_122", 0x7a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_125", 0x7d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_124", 0x7c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_127", 0x7f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_126", 0x7e, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_VM_MD_L1_TLB2_DEBUG", 0x99a, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MC_RPB_WR_SWITCH_CNTL", 0x953, {
		{"QUEUE1_SWITCH_NUM", 0xff00, 0x8},
		{"QUEUE0_SWITCH_NUM", 0xff, 0x0},
		{"QUEUE3_SWITCH_NUM", 0xff000000, 0x18},
		{"QUEUE2_SWITCH_NUM", 0xff0000, 0x10}
	} },
	{"ATC_MISC_CG", 0xcd4, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13}
	} },
	{"MC_SEQ_G5PDX_CTRL_LP", 0xd82, {
		{"WCKOFF_LATE", 0x8, 0x3},
		{"TMRD", 0xf00000, 0x14},
		{"WCKOFF_EARLY", 0x4, 0x2},
		{"CH0_ENABLE", 0x1, 0x0},
		{"TMRS2WCK", 0xf000, 0xc},
		{"CH1_ENABLE", 0x2, 0x1},
		{"TWCK2MRS", 0xf0000, 0x10},
		{"TPD2MRS", 0x3f0, 0x4}
	} },
	{"MC_VM_MB_L1_TLB1_STATUS", 0x896, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_MISC_D1", 0xb6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_CG_CONFIG_MCD", 0x829, {
		{"INDEX", 0x1fffe000, 0xd},
		{"MCD1_WR_ENABLE", 0x2, 0x1},
		{"MCD2_WR_ENABLE", 0x4, 0x2},
		{"MCD3_WR_ENABLE", 0x8, 0x3},
		{"MC_RD_ENABLE_SUB", 0x800, 0xb},
		{"MC_RD_ENABLE", 0x700, 0x8},
		{"MCD0_WR_ENABLE", 0x1, 0x0},
		{"MCD5_WR_ENABLE", 0x20, 0x5},
		{"MCD6_WR_ENABLE", 0x40, 0x6},
		{"MCD4_WR_ENABLE", 0x10, 0x4},
		{"MCD7_WR_ENABLE", 0x80, 0x7}
	} },
	{"MC_IO_DEBUG_DQB3L_MISC_D0", 0xa6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQ1_RX_DYN_PM_D0", 0x1ce, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQ1_RX_DYN_PM_D1", 0x1de, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_DLB_WRITE_MASK", 0xd98, {
		{"CH_MASK", 0xf000000, 0x18},
		{"BIT_MASK", 0x3fffff, 0x0}
	} },
	{"MC_WR_GRP_OTH", 0x808, {
		{"HDP", 0xf00, 0x8},
		{"UVD_EXT1", 0xf0000000, 0x1c},
		{"UVD_EXT0", 0xf, 0x0},
		{"UMC", 0xf0000, 0x10},
		{"XDP", 0xf000000, 0x18},
		{"SDMA0", 0xf0, 0x4},
		{"SEM", 0xf000, 0xc},
		{"UVD", 0xf00000, 0x14}
	} },
	{"MC_IO_DEBUG_WCK_CLKSEL_D0", 0xca, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_CLKSEL_D1", 0xda, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_CONTEXT0_CNTL2", 0x50c, {
		{"WAIT_FOR_IDLE_WHEN_INVALIDATE", 0x10, 0x4},
		{"CLEAR_PROTECTION_FAULT_STATUS_ADDR", 0x1, 0x0},
		{"ENABLE_CLEAR_PROTECTION_FAULT_STATUS_ADDR_WHEN_INVALIDATE_CONTEXT", 0x2, 0x1},
		{"ENABLE_INTERRUPT_PROCESSING_FOR_SUBSEQUENT_FAULTS_PER_CONTEXT", 0x4, 0x2},
		{"ALLOW_SUBSEQUENT_PROTECTION_FAULT_STATUS_ADDR_UPDATES", 0x8, 0x3}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR0", 0x8d7, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR1", 0x8d8, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR2", 0x8d9, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR3", 0x8da, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_SEQ_SUP_R_PGM", 0xa8a, {
		{"PGM", 0xffffffff, 0x0}
	} },
	{"MC_ARB_SSM", 0x9f9, {
		{"FORMAT", 0x1f, 0x0}
	} },
	{"MC_IO_RXCNTL_DPHY1_D0", 0xa4d, {
		{"VREFCAL", 0xf00, 0x8},
		{"VREFCAL_STR", 0xf000, 0xc},
		{"DLL_ADJ_B1", 0x7000000, 0x18},
		{"RXBIASSEL", 0x3, 0x0},
		{"RXLP", 0x80, 0x7},
		{"VREFSEL", 0x10000, 0x10},
		{"DLL_BW_CTRL", 0xc0000000, 0x1e},
		{"RX_PEAKSEL", 0xc0000, 0x12},
		{"DLL_ADJ_M", 0x10000000, 0x1c},
		{"RXPDNB", 0x40, 0x6},
		{"RXDPWRON_DLY", 0x30, 0x4},
		{"REFCLK_PWRON", 0x20000000, 0x1d},
		{"VREFPDNB", 0x8, 0x3},
		{"RCVSEL", 0x4, 0x2},
		{"DLL_ADJ_B0", 0x700000, 0x14}
	} },
	{"MC_IO_RXCNTL_DPHY1_D1", 0xa53, {
		{"VREFCAL", 0xf00, 0x8},
		{"VREFCAL_STR", 0xf000, 0xc},
		{"DLL_ADJ_B1", 0x7000000, 0x18},
		{"RXBIASSEL", 0x3, 0x0},
		{"RXLP", 0x80, 0x7},
		{"VREFSEL", 0x10000, 0x10},
		{"DLL_BW_CTRL", 0xc0000000, 0x1e},
		{"RX_PEAKSEL", 0xc0000, 0x12},
		{"DLL_ADJ_M", 0x10000000, 0x1c},
		{"RXPDNB", 0x40, 0x6},
		{"RXDPWRON_DLY", 0x30, 0x4},
		{"REFCLK_PWRON", 0x20000000, 0x1d},
		{"VREFPDNB", 0x8, 0x3},
		{"RCVSEL", 0x4, 0x2},
		{"DLL_ADJ_B0", 0x700000, 0x14}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_3_HIGH_ADDR", 0x818, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_ARB_WTM_CNTL_RD", 0x9df, {
		{"ACP_OVER_DISP", 0x1000, 0xc},
		{"ACP_HARSH_PRI", 0x800, 0xb},
		{"ALLOW_STUTTER_GRP5", 0x100, 0x8},
		{"ALLOW_STUTTER_GRP4", 0x80, 0x7},
		{"ALLOW_STUTTER_GRP7", 0x400, 0xa},
		{"ALLOW_STUTTER_GRP6", 0x200, 0x9},
		{"ALLOW_STUTTER_GRP1", 0x10, 0x4},
		{"ALLOW_STUTTER_GRP0", 0x8, 0x3},
		{"ALLOW_STUTTER_GRP3", 0x40, 0x6},
		{"ALLOW_STUTTER_GRP2", 0x20, 0x5},
		{"FORCE_ACP_URG", 0x2000, 0xd},
		{"WTMODE", 0x3, 0x0},
		{"HARSH_PRI", 0x4, 0x2}
	} },
	{"MC_CITF_CREDITS_ARB_WR", 0x973, {
		{"WRITE_LCL", 0xff, 0x0},
		{"HUB_PRI", 0x1000000, 0x18},
		{"LCL_PRI", 0x2000000, 0x19},
		{"WRITE_HUB", 0xff00, 0x8},
		{"WRITE_PRI", 0xff0000, 0x10}
	} },
	{"MC_ARB_PERFCOUNTER3_CFG", 0x7bf, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_IO_RXCNTL_DPHY0_D1", 0xa52, {
		{"VREFCAL", 0xf00, 0x8},
		{"VREFCAL_STR", 0xf000, 0xc},
		{"DLL_ADJ_B1", 0x7000000, 0x18},
		{"RXBIASSEL", 0x3, 0x0},
		{"RXLP", 0x80, 0x7},
		{"VREFSEL", 0x10000, 0x10},
		{"DLL_BW_CTRL", 0xc0000000, 0x1e},
		{"RX_PEAKSEL", 0xc0000, 0x12},
		{"DLL_ADJ_M", 0x10000000, 0x1c},
		{"RXPDNB", 0x40, 0x6},
		{"RXDPWRON_DLY", 0x30, 0x4},
		{"REFCLK_PWRON", 0x20000000, 0x1d},
		{"VREFPDNB", 0x8, 0x3},
		{"RCVSEL", 0x4, 0x2},
		{"DLL_ADJ_B0", 0x700000, 0x14}
	} },
	{"MC_IO_RXCNTL_DPHY0_D0", 0xa4c, {
		{"VREFCAL", 0xf00, 0x8},
		{"VREFCAL_STR", 0xf000, 0xc},
		{"DLL_ADJ_B1", 0x7000000, 0x18},
		{"RXBIASSEL", 0x3, 0x0},
		{"RXLP", 0x80, 0x7},
		{"VREFSEL", 0x10000, 0x10},
		{"DLL_BW_CTRL", 0xc0000000, 0x1e},
		{"RX_PEAKSEL", 0xc0000, 0x12},
		{"DLL_ADJ_M", 0x10000000, 0x1c},
		{"RXPDNB", 0x40, 0x6},
		{"RXDPWRON_DLY", 0x30, 0x4},
		{"REFCLK_PWRON", 0x20000000, 0x1d},
		{"VREFPDNB", 0x8, 0x3},
		{"RCVSEL", 0x4, 0x2},
		{"DLL_ADJ_B0", 0x700000, 0x14}
	} },
	{"VM_CONTEXT12_PAGE_TABLE_BASE_ADDR", 0x512, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_SEQ_MISC_TIMING_LP", 0xa9d, {
		{"TRFC", 0x1ff00000, 0x14},
		{"TRP", 0xf8000, 0xf},
		{"TRP_RDA", 0x3f00, 0x8},
		{"TRP_WRA", 0x3f, 0x0}
	} },
	{"MC_TSM_DEBUG_ST23", 0x11, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_XPB_INTF_CFG2", 0x934, {
		{"RPB_RDREQ_CRD", 0xff, 0x0}
	} },
	{"MC_XBAR_SPARE0", 0xc97, {
		{"BIT", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_SPARE1", 0xc98, {
		{"BIT", 0xffffffff, 0x0}
	} },
	{"MC_BIST_CMD_CNTL", 0xa8e, {
		{"RESET", 0x1, 0x0},
		{"LOOP_END_CONDITION", 0x8, 0x3},
		{"ENABLE_D1", 0x20000000, 0x1d},
		{"ENABLE_D0", 0x10000000, 0x1c},
		{"LOOP_CNT_RD", 0xffc0000, 0x12},
		{"CMD_ISSUE_MODE_U", 0x10000, 0x10},
		{"STATUS_CH", 0x40000000, 0x1e},
		{"CMD_ISSUE_MODE", 0x2, 0x1},
		{"LOOP_CNT_MAX", 0xfff0, 0x4},
		{"DONE", 0x80000000, 0x1f},
		{"CMD_ISSUE_RUN", 0x20000, 0x11},
		{"CMD_ISSUE_LOOP", 0x4, 0x2}
	} },
	{"VM_PRT_APERTURE0_LOW_ADDR", 0x52c, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_XPB_CLG_CFG29", 0x931, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG28", 0x930, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG27", 0x92f, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG26", 0x92e, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG25", 0x92d, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG24", 0x92c, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG23", 0x92b, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG22", 0x92a, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG21", 0x929, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG20", 0x928, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_IO_DEBUG_DQB3L_TXBST_PU_D0", 0x1a6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_TXBST_PU_D1", 0x1b6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_LAZY0_RD", 0x9e5, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_HUB_WDP_VCE", 0x870, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MC_HUB_WDP_BP", 0x837, {
		{"RDRET", 0x3fffe, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"WRREQ", 0x3ffc0000, 0x12}
	} },
	{"MC_DLB_MISCCTRL2", 0xd92, {
		{"GRAY_CODE_EN", 0x4000000, 0x1a},
		{"PRBS15_MODE", 0x40000, 0x12},
		{"SEL_AC_PRBS_CHK", 0x20000000, 0x1d},
		{"STOP_CLK", 0x200000, 0x15},
		{"SWEEP_DLY", 0x3000000, 0x18},
		{"STATUS_SEL", 0x40000000, 0x1e},
		{"PRBS23_MODE", 0x80000, 0x13},
		{"PRBS_FREERUN", 0x20000, 0x11},
		{"PRBS_RUN_LENGTH", 0x1ffff, 0x0},
		{"STOP_ON_NEXT_ERR", 0x100000, 0x14},
		{"SEL_PHY_PRBS_CHK", 0x10000000, 0x1c}
	} },
	{"MC_IO_DEBUG_WCK_RX_EQ_D0", 0x1ca, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_DLB_MISCCTRL0", 0xd90, {
		{"LOAD_DATA_SEL", 0x2, 0x1},
		{"UDD_ON_STATUS_BITS", 0x1, 0x0},
		{"LOAD_UDD", 0x4, 0x2},
		{"DATA_SEL", 0xf0, 0x4},
		{"UDD", 0xffff0000, 0x10},
		{"PRBS_CHK_LOAD_CNT", 0x7f00, 0x8},
		{"ADR_STATUS_SEL", 0x8, 0x3}
	} },
	{"MC_MCBVM_PERFCOUNTER_HI", 0x7aa, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_IO_DEBUG_WCDR_MISC_D0", 0x1e0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_MISC_D1", 0x1f0, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS2", 0x840, {
		{"STOR1_PRI", 0xff00, 0x8},
		{"STOR0_PRI", 0xff, 0x0}
	} },
	{"MC_CITF_PERFCOUNTER1_CFG", 0x7b1, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_ARB_RTT_DATA", 0x9cf, {
		{"PATTERN", 0xff, 0x0}
	} },
	{"MC_SEQ_RAS_TIMING", 0xa28, {
		{"TRRD", 0xf00000, 0x14},
		{"TRCDR", 0x7c00, 0xa},
		{"TRCDW", 0x1f, 0x0},
		{"TRCDWA", 0x3e0, 0x5},
		{"TRC", 0x7f000000, 0x18},
		{"TRCDRA", 0xf8000, 0xf}
	} },
	{"MC_SHARED_BLACKOUT_CNTL", 0x82b, {
		{"BLACKOUT_MODE", 0x7, 0x0}
	} },
	{"MC_XPB_PEER_SYS_BAR5", 0x915, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_CITF_DAGB_CNTL", 0x974, {
		{"DISABLE_SELF_INIT", 0x20, 0x5},
		{"JUMP_AHEAD", 0x1, 0x0},
		{"CENTER_WR_MAX_BURST", 0x3c0, 0x6},
		{"CENTER_RD_MAX_BURST", 0x1e, 0x1}
	} },
	{"ATC_ATS_STATUS", 0xccc, {
		{"CRASHED", 0x2, 0x1},
		{"BUSY", 0x1, 0x0},
		{"DEADLOCK_DETECTION", 0x4, 0x2}
	} },
	{"ATC_VMID1_PASID_MAPPING", 0xce8, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_IO_DEBUG_DQB1H_RX_VREF_CAL_D1", 0x153, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_RX_VREF_CAL_D0", 0x143, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_MCDVM_PERFCOUNTER_RSLT_CNTL", 0x7d2, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_ARB_RTT_DEBUG", 0x9d3, {
		{"WINDOW_SIZE_CH1", 0x3e000000, 0x19},
		{"WINDOW_SIZE_CH0", 0x1f000, 0xc},
		{"DEBUG_BYTE_CH0", 0x3, 0x0},
		{"DEBUG_BYTE_CH1", 0xc, 0x2},
		{"SHIFTED_PHASE_CH0", 0xff0, 0x4},
		{"SHIFTED_PHASE_CH1", 0x1fe0000, 0x11}
	} },
	{"MC_SEQ_SUP_GP3_STAT", 0xa86, {
		{"STATUS", 0xffffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_RLC", 0x85d, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"ATC_VM_APERTURE0_CNTL2", 0xcc6, {
		{"VMIDS_USING_RANGE", 0xffff, 0x0}
	} },
	{"MC_SEQ_CG", 0xa9a, {
		{"CG_SEQ_RESP", 0xff00, 0x8},
		{"CG_SEQ_REQ", 0xff, 0x0},
		{"SEQ_CG_RESP", 0xff000000, 0x18},
		{"SEQ_CG_REQ", 0xff0000, 0x10}
	} },
	{"MC_ARB_WCDR", 0x9fb, {
		{"IDLE_BURST_MODE", 0x2000, 0xd},
		{"IDLE_BURST", 0x1f80, 0x7},
		{"IDLE_DEGLITCH_ENABLE", 0x10000, 0x10},
		{"IDLE_PERIOD", 0x7c, 0x2},
		{"WPRE_ENABLE", 0x20000, 0x11},
		{"WPRE_INC_SEQIDLE", 0x8000000, 0x1b},
		{"SEQ_IDLE", 0x2, 0x1},
		{"WPRE_INC_READ", 0x2000000, 0x19},
		{"WPRE_INC_SKIDIDLE", 0x4000000, 0x1a},
		{"WPRE_TWOPAGE", 0x10000000, 0x1c},
		{"WPRE_MAX_BURST", 0x1c00000, 0x16},
		{"IDLE_ENABLE", 0x1, 0x0},
		{"WPRE_THRESHOLD", 0x3c0000, 0x12},
		{"IDLE_WAKEUP", 0xc000, 0xe}
	} },
	{"ATC_L1RD_STATUS", 0xce0, {
		{"BUSY", 0x1, 0x0},
		{"DEADLOCK_DETECTION", 0x2, 0x1},
		{"BAD_NEED_ATS", 0x100, 0x8}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_1_LOW_ADDR", 0x812, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_MCDS", 0xde7, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"ATC_ATS_FAULT_DEBUG", 0xccb, {
		{"CLEAR_FAULT_STATUS_ADDR", 0x10000, 0x10},
		{"CREDITS_ATS_IH", 0x1f, 0x0},
		{"ALLOW_SUBSEQUENT_FAULT_STATUS_ADDR_UPDATES", 0x100, 0x8}
	} },
	{"MC_HUB_RDREQ_MCDW", 0x851, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_HUB_RDREQ_MCDV", 0xdea, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_HUB_RDREQ_MCDU", 0xde9, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_HUB_RDREQ_MCDT", 0xde8, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"VM_CONTEXT6_PAGE_TABLE_BASE_ADDR", 0x555, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_MCDZ", 0x854, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_HUB_RDREQ_MCDY", 0x853, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_HUB_RDREQ_MCDX", 0x852, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_VM_DC_WRITE_CNTL", 0x810, {
		{"DC_WRITE_HIT_REGION_1_MODE", 0xc, 0x2},
		{"DC_MEMORY_WRITE_SYSTEM", 0x200, 0x9},
		{"DC_WRITE_HIT_REGION_2_MODE", 0x30, 0x4},
		{"DC_MEMORY_WRITE_LOCAL", 0x100, 0x8},
		{"DC_WRITE_HIT_REGION_3_MODE", 0xc0, 0x6},
		{"DC_WRITE_HIT_REGION_0_MODE", 0x3, 0x0}
	} },
	{"MC_IO_DEBUG_UP_118", 0x76, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_119", 0x77, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_EXCL_SET1", 0xd49, {
		{"STCTRL_REGISTER_SAVE_EXCL3", 0xffff0000, 0x10},
		{"STCTRL_REGISTER_SAVE_EXCL2", 0xffff, 0x0}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_EXCL_SET0", 0xd48, {
		{"STCTRL_REGISTER_SAVE_EXCL1", 0xffff0000, 0x10},
		{"STCTRL_REGISTER_SAVE_EXCL0", 0xffff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_116", 0x74, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_117", 0x75, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_OFSCAL_D0", 0xe8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_OFSCAL_D1", 0xf8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_112", 0x70, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_113", 0x71, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_PMG_CMD_EMRS", 0xa83, {
		{"END", 0x100000, 0x14},
		{"MOP", 0x70000, 0x10},
		{"ADR_MSB0", 0x20000000, 0x1d},
		{"ADR_MSB1", 0x10000000, 0x1c},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0},
		{"BNK_MSB", 0x80000, 0x13}
	} },
	{"MC_IO_DEBUG_DQB1H_MISC_D0", 0xa3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"ATC_ATS_DEFAULT_PAGE_LOW", 0xcd0, {
		{"DEFAULT_PAGE", 0xffffffff, 0x0}
	} },
	{"MC_XPB_STICKY_W1C", 0x926, {
		{"BITS", 0xffffffff, 0x0}
	} },
	{"MC_ARB_HARSH_EN_RD", 0xdc0, {
		{"FIX_PRI", 0xff0000, 0x10},
		{"TX_PRI", 0xff, 0x0},
		{"BW_PRI", 0xff00, 0x8},
		{"ST_PRI", 0xff000000, 0x18}
	} },
	{"GMCON_MASK", 0xd52, {
		{"STCTRL_BUSY_MASK_ACP_WR", 0x2, 0x1},
		{"STCTRL_BUSY_MASK_VCE_RD", 0x4, 0x2},
		{"STCTRL_BUSY_MASK_VCE_WR", 0x8, 0x3},
		{"STCTRL_BUSY_MASK_ACP_RD", 0x1, 0x0},
		{"STCTRL_SR_HANDSHAKE_MASK", 0xff0, 0x4}
	} },
	{"MC_IO_DEBUG_DQB1H_TXSLF_D1", 0x173, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_TXSLF_D0", 0x163, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_TXPHASE_D1", 0x139, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_TXPHASE_D0", 0x129, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_TSM_MISC", 0xae6, {
		{"WCDR_MASK", 0xf0000, 0x10},
		{"WCDR_PTR", 0xffff, 0x0},
		{"CH1_WCDR_OFFSET", 0xfc000000, 0x1a},
		{"CH1_OFFSET", 0x3f00000, 0x14}
	} },
	{"MC_SEQ_RXFRAMING_BYTE3_D1", 0xa70, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_SEQ_RXFRAMING_BYTE3_D0", 0xa6a, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_IO_DEBUG_CMD_TXBST_PD_D1", 0x19f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_CMD_TXBST_PD_D0", 0x18f, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_ACPO", 0x887, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_ACPG", 0x886, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_VM_FB_LOCATION", 0x809, {
		{"FB_TOP", 0xffff0000, 0x10},
		{"FB_BASE", 0xffff, 0x0}
	} },
	{"MC_RPB_PERFCOUNTER1_CFG", 0x7b9, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_TRAIN_PRBSERR_0_D1", 0xa46, {
		{"DQ_STATUS", 0xffffffff, 0x0}
	} },
	{"MC_TRAIN_PRBSERR_0_D0", 0xa43, {
		{"DQ_STATUS", 0xffffffff, 0x0}
	} },
	{"MC_ARB_TM_CNTL_RD", 0x9e3, {
		{"BANK_SELECT", 0x6, 0x1},
		{"MATCH_BANK", 0x10, 0x4},
		{"MATCH_RANK", 0x8, 0x3},
		{"GROUPBY_RANK", 0x1, 0x0}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_STATUS", 0x537, {
		{"MEMORY_CLIENT_ID", 0x1ff000, 0xc},
		{"PROTECTIONS", 0xff, 0x0},
		{"VMID", 0x1e000000, 0x19},
		{"MEMORY_CLIENT_RW", 0x1000000, 0x18}
	} },
	{"MC_TRAIN_PRBSERR_1_D0", 0xa44, {
		{"EDC_STATUS", 0xf0, 0x4},
		{"WCDR_STATUS", 0xf000, 0xc},
		{"PMD0_PRBSCLR", 0x20000000, 0x1d},
		{"PMA_PRBSCLR", 0x10000000, 0x1c},
		{"PMD1_PRBSCLR", 0x40000000, 0x1e},
		{"WCK_STATUS", 0xf00, 0x8},
		{"DBI_STATUS", 0xf, 0x0}
	} },
	{"MC_TRAIN_PRBSERR_1_D1", 0xa47, {
		{"EDC_STATUS", 0xf0, 0x4},
		{"WCDR_STATUS", 0xf000, 0xc},
		{"PMD0_PRBSCLR", 0x20000000, 0x1d},
		{"PMA_PRBSCLR", 0x10000000, 0x1c},
		{"PMD1_PRBSCLR", 0x40000000, 0x1e},
		{"WCK_STATUS", 0xf00, 0x8},
		{"DBI_STATUS", 0xf, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRH_TXBST_PD_D0", 0x18d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRH_TXBST_PD_D1", 0x19d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_CLKSEL_D1", 0xd6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3L_CLKSEL_D0", 0xc6, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_HUB_PERFCOUNTER3_CFG", 0x7b7, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_ARB_HARSH_BWPERIOD1_WR", 0xdcd, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"ATC_VM_APERTURE1_HIGH_ADDR", 0xcc3, {
		{"VIRTUAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_RX_VREF_CAL_D1", 0x159, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_EDC_RX_VREF_CAL_D0", 0x149, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_VM_AGP_TOP", 0x80a, {
		{"AGP_TOP", 0x3ffff, 0x0}
	} },
	{"VM_L2_CG", 0x570, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13}
	} },
	{"MC_CITF_PERFCOUNTER_LO", 0x7a0, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_3_LOW_ADDR", 0x814, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_TXSLF_D0", 0x168, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DBI_TXSLF_D1", 0x178, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_DLB_SETUP", 0xd95, {
		{"DLB_EN", 0x1, 0x0},
		{"DLB_CONFIG_EN", 0x8, 0x3},
		{"PRBS_GEN_RST", 0x20, 0x5},
		{"RXTXLP_EN", 0x80000000, 0x1f},
		{"QDR_MODE", 0x100, 0x8},
		{"MEM_BIT_SEL", 0x1f000000, 0x18},
		{"PRBS_CHK_RST", 0x40, 0x6},
		{"CHK_DATA_BITS", 0xff0000, 0x10},
		{"DLB_FIFO_EN", 0x2, 0x1},
		{"DLB_STATUS_EN", 0x4, 0x2},
		{"PRBS_PHY_RST", 0x80, 0x7},
		{"DLB_PRBS_EN", 0x10, 0x4}
	} },
	{"MC_ARB_ADDR_HASH", 0x9dc, {
		{"ROW_XOR", 0xffff000, 0xc},
		{"COL_XOR", 0xff0, 0x4},
		{"BANK_XOR_ENABLE", 0xf, 0x0}
	} },
	{"CHUB_ATC_PERFCOUNTER1_CFG", 0x7d9, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_HUB_MISC_HUB_CG", 0x82e, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MC_IO_DEBUG_ADDRH_TXBST_PU_D1", 0x1bd, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRH_TXBST_PU_D0", 0x1ad, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_CLKSEL_D1", 0xd3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_18", 0x12, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_19", 0x13, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_CLKSEL_D0", 0xc3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_12", 0xc, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_13", 0xd, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_10", 0xa, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_11", 0xb, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_16", 0x10, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_17", 0x11, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_RXPHASE_D1", 0x117, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_RXPHASE_D0", 0x107, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_SEQ_MPLL_OVERRIDE", 0xa22, {
		{"TEST_BYPASS_CLK_SEL_OVERRIDE", 0x80, 0x7},
		{"AD_PLL_RESET_OVERRIDE", 0x1, 0x0},
		{"DQ_0_0_PLL_RESET_OVERRIDE", 0x2, 0x1},
		{"TEST_BYPASS_CLK_EN_OVERRIDE", 0x40, 0x6},
		{"DQ_0_1_PLL_RESET_OVERRIDE", 0x4, 0x2},
		{"DQ_1_1_PLL_RESET_OVERRIDE", 0x10, 0x4},
		{"ATGM_CLK_SEL_OVERRIDE", 0x20, 0x5},
		{"DQ_1_0_PLL_RESET_OVERRIDE", 0x8, 0x3}
	} },
	{"MC_HUB_WDP_SAM", 0x888, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_RPB_CID_QUEUE_WR", 0x956, {
		{"UPDATE_MODE", 0x100, 0x8},
		{"READ_QUEUE", 0x1800, 0xb},
		{"WRITE_QUEUE", 0x600, 0x9},
		{"CLIENT_ID", 0xff, 0x0},
		{"UPDATE", 0x2000, 0xd}
	} },
	{"MC_XPB_CLG_CFG12", 0x8f5, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG13", 0x8f6, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG10", 0x8f3, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG11", 0x8f4, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG16", 0x8f9, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG17", 0x8fa, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG14", 0x8f7, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG15", 0x8f8, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG18", 0x8fb, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG19", 0x8fc, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_ARB_DRAM_TIMING2_1", 0x9ff, {
		{"BUS_TURN", 0x1f000000, 0x18},
		{"RAS2RAS", 0xff, 0x0},
		{"RP", 0xff00, 0x8},
		{"WRPLUSRP", 0xff0000, 0x10}
	} },
	{"VM_CONTEXT14_PAGE_TABLE_BASE_ADDR", 0x514, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_CNTL", 0x83b, {
		{"MCDV_STALL_MODE", 0x1000, 0xc},
		{"MCDY_STALL_MODE", 0x80, 0x7},
		{"OVERRIDE_STALL_ENABLE", 0x10, 0x4},
		{"MCDT_STALL_MODE", 0x400, 0xa},
		{"MCDW_STALL_MODE", 0x20, 0x5},
		{"PWRXPRESS_MODE", 0x800000, 0x17},
		{"ACPG_HP_TO_MCD_OVERRIDE", 0x1000000, 0x18},
		{"DISABLE_SELF_INIT_GBL0", 0x200000, 0x15},
		{"MCDS_STALL_MODE", 0x200, 0x9},
		{"DISABLE_SELF_INIT_GBL1", 0x400000, 0x16},
		{"GBL0_PRI_ENABLE", 0x2000000, 0x19},
		{"JUMPAHEAD_GBL1", 0x8, 0x3},
		{"JUMPAHEAD_GBL0", 0x4, 0x2},
		{"MCDX_STALL_MODE", 0x40, 0x6},
		{"BREAK_HDP_DEADLOCK", 0x2000, 0xd},
		{"MCDU_STALL_MODE", 0x800, 0xb},
		{"REMOTE_BLACKOUT", 0x1, 0x0},
		{"MCDZ_STALL_MODE", 0x100, 0x8},
		{"DEBUG_REG", 0x1fc000, 0xe}
	} },
	{"MC_IO_DEBUG_DQB1H_TXBST_PU_D0", 0x1a3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1H_TXBST_PU_D1", 0x1b3, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB3H_TXPHASE_D1", 0x137, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_CITF_CNTL", 0x970, {
		{"MCD_SRBM_MASK_ENABLE", 0x40, 0x6},
		{"REMOTE_RB_CONNECT_ENABLE", 0x200, 0x9},
		{"EXEMPTPM", 0x8, 0x3},
		{"IGNOREPM", 0x4, 0x2},
		{"CNTR_CHMAP_MODE", 0x180, 0x7},
		{"GFX_IDLE_OVERRIDE", 0x30, 0x4}
	} },
	{"MC_IO_DEBUG_CMD_MISC_D1", 0xbf, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_TXCNTL_APHY_D0", 0xa4b, {
		{"TXBYPASS_DATA", 0x38000000, 0x1b},
		{"TSTEN", 0x1000000, 0x18},
		{"LOWCMEN", 0x10, 0x4},
		{"CKE_BIT", 0x40000000, 0x1e},
		{"CKE_SEL", 0x80000000, 0x1f},
		{"TXBYPASS", 0x4000000, 0x1a},
		{"EMPH", 0x40, 0x6},
		{"TXBPASS_SEL", 0x1000, 0xc},
		{"PMA_LOOPBACK", 0xe000, 0xd},
		{"PTERM", 0xf00, 0x8},
		{"QDR", 0x20, 0x5},
		{"TXRESET", 0x2000000, 0x19},
		{"YCLKON", 0x800000, 0x17},
		{"PDRV", 0xf0000, 0x10},
		{"TXPD", 0x80, 0x7},
		{"NDRV", 0x700000, 0x14},
		{"BIASSEL", 0x3, 0x0},
		{"DRVDUTY", 0xc, 0x2}
	} },
	{"MC_IO_DEBUG_WCK_TXPHASE_D0", 0x12a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCK_TXPHASE_D1", 0x13a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_CITF_INT_CREDITS", 0x975, {
		{"CNTR_RD_LCL", 0x3f000000, 0x18},
		{"CNTR_RD_HUB_LP", 0x3f000, 0xc},
		{"REMRDRET", 0x3f, 0x0},
		{"CNTR_RD_HUB_HP", 0xfc0000, 0x12}
	} },
	{"MC_HUB_RDREQ_WTM_CNTL", 0x83d, {
		{"GROUP0_DECREMENT", 0x7, 0x0},
		{"GROUP6_DECREMENT", 0x1c0000, 0x12},
		{"GROUP1_DECREMENT", 0x38, 0x3},
		{"GROUP7_DECREMENT", 0xe00000, 0x15},
		{"GROUP4_DECREMENT", 0x7000, 0xc},
		{"GROUP5_DECREMENT", 0x38000, 0xf},
		{"GROUP3_DECREMENT", 0xe00, 0x9},
		{"GROUP2_DECREMENT", 0x1c0, 0x6}
	} },
	{"MC_HUB_MISC_SIP_CG", 0x830, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MC_ARB_WTM_GRPWT_RD", 0x9e1, {
		{"GRP_EXT", 0xff0000, 0x10},
		{"GRP3", 0xc0, 0x6},
		{"GRP2", 0x30, 0x4},
		{"GRP1", 0xc, 0x2},
		{"GRP0", 0x3, 0x0},
		{"GRP7", 0xc000, 0xe},
		{"GRP6", 0x3000, 0xc},
		{"GRP5", 0xc00, 0xa},
		{"GRP4", 0x300, 0x8}
	} },
	{"MC_ARB_HARSH_TX_LO1_RD", 0xdc8, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_ARB_RET_CREDITS_RD", 0x9f4, {
		{"DISP", 0xff0000, 0x10},
		{"LCL", 0xff, 0x0},
		{"RETURN_CREDIT", 0xff000000, 0x18},
		{"HUB", 0xff00, 0x8}
	} },
	{"MC_IO_DEBUG_WCDR_CDR_PHSIZE_D1", 0x1fa, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_CDR_PHSIZE_D0", 0x1ea, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"GMCON_PGFSM_CONFIG", 0xd4e, {
		{"FSM_ADDR", 0xff, 0x0},
		{"WRITE", 0x1000, 0xc},
		{"RSRVD", 0x7ffc000, 0xe},
		{"POWER_DOWN", 0x100, 0x8},
		{"READ", 0x2000, 0xd},
		{"REG_ADDR", 0xf0000000, 0x1c},
		{"P1_SELECT", 0x400, 0xa},
		{"SRBM_OVERRIDE", 0x8000000, 0x1b},
		{"P2_SELECT", 0x800, 0xb},
		{"POWER_UP", 0x200, 0x9}
	} },
	{"MC_IO_DEBUG_DQB0L_RXPHASE_D1", 0x110, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_CLKSEL_D0", 0xcc, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_ADDRL_CLKSEL_D1", 0xdc, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_XBAR_ARB_MAX_BURST", 0xc8e, {
		{"WR_PORT1", 0xf00000, 0x14},
		{"WR_PORT0", 0xf0000, 0x10},
		{"WR_PORT3", 0xf0000000, 0x1c},
		{"WR_PORT2", 0xf000000, 0x18},
		{"RD_PORT0", 0xf, 0x0},
		{"RD_PORT1", 0xf0, 0x4},
		{"RD_PORT2", 0xf00, 0x8},
		{"RD_PORT3", 0xf000, 0xc}
	} },
	{"MC_SEQ_RESERVE_0_S", 0xa1e, {
		{"SCLK_FIELD", 0xfffffffe, 0x1},
		{"MCLK_GCK_SEL", 0x1, 0x0}
	} },
	{"MC_HUB_MISC_STATUS", 0x832, {
		{"RPB_BUSY", 0x400, 0xa},
		{"OUTSTANDING_HUB_RDRET", 0x8, 0x3},
		{"OUTSTANDING_RPB_READ", 0x40, 0x6},
		{"OUTSTANDING_HUB_RDREQ", 0x4, 0x2},
		{"READ_DEADLOCK_WARNING", 0x1000, 0xc},
		{"OUTSTANDING_MCD_READ", 0x100, 0x8},
		{"WRITE_DEADLOCK_WARNING", 0x800, 0xb},
		{"OUTSTANDING_RPB_WRITE", 0x80, 0x7},
		{"OUTSTANDING_MCD_WRITE", 0x200, 0x9},
		{"GFX_BUSY", 0x2000, 0xd},
		{"OUTSTANDING_HUB_WRREQ", 0x10, 0x4},
		{"OUTSTANDING_WRITE", 0x2, 0x1},
		{"OUTSTANDING_READ", 0x1, 0x0},
		{"OUTSTANDING_HUB_WRRET", 0x20, 0x5}
	} },
	{"MC_XPB_CLK_GAT", 0x91e, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MC_MCDVM_PERFCOUNTER0_CFG", 0x7c4, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_VMID10_PASID_MAPPING", 0xcf1, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f}
	} },
	{"MC_PHY_TIMING_D0", 0xacc, {
		{"TXC1_EXT", 0xf0000000, 0x1c},
		{"RXC1_EXT", 0xf000, 0xc},
		{"TXC0_EXT", 0xf00000, 0x14},
		{"RXC0_DLY", 0xf, 0x0},
		{"TXC1_DLY", 0x7000000, 0x18},
		{"TXC0_DLY", 0x70000, 0x10},
		{"RXC1_DLY", 0xf00, 0x8},
		{"RXC0_EXT", 0xf0, 0x4}
	} },
	{"MC_PHY_TIMING_D1", 0xacd, {
		{"TXC1_EXT", 0xf0000000, 0x1c},
		{"RXC1_EXT", 0xf000, 0xc},
		{"TXC0_EXT", 0xf00000, 0x14},
		{"RXC0_DLY", 0xf, 0x0},
		{"TXC1_DLY", 0x7000000, 0x18},
		{"TXC0_DLY", 0x70000, 0x10},
		{"RXC1_DLY", 0xf00, 0x8},
		{"RXC0_EXT", 0xf0, 0x4}
	} },
	{"MC_XPB_WCB_CFG", 0x902, {
		{"SID_MAX", 0xc0000, 0x12},
		{"HST_MAX", 0x30000, 0x10},
		{"TIMEOUT", 0xffff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_TXBST_PU_D1", 0x1f8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_WCDR_TXBST_PU_D0", 0x1e8, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_PHY_TIMING_2", 0xace, {
		{"RXC1_FRC", 0x2000, 0xd},
		{"IND_LD_CNT", 0x7f, 0x0},
		{"TXC0_INV", 0x400, 0xa},
		{"ADR_CLKEN_D0", 0x40000, 0x12},
		{"ADR_CLKEN_D1", 0x80000, 0x13},
		{"RXDPWRONC0_FRC", 0x1000000, 0x18},
		{"RXC1_INV", 0x200, 0x9},
		{"TXC0_FRC", 0x4000, 0xe},
		{"TX_CDREN_D1", 0x20000, 0x11},
		{"RXDPWRONC1_FRC", 0x2000000, 0x19},
		{"WR_DLY", 0xf00000, 0x14},
		{"RXC0_FRC", 0x1000, 0xc},
		{"RXC0_INV", 0x100, 0x8},
		{"TXC1_INV", 0x800, 0xb},
		{"TXC1_FRC", 0x8000, 0xf},
		{"TX_CDREN_D0", 0x10000, 0x10}
	} },
	{"MC_CITF_REMREQ", 0x97a, {
		{"WRITE_CREDITS", 0x3f80, 0x7},
		{"CREDITS_ENABLE", 0x4000, 0xe},
		{"READ_CREDITS", 0x7f, 0x0}
	} },
	{"MC_HUB_RDREQ_IA", 0x862, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_DQ0_RX_DYN_PM_D1", 0x1dd, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQ0_RX_DYN_PM_D0", 0x1cd, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"VM_PRT_APERTURE3_HIGH_ADDR", 0x533, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_WDP_XDP", 0x871, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_IO_DEBUG_UP_103", 0x67, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_102", 0x66, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_101", 0x65, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_100", 0x64, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_107", 0x6b, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_106", 0x6a, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_105", 0x69, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_104", 0x68, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_RPB_WR_COMBINE_CNTL", 0x954, {
		{"WC_ENABLE", 0x1, 0x0},
		{"WC_ALIGN", 0x80, 0x7},
		{"WC_MAX_PACKET_SIZE", 0x6, 0x1},
		{"WC_FLUSH_TIMER", 0x78, 0x3}
	} },
	{"MC_IO_DEBUG_UP_109", 0x6d, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_UP_108", 0x6c, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_MCBVM_PERFCOUNTER0_CFG", 0x7c0, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_MCBVM_PERFCOUNTER_RSLT_CNTL", 0x7d1, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_SEQ_RD_CTL_D0", 0xa2d, {
		{"RST_SEL", 0x300, 0x8},
		{"RCV_DLY", 0x7, 0x0},
		{"STR_PRE", 0x10000, 0x10},
		{"RBS_WEDC_DLY", 0x3e000000, 0x19},
		{"RBS_DLY", 0x1f00000, 0x14},
		{"STR_PST", 0x20000, 0x11},
		{"RXDPWRON_DLY", 0xc00, 0xa},
		{"RCV_EXT", 0xf8, 0x3},
		{"RST_HLD", 0xf000, 0xc}
	} },
	{"MC_SEQ_RD_CTL_D1", 0xa2e, {
		{"RST_SEL", 0x300, 0x8},
		{"RCV_DLY", 0x7, 0x0},
		{"STR_PRE", 0x10000, 0x10},
		{"RBS_WEDC_DLY", 0x3e000000, 0x19},
		{"RBS_DLY", 0x1f00000, 0x14},
		{"STR_PST", 0x20000, 0x11},
		{"RXDPWRON_DLY", 0xc00, 0xa},
		{"RCV_EXT", 0xf8, 0x3},
		{"RST_HLD", 0xf000, 0xc}
	} },
	{"MC_SEQ_PMG_DVS_CMD_LP", 0xd8d, {
		{"END", 0x100000, 0x14},
		{"MOP", 0x70000, 0x10},
		{"ADR_MSB0", 0x1000000, 0x18},
		{"ADR_MSB1", 0x800000, 0x17},
		{"CSB", 0x600000, 0x15},
		{"ADR", 0xffff, 0x0},
		{"BNK_MSB", 0x80000, 0x13}
	} },
	{"MC_SEQ_TRAIN_EDC_THRESHOLD", 0xa3b, {
		{"WRITE_EDC_THRESHOLD", 0xffff, 0x0},
		{"READ_EDC_THRESHOLD", 0xffff0000, 0x10}
	} },
	{"MC_SEQ_TXFRAMING_BYTE2_D0", 0xa5a, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"MC_SEQ_TXFRAMING_BYTE2_D1", 0xa62, {
		{"DQ4", 0xf0000, 0x10},
		{"DQ5", 0xf00000, 0x14},
		{"DQ6", 0xf000000, 0x18},
		{"DQ7", 0xf0000000, 0x1c},
		{"DQ0", 0xf, 0x0},
		{"DQ1", 0xf0, 0x4},
		{"DQ2", 0xf00, 0x8},
		{"DQ3", 0xf000, 0xc}
	} },
	{"CHUB_ATC_PERFCOUNTER_HI", 0x7d7, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_IO_DEBUG_DQB1L_TXPHASE_D1", 0x132, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_TXPHASE_D0", 0x122, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_0_LOW_ADDR", 0x811, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_SEQ_RD_CTL_D0_LP", 0xac7, {
		{"RST_SEL", 0x300, 0x8},
		{"RCV_DLY", 0x7, 0x0},
		{"STR_PRE", 0x10000, 0x10},
		{"RBS_WEDC_DLY", 0x3e000000, 0x19},
		{"RBS_DLY", 0x1f00000, 0x14},
		{"STR_PST", 0x20000, 0x11},
		{"RXDPWRON_DLY", 0xc00, 0xa},
		{"RCV_EXT", 0xf8, 0x3},
		{"RST_HLD", 0xf000, 0xc}
	} },
	{"MC_XBAR_ADDR_DEC", 0xc80, {
		{"RB_SPLIT_COLHI", 0x8, 0x3},
		{"NO_DIV_BY_3", 0x1, 0x0},
		{"RB_SPLIT", 0x4, 0x2},
		{"GECC", 0x2, 0x1}
	} },
	{"MC_ARB_RFSH_CNTL", 0x9eb, {
		{"ENABLE", 0x1, 0x0},
		{"PUSH_SINGLE_BANK_REFRESH", 0x2000, 0xd},
		{"SINGLE_BANK", 0x1000, 0xc},
		{"PENDING_RATE_SEL", 0x1c000, 0xe},
		{"URG0", 0x3e, 0x1},
		{"URG1", 0x7c0, 0x6},
		{"ACCUM", 0x800, 0xb}
	} },
	{"MC_IO_DEBUG_DQB1L_RXPHASE_D1", 0x112, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_IO_DEBUG_DQB1L_RXPHASE_D0", 0x102, {
		{"VALUE3", 0xff000000, 0x18},
		{"VALUE2", 0xff0000, 0x10},
		{"VALUE1", 0xff00, 0x8},
		{"VALUE0", 0xff, 0x0}
	} },
	{"MC_ARB_SQM_CNTL", 0x9db, {
		{"RATIO", 0xff0000, 0x10},
		{"RATIO_DEBUG", 0xff000000, 0x18},
		{"SQM_RDY16", 0x200, 0x9},
		{"MIN_PENAL", 0xff, 0x0},
		{"SQM_RESERVE", 0xfc00, 0xa},
		{"DYN_SQM_ENABLE", 0x100, 0x8}
	} },
	{"MC_VM_SYSTEM_APERTURE_LOW_ADDR", 0x80d, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"GMCON_DEBUG", 0xd5f, {
		{"GFX_CLEAR", 0x2, 0x1},
		{"GFX_STALL", 0x1, 0x0},
		{"MISC_FLAGS", 0x3ffffffc, 0x2}
	} },
	{"MC_XPB_MAP_INVERT_FLUSH_NUM_LSB", 0x923, {
		{"ALTER_FLUSH_NUM", 0xffff, 0x0}
	} },
	{"MC_ARB_AGE_WR", 0x9ea, {
		{"ENABLE_GROUP6", 0x400000, 0x16},
		{"ENABLE_GROUP7", 0x800000, 0x17},
		{"ENABLE_GROUP4", 0x100000, 0x14},
		{"ENABLE_GROUP5", 0x200000, 0x15},
		{"ENABLE_GROUP2", 0x40000, 0x12},
		{"ENABLE_GROUP3", 0x80000, 0x13},
		{"ENABLE_GROUP0", 0x10000, 0x10},
		{"ENABLE_GROUP1", 0x20000, 0x11},
		{"DIVIDE_GROUP0", 0x1000000, 0x18},
		{"DIVIDE_GROUP1", 0x2000000, 0x19},
		{"DIVIDE_GROUP2", 0x4000000, 0x1a},
		{"DIVIDE_GROUP3", 0x8000000, 0x1b},
		{"DIVIDE_GROUP4", 0x10000000, 0x1c},
		{"DIVIDE_GROUP5", 0x20000000, 0x1d},
		{"DIVIDE_GROUP6", 0x40000000, 0x1e},
		{"DIVIDE_GROUP7", 0x80000000, 0x1f},
		{"RATE_GROUP5", 0xc00, 0xa},
		{"RATE_GROUP4", 0x300, 0x8},
		{"RATE_GROUP7", 0xc000, 0xe},
		{"RATE_GROUP6", 0x3000, 0xc},
		{"RATE_GROUP1", 0xc, 0x2},
		{"RATE_GROUP0", 0x3, 0x0},
		{"RATE_GROUP3", 0xc0, 0x6},
		{"RATE_GROUP2", 0x30, 0x4}
	} },
	{"MC_ARB_LM_RD", 0x9f0, {
		{"STREAK_BREAK", 0x10000, 0x10},
		{"SKID1_RST_TWOLIST", 0x100000, 0x14},
		{"BANKGROUP_CONFIG", 0xe00000, 0x15},
		{"ENABLE_TWO_LIST", 0x40000, 0x12},
		{"POPIDLE_RST_TWOLIST", 0x80000, 0x13},
		{"STREAK_UBER", 0x20000, 0x11},
		{"STREAK_LIMIT_UBER", 0xff00, 0x8},
		{"STREAK_LIMIT", 0xff, 0x0}
	} },
	{"MC_SEQ_TXFRAMING_EDC_D0", 0xa5d, {
		{"WCDR1", 0xf00000, 0x14},
		{"WCDR0", 0xf0000, 0x10},
		{"WCDR3", 0xf0000000, 0x1c},
		{"WCDR2", 0xf000000, 0x18},
		{"EDC2", 0xf00, 0x8},
		{"EDC3", 0xf000, 0xc},
		{"EDC0", 0xf, 0x0},
		{"EDC1", 0xf0, 0x4}
	} },
	{"MC_SEQ_TXFRAMING_EDC_D1", 0xa65, {
		{"WCDR1", 0xf00000, 0x14},
		{"WCDR0", 0xf0000, 0x10},
		{"WCDR3", 0xf0000000, 0x1c},
		{"WCDR2", 0xf000000, 0x18},
		{"EDC2", 0xf00, 0x8},
		{"EDC3", 0xf000, 0xc},
		{"EDC0", 0xf, 0x0},
		{"EDC1", 0xf0, 0x4}
	} },
	{"MC_XBAR_WRRET_CREDIT2", 0xc86, {
		{"OUT4", 0xff, 0x0},
		{"OUT5", 0xff00, 0x8}
	} },
	{"MC_HUB_SHARED_DAGB_DLY", 0x846, {
		{"DLY", 0x3f, 0x0},
		{"CLI", 0x3f0000, 0x10},
		{"POS", 0x1f000000, 0x18}
	} }
};

}; // namespace amdregdb
