/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_gmc_gmc_8_2();

static const RegSpec gmc_gmc_8_2_regs[] = {
	{"MC_HUB_WRRET_MCDU", 0xdf1, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDT", 0xdf0, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDW", 0x879, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDV", 0xdf2, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_ARB_PERF_CID", 0x9c6, {
		{"CH0", 0xff, 0x0},
		{"CH1", 0xff00, 0x8},
		{"CH1_EN", 0x20000, 0x11},
		{"CH0_EN", 0x10000, 0x10}
	} },
	{"MC_HUB_WRRET_MCDS", 0xdef, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"VM_PRT_APERTURE0_LOW_ADDR", 0x52c, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"GMCON_MISC2", 0xd44, {
		{"RENG_SR_HOLD_THRESHOLD", 0x1f800, 0xb},
		{"STCTRL_NONDISP_IDLE_THRESHOLD", 0x7c0, 0x6},
		{"STCTRL_TIMER_PULSE_OVERRIDE", 0x80000000, 0x1f},
		{"STCTRL_IGNORE_ARB_BUSY", 0x20000000, 0x1d},
		{"GMCON_MISC2_RESERVED1", 0x1ffe0000, 0x11},
		{"GMCON_MISC2_RESERVED0", 0x3f, 0x0},
		{"STCTRL_EXTEND_GMC_OFFLINE", 0x40000000, 0x1e}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_2_STATUS", 0x5e7e, {

	} },
	{"MC_HUB_WRRET_MCDY", 0x87b, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDX", 0x87a, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_HUB_WRRET_MCDZ", 0x87c, {
		{"STALL_MODE", 0x1, 0x0},
		{"CREDIT_COUNT", 0xfe, 0x1}
	} },
	{"MC_CITF_XTRA_ENABLE", 0x96d, {
		{"TC1_CONNECT_CNTL", 0x1800000, 0x17},
		{"CB0_CONNECT_CNTL", 0x6000, 0xd},
		{"DB1_WR", 0x8, 0x3},
		{"TC0_CONNECT_CNTL", 0x600000, 0x15},
		{"ARB_DBG", 0xf00, 0x8},
		{"DB0_CONNECT_CNTL", 0x18000, 0xf},
		{"DB0_CID_CNTL_ENABLE", 0x4000000, 0x1a},
		{"DB1_RD", 0x4, 0x2},
		{"DB1_CID_CNTL_ENABLE", 0x10000000, 0x1c},
		{"TC2_RD", 0x10, 0x4},
		{"CB0_CID_CNTL_ENABLE", 0x2000000, 0x19},
		{"TC2_WR", 0x1000, 0xc},
		{"TC2_REPAIR_ENABLE", 0x60000000, 0x1d},
		{"CB1_WR", 0x2, 0x1},
		{"CB1_CID_CNTL_ENABLE", 0x8000000, 0x1b},
		{"DB1_CONNECT_CNTL", 0x180000, 0x13},
		{"CB1_CONNECT_CNTL", 0x60000, 0x11},
		{"CB1_RD", 0x1, 0x0}
	} },
	{"MC_ARB_HARSH_TX_HI1_WR", 0xdc5, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"GMCON_RENG_RAM_INDEX", 0xd40, {
		{"RENG_RAM_INDEX", 0x3ff, 0x0}
	} },
	{"MC_ARB_BUSY_STATUS", 0x9fd, {
		{"GECC2_WR1", 0x800000, 0x17},
		{"GECC2_WR0", 0x400000, 0x16},
		{"LM_RD0", 0x1, 0x0},
		{"LM_RD1", 0x2, 0x1},
		{"REM_WR1", 0x80000000, 0x1f},
		{"REM_WR0", 0x40000000, 0x1e},
		{"TAGFIFO0", 0x4000, 0xe},
		{"TAGFIFO1", 0x8000, 0xf},
		{"RTT0", 0x4000000, 0x1a},
		{"RTT1", 0x8000000, 0x1b},
		{"WDE_WR1", 0x800, 0xb},
		{"WDE_WR0", 0x400, 0xa},
		{"HM_RD0", 0x10, 0x4},
		{"HM_RD1", 0x20, 0x5},
		{"REPLAY0", 0x10000, 0x10},
		{"REPLAY1", 0x20000, 0x11},
		{"WRRET0", 0x1000000, 0x18},
		{"WRRET1", 0x2000000, 0x19},
		{"GECC2_RD0", 0x100000, 0x14},
		{"GECC2_RD1", 0x200000, 0x15},
		{"HM_WR1", 0x80, 0x7},
		{"HM_WR0", 0x40, 0x6},
		{"RDRET1", 0x80000, 0x13},
		{"RDRET0", 0x40000, 0x12},
		{"LM_WR1", 0x8, 0x3},
		{"LM_WR0", 0x4, 0x2},
		{"WDE_RD0", 0x100, 0x8},
		{"WDE_RD1", 0x200, 0x9},
		{"REM_RD0", 0x10000000, 0x1c},
		{"REM_RD1", 0x20000000, 0x1d},
		{"POP1", 0x2000, 0xd},
		{"POP0", 0x1000, 0xc}
	} },
	{"MCIF_WB_BUF_4_ADDR_C_OFFSET", 0x5e97, {
		{"MCIF_WB_BUF_4_ADDR_C_OFFSET", 0x3ffff, 0x0}
	} },
	{"MC_ARB_PERFCOUNTER0_CFG", 0x7bc, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_GRUB_FEATURES", 0xa36, {
		{"RT_BYPASS_OFF", 0x40, 0x6},
		{"ARB_STALL_EN", 0x400, 0xa},
		{"ARB_NRT_STACK_DISABLE", 0x8, 0x3},
		{"SYNC_REFLECT_DISABLE", 0x100, 0x8},
		{"ARB_STALL_SET_SEL", 0x3000, 0xc},
		{"CREDIT_STALL_SET_SEL", 0x30000, 0x10},
		{"PRIORITY_UPDATE_DISABLE", 0x20, 0x5},
		{"SYNC_ON_ERROR_DISABLE", 0x80, 0x7},
		{"WR_COMBINE_OFF", 0x1, 0x0},
		{"WR_REORDER_OFF", 0x100000, 0x14},
		{"CREDIT_STALL_EN", 0x800, 0xb},
		{"PRB_FILTER_DISABLE", 0x4, 0x2},
		{"ARB_FIXED_PRIORITY", 0x10, 0x4},
		{"SCLK_CG_DISABLE", 0x2, 0x1},
		{"ARB_STALL_CLR_SEL", 0xc000, 0xe},
		{"CREDIT_STALL_CLR_SEL", 0xc0000, 0x12}
	} },
	{"MC_CITF_CREDITS_XBAR", 0x989, {
		{"READ_LCL", 0xff, 0x0},
		{"WRITE_LCL", 0xff00, 0x8}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_2_ADDR_C_OFFSET", 0x5f0f, {

	} },
	{"MC_XPB_CLG_CFG26", 0x92e, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"VM_PRT_APERTURE3_LOW_ADDR", 0x52f, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"CHUB_ATC_PERFCOUNTER0_CFG", 0x7d8, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_2_LOW_ADDR", 0x813, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_MCDVM_PERFCOUNTER2_CFG", 0x7c6, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_ATS_FAULT_STATUS_INFO", 0xcce, {
		{"STATUS", 0xf80000, 0x13},
		{"EXTRA_INFO2", 0x10000, 0x10},
		{"VMID", 0x7c00, 0xa},
		{"PAGE_ADDR_HIGH", 0xf000000, 0x18},
		{"INVALIDATION", 0x20000, 0x11},
		{"FAULT_TYPE", 0x1ff, 0x0},
		{"PAGE_REQUEST", 0x40000, 0x12},
		{"EXTRA_INFO", 0x8000, 0xf}
	} },
	{"VM_CONTEXT2_PAGE_TABLE_BASE_ADDR", 0x551, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_FUS_DRAM0_CS2_BASE", 0xa09, {
		{"BASEADDR38_27", 0x7ff80000, 0x13},
		{"BASEADDR21_11", 0xffe0, 0x5},
		{"CSENABLE", 0x1, 0x0}
	} },
	{"MCIF_WB1_MCIF_WB_BUFMGR_VCE_CONTROL", 0x5ed8, {

	} },
	{"MC_MCDVM_PERFCOUNTER_HI", 0x7ab, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_FUS_DRAM1_BANK_ADDR_MAPPING", 0xa12, {
		{"DIMM0ADDRMAP", 0xf, 0x0},
		{"BANKSWAP", 0x200, 0x9},
		{"DIMM1ADDRMAP", 0xf0, 0x4},
		{"BANKSWIZZLEMODE", 0x100, 0x8}
	} },
	{"MC_ARB_HARSH_CTL_WR", 0xdd7, {
		{"BWCNT_CATCHUP", 0x800, 0xb},
		{"FORCE_HIGHEST", 0xff, 0x0},
		{"PERF_MON_SEL", 0x1c00000, 0x16},
		{"USE_LEGACY_HARSH", 0x400, 0xa},
		{"ST_MODE", 0x3000, 0xc},
		{"BANK_AGE_ONLY", 0x200, 0x9},
		{"HARSH_RR", 0x100, 0x8},
		{"FORCE_STALL", 0x3fc000, 0xe}
	} },
	{"MC_HUB_RDREQ_MCIF", 0x863, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_XPB_P2P_BAR1", 0x905, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR0", 0x904, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR3", 0x907, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR2", 0x906, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR5", 0x909, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR4", 0x908, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR7", 0x90b, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_XPB_P2P_BAR6", 0x90a, {
		{"HOST_FLUSH", 0xf, 0x0},
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"MEM_SYS_BAR", 0xf00, 0x8},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf0, 0x4}
	} },
	{"MC_ARB_RET_CREDITS_WR", 0x9f5, {
		{"WRRET_BP", 0x10000000, 0x1c},
		{"LCL", 0xff, 0x0},
		{"RETURN_CREDIT", 0xff0000, 0x10},
		{"WRRET_SEQ_SKID", 0xf000000, 0x18},
		{"HUB", 0xff00, 0x8}
	} },
	{"MC_ARB_HARSH_TX_LO1_WR", 0xdc9, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_HUB_WDP_ISP_MPM", 0xde5, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_ARB_RET_CREDITS_RD", 0x9f4, {
		{"DISP", 0xff0000, 0x10},
		{"LCL", 0xff, 0x0},
		{"RETURN_CREDIT", 0xff000000, 0x18},
		{"HUB", 0xff00, 0x8}
	} },
	{"MC_HUB_WDP_ISP_MPS", 0xde4, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_XPB_CLG_EXTRA_RD", 0x935, {
		{"CMP0", 0xff, 0x0},
		{"MSK0", 0xff00, 0x8},
		{"VLD1", 0x2000000, 0x19},
		{"VLD0", 0x10000, 0x10},
		{"CMP1", 0x1fe0000, 0x11}
	} },
	{"MC_VM_FB_OFFSET", 0x81a, {
		{"FB_OFFSET", 0x3ffff, 0x0}
	} },
	{"MC_HUB_WDP_SIP", 0x86a, {
		{"STALL_MODE", 0x3, 0x0},
		{"ASK_CREDITS", 0x1fc, 0x2}
	} },
	{"MC_ARB_RTT_CNTL2", 0x9d2, {
		{"SAMPLE_CNT", 0x3f, 0x0},
		{"FILTER_CNTL", 0x2000, 0xd},
		{"PHASE_ADJUST_SIZE", 0x1000, 0xc},
		{"PHASE_ADJUST_THRESHOLD", 0xfc0, 0x6}
	} },
	{"MC_ARB_RTT_CNTL1", 0x9d1, {
		{"WINDOW_SIZE_MIN", 0x3e000000, 0x19},
		{"WINDOW_SIZE", 0x1f, 0x0},
		{"WINDOW_SIZE_MAX", 0x1f00000, 0x14},
		{"WINDOW_INC_THRESHOLD", 0x1fc0, 0x6},
		{"WINDOW_UPDATE", 0x20, 0x5},
		{"WINDOW_UPDATE_COUNT", 0xc0000000, 0x1e},
		{"WINDOW_DEC_THRESHOLD", 0xfe000, 0xd}
	} },
	{"MC_ARB_RTT_CNTL0", 0x9d0, {
		{"ENABLE", 0x1, 0x0},
		{"START_R2W", 0xc, 0x2},
		{"DEBUG_RSV_8", 0x800000, 0x17},
		{"DEBUG_RSV_7", 0x400000, 0x16},
		{"DEBUG_RSV_6", 0x200000, 0x15},
		{"DEBUG_RSV_5", 0x100000, 0x14},
		{"DEBUG_RSV_4", 0x80000, 0x13},
		{"DEBUG_RSV_3", 0x40000, 0x12},
		{"DEBUG_RSV_2", 0x20000, 0x11},
		{"DEBUG_RSV_1", 0x10000, 0x10},
		{"DEBUG_RSV_0", 0x8000, 0xf},
		{"BREAK_ON_HARSH", 0x100, 0x8},
		{"TPS_HARSH_PRIORITY", 0x40, 0x6},
		{"BREAK_ON_URGENTWR", 0x400, 0xa},
		{"DATA_CNTL", 0x1000000, 0x18},
		{"BREAK_ON_URGENTRD", 0x200, 0x9},
		{"TWRT_HARSH_PRIORITY", 0x80, 0x7},
		{"START_R2W_RFSH", 0x4000, 0xe},
		{"FLUSH_ON_ENTER", 0x10, 0x4},
		{"TRAIN_PERIOD", 0x3800, 0xb},
		{"START_IDLE", 0x2, 0x1},
		{"NEIGHBOR_BIT", 0x2000000, 0x19},
		{"HARSH_START", 0x20, 0x5}
	} },
	{"MC_VM_L2_PERFCOUNTER_HI", 0x7ad, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_XPB_P2P_BAR_DEBUG", 0x90d, {
		{"MEM_SYS_BAR", 0xf000, 0xc},
		{"SEL", 0xff, 0x0},
		{"HOST_FLUSH", 0xf00, 0x8}
	} },
	{"MC_HUB_RDREQ_UMC", 0x85f, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MCIF_WB2_MCIF_WB_ARBITRATION_CONTROL", 0x5f04, {

	} },
	{"MCIF_WB1_MCIF_WB_TEST_DEBUG_DATA", 0x5ec7, {

	} },
	{"MC_ARB_HARSH_BWCNT0_RD", 0xdce, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_RD_GRP_GFX", 0x803, {
		{"ACPO", 0xf0000, 0x10},
		{"XDMAM", 0xf00000, 0x14},
		{"ISP", 0xf000000, 0x18},
		{"SH", 0xf0, 0x4},
		{"VP8", 0xf0000000, 0x1c},
		{"ACPG", 0xf000, 0xc},
		{"IA", 0xf00, 0x8},
		{"CP", 0xf, 0x0}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_4_ADDR_C", 0x5ed6, {

	} },
	{"MC_HUB_RDREQ_ISP_CCPU", 0xde2, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_PITCH", 0x5e7b, {

	} },
	{"MCIF_WB2_MCIF_WB_TEST_DEBUG_DATA", 0x5f07, {

	} },
	{"MC_VM_STEERING", 0x81b, {
		{"DEFAULT_STEERING", 0x3, 0x0}
	} },
	{"MC_HUB_WRRET_STATUS", 0x83a, {
		{"MCDZ_AVAIL", 0x8, 0x3},
		{"MCDW_AVAIL", 0x1, 0x0},
		{"MCDX_AVAIL", 0x2, 0x1},
		{"MCDY_AVAIL", 0x4, 0x2},
		{"MCDV_AVAIL", 0x80, 0x7},
		{"MCDT_AVAIL", 0x20, 0x5},
		{"MCDU_AVAIL", 0x40, 0x6},
		{"MCDS_AVAIL", 0x10, 0x4}
	} },
	{"ATC_PERFCOUNTER_LO", 0x7a7, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_1_ADDR_Y_OFFSET", 0x5f09, {

	} },
	{"MC_RD_HUB", 0x985, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_GRUB_PERFCOUNTER_HI", 0x7e5, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_RD_GRP_SYS", 0x805, {
		{"VCE0", 0xf000000, 0x18},
		{"VCE1", 0xf0000000, 0x1c},
		{"SMU", 0xf00000, 0x14},
		{"VMC", 0xf0, 0x4},
		{"RLC", 0xf, 0x0},
		{"MCIF", 0xf0000, 0x10},
		{"SDMA1", 0xf00, 0x8},
		{"DMIF", 0xf000, 0xc}
	} },
	{"MC_ARB_SNOOP", 0x9c7, {
		{"OUTSTANDING_RD", 0xff0000, 0x10},
		{"TC_GRP_WR", 0x70, 0x4},
		{"TC_GRP_WR_EN", 0x80, 0x7},
		{"TC_GRP_RD_EN", 0x8, 0x3},
		{"OUTSTANDING_WR", 0xff000000, 0x18},
		{"SDMA_GRP_RD", 0x700, 0x8},
		{"SDMA_GRP_RD_EN", 0x800, 0xb},
		{"SDMA_GRP_WR", 0x7000, 0xc},
		{"SDMA_GRP_WR_EN", 0x8000, 0xf},
		{"TC_GRP_RD", 0x7, 0x0}
	} },
	{"VM_PRT_APERTURE2_HIGH_ADDR", 0x532, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_ARB_WTM_CNTL_WR", 0x9e0, {
		{"ACP_OVER_DISP", 0x1000, 0xc},
		{"ACP_HARSH_PRI", 0x800, 0xb},
		{"ALLOW_STUTTER_GRP5", 0x100, 0x8},
		{"ALLOW_STUTTER_GRP4", 0x80, 0x7},
		{"ALLOW_STUTTER_GRP7", 0x400, 0xa},
		{"ALLOW_STUTTER_GRP6", 0x200, 0x9},
		{"ALLOW_STUTTER_GRP1", 0x10, 0x4},
		{"ALLOW_STUTTER_GRP0", 0x8, 0x3},
		{"ALLOW_STUTTER_GRP3", 0x40, 0x6},
		{"ALLOW_STUTTER_GRP2", 0x20, 0x5},
		{"FORCE_ACP_URG", 0x2000, 0xd},
		{"WTMODE", 0x3, 0x0},
		{"HARSH_PRI", 0x4, 0x2}
	} },
	{"MC_HUB_WDP_ERR", 0x836, {
		{"MGPU1_TARG_SYS", 0x1, 0x0},
		{"MGPU2_TARG_SYS", 0x2, 0x1}
	} },
	{"MC_XPB_INTF_STS", 0x920, {
		{"HOP_ATTR_BUF_FULL", 0x10000, 0x10},
		{"XSP_REQ_CRD", 0x7f00, 0x8},
		{"RPB_WRREQ_CRD", 0xff, 0x0},
		{"RPB_RDREQ_CRD", 0x7f80000, 0x13},
		{"HOP_DATA_BUF_FULL", 0x8000, 0xf},
		{"CNS_BUF_FULL", 0x20000, 0x11},
		{"CNS_BUF_BUSY", 0x40000, 0x12}
	} },
	{"MC_HUB_WDP_RLC", 0x871, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_CREDITS", 0x83f, {
		{"STOR1", 0xff000000, 0x18},
		{"STOR0", 0xff0000, 0x10},
		{"VM0", 0xff, 0x0},
		{"VM1", 0xff00, 0x8}
	} },
	{"MC_RPB_PERFCOUNTER_LO", 0x7a2, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_RPB_RD_SWITCH_CNTL", 0x955, {
		{"QUEUE1_SWITCH_NUM", 0xff00, 0x8},
		{"QUEUE0_SWITCH_NUM", 0xff, 0x0},
		{"QUEUE3_SWITCH_NUM", 0xff000000, 0x18},
		{"QUEUE2_SWITCH_NUM", 0xff0000, 0x10}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_2_ADDR_Y_OFFSET", 0x5ecd, {

	} },
	{"MCIF_WB0_MCIF_WB_BUF_3_ADDR_Y", 0x5e90, {

	} },
	{"MC_CITF_RET_MODE", 0x976, {
		{"LCLPRI_RD", 0x10, 0x4},
		{"RDRET_STALL_EN", 0x40, 0x6},
		{"LCLPRI_WR", 0x20, 0x5},
		{"INORDER_RD", 0x1, 0x0},
		{"RDRET_STALL_THRESHOLD", 0x7f80, 0x7},
		{"INORDER_WR", 0x2, 0x1},
		{"REMPRI_RD", 0x4, 0x2},
		{"REMPRI_WR", 0x8, 0x3}
	} },
	{"MC_FUS_DRAM1_CS1_BASE", 0xa08, {
		{"BASEADDR38_27", 0x7ff80000, 0x13},
		{"BASEADDR21_11", 0xffe0, 0x5},
		{"CSENABLE", 0x1, 0x0}
	} },
	{"MC_VM_MARC_RELOC_LO_2", 0xf9a6, {
		{"MARC_RELOC_LO_2", 0xfffff000, 0xc},
		{"MARC_READONLY_2", 0x2, 0x1},
		{"MARC_ENABLE_2", 0x1, 0x0}
	} },
	{"GMCON_RENG_EXECUTE", 0xd42, {
		{"RENG_EXECUTE_END_PTR", 0xffc00000, 0x16},
		{"RENG_EXECUTE_NOW_START_PTR", 0xffc, 0x2},
		{"RENG_EXECUTE_DSP_END_PTR", 0x3ff000, 0xc},
		{"RENG_EXECUTE_ON_PWR_UP", 0x1, 0x0},
		{"RENG_EXECUTE_NOW", 0x2, 0x1}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_2_ADDR_C_OFFSET", 0x5ecf, {

	} },
	{"MC_WR_GRP_EXT", 0x979, {
		{"DBSTEN0", 0xf, 0x0},
		{"TC0", 0xf0, 0x4}
	} },
	{"MC_CITF_CREDITS_ARB_RD", 0x972, {
		{"READ_LCL", 0xff, 0x0},
		{"READ_HUB", 0xff00, 0x8},
		{"READ_PRI", 0xff0000, 0x10},
		{"LCL_PRI", 0x1000000, 0x18},
		{"HUB_PRI", 0x2000000, 0x19}
	} },
	{"MC_ARB_CG", 0x9fa, {
		{"CG_ARB_RESP", 0xff00, 0x8},
		{"CG_ARB_REQ", 0xff, 0x0},
		{"RSV_1", 0xff000000, 0x18},
		{"RSV_0", 0xff0000, 0x10}
	} },
	{"MCIF_WB_URGENCY_WATERMARK", 0x5e85, {
		{"MCIF_WB_CLIENT1_URGENCY_WATERMARK", 0xffff0000, 0x10},
		{"MCIF_WB_CLIENT0_URGENCY_WATERMARK", 0xffff, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_3_ADDR_C", 0x5e92, {

	} },
	{"MC_VM_MD_L1_TLB0_DEBUG", 0x998, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MC_HUB_MISC_ATOMIC_IDLE_STATUS", 0x84f, {
		{"OUTSTANDING_XDMA_ATOMIC", 0x2000, 0xd},
		{"OUTSTANDING_VCE_ATOMIC", 0x400, 0xa},
		{"OUTSTANDING_UVD_ATOMIC", 0x20, 0x5},
		{"OUTSTANDING_DISP_ATOMIC", 0x10, 0x4},
		{"OUTSTANDING_ISP_ATOMIC", 0x4000, 0xe},
		{"OUTSTANDING_VP8_ATOMIC", 0x8000, 0xf},
		{"OUTSTANDING_OTH_ATOMIC", 0x100, 0x8},
		{"OUTSTANDING_SMU_ATOMIC", 0x40, 0x6},
		{"OUTSTANDING_SAMMSP_ATOMIC", 0x1000, 0xc},
		{"OUTSTANDING_SDMA0_ATOMIC", 0x4, 0x2},
		{"OUTSTANDING_GFX_ATOMIC", 0x1, 0x0},
		{"OUTSTANDING_ACP_ATOMIC", 0x800, 0xb},
		{"OUTSTANDING_RLC_ATOMIC", 0x2, 0x1},
		{"OUTSTANDING_VMC_ATOMIC", 0x200, 0x9},
		{"OUTSTANDING_HDP_ATOMIC", 0x80, 0x7},
		{"OUTSTANDING_SDMA1_ATOMIC", 0x8, 0x3}
	} },
	{"MC_FUS_DRAM1_CTL_LIMIT", 0xa16, {
		{"DCTLIMITADDR", 0x1fffff, 0x0},
		{"DRAMHOLEVALID", 0x200000, 0x15}
	} },
	{"MC_ARB_MISC", 0x9d6, {
		{"HARSHNESS", 0x7f800, 0xb},
		{"SMART_RDWR_SW", 0x80000, 0x13},
		{"DISPURG_NOSW2WR", 0x1000000, 0x18},
		{"ACPURG_STALL", 0x80000000, 0x1f},
		{"CALI_ENABLE", 0x100000, 0x14},
		{"DISPURG_THROTTLE", 0x3c000000, 0x1a},
		{"CHAN_COUPLE", 0x7f8, 0x3},
		{"STICKY_RFSH", 0x1, 0x0},
		{"DISPURGVLD_NOWRT", 0x800000, 0x17},
		{"EXTEND_WEIGHT", 0x40000000, 0x1e},
		{"IDLE_RFSH", 0x2, 0x1},
		{"DISPURG_STALL", 0x2000000, 0x19},
		{"CALI_RATES", 0x600000, 0x15},
		{"STUTTER_RFSH", 0x4, 0x2}
	} },
	{"MC_HUB_RDREQ_SIP", 0x855, {
		{"MED_CREDIT_SEL", 0x80, 0x7},
		{"DISPLAY_CREDITS", 0x7f00, 0x8},
		{"ASK_CREDITS", 0x7f, 0x0}
	} },
	{"MC_HUB_MISC_POWER", 0x82d, {
		{"PM_BLACKOUT_CNTL", 0x18, 0x3},
		{"SRBM_GATE_OVERRIDE", 0x4, 0x2}
	} },
	{"MCIF_WB2_MCIF_WB_URGENCY_WATERMARK", 0x5f05, {

	} },
	{"MCIF_WB0_MCIF_WB_BUF_2_ADDR_Y", 0x5e8c, {

	} },
	{"MC_ARB_HARSH_TX_HI0_RD", 0xdc2, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_CITF_MISC_RD_CG", 0x992, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MC_ARB_PERFCOUNTER1_CFG", 0x7bd, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"VM_CONTEXT1_PAGE_TABLE_START_ADDR", 0x558, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MCIF_WB_BUF_2_STATUS", 0x5e7e, {
		{"MCIF_WB_BUF_2_VCE_LOCKED", 0x4, 0x2},
		{"MCIF_WB_BUF_2_FIELD", 0x8000, 0xf},
		{"MCIF_WB_BUF_2_MODE", 0xe0, 0x5},
		{"MCIF_WB_BUF_2_SW_LOCKED", 0x2, 0x1},
		{"MCIF_WB_BUF_2_DISABLE", 0x10, 0x4},
		{"MCIF_WB_BUF_2_OVERFLOW", 0x8, 0x3},
		{"MCIF_WB_BUF_2_SHORT_LINE_ERROR", 0x40000000, 0x1e},
		{"MCIF_WB_BUF_2_BUFTAG", 0xf00, 0x8},
		{"MCIF_WB_BUF_2_NXT_BUF", 0x7000, 0xc},
		{"MCIF_WB_BUF_2_CUR_LINE_L", 0x1fff0000, 0x10},
		{"MCIF_WB_BUF_2_FRAME_LENGTH_ERROR", 0x80000000, 0x1f},
		{"MCIF_WB_BUF_2_LONG_LINE_ERROR", 0x20000000, 0x1d},
		{"MCIF_WB_BUF_2_ACTIVE", 0x1, 0x0}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_2_HIGH_ADDR", 0x817, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MCIF_WB_BUF_3_STATUS", 0x5e80, {
		{"MCIF_WB_BUF_3_BUFTAG", 0xf00, 0x8},
		{"MCIF_WB_BUF_3_FRAME_LENGTH_ERROR", 0x80000000, 0x1f},
		{"MCIF_WB_BUF_3_LONG_LINE_ERROR", 0x20000000, 0x1d},
		{"MCIF_WB_BUF_3_SHORT_LINE_ERROR", 0x40000000, 0x1e},
		{"MCIF_WB_BUF_3_VCE_LOCKED", 0x4, 0x2},
		{"MCIF_WB_BUF_3_ACTIVE", 0x1, 0x0},
		{"MCIF_WB_BUF_3_FIELD", 0x8000, 0xf},
		{"MCIF_WB_BUF_3_SW_LOCKED", 0x2, 0x1},
		{"MCIF_WB_BUF_3_NXT_BUF", 0x7000, 0xc},
		{"MCIF_WB_BUF_3_CUR_LINE_L", 0x1fff0000, 0x10},
		{"MCIF_WB_BUF_3_OVERFLOW", 0x8, 0x3},
		{"MCIF_WB_BUF_3_DISABLE", 0x10, 0x4},
		{"MCIF_WB_BUF_3_MODE", 0xe0, 0x5}
	} },
	{"MC_VM_NB_TOP_OF_DRAM3", 0xf997, {
		{"TOM3_ENABLE", 0x80000000, 0x1f},
		{"TOM3_LIMIT", 0x3fffffff, 0x0}
	} },
	{"MC_FUS_DRAM0_CS1_BASE", 0xa07, {
		{"BASEADDR38_27", 0x7ff80000, 0x13},
		{"BASEADDR21_11", 0xffe0, 0x5},
		{"CSENABLE", 0x1, 0x0}
	} },
	{"MC_XPB_P2P_BAR_SETUP", 0x90c, {
		{"RESERVED", 0x8000, 0xf},
		{"COMPRESS_DIS", 0x4000, 0xe},
		{"SEND_DIS", 0x2000, 0xd},
		{"VALID", 0x1000, 0xc},
		{"ADDRESS", 0xffff0000, 0x10},
		{"REG_SYS_BAR", 0xf00, 0x8},
		{"SEL", 0xff, 0x0}
	} },
	{"MC_FUS_DRAM0_CS23_MASK", 0xa0f, {

	} },
	{"ATC_VM_APERTURE1_CNTL2", 0xcc7, {
		{"VMIDS_USING_RANGE", 0xffff, 0x0}
	} },
	{"MC_RPB_CID_QUEUE_RD", 0x957, {
		{"READ_QUEUE", 0xc00, 0xa},
		{"WRITE_QUEUE", 0x300, 0x8},
		{"CLIENT_ID", 0xff, 0x0}
	} },
	{"MC_MCDVM_PERFCOUNTER3_CFG", 0x7c7, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"VM_CONTEXT0_PAGE_TABLE_START_ADDR", 0x557, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"VM_CONTEXT0_PAGE_TABLE_END_ADDR", 0x55f, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_ARB_HARSH_BWPERIOD0_RD", 0xdca, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_ARB_HARSH_BWCNT0_WR", 0xdcf, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"GMCON_PGFSM_WRITE", 0xd4f, {
		{"WRITE_VALUE", 0xffffffff, 0x0}
	} },
	{"MC_FUS_DRAM_CTL_HIGH_01", 0xa17, {
		{"DCTHIGHADDROFF0", 0xfff, 0x0},
		{"DCTHIGHADDROFF1", 0xfff000, 0xc}
	} },
	{"VM_L2_BANK_SELECT_RESERVED_CID", 0x579, {
		{"RESERVED_CACHE_INVALIDATION_MODE", 0x1000000, 0x18},
		{"RESERVED_READ_CLIENT_ID", 0x1ff, 0x0},
		{"ENABLE", 0x100000, 0x14},
		{"RESERVED_WRITE_CLIENT_ID", 0x7fc00, 0xa},
		{"RESERVED_CACHE_PRIVATE_INVALIDATION", 0x2000000, 0x19}
	} },
	{"ATC_VM_APERTURE0_CNTL", 0xcc4, {
		{"ATS_ACCESS_MODE", 0x3, 0x0}
	} },
	{"MC_MCBVM_PERFCOUNTER2_CFG", 0x7c2, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_ARB_HARSH_BWPERIOD1_RD", 0xdcc, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"ATC_L2_CNTL", 0xcd5, {
		{"NUMBER_OF_TRANSLATION_READS_DEPENDS_ON_ADDR_MOD", 0x100, 0x8},
		{"NUMBER_OF_TRANSLATION_WRITE_REQUESTS", 0x30, 0x4},
		{"NUMBER_OF_TRANSLATION_READ_REQUESTS", 0x3, 0x0},
		{"NUMBER_OF_TRANSLATION_WRITES_DEPENDS_ON_ADDR_MOD", 0x200, 0x9}
	} },
	{"MC_GRUB_PROBE_MAP", 0xa33, {
		{"ADDR0_TO_GRUB_MAP", 0x100, 0x8},
		{"ADDR2_TO_GRUB_MAP", 0x400, 0xa},
		{"ADDR3_TO_GRUB_MAP", 0x800, 0xb},
		{"ADDR3_TO_TC_MAP", 0xc0, 0x6},
		{"ADDR1_TO_GRUB_MAP", 0x200, 0x9},
		{"ADDR1_TO_TC_MAP", 0xc, 0x2},
		{"ADDR2_TO_TC_MAP", 0x30, 0x4},
		{"ADDR0_TO_TC_MAP", 0x3, 0x0}
	} },
	{"MC_XPB_RTR_DEST_MAP8", 0x8e3, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP9", 0x8e4, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP6", 0x8e1, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP7", 0x8e2, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP4", 0x8df, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP5", 0x8e0, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP2", 0x8dd, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP3", 0x8de, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP0", 0x8db, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_XPB_RTR_DEST_MAP1", 0x8dc, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_1_ADDR_C_OFFSET", 0x5e8b, {

	} },
	{"MC_ARB_HARSH_SAT0_WR", 0xdd3, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_CITF_WTM_WR_CNTL", 0x980, {
		{"GROUP0_DECREMENT", 0x7, 0x0},
		{"GROUP6_DECREMENT", 0x1c0000, 0x12},
		{"GROUP1_DECREMENT", 0x38, 0x3},
		{"DISABLE_REMOTE", 0x1000000, 0x18},
		{"GROUP7_DECREMENT", 0xe00000, 0x15},
		{"GROUP4_DECREMENT", 0x7000, 0xc},
		{"DISABLE_LOCAL", 0x2000000, 0x19},
		{"GROUP5_DECREMENT", 0x38000, 0xf},
		{"GROUP3_DECREMENT", 0xe00, 0x9},
		{"GROUP2_DECREMENT", 0x1c0, 0x6}
	} },
	{"MCIF_WB_BUF_2_STATUS2", 0x5e7f, {
		{"MCIF_WB_BUF_2_CUR_LINE_R", 0x1fff, 0x0},
		{"MCIF_WB_BUF_2_COLOR_DEPTH", 0x4000, 0xe},
		{"MCIF_WB_BUF_2_NEW_CONTENT", 0x2000, 0xd}
	} },
	{"MC_ARB_HARSH_EN_WR", 0xdc1, {
		{"FIX_PRI", 0xff0000, 0x10},
		{"TX_PRI", 0xff, 0x0},
		{"BW_PRI", 0xff00, 0x8},
		{"ST_PRI", 0xff000000, 0x18}
	} },
	{"MC_VM_L2_PERFCOUNTER_RSLT_CNTL", 0x7d3, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_VM_NB_UPPER_TOP_OF_DRAM2", 0xf996, {
		{"UPPER_TOM2", 0xff, 0x0}
	} },
	{"MC_ARB_HARSH_CTL_RD", 0xdd6, {
		{"BWCNT_CATCHUP", 0x800, 0xb},
		{"FORCE_HIGHEST", 0xff, 0x0},
		{"PERF_MON_SEL", 0x1c00000, 0x16},
		{"USE_LEGACY_HARSH", 0x400, 0xa},
		{"ST_MODE", 0x3000, 0xc},
		{"BANK_AGE_ONLY", 0x200, 0x9},
		{"HARSH_RR", 0x100, 0x8},
		{"FORCE_STALL", 0x3fc000, 0xe}
	} },
	{"MC_ARB_MINCLKS", 0x9da, {
		{"ARB_RW_SWITCH", 0x10000, 0x10},
		{"READ_CLKS", 0xff, 0x0},
		{"RW_SWITCH_HARSH", 0x60000, 0x11},
		{"WRITE_CLKS", 0xff00, 0x8}
	} },
	{"MC_HUB_RDREQ_ISP_MPM", 0xde1, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_GBL1", 0x842, {
		{"STALL_THRESHOLD", 0xff00, 0x8},
		{"STALL_MODE", 0x10000, 0x10},
		{"MAXBURST", 0xf, 0x0},
		{"LAZY_TIMER", 0xf0, 0x4},
		{"STALL_THRESHOLD_PRI", 0x1fe0000, 0x11}
	} },
	{"MC_HUB_WDP_GBL0", 0x841, {
		{"STALL_THRESHOLD", 0xff00, 0x8},
		{"STALL_MODE", 0x10000, 0x10},
		{"MAXBURST", 0xf, 0x0},
		{"LAZY_TIMER", 0xf0, 0x4},
		{"STALL_THRESHOLD_PRI", 0x1fe0000, 0x11}
	} },
	{"MC_CITF_PERFCOUNTER2_CFG", 0x7b2, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_ADDR", 0x53f, {
		{"LOGICAL_PAGE_ADDR", 0xfffffff, 0x0}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF8", 0xf988, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MC_CITF_DAGB_DLY", 0x977, {
		{"DLY", 0x1f, 0x0},
		{"CLI", 0x3f0000, 0x10},
		{"POS", 0x3f000000, 0x18}
	} },
	{"MC_HUB_WDP_MCDS", 0xdeb, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_VM_MB_L2ARBITER_L2_CREDITS", 0x8a1, {
		{"L2_IF_CREDITS", 0x3f, 0x0}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF9", 0xf989, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUFMGR_STATUS", 0x5efa, {

	} },
	{"MCIF_WB1_MCIF_WB_ARBITRATION_CONTROL", 0x5ec4, {

	} },
	{"ATC_ATS_FAULT_STATUS_INFO2", 0xcd2, {
		{"L1_ID", 0x1fe00, 0x9},
		{"VF", 0x1, 0x0},
		{"VFID", 0x3e, 0x1}
	} },
	{"MCIF_WB_BUFMGR_SW_CONTROL", 0x5e78, {
		{"MCIF_WB_BUFMGR_SW_INT_EN", 0x10, 0x4},
		{"MCIF_WB_BUF_DUALSIZE_REQ", 0x2, 0x1},
		{"MCIF_WB_BUFMGR_SW_INT_ACK", 0x20, 0x5},
		{"MCIF_WB_BUFMGR_SW_SLICE_INT_EN", 0x40, 0x6},
		{"MCIF_WB_BUFMGR_SW_LOCK", 0xf00, 0x8},
		{"MCIF_WB_BUFMGR_ENABLE", 0x1, 0x0},
		{"MCIF_WB_P_VMID", 0xf0000, 0x10}
	} },
	{"VM_DUMMY_PAGE_FAULT_ADDR", 0x507, {
		{"DUMMY_PAGE_ADDR", 0xfffffff, 0x0}
	} },
	{"MC_CITF_PERFCOUNTER_RSLT_CNTL", 0x7ce, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_3_STATUS2", 0x5f01, {

	} },
	{"MC_XPB_P2P_BAR_CFG", 0x903, {
		{"UPDATE_DIS", 0x200, 0x9},
		{"ADDR_SIZE", 0xf, 0x0},
		{"COMPRESS_DIS", 0x100, 0x8},
		{"SNOOP", 0x40, 0x6},
		{"REGBAR_FROM_SYSBAR", 0x400, 0xa},
		{"SEND_DIS", 0x80, 0x7},
		{"RD_EN", 0x800, 0xb},
		{"SEND_BAR", 0x30, 0x4},
		{"ATC_TRANSLATED", 0x1000, 0xc}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF6", 0xf986, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MCIF_WB_BUF_4_ADDR_Y_OFFSET", 0x5e95, {
		{"MCIF_WB_BUF_4_ADDR_Y_OFFSET", 0x3ffff, 0x0}
	} },
	{"MC_CITF_PERFCOUNTER3_CFG", 0x7b3, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_4_ADDR_Y_OFFSET", 0x5e95, {

	} },
	{"MC_HUB_RDREQ_GBL0", 0x856, {
		{"STALL_THRESHOLD", 0xff, 0x0},
		{"STALL_THRESHOLD_PRI", 0xff00, 0x8}
	} },
	{"MC_HUB_RDREQ_GBL1", 0x857, {
		{"STALL_THRESHOLD", 0xff, 0x0},
		{"STALL_THRESHOLD_PRI", 0xff00, 0x8}
	} },
	{"MC_VM_NB_MMIOBASE", 0xf990, {
		{"MMIOBASE", 0xffffffff, 0x0}
	} },
	{"MC_RPB_TCI_CNTL", 0x95c, {
		{"TCI_REQ_CREDITS", 0xff00, 0x8},
		{"TCI_VMID", 0xf0, 0x4},
		{"TCI_MAX_WRITES", 0xff0000, 0x10},
		{"TCI_MAX_READS", 0xff000000, 0x18},
		{"TCI_POLICY", 0x6, 0x1},
		{"TCI_ENABLE", 0x1, 0x0},
		{"TCI_VOL", 0x8, 0x3}
	} },
	{"VM_CONTEXT1_CNTL2", 0x50d, {
		{"WAIT_FOR_IDLE_WHEN_INVALIDATE", 0x10, 0x4},
		{"CLEAR_PROTECTION_FAULT_STATUS_ADDR", 0x1, 0x0},
		{"ENABLE_CLEAR_PROTECTION_FAULT_STATUS_ADDR_WHEN_INVALIDATE_CONTEXT", 0x2, 0x1},
		{"ENABLE_INTERRUPT_PROCESSING_FOR_SUBSEQUENT_FAULTS_PER_CONTEXT", 0x4, 0x2},
		{"ALLOW_SUBSEQUENT_PROTECTION_FAULT_STATUS_ADDR_UPDATES", 0x8, 0x3}
	} },
	{"MC_XPB_PIPE_STS", 0x921, {
		{"WCB_SID_REQ_FIFO_FULL", 0x40000, 0x12},
		{"WCB_ANY_PBUF", 0x1, 0x0},
		{"WCB_HST_DATA_BUF_CNT", 0xfe, 0x1},
		{"RET_BUF_FULL", 0x800000, 0x17},
		{"WCB_SID_RD_PTR_BUF_FULL", 0x10000, 0x10},
		{"WCB_HST_REQ_FIFO_FULL", 0x20000, 0x11},
		{"WCB_HST_DATA_OBUF_FULL", 0x200000, 0x15},
		{"WCB_SID_DATA_OBUF_FULL", 0x400000, 0x16},
		{"WCB_SID_REQ_OBUF_FULL", 0x100000, 0x14},
		{"WCB_HST_REQ_OBUF_FULL", 0x80000, 0x13},
		{"XPB_CLK_BUSY_BITS", 0xff000000, 0x18},
		{"WCB_SID_DATA_BUF_CNT", 0x7f00, 0x8},
		{"WCB_HST_RD_PTR_BUF_FULL", 0x8000, 0xf}
	} },
	{"MC_VM_L2_PERFCOUNTER_LO", 0x7a5, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"VM_CONTEXT0_CNTL", 0x504, {
		{"VALID_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x1000, 0xc},
		{"READ_PROTECTION_FAULT_ENABLE_SAVE", 0x20000, 0x11},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x80, 0x7},
		{"VALID_PROTECTION_FAULT_ENABLE_DEFAULT", 0x2000, 0xd},
		{"RANGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x10, 0x4},
		{"ENABLE_CONTEXT", 0x1, 0x0},
		{"PDE0_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x200, 0x9},
		{"READ_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x8000, 0xf},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x40, 0x6},
		{"EXECUTE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x200000, 0x15},
		{"PDE0_PROTECTION_FAULT_ENABLE_SAVE", 0x800, 0xb},
		{"WRITE_PROTECTION_FAULT_ENABLE_SAVE", 0x100000, 0x14},
		{"PDE0_PROTECTION_FAULT_ENABLE_DEFAULT", 0x400, 0xa},
		{"RANGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x8, 0x3},
		{"WRITE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x40000, 0x12},
		{"EXECUTE_PROTECTION_FAULT_ENABLE_SAVE", 0x800000, 0x17},
		{"PAGE_TABLE_BLOCK_SIZE", 0xf000000, 0x18},
		{"EXECUTE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x400000, 0x16},
		{"VALID_PROTECTION_FAULT_ENABLE_SAVE", 0x4000, 0xe},
		{"READ_PROTECTION_FAULT_ENABLE_DEFAULT", 0x10000, 0x10},
		{"PAGE_TABLE_DEPTH", 0x6, 0x1},
		{"WRITE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x80000, 0x13}
	} },
	{"MC_VM_MARC_BASE_LO_1", 0xf99e, {
		{"MARC_BASE_LO_1", 0xfffff000, 0xc}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF2", 0xf982, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MC_VM_MARC_BASE_LO_3", 0xf9aa, {
		{"MARC_BASE_LO_3", 0xfffff000, 0xc}
	} },
	{"MC_VM_MARC_BASE_LO_2", 0xf9a4, {
		{"MARC_BASE_LO_2", 0xfffff000, 0xc}
	} },
	{"VM_PRT_APERTURE1_HIGH_ADDR", 0x531, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF3", 0xf983, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_3_STATUS", 0x5e80, {

	} },
	{"MC_HUB_WDP_ISP_CCPU", 0xde6, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_RPB_PERFCOUNTER_RSLT_CNTL", 0x7d0, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_XPB_CLG_CFG34", 0x938, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG35", 0x939, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG36", 0x93a, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG30", 0x932, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_RPB_CONF", 0x94d, {
		{"RPB_WR_PCIE_ORDER", 0x20000, 0x11},
		{"XPB_PCIE_ORDER", 0x8000, 0xf},
		{"RPB_RD_PCIE_ORDER", 0x10000, 0x10}
	} },
	{"MC_XPB_CLG_CFG32", 0x936, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG33", 0x937, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_3_ADDR_C_OFFSET", 0x5e93, {

	} },
	{"MC_ARB_GECC2_DEBUG2", 0x9c5, {
		{"ERR0_START", 0xff00, 0x8},
		{"PERIOD", 0xff, 0x0},
		{"ERR2_START", 0xff000000, 0x18},
		{"ERR1_START", 0xff0000, 0x10}
	} },
	{"MC_HUB_WDP_XDMA", 0x87f, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"ATC_VMID15_PASID_MAPPING", 0xcf6, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_HUB_WDP_SAMMSP", 0x888, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_1_ADDR_Y_OFFSET", 0x5ec9, {

	} },
	{"MC_RD_GRP_OTH", 0x807, {
		{"HDP", 0xf00, 0x8},
		{"SAMMSP", 0xf0000000, 0x1c},
		{"UVD_EXT1", 0xf000000, 0x18},
		{"UVD_EXT0", 0xf, 0x0},
		{"UMC", 0xf0000, 0x10},
		{"SDMA0", 0xf0, 0x4},
		{"SEM", 0xf000, 0xc},
		{"UVD", 0xf00000, 0x14}
	} },
	{"MC_VM_SYSTEM_APERTURE_HIGH_ADDR", 0x80e, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_SDMA1", 0x85b, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_SDMA0", 0x859, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_CREDITS2", 0x845, {
		{"STOR1_PRI", 0xff00, 0x8},
		{"STOR0_PRI", 0xff, 0x0}
	} },
	{"ATC_VMID5_PASID_MAPPING", 0xcec, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_ARB_HARSH_TX_HI1_RD", 0xdc4, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_SHARED_CHMAP", 0x801, {
		{"CHAN4", 0xf00000, 0x14},
		{"CHAN1", 0xf0, 0x4},
		{"CHAN0", 0xf, 0x0},
		{"CHAN3", 0xf0000, 0x10},
		{"CHAN2", 0xf00, 0x8},
		{"NOOFCHAN", 0xf000, 0xc}
	} },
	{"MCIF_WB1_MCIF_WB_BUFMGR_STATUS", 0x5eba, {

	} },
	{"MC_HUB_WDP_BYPASS_GBL1", 0x84b, {
		{"CID1", 0x1fe, 0x1},
		{"CID2", 0x1fe00, 0x9},
		{"ENABLE", 0x1, 0x0},
		{"HDP_PRIORITY_TIME", 0xfe0000, 0x11},
		{"OTH_PRIORITY_TIME", 0x7f000000, 0x18}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_4_ADDR_Y_OFFSET", 0x5f15, {

	} },
	{"MC_HUB_RDREQ_SMU", 0x858, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_VCE0", 0x86e, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MC_HUB_WDP_VCE1", 0xdfe, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MCIF_WB_BUF_1_STATUS", 0x5e7c, {
		{"MCIF_WB_BUF_1_NXT_BUF", 0x7000, 0xc},
		{"MCIF_WB_BUF_1_ACTIVE", 0x1, 0x0},
		{"MCIF_WB_BUF_1_BUFTAG", 0xf00, 0x8},
		{"MCIF_WB_BUF_1_SW_LOCKED", 0x2, 0x1},
		{"MCIF_WB_BUF_1_MODE", 0xe0, 0x5},
		{"MCIF_WB_BUF_1_CUR_LINE_L", 0x1fff0000, 0x10},
		{"MCIF_WB_BUF_1_SHORT_LINE_ERROR", 0x40000000, 0x1e},
		{"MCIF_WB_BUF_1_LONG_LINE_ERROR", 0x20000000, 0x1d},
		{"MCIF_WB_BUF_1_DISABLE", 0x10, 0x4},
		{"MCIF_WB_BUF_1_FRAME_LENGTH_ERROR", 0x80000000, 0x1f},
		{"MCIF_WB_BUF_1_VCE_LOCKED", 0x4, 0x2},
		{"MCIF_WB_BUF_1_OVERFLOW", 0x8, 0x3},
		{"MCIF_WB_BUF_1_FIELD", 0x8000, 0xf}
	} },
	{"MC_XBAR_RDRET_CREDIT2", 0xc88, {
		{"OUT4", 0xff, 0x0},
		{"OUT5", 0xff00, 0x8},
		{"HUB_LP_RDRET_SKID", 0xff0000, 0x10}
	} },
	{"MC_XPB_RTR_SRC_APRTR6", 0x8d3, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR7", 0x8d4, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR4", 0x8d1, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR5", 0x8d2, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR2", 0x8cf, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR3", 0x8d0, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR0", 0x8cd, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_RTR_SRC_APRTR1", 0x8ce, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"ATC_L1WR_DEBUG_TLB", 0xcdf, {
		{"DISABLE_CACHING_FAULT_RETURNS", 0x80000000, 0x1f},
		{"EFFECTIVE_WORK_QUEUE_SIZE", 0x700, 0x8},
		{"DISABLE_INVALIDATE_BY_ADDRESS_RANGE", 0x2, 0x1},
		{"CREDITS_L1_L2", 0x3f000, 0xc},
		{"DISABLE_FRAGMENTS", 0x1, 0x0},
		{"INVALIDATE_ALL", 0x40000000, 0x1e},
		{"EFFECTIVE_CAM_SIZE", 0xf0, 0x4},
		{"DEBUG_ECO", 0x30000000, 0x1c},
		{"CREDITS_L1_RPB", 0xff00000, 0x14}
	} },
	{"MC_ARB_BURST_TIME", 0xa02, {
		{"STATE3", 0xf8000, 0xf},
		{"STATE2", 0x7c00, 0xa},
		{"STATE1", 0x3e0, 0x5},
		{"STATE0", 0x1f, 0x0}
	} },
	{"MC_HUB_RDREQ_SAMMSP", 0x883, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_XPB_RTR_SRC_APRTR9", 0x8d6, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_PEER_SYS_BAR2", 0x912, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR3", 0x913, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR0", 0x910, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR1", 0x911, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR6", 0x916, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR7", 0x917, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR4", 0x914, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR5", 0x915, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR8", 0x918, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_PEER_SYS_BAR9", 0x919, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_ARB_POP", 0x9d9, {
		{"QUICK_STOP", 0x20000, 0x11},
		{"POP_DEPTH", 0x3c, 0x2},
		{"WAIT_AFTER_RFSH", 0x18000, 0xf},
		{"WRDATAINDEX_DEPTH", 0xfc0, 0x6},
		{"ENABLE_ARB", 0x1, 0x0},
		{"SKID_DEPTH", 0x7000, 0xc},
		{"ENABLE_TWO_PAGE", 0x40000, 0x12},
		{"ALLOW_EOB_BY_WRRET_STALL", 0x80000, 0x13},
		{"SPEC_OPEN", 0x2, 0x1}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR1", 0x91b, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_4_ADDR_C_OFFSET", 0x5f17, {

	} },
	{"MC_CITF_CREDITS_ARB_RD2", 0x97e, {
		{"READ_MED", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_MCIF", 0x86d, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"ATC_L2_CACHE_DATA2", 0xcdb, {
		{"PHYSICAL_PAGE_ADDRESS_LOW", 0xfffffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_3_ADDR_C_OFFSET", 0x5f13, {

	} },
	{"MC_XBAR_TWOCHAN", 0xc8c, {
		{"CH0", 0x6, 0x1},
		{"CH1", 0x18, 0x3},
		{"DISABLE_ONEPORT", 0x1, 0x0}
	} },
	{"MC_HUB_RDREQ_ISP_SPM", 0xde0, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_ACPG_LIMIT", 0x849, {
		{"LIMIT_COUNT", 0x7c, 0x2},
		{"ENABLE", 0x3, 0x0}
	} },
	{"MC_HUB_MISC_FRAMING", 0x834, {
		{"BITS", 0xffffffff, 0x0}
	} },
	{"MC_ARB_TM_CNTL_WR", 0x9e4, {
		{"BANK_SELECT", 0x6, 0x1},
		{"MATCH_BANK", 0x10, 0x4},
		{"MATCH_RANK", 0x8, 0x3},
		{"GROUPBY_RANK", 0x1, 0x0}
	} },
	{"MC_ARB_GDEC_WR_CNTL", 0x9ef, {
		{"USE_RSNO", 0x200, 0x9},
		{"REM_DEFAULT_GRP", 0x3c00, 0xa},
		{"USE_RANK", 0x100, 0x8},
		{"PAGEBIT0", 0xf, 0x0},
		{"PAGEBIT1", 0xf0, 0x4}
	} },
	{"MC_VM_MARC_BASE_LO_0", 0xf998, {
		{"MARC_BASE_LO_0", 0xfffff000, 0xc}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_ADDR", 0x53e, {
		{"LOGICAL_PAGE_ADDR", 0xfffffff, 0x0}
	} },
	{"MCIF_WB_TEST_DEBUG_DATA", 0x5e87, {
		{"MCIF_WB_TEST_DEBUG_DATA", 0xffffffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUFMGR_CUR_LINE_R", 0x5ef9, {

	} },
	{"GMCON_MISC", 0xd43, {
		{"RENG_EXECUTE_ON_REG_UPDATE", 0x800, 0xb},
		{"STCTRL_IGNORE_PRE_SR", 0x200000, 0x15},
		{"STCTRL_IGNORE_PROTECTION_FAULT", 0x1000000, 0x18},
		{"STCTRL_STUTTER_EN", 0x10000, 0x10},
		{"STCTRL_SRBM_IDLE_THRESHOLD", 0x180000, 0x13},
		{"RENG_EXECUTE_NOW_MODE", 0x400, 0xa},
		{"ALLOW_DEEP_SLEEP_MODE", 0x70000000, 0x1c},
		{"CRITICAL_REGS_LOCK", 0x8000000, 0x1b},
		{"STCTRL_DISABLE_ALLOW_SR", 0x2000000, 0x19},
		{"STCTRL_DISABLE_GMC_OFFLINE", 0x4000000, 0x1a},
		{"STCTRL_GMC_IDLE_THRESHOLD", 0x60000, 0x11},
		{"STCTRL_FORCE_ALLOW_SR", 0x80000000, 0x1f},
		{"STCTRL_IGNORE_ALLOW_STOP", 0x400000, 0x16},
		{"STCTRL_IGNORE_SR_COMMIT", 0x800000, 0x17},
		{"RENG_SRBM_CREDITS_MCD", 0xf000, 0xc}
	} },
	{"ATC_L1_CNTL", 0xcdc, {
		{"NEED_ATS_BEHAVIOR", 0x4, 0x2},
		{"DONT_NEED_ATS_BEHAVIOR", 0x3, 0x0},
		{"NEED_ATS_SNOOP_DEFAULT", 0x10, 0x4}
	} },
	{"MC_RPB_PERF_COUNTER_STATUS", 0x959, {
		{"PERFORMANCE_COUNTER_VALUE", 0xffffffff, 0x0}
	} },
	{"MC_ARB_ADDR_SWIZ1", 0x9cc, {
		{"A17", 0xf0, 0x4},
		{"A16", 0xf, 0x0},
		{"A19", 0xf000, 0xc},
		{"A18", 0xf00, 0x8}
	} },
	{"MC_ARB_ADDR_SWIZ0", 0x9cb, {
		{"A15", 0xf0000000, 0x1c},
		{"A14", 0xf000000, 0x18},
		{"A11", 0xf000, 0xc},
		{"A10", 0xf00, 0x8},
		{"A13", 0xf00000, 0x14},
		{"A12", 0xf0000, 0x10},
		{"A9", 0xf0, 0x4},
		{"A8", 0xf, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_TEST_DEBUG_DATA", 0x5e87, {

	} },
	{"MC_VM_DC_WRITE_HIT_REGION_1_HIGH_ADDR", 0x816, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MCIF_WB_BUF_1_ADDR_Y", 0x5e88, {
		{"MCIF_WB_BUF_1_ADDR_Y", 0xffffffff, 0x0}
	} },
	{"VM_INVALIDATE_RESPONSE", 0x51f, {
		{"DOMAIN_INVALIDATED_9", 0x200, 0x9},
		{"DOMAIN_INVALIDATED_8", 0x100, 0x8},
		{"DOMAIN_INVALIDATED_1", 0x2, 0x1},
		{"DOMAIN_INVALIDATED_0", 0x1, 0x0},
		{"DOMAIN_INVALIDATED_3", 0x8, 0x3},
		{"DOMAIN_INVALIDATED_2", 0x4, 0x2},
		{"DOMAIN_INVALIDATED_5", 0x20, 0x5},
		{"DOMAIN_INVALIDATED_4", 0x10, 0x4},
		{"DOMAIN_INVALIDATED_7", 0x80, 0x7},
		{"DOMAIN_INVALIDATED_6", 0x40, 0x6},
		{"DOMAIN_INVALIDATED_11", 0x800, 0xb},
		{"DOMAIN_INVALIDATED_10", 0x400, 0xa},
		{"DOMAIN_INVALIDATED_13", 0x2000, 0xd},
		{"DOMAIN_INVALIDATED_12", 0x1000, 0xc},
		{"DOMAIN_INVALIDATED_15", 0x8000, 0xf},
		{"DOMAIN_INVALIDATED_14", 0x4000, 0xe}
	} },
	{"MC_XPB_MISC_CFG", 0x927, {
		{"TRIGGERNAME", 0x80000000, 0x1f},
		{"FIELDNAME1", 0xff00, 0x8},
		{"FIELDNAME0", 0xff, 0x0},
		{"FIELDNAME3", 0x7f000000, 0x18},
		{"FIELDNAME2", 0xff0000, 0x10}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_2_STATUS", 0x5efe, {

	} },
	{"MC_ARB_HARSH_SAT0_RD", 0xdd2, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_FUS_DRAM1_CS01_MASK", 0xa0e, {

	} },
	{"MC_CITF_PERFCOUNTER1_CFG", 0x7b1, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_RANGE0", 0xd45, {
		{"STCTRL_REGISTER_SAVE_BASE0", 0xffff, 0x0},
		{"STCTRL_REGISTER_SAVE_LIMIT0", 0xffff0000, 0x10}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_RANGE1", 0xd46, {
		{"STCTRL_REGISTER_SAVE_LIMIT1", 0xffff0000, 0x10},
		{"STCTRL_REGISTER_SAVE_BASE1", 0xffff, 0x0}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_RANGE2", 0xd47, {
		{"STCTRL_REGISTER_SAVE_BASE2", 0xffff, 0x0},
		{"STCTRL_REGISTER_SAVE_LIMIT2", 0xffff0000, 0x10}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_1_STATUS2", 0x5efd, {

	} },
	{"MCIF_WB_BUF_1_ADDR_C", 0x5e8a, {
		{"MCIF_WB_BUF_1_ADDR_C", 0xffffffff, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_HVVMID_CONTROL", 0x5e99, {

	} },
	{"MC_GRUB_TX_CREDITS", 0xa37, {
		{"NPD_RT_RESERVE", 0xf0000, 0x10},
		{"NPC_RT_RESERVE", 0xf000, 0xc},
		{"TX_FIFO_DEPTH", 0x1f00000, 0x14},
		{"SRCTAG_LIMIT", 0x3f, 0x0},
		{"SRCTAG_RT_RESERVE", 0xf00, 0x8}
	} },
	{"MC_ARB_HARSH_SAT1_WR", 0xdd5, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_XPB_P2P_BAR_DELTA_ABOVE", 0x90e, {
		{"EN", 0xff, 0x0},
		{"DELTA", 0xfffff00, 0x8}
	} },
	{"MCIF_WB1_MCIF_WB_BUFMGR_SW_CONTROL", 0x5eb8, {

	} },
	{"MC_VM_MARC_RELOC_HI_3", 0xf9ad, {
		{"MARC_RELOC_HI_3", 0xfffff, 0x0}
	} },
	{"GMCON_PGFSM_READ", 0xd50, {
		{"READ_VALUE", 0xffffff, 0x0},
		{"PGFSM_SELECT", 0xf000000, 0x18},
		{"SERDES_MASTER_BUSY", 0x10000000, 0x1c}
	} },
	{"MCIF_WB0_MCIF_WB_BUFMGR_VCE_CONTROL", 0x5e98, {

	} },
	{"MC_FUS_DRAM_APER_TOP", 0xa1b, {
		{"TOP", 0xfffff, 0x0}
	} },
	{"MC_XBAR_FIFO_MON_RSLT2", 0xc94, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_FIFO_MON_RSLT3", 0xc95, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_FIFO_MON_RSLT0", 0xc92, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_FIFO_MON_RSLT1", 0xc93, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"MC_FUS_DRAM1_CS3_BASE", 0xa0c, {
		{"BASEADDR38_27", 0x7ff80000, 0x13},
		{"BASEADDR21_11", 0xffe0, 0x5},
		{"CSENABLE", 0x1, 0x0}
	} },
	{"MC_ARB_MAX_LAT_CID", 0x9f6, {
		{"CID_CH1", 0xff00, 0x8},
		{"CID_CH0", 0xff, 0x0},
		{"REALTIME_CH1", 0x80000, 0x13},
		{"REALTIME_CH0", 0x40000, 0x12},
		{"WRITE_CH0", 0x10000, 0x10},
		{"WRITE_CH1", 0x20000, 0x11}
	} },
	{"MC_ARB_AGE_RD", 0x9e9, {
		{"ENABLE_GROUP6", 0x400000, 0x16},
		{"ENABLE_GROUP7", 0x800000, 0x17},
		{"ENABLE_GROUP4", 0x100000, 0x14},
		{"ENABLE_GROUP5", 0x200000, 0x15},
		{"ENABLE_GROUP2", 0x40000, 0x12},
		{"ENABLE_GROUP3", 0x80000, 0x13},
		{"ENABLE_GROUP0", 0x10000, 0x10},
		{"ENABLE_GROUP1", 0x20000, 0x11},
		{"DIVIDE_GROUP0", 0x1000000, 0x18},
		{"DIVIDE_GROUP1", 0x2000000, 0x19},
		{"DIVIDE_GROUP2", 0x4000000, 0x1a},
		{"DIVIDE_GROUP3", 0x8000000, 0x1b},
		{"DIVIDE_GROUP4", 0x10000000, 0x1c},
		{"DIVIDE_GROUP5", 0x20000000, 0x1d},
		{"DIVIDE_GROUP6", 0x40000000, 0x1e},
		{"DIVIDE_GROUP7", 0x80000000, 0x1f},
		{"RATE_GROUP5", 0xc00, 0xa},
		{"RATE_GROUP4", 0x300, 0x8},
		{"RATE_GROUP7", 0xc000, 0xe},
		{"RATE_GROUP6", 0x3000, 0xc},
		{"RATE_GROUP1", 0xc, 0x2},
		{"RATE_GROUP0", 0x3, 0x0},
		{"RATE_GROUP3", 0xc0, 0x6},
		{"RATE_GROUP2", 0x30, 0x4}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_1_STATUS", 0x5efc, {

	} },
	{"MC_GRUB_PROBE_CREDITS", 0xa35, {
		{"INTPRB_FIFO_LEVEL", 0x8000, 0xf},
		{"CREDITS_LIMIT_HI", 0x3f00, 0x8},
		{"MEM_TIMEOUT_THRESH", 0x700000, 0x14},
		{"CREDITS_LIMIT_LO", 0x3f, 0x0},
		{"INTPRB_TIMEOUT_THRESH", 0x70000, 0x10}
	} },
	{"MC_FUS_ARB_GARLIC_ISOC_PRI", 0xa1f, {
		{"DMIF_RD_PRIURG_EN", 0x10, 0x4},
		{"MCIF_RD_ISOC_EN", 0x800, 0xb},
		{"VCE_RD_TOKURG_EN", 0x4, 0x2},
		{"PRIURG_OVERRIDE_VAL", 0x800000, 0x17},
		{"REQPRI_OVERRIDE_VAL", 0x30000, 0x10},
		{"GARLIC_REQ_CREDITS", 0x1f000000, 0x18},
		{"VCE_RD_ISOC_EN", 0x400, 0xa},
		{"ACP_RD_ISOC_EN", 0x4000, 0xe},
		{"PRIPRMTE_OVERRIDE_EN", 0x40000, 0x12},
		{"TOKURG_OVERRIDE_EN", 0x80000, 0x13},
		{"DMIF_RD_TOKURG_EN", 0x1, 0x0},
		{"UVD_RD_ISOC_EN", 0x200, 0x9},
		{"UVD_RD_PRIURG_EN", 0x20, 0x5},
		{"TOKURG_OVERRIDE_VAL", 0x400000, 0x16},
		{"PRIURG_OVERRIDE_EN", 0x100000, 0x14},
		{"DMIF_RD_ISOC_EN", 0x100, 0x8},
		{"UVD_RD_TOKURG_EN", 0x2, 0x1},
		{"ACP_RD_TOKURG_EN", 0x8, 0x3},
		{"VCE_RD_PRIURG_EN", 0x40, 0x6},
		{"VCEU_RD_ISOC_EN", 0x2000, 0xd},
		{"PRIPRMTE_OVERRIDE_VAL", 0x200000, 0x15},
		{"ACP_RD_PRIURG_EN", 0x80, 0x7},
		{"MM_REL_LATE", 0x20000000, 0x1d},
		{"REQPRI_OVERRIDE_EN", 0x8000, 0xf},
		{"UMC_RD_ISOC_EN", 0x1000, 0xc}
	} },
	{"MC_HUB_MISC_VM_CG", 0x82f, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"VM_CONTEXT15_PAGE_TABLE_BASE_ADDR", 0x515, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_VM_MB_L1_TLB0_STATUS", 0x895, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_HUB_WDP_ISP_SPM", 0xde3, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_1_ADDR_Y", 0x5e88, {

	} },
	{"MC_CITF_MISC_WR_CG", 0x993, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MCIF_WB_BUF_4_STATUS", 0x5e82, {
		{"MCIF_WB_BUF_4_ACTIVE", 0x1, 0x0},
		{"MCIF_WB_BUF_4_DISABLE", 0x10, 0x4},
		{"MCIF_WB_BUF_4_CUR_LINE_L", 0x1fff0000, 0x10},
		{"MCIF_WB_BUF_4_BUFTAG", 0xf00, 0x8},
		{"MCIF_WB_BUF_4_VCE_LOCKED", 0x4, 0x2},
		{"MCIF_WB_BUF_4_MODE", 0xe0, 0x5},
		{"MCIF_WB_BUF_4_SW_LOCKED", 0x2, 0x1},
		{"MCIF_WB_BUF_4_FRAME_LENGTH_ERROR", 0x80000000, 0x1f},
		{"MCIF_WB_BUF_4_NXT_BUF", 0x7000, 0xc},
		{"MCIF_WB_BUF_4_SHORT_LINE_ERROR", 0x40000000, 0x1e},
		{"MCIF_WB_BUF_4_LONG_LINE_ERROR", 0x20000000, 0x1d},
		{"MCIF_WB_BUF_4_FIELD", 0x8000, 0xf},
		{"MCIF_WB_BUF_4_OVERFLOW", 0x8, 0x3}
	} },
	{"MC_CITF_WTM_RD_CNTL", 0x97f, {
		{"GROUP0_DECREMENT", 0x7, 0x0},
		{"GROUP6_DECREMENT", 0x1c0000, 0x12},
		{"GROUP1_DECREMENT", 0x38, 0x3},
		{"DISABLE_REMOTE", 0x1000000, 0x18},
		{"GROUP7_DECREMENT", 0xe00000, 0x15},
		{"GROUP4_DECREMENT", 0x7000, 0xc},
		{"DISABLE_LOCAL", 0x2000000, 0x19},
		{"GROUP5_DECREMENT", 0x38000, 0xf},
		{"GROUP3_DECREMENT", 0xe00, 0x9},
		{"GROUP2_DECREMENT", 0x1c0, 0x6}
	} },
	{"MC_FUS_DRAM1_CS2_BASE", 0xa0a, {
		{"BASEADDR38_27", 0x7ff80000, 0x13},
		{"BASEADDR21_11", 0xffe0, 0x5},
		{"CSENABLE", 0x1, 0x0}
	} },
	{"MC_VM_MARC_LEN_HI_0", 0xf99d, {
		{"MARC_LEN_HI_0", 0xfffff, 0x0}
	} },
	{"MC_VM_MARC_LEN_HI_1", 0xf9a3, {
		{"MARC_LEN_HI_1", 0xfffff, 0x0}
	} },
	{"MC_VM_MARC_LEN_HI_2", 0xf9a9, {
		{"MARC_LEN_HI_2", 0xfffff, 0x0}
	} },
	{"MC_VM_MARC_LEN_HI_3", 0xf9af, {
		{"MARC_LEN_HI_3", 0xfffff, 0x0}
	} },
	{"ATC_PERFCOUNTER2_CFG", 0x7ca, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_XPB_CLG_CFG31", 0x933, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_VM_MD_L1_TLB2_DEBUG", 0x99a, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MC_HUB_MISC_IDLE_STATUS", 0x847, {
		{"OUTSTANDING_HDP_READ", 0x4000, 0xe},
		{"OUTSTANDING_ISP_WRITE", 0x20000000, 0x1d},
		{"OUTSTANDING_GFX_WRITE", 0x2, 0x1},
		{"OUTSTANDING_DISP_READ", 0x100, 0x8},
		{"OUTSTANDING_XDMA_READ", 0x4000000, 0x1a},
		{"OUTSTANDING_XDMA_WRITE", 0x8000000, 0x1b},
		{"OUTSTANDING_SAMMSP_WRITE", 0x2000000, 0x19},
		{"OUTSTANDING_ISP_READ", 0x10000000, 0x1c},
		{"OUTSTANDING_RLC_WRITE", 0x8, 0x3},
		{"OUTSTANDING_SMU_WRITE", 0x2000, 0xd},
		{"OUTSTANDING_VP8_READ", 0x40000000, 0x1e},
		{"OUTSTANDING_SMU_READ", 0x1000, 0xc},
		{"OUTSTANDING_GFX_READ", 0x1, 0x0},
		{"OUTSTANDING_OTH_READ", 0x10000, 0x10},
		{"OUTSTANDING_VMC_READ", 0x40000, 0x12},
		{"OUTSTANDING_VCE_WRITE", 0x200000, 0x15},
		{"OUTSTANDING_UVD_READ", 0x400, 0xa},
		{"OUTSTANDING_ACP_READ", 0x400000, 0x16},
		{"OUTSTANDING_SDMA1_WRITE", 0x80, 0x7},
		{"OUTSTANDING_VP8_WRITE", 0x80000000, 0x1f},
		{"OUTSTANDING_UVD_WRITE", 0x800, 0xb},
		{"OUTSTANDING_SDMA0_READ", 0x10, 0x4},
		{"OUTSTANDING_SDMA0_WRITE", 0x20, 0x5},
		{"OUTSTANDING_RLC_READ", 0x4, 0x2},
		{"OUTSTANDING_HDP_WRITE", 0x8000, 0xf},
		{"OUTSTANDING_DISP_WRITE", 0x200, 0x9},
		{"OUTSTANDING_ACP_WRITE", 0x800000, 0x17},
		{"OUTSTANDING_SDMA1_READ", 0x40, 0x6},
		{"OUTSTANDING_VMC_WRITE", 0x80000, 0x13},
		{"OUTSTANDING_SAMMSP_READ", 0x1000000, 0x18},
		{"OUTSTANDING_VCE_READ", 0x100000, 0x14},
		{"OUTSTANDING_OTH_WRITE", 0x20000, 0x11}
	} },
	{"MC_FUS_DRAM0_CTL_BASE", 0xa13, {
		{"DCTINTLVEN", 0x78, 0x3},
		{"DCTOFFSETEN", 0x10000000, 0x1c},
		{"DCTBASEADDR", 0xfffff80, 0x7},
		{"DCTSEL", 0x7, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_1_ADDR_Y_OFFSET", 0x5e89, {

	} },
	{"MC_VM_L2_PERFCOUNTER0_CFG", 0x7cc, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_VMID2_PASID_MAPPING", 0xce9, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_FUS_DRAM0_BANK_ADDR_MAPPING", 0xa11, {
		{"DIMM0ADDRMAP", 0xf, 0x0},
		{"BANKSWAP", 0x200, 0x9},
		{"DIMM1ADDRMAP", 0xf0, 0x4},
		{"BANKSWIZZLEMODE", 0x100, 0x8}
	} },
	{"VM_CONTEXT7_PAGE_TABLE_BASE_ADDR", 0x556, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_RPB_WR_SWITCH_CNTL", 0x953, {
		{"QUEUE1_SWITCH_NUM", 0xff00, 0x8},
		{"QUEUE0_SWITCH_NUM", 0xff, 0x0},
		{"QUEUE3_SWITCH_NUM", 0xff000000, 0x18},
		{"QUEUE2_SWITCH_NUM", 0xff0000, 0x10}
	} },
	{"MC_XBAR_WRREQ_CREDIT", 0xc82, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"MC_HUB_WRRET_CNTL", 0x83c, {
		{"DISABLE_SELF_INIT", 0x40000000, 0x1e},
		{"FAIR_CH_SW", 0x80000000, 0x1f},
		{"BP", 0x1ffffe, 0x1},
		{"JUMPAHEAD", 0x1, 0x0},
		{"BP_ENABLE", 0x200000, 0x15},
		{"DEBUG_REG", 0x3fc00000, 0x16}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_0_HIGH_ADDR", 0x815, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_ARB_AGE_CNTL", 0x9bf, {
		{"RESET_WR_GROUP6", 0x4000, 0xe},
		{"RESET_WR_GROUP7", 0x8000, 0xf},
		{"RESET_WR_GROUP4", 0x1000, 0xc},
		{"RESET_WR_GROUP5", 0x2000, 0xd},
		{"RESET_WR_GROUP2", 0x400, 0xa},
		{"RESET_WR_GROUP3", 0x800, 0xb},
		{"RESET_WR_GROUP0", 0x100, 0x8},
		{"RESET_WR_GROUP1", 0x200, 0x9},
		{"AGE_LOW_RATE_WR", 0x380000, 0x13},
		{"TIMER_STALL_RD", 0x400000, 0x16},
		{"EXTEND_WEIGHT_RD", 0x1000000, 0x18},
		{"TIMER_STALL_WR", 0x800000, 0x17},
		{"AGE_LOW_RATE_RD", 0x70000, 0x10},
		{"EXTEND_WEIGHT_WR", 0x2000000, 0x19},
		{"RESET_RD_GROUP5", 0x20, 0x5},
		{"RESET_RD_GROUP4", 0x10, 0x4},
		{"RESET_RD_GROUP7", 0x80, 0x7},
		{"RESET_RD_GROUP6", 0x40, 0x6},
		{"RESET_RD_GROUP1", 0x2, 0x1},
		{"RESET_RD_GROUP0", 0x1, 0x0},
		{"RESET_RD_GROUP3", 0x8, 0x3},
		{"RESET_RD_GROUP2", 0x4, 0x2}
	} },
	{"MC_VM_NB_LOWER_TOP_OF_DRAM2", 0xf995, {
		{"LOWER_TOM2", 0xff800000, 0x17},
		{"ENABLE", 0x1, 0x0}
	} },
	{"ATC_PERFCOUNTER3_CFG", 0x7cb, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_FUS_DRAM0_CS3_BASE", 0xa0b, {
		{"BASEADDR38_27", 0x7ff80000, 0x13},
		{"BASEADDR21_11", 0xffe0, 0x5},
		{"CSENABLE", 0x1, 0x0}
	} },
	{"MC_VM_NB_PCI_ARB", 0xf993, {
		{"VGA_HOLE", 0x8, 0x3}
	} },
	{"VM_CONTEXT1_PAGE_TABLE_BASE_ADDR", 0x550, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"ATC_VMID4_PASID_MAPPING", 0xceb, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_3_STATUS", 0x5f00, {

	} },
	{"MC_VM_MB_L1_TLB1_STATUS", 0x896, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_XPB_INTF_CFG", 0x91f, {
		{"BIF_MEM_SNOOP_VAL", 0x4000000, 0x1a},
		{"MC_WRRET_ASK", 0xff00, 0x8},
		{"BIF_REG_SNOOP_SEL", 0x800000, 0x17},
		{"XSP_REQ_CRD", 0x7f0000, 0x10},
		{"RPB_WRREQ_CRD", 0xff, 0x0},
		{"BIF_REG_SNOOP_VAL", 0x1000000, 0x18},
		{"XSP_ORDERING_VAL", 0x80000000, 0x1f},
		{"BIF_MEM_SNOOP_SEL", 0x2000000, 0x19},
		{"XSP_SNOOP_VAL", 0x20000000, 0x1d},
		{"XSP_ORDERING_SEL", 0x40000000, 0x1e},
		{"XSP_SNOOP_SEL", 0x18000000, 0x1b}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_4_ADDR_Y", 0x5e94, {

	} },
	{"MC_CG_CONFIG_MCD", 0x829, {
		{"INDEX", 0x1fffe000, 0xd},
		{"MCD1_WR_ENABLE", 0x2, 0x1},
		{"MCD2_WR_ENABLE", 0x4, 0x2},
		{"MCD3_WR_ENABLE", 0x8, 0x3},
		{"MC_RD_ENABLE_SUB", 0x800, 0xb},
		{"MC_RD_ENABLE", 0x700, 0x8},
		{"MCD0_WR_ENABLE", 0x1, 0x0},
		{"MCD5_WR_ENABLE", 0x20, 0x5},
		{"MCD6_WR_ENABLE", 0x40, 0x6},
		{"MCD4_WR_ENABLE", 0x10, 0x4},
		{"MCD7_WR_ENABLE", 0x80, 0x7}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_2_ADDR_Y_OFFSET", 0x5e8d, {

	} },
	{"MC_WR_GRP_LCL", 0x98b, {
		{"CBFMASK0", 0xf00, 0x8},
		{"CBCMASK0", 0xf0, 0x4},
		{"CBIMMED0", 0xf0000000, 0x1c},
		{"SX0", 0xf00000, 0x14},
		{"CB0", 0xf, 0x0},
		{"DB0", 0xf000, 0xc},
		{"DBHTILE0", 0xf0000, 0x10}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_4_STATUS", 0x5f02, {

	} },
	{"MCIF_WB1_MCIF_WB_BUF_4_ADDR_Y_OFFSET", 0x5ed5, {

	} },
	{"MC_VM_MB_L1_TLB3_STATUS", 0x8a6, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_ARB_GRUB_PRIORITY1_WR", 0xdd9, {
		{"CBFMASK0", 0x30, 0x4},
		{"DBSTEN0", 0x3000, 0xc},
		{"VCE0", 0xc0000000, 0x1e},
		{"RLC", 0x3000000, 0x18},
		{"ACPG", 0xc0000, 0x12},
		{"MCIF", 0xc00000, 0x16},
		{"CBCMASK0", 0xc, 0x2},
		{"CBIMMED0", 0xc0, 0x6},
		{"CB0", 0x3, 0x0},
		{"SH", 0x30000, 0x10},
		{"TC0", 0xc000, 0xe},
		{"SDMA1", 0xc000000, 0x1a},
		{"DB0", 0x300, 0x8},
		{"DBHTILE0", 0xc00, 0xa},
		{"ACPO", 0x300000, 0x14},
		{"SMU", 0x30000000, 0x1c}
	} },
	{"MC_GRUB_PERFCOUNTER0_CFG", 0x7e6, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_4_ADDR_C", 0x5e96, {

	} },
	{"ATC_VMID3_PASID_MAPPING", 0xcea, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_WR_DB", 0x987, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"ATC_ATS_DEBUG", 0xcca, {
		{"PAGE_REQUEST_PERMS", 0x100, 0x8},
		{"DISABLE_VMID0_PASID_MAPPING", 0x80000, 0x13},
		{"NUM_REQUESTS_AT_ERR", 0x3c00, 0xa},
		{"PAGE_REQUESTS_USE_RELAXED_ORDERING", 0x20, 0x5},
		{"DEBUG_BUS_SELECT", 0x20000, 0x11},
		{"UNTRANSLATED_ONLY_REQUESTS_CARRY_SIZE", 0x200, 0x9},
		{"IDENT_RETURN", 0x2, 0x1},
		{"IGNORE_FED", 0x8000, 0xf},
		{"EXE_BIT", 0x80, 0x7},
		{"INVALIDATION_REQUESTS_DISALLOWED_WHEN_ATC_IS_DISABLED", 0x10000, 0x10},
		{"INVALIDATE_ALL", 0x1, 0x0},
		{"ADDRESS_TRANSLATION_REQUEST_WRITE_PERMS", 0x4, 0x2},
		{"PRIV_BIT", 0x40, 0x6},
		{"DISABLE_INVALIDATION_ON_WORLD_SWITCH", 0x100000, 0x14},
		{"ENABLE_INVALIDATION_ON_VIRTUALIZATION_ENTRY_AND_EXIT", 0x200000, 0x15},
		{"DISABLE_INVALIDATE_PER_DOMAIN", 0x40000, 0x12},
		{"DISALLOW_ERR_TO_DONE", 0x4000, 0xe}
	} },
	{"MC_FUS_ARB_GARLIC_WR_PRI2", 0xa22, {
		{"ACP_WR_PRI", 0x30, 0x4},
		{"SAM_WR_PRI", 0xc, 0x2},
		{"SMU_WR_PRI", 0x3, 0x0}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_2_ADDR_C", 0x5ece, {

	} },
	{"MC_XBAR_FIFO_MON_CNTL0", 0xc8f, {
		{"START_MODE", 0x3000000, 0x18},
		{"ALLOW_WRAP", 0x10000000, 0x1c},
		{"START_THRESH", 0xfff, 0x0},
		{"STOP_THRESH", 0xfff000, 0xc},
		{"STOP_MODE", 0xc000000, 0x1a}
	} },
	{"MC_XBAR_FIFO_MON_CNTL1", 0xc90, {
		{"START_TRIG_ID", 0xff00, 0x8},
		{"THRESH_CNTR_ID", 0xff, 0x0},
		{"STOP_TRIG_ID", 0xff0000, 0x10}
	} },
	{"MC_XBAR_FIFO_MON_CNTL2", 0xc91, {
		{"MON1_ID", 0xff00, 0x8},
		{"MON3_ID", 0xff000000, 0x18},
		{"MON0_ID", 0xff, 0x0},
		{"MON2_ID", 0xff0000, 0x10}
	} },
	{"MCIF_WB_BUF_2_ADDR_C_OFFSET", 0x5e8f, {
		{"MCIF_WB_BUF_2_ADDR_C_OFFSET", 0x3ffff, 0x0}
	} },
	{"MC_HUB_RDREQ_CREDITS", 0x844, {
		{"STOR1", 0xff000000, 0x18},
		{"STOR0", 0xff0000, 0x10},
		{"VM0", 0xff, 0x0},
		{"VM1", 0xff00, 0x8}
	} },
	{"MC_VM_L2_PERFCOUNTER1_CFG", 0x7cd, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_3_ADDR_Y_OFFSET", 0x5e91, {

	} },
	{"MC_WR_TC1", 0x97c, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_WR_TC0", 0x97b, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_3_STATUS", 0x5ec0, {

	} },
	{"VM_PRT_APERTURE3_HIGH_ADDR", 0x533, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"VM_CONTEXTS_DISABLE", 0x535, {
		{"DISABLE_CONTEXT_14", 0x4000, 0xe},
		{"DISABLE_CONTEXT_15", 0x8000, 0xf},
		{"DISABLE_CONTEXT_12", 0x1000, 0xc},
		{"DISABLE_CONTEXT_13", 0x2000, 0xd},
		{"DISABLE_CONTEXT_10", 0x400, 0xa},
		{"DISABLE_CONTEXT_11", 0x800, 0xb},
		{"DISABLE_CONTEXT_8", 0x100, 0x8},
		{"DISABLE_CONTEXT_9", 0x200, 0x9},
		{"DISABLE_CONTEXT_4", 0x10, 0x4},
		{"DISABLE_CONTEXT_5", 0x20, 0x5},
		{"DISABLE_CONTEXT_6", 0x40, 0x6},
		{"DISABLE_CONTEXT_7", 0x80, 0x7},
		{"DISABLE_CONTEXT_0", 0x1, 0x0},
		{"DISABLE_CONTEXT_1", 0x2, 0x1},
		{"DISABLE_CONTEXT_2", 0x4, 0x2},
		{"DISABLE_CONTEXT_3", 0x8, 0x3}
	} },
	{"MC_WR_GRP_OTH", 0x808, {
		{"HDP", 0xf00, 0x8},
		{"UVD_EXT1", 0xf0000000, 0x1c},
		{"UVD_EXT0", 0xf, 0x0},
		{"UMC", 0xf0000, 0x10},
		{"XDP", 0xf000000, 0x18},
		{"SDMA0", 0xf0, 0x4},
		{"SEM", 0xf000, 0xc},
		{"UVD", 0xf00000, 0x14}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP0", 0x8e5, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_HUB_WDP_SDMA0", 0x878, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_SDMA1", 0x86b, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_3_ADDR_Y", 0x5ed0, {

	} },
	{"ATC_VMID0_PASID_MAPPING", 0xce7, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_MCBVM_PERFCOUNTER_LO", 0x7a3, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_4_STATUS2", 0x5e83, {

	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP2", 0x8e7, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"GMCON_LPT_TARGET", 0xd53, {
		{"STCTRL_LPT_TARGET", 0xffffffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_3_ADDR_Y_OFFSET", 0x5f11, {

	} },
	{"MC_VM_MD_L2ARBITER_L2_CREDITS", 0x9a4, {
		{"L2_IF_CREDITS", 0x3f, 0x0}
	} },
	{"MC_HUB_PERFCOUNTER_HI", 0x7a9, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_HUB_WDP_WTM_CNTL", 0x83e, {
		{"GROUP0_DECREMENT", 0x7, 0x0},
		{"GROUP6_DECREMENT", 0x1c0000, 0x12},
		{"GROUP1_DECREMENT", 0x38, 0x3},
		{"GROUP7_DECREMENT", 0xe00000, 0x15},
		{"GROUP4_DECREMENT", 0x7000, 0xc},
		{"GROUP5_DECREMENT", 0x38000, 0xf},
		{"GROUP3_DECREMENT", 0xe00, 0x9},
		{"GROUP2_DECREMENT", 0x1c0, 0x6}
	} },
	{"MC_ARB_HARSH_BWPERIOD0_WR", 0xdcb, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_3_STATUS2", 0x5ec1, {

	} },
	{"MCIF_WB1_MCIF_WB_BUF_2_STATUS2", 0x5ebf, {

	} },
	{"MC_HUB_WDP_BYPASS_GBL0", 0x84a, {
		{"CID1", 0x1fe, 0x1},
		{"CID2", 0x1fe00, 0x9},
		{"ENABLE", 0x1, 0x0},
		{"HDP_PRIORITY_TIME", 0xfe0000, 0x11},
		{"OTH_PRIORITY_TIME", 0x7f000000, 0x18}
	} },
	{"MC_ARB_GRUB_PROMOTE", 0x9ce, {
		{"URGENT_WR", 0xff00, 0x8},
		{"URGENT_RD", 0xff, 0x0},
		{"PROMOTE_WR", 0xff000000, 0x18},
		{"PROMOTE_RD", 0xff0000, 0x10}
	} },
	{"VM_CONTEXT0_CNTL2", 0x50c, {
		{"WAIT_FOR_IDLE_WHEN_INVALIDATE", 0x10, 0x4},
		{"CLEAR_PROTECTION_FAULT_STATUS_ADDR", 0x1, 0x0},
		{"ENABLE_CLEAR_PROTECTION_FAULT_STATUS_ADDR_WHEN_INVALIDATE_CONTEXT", 0x2, 0x1},
		{"ENABLE_INTERRUPT_PROCESSING_FOR_SUBSEQUENT_FAULTS_PER_CONTEXT", 0x4, 0x2},
		{"ALLOW_SUBSEQUENT_PROTECTION_FAULT_STATUS_ADDR_UPDATES", 0x8, 0x3}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR0", 0x8d7, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR1", 0x8d8, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR2", 0x8d9, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XPB_XDMA_RTR_SRC_APRTR3", 0x8da, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"VM_L2_CONTEXT_IDENTITY_PHYSICAL_OFFSET", 0x577, {
		{"PHYSICAL_PAGE_OFFSET", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_SEM", 0x85d, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_XPB_PERF_KNOBS", 0x924, {
		{"CNS_FIFO_DEPTH", 0x3f, 0x0},
		{"WCB_HST_FIFO_DEPTH", 0xfc0, 0x6},
		{"WCB_SID_FIFO_DEPTH", 0x3f000, 0xc}
	} },
	{"MC_ARB_HARSH_BWCNT1_WR", 0xdd1, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"CC_MC_MAX_CHANNEL", 0x96e, {
		{"NOOFCHAN", 0x1e, 0x1}
	} },
	{"MCIF_WB_BUFMGR_CUR_LINE_R", 0x5e79, {
		{"MCIF_WB_BUFMGR_CUR_LINE_R", 0x1fff, 0x0}
	} },
	{"MC_VM_MARC_BASE_HI_3", 0xf9ab, {
		{"MARC_BASE_HI_3", 0xfffff, 0x0}
	} },
	{"MC_VM_MARC_BASE_HI_2", 0xf9a5, {
		{"MARC_BASE_HI_2", 0xfffff, 0x0}
	} },
	{"MC_VM_MARC_BASE_HI_1", 0xf99f, {
		{"MARC_BASE_HI_1", 0xfffff, 0x0}
	} },
	{"MC_VM_MARC_BASE_HI_0", 0xf999, {
		{"MARC_BASE_HI_0", 0xfffff, 0x0}
	} },
	{"MC_GRUB_PERFCOUNTER_RSLT_CNTL", 0x7e8, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_3_HIGH_ADDR", 0x818, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_ARB_WTM_CNTL_RD", 0x9df, {
		{"ACP_OVER_DISP", 0x1000, 0xc},
		{"ACP_HARSH_PRI", 0x800, 0xb},
		{"ALLOW_STUTTER_GRP5", 0x100, 0x8},
		{"ALLOW_STUTTER_GRP4", 0x80, 0x7},
		{"ALLOW_STUTTER_GRP7", 0x400, 0xa},
		{"ALLOW_STUTTER_GRP6", 0x200, 0x9},
		{"ALLOW_STUTTER_GRP1", 0x10, 0x4},
		{"ALLOW_STUTTER_GRP0", 0x8, 0x3},
		{"ALLOW_STUTTER_GRP3", 0x40, 0x6},
		{"ALLOW_STUTTER_GRP2", 0x20, 0x5},
		{"FORCE_ACP_URG", 0x2000, 0xd},
		{"WTMODE", 0x3, 0x0},
		{"HARSH_PRI", 0x4, 0x2}
	} },
	{"MC_CITF_CREDITS_ARB_WR", 0x973, {
		{"WRITE_LCL", 0xff, 0x0},
		{"HUB_PRI", 0x1000000, 0x18},
		{"LCL_PRI", 0x2000000, 0x19},
		{"WRITE_HUB", 0xff00, 0x8},
		{"WRITE_PRI", 0xff0000, 0x10}
	} },
	{"MC_SHARED_VF_ENABLE", 0x81d, {
		{"VF_ENABLE", 0x1, 0x0}
	} },
	{"MC_HUB_RDREQ_DMIF_LIMIT", 0x848, {
		{"LIMIT_COUNT", 0x7c, 0x2},
		{"ENABLE", 0x3, 0x0}
	} },
	{"MC_VM_MD_L1_TLB3_STATUS", 0x9a8, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_ARB_PERFCOUNTER3_CFG", 0x7bf, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MCIF_WB_BUF_1_ADDR_Y_OFFSET", 0x5e89, {
		{"MCIF_WB_BUF_1_ADDR_Y_OFFSET", 0x3ffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_TEST_DEBUG_INDEX", 0x5f06, {

	} },
	{"MC_FUS_DRAM1_CS23_MASK", 0xa10, {

	} },
	{"VM_L2_CONTEXT1_IDENTITY_APERTURE_HIGH_ADDR", 0x576, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_MCBVM_PERFCOUNTER3_CFG", 0x7c3, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_CITF_CREDITS_VM", 0x971, {
		{"READ_ALL", 0x3f, 0x0},
		{"WRITE_ALL", 0xfc0, 0x6}
	} },
	{"MC_HUB_PERFCOUNTER2_CFG", 0x7b6, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_CG_CONFIG", 0x96f, {
		{"MCDX_WR_ENABLE", 0x2, 0x1},
		{"INDEX", 0x3fffc0, 0x6},
		{"MCDY_WR_ENABLE", 0x4, 0x2},
		{"MCDZ_WR_ENABLE", 0x8, 0x3},
		{"MC_RD_ENABLE", 0x30, 0x4},
		{"MCDW_WR_ENABLE", 0x1, 0x0}
	} },
	{"VM_CONTEXT12_PAGE_TABLE_BASE_ADDR", 0x512, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_MCDVM_PERFCOUNTER1_CFG", 0x7c5, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_ARB_GRUB2", 0xa01, {
		{"ACP_RD_STALL_EN", 0x20000, 0x11},
		{"VCE1_RD_STALL_EN", 0x100000, 0x14},
		{"PRIORITY_URGENT_OUTSTANDING_ONLY_RD", 0x2000000, 0x19},
		{"REALTIME_RD_WTS", 0x200000, 0x15},
		{"REALTIME_GRP_RD", 0xff, 0x0},
		{"PROMOTE_BY_DMIF_URG", 0x1000000, 0x18},
		{"PRIORITY_URGENT_OUTSTANDING_ONLY_WR", 0x8000000, 0x1b},
		{"REALTIME_GRP_WR", 0xff00, 0x8},
		{"URGENT_BY_DISP_STALL", 0x800000, 0x17},
		{"UVD_RD_STALL_EN", 0x40000, 0x12},
		{"PRIORITY_PROMOTE_OUTSTANDING_ONLY_RD", 0x4000000, 0x1a},
		{"PRIORITY_PROMOTE_OUTSTANDING_ONLY_WR", 0x10000000, 0x1c},
		{"DISP_RD_STALL_EN", 0x10000, 0x10},
		{"REALTIME_WR_WTS", 0x400000, 0x16},
		{"VCE0_RD_STALL_EN", 0x80000, 0x13}
	} },
	{"MCIF_WB1_MCIF_WB_BUFMGR_CUR_LINE_R", 0x5eb9, {

	} },
	{"MC_VM_MD_L1_TLB1_DEBUG", 0x999, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"ATC_VMID_PASID_MAPPING_UPDATE_STATUS", 0xce6, {
		{"VMID1_REMAPPING_FINISHED", 0x2, 0x1},
		{"VMID12_REMAPPING_FINISHED", 0x1000, 0xc},
		{"VMID7_REMAPPING_FINISHED", 0x80, 0x7},
		{"VMID14_REMAPPING_FINISHED", 0x4000, 0xe},
		{"VMID3_REMAPPING_FINISHED", 0x8, 0x3},
		{"VMID10_REMAPPING_FINISHED", 0x400, 0xa},
		{"VMID9_REMAPPING_FINISHED", 0x200, 0x9},
		{"VMID11_REMAPPING_FINISHED", 0x800, 0xb},
		{"VMID4_REMAPPING_FINISHED", 0x10, 0x4},
		{"VMID13_REMAPPING_FINISHED", 0x2000, 0xd},
		{"VMID0_REMAPPING_FINISHED", 0x1, 0x0},
		{"VMID15_REMAPPING_FINISHED", 0x8000, 0xf},
		{"VMID6_REMAPPING_FINISHED", 0x40, 0x6},
		{"VMID5_REMAPPING_FINISHED", 0x20, 0x5},
		{"VMID2_REMAPPING_FINISHED", 0x4, 0x2},
		{"VMID8_REMAPPING_FINISHED", 0x100, 0x8}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF14", 0xf98e, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"VM_CONTEXT11_PAGE_TABLE_BASE_ADDR", 0x511, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF12", 0xf98c, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF13", 0xf98d, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF10", 0xf98a, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF11", 0xf98b, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MC_XPB_INTF_CFG2", 0x934, {
		{"RPB_RDREQ_CRD", 0xff, 0x0}
	} },
	{"ATC_PERFCOUNTER1_CFG", 0x7c9, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_XBAR_RDREQ_PRI_CREDIT", 0xc84, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"MC_VM_AGP_BOT", 0x80b, {
		{"AGP_BOT", 0x3ffff, 0x0}
	} },
	{"MC_VM_MARC_LEN_LO_0", 0xf99c, {
		{"MARC_LEN_LO_0", 0xfffff000, 0xc}
	} },
	{"MC_XBAR_SPARE0", 0xc97, {
		{"BIT", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_SPARE1", 0xc98, {
		{"BIT", 0xffffffff, 0x0}
	} },
	{"MC_VM_AGP_BASE", 0x80c, {
		{"AGP_BASE", 0x3ffff, 0x0}
	} },
	{"MC_SHARED_ACTIVE_FCN_ID", 0x81f, {
		{"VF", 0x80000000, 0x1f},
		{"VFID", 0xf, 0x0}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_1_STATUS2", 0x5ebd, {

	} },
	{"MCIF_WB1_MCIF_WB_BUF_2_STATUS", 0x5ebe, {

	} },
	{"VM_CONTEXT9_PAGE_TABLE_BASE_ADDR", 0x50f, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_XPB_CLG_CFG29", 0x931, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG28", 0x930, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG27", 0x92f, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_HUB_WDP_BP2", 0xdfb, {
		{"RDRET", 0xffff, 0x0}
	} },
	{"MC_XPB_CLG_CFG25", 0x92d, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG24", 0x92c, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG23", 0x92b, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG22", 0x92a, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG21", 0x929, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG20", 0x928, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"VM_L2_CONTEXT1_IDENTITY_APERTURE_LOW_ADDR", 0x575, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_ARB_DRAM_TIMING2", 0x9de, {
		{"BUS_TURN", 0x1f000000, 0x18},
		{"RAS2RAS", 0xff, 0x0},
		{"RP", 0xff00, 0x8},
		{"WRPLUSRP", 0xff0000, 0x10}
	} },
	{"MC_ARB_LAZY0_RD", 0x9e5, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_VM_MARC_RELOC_LO_3", 0xf9ac, {
		{"MARC_RELOC_LO_3", 0xfffff000, 0xc},
		{"MARC_ENABLE_3", 0x1, 0x0},
		{"MARC_READONLY_3", 0x2, 0x1}
	} },
	{"ATC_ATS_FAULT_CNTL", 0xccd, {
		{"FAULT_CRASH_TABLE", 0x1ff00000, 0x14},
		{"FAULT_INTERRUPT_TABLE", 0x7fc00, 0xa},
		{"FAULT_REGISTER_LOG", 0x1ff, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_2_STATUS2", 0x5e7f, {

	} },
	{"MC_HUB_WDP_BP", 0x837, {
		{"RDRET", 0x3fffe, 0x1},
		{"ENABLE", 0x1, 0x0},
		{"WRREQ", 0x3ffc0000, 0x12}
	} },
	{"MC_VM_MARC_LEN_LO_1", 0xf9a2, {
		{"MARC_LEN_LO_1", 0xfffff000, 0xc}
	} },
	{"ATC_PERFCOUNTER_RSLT_CNTL", 0x7d5, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_HUB_RDREQ_VP8U", 0x885, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_ARB_RFSH_RATE", 0x9ec, {
		{"POWERMODE0", 0xff, 0x0}
	} },
	{"MC_RD_GRP_EXT", 0x978, {
		{"DBSTEN0", 0xf, 0x0},
		{"TC0", 0xf0, 0x4}
	} },
	{"ATC_VM_APERTURE1_LOW_ADDR", 0xcc1, {
		{"VIRTUAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_FUS_DRAM1_CS0_BASE", 0xa06, {
		{"BASEADDR38_27", 0x7ff80000, 0x13},
		{"BASEADDR21_11", 0xffe0, 0x5},
		{"CSENABLE", 0x1, 0x0}
	} },
	{"MC_HUB_WDP_XDMAM", 0x87e, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"ATC_VMID13_PASID_MAPPING", 0xcf4, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_3_ADDR_C", 0x5f12, {

	} },
	{"MC_MCBVM_PERFCOUNTER_HI", 0x7aa, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_3_ADDR_Y", 0x5f10, {

	} },
	{"MC_XPB_RTR_SRC_APRTR8", 0x8d5, {
		{"BASE_ADDR", 0x1ffffff, 0x0}
	} },
	{"MC_XBAR_RDRET_CREDIT1", 0xc87, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"VM_CONTEXT5_PAGE_TABLE_BASE_ADDR", 0x554, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"VM_PRT_APERTURE0_HIGH_ADDR", 0x530, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_4_ADDR_C_OFFSET", 0x5ed7, {

	} },
	{"GMCON_RENG_RAM_DATA", 0xd41, {
		{"RENG_RAM_DATA", 0xffffffff, 0x0}
	} },
	{"VM_L2_CNTL", 0x500, {
		{"L2_PDE0_CACHE_TAG_GENERATION_MODE", 0x100, 0x8},
		{"PDE_FAULT_CLASSIFICATION", 0x40000, 0x12},
		{"ENABLE_L2_CACHE", 0x1, 0x0},
		{"CONTEXT1_IDENTITY_ACCESS_MODE", 0x180000, 0x13},
		{"ENABLE_DEFAULT_PAGE_OUT_TO_SYSTEM_MEMORY", 0x800, 0xb},
		{"L2_CACHE_PTE_ENDIAN_SWAP_MODE", 0xc, 0x2},
		{"EFFECTIVE_L2_QUEUE_SIZE", 0x38000, 0xf},
		{"L2_CACHE_BIGK_SWAP_TAG_INDEX_LSBS", 0x70000000, 0x1c},
		{"ENABLE_L2_FRAGMENT_PROCESSING", 0x2, 0x1},
		{"L2_PDE0_CACHE_SPLIT_MODE", 0x7000, 0xc},
		{"L2_CACHE_4K_SWAP_TAG_INDEX_LSBS", 0xc000000, 0x1a},
		{"ENABLE_L2_PTE_CACHE_LRU_UPDATE_BY_WRITE", 0x200, 0x9},
		{"ENABLE_L2_PDE0_CACHE_LRU_UPDATE_BY_WRITE", 0x400, 0xa},
		{"L2_CACHE_PDE_ENDIAN_SWAP_MODE", 0x30, 0x4},
		{"IDENTITY_MODE_FRAGMENT_SIZE", 0x3e00000, 0x15}
	} },
	{"MC_MCBVM_PERFCOUNTER_RSLT_CNTL", 0x7d1, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MCIF_WB0_MCIF_WB_TEST_DEBUG_INDEX", 0x5e86, {

	} },
	{"MC_HUB_PERFCOUNTER_LO", 0x7a1, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_ARB_RTT_DATA", 0x9cf, {
		{"PATTERN", 0xff, 0x0}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_2_ADDR_Y", 0x5ecc, {

	} },
	{"MC_VM_MB_L1_TLB2_STATUS", 0x897, {
		{"BUSY", 0x1, 0x0}
	} },
	{"VM_CONTEXT0_PAGE_TABLE_BASE_ADDR", 0x54f, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"VM_L2_STATUS", 0x503, {
		{"L2_BUSY", 0x1, 0x0},
		{"CONTEXT_DOMAIN_BUSY", 0x1fffe, 0x1}
	} },
	{"ATC_ATS_FAULT_STATUS_ADDR", 0xccf, {
		{"PAGE_ADDR", 0xffffffff, 0x0}
	} },
	{"MC_FUS_ARB_GARLIC_CNTL", 0xa20, {
		{"RX_WRRESP_FIFO_PTR_INIT_VALUE", 0x7f00, 0x8},
		{"OUTSTANDING_RDRESP_LIMIT", 0x3fe0000, 0x11},
		{"EDC_RESPONSE_ENABLE", 0x10000, 0x10},
		{"EN_64_BYTE_WRITE", 0x8000, 0xf},
		{"RX_RDRESP_FIFO_PTR_INIT_VALUE", 0xff, 0x0},
		{"OUTSTANDING_WRRESP_LIMIT", 0xfc000000, 0x1a}
	} },
	{"MC_RD_CB", 0x981, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MCIF_WB_BUF_3_ADDR_Y_OFFSET", 0x5e91, {
		{"MCIF_WB_BUF_3_ADDR_Y_OFFSET", 0x3ffff, 0x0}
	} },
	{"MC_HUB_RDREQ_ACPG", 0x881, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_SHARED_BLACKOUT_CNTL", 0x82b, {
		{"BLACKOUT_MODE", 0x7, 0x0},
		{"BLACKOUT_MCD_NUM", 0xff0, 0x4},
		{"SRBM_DUMMY_READ_RETURN", 0x2000, 0xd},
		{"BLACKOUT_SEQ_FREE", 0x8, 0x3},
		{"FREE_TIE_HIGH", 0x1000, 0xc}
	} },
	{"ATC_ATS_DEFAULT_PAGE_CNTL", 0xcd1, {
		{"SEND_DEFAULT_PAGE", 0x1, 0x0}
	} },
	{"MC_XPB_CLG_EXTRA", 0x8fd, {
		{"CMP0", 0xff, 0x0},
		{"MSK0", 0xff00, 0x8},
		{"VLD1", 0x2000000, 0x19},
		{"VLD0", 0x10000, 0x10},
		{"CMP1", 0x1fe0000, 0x11}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_3_ADDR_Y_OFFSET", 0x5ed1, {

	} },
	{"MC_VM_NB_PCI_CTRL", 0xf992, {
		{"MMIOENABLE", 0x800000, 0x17}
	} },
	{"ATC_L2_DEBUG", 0xcd7, {
		{"CACHE_INJECT_HARD_PARITY_ERROR", 0x80000000, 0x1f},
		{"CACHE_SELECT", 0x1000000, 0x18},
		{"CREDITS_L2_ATS", 0x3f, 0x0},
		{"CACHE_BANK_SELECT", 0x2000000, 0x19},
		{"L2_MEM_SELECT", 0x80, 0x7},
		{"CACHE_WAY_SELECT", 0x8000000, 0x1b},
		{"CACHE_INJECT_SOFT_PARITY_ERROR", 0x40000000, 0x1e},
		{"CACHE_READ", 0x20000000, 0x1d},
		{"CACHE_INDEX", 0xfff00, 0x8}
	} },
	{"ATC_PERFCOUNTER0_CFG", 0x7c8, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"VM_CONTEXT10_PAGE_TABLE_BASE_ADDR", 0x510, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_WDP_STATUS", 0x838, {
		{"MCDZ_RD_AVAIL", 0x10, 0x4},
		{"MCDU_RD_AVAIL", 0x80, 0x7},
		{"MCDV_RD_AVAIL", 0x100, 0x8},
		{"MCDS_RD_AVAIL", 0x20, 0x5},
		{"MCDU_WR_AVAIL", 0x8000, 0xf},
		{"MCDY_WR_AVAIL", 0x800, 0xb},
		{"GBL0_BYPASS_STOR_FULL", 0x80000, 0x13},
		{"GBL1_VM_FULL", 0x100000, 0x14},
		{"MCDZ_WR_AVAIL", 0x1000, 0xc},
		{"MCDT_RD_AVAIL", 0x40, 0x6},
		{"SIP_AVAIL", 0x1, 0x0},
		{"MCDT_WR_AVAIL", 0x4000, 0xe},
		{"MCDS_WR_AVAIL", 0x2000, 0xd},
		{"MCDY_RD_AVAIL", 0x8, 0x3},
		{"GBL1_BYPASS_STOR_FULL", 0x400000, 0x16},
		{"MCDW_WR_AVAIL", 0x200, 0x9},
		{"GBL0_VM_FULL", 0x20000, 0x11},
		{"GBL0_STOR_FULL", 0x40000, 0x12},
		{"MCDV_WR_AVAIL", 0x10000, 0x10},
		{"MCDX_WR_AVAIL", 0x400, 0xa},
		{"MCDX_RD_AVAIL", 0x4, 0x2},
		{"MCDW_RD_AVAIL", 0x2, 0x1},
		{"GBL1_STOR_FULL", 0x200000, 0x15}
	} },
	{"MC_CITF_DAGB_CNTL", 0x974, {
		{"DISABLE_SELF_INIT", 0x20, 0x5},
		{"JUMP_AHEAD", 0x1, 0x0},
		{"CENTER_WR_MAX_BURST", 0x3c0, 0x6},
		{"CENTER_RD_MAX_BURST", 0x1e, 0x1}
	} },
	{"MC_ARB_HARSH_TX_LO0_WR", 0xdc7, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"ATC_ATS_STATUS", 0xccc, {
		{"CRASHED", 0x2, 0x1},
		{"BUSY", 0x1, 0x0},
		{"DEADLOCK_DETECTION", 0x4, 0x2}
	} },
	{"MC_MEM_POWER_LS", 0x82a, {
		{"LS_SETUP", 0x3f, 0x0},
		{"LS_HOLD", 0xfc0, 0x6}
	} },
	{"ATC_L2_DEBUG2", 0xcd8, {
		{"EFFECTIVE_2M_CACHE_SIZE", 0x780000, 0x13},
		{"DISABLE_CACHING_FAULT_RETURNS", 0x4000, 0xe},
		{"CACHE_PARITY_ERROR_INTERRUPT_THRESHOLD", 0x7f800000, 0x17},
		{"EFFECTIVE_WORK_QUEUE_SIZE", 0xe0, 0x5},
		{"DEBUG_BUS_SELECT", 0x18000, 0xf},
		{"CLEAR_PARITY_ERROR_INFO", 0x80000000, 0x1f},
		{"DISABLE_2M_CACHE", 0x400, 0xa},
		{"DISABLE_CACHING_SPECULATIVE_RETURNS", 0x800, 0xb},
		{"FORCE_CACHE_MISS", 0x100, 0x8},
		{"EFFECTIVE_CACHE_SIZE", 0x1f, 0x0},
		{"INVALIDATE_ALL", 0x200, 0x9},
		{"DEBUG_ECO", 0x60000, 0x11}
	} },
	{"MC_ARB_PERFCOUNTER_LO", 0x7a6, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"ATC_ATS_SMU_STATUS", 0xd08, {
		{"VDDGFX_POWERED_DOWN", 0x1, 0x0}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_PITCH", 0x5ebb, {

	} },
	{"MCIF_WB0_MCIF_WB_URGENCY_WATERMARK", 0x5e85, {

	} },
	{"MCIF_WB_BUF_3_STATUS2", 0x5e81, {
		{"MCIF_WB_BUF_3_COLOR_DEPTH", 0x4000, 0xe},
		{"MCIF_WB_BUF_3_CUR_LINE_R", 0x1fff, 0x0},
		{"MCIF_WB_BUF_3_NEW_CONTENT", 0x2000, 0xd}
	} },
	{"ATC_VMID1_PASID_MAPPING", 0xce8, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_ARB_AGE_WR", 0x9ea, {
		{"ENABLE_GROUP6", 0x400000, 0x16},
		{"ENABLE_GROUP7", 0x800000, 0x17},
		{"ENABLE_GROUP4", 0x100000, 0x14},
		{"ENABLE_GROUP5", 0x200000, 0x15},
		{"ENABLE_GROUP2", 0x40000, 0x12},
		{"ENABLE_GROUP3", 0x80000, 0x13},
		{"ENABLE_GROUP0", 0x10000, 0x10},
		{"ENABLE_GROUP1", 0x20000, 0x11},
		{"DIVIDE_GROUP0", 0x1000000, 0x18},
		{"DIVIDE_GROUP1", 0x2000000, 0x19},
		{"DIVIDE_GROUP2", 0x4000000, 0x1a},
		{"DIVIDE_GROUP3", 0x8000000, 0x1b},
		{"DIVIDE_GROUP4", 0x10000000, 0x1c},
		{"DIVIDE_GROUP5", 0x20000000, 0x1d},
		{"DIVIDE_GROUP6", 0x40000000, 0x1e},
		{"DIVIDE_GROUP7", 0x80000000, 0x1f},
		{"RATE_GROUP5", 0xc00, 0xa},
		{"RATE_GROUP4", 0x300, 0x8},
		{"RATE_GROUP7", 0xc000, 0xe},
		{"RATE_GROUP6", 0x3000, 0xc},
		{"RATE_GROUP1", 0xc, 0x2},
		{"RATE_GROUP0", 0x3, 0x0},
		{"RATE_GROUP3", 0xc0, 0x6},
		{"RATE_GROUP2", 0x30, 0x4}
	} },
	{"MC_ARB_PERFCOUNTER_RSLT_CNTL", 0x7d4, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_MCDVM_PERFCOUNTER_RSLT_CNTL", 0x7d2, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_ARB_REPLAY", 0x9f3, {
		{"BOS_WAIT_CYC", 0x7f00, 0x8},
		{"BOS_ENABLE_WAIT_CYC", 0x80, 0x7},
		{"WAW_ENABLE", 0x8, 0x3},
		{"WRACK_MODE", 0x4, 0x2},
		{"ENABLE_RD", 0x1, 0x0},
		{"NO_PCH_AT_REPLAY_START", 0x8000, 0xf},
		{"ENABLE_WR", 0x2, 0x1},
		{"BREAK_ON_STALL", 0x40, 0x6},
		{"RAW_ENABLE", 0x10, 0x4},
		{"IGNORE_WR_CDC", 0x20, 0x5}
	} },
	{"ATC_VMID9_PASID_MAPPING", 0xcf0, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_VM_MD_L1_TLB2_STATUS", 0x99d, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MCIF_WB_BUF_3_ADDR_Y", 0x5e90, {
		{"MCIF_WB_BUF_3_ADDR_Y", 0xffffffff, 0x0}
	} },
	{"MC_ARB_MISC3", 0x9cd, {
		{"UVD_DMIF_HARSH_WT_EN", 0x10, 0x4},
		{"UVD_URG_MODE", 0x8, 0x3},
		{"CHAN4_ARB_SEL", 0x4, 0x2},
		{"TBD_FIELD", 0xffffffe0, 0x5},
		{"NO_GECC_EXT_EOB", 0x1, 0x0},
		{"CHAN4_EN", 0x2, 0x1}
	} },
	{"MC_ARB_MISC2", 0x9d5, {
		{"TCCDL4_BANKBIT3_XOR_COLBIT8", 0x400, 0xa},
		{"TCCDL4_REPLAY_EOB", 0x80000000, 0x1f},
		{"RDRET_SEQ_SKID", 0x3c000, 0xe},
		{"GECC_STATUS", 0x100000, 0x14},
		{"ARB_DEBUG29", 0x20000000, 0x1d},
		{"SEQ_RDY_POP_IDLE", 0x40000000, 0x1e},
		{"GECC_RST", 0x80000, 0x13},
		{"RDRET_NO_REORDERING", 0x1000, 0xc},
		{"TAGFIFO_THRESHOLD", 0x1e00000, 0x15},
		{"TCCDL4_BANKBIT3_XOR_COLBIT6", 0x100, 0x8},
		{"TCCDL4_BANKBIT3_XOR_COLBIT7", 0x200, 0x9},
		{"TCCDL4_BANKBIT3_XOR_COLBIT4", 0x40, 0x6},
		{"TCCDL4_BANKBIT3_XOR_COLBIT5", 0x80, 0x7},
		{"REPLAY_DEBUG", 0x10000000, 0x1c},
		{"POP_IDLE_REPLAY", 0x800, 0xb},
		{"TCCDL4_BANKBIT3_XOR_ENABLE", 0x20, 0x5},
		{"RDRET_NO_BP", 0x2000, 0xd},
		{"GECC", 0x40000, 0x12},
		{"WCDR_REPLAY_MASKCNT", 0xe000000, 0x19}
	} },
	{"MC_ARB_RTT_DEBUG", 0x9d3, {
		{"WINDOW_SIZE_CH1", 0x3e000000, 0x19},
		{"WINDOW_SIZE_CH0", 0x1f000, 0xc},
		{"DEBUG_BYTE_CH0", 0x3, 0x0},
		{"DEBUG_BYTE_CH1", 0xc, 0x2},
		{"SHIFTED_PHASE_CH0", 0xff0, 0x4},
		{"SHIFTED_PHASE_CH1", 0x1fe0000, 0x11}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_3_STATUS2", 0x5e81, {

	} },
	{"ATC_L1WR_STATUS", 0xce1, {
		{"CAM_INDEX", 0x3e0000, 0x11},
		{"CAM_PARITY_ERRORS", 0x1f000, 0xc},
		{"BUSY", 0x1, 0x0},
		{"DEADLOCK_DETECTION", 0x2, 0x1},
		{"BAD_NEED_ATS", 0x100, 0x8}
	} },
	{"MC_WR_HUB", 0x988, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_HUB_RDREQ_RLC", 0x85c, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_CITF_PERFCOUNTER0_CFG", 0x7b0, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_VM_APERTURE0_CNTL2", 0xcc6, {
		{"VMIDS_USING_RANGE", 0xffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUFMGR_VCE_CONTROL", 0x5f18, {

	} },
	{"MC_XPB_STICKY_W1C", 0x926, {
		{"BITS", 0xffffffff, 0x0}
	} },
	{"MCIF_WB_BUF_2_ADDR_Y_OFFSET", 0x5e8d, {
		{"MCIF_WB_BUF_2_ADDR_Y_OFFSET", 0x3ffff, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_4_ADDR_C_OFFSET", 0x5e97, {

	} },
	{"MC_GRUB_TCB_DATA_HI", 0xa3a, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_HDP", 0x85a, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_IH", 0x870, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MCIF_WB1_MCIF_WB_TEST_DEBUG_INDEX", 0x5ec6, {

	} },
	{"MC_ARB_PM_CNTL", 0x9ed, {
		{"OVRR_RFSH_STATE", 0x8000, 0xf},
		{"OVRR_WR", 0x1000, 0xc},
		{"OVRR_RD", 0x400, 0xa},
		{"OVRR_PM", 0x80, 0x7},
		{"IDLE_CNT", 0xf00000, 0x14},
		{"OVRR_WR1_BUSY", 0x2000000, 0x19},
		{"OVERRIDE_CGSTATE", 0x3, 0x0},
		{"OVRR_WR_STATE", 0x2000, 0xd},
		{"OVRR_CGSQM", 0x8, 0x3},
		{"BLKOUT_ON_D1", 0x20, 0x5},
		{"OVRR_CGRFSH", 0x4, 0x2},
		{"OVRR_PM_STATE", 0x300, 0x8},
		{"IDLE_ON_D2", 0x40000, 0x12},
		{"IDLE_ON_D1", 0x40, 0x6},
		{"OVRR_RD1_BUSY", 0x20000, 0x11},
		{"IDLE_ON_D3", 0x80000, 0x13},
		{"OVRR_RD0_BUSY", 0x10000, 0x10},
		{"OVRR_RD_STATE", 0x800, 0xb},
		{"OVRR_WR0_BUSY", 0x1000000, 0x18},
		{"OVRR_RFSH", 0x4000, 0xe},
		{"SRFSH_ON_D1", 0x10, 0x4}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_STATUS", 0x537, {
		{"MEMORY_CLIENT_ID", 0x1ff000, 0xc},
		{"PROTECTIONS", 0xff, 0x0},
		{"VMID", 0x1e000000, 0x19},
		{"MEMORY_CLIENT_RW", 0x1000000, 0x18},
		{"ATOMIC", 0x20000000, 0x1d}
	} },
	{"MC_HUB_RDREQ_MCDS", 0xde7, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"ATC_ATS_FAULT_DEBUG", 0xccb, {
		{"CLEAR_FAULT_STATUS_ADDR", 0x10000, 0x10},
		{"CREDITS_ATS_IH", 0x1f, 0x0},
		{"ALLOW_SUBSEQUENT_FAULT_STATUS_ADDR_UPDATES", 0x100, 0x8}
	} },
	{"MC_HUB_RDREQ_MCDW", 0x851, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"MED_CREDITS", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_HUB_RDREQ_MCDV", 0xdea, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_HUB_RDREQ_MCDU", 0xde9, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_HUB_RDREQ_MCDT", 0xde8, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_THRESHOLD", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_VM_MB_L1_TLB3_DEBUG", 0x8a5, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MC_ARB_GECC2_STATUS", 0x9c2, {
		{"RMWRD_CORR_CLEAR0", 0x1000000, 0x18},
		{"RMWRD_CORR_CLEAR1", 0x10000000, 0x1c},
		{"UNCORR_STS1", 0x20, 0x5},
		{"UNCORR_STS0", 0x2, 0x1},
		{"CORR_CLEAR1", 0x1000, 0xc},
		{"CORR_CLEAR0", 0x100, 0x8},
		{"RMWRD_CORR_STS1", 0x100000, 0x14},
		{"RMWRD_CORR_STS0", 0x10000, 0x10},
		{"FED_CLEAR1", 0x4000, 0xe},
		{"FED_CLEAR0", 0x400, 0xa},
		{"RSVD0", 0x8, 0x3},
		{"RSVD1", 0x80, 0x7},
		{"RSVD2", 0x800, 0xb},
		{"RSVD3", 0x8000, 0xf},
		{"RSVD4", 0xc0000, 0x12},
		{"RSVD5", 0xc00000, 0x16},
		{"RMWRD_UNCORR_STS0", 0x20000, 0x11},
		{"RMWRD_UNCORR_STS1", 0x200000, 0x15},
		{"RMWRD_UNCORR_CLEAR1", 0x20000000, 0x1d},
		{"RMWRD_UNCORR_CLEAR0", 0x2000000, 0x19},
		{"FED_STS0", 0x4, 0x2},
		{"FED_STS1", 0x40, 0x6},
		{"UNCORR_CLEAR0", 0x200, 0x9},
		{"UNCORR_CLEAR1", 0x2000, 0xd},
		{"CORR_STS0", 0x1, 0x0},
		{"CORR_STS1", 0x10, 0x4},
		{"RSVD6", 0xc000000, 0x1a}
	} },
	{"MC_HUB_RDREQ_MCDY", 0x853, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"MED_CREDITS", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_HUB_RDREQ_MCDX", 0x852, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"MED_CREDITS", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF15", 0xf98f, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"ATC_VMID8_PASID_MAPPING", 0xcef, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_VM_DC_WRITE_CNTL", 0x810, {
		{"DC_WRITE_HIT_REGION_1_MODE", 0xc, 0x2},
		{"DC_MEMORY_WRITE_SYSTEM", 0x200, 0x9},
		{"DC_WRITE_HIT_REGION_2_MODE", 0x30, 0x4},
		{"DC_MEMORY_WRITE_LOCAL", 0x100, 0x8},
		{"DC_WRITE_HIT_REGION_3_MODE", 0xc0, 0x6},
		{"DC_WRITE_HIT_REGION_0_MODE", 0x3, 0x0}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_1_ADDR_C_OFFSET", 0x5ecb, {

	} },
	{"GMCON_STCTRL_REGISTER_SAVE_EXCL_SET1", 0xd49, {
		{"STCTRL_REGISTER_SAVE_EXCL3", 0xffff0000, 0x10},
		{"STCTRL_REGISTER_SAVE_EXCL2", 0xffff, 0x0}
	} },
	{"GMCON_STCTRL_REGISTER_SAVE_EXCL_SET0", 0xd48, {
		{"STCTRL_REGISTER_SAVE_EXCL1", 0xffff0000, 0x10},
		{"STCTRL_REGISTER_SAVE_EXCL0", 0xffff, 0x0}
	} },
	{"MC_ARB_DRAM_TIMING_1", 0x9fc, {
		{"ACTRD", 0xff, 0x0},
		{"RASMACTRD", 0xff0000, 0x10},
		{"ACTWR", 0xff00, 0x8},
		{"RASMACTWR", 0xff000000, 0x18}
	} },
	{"MC_RPB_CID_QUEUE_EX", 0x95a, {
		{"START", 0x1, 0x0},
		{"OFFSET", 0x3e, 0x1}
	} },
	{"MC_HUB_WDP_VCEU0", 0x87d, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_VCEU1", 0xdff, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MCIF_WB_BUFMGR_STATUS", 0x5e7a, {
		{"MCIF_WB_BUFMGR_VCE_INT_STATUS", 0x1, 0x0},
		{"MCIF_WB_BUF_DUALSIZE_STATUS", 0x80, 0x7},
		{"MCIF_WB_BUFMGR_CUR_LINE_L", 0x1fff000, 0xc},
		{"MCIF_WB_BUFMGR_BUFTAG", 0xf00, 0x8},
		{"MCIF_WB_BUFMGR_CUR_BUF", 0x70, 0x4},
		{"MCIF_WB_BUFMGR_SW_INT_STATUS", 0x2, 0x1},
		{"MCIF_WB_BUFMGR_NEXT_BUF", 0x70000000, 0x1c}
	} },
	{"GMCON_PGFSM_CONFIG", 0xd4e, {
		{"FSM_ADDR", 0xff, 0x0},
		{"WRITE", 0x1000, 0xc},
		{"RSRVD", 0x7ffc000, 0xe},
		{"POWER_DOWN", 0x100, 0x8},
		{"READ", 0x2000, 0xd},
		{"REG_ADDR", 0xf0000000, 0x1c},
		{"P1_SELECT", 0x400, 0xa},
		{"SRBM_OVERRIDE", 0x8000000, 0x1b},
		{"P2_SELECT", 0x800, 0xb},
		{"POWER_UP", 0x200, 0x9}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_4_ADDR_C", 0x5f16, {

	} },
	{"ATC_VM_APERTURE1_CNTL", 0xcc5, {
		{"ATS_ACCESS_MODE", 0x3, 0x0}
	} },
	{"VM_INVALIDATE_REQUEST", 0x51e, {
		{"INVALIDATE_DOMAIN_0", 0x1, 0x0},
		{"INVALIDATE_DOMAIN_1", 0x2, 0x1},
		{"INVALIDATE_DOMAIN_2", 0x4, 0x2},
		{"INVALIDATE_DOMAIN_3", 0x8, 0x3},
		{"INVALIDATE_DOMAIN_4", 0x10, 0x4},
		{"INVALIDATE_DOMAIN_5", 0x20, 0x5},
		{"INVALIDATE_DOMAIN_6", 0x40, 0x6},
		{"INVALIDATE_DOMAIN_7", 0x80, 0x7},
		{"INVALIDATE_DOMAIN_8", 0x100, 0x8},
		{"INVALIDATE_DOMAIN_9", 0x200, 0x9},
		{"INVALIDATE_DOMAIN_12", 0x1000, 0xc},
		{"INVALIDATE_DOMAIN_13", 0x2000, 0xd},
		{"INVALIDATE_DOMAIN_10", 0x400, 0xa},
		{"INVALIDATE_DOMAIN_11", 0x800, 0xb},
		{"INVALIDATE_DOMAIN_14", 0x4000, 0xe},
		{"INVALIDATE_DOMAIN_15", 0x8000, 0xf}
	} },
	{"MC_MCBVM_PERFCOUNTER1_CFG", 0x7c1, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_L1_ADDRESS_OFFSET", 0xcdd, {
		{"LOGICAL_ADDRESS", 0xffffffff, 0x0}
	} },
	{"MCIF_WB_BUF_4_ADDR_Y", 0x5e94, {
		{"MCIF_WB_BUF_4_ADDR_Y", 0xffffffff, 0x0}
	} },
	{"MC_FUS_DRAM_APER_DEF", 0xa1e, {
		{"LOCK_MC_FUS_DRAM_REGS", 0x10000000, 0x1c},
		{"DEF", 0xfffffff, 0x0}
	} },
	{"VM_CONTEXT13_PAGE_TABLE_BASE_ADDR", 0x513, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"ATC_ATS_DEFAULT_PAGE_LOW", 0xcd0, {
		{"DEFAULT_PAGE", 0xfffffff, 0x0}
	} },
	{"MC_HUB_WDP_UVD", 0x876, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MCIF_WB_HVVMID_CONTROL", 0x5e99, {
		{"MCIF_WB_DEFAULT_VMID", 0xf00, 0x8},
		{"MCIF_WB_ALLOWED_VMID_MASK", 0xffff0000, 0x10}
	} },
	{"MC_RPB_BIF_CNTL", 0x952, {
		{"XPB_SWITCH_NUM", 0xff00, 0x8},
		{"ARB_SWITCH_NUM", 0xff, 0x0}
	} },
	{"MC_ARB_RAMCFG", 0x9d8, {
		{"RSV_2", 0x400, 0xa},
		{"RSV_1", 0x200, 0x9},
		{"RSV_3", 0x800, 0xb},
		{"CHANSIZE", 0x100, 0x8},
		{"RSV_4", 0x3e000, 0xd},
		{"NOOFCOLS", 0xc0, 0x6},
		{"NOOFBANK", 0x3, 0x0},
		{"NOOFROWS", 0x38, 0x3},
		{"NOOFGROUPS", 0x1000, 0xc},
		{"NOOFRANKS", 0x4, 0x2}
	} },
	{"MC_ARB_GRUB_PRIORITY2_WR", 0xddb, {
		{"ISP", 0x30000000, 0x1c},
		{"XDMAM", 0xc0, 0x6},
		{"HDP", 0xc00, 0xa},
		{"SAMMSP", 0xc, 0x2},
		{"VCE1", 0x3, 0x0},
		{"UVD_EXT1", 0xc0000, 0x12},
		{"UVD_EXT0", 0x30000, 0x10},
		{"VP8", 0xc000000, 0x1a},
		{"IH", 0x3000000, 0x18},
		{"UMC", 0x3000, 0xc},
		{"XDP", 0x300000, 0x14},
		{"SDMA0", 0x300, 0x8},
		{"VIN0", 0xc0000000, 0x1e},
		{"SEM", 0xc00000, 0x16},
		{"UVD", 0xc000, 0xe},
		{"XDMA", 0x30, 0x4}
	} },
	{"MC_HUB_WDP_SEM", 0x872, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"ATC_L1RD_STATUS", 0xce0, {
		{"CAM_INDEX", 0x3e0000, 0x11},
		{"CAM_PARITY_ERRORS", 0x1f000, 0xc},
		{"BUSY", 0x1, 0x0},
		{"DEADLOCK_DETECTION", 0x2, 0x1},
		{"BAD_NEED_ATS", 0x100, 0x8}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_2_ADDR_Y", 0x5f0c, {

	} },
	{"ATC_VMID14_PASID_MAPPING", 0xcf5, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"ATC_ATS_CNTL", 0xcc9, {
		{"DISABLE_PRI", 0x2, 0x1},
		{"DEBUG_ECO", 0xf0000, 0x10},
		{"DISABLE_PASID", 0x4, 0x2},
		{"DISABLE_ATC", 0x1, 0x0},
		{"CREDITS_ATS_RPB", 0x3f00, 0x8}
	} },
	{"MC_RPB_IF_CONF", 0x94e, {
		{"OUTSTANDING_WRRET_ASK", 0xff00, 0x8},
		{"RPB_BIF_CREDITS", 0xff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_2_ADDR_C", 0x5f0e, {

	} },
	{"MC_ARB_LAZY1_RD", 0x9e7, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_WR_GRP_SYS", 0x806, {
		{"VCE0", 0xf000000, 0x18},
		{"VCE1", 0xf0000000, 0x1c},
		{"SAMMSP", 0xf000, 0xc},
		{"SMU", 0xf0000, 0x10},
		{"MCIF", 0xf0, 0x4},
		{"RLC", 0xf00, 0x8},
		{"IH", 0xf, 0x0},
		{"SDMA1", 0xf00000, 0x14}
	} },
	{"MC_VM_MD_L1_TLB1_STATUS", 0x99c, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_CITF_MISC_VM_CG", 0x994, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MCIF_WB_BUF_1_STATUS2", 0x5e7d, {
		{"MCIF_WB_BUF_1_CUR_LINE_R", 0x1fff, 0x0},
		{"MCIF_WB_BUF_1_NEW_CONTENT", 0x2000, 0xd},
		{"MCIF_WB_BUF_1_COLOR_DEPTH", 0x4000, 0xe}
	} },
	{"MC_VM_MX_L1_TLB_CNTL", 0x819, {
		{"SYSTEM_ACCESS_MODE", 0x18, 0x3},
		{"SYSTEM_APERTURE_UNMAPPED_ACCESS", 0x20, 0x5},
		{"ENABLE_ADVANCED_DRIVER_MODEL", 0x40, 0x6},
		{"ENABLE_L1_TLB", 0x1, 0x0},
		{"ENABLE_L1_FRAGMENT_PROCESSING", 0x2, 0x1},
		{"ECO_BITS", 0x780, 0x7}
	} },
	{"MC_HUB_WDP_ACPO", 0x887, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_ACPG", 0x886, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_VM_FB_LOCATION", 0x809, {
		{"FB_TOP", 0xffff0000, 0x10},
		{"FB_BASE", 0xffff, 0x0}
	} },
	{"MC_RPB_PERFCOUNTER1_CFG", 0x7b9, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MCIF_WB1_MCIF_WB_HVVMID_CONTROL", 0x5ed9, {

	} },
	{"MCIF_WB2_MCIF_WB_BUF_1_ADDR_C_OFFSET", 0x5f0b, {

	} },
	{"ATC_ATS_VMID_STATUS", 0xd07, {
		{"VMID9_OUTSTANDING", 0x200, 0x9},
		{"VMID6_OUTSTANDING", 0x40, 0x6},
		{"VMID8_OUTSTANDING", 0x100, 0x8},
		{"VMID5_OUTSTANDING", 0x20, 0x5},
		{"VMID2_OUTSTANDING", 0x4, 0x2},
		{"VMID15_OUTSTANDING", 0x8000, 0xf},
		{"VMID4_OUTSTANDING", 0x10, 0x4},
		{"VMID13_OUTSTANDING", 0x2000, 0xd},
		{"VMID14_OUTSTANDING", 0x4000, 0xe},
		{"VMID7_OUTSTANDING", 0x80, 0x7},
		{"VMID10_OUTSTANDING", 0x400, 0xa},
		{"VMID1_OUTSTANDING", 0x2, 0x1},
		{"VMID12_OUTSTANDING", 0x1000, 0xc},
		{"VMID3_OUTSTANDING", 0x8, 0x3},
		{"VMID0_OUTSTANDING", 0x1, 0x0},
		{"VMID11_OUTSTANDING", 0x800, 0xb}
	} },
	{"MC_HUB_RDREQ_DMIF", 0x862, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_4_ADDR_Y", 0x5f14, {

	} },
	{"MC_VM_DC_WRITE_HIT_REGION_1_LOW_ADDR", 0x812, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_ARB_PERFCOUNTER_HI", 0x7ae, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_ARB_TM_CNTL_RD", 0x9e3, {
		{"BANK_SELECT", 0x6, 0x1},
		{"MATCH_BANK", 0x10, 0x4},
		{"MATCH_RANK", 0x8, 0x3},
		{"GROUPBY_RANK", 0x1, 0x0}
	} },
	{"VM_CONTEXT1_CNTL", 0x505, {
		{"VALID_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x1000, 0xc},
		{"READ_PROTECTION_FAULT_ENABLE_SAVE", 0x20000, 0x11},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x80, 0x7},
		{"VALID_PROTECTION_FAULT_ENABLE_DEFAULT", 0x2000, 0xd},
		{"RANGE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x10, 0x4},
		{"ENABLE_CONTEXT", 0x1, 0x0},
		{"PDE0_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x200, 0x9},
		{"READ_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x8000, 0xf},
		{"DUMMY_PAGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x40, 0x6},
		{"EXECUTE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x200000, 0x15},
		{"PDE0_PROTECTION_FAULT_ENABLE_SAVE", 0x800, 0xb},
		{"WRITE_PROTECTION_FAULT_ENABLE_SAVE", 0x100000, 0x14},
		{"PDE0_PROTECTION_FAULT_ENABLE_DEFAULT", 0x400, 0xa},
		{"RANGE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x8, 0x3},
		{"WRITE_PROTECTION_FAULT_ENABLE_INTERRUPT", 0x40000, 0x12},
		{"EXECUTE_PROTECTION_FAULT_ENABLE_SAVE", 0x800000, 0x17},
		{"PAGE_TABLE_BLOCK_SIZE", 0xf000000, 0x18},
		{"EXECUTE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x400000, 0x16},
		{"VALID_PROTECTION_FAULT_ENABLE_SAVE", 0x4000, 0xe},
		{"READ_PROTECTION_FAULT_ENABLE_DEFAULT", 0x10000, 0x10},
		{"PAGE_TABLE_DEPTH", 0x6, 0x1},
		{"WRITE_PROTECTION_FAULT_ENABLE_DEFAULT", 0x80000, 0x13}
	} },
	{"MC_ARB_CAC_CNTL", 0x9d4, {
		{"WRITE_WEIGHT", 0x1f80, 0x7},
		{"ENABLE", 0x1, 0x0},
		{"READ_WEIGHT", 0x7e, 0x1},
		{"ALLOW_OVERFLOW", 0x2000, 0xd}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF4", 0xf984, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF5", 0xf985, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"ATC_L2_CNTL3", 0xd09, {
		{"ENABLE_HW_L2_CACHE_ADDRESS_MODES_SWITCHING", 0x7f, 0x0},
		{"L2_CACHE_EVICTION_THRESHOLD", 0x1f00, 0x8},
		{"ENABLE_FREE_COUNTER", 0x80, 0x7},
		{"L2_DELAY_SEND_INVALIDATION_REQUEST", 0x1c000, 0xe},
		{"DISABLE_CLEAR_CACHE_EVICTION_COUNTER_ON_INVALIDATION", 0x2000, 0xd}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF7", 0xf987, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF0", 0xf980, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MC_VM_FB_SIZE_OFFSET_VF1", 0xf981, {
		{"VF_FB_OFFSET", 0xffff0000, 0x10},
		{"VF_FB_SIZE", 0xffff, 0x0}
	} },
	{"MC_ARB_GDEC_RD_CNTL", 0x9ee, {
		{"USE_RSNO", 0x200, 0x9},
		{"REM_DEFAULT_GRP", 0x3c00, 0xa},
		{"USE_RANK", 0x100, 0x8},
		{"PAGEBIT0", 0xf, 0x0},
		{"PAGEBIT1", 0xf0, 0x4}
	} },
	{"MC_HUB_RDREQ_STATUS", 0x839, {
		{"MCDS_RD_AVAIL", 0x20, 0x5},
		{"MCDZ_RD_AVAIL", 0x10, 0x4},
		{"GBL1_BYPASS_STOR_FULL", 0x4000, 0xe},
		{"GBL0_VM_FULL", 0x200, 0x9},
		{"GBL0_BYPASS_STOR_FULL", 0x800, 0xb},
		{"PWRXPRESS_ERR", 0x8000, 0xf},
		{"GBL0_STOR_FULL", 0x400, 0xa},
		{"MCDU_RD_AVAIL", 0x80, 0x7},
		{"MCDT_RD_AVAIL", 0x40, 0x6},
		{"SIP_AVAIL", 0x1, 0x0},
		{"MCDV_RD_AVAIL", 0x100, 0x8},
		{"MCDY_RD_AVAIL", 0x8, 0x3},
		{"MCDX_RD_AVAIL", 0x4, 0x2},
		{"MCDW_RD_AVAIL", 0x2, 0x1},
		{"GBL1_VM_FULL", 0x1000, 0xc},
		{"GBL1_STOR_FULL", 0x2000, 0xd}
	} },
	{"MC_XPB_CLG_CFG8", 0x8f1, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG9", 0x8f2, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_FUS_DRAM0_CS01_MASK", 0xa0d, {

	} },
	{"MC_ARB_HARSH_TX_HI0_WR", 0xdc3, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_XBAR_RDREQ_CREDIT", 0xc83, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"MC_XPB_CLG_CFG0", 0x8e9, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG1", 0x8ea, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG2", 0x8eb, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG3", 0x8ec, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG4", 0x8ed, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG5", 0x8ee, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG6", 0x8ef, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG7", 0x8f0, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_CONFIG", 0x800, {
		{"MCDX_WR_ENABLE", 0x2, 0x1},
		{"MCDS_WR_ENABLE", 0x10, 0x4},
		{"MCDY_WR_ENABLE", 0x4, 0x2},
		{"MCDZ_WR_ENABLE", 0x8, 0x3},
		{"MCC_INDEX_MODE_ENABLE", 0x80000000, 0x1f},
		{"MC_RD_ENABLE", 0x700, 0x8},
		{"MCDU_WR_ENABLE", 0x40, 0x6},
		{"MCDV_WR_ENABLE", 0x80, 0x7},
		{"MCDT_WR_ENABLE", 0x20, 0x5},
		{"MCDW_WR_ENABLE", 0x1, 0x0}
	} },
	{"MC_HUB_WDP_VP8U", 0x88a, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_PERFCOUNTER3_CFG", 0x7b7, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_1_STATUS", 0x5ebc, {

	} },
	{"MC_ARB_HARSH_BWPERIOD1_WR", 0xdcd, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"ATC_VM_APERTURE1_HIGH_ADDR", 0xcc3, {
		{"VIRTUAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_CITF_PERF_MON_RSLT2", 0x991, {
		{"DB_WR_BUSY", 0x100, 0x8},
		{"TC0_RD_BUSY", 0x8, 0x3},
		{"TC2_RD_BUSY", 0x400, 0xa},
		{"TC1_RD_BUSY", 0x20, 0x5},
		{"CB_RD_BUSY", 0x2, 0x1},
		{"TC1_ATOM_BUSY", 0x8000, 0xf},
		{"TC0_WR_BUSY", 0x800, 0xb},
		{"CB_WR_BUSY", 0x80, 0x7},
		{"TC2_ATOM_BUSY", 0x10000, 0x10},
		{"VC0_RD_BUSY", 0x10, 0x4},
		{"TC0_ATOM_BUSY", 0x4000, 0xe},
		{"TC1_WR_BUSY", 0x1000, 0xc},
		{"DB_ATOM_BUSY", 0x40000, 0x12},
		{"DB_RD_BUSY", 0x4, 0x2},
		{"TC2_WR_BUSY", 0x2000, 0xd},
		{"VC1_RD_BUSY", 0x40, 0x6},
		{"SX_WR_BUSY", 0x200, 0x9},
		{"CB_ATOM_BUSY", 0x20000, 0x11}
	} },
	{"MC_ARB_FED_CNTL", 0x9c1, {
		{"RDRET_PARITY_NACK", 0x20, 0x5},
		{"KEEP_POISON_IN_PAGE", 0x10, 0x4},
		{"WR_ERR", 0xc, 0x2},
		{"MODE", 0x3, 0x0},
		{"USE_LEGACY_NACK", 0x40, 0x6},
		{"DEBUG_RSV", 0xffffff80, 0x7}
	} },
	{"MC_VM_MARC_RELOC_HI_0", 0xf99b, {
		{"MARC_RELOC_HI_0", 0xfffff, 0x0}
	} },
	{"MC_VM_MARC_RELOC_HI_1", 0xf9a1, {
		{"MARC_RELOC_HI_1", 0xfffff, 0x0}
	} },
	{"MC_VM_MD_L1_TLB3_DEBUG", 0x9a7, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"VM_DEBUG", 0x56f, {
		{"FLAGS", 0xffffffff, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_1_ADDR_C", 0x5e8a, {

	} },
	{"MC_VM_AGP_TOP", 0x80a, {
		{"AGP_TOP", 0x3ffff, 0x0}
	} },
	{"VM_L2_CG", 0x570, {
		{"OVERRIDE", 0x100000, 0x14},
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13}
	} },
	{"MCIF_WB_BUF_3_ADDR_C_OFFSET", 0x5e93, {
		{"MCIF_WB_BUF_3_ADDR_C_OFFSET", 0x3ffff, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_2_ADDR_C", 0x5e8e, {

	} },
	{"MC_RPB_TCI_CNTL2", 0x95d, {
		{"TCI_MTYPE", 0x6, 0x1},
		{"TCI_PERF_CNTR_EN", 0x20, 0x5},
		{"TCI_EXE", 0x40, 0x6},
		{"TCI_PHYSICAL", 0x10, 0x4},
		{"TCI_POLICY", 0x1, 0x0},
		{"TCI_SNOOP", 0x8, 0x3}
	} },
	{"MC_CITF_PERFCOUNTER_LO", 0x7a0, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"VM_CONTEXT6_PAGE_TABLE_BASE_ADDR", 0x555, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_PITCH", 0x5efb, {

	} },
	{"MC_HUB_RDREQ_UVD", 0x860, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_3_LOW_ADDR", 0x814, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_MCDZ", 0x854, {
		{"ENABLE", 0x1, 0x0},
		{"DISPLAY_CREDITS", 0x1fc0000, 0x12},
		{"BUS", 0x4, 0x2},
		{"LAZY_TIMER", 0x780, 0x7},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"MED_CREDITS", 0xfe000000, 0x19},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x3f800, 0xb}
	} },
	{"MC_HUB_WDP_SH2", 0x84d, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_SH3", 0x84e, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_SH0", 0x86c, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_WDP_SH1", 0x874, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_GRUB_POST_PROBE_DELAY", 0xa34, {
		{"REQLCL_TO_RET_DELAY", 0x1f00, 0x8},
		{"REQ_TO_RSP_DELAY", 0x1f, 0x0},
		{"REQREM_TO_RET_DELAY", 0x1f0000, 0x10}
	} },
	{"MC_SHARED_CHREMAP2", 0x81c, {
		{"CHAN9", 0xf0, 0x4},
		{"CHAN8", 0xf, 0x0},
		{"CHAN15", 0xf0000000, 0x1c},
		{"CHAN14", 0xf000000, 0x18},
		{"CHAN11", 0xf000, 0xc},
		{"CHAN10", 0xf00, 0x8},
		{"CHAN13", 0xf00000, 0x14},
		{"CHAN12", 0xf0000, 0x10}
	} },
	{"MC_HUB_WDP_MCDZ", 0x869, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_HUB_WDP_MCDX", 0x867, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_HUB_WDP_MCDY", 0x868, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_HUB_WDP_MCDV", 0xdee, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_HUB_WDP_MCDW", 0x866, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_HUB_WDP_MCDT", 0xdec, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_HUB_WDP_MCDU", 0xded, {
		{"ENABLE", 0x1, 0x0},
		{"STALL_THRESHOLD", 0xfe0000, 0x11},
		{"LAZY_TIMER", 0x1e000, 0xd},
		{"ASK_CREDITS_W", 0x7f000000, 0x18},
		{"BLACKOUT_EXEMPT", 0x2, 0x1},
		{"STALL_MODE", 0x4, 0x2},
		{"MAXBURST", 0x78, 0x3},
		{"ASK_CREDITS", 0x1f80, 0x7}
	} },
	{"MC_XPB_CLG_CFG10", 0x8f3, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_ARB_ADDR_HASH", 0x9dc, {
		{"ROW_XOR", 0xffff000, 0xc},
		{"COL_XOR", 0xff0, 0x4},
		{"BANK_XOR_ENABLE", 0xf, 0x0}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_1_ADDR_Y", 0x5ec8, {

	} },
	{"CHUB_ATC_PERFCOUNTER1_CFG", 0x7d9, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_ARB_LAZY1_WR", 0x9e8, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MCIF_WB_BUFMGR_VCE_CONTROL", 0x5e98, {
		{"MCIF_WB_BUFMGR_VCE_LOCK", 0xf00, 0x8},
		{"MCIF_WB_BUFMGR_VCE_LOCK_IGNORE", 0x1, 0x0},
		{"MCIF_WB_BUFMGR_VCE_INT_ACK", 0x20, 0x5},
		{"MCIF_WB_BUFMGR_SLICE_SIZE", 0x1fff0000, 0x10},
		{"MCIF_WB_BUFMGR_VCE_SLICE_INT_EN", 0x40, 0x6},
		{"MCIF_WB_BUFMGR_VCE_INT_EN", 0x10, 0x4}
	} },
	{"VM_L2_CNTL2", 0x501, {
		{"PDE_CACHE_EFFECTIVE_SIZE", 0x70000000, 0x1c},
		{"DISABLE_BIGK_CACHE_OPTIMIZATION", 0x400000, 0x16},
		{"L2_CACHE_BIGK_VMID_MODE", 0x3800000, 0x17},
		{"INVALIDATE_CACHE_MODE", 0xc000000, 0x1a},
		{"INVALIDATE_L2_CACHE", 0x2, 0x1},
		{"INVALIDATE_ALL_L1_TLBS", 0x1, 0x0},
		{"DISABLE_INVALIDATE_PER_DOMAIN", 0x200000, 0x15}
	} },
	{"MC_VM_MARC_LEN_LO_2", 0xf9a8, {
		{"MARC_LEN_LO_2", 0xfffff000, 0xc}
	} },
	{"MC_VM_MARC_LEN_LO_3", 0xf9ae, {
		{"MARC_LEN_LO_3", 0xfffff000, 0xc}
	} },
	{"MC_ARB_REMREQ", 0x9f2, {
		{"ENABLE_REMOTE_NACK_REQ", 0x1000000, 0x18},
		{"WR_WATER", 0xff00, 0x8},
		{"WR_MAXBURST_SIZE", 0xf0000, 0x10},
		{"RD_WATER", 0xff, 0x0},
		{"WR_LAZY_TIMER", 0xf00000, 0x14}
	} },
	{"MC_ARB_GRUB_REALTIME_RD", 0x9f9, {
		{"UVD_EXT0", 0x4000000, 0x1a},
		{"HDP", 0x800000, 0x17},
		{"UVD_EXT1", 0x8000000, 0x1b},
		{"SMU", 0x40000, 0x12},
		{"ISP", 0x80000000, 0x1f},
		{"MCIF", 0x4000, 0xe},
		{"CB0", 0x1, 0x0},
		{"UMC", 0x1000000, 0x18},
		{"DB0", 0x8, 0x3},
		{"DMIF_TW", 0x2000, 0xd},
		{"XDMAM", 0x200000, 0x15},
		{"DMIF_EXT1", 0x1000, 0xc},
		{"DMIF_EXT0", 0x800, 0xb},
		{"CBCMASK0", 0x2, 0x1},
		{"SEM", 0x10000000, 0x1c},
		{"UVD", 0x2000000, 0x19},
		{"DBSTEN0", 0x20, 0x5},
		{"SAMMSP", 0x20000000, 0x1d},
		{"VP8", 0x40000000, 0x1e},
		{"TC0", 0x40, 0x6},
		{"IA", 0x80, 0x7},
		{"DBHTILE0", 0x10, 0x4},
		{"DMIF", 0x400, 0xa},
		{"CBFMASK0", 0x4, 0x2},
		{"VCE0", 0x80000, 0x13},
		{"VCE1", 0x100000, 0x14},
		{"VMC", 0x10000, 0x10},
		{"RLC", 0x8000, 0xf},
		{"ACPG", 0x100, 0x8},
		{"SDMA0", 0x400000, 0x16},
		{"SDMA1", 0x20000, 0x11},
		{"ACPO", 0x200, 0x9}
	} },
	{"MC_HUB_MISC_HUB_CG", 0x82e, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MC_VM_MB_L1_TLB0_DEBUG", 0x891, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_DEFAULT_ADDR", 0x547, {
		{"PHYSICAL_PAGE_ADDR", 0xfffffff, 0x0}
	} },
	{"MC_ARB_LM_WR", 0x9f1, {
		{"STREAK_BREAK", 0x10000, 0x10},
		{"ATOMIC_LM_EOB", 0x2000000, 0x19},
		{"SKID1_RST_TWOLIST", 0x100000, 0x14},
		{"BANKGROUP_CONFIG", 0xe00000, 0x15},
		{"ENABLE_TWO_LIST", 0x40000, 0x12},
		{"ATOMIC_RTN_LM_EOB", 0x4000000, 0x1a},
		{"POPIDLE_RST_TWOLIST", 0x80000, 0x13},
		{"MASKWR_LM_EOB", 0x1000000, 0x18},
		{"STREAK_UBER", 0x20000, 0x11},
		{"STREAK_LIMIT_UBER", 0xff00, 0x8},
		{"STREAK_LIMIT", 0xff, 0x0}
	} },
	{"MCIF_WB_TEST_DEBUG_INDEX", 0x5e86, {
		{"MCIF_WB_TEST_DEBUG_INDEX", 0xff, 0x0},
		{"MCIF_WB_TEST_DEBUG_WRITE_EN", 0x100, 0x8}
	} },
	{"MC_HUB_WDP_UMC", 0x875, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_FUS_DRAM0_CS0_BASE", 0xa05, {
		{"BASEADDR38_27", 0x7ff80000, 0x13},
		{"BASEADDR21_11", 0xffe0, 0x5},
		{"CSENABLE", 0x1, 0x0}
	} },
	{"MC_RPB_PERF_COUNTER_CNTL", 0x958, {
		{"PERF_COUNTER_SELECT", 0x3, 0x0},
		{"STOP_ON_COUNTER_SATURATION", 0x10, 0x4},
		{"CLEAR_SELECTED_PERF_COUNTER", 0x4, 0x2},
		{"CLEAR_ALL_PERF_COUNTERS", 0x8, 0x3},
		{"PERF_COUNTER_ASSIGN_3", 0x1f000000, 0x18},
		{"PERF_COUNTER_ASSIGN_0", 0x3e00, 0x9},
		{"PERF_COUNTER_ASSIGN_1", 0x7c000, 0xe},
		{"PERF_COUNTER_ASSIGN_2", 0xf80000, 0x13},
		{"ENABLE_PERF_COUNTERS", 0x1e0, 0x5}
	} },
	{"MC_VM_MARC_CNTL", 0xf9b0, {
		{"ENABLE_ALL_CLIENTS", 0x1, 0x0}
	} },
	{"MC_HUB_RDREQ_ACPO", 0x882, {
		{"STALL_FILTER_ENABLE", 0x40000, 0x12},
		{"PRIORITY_DISABLE", 0x20000, 0x11},
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"STALL_THRESHOLD", 0x1f80000, 0x13},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"VM_CONTEXT8_PAGE_TABLE_BASE_ADDR", 0x50e, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_XBAR_CHTRIREMAP", 0xc8b, {
		{"CH0", 0x3, 0x0},
		{"CH1", 0xc, 0x2},
		{"CH2", 0x30, 0x4}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_1_STATUS", 0x5e7c, {

	} },
	{"MC_FUS_DRAM_MODE", 0xa19, {
		{"DCTSELINTLVADDR", 0x7, 0x0},
		{"BANKGROUPSWAP", 0x10000, 0x10},
		{"DRAMTYPE", 0x38, 0x3},
		{"DRAMHOLEOFFSET", 0x7fc0, 0x6},
		{"DDR3LPX32", 0x8000, 0xf}
	} },
	{"ATC_VMID11_PASID_MAPPING", 0xcf2, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_XPB_UNC_THRESH_SID", 0x900, {
		{"USE_UNFULL", 0x3f000, 0xc},
		{"CHANGE_PREF", 0x3f, 0x0},
		{"STRONG_PREF", 0xfc0, 0x6}
	} },
	{"ATC_VMID12_PASID_MAPPING", 0xcf3, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_FUS_DRAM1_CTL_BASE", 0xa14, {
		{"DCTINTLVEN", 0x78, 0x3},
		{"DCTOFFSETEN", 0x10000000, 0x1c},
		{"DCTBASEADDR", 0xfffff80, 0x7},
		{"DCTSEL", 0x7, 0x0}
	} },
	{"MC_HUB_PERFCOUNTER_RSLT_CNTL", 0x7cf, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_VM_MB_L1_TLB1_DEBUG", 0x892, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MC_RPB_PERFCOUNTER0_CFG", 0x7b8, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_RD_DB", 0x982, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_RPB_PERFCOUNTER2_CFG", 0x7ba, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_WR_GRP_GFX", 0x804, {
		{"ACPO", 0xf000, 0xc},
		{"SH", 0xf0, 0x4},
		{"XDMAM", 0xf0000000, 0x1c},
		{"ISP", 0xf0000, 0x10},
		{"VP8", 0xf00000, 0x14},
		{"ACPG", 0xf00, 0x8},
		{"CP", 0xf, 0x0},
		{"XDMA", 0xf000000, 0x18}
	} },
	{"MC_VM_NB_MMIOLIMIT", 0xf991, {
		{"MMIOLIMIT", 0xffffffff, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_4_STATUS", 0x5e82, {

	} },
	{"VM_CONTEXT1_PAGE_TABLE_END_ADDR", 0x560, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_GRUB_TCB_INDEX", 0xa38, {
		{"INDEX", 0x7f, 0x0},
		{"TCB_SEL", 0x800, 0xb},
		{"TCB1_WR_EN", 0x200, 0x9},
		{"TCB0_WR_EN", 0x100, 0x8},
		{"RD_EN", 0x400, 0xa}
	} },
	{"MC_ARB_ATOMIC", 0x9be, {
		{"SDMA_GRP_EN", 0x80, 0x7},
		{"TC_GRP", 0x7, 0x0},
		{"OUTSTANDING", 0xff00, 0x8},
		{"ATOMIC_RTN_GRP", 0xff0000, 0x10},
		{"TC_GRP_EN", 0x8, 0x3},
		{"SDMA_GRP", 0x70, 0x4}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_3_ADDR_C_OFFSET", 0x5ed3, {

	} },
	{"MCIF_WB1_MCIF_WB_BUF_1_ADDR_C", 0x5eca, {

	} },
	{"GMCON_DEBUG", 0xd5f, {
		{"SR_COMMIT_STATE", 0x8, 0x3},
		{"GFX_CLEAR", 0x2, 0x1},
		{"MISC_FLAGS", 0xffffff00, 0x8},
		{"GMCON_DEBUG_RESERVED0", 0x4, 0x2},
		{"STCTRL_ST", 0xf0, 0x4},
		{"GFX_STALL", 0x1, 0x0}
	} },
	{"MC_RPB_CID_QUEUE_WR", 0x956, {
		{"UPDATE_MODE", 0x100, 0x8},
		{"READ_QUEUE", 0x1800, 0xb},
		{"WRITE_QUEUE", 0x600, 0x9},
		{"CLIENT_ID", 0xff, 0x0},
		{"UPDATE", 0x2000, 0xd}
	} },
	{"MC_XPB_CLG_CFG12", 0x8f5, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG13", 0x8f6, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_ARB_GECC2_CLI", 0x9ca, {
		{"NO_GECC_CLI3", 0xff000000, 0x18},
		{"NO_GECC_CLI2", 0xff0000, 0x10},
		{"NO_GECC_CLI1", 0xff00, 0x8},
		{"NO_GECC_CLI0", 0xff, 0x0}
	} },
	{"MC_XPB_CLG_CFG11", 0x8f4, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG16", 0x8f9, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG17", 0x8fa, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG14", 0x8f7, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG15", 0x8f8, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG18", 0x8fb, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MC_XPB_CLG_CFG19", 0x8fc, {
		{"LB_TYPE", 0x70, 0x4},
		{"HOST_FLUSH", 0x3c00, 0xa},
		{"SIDE_FLUSH", 0x3c000, 0xe},
		{"WCB_NUM", 0xf, 0x0},
		{"P2P_BAR", 0x380, 0x7}
	} },
	{"MCIF_WB2_MCIF_WB_BUFMGR_SW_CONTROL", 0x5ef8, {

	} },
	{"MC_ARB_GECC2", 0x9c9, {
		{"ENABLE", 0x1, 0x0},
		{"NO_GECC_CLI", 0x780, 0x7},
		{"RMWRD_UNCOR_POISON", 0x400000, 0x16},
		{"WRADDR_CONV", 0x200000, 0x15},
		{"COLFIFO_WATER", 0x1f8000, 0xf},
		{"READ_ERR", 0x3800, 0xb},
		{"EXOR_BANK_SEL", 0x60, 0x5},
		{"CLOSE_BANK_RMW", 0x4000, 0xe},
		{"PAGE_BIT0", 0x18, 0x3},
		{"ECC_MODE", 0x6, 0x1}
	} },
	{"MC_HUB_WDP_CREDITS_MCDW", 0xdf3, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDV", 0xdfa, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDU", 0xdf9, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDT", 0xdf8, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDS", 0xdf7, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_ARB_DRAM_TIMING2_1", 0x9ff, {
		{"BUS_TURN", 0x1f000000, 0x18},
		{"RAS2RAS", 0xff, 0x0},
		{"RP", 0xff00, 0x8},
		{"WRPLUSRP", 0xff0000, 0x10}
	} },
	{"VM_CONTEXT14_PAGE_TABLE_BASE_ADDR", 0x514, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_XPB_MAP_INVERT_FLUSH_NUM_LSB", 0x923, {
		{"ALTER_FLUSH_NUM", 0xffff, 0x0}
	} },
	{"VM_FAULT_CLIENT_ID", 0x54e, {
		{"MEMORY_CLIENT_ID_MSB", 0x40000, 0x12},
		{"MEMORY_CLIENT", 0x1ff, 0x0},
		{"MEMORY_CLIENT_MASK", 0x3fe00, 0x9},
		{"MEMORY_CLIENT_ID_MASK_MSB", 0x80000, 0x13}
	} },
	{"MC_HUB_WDP_CREDITS_MCDZ", 0xdf6, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDY", 0xdf5, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MC_HUB_WDP_CREDITS_MCDX", 0xdf4, {
		{"WR_PRI_STALL_THRESHOLD", 0x3f80, 0x7},
		{"WR_PRI", 0x7f, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_2_ADDR_Y_OFFSET", 0x5f0d, {

	} },
	{"MC_CITF_CNTL", 0x970, {
		{"MCD_SRBM_MASK_ENABLE", 0x40, 0x6},
		{"REMOTE_RB_CONNECT_ENABLE", 0x200, 0x9},
		{"EXEMPTPM", 0x8, 0x3},
		{"IGNOREPM", 0x4, 0x2},
		{"CNTR_CHMAP_MODE", 0x180, 0x7},
		{"GFX_IDLE_OVERRIDE", 0x30, 0x4}
	} },
	{"MCIF_WB0_MCIF_WB_BUFMGR_CUR_LINE_R", 0x5e79, {

	} },
	{"VM_DUMMY_PAGE_FAULT_CNTL", 0x506, {
		{"DUMMY_PAGE_ADDRESS_LOGICAL", 0x2, 0x1},
		{"DUMMY_PAGE_COMPARE_MASK", 0xc, 0x2},
		{"DUMMY_PAGE_FAULT_ENABLE", 0x1, 0x0}
	} },
	{"MCIF_WB_BUF_3_ADDR_C", 0x5e92, {
		{"MCIF_WB_BUF_3_ADDR_C", 0xffffffff, 0x0}
	} },
	{"MC_ARB_HARSH_TX_LO0_RD", 0xdc6, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_HUB_RDREQ_VCEU1", 0xdfd, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_VCEU0", 0x865, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR2", 0x91c, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR3", 0x91d, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_ARB_GECC2_DEBUG", 0x9c4, {
		{"SW_INJECTION", 0x20, 0x5},
		{"DIRECTION", 0x4, 0x2},
		{"NUM_ERR_BITS", 0x3, 0x0},
		{"DATA_FIELD", 0x18, 0x3}
	} },
	{"MC_CITF_INT_CREDITS", 0x975, {
		{"CNTR_RD_LCL", 0x3f000000, 0x18},
		{"CNTR_RD_HUB_LP", 0x3f000, 0xc},
		{"REMRDRET", 0x3f, 0x0},
		{"CNTR_RD_HUB_HP", 0xfc0000, 0x12}
	} },
	{"VM_L2_BANK_SELECT_MASKB", 0x573, {
		{"BANK_SELECT_MASK", 0x7f, 0x0}
	} },
	{"VM_L2_BANK_SELECT_MASKA", 0x572, {
		{"BANK_SELECT_MASK", 0xfffffff, 0x0}
	} },
	{"VM_CONTEXT1_PROTECTION_FAULT_MCCLIENT", 0x539, {
		{"NAME", 0xffffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_XDMAM", 0x880, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_SHARED_CHREMAP", 0x802, {
		{"CHAN5", 0xf00000, 0x14},
		{"CHAN4", 0xf0000, 0x10},
		{"CHAN7", 0xf0000000, 0x1c},
		{"CHAN6", 0xf000000, 0x18},
		{"CHAN1", 0xf0, 0x4},
		{"CHAN0", 0xf, 0x0},
		{"CHAN3", 0xf000, 0xc},
		{"CHAN2", 0xf00, 0x8}
	} },
	{"ATC_L2_CNTL2", 0xcd6, {
		{"BANK_SELECT", 0x3f, 0x0},
		{"ENABLE_L2_CACHE_LRU_UPDATE_BY_WRITE", 0x100, 0x8},
		{"L2_CACHE_VMID_MODE", 0x7000, 0xc},
		{"L2_CACHE_UPDATE_WILDCARD_REFERENCE_VALUE", 0x1f8000, 0xf},
		{"L2_CACHE_UPDATE_MODE", 0xc0, 0x6},
		{"L2_CACHE_SWAP_TAG_INDEX_LSBS", 0xe00, 0x9}
	} },
	{"MC_CONFIG_MCD", 0x828, {
		{"MCD_INDEX_MODE_ENABLE", 0x80000000, 0x1f},
		{"MCD1_WR_ENABLE", 0x2, 0x1},
		{"MCD2_WR_ENABLE", 0x4, 0x2},
		{"MCD3_WR_ENABLE", 0x8, 0x3},
		{"ARB1_WR_ENABLE", 0x2000, 0xd},
		{"ARB0_WR_ENABLE", 0x1000, 0xc},
		{"MC_RD_ENABLE_SUB", 0x800, 0xb},
		{"MC_RD_ENABLE", 0x700, 0x8},
		{"MCD0_WR_ENABLE", 0x1, 0x0},
		{"MCD5_WR_ENABLE", 0x20, 0x5},
		{"MCD6_WR_ENABLE", 0x40, 0x6},
		{"MCD4_WR_ENABLE", 0x10, 0x4},
		{"MCD7_WR_ENABLE", 0x80, 0x7}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_DEFAULT_ADDR", 0x546, {
		{"PHYSICAL_PAGE_ADDR", 0xfffffff, 0x0}
	} },
	{"VM_PRT_APERTURE2_LOW_ADDR", 0x52e, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_RDREQ_WTM_CNTL", 0x83d, {
		{"GROUP0_DECREMENT", 0x7, 0x0},
		{"GROUP6_DECREMENT", 0x1c0000, 0x12},
		{"GROUP1_DECREMENT", 0x38, 0x3},
		{"GROUP7_DECREMENT", 0xe00000, 0x15},
		{"GROUP4_DECREMENT", 0x7000, 0xc},
		{"GROUP5_DECREMENT", 0x38000, 0xf},
		{"GROUP3_DECREMENT", 0xe00, 0x9},
		{"GROUP2_DECREMENT", 0x1c0, 0x6}
	} },
	{"MCIF_WB_BUF_2_ADDR_Y", 0x5e8c, {
		{"MCIF_WB_BUF_2_ADDR_Y", 0xffffffff, 0x0}
	} },
	{"MC_HUB_MISC_SIP_CG", 0x830, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_1_STATUS2", 0x5e7d, {

	} },
	{"MC_ARB_RET_CREDITS2", 0x9c0, {
		{"NECKDOWN_CNTR_MONITOR_WR", 0x2000, 0xd},
		{"NECKDOWN_CNTR_EN_RD", 0x100, 0x8},
		{"NECKDOWN_CNTR_MONITOR_RD", 0x1000, 0xc},
		{"NECKDOWN_CNTR_EN_WR", 0x200, 0x9},
		{"DISABLE_ACP_RDY_WR", 0x8000, 0xf},
		{"HDP_RDRET_URG", 0x800, 0xb},
		{"RDRET_CREDIT_MED", 0xff0000, 0x10},
		{"DISABLE_DISP_RDY_RD", 0x4000, 0xe},
		{"ACP_WR", 0xff, 0x0},
		{"ACP_RDRET_URG", 0x400, 0xa}
	} },
	{"GMCON_MISC3", 0xd51, {
		{"RENG_DISABLE_MCD", 0xff00, 0x8},
		{"RENG_DISABLE_MCC", 0xff, 0x0},
		{"STCTRL_FORCE_PGFSM_CMD_DONE", 0xfff0000, 0x10},
		{"STCTRL_EXCLUDE_NONMEM_CLIENTS", 0x40000000, 0x1e},
		{"RENG_MEM_LS_ENABLE", 0x20000000, 0x1d},
		{"STCTRL_IGNORE_ALLOW_STUTTER", 0x10000000, 0x1c}
	} },
	{"MCIF_WB0_MCIF_WB_BUFMGR_SW_CONTROL", 0x5e78, {

	} },
	{"MC_VM_MD_L1_TLB0_STATUS", 0x99b, {
		{"BUSY", 0x1, 0x0}
	} },
	{"MC_ARB_WTM_GRPWT_RD", 0x9e1, {
		{"GRP_EXT", 0xff0000, 0x10},
		{"GRP3", 0xc0, 0x6},
		{"GRP2", 0x30, 0x4},
		{"GRP1", 0xc, 0x2},
		{"GRP0", 0x3, 0x0},
		{"GRP7", 0xc000, 0xe},
		{"GRP6", 0x3000, 0xc},
		{"GRP5", 0xc00, 0xa},
		{"GRP4", 0x300, 0x8}
	} },
	{"MCIF_WB_BUF_2_ADDR_C", 0x5e8e, {
		{"MCIF_WB_BUF_2_ADDR_C", 0xffffffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_2_STATUS2", 0x5eff, {

	} },
	{"MC_ARB_HARSH_TX_LO1_RD", 0xdc8, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_ARB_GECC2_MISC", 0x9c3, {
		{"STREAK_BREAK", 0xf, 0x0},
		{"COL10_HACK", 0x10, 0x4},
		{"WRRDWR_REPLAY_AGAIN", 0x800, 0xb},
		{"RMW_STALL_RELEASE", 0x100, 0x8},
		{"CWRD_REPLAY_AGAIN", 0x400, 0xa},
		{"CWRD_IN_REPLAY", 0x20, 0x5},
		{"RMW_LM_WR_STALL", 0x80, 0x7},
		{"ALLOW_RMW_ERR_AFTER_REPLAY", 0x1000, 0xc},
		{"DEBUG_RSV", 0xffffe000, 0xd},
		{"WR_EDC_MASK_REPLAY", 0x200, 0x9},
		{"NO_EOB_ALL_WR_IN_REPLAY", 0x40, 0x6}
	} },
	{"MC_HUB_MISC_OVERRIDE", 0x833, {
		{"IDLE", 0x3, 0x0}
	} },
	{"MC_XPB_SUB_CTRL", 0x922, {
		{"RESET_SID", 0x20000, 0x11},
		{"RESET_CGR", 0x80000, 0x13},
		{"WRREQ_BYPASS_XPB", 0x1, 0x0},
		{"STALL_WCB_HST_REQ", 0x80, 0x7},
		{"RESET_WCB", 0x4000, 0xe},
		{"STALL_CNS_RTR_REQ", 0x2, 0x1},
		{"STALL_RTR_RPB_WRREQ", 0x4, 0x2},
		{"RESET_RTR", 0x800, 0xb},
		{"STALL_MAP_WCB_REQ", 0x10, 0x4},
		{"RESET_HOP", 0x10000, 0x10},
		{"STALL_XPB_RPB_REQ_ATTR", 0x200, 0x9},
		{"STALL_MC_XSP_REQ_SEND", 0x40, 0x6},
		{"STALL_HST_HOP_REQ", 0x100, 0x8},
		{"RESET_HST", 0x8000, 0xf},
		{"RESET_RET", 0x1000, 0xc},
		{"STALL_WCB_SID_REQ", 0x20, 0x5},
		{"RESET_MAP", 0x2000, 0xd},
		{"STALL_RTR_MAP_REQ", 0x8, 0x3},
		{"RESET_SRB", 0x40000, 0x12},
		{"RESET_CNS", 0x400, 0xa}
	} },
	{"MC_RPB_CID_QUEUE_EX_DATA", 0x95b, {
		{"READ_ENTRIES", 0xffff0000, 0x10},
		{"WRITE_ENTRIES", 0xffff, 0x0}
	} },
	{"MCIF_WB0_MCIF_WB_ARBITRATION_CONTROL", 0x5e84, {

	} },
	{"ATC_L1WR_DEBUG2_TLB", 0xce3, {
		{"XNACK_RETRY_MODE", 0xc000, 0xe},
		{"INJECT_SOFT_PARITY_ERROR", 0x10000, 0x10},
		{"CAM_INDEX", 0xf80000, 0x13},
		{"XNACK_RETRY_PERIOD", 0xfff, 0x0},
		{"CLEAR_CAM_PARITY_ERROR", 0x40000, 0x12},
		{"INJECT_HARD_PARITY_ERROR", 0x20000, 0x11}
	} },
	{"VM_PRT_APERTURE1_LOW_ADDR", 0x52d, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_4_STATUS2", 0x5ec3, {

	} },
	{"MCIF_WB1_MCIF_WB_BUF_4_ADDR_Y", 0x5ed4, {

	} },
	{"MCIF_WB1_MCIF_WB_BUF_4_STATUS", 0x5ec2, {

	} },
	{"VM_CONTEXT4_PAGE_TABLE_BASE_ADDR", 0x553, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_HUB_PERFCOUNTER1_CFG", 0x7b5, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_XBAR_ARB_MAX_BURST", 0xc8e, {
		{"WR_PORT1", 0xf00000, 0x14},
		{"WR_PORT0", 0xf0000, 0x10},
		{"WR_PORT3", 0xf0000000, 0x1c},
		{"WR_PORT2", 0xf000000, 0x18},
		{"RD_PORT0", 0xf, 0x0},
		{"RD_PORT1", 0xf0, 0x4},
		{"RD_PORT2", 0xf00, 0x8},
		{"RD_PORT3", 0xf000, 0xc}
	} },
	{"MC_XPB_XDMA_PEER_SYS_BAR0", 0x91a, {
		{"VALID", 0x1, 0x0},
		{"SIDE_OK", 0x2, 0x1},
		{"ADDR", 0x7fffffc, 0x2}
	} },
	{"MC_RPB_PERFCOUNTER_HI", 0x7ac, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_HUB_WDP_HDP", 0x877, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MCIF_WB1_MCIF_WB_URGENCY_WATERMARK", 0x5ec5, {

	} },
	{"MC_VM_MARC_RELOC_LO_0", 0xf99a, {
		{"MARC_RELOC_LO_0", 0xfffff000, 0xc},
		{"MARC_READONLY_0", 0x2, 0x1},
		{"MARC_ENABLE_0", 0x1, 0x0}
	} },
	{"MC_ARB_GRUB_PRIORITY2_RD", 0xdda, {
		{"ISP", 0x30000000, 0x1c},
		{"VCE0", 0x30, 0x4},
		{"XDMAM", 0x300, 0x8},
		{"VCE1", 0xc0, 0x6},
		{"SAMMSP", 0x3000000, 0x18},
		{"SMU", 0xc, 0x2},
		{"HDP", 0x3000, 0xc},
		{"UVD_EXT1", 0x300000, 0x14},
		{"UVD_EXT0", 0xc0000, 0x12},
		{"VP8", 0xc000000, 0x1a},
		{"UMC", 0xc000, 0xe},
		{"SDMA0", 0xc00, 0xa},
		{"SDMA1", 0x3, 0x0},
		{"SEM", 0xc00000, 0x16},
		{"UVD", 0x30000, 0x10},
		{"RSV2", 0xc0000000, 0x1e}
	} },
	{"MC_WR_CB", 0x986, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_XPB_UNC_THRESH_HST", 0x8ff, {
		{"USE_UNFULL", 0x3f000, 0xc},
		{"CHANGE_PREF", 0x3f, 0x0},
		{"STRONG_PREF", 0xfc0, 0x6}
	} },
	{"MC_VM_MARC_RELOC_LO_1", 0xf9a0, {
		{"MARC_RELOC_LO_1", 0xfffff000, 0xc},
		{"MARC_ENABLE_1", 0x1, 0x0},
		{"MARC_READONLY_1", 0x2, 0x1}
	} },
	{"MC_CITF_PERFCOUNTER_HI", 0x7a8, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_HUB_MISC_STATUS", 0x832, {
		{"RPB_BUSY", 0x8000, 0xf},
		{"OUTSTANDING_MCD_ATOMIC", 0x4000, 0xe},
		{"OUTSTANDING_HUB_RDRET", 0x10, 0x4},
		{"OUTSTANDING_RPB_READ", 0x200, 0x9},
		{"OUTSTANDING_HUB_RDREQ", 0x8, 0x3},
		{"GFX_BUSY", 0x80000, 0x13},
		{"READ_DEADLOCK_WARNING", 0x20000, 0x11},
		{"OUTSTANDING_MCD_READ", 0x1000, 0xc},
		{"WRITE_DEADLOCK_WARNING", 0x10000, 0x10},
		{"OUTSTANDING_RPB_WRITE", 0x400, 0xa},
		{"OUTSTANDING_MCD_WRITE", 0x2000, 0xd},
		{"OUTSTANDING_RPB_ATOMIC", 0x800, 0xb},
		{"ATOMIC_DEADLOCK_WARNING", 0x40000, 0x12},
		{"OUTSTANDING_HUB_ATOMIC_REQ", 0x80, 0x7},
		{"OUTSTANDING_HUB_ATOMIC_RET", 0x100, 0x8},
		{"OUTSTANDING_HUB_WRREQ", 0x20, 0x5},
		{"OUTSTANDING_WRITE", 0x2, 0x1},
		{"OUTSTANDING_READ", 0x1, 0x0},
		{"OUTSTANDING_HUB_WRRET", 0x40, 0x6},
		{"OUTSTANDING_ATOMIC", 0x4, 0x2}
	} },
	{"VM_L2_CNTL3", 0x502, {
		{"L2_CACHE_BIGK_ASSOCIATIVITY", 0x100000, 0x14},
		{"PDE_CACHE_FORCE_MISS", 0x40000000, 0x1e},
		{"L2_CACHE_BIGK_FORCE_MISS", 0x20000000, 0x1d},
		{"BANK_SELECT", 0x3f, 0x0},
		{"L2_CACHE_BIGK_FRAGMENT_SIZE", 0xf8000, 0xf},
		{"L2_CACHE_4K_EFFECTIVE_SIZE", 0xe00000, 0x15},
		{"L2_CACHE_BIGK_EFFECTIVE_SIZE", 0xf000000, 0x18},
		{"L2_CACHE_4K_FORCE_MISS", 0x10000000, 0x1c},
		{"L2_CACHE_UPDATE_WILDCARD_REFERENCE_VALUE", 0x1f00, 0x8},
		{"L2_CACHE_UPDATE_MODE", 0xc0, 0x6}
	} },
	{"MC_XPB_CLK_GAT", 0x91e, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13},
		{"ONDLY", 0x3f, 0x0},
		{"RDYDLY", 0x3f000, 0xc}
	} },
	{"MCIF_WB0_MCIF_WB_BUF_2_ADDR_C_OFFSET", 0x5e8f, {

	} },
	{"MC_FUS_DRAM_APER_BASE", 0xa1a, {
		{"BASE", 0xfffff, 0x0}
	} },
	{"VM_L2_CNTL4", 0x578, {
		{"VMC_TAP_CONTEXT1_PTE_REQUEST_SHARED", 0x10000, 0x10},
		{"VMC_TAP_CONTEXT0_PDE_REQUEST_PHYSICAL", 0x40, 0x6},
		{"VMC_TAP_CONTEXT1_PTE_REQUEST_PHYSICAL", 0x8000, 0xf},
		{"VMC_TAP_CONTEXT0_PDE_REQUEST_SHARED", 0x80, 0x7},
		{"VMC_TAP_CONTEXT1_PDE_REQUEST_SNOOP", 0x4000, 0xe},
		{"VMC_TAP_CONTEXT0_PDE_REQUEST_SNOOP", 0x100, 0x8},
		{"L2_CACHE_4K_PARTITION_COUNT", 0x3f, 0x0},
		{"VMC_TAP_CONTEXT1_PDE_REQUEST_SHARED", 0x2000, 0xd},
		{"VMC_TAP_CONTEXT0_PTE_REQUEST_PHYSICAL", 0x200, 0x9},
		{"VMC_TAP_CONTEXT1_PDE_REQUEST_PHYSICAL", 0x1000, 0xc},
		{"VMC_TAP_CONTEXT0_PTE_REQUEST_SHARED", 0x400, 0xa},
		{"VMC_TAP_CONTEXT1_PTE_REQUEST_SNOOP", 0x20000, 0x11},
		{"VMC_TAP_CONTEXT0_PTE_REQUEST_SNOOP", 0x800, 0xb}
	} },
	{"GMCON_PERF_MON_CNTL1", 0xd4b, {
		{"START_TRIG_ID", 0xfc0, 0x6},
		{"MON1_ID", 0xfe000000, 0x19},
		{"MON0_ID", 0x1fc0000, 0x12},
		{"THRESH_CNTR_ID", 0x3f, 0x0},
		{"STOP_TRIG_ID", 0x3f000, 0xc}
	} },
	{"GMCON_PERF_MON_CNTL0", 0xd4a, {
		{"START_TRIG_ID_EXT", 0x40000000, 0x1e},
		{"START_THRESH", 0xfff, 0x0},
		{"START_MODE", 0x3000000, 0x18},
		{"STOP_TRIG_ID_EXT", 0x80000000, 0x1f},
		{"THRESH_CNTR_ID_EXT", 0x20000000, 0x1d},
		{"STOP_THRESH", 0xfff000, 0xc},
		{"ALLOW_WRAP", 0x10000000, 0x1c},
		{"STOP_MODE", 0xc000000, 0x1a}
	} },
	{"MC_MCDVM_PERFCOUNTER0_CFG", 0x7c4, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_VMID10_PASID_MAPPING", 0xcf1, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_XPB_WCB_CFG", 0x902, {
		{"SID_MAX", 0xc0000, 0x12},
		{"HST_MAX", 0x30000, 0x10},
		{"TIMEOUT", 0xffff, 0x0}
	} },
	{"MCIF_WB_ARBITRATION_CONTROL", 0x5e84, {
		{"MCIF_WB_CLIENT_ARBITRATION_SLICE", 0x3, 0x0},
		{"MCIF_WB_TIME_PER_PIXEL", 0xfc000000, 0x1a}
	} },
	{"MC_HUB_RDREQ_BYPASS_GBL0", 0x84c, {
		{"CID1", 0x1fe, 0x1},
		{"CID2", 0x1fe00, 0x9},
		{"ENABLE", 0x1, 0x0}
	} },
	{"MC_ARB_WTM_GRPWT_WR", 0x9e2, {
		{"GRP_EXT", 0xff0000, 0x10},
		{"GRP3", 0xc0, 0x6},
		{"GRP2", 0x30, 0x4},
		{"GRP1", 0xc, 0x2},
		{"GRP0", 0x3, 0x0},
		{"GRP7", 0xc000, 0xe},
		{"GRP6", 0x3000, 0xc},
		{"GRP5", 0xc00, 0xa},
		{"GRP4", 0x300, 0x8}
	} },
	{"MC_XBAR_FIFO_MON_MAX_THSH", 0xc96, {
		{"MON2", 0xff0000, 0x10},
		{"MON3", 0xff000000, 0x18},
		{"MON0", 0xff, 0x0},
		{"MON1", 0xff00, 0x8}
	} },
	{"MCIF_WB_BUF_4_ADDR_C", 0x5e96, {
		{"MCIF_WB_BUF_4_ADDR_C", 0xffffffff, 0x0}
	} },
	{"MC_CITF_REMREQ", 0x97a, {
		{"WRITE_CREDITS", 0x3f80, 0x7},
		{"CREDITS_ENABLE", 0x4000, 0xe},
		{"READ_CREDITS", 0x7f, 0x0}
	} },
	{"ATC_VMID6_PASID_MAPPING", 0xced, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"ATC_VM_APERTURE0_LOW_ADDR", 0xcc0, {
		{"VIRTUAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"ATC_MISC_CG", 0xcd4, {
		{"OFFDLY", 0xfc0, 0x6},
		{"ENABLE", 0x40000, 0x12},
		{"MEM_LS_ENABLE", 0x80000, 0x13}
	} },
	{"VM_CONTEXT3_PAGE_TABLE_BASE_ADDR", 0x552, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_STATUS", 0x536, {
		{"MEMORY_CLIENT_ID", 0x1ff000, 0xc},
		{"PROTECTIONS", 0xff, 0x0},
		{"VMID", 0x1e000000, 0x19},
		{"MEMORY_CLIENT_RW", 0x1000000, 0x18},
		{"ATOMIC", 0x20000000, 0x1d}
	} },
	{"MC_ARB_HARSH_SAT1_RD", 0xdd4, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_VM_MARC_RELOC_HI_2", 0xf9a7, {
		{"MARC_RELOC_HI_2", 0xfffff, 0x0}
	} },
	{"MC_RPB_EFF_CNTL", 0x950, {
		{"RD_LAZY_TIMER", 0xff00, 0x8},
		{"WR_LAZY_TIMER", 0xff, 0x0}
	} },
	{"MC_HUB_WDP_VP8", 0x889, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_HUB_RDREQ_VMC", 0x864, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP1", 0x8e6, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MC_ARB_DRAM_TIMING", 0x9dd, {
		{"ACTRD", 0xff, 0x0},
		{"RASMACTRD", 0xff0000, 0x10},
		{"ACTWR", 0xff00, 0x8},
		{"RASMACTWR", 0xff000000, 0x18}
	} },
	{"MC_XPB_XDMA_RTR_DEST_MAP3", 0x8e8, {
		{"DEST_OFFSET", 0xffffe, 0x1},
		{"NMR", 0x1, 0x0},
		{"DEST_SEL_RPB", 0x1000000, 0x18},
		{"DEST_SEL", 0xf00000, 0x14},
		{"SIDE_OK", 0x2000000, 0x19},
		{"APRTR_SIZE", 0x7c000000, 0x1a}
	} },
	{"MCIF_WB0_MCIF_WB_BUFMGR_STATUS", 0x5e7a, {

	} },
	{"ATC_L1RD_DEBUG_TLB", 0xcde, {
		{"DISABLE_CACHING_FAULT_RETURNS", 0x80000000, 0x1f},
		{"EFFECTIVE_WORK_QUEUE_SIZE", 0x700, 0x8},
		{"DISABLE_INVALIDATE_BY_ADDRESS_RANGE", 0x2, 0x1},
		{"CREDITS_L1_L2", 0x3f000, 0xc},
		{"DISABLE_FRAGMENTS", 0x1, 0x0},
		{"INVALIDATE_ALL", 0x40000000, 0x1e},
		{"EFFECTIVE_CAM_SIZE", 0xf0, 0x4},
		{"DEBUG_ECO", 0x30000000, 0x1c},
		{"CREDITS_L1_RPB", 0xff00000, 0x14}
	} },
	{"MC_HUB_WDP_SMU", 0x873, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"ATC_L1RD_DEBUG2_TLB", 0xce2, {
		{"XNACK_RETRY_MODE", 0xc000, 0xe},
		{"INJECT_SOFT_PARITY_ERROR", 0x10000, 0x10},
		{"CAM_INDEX", 0xf80000, 0x13},
		{"XNACK_RETRY_PERIOD", 0xfff, 0x0},
		{"CLEAR_CAM_PARITY_ERROR", 0x40000, 0x12},
		{"INJECT_HARD_PARITY_ERROR", 0x20000, 0x11}
	} },
	{"MC_XPB_STICKY", 0x925, {
		{"BITS", 0xffffffff, 0x0}
	} },
	{"MC_VM_MB_L1_TLB2_DEBUG", 0x893, {
		{"L1_TLB_FORCE_MISS", 0x80000, 0x13},
		{"EFFECTIVE_L1_QUEUE_SIZE", 0x7000, 0xc},
		{"INVALIDATE_L1_TLB", 0x1, 0x0},
		{"L1_TLB_DEBUG", 0x78000, 0xf},
		{"SEND_FREE_AT_RTN", 0x100, 0x8},
		{"EFFECTIVE_L1_TLB_SIZE", 0xe00, 0x9}
	} },
	{"MCIF_WB1_MCIF_WB_BUF_3_ADDR_C", 0x5ed2, {

	} },
	{"ATC_L2_CACHE_DATA1", 0xcda, {
		{"VIRTUAL_PAGE_ADDRESS_LOW", 0xffffffff, 0x0}
	} },
	{"MC_HUB_WDP_XDP", 0x86f, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"GMCON_PERF_MON_RSLT1", 0xd4d, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"GMCON_PERF_MON_RSLT0", 0xd4c, {
		{"COUNT", 0xffffffff, 0x0}
	} },
	{"MC_XBAR_RDRET_PRI_CREDIT1", 0xc89, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"CHUB_ATC_PERFCOUNTER_RSLT_CNTL", 0x7da, {
		{"ENABLE_ANY", 0x1000000, 0x18},
		{"STOP_ALL_ON_SATURATE", 0x4000000, 0x1a},
		{"STOP_TRIGGER", 0xff0000, 0x10},
		{"START_TRIGGER", 0xff00, 0x8},
		{"PERF_COUNTER_SELECT", 0xf, 0x0},
		{"CLEAR_ALL", 0x2000000, 0x19}
	} },
	{"MC_XBAR_RDRET_PRI_CREDIT2", 0xc8a, {
		{"OUT4", 0xff, 0x0},
		{"OUT5", 0xff00, 0x8}
	} },
	{"MC_RPB_WR_COMBINE_CNTL", 0x954, {
		{"WC_ENABLE", 0x1, 0x0},
		{"WC_ALIGN", 0x80, 0x7},
		{"WC_MAX_PACKET_SIZE", 0x6, 0x1},
		{"WC_FLUSH_TIMER", 0x78, 0x3}
	} },
	{"MC_MCDVM_PERFCOUNTER_LO", 0x7a4, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_CITF_PERF_MON_CNTL2", 0x98e, {
		{"CID", 0xff, 0x0}
	} },
	{"MC_GRUB_TCB_DATA_LO", 0xa39, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CHUB_ATC_PERFCOUNTER_LO", 0x7d6, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MC_ARB_HARSH_BWCNT1_RD", 0xdd0, {
		{"GROUP5", 0xff00, 0x8},
		{"GROUP4", 0xff, 0x0},
		{"GROUP7", 0xff000000, 0x18},
		{"GROUP6", 0xff0000, 0x10}
	} },
	{"MC_FUS_DRAM_CTL_HIGH_23", 0xa18, {
		{"DCTHIGHADDROFF2", 0xfff, 0x0},
		{"DCTHIGHADDROFF3", 0xfff000, 0xc}
	} },
	{"MC_MCBVM_PERFCOUNTER0_CFG", 0x7c0, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_HUB_WDP_CREDITS2", 0x840, {
		{"STOR1_PRI", 0xff00, 0x8},
		{"VM2", 0xff0000, 0x10},
		{"STOR0_PRI", 0xff, 0x0}
	} },
	{"MC_ARB_BANKMAP", 0x9d7, {
		{"BANK3", 0xf000, 0xc},
		{"BANK2", 0xf00, 0x8},
		{"BANK1", 0xf0, 0x4},
		{"BANK0", 0xf, 0x0},
		{"RANK", 0xf0000, 0x10}
	} },
	{"ATC_L2_CACHE_DATA0", 0xcd9, {
		{"DATA_REGISTER_VALID", 0x1, 0x0},
		{"CACHE_ENTRY_VALID", 0x2, 0x1},
		{"VIRTUAL_PAGE_ADDRESS_HIGH", 0x1e000000, 0x19},
		{"CACHED_ATTRIBUTES", 0x1fffffc, 0x2}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_1_ADDR_C", 0x5f0a, {

	} },
	{"MC_ARB_GRUB_PRIORITY1_RD", 0xdd8, {
		{"CBFMASK0", 0x30, 0x4},
		{"DMIF_TW", 0x3000000, 0x18},
		{"DBSTEN0", 0xc00, 0xa},
		{"VMC", 0xc0000000, 0x1e},
		{"RLC", 0x30000000, 0x1c},
		{"DMIF_EXT1", 0xc00000, 0x16},
		{"DMIF_EXT0", 0x300000, 0x14},
		{"CBCMASK0", 0xc, 0x2},
		{"MCIF", 0xc000000, 0x1a},
		{"CB0", 0x3, 0x0},
		{"ACPG", 0xc000, 0xe},
		{"TC0", 0x3000, 0xc},
		{"DB0", 0xc0, 0x6},
		{"DBHTILE0", 0x300, 0x8},
		{"ACPO", 0x30000, 0x10},
		{"DMIF", 0xc0000, 0x12}
	} },
	{"VM_CONTEXT0_PROTECTION_FAULT_MCCLIENT", 0x538, {
		{"NAME", 0xffffffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_1_ADDR_Y", 0x5f08, {

	} },
	{"MC_XPB_WCB_STS", 0x901, {
		{"PBUF_VLD", 0xffff, 0x0},
		{"WCB_HST_DATA_BUF_CNT", 0x7f0000, 0x10},
		{"WCB_SID_DATA_BUF_CNT", 0x3f800000, 0x17}
	} },
	{"MC_CITF_INT_CREDITS_WR", 0x97d, {
		{"CNTR_WR_HUB", 0x3f, 0x0},
		{"CNTR_WR_LCL", 0xfc0, 0x6}
	} },
	{"MC_VM_SYSTEM_APERTURE_DEFAULT_ADDR", 0x80f, {
		{"PHYSICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_ARB_GRUB", 0x9c8, {
		{"GRUB_WATERMARK_PRI", 0xff00, 0x8},
		{"REG_RD_SEL", 0x4000000, 0x1a},
		{"GRUB_WATERMARK_MED", 0xff0000, 0x10},
		{"REG_WR_EN", 0x3000000, 0x18},
		{"GRUB_WATERMARK", 0xff, 0x0}
	} },
	{"ATC_L2_STATUS", 0xd0a, {
		{"BUSY", 0x1, 0x0},
		{"PARITY_ERROR_INFO", 0x3ffffffe, 0x1}
	} },
	{"CHUB_ATC_PERFCOUNTER_HI", 0x7d7, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"VM_PRT_CNTL", 0x534, {
		{"CB_DISABLE_READ_FAULT_ON_UNMAPPED_ACCESS", 0x1, 0x0},
		{"L1_TLB_STORE_INVALID_ENTRIES", 0x8, 0x3},
		{"TC_DISABLE_WRITE_FAULT_ON_UNMAPPED_ACCESS", 0x20, 0x5},
		{"CB_DISABLE_WRITE_FAULT_ON_UNMAPPED_ACCESS", 0x10, 0x4},
		{"L2_CACHE_STORE_INVALID_ENTRIES", 0x4, 0x2},
		{"TC_DISABLE_READ_FAULT_ON_UNMAPPED_ACCESS", 0x2, 0x1},
		{"MASK_PDE0_FAULT", 0x40, 0x6}
	} },
	{"MC_ARB_HARSH_EN_RD", 0xdc0, {
		{"FIX_PRI", 0xff0000, 0x10},
		{"TX_PRI", 0xff, 0x0},
		{"BW_PRI", 0xff00, 0x8},
		{"ST_PRI", 0xff000000, 0x18}
	} },
	{"GMCON_MASK", 0xd52, {
		{"STCTRL_BUSY_MASK_ACP_WR", 0x2, 0x1},
		{"STCTRL_BUSY_MASK_VCE_RD", 0x4, 0x2},
		{"STCTRL_BUSY_MASK_VCE_WR", 0x8, 0x3},
		{"STCTRL_BUSY_MASK_ACP_RD", 0x1, 0x0},
		{"STCTRL_SR_HANDSHAKE_MASK", 0xff0, 0x4}
	} },
	{"MC_RD_GRP_LCL", 0x98a, {
		{"CBFMASK0", 0xf00000, 0x14},
		{"CB0", 0xf000, 0xc},
		{"DBHTILE0", 0xf0000000, 0x1c},
		{"CBCMASK0", 0xf0000, 0x10},
		{"DB0", 0xf000000, 0x18}
	} },
	{"MC_HUB_PERFCOUNTER0_CFG", 0x7b4, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MCIF_WB_BUF_4_STATUS2", 0x5e83, {
		{"MCIF_WB_BUF_4_NEW_CONTENT", 0x2000, 0xd},
		{"MCIF_WB_BUF_4_CUR_LINE_R", 0x1fff, 0x0},
		{"MCIF_WB_BUF_4_COLOR_DEPTH", 0x4000, 0xe}
	} },
	{"MC_FUS_DRAM0_CTL_LIMIT", 0xa15, {
		{"DCTLIMITADDR", 0x1fffff, 0x0},
		{"DRAMHOLEVALID", 0x200000, 0x15}
	} },
	{"MC_XBAR_REMOTE", 0xc81, {
		{"RDREQ_EN_GOQ", 0x2, 0x1},
		{"WRREQ_EN_GOQ", 0x1, 0x0}
	} },
	{"MC_RPB_ARB_CNTL", 0x951, {
		{"RD_SWITCH_NUM", 0xff00, 0x8},
		{"ATC_SWITCH_NUM", 0xff0000, 0x10},
		{"WR_SWITCH_NUM", 0xff, 0x0}
	} },
	{"MC_VM_DC_WRITE_HIT_REGION_0_LOW_ADDR", 0x811, {
		{"PHYSICAL_ADDRESS", 0xfffffff, 0x0}
	} },
	{"MC_GRUB_PERFCOUNTER1_CFG", 0x7e7, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"ATC_VMID7_PASID_MAPPING", 0xcee, {
		{"PASID", 0xffff, 0x0},
		{"VALID", 0x80000000, 0x1f},
		{"NO_INVALIDATION", 0x40000000, 0x1e}
	} },
	{"MC_XBAR_ADDR_DEC", 0xc80, {
		{"RB_SPLIT_COLHI", 0x8, 0x3},
		{"NO_DIV_BY_3", 0x1, 0x0},
		{"RB_SPLIT", 0x4, 0x2},
		{"GECC", 0x2, 0x1}
	} },
	{"MC_XPB_LB_ADDR", 0x8fe, {
		{"CMP0", 0x3ff, 0x0},
		{"CMP1", 0x3f00000, 0x14},
		{"MASK1", 0xfc000000, 0x1a},
		{"MASK0", 0xffc00, 0xa}
	} },
	{"MC_ARB_RFSH_CNTL", 0x9eb, {
		{"ENABLE", 0x1, 0x0},
		{"PUSH_SINGLE_BANK_REFRESH", 0x2000, 0xd},
		{"SINGLE_BANK", 0x1000, 0xc},
		{"PENDING_RATE_SEL", 0x1c000, 0xe},
		{"URG0", 0x3e, 0x1},
		{"URG1", 0x7c0, 0x6},
		{"ACCUM", 0x800, 0xb}
	} },
	{"MC_SHARED_VIRT_RESET_REQ", 0x81e, {
		{"PF", 0x80000000, 0x1f},
		{"VF", 0xffff, 0x0}
	} },
	{"ATC_L2_STATUS2", 0xd0b, {
		{"CACHE_ADDRESS_MODE", 0x7, 0x0},
		{"PARITY_ERROR_INFO", 0x7f8, 0x3}
	} },
	{"MC_ARB_SQM_CNTL", 0x9db, {
		{"RATIO", 0xff0000, 0x10},
		{"RATIO_DEBUG", 0xff000000, 0x18},
		{"SQM_RDY16", 0x200, 0x9},
		{"MIN_PENAL", 0xff, 0x0},
		{"SQM_RESERVE", 0xfc00, 0xa},
		{"DYN_SQM_ENABLE", 0x100, 0x8}
	} },
	{"MC_VM_SYSTEM_APERTURE_LOW_ADDR", 0x80d, {
		{"LOGICAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"MC_XBAR_ARB", 0xc8d, {
		{"BREAK_BURST_CID_CHANGE", 0x4, 0x2},
		{"HDP_RDRET_URG", 0x10, 0x4},
		{"HUBRD_HIGHEST", 0x1, 0x0},
		{"ACP_RDRET_URG", 0x8, 0x3},
		{"DISABLE_HUB_STALL_HIGHEST", 0x2, 0x1}
	} },
	{"MC_HUB_RDREQ_CNTL", 0x83b, {
		{"MCDV_STALL_MODE", 0x1000, 0xc},
		{"MCDY_STALL_MODE", 0x80, 0x7},
		{"OVERRIDE_STALL_ENABLE", 0x10, 0x4},
		{"MCDT_STALL_MODE", 0x400, 0xa},
		{"MCDW_STALL_MODE", 0x20, 0x5},
		{"PWRXPRESS_MODE", 0x800000, 0x17},
		{"ACPG_HP_TO_MCD_OVERRIDE", 0x1000000, 0x18},
		{"DISABLE_SELF_INIT_GBL0", 0x200000, 0x15},
		{"MCDS_STALL_MODE", 0x200, 0x9},
		{"DISABLE_SELF_INIT_GBL1", 0x400000, 0x16},
		{"GBL0_PRI_ENABLE", 0x2000000, 0x19},
		{"JUMPAHEAD_GBL1", 0x8, 0x3},
		{"JUMPAHEAD_GBL0", 0x4, 0x2},
		{"MCDX_STALL_MODE", 0x40, 0x6},
		{"BREAK_HDP_DEADLOCK", 0x2000, 0xd},
		{"MCDU_STALL_MODE", 0x800, 0xb},
		{"DMIF_URG_THRESHOLD", 0x78000000, 0x1b},
		{"UVD_TRANSCODE_ENABLE", 0x4000000, 0x1a},
		{"REMOTE_BLACKOUT", 0x1, 0x0},
		{"MCDZ_STALL_MODE", 0x100, 0x8},
		{"DEBUG_REG", 0x1fc000, 0xe}
	} },
	{"MC_HUB_RDREQ_VCE1", 0xdfc, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MC_HUB_RDREQ_VCE0", 0x85e, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"VM_BYPASS", 0x10000, 0x10},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x20000, 0x11}
	} },
	{"MC_ARB_LAZY0_WR", 0x9e6, {
		{"GROUP1", 0xff00, 0x8},
		{"GROUP0", 0xff, 0x0},
		{"GROUP3", 0xff000000, 0x18},
		{"GROUP2", 0xff0000, 0x10}
	} },
	{"MC_HUB_RDREQ_VP8", 0x884, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"STALL_MODE", 0x30, 0x4},
		{"MAXBURST", 0x780, 0x7},
		{"BYPASS_AVAIL_OVERRIDE", 0x10000, 0x10}
	} },
	{"MC_FUS_ARB_GARLIC_WR_PRI", 0xa21, {
		{"DB_WR_PRI", 0xc, 0x2},
		{"RLC_WR_PRI", 0x30000, 0x10},
		{"HDP_WR_PRI", 0x300, 0x8},
		{"CB_WR_PRI", 0x3, 0x0},
		{"SDMA_WR_PRI", 0x300000, 0x14},
		{"VCE_WR_PRI", 0x30000000, 0x1c},
		{"MCIF_WR_PRI", 0xc000000, 0x1a},
		{"VCEU_WR_PRI", 0xc0000000, 0x1e},
		{"XDP_WR_PRI", 0xc00, 0xa},
		{"SH_WR_PRI", 0x3000000, 0x18},
		{"UVD_WR_PRI", 0xc000, 0xe},
		{"TC_WR_PRI", 0x30, 0x4},
		{"UMC_WR_PRI", 0x3000, 0xc},
		{"CP_WR_PRI", 0xc0, 0x6},
		{"IH_WR_PRI", 0xc0000, 0x12},
		{"SEM_WR_PRI", 0xc00000, 0x16}
	} },
	{"MC_ARB_LM_RD", 0x9f0, {
		{"STREAK_BREAK", 0x10000, 0x10},
		{"SKID1_RST_TWOLIST", 0x100000, 0x14},
		{"BANKGROUP_CONFIG", 0xe00000, 0x15},
		{"ENABLE_TWO_LIST", 0x40000, 0x12},
		{"POPIDLE_RST_TWOLIST", 0x80000, 0x13},
		{"STREAK_UBER", 0x20000, 0x11},
		{"STREAK_LIMIT_UBER", 0xff00, 0x8},
		{"STREAK_LIMIT", 0xff, 0x0}
	} },
	{"MC_RPB_PERFCOUNTER3_CFG", 0x7bb, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MC_ARB_GRUB_REALTIME_WR", 0x9fb, {
		{"HDP", 0x200000, 0x15},
		{"SMU", 0x4000, 0xe},
		{"ISP", 0x40000000, 0x1e},
		{"UVD_EXT0", 0x1000000, 0x18},
		{"CB0", 0x1, 0x0},
		{"UMC", 0x400000, 0x16},
		{"DB0", 0x10, 0x4},
		{"XDMAM", 0x80000, 0x13},
		{"UVD_EXT1", 0x2000000, 0x19},
		{"MCIF", 0x800, 0xb},
		{"CBCMASK0", 0x2, 0x1},
		{"CBIMMED0", 0x8, 0x3},
		{"SH", 0x100, 0x8},
		{"XDP", 0x4000000, 0x1a},
		{"VIN0", 0x80000000, 0x1f},
		{"SEM", 0x8000000, 0x1b},
		{"UVD", 0x800000, 0x17},
		{"DBSTEN0", 0x40, 0x6},
		{"SAMMSP", 0x20000, 0x11},
		{"VP8", 0x20000000, 0x1d},
		{"TC0", 0x80, 0x7},
		{"IH", 0x10000000, 0x1c},
		{"DBHTILE0", 0x20, 0x5},
		{"CBFMASK0", 0x4, 0x2},
		{"VCE0", 0x8000, 0xf},
		{"VCE1", 0x10000, 0x10},
		{"RLC", 0x1000, 0xc},
		{"ACPG", 0x200, 0x9},
		{"SDMA0", 0x100000, 0x14},
		{"SDMA1", 0x2000, 0xd},
		{"ACPO", 0x400, 0xa},
		{"XDMA", 0x40000, 0x12}
	} },
	{"MCIF_WB_BUF_1_ADDR_C_OFFSET", 0x5e8b, {
		{"MCIF_WB_BUF_1_ADDR_C_OFFSET", 0x3ffff, 0x0}
	} },
	{"MC_XBAR_WRRET_CREDIT1", 0xc85, {
		{"OUT0", 0xff, 0x0},
		{"OUT1", 0xff00, 0x8},
		{"OUT2", 0xff0000, 0x10},
		{"OUT3", 0xff000000, 0x18}
	} },
	{"MC_XBAR_WRRET_CREDIT2", 0xc86, {
		{"OUT4", 0xff, 0x0},
		{"OUT5", 0xff00, 0x8}
	} },
	{"MC_RD_TC0", 0x983, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_RD_TC1", 0x984, {
		{"STALL_OVERRIDE", 0x40, 0x6},
		{"STALL_OVERRIDE_WTM", 0x8000, 0xf},
		{"LAZY_TIMER", 0x7800, 0xb},
		{"ENABLE", 0x1, 0x0},
		{"BLACKOUT_EXEMPT", 0x8, 0x3},
		{"PRESCALE", 0x6, 0x1},
		{"MAX_BURST", 0x780, 0x7},
		{"STALL_MODE", 0x30, 0x4}
	} },
	{"MC_XPB_P2P_BAR_DELTA_BELOW", 0x90f, {
		{"EN", 0xff, 0x0},
		{"DELTA", 0xfffff00, 0x8}
	} },
	{"ATC_VM_APERTURE0_HIGH_ADDR", 0xcc2, {
		{"VIRTUAL_PAGE_NUMBER", 0xfffffff, 0x0}
	} },
	{"ATC_PERFCOUNTER_HI", 0x7af, {
		{"COUNTER_HI", 0xffff, 0x0},
		{"COMPARE_VALUE", 0xffff0000, 0x10}
	} },
	{"MC_ARB_PERFCOUNTER2_CFG", 0x7be, {
		{"PERF_MODE", 0xf000000, 0x18},
		{"CLEAR", 0x20000000, 0x1d},
		{"ENABLE", 0x10000000, 0x1c},
		{"PERF_SEL", 0xff, 0x0},
		{"PERF_SEL_END", 0xff00, 0x8}
	} },
	{"MCIF_WB2_MCIF_WB_BUF_4_STATUS2", 0x5f03, {

	} },
	{"MCIF_WB_BUF_PITCH", 0x5e7b, {
		{"MCIF_WB_BUF_CHROMA_PITCH", 0xff000000, 0x18},
		{"MCIF_WB_BUF_LUMA_PITCH", 0xff00, 0x8}
	} },
	{"MC_HUB_WDP_CNTL", 0x835, {
		{"SIP_WAIT_EOP", 0x100000, 0x14},
		{"DISABLE_SELF_INIT_INTERNAL", 0x8000, 0xf},
		{"OVERRIDE_STALL_ENABLE", 0x10, 0x4},
		{"FAIR_CH_SW", 0x10000, 0x10},
		{"MCD_WAIT_EOP", 0x80000, 0x13},
		{"JUMPAHEAD_INTERNAL", 0x8, 0x3},
		{"DISABLE_SELF_INIT_GBL0", 0x2000, 0xd},
		{"DISABLE_SELF_INIT_GBL1", 0x4000, 0xe},
		{"JUMPAHEAD_GBL1", 0x4, 0x2},
		{"JUMPAHEAD_GBL0", 0x2, 0x1},
		{"UVD_VCE_WRITE_PRI_EN", 0x200000, 0x15},
		{"IH_PHYSADDR_ENABLE", 0x800000, 0x17},
		{"LCLWRREQ_BYPASS", 0x20000, 0x11},
		{"DISP_WAIT_EOP", 0x40000, 0x12},
		{"WRITE_PRI_EN", 0x400000, 0x16},
		{"DEBUG_REG", 0x1fe0, 0x5}
	} },
	{"MC_CG_DATAPORT", 0xa32, {
		{"DATA_FIELD", 0xffffffff, 0x0}
	} },
	{"MC_GRUB_PERFCOUNTER_LO", 0x7e4, {
		{"COUNTER_LO", 0xffffffff, 0x0}
	} },
	{"MCIF_WB2_MCIF_WB_HVVMID_CONTROL", 0x5f19, {

	} },
	{"MC_VM_NB_TOP_OF_DRAM_SLOT1", 0xf994, {
		{"TOP_OF_DRAM", 0xff800000, 0x17}
	} },
	{"MC_HUB_SHARED_DAGB_DLY", 0x846, {
		{"DLY", 0x3f, 0x0},
		{"CLI", 0x3f0000, 0x10},
		{"POS", 0x1f000000, 0x18}
	} },
	{"MC_RPB_DBG1", 0x94f, {
		{"RPB_BIF_OUTSTANDING_RD_32B", 0xfff00, 0x8},
		{"DEBUG_BITS", 0xfff00000, 0x14},
		{"RPB_BIF_OUTSTANDING_RD", 0xff, 0x0}
	} },
	{"MC_ARB_MAX_LAT_RSLT1", 0x9f8, {
		{"MAX_LATENCY", 0xffffffff, 0x0}
	} },
	{"MC_ARB_MAX_LAT_RSLT0", 0x9f7, {
		{"MAX_LATENCY", 0xffffffff, 0x0}
	} }
};

}; // namespace amdregdb
