/* AUTOGENERATED FILE, DO NOT EDIT MANUALLY */
/*

 *
 * Copyright (C) 2016 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#pragma once

namespace amdregdb {

void load_smu_smu_7_0_1();

static const RegSpec smu_smu_7_0_1_regs[] = {
	{"DPM_TABLE_282", 0x3f464, {
		{"MemoryLevel_4_EdcReadEnable", 0xff000000, 0x18},
		{"MemoryLevel_4_StutterEnable", 0xff, 0x0},
		{"MemoryLevel_4_RttEnable", 0xff00, 0x8},
		{"MemoryLevel_4_EdcWriteEnable", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_283", 0x3f468, {
		{"MemoryLevel_4_StrobeRatio", 0xff0000, 0x10},
		{"MemoryLevel_4_StrobeEnable", 0xff000000, 0x18},
		{"MemoryLevel_4_EnabledForActivity", 0xff, 0x0},
		{"MemoryLevel_4_EnabledForThrottle", 0xff00, 0x8}
	} },
	{"DPM_TABLE_280", 0x3f45c, {
		{"MemoryLevel_4_MinMvdd", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_281", 0x3f460, {
		{"MemoryLevel_4_MclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_286", 0x3f474, {
		{"MemoryLevel_4_MpllFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_287", 0x3f478, {
		{"MemoryLevel_4_MpllFuncCntl_1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_284", 0x3f46c, {
		{"MemoryLevel_4_UpHyst", 0xff000000, 0x18},
		{"MemoryLevel_4_DownHyst", 0xff0000, 0x10},
		{"MemoryLevel_4_VoltageDownHyst", 0xff00, 0x8},
		{"MemoryLevel_4_padding", 0xff, 0x0}
	} },
	{"DPM_TABLE_285", 0x3f470, {
		{"MemoryLevel_4_ActivityLevel", 0xffff0000, 0x10},
		{"MemoryLevel_4_padding1_0", 0xff00, 0x8},
		{"MemoryLevel_4_padding1_1", 0xff, 0x0}
	} },
	{"CG_SPLL_FUNC_CNTL", 0xc0500140, {
		{"SPLL_DIVA_ACK", 0x8000000, 0x1b},
		{"SPLL_PDIV_A_EN", 0x1000, 0xc},
		{"SPLL_PDIV_A_UPDATE", 0x800, 0xb},
		{"SPLL_RESET", 0x1, 0x0},
		{"SPLL_PDIV_A", 0x7f00000, 0x14},
		{"SPLL_REF_DIV", 0x7e0, 0x5},
		{"SPLL_BYPASS_EN", 0x8, 0x3},
		{"SPLL_BYPASS_THRU_DFS", 0x10, 0x4},
		{"SPLL_DIVEN", 0x4, 0x2},
		{"SPLL_OTEST_LOCK_EN", 0x10000000, 0x1c},
		{"SPLL_PWRON", 0x2, 0x1}
	} },
	{"DPM_TABLE_289", 0x3f480, {
		{"MemoryLevel_4_MpllAdFuncCntl", 0xffffffff, 0x0}
	} },
	{"SMU0_SMU_SMC_IND_DATA", 0x81, {

	} },
	{"ROM0_ROM_SMC_IND_DATA", 0x81, {

	} },
	{"DPM_TABLE_441", 0x3f6e0, {
		{"Ulv_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_219", 0x3f368, {
		{"MemoryLevel_0_MclkPwrmgtCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_218", 0x3f364, {
		{"MemoryLevel_0_MpllDqFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_352", 0x3f57c, {
		{"ACPILevel_CgSpllFuncCntl3", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_353", 0x3f580, {
		{"ACPILevel_CgSpllFuncCntl4", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_354", 0x3f584, {
		{"ACPILevel_SpllSpreadSpectrum", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_355", 0x3f588, {
		{"ACPILevel_SpllSpreadSpectrum2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_356", 0x3f58c, {
		{"ACPILevel_CcPwrDynRm", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_357", 0x3f590, {
		{"ACPILevel_CcPwrDynRm1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_211", 0x3f348, {
		{"MemoryLevel_0_EnabledForActivity", 0xff, 0x0},
		{"MemoryLevel_0_StrobeEnable", 0xff000000, 0x18},
		{"MemoryLevel_0_EnabledForThrottle", 0xff00, 0x8},
		{"MemoryLevel_0_StrobeRatio", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_210", 0x3f344, {
		{"MemoryLevel_0_StutterEnable", 0xff, 0x0},
		{"MemoryLevel_0_RttEnable", 0xff00, 0x8},
		{"MemoryLevel_0_EdcReadEnable", 0xff000000, 0x18},
		{"MemoryLevel_0_EdcWriteEnable", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_213", 0x3f350, {
		{"MemoryLevel_0_ActivityLevel", 0xffff0000, 0x10},
		{"MemoryLevel_0_padding1_0", 0xff00, 0x8},
		{"MemoryLevel_0_padding1_1", 0xff, 0x0}
	} },
	{"DPM_TABLE_212", 0x3f34c, {
		{"MemoryLevel_0_padding", 0xff, 0x0},
		{"MemoryLevel_0_UpHyst", 0xff000000, 0x18},
		{"MemoryLevel_0_DownHyst", 0xff0000, 0x10},
		{"MemoryLevel_0_VoltageDownHyst", 0xff00, 0x8}
	} },
	{"DPM_TABLE_215", 0x3f358, {
		{"MemoryLevel_0_MpllFuncCntl_1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_214", 0x3f354, {
		{"MemoryLevel_0_MpllFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_217", 0x3f360, {
		{"MemoryLevel_0_MpllAdFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_216", 0x3f35c, {
		{"MemoryLevel_0_MpllFuncCntl_2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_443", 0x3f6e8, {
		{"Smio_0", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_15", 0xc0600060, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_442", 0x3f6e4, {
		{"SclkStepSize", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_444", 0x3f6ec, {
		{"Smio_1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_288", 0x3f47c, {
		{"MemoryLevel_4_MpllFuncCntl_2", 0xffffffff, 0x0}
	} },
	{"SCLK_DEEP_SLEEP_MISC_CNTL", 0xc0200088, {
		{"OCP_SS_DIV_ID", 0x700000, 0x14},
		{"DPM_SS_DIV_ID", 0x38, 0x3},
		{"DPM_DS_DIV_ID", 0x7, 0x0},
		{"OCP_ENABLE", 0x10000, 0x10},
		{"OCP_DS_DIV_ID", 0xe0000, 0x11}
	} },
	{"DPM_TABLE_445", 0x3f6f0, {
		{"Smio_2", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_32", 0x3fbbc, {
		{"data_0_value_14", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_26", 0x3f964, {
		{"entries_1_2_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_446", 0x3f6f4, {
		{"Smio_3", 0xffffffff, 0x0}
	} },
	{"LCAC_MC0_CNTL", 0xc0400d30, {
		{"MC0_SIGNAL_ID", 0x3fc00000, 0x16},
		{"MC0_THRESHOLD", 0x1fffe, 0x1},
		{"MC0_ENABLE", 0x1, 0x0},
		{"MC0_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"MC_REGISTERS_TABLE_101", 0x3fcd0, {
		{"data_5_value_3", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_447", 0x3f6f8, {
		{"Smio_4", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_20", 0x3fe50, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_21", 0x3f050, {
		{"LinkPIDController_LFWindupLowerLim", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_20", 0x3f04c, {
		{"LinkPIDController_LFWindupUpperLim", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_23", 0x3f058, {
		{"LinkPIDController_LfPrecision", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_22", 0x3f054, {
		{"LinkPIDController_StatePrecision", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_25", 0x3f060, {
		{"LinkPIDController_MaxState", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_24", 0x3f05c, {
		{"LinkPIDController_LfOffset", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_27", 0x3f068, {
		{"LinkPIDController_StateShift", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_26", 0x3f064, {
		{"LinkPIDController_MaxLfFraction", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_29", 0x3f070, {
		{"SmioMaskVddcVid", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_28", 0x3f06c, {
		{"SystemFlags", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIL5_DATA", 0xc0300114, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"MC_REGISTERS_TABLE_35", 0x3fbc8, {
		{"data_1_value_1", 0xffffffff, 0x0}
	} },
	{"GPIOPAD_STRENGTH", 0x181, {
		{"GPIO_STRENGTH_SP", 0xf0, 0x4},
		{"GPIO_STRENGTH_SN", 0xf, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_104", 0x3fa9c, {
		{"entries_5_4_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_29", 0x3fbb0, {
		{"data_0_value_11", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_57", 0xc0600118, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"TDC_MV_AVERAGE", 0x3f80c, {
		{"IDD", 0xffff, 0x0},
		{"IDDC", 0xffff0000, 0x10}
	} },
	{"MC_REGISTERS_TABLE_22", 0x3fb94, {
		{"data_0_value_4", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_23", 0x3fb98, {
		{"data_0_value_5", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_20", 0x3fb8c, {
		{"data_0_value_2", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_21", 0x3fb90, {
		{"data_0_value_3", 0xffffffff, 0x0}
	} },
	{"CC_GIO_IOCCFG_FUSES", 0xc00c000c, {
		{"NB_REV_ID", 0x7fe, 0x1}
	} },
	{"MPLL_BYPASSCLK_SEL", 0xc050019c, {
		{"MPLL_CLKOUT_SEL", 0xff00, 0x8}
	} },
	{"MC_REGISTERS_TABLE_24", 0x3fb9c, {
		{"data_0_value_6", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_25", 0x3fba0, {
		{"data_0_value_7", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_325", 0x3f510, {
		{"LinkLevel_3_PcieLaneCount", 0xff0000, 0x10},
		{"LinkLevel_3_Padding", 0xff, 0x0},
		{"LinkLevel_3_EnabledForActivity", 0xff00, 0x8},
		{"LinkLevel_3_PcieGenSpeed", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_324", 0x3f50c, {
		{"LinkLevel_2_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_327", 0x3f518, {
		{"LinkLevel_3_UpThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_326", 0x3f514, {
		{"LinkLevel_3_DownThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_321", 0x3f500, {
		{"LinkLevel_2_Padding", 0xff, 0x0},
		{"LinkLevel_2_EnabledForActivity", 0xff00, 0x8},
		{"LinkLevel_2_PcieGenSpeed", 0xff000000, 0x18},
		{"LinkLevel_2_PcieLaneCount", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_320", 0x3f4fc, {
		{"LinkLevel_1_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_323", 0x3f508, {
		{"LinkLevel_2_UpThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_322", 0x3f504, {
		{"LinkLevel_2_DownThreshold", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_18", 0x3fb84, {
		{"data_0_value_0", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_329", 0x3f520, {
		{"LinkLevel_4_PcieLaneCount", 0xff0000, 0x10},
		{"LinkLevel_4_PcieGenSpeed", 0xff000000, 0x18},
		{"LinkLevel_4_Padding", 0xff, 0x0},
		{"LinkLevel_4_EnabledForActivity", 0xff00, 0x8}
	} },
	{"DPM_TABLE_328", 0x3f51c, {
		{"LinkLevel_3_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_459", 0x3f728, {
		{"Smio_16", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_458", 0x3f724, {
		{"Smio_15", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_32", 0xc06000a4, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_149", 0x3f250, {
		{"GraphicsLevel_5_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_5_padding1_1", 0xff0000, 0x10},
		{"GraphicsLevel_5_padding1_0", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_148", 0x3f24c, {
		{"GraphicsLevel_5_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_85", 0x3fa50, {
		{"entries_4_4_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_145", 0x3f240, {
		{"GraphicsLevel_5_Flags", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_144", 0x3f23c, {
		{"GraphicsLevel_4_DeepSleepDivId", 0xff000000, 0x18},
		{"GraphicsLevel_4_padding_0", 0xff0000, 0x10},
		{"GraphicsLevel_4_padding_1", 0xff00, 0x8},
		{"GraphicsLevel_4_padding_2", 0xff, 0x0}
	} },
	{"DPM_TABLE_147", 0x3f248, {
		{"GraphicsLevel_5_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_146", 0x3f244, {
		{"GraphicsLevel_5_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_141", 0x3f230, {
		{"GraphicsLevel_4_CcPwrDynRm1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_140", 0x3f22c, {
		{"GraphicsLevel_4_CcPwrDynRm", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_143", 0x3f238, {
		{"GraphicsLevel_4_DownHyst", 0xff0000, 0x10},
		{"GraphicsLevel_4_UpHyst", 0xff000000, 0x18},
		{"GraphicsLevel_4_PowerThrottle", 0xff, 0x0},
		{"GraphicsLevel_4_VoltageDownHyst", 0xff00, 0x8}
	} },
	{"DPM_TABLE_142", 0x3f234, {
		{"GraphicsLevel_4_EnabledForActivity", 0xff00, 0x8},
		{"GraphicsLevel_4_DisplayWatermark", 0xff0000, 0x10},
		{"GraphicsLevel_4_SclkDid", 0xff000000, 0x18},
		{"GraphicsLevel_4_EnabledForThrottle", 0xff, 0x0}
	} },
	{"SMU_PM_STATUS_29", 0x3fe74, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_28", 0x3fe70, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_8", 0x3fdbc, {
		{"TDC_VDDC_PkgLimit", 0xffff0000, 0x10},
		{"TDC_MAWt", 0xff, 0x0},
		{"TDC_VDDC_ThrottleReleaseLimitPerc", 0xff00, 0x8}
	} },
	{"SMU_PM_STATUS_23", 0x3fe5c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_22", 0x3fe58, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_89", 0x3fca0, {
		{"data_4_value_7", 0xffffffff, 0x0}
	} },
	{"CC_SMU_TST_EFUSE1_MISC", 0xc00c001c, {
		{"CRBBMP1500_DISB", 0x2000, 0xd},
		{"DCE_SCAN_DISABLE", 0x4000000, 0x1a},
		{"CRBBMP1500_DISA", 0x1000, 0xc},
		{"SMS_PWRDWN_DISABLE", 0x800, 0xb},
		{"DFT_SPARE3", 0x1000000, 0x18},
		{"MBIST_DISABLE", 0x80, 0x7},
		{"GPU_DIS", 0x400, 0xa},
		{"RF_RM_6_2", 0x3e, 0x1},
		{"RM_RF8", 0x4000, 0xe},
		{"SOFT_REPAIR_DISABLE", 0x200, 0x9},
		{"RME", 0x40, 0x6},
		{"VCE_DISABLE", 0x2000000, 0x19},
		{"DFT_SPARE1", 0x400000, 0x16},
		{"DFT_SPARE2", 0x800000, 0x17},
		{"HARD_REPAIR_DISABLE", 0x100, 0x8}
	} },
	{"SMU_PM_STATUS_27", 0x3fe6c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_26", 0x3fe68, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_25", 0x3fe64, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_24", 0x3fe60, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_54", 0x3f0d4, {
		{"VddciLevel_1_Voltage", 0xffff0000, 0x10},
		{"VddciLevel_1_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"DPM_TABLE_55", 0x3f0d8, {
		{"VddciLevel_1_Smio", 0xff00, 0x8},
		{"VddciLevel_1_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"VddciLevel_1_padding", 0xff, 0x0}
	} },
	{"DPM_TABLE_56", 0x3f0dc, {
		{"VddciLevel_2_Voltage", 0xffff0000, 0x10},
		{"VddciLevel_2_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"DPM_TABLE_57", 0x3f0e0, {
		{"VddciLevel_2_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"VddciLevel_2_padding", 0xff, 0x0},
		{"VddciLevel_2_Smio", 0xff00, 0x8}
	} },
	{"DPM_TABLE_50", 0x3f0c4, {
		{"VddcLevel_7_Voltage", 0xffff0000, 0x10},
		{"VddcLevel_7_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"DPM_TABLE_51", 0x3f0c8, {
		{"VddcLevel_7_padding", 0xff, 0x0},
		{"VddcLevel_7_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"VddcLevel_7_Smio", 0xff00, 0x8}
	} },
	{"DPM_TABLE_52", 0x3f0cc, {
		{"VddciLevel_0_Voltage", 0xffff0000, 0x10},
		{"VddciLevel_0_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"DPM_TABLE_53", 0x3f0d0, {
		{"VddciLevel_0_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"VddciLevel_0_Smio", 0xff00, 0x8},
		{"VddciLevel_0_padding", 0xff, 0x0}
	} },
	{"SMU_SMC_IND_INDEX", 0x80, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_34", 0x3fbc4, {
		{"data_1_value_0", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_58", 0x3f0e4, {
		{"VddciLevel_3_StdVoltageHiSidd", 0xffff, 0x0},
		{"VddciLevel_3_Voltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_59", 0x3f0e8, {
		{"VddciLevel_3_Smio", 0xff00, 0x8},
		{"VddciLevel_3_padding", 0xff, 0x0},
		{"VddciLevel_3_StdVoltageLoSidd", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_138", 0x3f224, {
		{"GraphicsLevel_4_SpllSpreadSpectrum", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_139", 0x3f228, {
		{"GraphicsLevel_4_SpllSpreadSpectrum2", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIL2_DATA", 0xc0300108, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"DPM_TABLE_130", 0x3f204, {
		{"GraphicsLevel_3_DeepSleepDivId", 0xff000000, 0x18},
		{"GraphicsLevel_3_padding_2", 0xff, 0x0},
		{"GraphicsLevel_3_padding_1", 0xff00, 0x8},
		{"GraphicsLevel_3_padding_0", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_131", 0x3f208, {
		{"GraphicsLevel_4_Flags", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_132", 0x3f20c, {
		{"GraphicsLevel_4_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_133", 0x3f210, {
		{"GraphicsLevel_4_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_134", 0x3f214, {
		{"GraphicsLevel_4_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_135", 0x3f218, {
		{"GraphicsLevel_4_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_4_padding1_0", 0xff000000, 0x18},
		{"GraphicsLevel_4_padding1_1", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_136", 0x3f21c, {
		{"GraphicsLevel_4_CgSpllFuncCntl3", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_137", 0x3f220, {
		{"GraphicsLevel_4_CgSpllFuncCntl4", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_96", 0x3ff80, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_350", 0x3f574, {
		{"ACPILevel_CgSpllFuncCntl", 0xffffffff, 0x0}
	} },
	{"MISC_CLK_CTRL", 0xc05001ac, {
		{"DEEP_SLEEP_CLK_SEL", 0xff, 0x0},
		{"DFT_SMS_PG_CLK_SEL", 0xff0000, 0x10},
		{"ZCLK_SEL", 0xff00, 0x8}
	} },
	{"SMU_PM_STATUS_95", 0x3ff7c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_92", 0x3ff70, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_93", 0x3ff74, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_90", 0x3ff68, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_351", 0x3f578, {
		{"ACPILevel_CgSpllFuncCntl2", 0xffffffff, 0x0}
	} },
	{"SCLK_PWRMGT_CNTL", 0xc0200008, {
		{"FORCE_PM1_INTERRUPT", 0x20000000, 0x1d},
		{"GFX_CLK_REQUEST_OFF", 0x200, 0x9},
		{"GFX_CLK_OFF_ACPI_D1", 0x800, 0xb},
		{"GFX_CLK_OFF_ACPI_D2", 0x1000, 0xc},
		{"GFX_CLK_OFF_ACPI_D3", 0x2000, 0xd},
		{"DPM_DYN_PWR_DOWN_EN", 0x800000, 0x17},
		{"VOLTAGE_UPDATE_EN", 0x2000000, 0x19},
		{"SCLK_LOW_D1", 0x2, 0x1},
		{"DYN_LIGHT_SLEEP_EN", 0x4000, 0xe},
		{"RESET_BUSY_CNT", 0x10, 0x4},
		{"DPM_DYN_PWR_DOWN_CNTL", 0x400000, 0x16},
		{"SCLK_PWRMGT_OFF", 0x1, 0x0},
		{"GFX_VOLTAGE_CHANGE_EN", 0x40000000, 0x1e},
		{"FORCE_PM0_INTERRUPT", 0x10000000, 0x1c},
		{"LIGHT_SLEEP_COUNTER", 0x1f0000, 0x10},
		{"DYN_PWR_DOWN_EN", 0x4, 0x2},
		{"RESET_SCLK_CNT", 0x20, 0x5},
		{"RESERVED_3", 0x1000000, 0x18},
		{"RESERVED_0", 0x40, 0x6},
		{"DYN_GFX_CLK_OFF_EN", 0x80, 0x7},
		{"AUTO_SCLK_PULSE_SKIP", 0x8000, 0xf},
		{"DYNAMIC_PM_EN", 0x200000, 0x15},
		{"GFX_VOLTAGE_CHANGE_MODE", 0x80000000, 0x1f},
		{"GFX_CLK_FORCE_OFF", 0x400, 0xa},
		{"GFX_CLK_FORCE_ON", 0x100, 0x8}
	} },
	{"SMC_MSG_ARG_10", 0xbf, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_11", 0x91, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_87", 0x3fa58, {
		{"entries_4_4_McArbBurstTime", 0xff000000, 0x18},
		{"entries_4_4_padding_2", 0xff, 0x0},
		{"entries_4_4_padding_0", 0xff0000, 0x10},
		{"entries_4_4_padding_1", 0xff00, 0x8}
	} },
	{"SMU_PM_STATUS_98", 0x3ff88, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_85", 0x3fc90, {
		{"data_4_value_3", 0xffffffff, 0x0}
	} },
	{"ROM3_ROM_SMC_IND_INDEX", 0x86, {

	} },
	{"MCARB_DRAM_TIMING_TABLE_86", 0x3fa54, {
		{"entries_4_4_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_28", 0x3fd94, {
		{"Reserved_7", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_29", 0x3fd98, {
		{"Reserved_8", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_52", 0xc06000f4, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_2", 0xc060002c, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_24", 0x3fd84, {
		{"Reserved_3", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_81", 0x3fa40, {
		{"entries_4_2_padding_0", 0xff0000, 0x10},
		{"entries_4_2_padding_1", 0xff00, 0x8},
		{"entries_4_2_padding_2", 0xff, 0x0},
		{"entries_4_2_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"SOFT_REGISTERS_TABLE_26", 0x3fd8c, {
		{"Reserved_5", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_27", 0x3fd90, {
		{"Reserved_6", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_20", 0x3fd74, {
		{"VCEDpmEnabledLevels", 0xff, 0x0},
		{"SAMUDpmEnabledLevels", 0xff0000, 0x10},
		{"UVDDpmEnabledLevels", 0xff000000, 0x18},
		{"ACPDpmEnabledLevels", 0xff00, 0x8}
	} },
	{"SOFT_REGISTERS_TABLE_21", 0x3fd78, {
		{"Reserved_0", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_22", 0x3fd7c, {
		{"Reserved_1", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_80", 0x3fa3c, {
		{"entries_4_2_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIL15_DATA", 0xc030013c, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"SMC_MESSAGE_11", 0xbb, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_10", 0xb9, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_83", 0x3fa48, {
		{"entries_4_3_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"ROM_INDEX", 0xc0600010, {
		{"ROM_INDEX", 0xffffff, 0x0}
	} },
	{"LCAC_CPL_OVR_VAL", 0xc0400d88, {
		{"CPL_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"CG_THERMAL_STATUS", 0xc0300008, {
		{"GEN_STATUS", 0x3c0000, 0x12},
		{"THERM_ALERT", 0x20000, 0x11},
		{"SPARE", 0x1ff, 0x0},
		{"FDO_PWM_DUTY", 0x1fe00, 0x9}
	} },
	{"MCARB_DRAM_TIMING_TABLE_82", 0x3fa44, {
		{"entries_4_3_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR12_DATA", 0xc0300170, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"DPM_TABLE_358", 0x3f594, {
		{"UvdLevel_0_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"LCAC_MC3_OVR_SEL", 0xc0400d58, {
		{"MC3_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"ROM_START", 0xc0600018, {
		{"ROM_START", 0xffffff, 0x0}
	} },
	{"DPM_TABLE_359", 0x3f598, {
		{"UvdLevel_0_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_103", 0x3ff9c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CG_THERMAL_INT_ENA", 0xc2100024, {
		{"THERM_INTH_SET", 0x1, 0x0},
		{"THERM_INTL_SET", 0x2, 0x1},
		{"THERM_INTH_CLR", 0x8, 0x3},
		{"THERM_TRIGGER_SET", 0x4, 0x2},
		{"THERM_INTL_CLR", 0x10, 0x4},
		{"THERM_TRIGGER_CLR", 0x20, 0x5}
	} },
	{"CG_CLKPIN_CNTL_2", 0xc05001a4, {
		{"XO_IN_CML_RXEN", 0x10000, 0x10},
		{"XO_IN2_CML_RXEN", 0x100000, 0x14},
		{"XO_IN_OSCIN_EN", 0x4000, 0xe},
		{"XO_IN2_ICORE_CLK_OE", 0x80000, 0x13},
		{"MUX_TCLK_TO_XCLK", 0x100, 0x8},
		{"XO_IN2_OSCIN_EN", 0x40000, 0x12},
		{"CML_CTRL", 0xc00000, 0x16},
		{"XO_IN_ICORE_CLK_OE", 0x8000, 0xf},
		{"XO_IN2_BIDIR_CML_OE", 0x200000, 0x15},
		{"ENABLE_XCLK", 0x1, 0x0},
		{"FORCE_BIF_REFCLK_EN", 0x8, 0x3},
		{"XO_IN_BIDIR_CML_OE", 0x20000, 0x11},
		{"CLK_SPARE", 0xff000000, 0x18}
	} },
	{"THM_TMON0_RDIL3_DATA", 0xc030010c, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"MCARB_DRAM_TIMING_TABLE_89", 0x3fa60, {
		{"entries_4_5_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_93", 0x3fa70, {
		{"entries_5_0_padding_2", 0xff, 0x0},
		{"entries_5_0_padding_1", 0xff00, 0x8},
		{"entries_5_0_padding_0", 0xff0000, 0x10},
		{"entries_5_0_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"THM_TMON0_RDIL7_DATA", 0xc030011c, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"MCARB_DRAM_TIMING_TABLE_88", 0x3fa5c, {
		{"entries_4_5_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIL9_DATA", 0xc0300124, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"CG_TACH_STATUS", 0xc0300074, {
		{"TACH_PERIOD", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_55", 0x3fedc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_14", 0x3fe38, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_129", 0x3fb00, {
		{"entries_7_0_padding_1", 0xff00, 0x8},
		{"entries_7_0_padding_0", 0xff0000, 0x10},
		{"entries_7_0_padding_2", 0xff, 0x0},
		{"entries_7_0_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_128", 0x3fafc, {
		{"entries_7_0_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_7", 0x3fdb8, {
		{"SviLoadLineVddC", 0xff0000, 0x10},
		{"SviLoadLineTrimVddC", 0xff00, 0x8},
		{"SviLoadLineEn", 0xff000000, 0x18},
		{"SviLoadLineOffsetVddC", 0xff, 0x0}
	} },
	{"PM_FUSES_6", 0x3fdb4, {
		{"VddCVid_6", 0xff00, 0x8},
		{"VddCVid_7", 0xff, 0x0},
		{"VddCVid_4", 0xff000000, 0x18},
		{"VddCVid_5", 0xff0000, 0x10}
	} },
	{"PM_FUSES_1", 0x3fda0, {
		{"BapmVddCVidHiSidd_3", 0xff, 0x0},
		{"BapmVddCVidHiSidd_2", 0xff00, 0x8},
		{"BapmVddCVidHiSidd_1", 0xff0000, 0x10},
		{"BapmVddCVidHiSidd_0", 0xff000000, 0x18}
	} },
	{"SCLK_DEEP_SLEEP_CNTL2", 0xc0200084, {
		{"SAM_CG_MC_STAT_BUSY_MASK", 0x1000, 0xc},
		{"SDMA_BUSY_MASK", 0x80, 0x7},
		{"ROM_BUSY_MASK", 0x4, 0x2},
		{"SAM_CG_STATUS_BUSY_MASK", 0x2000, 0xd},
		{"HDP_BUSY_MASK", 0x2, 0x1},
		{"UVD_CG_MC_STAT_BUSY_MASK", 0x400, 0xa},
		{"IH_SEM_BUSY_MASK", 0x8, 0x3},
		{"INOUT_CUSHION", 0xff000000, 0x18},
		{"IDCT_BUSY_MASK", 0x40, 0x6},
		{"ACP_SMU_ALLOW_DSLEEP_STUTTER_MASK", 0x200, 0x9},
		{"DC_AZ_BUSY_MASK", 0x100, 0x8},
		{"RLC_BUSY_MASK", 0x1, 0x0},
		{"VCE_CG_MC_STAT_BUSY_MASK", 0x800, 0xb},
		{"PDMA_BUSY_MASK", 0x10, 0x4},
		{"SHALLOW_DIV_ID", 0xe00000, 0x15},
		{"RLC_SMU_GFXCLK_OFF_MASK", 0x4000, 0xe}
	} },
	{"RCU_MISC_CTRL", 0xc0000010, {
		{"REG_CC_SRBM_RD_DISABLE", 0x100, 0x8},
		{"BREAK_PT2_DONE", 0x20000, 0x11},
		{"REG_SAMU_FUSE_DISABLE", 0x20, 0x5},
		{"REG_RCU_MEMREP_DIS", 0x8, 0x3},
		{"SAMU_START", 0x400000, 0x16},
		{"REG_DRV_RST_MODE", 0x2, 0x1},
		{"BREAK_PT1_DONE", 0x10000, 0x10},
		{"RST_PULSE_WIDTH", 0xff800000, 0x17},
		{"REG_CC_FUSE_DISABLE", 0x10, 0x4}
	} },
	{"PM_FUSES_2", 0x3fda4, {
		{"BapmVddCVidHiSidd_7", 0xff, 0x0},
		{"BapmVddCVidHiSidd_6", 0xff00, 0x8},
		{"BapmVddCVidHiSidd_5", 0xff0000, 0x10},
		{"BapmVddCVidHiSidd_4", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_121", 0x3fae0, {
		{"entries_6_4_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_120", 0x3fadc, {
		{"entries_6_3_McArbBurstTime", 0xff000000, 0x18},
		{"entries_6_3_padding_2", 0xff, 0x0},
		{"entries_6_3_padding_1", 0xff00, 0x8},
		{"entries_6_3_padding_0", 0xff0000, 0x10}
	} },
	{"MCARB_DRAM_TIMING_TABLE_123", 0x3fae8, {
		{"entries_6_4_padding_0", 0xff0000, 0x10},
		{"entries_6_4_padding_1", 0xff00, 0x8},
		{"entries_6_4_padding_2", 0xff, 0x0},
		{"entries_6_4_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_122", 0x3fae4, {
		{"entries_6_4_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_125", 0x3faf0, {
		{"entries_6_5_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_124", 0x3faec, {
		{"entries_6_5_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_127", 0x3faf8, {
		{"entries_7_0_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_126", 0x3faf4, {
		{"entries_6_5_McArbBurstTime", 0xff000000, 0x18},
		{"entries_6_5_padding_1", 0xff00, 0x8},
		{"entries_6_5_padding_0", 0xff0000, 0x10},
		{"entries_6_5_padding_2", 0xff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_41", 0x3f9a0, {
		{"entries_2_1_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_40", 0x3f99c, {
		{"entries_2_1_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_43", 0x3f9a8, {
		{"entries_2_2_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_42", 0x3f9a4, {
		{"entries_2_1_McArbBurstTime", 0xff000000, 0x18},
		{"entries_2_1_padding_1", 0xff00, 0x8},
		{"entries_2_1_padding_0", 0xff0000, 0x10},
		{"entries_2_1_padding_2", 0xff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_45", 0x3f9b0, {
		{"entries_2_2_padding_2", 0xff, 0x0},
		{"entries_2_2_padding_0", 0xff0000, 0x10},
		{"entries_2_2_padding_1", 0xff00, 0x8},
		{"entries_2_2_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_44", 0x3f9ac, {
		{"entries_2_2_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_47", 0x3f9b8, {
		{"entries_2_3_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_46", 0x3f9b4, {
		{"entries_2_3_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_49", 0x3f9c0, {
		{"entries_2_4_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_48", 0x3f9bc, {
		{"entries_2_3_padding_2", 0xff, 0x0},
		{"entries_2_3_padding_1", 0xff00, 0x8},
		{"entries_2_3_padding_0", 0xff0000, 0x10},
		{"entries_2_3_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"SMU_PM_STATUS_44", 0x3feb0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"LCAC_MC2_CNTL", 0xc0400d48, {
		{"MC2_ENABLE", 0x1, 0x0},
		{"MC2_THRESHOLD", 0x1fffe, 0x1},
		{"MC2_BLOCK_ID", 0x3e0000, 0x11},
		{"MC2_SIGNAL_ID", 0x3fc00000, 0x16}
	} },
	{"LCAC_MC2_OVR_VAL", 0xc0400d50, {
		{"MC2_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"ROM_SMC_IND_DATA", 0x81, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"CG_DCLK_CNTL", 0xc050009c, {
		{"DCLK_DIR_CNTL_TOG", 0x200, 0x9},
		{"DCLK_DIR_CNTL_EN", 0x100, 0x8},
		{"DCLK_DIVIDER", 0x7f, 0x0},
		{"DCLK_DIR_CNTL_DIVIDER", 0x1fc00, 0xa}
	} },
	{"LCAC_SX0_OVR_VAL", 0xc0400d08, {
		{"SX0_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_369", 0x3f5c0, {
		{"UvdLevel_2_DclkDivider", 0xff000000, 0x18},
		{"UvdLevel_2_padding_2", 0xff, 0x0},
		{"UvdLevel_2_padding_1", 0xff00, 0x8},
		{"UvdLevel_2_padding_0", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_368", 0x3f5bc, {
		{"UvdLevel_2_MinVddcPhases", 0xff00, 0x8},
		{"UvdLevel_2_MinVddc", 0xffff0000, 0x10},
		{"UvdLevel_2_VclkDivider", 0xff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_73", 0x3fc60, {
		{"data_3_value_7", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_361", 0x3f5a0, {
		{"UvdLevel_0_DclkDivider", 0xff000000, 0x18},
		{"UvdLevel_0_padding_1", 0xff00, 0x8},
		{"UvdLevel_0_padding_0", 0xff0000, 0x10},
		{"UvdLevel_0_padding_2", 0xff, 0x0}
	} },
	{"DPM_TABLE_360", 0x3f59c, {
		{"UvdLevel_0_MinVddc", 0xffff0000, 0x10},
		{"UvdLevel_0_MinVddcPhases", 0xff00, 0x8},
		{"UvdLevel_0_VclkDivider", 0xff, 0x0}
	} },
	{"GCK_ADFS_CLK_BYPASS_CNTL1", 0xc05001c8, {
		{"SAMCLK_BYPASS_CNTL", 0x7000000, 0x18},
		{"ECLK_BYPASS_CNTL", 0x7, 0x0},
		{"DCLK_BYPASS_CNTL", 0xe00, 0x9},
		{"DISPCLK_BYPASS_CNTL", 0x38000, 0xf},
		{"LCLK_BYPASS_CNTL", 0x1c0, 0x6},
		{"VCLK_BYPASS_CNTL", 0x7000, 0xc},
		{"ACLK_DIV_BYPASS_CNTL", 0x38000000, 0x1b},
		{"SCLK_BYPASS_CNTL", 0x38, 0x3},
		{"ACLK_BYPASS_CNTL", 0xe00000, 0x15},
		{"DRREFCLK_BYPASS_CNTL", 0x1c0000, 0x12}
	} },
	{"DPM_TABLE_362", 0x3f5a4, {
		{"UvdLevel_1_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_365", 0x3f5b0, {
		{"UvdLevel_1_padding_0", 0xff0000, 0x10},
		{"UvdLevel_1_padding_1", 0xff00, 0x8},
		{"UvdLevel_1_padding_2", 0xff, 0x0},
		{"UvdLevel_1_DclkDivider", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_364", 0x3f5ac, {
		{"UvdLevel_1_VclkDivider", 0xff, 0x0},
		{"UvdLevel_1_MinVddcPhases", 0xff00, 0x8},
		{"UvdLevel_1_MinVddc", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_367", 0x3f5b8, {
		{"UvdLevel_2_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_366", 0x3f5b4, {
		{"UvdLevel_2_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_246", 0x3f3d4, {
		{"MemoryLevel_2_StutterEnable", 0xff, 0x0},
		{"MemoryLevel_2_EdcWriteEnable", 0xff0000, 0x10},
		{"MemoryLevel_2_EdcReadEnable", 0xff000000, 0x18},
		{"MemoryLevel_2_RttEnable", 0xff00, 0x8}
	} },
	{"DPM_TABLE_247", 0x3f3d8, {
		{"MemoryLevel_2_EnabledForThrottle", 0xff00, 0x8},
		{"MemoryLevel_2_StrobeRatio", 0xff0000, 0x10},
		{"MemoryLevel_2_EnabledForActivity", 0xff, 0x0},
		{"MemoryLevel_2_StrobeEnable", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_244", 0x3f3cc, {
		{"MemoryLevel_2_MinMvdd", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_245", 0x3f3d0, {
		{"MemoryLevel_2_MclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_242", 0x3f3c4, {
		{"MemoryLevel_2_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_243", 0x3f3c8, {
		{"MemoryLevel_2_MinVddci", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_240", 0x3f3bc, {
		{"MemoryLevel_1_MpllSs2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_229", 0x3f390, {
		{"MemoryLevel_1_EnabledForThrottle", 0xff00, 0x8},
		{"MemoryLevel_1_StrobeRatio", 0xff0000, 0x10},
		{"MemoryLevel_1_EnabledForActivity", 0xff, 0x0},
		{"MemoryLevel_1_StrobeEnable", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_248", 0x3f3dc, {
		{"MemoryLevel_2_VoltageDownHyst", 0xff00, 0x8},
		{"MemoryLevel_2_padding", 0xff, 0x0},
		{"MemoryLevel_2_UpHyst", 0xff000000, 0x18},
		{"MemoryLevel_2_DownHyst", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_249", 0x3f3e0, {
		{"MemoryLevel_2_padding1_0", 0xff00, 0x8},
		{"MemoryLevel_2_padding1_1", 0xff, 0x0},
		{"MemoryLevel_2_ActivityLevel", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_101", 0x3f190, {
		{"GraphicsLevel_1_PowerThrottle", 0xff, 0x0},
		{"GraphicsLevel_1_UpHyst", 0xff000000, 0x18},
		{"GraphicsLevel_1_DownHyst", 0xff0000, 0x10},
		{"GraphicsLevel_1_VoltageDownHyst", 0xff00, 0x8}
	} },
	{"DPM_TABLE_100", 0x3f18c, {
		{"GraphicsLevel_1_SclkDid", 0xff000000, 0x18},
		{"GraphicsLevel_1_DisplayWatermark", 0xff0000, 0x10},
		{"GraphicsLevel_1_EnabledForActivity", 0xff00, 0x8},
		{"GraphicsLevel_1_EnabledForThrottle", 0xff, 0x0}
	} },
	{"DPM_TABLE_103", 0x3f198, {
		{"GraphicsLevel_2_Flags", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_102", 0x3f194, {
		{"GraphicsLevel_1_padding_1", 0xff00, 0x8},
		{"GraphicsLevel_1_padding_0", 0xff0000, 0x10},
		{"GraphicsLevel_1_padding_2", 0xff, 0x0},
		{"GraphicsLevel_1_DeepSleepDivId", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_105", 0x3f1a0, {
		{"GraphicsLevel_2_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_104", 0x3f19c, {
		{"GraphicsLevel_2_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_107", 0x3f1a8, {
		{"GraphicsLevel_2_padding1_0", 0xff000000, 0x18},
		{"GraphicsLevel_2_padding1_1", 0xff0000, 0x10},
		{"GraphicsLevel_2_ActivityLevel", 0xffff, 0x0}
	} },
	{"DPM_TABLE_106", 0x3f1a4, {
		{"GraphicsLevel_2_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_109", 0x3f1b0, {
		{"GraphicsLevel_2_CgSpllFuncCntl4", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_108", 0x3f1ac, {
		{"GraphicsLevel_2_CgSpllFuncCntl3", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_102", 0x3fcd4, {
		{"data_5_value_4", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_18", 0x3f044, {
		{"MemoryPIDController_StateShift", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_19", 0x3f048, {
		{"LinkPIDController_Ki", 0xffffffff, 0x0}
	} },
	{"GCK2_GCK_SMC_IND_INDEX", 0x84, {

	} },
	{"MC_REGISTERS_TABLE_103", 0x3fcd8, {
		{"data_5_value_5", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_10", 0x3f024, {
		{"MemoryPIDController_Ki", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_11", 0x3f028, {
		{"MemoryPIDController_LFWindupUpperLim", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_12", 0x3f02c, {
		{"MemoryPIDController_LFWindupLowerLim", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_13", 0x3f030, {
		{"MemoryPIDController_StatePrecision", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_14", 0x3f034, {
		{"MemoryPIDController_LfPrecision", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_15", 0x3f038, {
		{"MemoryPIDController_LfOffset", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_16", 0x3f03c, {
		{"MemoryPIDController_MaxState", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_17", 0x3f040, {
		{"MemoryPIDController_MaxLfFraction", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_53", 0x3fc10, {
		{"data_2_value_3", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_52", 0x3fc0c, {
		{"data_2_value_2", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_51", 0x3fc08, {
		{"data_2_value_1", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_50", 0x3fc04, {
		{"data_2_value_0", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_57", 0x3fc20, {
		{"data_2_value_7", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_56", 0x3fc1c, {
		{"data_2_value_6", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_55", 0x3fc18, {
		{"data_2_value_5", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_54", 0x3fc14, {
		{"data_2_value_4", 0xffffffff, 0x0}
	} },
	{"SMC1_SMC_IND_DATA", 0x83, {

	} },
	{"MC_REGISTERS_TABLE_58", 0x3fc24, {
		{"data_2_value_8", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_371", 0x3f5c8, {
		{"UvdLevel_3_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_30", 0xc060009c, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_108", 0x3fcec, {
		{"data_5_value_10", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_38", 0xc06000bc, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_39", 0xc06000c0, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_408", 0x3f65c, {
		{"AcpLevel_1_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_409", 0x3f660, {
		{"AcpLevel_1_Divider", 0xff, 0x0},
		{"AcpLevel_1_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_1_MinPhases", 0xff00, 0x8}
	} },
	{"MC_REGISTERS_TABLE_109", 0x3fcf0, {
		{"data_5_value_11", 0xffffffff, 0x0}
	} },
	{"THM_CLK_CNTL", 0xc05001a8, {
		{"CTF_CLK_SHUTOFF_EN", 0x10000, 0x10},
		{"TMON_CLK_SEL", 0xff00, 0x8},
		{"CMON_CLK_SEL", 0xff, 0x0}
	} },
	{"DPM_TABLE_405", 0x3f650, {
		{"VceLevel_7_Divider", 0xff, 0x0},
		{"VceLevel_7_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_7_MinPhases", 0xff00, 0x8}
	} },
	{"SMU3_SMU_SMC_IND_DATA", 0x87, {

	} },
	{"DPM_TABLE_407", 0x3f658, {
		{"AcpLevel_0_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_0_MinPhases", 0xff00, 0x8},
		{"AcpLevel_0_Divider", 0xff, 0x0}
	} },
	{"DPM_TABLE_400", 0x3f63c, {
		{"VceLevel_5_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_401", 0x3f640, {
		{"VceLevel_5_Divider", 0xff, 0x0},
		{"VceLevel_5_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_5_MinPhases", 0xff00, 0x8}
	} },
	{"DPM_TABLE_402", 0x3f644, {
		{"VceLevel_6_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_403", 0x3f648, {
		{"VceLevel_6_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_6_MinPhases", 0xff00, 0x8},
		{"VceLevel_6_Divider", 0xff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_17", 0x3fb80, {
		{"address_15_s0", 0xffff0000, 0x10},
		{"address_15_s1", 0xffff, 0x0}
	} },
	{"GCK_DFS_BYPASS_CNTL", 0xc0500118, {
		{"BYPASSDPREFCLK", 0x40, 0x6},
		{"BYPASSECLK", 0x1, 0x0},
		{"BYPASSPSPCLK", 0x200, 0x9},
		{"BYPASSEVCLK", 0x4, 0x2},
		{"BYPASSSAMCLK", 0x400, 0xa},
		{"BYPASSDCLK", 0x8, 0x3},
		{"USE_SPLL_BYPASS_EN", 0x1000, 0xc},
		{"BYPASSDISPCLK", 0x20, 0x5},
		{"BYPASSSCLK", 0x800, 0xb},
		{"BYPASSLCLK", 0x2, 0x1},
		{"BYPASSADIVCLK", 0x100, 0x8},
		{"BYPASSVCLK", 0x10, 0x4},
		{"BYPASSACLK", 0x80, 0x7}
	} },
	{"THM_TMON0_RDIR7_DATA", 0xc030015c, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"THM_TMON0_RDIL6_DATA", 0xc0300118, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"DPM_TABLE_127", 0x3f1f8, {
		{"GraphicsLevel_3_CcPwrDynRm1", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIL13_DATA", 0xc0300134, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"MC_REGISTERS_TABLE_36", 0x3fbcc, {
		{"data_1_value_2", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_7", 0x3fd40, {
		{"MvddSwitchTime", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_67", 0x3ff0c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_107", 0x3faa8, {
		{"entries_5_5_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_65", 0x3ff04, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_6", 0x3fd3c, {
		{"TrainTimeGap", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_422", 0x3f694, {
		{"SamuLevel_0_Frequency", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_62", 0x3fef8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_61", 0x3fef4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_106", 0x3faa4, {
		{"entries_5_5_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"SMU_EFUSE_0", 0xc0100000, {
		{"EFUSE_DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_33", 0x3fe84, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CC_RCU_FUSES", 0xc00c0000, {
		{"XFIRE_DISABLE", 0x40000, 0x12},
		{"DEBUG_DISABLE", 0x4, 0x2},
		{"SMU_IOC_MST_DISABLE", 0x8000, 0xf},
		{"DSMU_DISABLE", 0x1000000, 0x18},
		{"BIF_RST_POLLING_DISABLE", 0x100000, 0x14},
		{"PCIE_INIT_DISABLE", 0x800000, 0x17},
		{"CG_RST_GLB_REQ_DIS", 0x20, 0x5},
		{"GPU_DIS", 0x2, 0x1},
		{"RCU_BREAK_POINT2", 0x400, 0xa},
		{"RCU_BREAK_POINT1", 0x200, 0x9},
		{"JPC_REP_DISABLE", 0x100, 0x8},
		{"ROM_DIS", 0x80, 0x7},
		{"EFUSE_RD_DISABLE", 0x10, 0x4},
		{"FCH_LOCKOUT_ENABLE", 0x10000, 0x10},
		{"DRV_RST_MODE", 0x40, 0x6},
		{"PHY_FUSE_VALID", 0x4000, 0xe},
		{"FCH_XFIRE_FILTER_ENABLE", 0x20000, 0x11},
		{"MEM_HARDREP_EN", 0x400000, 0x16},
		{"SAMU_FUSE_DISABLE", 0x80000, 0x13},
		{"RCU_SPARE", 0xfe000000, 0x19}
	} },
	{"MCARB_DRAM_TIMING_TABLE_105", 0x3faa0, {
		{"entries_5_4_McArbBurstTime", 0xff000000, 0x18},
		{"entries_5_4_padding_2", 0xff, 0x0},
		{"entries_5_4_padding_1", 0xff00, 0x8},
		{"entries_5_4_padding_0", 0xff0000, 0x10}
	} },
	{"SMU_PM_STATUS_69", 0x3ff14, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_68", 0x3ff10, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_83", 0x3f148, {
		{"GraphicsLevel_0_SpllSpreadSpectrum2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_82", 0x3f144, {
		{"GraphicsLevel_0_SpllSpreadSpectrum", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_81", 0x3f140, {
		{"GraphicsLevel_0_CgSpllFuncCntl4", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_80", 0x3f13c, {
		{"GraphicsLevel_0_CgSpllFuncCntl3", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_87", 0x3f158, {
		{"GraphicsLevel_0_UpHyst", 0xff000000, 0x18},
		{"GraphicsLevel_0_PowerThrottle", 0xff, 0x0},
		{"GraphicsLevel_0_VoltageDownHyst", 0xff00, 0x8},
		{"GraphicsLevel_0_DownHyst", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_86", 0x3f154, {
		{"GraphicsLevel_0_SclkDid", 0xff000000, 0x18},
		{"GraphicsLevel_0_EnabledForThrottle", 0xff, 0x0},
		{"GraphicsLevel_0_EnabledForActivity", 0xff00, 0x8},
		{"GraphicsLevel_0_DisplayWatermark", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_85", 0x3f150, {
		{"GraphicsLevel_0_CcPwrDynRm1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_84", 0x3f14c, {
		{"GraphicsLevel_0_CcPwrDynRm", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_89", 0x3f160, {
		{"GraphicsLevel_1_Flags", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_88", 0x3f15c, {
		{"GraphicsLevel_0_padding_0", 0xff0000, 0x10},
		{"GraphicsLevel_0_padding_1", 0xff00, 0x8},
		{"GraphicsLevel_0_padding_2", 0xff, 0x0},
		{"GraphicsLevel_0_DeepSleepDivId", 0xff000000, 0x18}
	} },
	{"PLL_TEST_CNTL", 0xc020003c, {
		{"REF_TEST_COUNT", 0x7f00, 0x8},
		{"TST_RESET", 0x8000, 0xf},
		{"TEST_COUNT", 0xfffe0000, 0x11},
		{"TST_SRC_SEL", 0xf, 0x0},
		{"TST_REF_SEL", 0xf0, 0x4}
	} },
	{"MC_REGISTERS_TABLE_59", 0x3fc28, {
		{"data_2_value_9", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_102", 0x3fa94, {
		{"entries_5_3_padding_0", 0xff0000, 0x10},
		{"entries_5_3_padding_1", 0xff00, 0x8},
		{"entries_5_3_padding_2", 0xff, 0x0},
		{"entries_5_3_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_423", 0x3f698, {
		{"SamuLevel_0_MinPhases", 0xff00, 0x8},
		{"SamuLevel_0_Divider", 0xff, 0x0},
		{"SamuLevel_0_MinVoltage", 0xffff0000, 0x10}
	} },
	{"ROM_SW_DATA_8", 0xc0600044, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_118", 0x3ffd8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_101", 0x3fa90, {
		{"entries_5_3_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_88", 0x3ff60, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_114", 0x3ffc8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_115", 0x3ffcc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_116", 0x3ffd0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_100", 0x3fa8c, {
		{"entries_5_3_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_104", 0x3fcdc, {
		{"data_5_value_6", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_111", 0x3ffbc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_112", 0x3ffc0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_113", 0x3ffc4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"LCAC_MC2_OVR_SEL", 0xc0400d4c, {
		{"MC2_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"SMC3_SMC_IND_DATA", 0x87, {

	} },
	{"DPM_TABLE_410", 0x3f664, {
		{"AcpLevel_2_Frequency", 0xffffffff, 0x0}
	} },
	{"SMU2_SMU_SMC_IND_DATA", 0x85, {

	} },
	{"SMC2_SMC_IND_INDEX", 0x84, {

	} },
	{"FEATURE_STATUS", 0x3f818, {
		{"MCLK_DPM_FORCED", 0x80000, 0x13},
		{"LCLK_DPM_FORCED", 0x100000, 0x14},
		{"PCIE_DPM_FORCED", 0x200000, 0x15},
		{"TDC_LIMIT_ON", 0x4000, 0xe},
		{"VCE_DPM_ON", 0x10, 0x4},
		{"VOLTAGE_CONTROLLER_ON", 0x2000, 0xd},
		{"SCLK_DPM_FORCED", 0x40000, 0x12},
		{"UVD_DPM_ON", 0x8, 0x3},
		{"MCLK_DPM_ON", 0x2, 0x1},
		{"LHTC_ON", 0x800, 0xb},
		{"RESERVED", 0xffc00000, 0x16},
		{"BAPM_ON", 0x100, 0x8},
		{"SPMI_ON", 0x20000, 0x11},
		{"AVS_ON", 0x10000, 0x10},
		{"PCIE_DPM_ON", 0x80, 0x7},
		{"ACP_DPM_ON", 0x20, 0x5},
		{"GPU_CAC_ON", 0x8000, 0xf},
		{"SCLK_DPM_ON", 0x1, 0x0},
		{"VPC_ON", 0x1000, 0xc},
		{"LCLK_DPM_ON", 0x4, 0x2},
		{"LPMX_ON", 0x200, 0x9},
		{"NBDPM_ON", 0x400, 0xa},
		{"SAMU_DPM_ON", 0x40, 0x6}
	} },
	{"CG_VCLK_STATUS", 0xc05000a8, {
		{"VCLK_STATUS", 0x1, 0x0},
		{"VCLK_DIR_CNTL_DONETOG", 0x2, 0x1}
	} },
	{"DPM_TABLE_420", 0x3f68c, {
		{"AcpLevel_7_Frequency", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_3", 0xc0600030, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_1", 0xc0600028, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_6", 0xc060003c, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_7", 0xc0600040, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_4", 0xc0600034, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_5", 0xc0600038, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"CGTT_ROM_CLK_CTRL0", 0xc060000c, {
		{"OFF_HYSTERESIS", 0xff0, 0x4},
		{"SOFT_OVERRIDE1", 0x40000000, 0x1e},
		{"SOFT_OVERRIDE0", 0x80000000, 0x1f},
		{"ON_DELAY", 0xf, 0x0}
	} },
	{"ROM_SW_DATA_9", 0xc0600048, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"CG_THERMAL_CTRL", 0xc0300004, {
		{"CTF_PAD_EN", 0x4000000, 0x1a},
		{"DPM_EVENT_SRC", 0x7, 0x0},
		{"RESERVED", 0x1c00000, 0x16},
		{"DIG_THERM_DPM", 0x3fc000, 0xe},
		{"CTF_PAD_POLARITY", 0x2000000, 0x19},
		{"SPARE", 0x3ff0, 0x4},
		{"THERM_INC_CLK", 0x8, 0x3}
	} },
	{"CG_FREQ_TRAN_VOTING_4", 0xc02001b8, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"FAN_TABLE_8", 0x3fd20, {
		{"RefreshPeriod", 0xffffffff, 0x0}
	} },
	{"FAN_TABLE_9", 0x3fd24, {
		{"Padding", 0xff, 0x0},
		{"FdoMax", 0xffff0000, 0x10},
		{"TempSrc", 0xff00, 0x8}
	} },
	{"FAN_TABLE_4", 0x3fd10, {
		{"HystUp", 0xffff, 0x0},
		{"FdoMin", 0xffff0000, 0x10}
	} },
	{"FAN_TABLE_5", 0x3fd14, {
		{"HystSlope", 0xffff, 0x0},
		{"HystDown", 0xffff0000, 0x10}
	} },
	{"FAN_TABLE_6", 0x3fd18, {
		{"TempRespLim", 0xffff0000, 0x10},
		{"TempCurr", 0xffff, 0x0}
	} },
	{"FAN_TABLE_7", 0x3fd1c, {
		{"SlopeCurr", 0xffff0000, 0x10},
		{"PwmCurr", 0xffff, 0x0}
	} },
	{"THM_TMON0_RDIL14_DATA", 0xc0300138, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"FAN_TABLE_1", 0x3fd04, {
		{"TempMin", 0xffff, 0x0},
		{"FdoMode", 0xffff0000, 0x10}
	} },
	{"FAN_TABLE_2", 0x3fd08, {
		{"TempMed", 0xffff0000, 0x10},
		{"TempMax", 0xffff, 0x0}
	} },
	{"FAN_TABLE_3", 0x3fd0c, {
		{"Slope1", 0xffff0000, 0x10},
		{"Slope2", 0xffff, 0x0}
	} },
	{"GPIOPAD_INT_STAT", 0x188, {
		{"SW_INITIATED_INT_STAT", 0x80000000, 0x1f},
		{"GPIO_INT_STAT", 0x1fffffff, 0x0}
	} },
	{"ROM_SW_DATA_31", 0xc06000a0, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_28", 0x3fbac, {
		{"data_0_value_10", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_84", 0x3ff50, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_404", 0x3f64c, {
		{"VceLevel_7_Frequency", 0xffffffff, 0x0}
	} },
	{"SMU_MAIN_PLL_OP_FREQ", 0xe0003020, {
		{"PLL_OP_FREQ", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_108", 0x3ffb0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_480", 0x3f77c, {
		{"MemoryInterval", 0xff000000, 0x18},
		{"VddcVddciDelta", 0xffff, 0x0},
		{"MemoryThermThrottleEnable", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_406", 0x3f654, {
		{"AcpLevel_0_Frequency", 0xffffffff, 0x0}
	} },
	{"LCLK_DEEP_SLEEP_CNTL", 0xc020008c, {
		{"HYSTERESIS", 0xfff0, 0x4},
		{"RESERVED", 0x7fff0000, 0x10},
		{"DIV_ID", 0x7, 0x0},
		{"ENABLE_DS", 0x80000000, 0x1f},
		{"RAMP_DIS", 0x8, 0x3}
	} },
	{"DPM_TABLE_208", 0x3f33c, {
		{"MemoryLevel_0_MinMvdd", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_209", 0x3f340, {
		{"MemoryLevel_0_MclkFrequency", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR10_DATA", 0xc0300168, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"DPM_TABLE_202", 0x3f324, {
		{"MemoryACPILevel_DllCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_203", 0x3f328, {
		{"MemoryACPILevel_MpllSs1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_200", 0x3f31c, {
		{"MemoryACPILevel_MpllDqFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_201", 0x3f320, {
		{"MemoryACPILevel_MclkPwrmgtCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_206", 0x3f334, {
		{"MemoryLevel_0_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_207", 0x3f338, {
		{"MemoryLevel_0_MinVddci", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_204", 0x3f32c, {
		{"MemoryACPILevel_MpllSs2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_205", 0x3f330, {
		{"MemoryLevel_0_MinVddc", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_45", 0x3fbf0, {
		{"data_1_value_11", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_34", 0xc06000ac, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_481", 0x3f780, {
		{"VoltageResponseTime", 0xffff0000, 0x10},
		{"PhaseResponseTime", 0xffff, 0x0}
	} },
	{"ROM2_ROM_SMC_IND_INDEX", 0x84, {

	} },
	{"ROM_SW_DATA_35", 0xc06000b0, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIL8_DATA", 0xc0300120, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"DPM_TABLE_435", 0x3f6c8, {
		{"SamuLevel_6_Divider", 0xff, 0x0},
		{"SamuLevel_6_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_6_MinPhases", 0xff00, 0x8}
	} },
	{"DPM_TABLE_291", 0x3f488, {
		{"MemoryLevel_4_MclkPwrmgtCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_389", 0x3f610, {
		{"UvdLevel_7_DclkDivider", 0xff000000, 0x18},
		{"UvdLevel_7_padding_2", 0xff, 0x0},
		{"UvdLevel_7_padding_0", 0xff0000, 0x10},
		{"UvdLevel_7_padding_1", 0xff00, 0x8}
	} },
	{"DPM_TABLE_388", 0x3f60c, {
		{"UvdLevel_7_MinVddc", 0xffff0000, 0x10},
		{"UvdLevel_7_MinVddcPhases", 0xff00, 0x8},
		{"UvdLevel_7_VclkDivider", 0xff, 0x0}
	} },
	{"DPM_TABLE_431", 0x3f6b8, {
		{"SamuLevel_4_Divider", 0xff, 0x0},
		{"SamuLevel_4_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_4_MinPhases", 0xff00, 0x8}
	} },
	{"DPM_TABLE_430", 0x3f6b4, {
		{"SamuLevel_4_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_433", 0x3f6c0, {
		{"SamuLevel_5_MinPhases", 0xff00, 0x8},
		{"SamuLevel_5_Divider", 0xff, 0x0},
		{"SamuLevel_5_MinVoltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_432", 0x3f6bc, {
		{"SamuLevel_5_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_383", 0x3f5f8, {
		{"UvdLevel_6_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_382", 0x3f5f4, {
		{"UvdLevel_6_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_381", 0x3f5f0, {
		{"UvdLevel_5_padding_0", 0xff0000, 0x10},
		{"UvdLevel_5_padding_1", 0xff00, 0x8},
		{"UvdLevel_5_padding_2", 0xff, 0x0},
		{"UvdLevel_5_DclkDivider", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_380", 0x3f5ec, {
		{"UvdLevel_5_MinVddc", 0xffff0000, 0x10},
		{"UvdLevel_5_VclkDivider", 0xff, 0x0},
		{"UvdLevel_5_MinVddcPhases", 0xff00, 0x8}
	} },
	{"DPM_TABLE_387", 0x3f608, {
		{"UvdLevel_7_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_386", 0x3f604, {
		{"UvdLevel_7_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_385", 0x3f600, {
		{"UvdLevel_6_DclkDivider", 0xff000000, 0x18},
		{"UvdLevel_6_padding_2", 0xff, 0x0},
		{"UvdLevel_6_padding_1", 0xff00, 0x8},
		{"UvdLevel_6_padding_0", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_384", 0x3f5fc, {
		{"UvdLevel_6_VclkDivider", 0xff, 0x0},
		{"UvdLevel_6_MinVddcPhases", 0xff00, 0x8},
		{"UvdLevel_6_MinVddc", 0xffff0000, 0x10}
	} },
	{"CC_TST_ID_STRAPS", 0xc00c0020, {
		{"MINOR_REV_ID", 0xf000000, 0x18},
		{"MAJOR_REV_ID", 0xf00000, 0x14},
		{"DEVICE_ID", 0xffff0, 0x4}
	} },
	{"THM_TMON0_RDIR11_DATA", 0xc030016c, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"SMC_PC_C", 0x80000370, {
		{"smc_pc_c", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_457", 0x3f720, {
		{"Smio_14", 0xffffffff, 0x0}
	} },
	{"LCAC_MC1_OVR_SEL", 0xc0400d40, {
		{"MC1_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_456", 0x3f71c, {
		{"Smio_13", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_455", 0x3f718, {
		{"Smio_12", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_47", 0x3fbf8, {
		{"data_1_value_13", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_336", 0x3f53c, {
		{"LinkLevel_5_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_337", 0x3f540, {
		{"LinkLevel_6_PcieGenSpeed", 0xff000000, 0x18},
		{"LinkLevel_6_Padding", 0xff, 0x0},
		{"LinkLevel_6_EnabledForActivity", 0xff00, 0x8},
		{"LinkLevel_6_PcieLaneCount", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_334", 0x3f534, {
		{"LinkLevel_5_DownThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_335", 0x3f538, {
		{"LinkLevel_5_UpThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_332", 0x3f52c, {
		{"LinkLevel_4_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_333", 0x3f530, {
		{"LinkLevel_5_EnabledForActivity", 0xff00, 0x8},
		{"LinkLevel_5_PcieGenSpeed", 0xff000000, 0x18},
		{"LinkLevel_5_PcieLaneCount", 0xff0000, 0x10},
		{"LinkLevel_5_Padding", 0xff, 0x0}
	} },
	{"DPM_TABLE_330", 0x3f524, {
		{"LinkLevel_4_DownThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_331", 0x3f528, {
		{"LinkLevel_4_UpThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_448", 0x3f6fc, {
		{"Smio_5", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_449", 0x3f700, {
		{"Smio_6", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_338", 0x3f544, {
		{"LinkLevel_6_DownThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_339", 0x3f548, {
		{"LinkLevel_6_UpThreshold", 0xffffffff, 0x0}
	} },
	{"SMU_INPUT_DATA", 0xe00030b8, {
		{"START_ADDR", 0x7fffffff, 0x0},
		{"AUTO_START", 0x80000000, 0x1f}
	} },
	{"DPM_TABLE_454", 0x3f714, {
		{"Smio_11", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_451", 0x3f708, {
		{"Smio_8", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_158", 0x3f274, {
		{"GraphicsLevel_5_DeepSleepDivId", 0xff000000, 0x18},
		{"GraphicsLevel_5_padding_1", 0xff00, 0x8},
		{"GraphicsLevel_5_padding_0", 0xff0000, 0x10},
		{"GraphicsLevel_5_padding_2", 0xff, 0x0}
	} },
	{"DPM_TABLE_159", 0x3f278, {
		{"GraphicsLevel_6_Flags", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_156", 0x3f26c, {
		{"GraphicsLevel_5_EnabledForThrottle", 0xff, 0x0},
		{"GraphicsLevel_5_SclkDid", 0xff000000, 0x18},
		{"GraphicsLevel_5_DisplayWatermark", 0xff0000, 0x10},
		{"GraphicsLevel_5_EnabledForActivity", 0xff00, 0x8}
	} },
	{"DPM_TABLE_157", 0x3f270, {
		{"GraphicsLevel_5_UpHyst", 0xff000000, 0x18},
		{"GraphicsLevel_5_PowerThrottle", 0xff, 0x0},
		{"GraphicsLevel_5_DownHyst", 0xff0000, 0x10},
		{"GraphicsLevel_5_VoltageDownHyst", 0xff00, 0x8}
	} },
	{"DPM_TABLE_154", 0x3f264, {
		{"GraphicsLevel_5_CcPwrDynRm", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_155", 0x3f268, {
		{"GraphicsLevel_5_CcPwrDynRm1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_152", 0x3f25c, {
		{"GraphicsLevel_5_SpllSpreadSpectrum", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_153", 0x3f260, {
		{"GraphicsLevel_5_SpllSpreadSpectrum2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_150", 0x3f254, {
		{"GraphicsLevel_5_CgSpllFuncCntl3", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_151", 0x3f258, {
		{"GraphicsLevel_5_CgSpllFuncCntl4", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR2_DATA", 0xc0300148, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"SMU_PM_STATUS_18", 0x3fe48, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_19", 0x3fe4c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_16", 0x3fe40, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_17", 0x3fe44, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_98", 0x3fa84, {
		{"entries_5_2_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_15", 0x3fe3c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CG_FPS_CNT", 0x1a4, {
		{"FPS_CNT", 0xff, 0x0}
	} },
	{"SMU_PM_STATUS_13", 0x3fe34, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_10", 0x3fe28, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_11", 0x3fe2c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_47", 0x3f0b8, {
		{"VddcLevel_5_padding", 0xff, 0x0},
		{"VddcLevel_5_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"VddcLevel_5_Smio", 0xff00, 0x8}
	} },
	{"DPM_TABLE_46", 0x3f0b4, {
		{"VddcLevel_5_Voltage", 0xffff0000, 0x10},
		{"VddcLevel_5_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"DPM_TABLE_45", 0x3f0b0, {
		{"VddcLevel_4_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"VddcLevel_4_padding", 0xff, 0x0},
		{"VddcLevel_4_Smio", 0xff00, 0x8}
	} },
	{"DPM_TABLE_44", 0x3f0ac, {
		{"VddcLevel_4_Voltage", 0xffff0000, 0x10},
		{"VddcLevel_4_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"DPM_TABLE_43", 0x3f0a8, {
		{"VddcLevel_3_Smio", 0xff00, 0x8},
		{"VddcLevel_3_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"VddcLevel_3_padding", 0xff, 0x0}
	} },
	{"DPM_TABLE_42", 0x3f0a4, {
		{"VddcLevel_3_StdVoltageHiSidd", 0xffff, 0x0},
		{"VddcLevel_3_Voltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_41", 0x3f0a0, {
		{"VddcLevel_2_Smio", 0xff00, 0x8},
		{"VddcLevel_2_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"VddcLevel_2_padding", 0xff, 0x0}
	} },
	{"DPM_TABLE_40", 0x3f09c, {
		{"VddcLevel_2_Voltage", 0xffff0000, 0x10},
		{"VddcLevel_2_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"TARGET_AND_CURRENT_PROFILE_INDEX_1", 0xc02000f0, {
		{"CURR_MVDD_INDEX", 0xf00, 0x8},
		{"CURR_VDDC_INDEX", 0xf0000, 0x10},
		{"TARG_VDDCI_INDEX", 0xf0, 0x4},
		{"TARG_MVDD_INDEX", 0xf000, 0xc},
		{"CURR_PCIE_INDEX", 0xf000000, 0x18},
		{"TARG_PCIE_INDEX", 0xf0000000, 0x1c},
		{"TARG_VDDC_INDEX", 0xf00000, 0x14},
		{"CURR_VDDCI_INDEX", 0xf, 0x0}
	} },
	{"MC_REGISTERS_TABLE_41", 0x3fbe0, {
		{"data_1_value_7", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_49", 0x3f0c0, {
		{"VddcLevel_6_padding", 0xff, 0x0},
		{"VddcLevel_6_Smio", 0xff00, 0x8},
		{"VddcLevel_6_StdVoltageLoSidd", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_48", 0x3f0bc, {
		{"VddcLevel_6_Voltage", 0xffff0000, 0x10},
		{"VddcLevel_6_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"ROM1_ROM_SMC_IND_DATA", 0x83, {

	} },
	{"GCK_PLL_TEST_CNTL_2", 0xc05001c4, {
		{"TEST_COUNT", 0xfffe0000, 0x11}
	} },
	{"THM_TMON0_RDIR1_DATA", 0xc0300144, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"DPM_TABLE_452", 0x3f70c, {
		{"Smio_9", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_89", 0x3ff64, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_59", 0x3feec, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_142", 0x3fb34, {
		{"entries_7_5_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR5_DATA", 0xc0300154, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"SCLK_DEEP_SLEEP_CNTL3", 0xc020009c, {
		{"GRBM_9_SMU_BUSY_MASK", 0x200, 0x9},
		{"GRBM_12_SMU_BUSY_MASK", 0x1000, 0xc},
		{"GRBM_13_SMU_BUSY_MASK", 0x2000, 0xd},
		{"GRBM_4_SMU_BUSY_MASK", 0x10, 0x4},
		{"GRBM_1_SMU_BUSY_MASK", 0x2, 0x1},
		{"GRBM_10_SMU_BUSY_MASK", 0x400, 0xa},
		{"GRBM_15_SMU_BUSY_MASK", 0x8000, 0xf},
		{"GRBM_8_SMU_BUSY_MASK", 0x100, 0x8},
		{"GRBM_11_SMU_BUSY_MASK", 0x800, 0xb},
		{"GRBM_5_SMU_BUSY_MASK", 0x20, 0x5},
		{"GRBM_6_SMU_BUSY_MASK", 0x40, 0x6},
		{"GRBM_7_SMU_BUSY_MASK", 0x80, 0x7},
		{"GRBM_0_SMU_BUSY_MASK", 0x1, 0x0},
		{"GRBM_2_SMU_BUSY_MASK", 0x4, 0x2},
		{"GRBM_3_SMU_BUSY_MASK", 0x8, 0x3},
		{"GRBM_14_SMU_BUSY_MASK", 0x4000, 0xe}
	} },
	{"SMU_PM_STATUS_81", 0x3ff44, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_80", 0x3ff40, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_83", 0x3ff4c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_82", 0x3ff48, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_85", 0x3ff54, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"GCK2_GCK_SMC_IND_DATA", 0x85, {

	} },
	{"SMU_PM_STATUS_87", 0x3ff5c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_86", 0x3ff58, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_19", 0x3fd70, {
		{"PCIeDpmEnabledLevels", 0xff, 0x0},
		{"LClkDpmEnabledLevels", 0xff00, 0x8},
		{"SClkDpmEnabledLevels", 0xff000000, 0x18},
		{"MClkDpmEnabledLevels", 0xff0000, 0x10}
	} },
	{"SOFT_REGISTERS_TABLE_18", 0x3fd6c, {
		{"AverageGioActivity", 0xffffffff, 0x0}
	} },
	{"RCU_UC_EVENTS", 0xc0000004, {
		{"INTERRUPTS_ENABLED", 0x10000, 0x10},
		{"SMU_DC_efuse_status_invalid", 0x8, 0x3},
		{"RCU_DtmCnt1_Done", 0x40000, 0x12},
		{"RCU_TST_jpc_rep_req", 0x1, 0x0},
		{"sclk_deep_sleep_exit", 0x100, 0x8},
		{"BREAK_PT1_ACTIVE", 0x200, 0x9},
		{"boot_seq_done", 0x80, 0x7},
		{"RCU_DtmCnt2_Done", 0x80000, 0x13},
		{"TP_Tester", 0x40, 0x6},
		{"RCU_GIO_fch_lockdown", 0x2000, 0xd},
		{"TST_RCU_jpc_rep_done", 0x2, 0x1},
		{"FCH_HALT", 0x800, 0xb},
		{"drv_rst_mode", 0x4, 0x2},
		{"BREAK_PT2_ACTIVE", 0x400, 0xa},
		{"RCU_DtmCnt0_Done", 0x20000, 0x11},
		{"irq31_sel", 0x3000000, 0x18}
	} },
	{"ROM_STATUS", 0xc0600008, {
		{"ROM_BUSY", 0x1, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_11", 0x3fd50, {
		{"DelayMpllPwron", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_10", 0x3fd4c, {
		{"G5TrainTime", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_13", 0x3fd58, {
		{"HandshakeDisables", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_12", 0x3fd54, {
		{"VoltageChangeTimeout", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_15", 0x3fd60, {
		{"DisplayPhy6Config", 0xff0000, 0x10},
		{"DisplayPhy7Config", 0xff00, 0x8},
		{"DisplayPhy5Config", 0xff000000, 0x18},
		{"DisplayPhy8Config", 0xff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_14", 0x3fd5c, {
		{"DisplayPhy4Config", 0xff, 0x0},
		{"DisplayPhy2Config", 0xff0000, 0x10},
		{"DisplayPhy3Config", 0xff00, 0x8},
		{"DisplayPhy1Config", 0xff000000, 0x18}
	} },
	{"SOFT_REGISTERS_TABLE_17", 0x3fd68, {
		{"AverageMemoryActivity", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_16", 0x3fd64, {
		{"AverageGraphicsActivity", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_26", 0xc060008c, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"LCAC_MC3_CNTL", 0xc0400d54, {
		{"MC3_SIGNAL_ID", 0x3fc00000, 0x16},
		{"MC3_ENABLE", 0x1, 0x0},
		{"MC3_THRESHOLD", 0x1fffe, 0x1},
		{"MC3_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"GCK3_GCK_SMC_IND_INDEX", 0x86, {

	} },
	{"LCAC_CPL_OVR_SEL", 0xc0400d84, {
		{"CPL_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_98", 0x3fcc4, {
		{"data_5_value_0", 0xffffffff, 0x0}
	} },
	{"LCAC_SX0_OVR_SEL", 0xc0400d04, {
		{"SX0_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"GCK1_GCK_SMC_IND_INDEX", 0x82, {

	} },
	{"PM_FUSES_11", 0x3fdc8, {
		{"LPMLTemperatureScaler_5", 0xff0000, 0x10},
		{"LPMLTemperatureScaler_4", 0xff000000, 0x18},
		{"LPMLTemperatureScaler_7", 0xff, 0x0},
		{"LPMLTemperatureScaler_6", 0xff00, 0x8}
	} },
	{"PM_FUSES_10", 0x3fdc4, {
		{"LPMLTemperatureScaler_1", 0xff0000, 0x10},
		{"LPMLTemperatureScaler_0", 0xff000000, 0x18},
		{"LPMLTemperatureScaler_3", 0xff, 0x0},
		{"LPMLTemperatureScaler_2", 0xff00, 0x8}
	} },
	{"PM_FUSES_13", 0x3fdd0, {
		{"LPMLTemperatureScaler_13", 0xff0000, 0x10},
		{"LPMLTemperatureScaler_12", 0xff000000, 0x18},
		{"LPMLTemperatureScaler_15", 0xff, 0x0},
		{"LPMLTemperatureScaler_14", 0xff00, 0x8}
	} },
	{"PM_FUSES_12", 0x3fdcc, {
		{"LPMLTemperatureScaler_11", 0xff, 0x0},
		{"LPMLTemperatureScaler_10", 0xff00, 0x8},
		{"LPMLTemperatureScaler_9", 0xff0000, 0x10},
		{"LPMLTemperatureScaler_8", 0xff000000, 0x18}
	} },
	{"PM_FUSES_15", 0x3fdd8, {
		{"GnbLPML_4", 0xff000000, 0x18},
		{"GnbLPML_5", 0xff0000, 0x10},
		{"GnbLPML_6", 0xff00, 0x8},
		{"GnbLPML_7", 0xff, 0x0}
	} },
	{"PM_FUSES_14", 0x3fdd4, {
		{"GnbLPML_0", 0xff000000, 0x18},
		{"GnbLPML_1", 0xff0000, 0x10},
		{"GnbLPML_2", 0xff00, 0x8},
		{"GnbLPML_3", 0xff, 0x0}
	} },
	{"TDC_STATUS", 0x3f808, {
		{"VDD_Throttle", 0xff00, 0x8},
		{"VDDC_Boost", 0xff0000, 0x10},
		{"VDDC_Throttle", 0xff000000, 0x18},
		{"VDD_Boost", 0xff, 0x0}
	} },
	{"PM_FUSES_16", 0x3fddc, {
		{"GnbLPML_8", 0xff000000, 0x18},
		{"GnbLPML_9", 0xff0000, 0x10},
		{"GnbLPML_10", 0xff00, 0x8},
		{"GnbLPML_11", 0xff, 0x0}
	} },
	{"PM_FUSES_19", 0x3fde8, {
		{"BapmVddCBaseLeakageHiSidd", 0xffff0000, 0x10},
		{"BapmVddCBaseLeakageLoSidd", 0xffff, 0x0}
	} },
	{"PM_FUSES_18", 0x3fde4, {
		{"GnbLPMLMinVid", 0xff0000, 0x10},
		{"Reserved1_1", 0xff, 0x0},
		{"Reserved1_0", 0xff00, 0x8},
		{"GnbLPMLMaxVid", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_450", 0x3f704, {
		{"Smio_7", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_20", 0xc0600074, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"CG_ACLK_CNTL", 0xc05000dc, {
		{"ACLK_DIR_CNTL_DIVIDER", 0x1fc00, 0xa},
		{"ACLK_DIR_CNTL_TOG", 0x200, 0x9},
		{"ACLK_DIVIDER", 0x7f, 0x0},
		{"ACLK_DIR_CNTL_EN", 0x100, 0x8}
	} },
	{"GPIOPAD_PINSTRAPS", 0x186, {
		{"GPIO_PINSTRAP_19", 0x80000, 0x13},
		{"GPIO_PINSTRAP_18", 0x40000, 0x12},
		{"GPIO_PINSTRAP_13", 0x2000, 0xd},
		{"GPIO_PINSTRAP_12", 0x1000, 0xc},
		{"GPIO_PINSTRAP_11", 0x800, 0xb},
		{"GPIO_PINSTRAP_10", 0x400, 0xa},
		{"GPIO_PINSTRAP_17", 0x20000, 0x11},
		{"GPIO_PINSTRAP_16", 0x10000, 0x10},
		{"GPIO_PINSTRAP_15", 0x8000, 0xf},
		{"GPIO_PINSTRAP_14", 0x4000, 0xe},
		{"GPIO_PINSTRAP_7", 0x80, 0x7},
		{"GPIO_PINSTRAP_6", 0x40, 0x6},
		{"GPIO_PINSTRAP_5", 0x20, 0x5},
		{"GPIO_PINSTRAP_4", 0x10, 0x4},
		{"GPIO_PINSTRAP_3", 0x8, 0x3},
		{"GPIO_PINSTRAP_2", 0x4, 0x2},
		{"GPIO_PINSTRAP_1", 0x2, 0x1},
		{"GPIO_PINSTRAP_0", 0x1, 0x0},
		{"GPIO_PINSTRAP_9", 0x200, 0x9},
		{"GPIO_PINSTRAP_8", 0x100, 0x8},
		{"GPIO_PINSTRAP_28", 0x10000000, 0x1c},
		{"GPIO_PINSTRAP_29", 0x20000000, 0x1d},
		{"GPIO_PINSTRAP_26", 0x4000000, 0x1a},
		{"GPIO_PINSTRAP_27", 0x8000000, 0x1b},
		{"GPIO_PINSTRAP_24", 0x1000000, 0x18},
		{"GPIO_PINSTRAP_25", 0x2000000, 0x19},
		{"GPIO_PINSTRAP_22", 0x400000, 0x16},
		{"GPIO_PINSTRAP_23", 0x800000, 0x17},
		{"GPIO_PINSTRAP_20", 0x100000, 0x14},
		{"GPIO_PINSTRAP_21", 0x200000, 0x15},
		{"GPIO_PINSTRAP_30", 0x40000000, 0x1e}
	} },
	{"MCARB_DRAM_TIMING_TABLE_96", 0x3fa7c, {
		{"entries_5_1_padding_2", 0xff, 0x0},
		{"entries_5_1_padding_0", 0xff0000, 0x10},
		{"entries_5_1_padding_1", 0xff00, 0x8},
		{"entries_5_1_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"SMU_PM_STATUS_127", 0x3fffc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_126", 0x3fff8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_121", 0x3ffe4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_17", 0x3fde0, {
		{"GnbLPML_12", 0xff000000, 0x18},
		{"GnbLPML_13", 0xff0000, 0x10},
		{"GnbLPML_14", 0xff00, 0x8},
		{"GnbLPML_15", 0xff, 0x0}
	} },
	{"SMU_PM_STATUS_123", 0x3ffec, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_97", 0x3fa80, {
		{"entries_5_2_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_94", 0x3fa74, {
		{"entries_5_1_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_92", 0x3fcac, {
		{"data_4_value_10", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX", 0x80, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"GPIOPAD_INT_EN", 0x18a, {
		{"GPIO_INT_EN", 0x1fffffff, 0x0},
		{"SW_INITIATED_INT_EN", 0x80000000, 0x1f}
	} },
	{"MCARB_DRAM_TIMING_TABLE_95", 0x3fa78, {
		{"entries_5_1_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR8_DATA", 0xc0300160, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"MCARB_DRAM_TIMING_TABLE_143", 0x3fb38, {
		{"entries_7_5_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_343", 0x3f558, {
		{"LinkLevel_7_UpThreshold", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_141", 0x3fb30, {
		{"entries_7_4_McArbBurstTime", 0xff000000, 0x18},
		{"entries_7_4_padding_1", 0xff00, 0x8},
		{"entries_7_4_padding_0", 0xff0000, 0x10},
		{"entries_7_4_padding_2", 0xff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_140", 0x3fb2c, {
		{"entries_7_4_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"GCK_SMC_IND_DATA", 0x81, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_342", 0x3f554, {
		{"LinkLevel_7_DownThreshold", 0xffffffff, 0x0}
	} },
	{"ENTITY_TEMPERATURES_1", 0x3f81c, {
		{"GPU", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_90", 0x3fa64, {
		{"entries_4_5_McArbBurstTime", 0xff000000, 0x18},
		{"entries_4_5_padding_2", 0xff, 0x0},
		{"entries_4_5_padding_1", 0xff00, 0x8},
		{"entries_4_5_padding_0", 0xff0000, 0x10}
	} },
	{"MCARB_DRAM_TIMING_TABLE_138", 0x3fb24, {
		{"entries_7_3_McArbBurstTime", 0xff000000, 0x18},
		{"entries_7_3_padding_2", 0xff, 0x0},
		{"entries_7_3_padding_0", 0xff0000, 0x10},
		{"entries_7_3_padding_1", 0xff00, 0x8}
	} },
	{"MCARB_DRAM_TIMING_TABLE_139", 0x3fb28, {
		{"entries_7_4_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_136", 0x3fb1c, {
		{"entries_7_3_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_137", 0x3fb20, {
		{"entries_7_3_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_134", 0x3fb14, {
		{"entries_7_2_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_91", 0x3fa68, {
		{"entries_5_0_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_132", 0x3fb0c, {
		{"entries_7_1_padding_0", 0xff0000, 0x10},
		{"entries_7_1_padding_1", 0xff00, 0x8},
		{"entries_7_1_padding_2", 0xff, 0x0},
		{"entries_7_1_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_92", 0x3fa6c, {
		{"entries_5_0_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_130", 0x3fb04, {
		{"entries_7_1_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_258", 0x3f404, {
		{"MemoryLevel_2_MpllSs2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_74", 0x3fa24, {
		{"entries_4_0_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"FIRMWARE_FLAGS", 0x3f800, {
		{"INTERRUPTS_ENABLED", 0x1, 0x0},
		{"TEST_COUNT", 0xff000000, 0x18},
		{"RESERVED", 0xfffffe, 0x1}
	} },
	{"MCARB_DRAM_TIMING_TABLE_76", 0x3fa2c, {
		{"entries_4_1_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_77", 0x3fa30, {
		{"entries_4_1_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_70", 0x3fa14, {
		{"entries_3_5_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_71", 0x3fa18, {
		{"entries_3_5_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_72", 0x3fa1c, {
		{"entries_3_5_padding_0", 0xff0000, 0x10},
		{"entries_3_5_padding_1", 0xff00, 0x8},
		{"entries_3_5_padding_2", 0xff, 0x0},
		{"entries_3_5_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_73", 0x3fa20, {
		{"entries_4_0_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR3_DATA", 0xc030014c, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"MCARB_DRAM_TIMING_TABLE_78", 0x3fa34, {
		{"entries_4_1_padding_2", 0xff, 0x0},
		{"entries_4_1_padding_1", 0xff00, 0x8},
		{"entries_4_1_padding_0", 0xff0000, 0x10},
		{"entries_4_1_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_79", 0x3fa38, {
		{"entries_4_2_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_125", 0x3fff4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_14", 0x3fb74, {
		{"address_12_s1", 0xffff, 0x0},
		{"address_12_s0", 0xffff0000, 0x10}
	} },
	{"SMU_PM_STATUS_124", 0x3fff0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_FIRMWARE", 0xe00030a4, {
		{"SMU_RD_DONE", 0x6, 0x1},
		{"SMU_SEL", 0x20000, 0x11},
		{"SMU_MODE", 0x10000, 0x10},
		{"SMU_SRAM_RD_BLOCK_EN", 0x8, 0x3},
		{"SMU_IN_PROG", 0x1, 0x0},
		{"SMU_counter", 0xf00, 0x8},
		{"SMU_SRAM_WR_BLOCK_EN", 0x10, 0x4}
	} },
	{"ROM_SW_DATA_36", 0xc06000b4, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_30", 0x3fbb4, {
		{"data_0_value_12", 0xffffffff, 0x0}
	} },
	{"CG_TACH_CTRL", 0xc0300070, {
		{"EDGE_PER_REV", 0x7, 0x0},
		{"TARGET_PERIOD", 0xfffffff8, 0x3}
	} },
	{"CG_FDO_CTRL2", 0xc030006c, {
		{"TMIN", 0xff, 0x0},
		{"FAN_SPINUP_TIME", 0x700, 0x8},
		{"TMAX", 0x1fe0000, 0x11},
		{"TACH_PWM_RESP_RATE", 0xfe000000, 0x19},
		{"FDO_PWM_MODE", 0x3800, 0xb},
		{"TMIN_HYSTER", 0x1c000, 0xe}
	} },
	{"DPM_TABLE_349", 0x3f570, {
		{"ACPILevel_SclkDid", 0xff000000, 0x18},
		{"ACPILevel_padding", 0xff, 0x0},
		{"ACPILevel_DisplayWatermark", 0xff0000, 0x10},
		{"ACPILevel_DeepSleepDivId", 0xff00, 0x8}
	} },
	{"CG_FDO_CTRL0", 0xc0300064, {
		{"FDO_PWM_MANUAL", 0x10000, 0x10},
		{"FDO_PWM_HYSTER", 0x7e0000, 0x11},
		{"FAN_SPINUP_DUTY", 0xff00, 0x8},
		{"FDO_PWM_RAMP_EN", 0x800000, 0x17},
		{"FDO_PWM_RAMP", 0xff000000, 0x18},
		{"FDO_STATIC_DUTY", 0xff, 0x0}
	} },
	{"CG_FDO_CTRL1", 0xc0300068, {
		{"FMAX_DUTY100", 0xff, 0x0},
		{"M", 0xff0000, 0x10},
		{"FMIN_DUTY", 0xff00, 0x8},
		{"RESERVED", 0x3f000000, 0x18},
		{"FDO_PWRDNB", 0x40000000, 0x1e}
	} },
	{"DPM_TABLE_348", 0x3f56c, {
		{"ACPILevel_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_21", 0x3fe54, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_120", 0x3ffe0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_378", 0x3f5e4, {
		{"UvdLevel_5_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_379", 0x3f5e8, {
		{"UvdLevel_5_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR15_DATA", 0xc030017c, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"SMU_PM_STATUS_58", 0x3fee8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_372", 0x3f5cc, {
		{"UvdLevel_3_MinVddcPhases", 0xff00, 0x8},
		{"UvdLevel_3_VclkDivider", 0xff, 0x0},
		{"UvdLevel_3_MinVddc", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_373", 0x3f5d0, {
		{"UvdLevel_3_padding_2", 0xff, 0x0},
		{"UvdLevel_3_padding_0", 0xff0000, 0x10},
		{"UvdLevel_3_padding_1", 0xff00, 0x8},
		{"UvdLevel_3_DclkDivider", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_370", 0x3f5c4, {
		{"UvdLevel_3_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"CC_FCTRL_FUSES", 0xc00c0024, {
		{"EXT_EFUSE_MACRO_PRESENT", 0x2, 0x1}
	} },
	{"DPM_TABLE_376", 0x3f5dc, {
		{"UvdLevel_4_VclkDivider", 0xff, 0x0},
		{"UvdLevel_4_MinVddc", 0xffff0000, 0x10},
		{"UvdLevel_4_MinVddcPhases", 0xff00, 0x8}
	} },
	{"DPM_TABLE_377", 0x3f5e0, {
		{"UvdLevel_4_padding_1", 0xff00, 0x8},
		{"UvdLevel_4_padding_0", 0xff0000, 0x10},
		{"UvdLevel_4_padding_2", 0xff, 0x0},
		{"UvdLevel_4_DclkDivider", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_374", 0x3f5d4, {
		{"UvdLevel_4_VclkFrequency", 0xffffffff, 0x0}
	} },
	{"GPIOPAD_MASK", 0x182, {
		{"GPIO_MASK", 0x7fffffff, 0x0}
	} },
	{"DPM_TABLE_273", 0x3f440, {
		{"MemoryLevel_3_MclkPwrmgtCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_272", 0x3f43c, {
		{"MemoryLevel_3_MpllDqFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_271", 0x3f438, {
		{"MemoryLevel_3_MpllAdFuncCntl", 0xffffffff, 0x0}
	} },
	{"GCK0_GCK_SMC_IND_DATA", 0x81, {

	} },
	{"DPM_TABLE_277", 0x3f450, {
		{"MemoryLevel_4_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_276", 0x3f44c, {
		{"MemoryLevel_3_MpllSs2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_275", 0x3f448, {
		{"MemoryLevel_3_MpllSs1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_274", 0x3f444, {
		{"MemoryLevel_3_DllCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_279", 0x3f458, {
		{"MemoryLevel_4_MinVddci", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_278", 0x3f454, {
		{"MemoryLevel_4_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_5", 0xa9, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_112", 0x3f1bc, {
		{"GraphicsLevel_2_CcPwrDynRm", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_113", 0x3f1c0, {
		{"GraphicsLevel_2_CcPwrDynRm1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_110", 0x3f1b4, {
		{"GraphicsLevel_2_SpllSpreadSpectrum", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_111", 0x3f1b8, {
		{"GraphicsLevel_2_SpllSpreadSpectrum2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_116", 0x3f1cc, {
		{"GraphicsLevel_2_DeepSleepDivId", 0xff000000, 0x18},
		{"GraphicsLevel_2_padding_2", 0xff, 0x0},
		{"GraphicsLevel_2_padding_0", 0xff0000, 0x10},
		{"GraphicsLevel_2_padding_1", 0xff00, 0x8}
	} },
	{"DPM_TABLE_117", 0x3f1d0, {
		{"GraphicsLevel_3_Flags", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_114", 0x3f1c4, {
		{"GraphicsLevel_2_EnabledForThrottle", 0xff, 0x0},
		{"GraphicsLevel_2_EnabledForActivity", 0xff00, 0x8},
		{"GraphicsLevel_2_SclkDid", 0xff000000, 0x18},
		{"GraphicsLevel_2_DisplayWatermark", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_115", 0x3f1c8, {
		{"GraphicsLevel_2_DownHyst", 0xff0000, 0x10},
		{"GraphicsLevel_2_VoltageDownHyst", 0xff00, 0x8},
		{"GraphicsLevel_2_UpHyst", 0xff000000, 0x18},
		{"GraphicsLevel_2_PowerThrottle", 0xff, 0x0}
	} },
	{"CG_SPLL_FUNC_CNTL_5", 0xc0500150, {
		{"FAST_LOCK_CNTRL", 0xc0, 0x6},
		{"RISEFBVCO_EN", 0x2, 0x1},
		{"RESET_TIMER", 0x30, 0x4},
		{"PFD_RESET_CNTRL", 0xc, 0x2},
		{"FBDIV_SSC_BYPASS", 0x1, 0x0},
		{"FAST_LOCK_EN", 0x100, 0x8},
		{"RESET_ANTI_MUX", 0x200, 0x9}
	} },
	{"DPM_TABLE_118", 0x3f1d4, {
		{"GraphicsLevel_3_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_119", 0x3f1d8, {
		{"GraphicsLevel_3_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_509", 0x3f7f0, {
		{"DRAM_LOG_BUFF_SIZE", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_508", 0x3f7ec, {
		{"DRAM_LOG_PHY_ADDR_L", 0xffffffff, 0x0}
	} },
	{"CC_THM_STRAPS0", 0xc0300080, {
		{"TMON3_DISABLE", 0x20000000, 0x1d},
		{"NUM_ACQ", 0x1c0000, 0x12},
		{"TMON_CMON_FUSE_SEL", 0x20000, 0x11},
		{"TMON2_DISABLE", 0x10000000, 0x1c},
		{"CTF_DISABLE", 0x2000000, 0x19},
		{"TMON1_BGADJ", 0x1fe00, 0x9},
		{"TMON_CLK_SEL", 0xe00000, 0x15},
		{"TMON_CONFIG_SOURCE", 0x1000000, 0x18},
		{"UNUSED", 0x80000000, 0x1f},
		{"TMON0_BGADJ", 0x1fe, 0x1},
		{"TMON0_DISABLE", 0x4000000, 0x1a},
		{"TMON1_DISABLE", 0x8000000, 0x1b}
	} },
	{"DPM_TABLE_179", 0x3f2c8, {
		{"GraphicsLevel_7_CgSpllFuncCntl4", 0xffffffff, 0x0}
	} },
	{"SMC3_SMC_IND_INDEX", 0x86, {

	} },
	{"CG_CLKPIN_CNTL", 0xc05001a0, {
		{"BCLK_AS_XCLK", 0x4, 0x2},
		{"XTALIN_DIVIDE", 0x2, 0x1}
	} },
	{"THM_TMON0_RDIL10_DATA", 0xc0300128, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"SMC_MSG_ARG_9", 0xbe, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_189", 0x3f2f0, {
		{"MemoryACPILevel_MinVddci", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_188", 0x3f2ec, {
		{"MemoryACPILevel_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_50", 0xc06000ec, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_131", 0x3fb08, {
		{"entries_7_1_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_48", 0x3fbfc, {
		{"data_1_value_14", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_49", 0x3fc00, {
		{"data_1_value_15", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_485", 0x3f790, {
		{"NomPwr", 0xffff, 0x0},
		{"MaxPwr", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_181", 0x3f2d0, {
		{"GraphicsLevel_7_SpllSpreadSpectrum2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_180", 0x3f2cc, {
		{"GraphicsLevel_7_SpllSpreadSpectrum", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_183", 0x3f2d8, {
		{"GraphicsLevel_7_CcPwrDynRm1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_182", 0x3f2d4, {
		{"GraphicsLevel_7_CcPwrDynRm", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_185", 0x3f2e0, {
		{"GraphicsLevel_7_VoltageDownHyst", 0xff00, 0x8},
		{"GraphicsLevel_7_PowerThrottle", 0xff, 0x0},
		{"GraphicsLevel_7_DownHyst", 0xff0000, 0x10},
		{"GraphicsLevel_7_UpHyst", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_184", 0x3f2dc, {
		{"GraphicsLevel_7_DisplayWatermark", 0xff0000, 0x10},
		{"GraphicsLevel_7_EnabledForActivity", 0xff00, 0x8},
		{"GraphicsLevel_7_EnabledForThrottle", 0xff, 0x0},
		{"GraphicsLevel_7_SclkDid", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_187", 0x3f2e8, {
		{"MemoryACPILevel_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_186", 0x3f2e4, {
		{"GraphicsLevel_7_padding_2", 0xff, 0x0},
		{"GraphicsLevel_7_padding_1", 0xff00, 0x8},
		{"GraphicsLevel_7_padding_0", 0xff0000, 0x10},
		{"GraphicsLevel_7_DeepSleepDivId", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_479", 0x3f778, {
		{"MemoryVoltageChangeEnable", 0xff, 0x0},
		{"MemoryBootLevel", 0xff00, 0x8},
		{"TemperatureLimitLow", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_478", 0x3f774, {
		{"ThermalInterval", 0xff0000, 0x10},
		{"VoltageInterval", 0xff000000, 0x18},
		{"TemperatureLimitHigh", 0xffff, 0x0}
	} },
	{"ROM_SW_DATA_16", 0xc0600064, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_434", 0x3f6c4, {
		{"SamuLevel_6_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_470", 0x3f754, {
		{"Smio_27", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_473", 0x3f760, {
		{"Smio_30", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_472", 0x3f75c, {
		{"Smio_29", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_475", 0x3f768, {
		{"VceBootLevel", 0xff0000, 0x10},
		{"UvdBootLevel", 0xff000000, 0x18},
		{"SamuBootLevel", 0xff, 0x0},
		{"AcpBootLevel", 0xff00, 0x8}
	} },
	{"DPM_TABLE_363", 0x3f5a8, {
		{"UvdLevel_1_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_477", 0x3f770, {
		{"GraphicsInterval", 0xff, 0x0},
		{"GraphicsThermThrottleEnable", 0xff00, 0x8},
		{"GraphicsBootLevel", 0xff000000, 0x18},
		{"GraphicsVoltageChangeEnable", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_476", 0x3f76c, {
		{"ACPInterval", 0xff00, 0x8},
		{"UVDInterval", 0xff000000, 0x18},
		{"SAMUInterval", 0xff, 0x0},
		{"VCEInterval", 0xff0000, 0x10}
	} },
	{"MC_REGISTERS_TABLE_112", 0x3fcfc, {
		{"data_5_value_14", 0xffffffff, 0x0}
	} },
	{"GCK1_GCK_SMC_IND_DATA", 0x83, {

	} },
	{"SMC_RESP_11", 0xbc, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_10", 0xba, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"ROM_SW_DATA_24", 0xc0600084, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_56", 0x3fee0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR0_DATA", 0xc0300140, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"ROM_SW_DATA_28", 0xc0600094, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"CC_SMU_MISC_FUSES", 0xc00c0004, {
		{"GNB_SPARE", 0x60000000, 0x1d},
		{"L2IMU_tn2_itc_half", 0x100000, 0x14},
		{"L2IMU_tn2_pdc_half", 0x200000, 0x15},
		{"PostResetGnbClkDid", 0x3f800, 0xb},
		{"IOC_IOMMU_DISABLE", 0x10000000, 0x1c},
		{"IOMMU_V2_DISABLE", 0x2, 0x1},
		{"VCE_DISABLE", 0x8000000, 0x1b},
		{"MinSClkDid", 0x1fc, 0x2},
		{"L2IMU_tn2_itc_dis", 0x800000, 0x17},
		{"L2IMU_tn2_ptc_half", 0x80000, 0x13},
		{"MISC_SPARE", 0x600, 0x9},
		{"L2IMU_tn2_dtc_half", 0x40000, 0x12},
		{"L2IMU_tn2_ptc_dis", 0x400000, 0x16}
	} },
	{"MC_REGISTERS_TABLE_16", 0x3fb7c, {
		{"address_14_s1", 0xffff, 0x0},
		{"address_14_s0", 0xffff0000, 0x10}
	} },
	{"MC_REGISTERS_TABLE_111", 0x3fcf8, {
		{"data_5_value_13", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_119", 0x3ffdc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_4", 0x3fe10, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_5", 0x3fe14, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_6", 0x3fe18, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_7", 0x3fe1c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_0", 0x3fe00, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_76", 0x3fc6c, {
		{"data_3_value_10", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_2", 0x3fe08, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_3", 0x3fe0c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_52", 0x3fed0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_488", 0x3f79c, {
		{"BAPMTI_R_0_2_0", 0xffff0000, 0x10},
		{"BAPMTI_R_1_0_0", 0xffff, 0x0}
	} },
	{"SMU_PM_STATUS_50", 0x3fec8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_51", 0x3fecc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_8", 0x3fe20, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_9", 0x3fe24, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_54", 0x3fed8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_489", 0x3f7a0, {
		{"BAPMTI_R_1_2_0", 0xffff, 0x0},
		{"BAPMTI_R_1_1_0", 0xffff0000, 0x10}
	} },
	{"GPIOPAD_EXTERN_TRIG_CNTL", 0x18d, {
		{"EXTERN_TRIG_READ", 0x40, 0x6},
		{"EXTERN_TRIG_CLR", 0x20, 0x5},
		{"EXTERN_TRIG_SEL", 0x1f, 0x0}
	} },
	{"ROM_SW_DATA_63", 0xc0600130, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR13_DATA", 0xc0300174, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"SPLL_CNTL_MODE", 0xc0500160, {
		{"SPLL_TEST", 0x4, 0x2},
		{"SPLL_RESET_EN", 0x10000000, 0x1c},
		{"SPLL_CTLREQ_DLY_CNT", 0xff000, 0xc},
		{"SPLL_SW_DIR_CONTROL", 0x1, 0x0},
		{"SPLL_TEST_CLK_EXT_DIV", 0xc00, 0xa},
		{"SPLL_ENSAT", 0x10, 0x4},
		{"SPLL_LEGACY_PDIV", 0x2, 0x1},
		{"SPLL_FASTEN", 0x8, 0x3},
		{"SPLL_VCO_MODE", 0x60000000, 0x1d}
	} },
	{"MC_REGISTERS_TABLE_15", 0x3fb78, {
		{"address_13_s0", 0xffff0000, 0x10},
		{"address_13_s1", 0xffff, 0x0}
	} },
	{"SMU_PM_STATUS_57", 0x3fee4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SMC_IND_INDEX", 0x80, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_144", 0x3fb3c, {
		{"entries_7_5_padding_0", 0xff0000, 0x10},
		{"entries_7_5_padding_1", 0xff00, 0x8},
		{"entries_7_5_padding_2", 0xff, 0x0},
		{"entries_7_5_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MC_REGISTERS_TABLE_110", 0x3fcf4, {
		{"data_5_value_12", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_1", 0x3fe04, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMC2_SMC_IND_DATA", 0x85, {

	} },
	{"MCARB_DRAM_TIMING_TABLE_30", 0x3f974, {
		{"entries_1_3_padding_0", 0xff0000, 0x10},
		{"entries_1_3_padding_1", 0xff00, 0x8},
		{"entries_1_3_padding_2", 0xff, 0x0},
		{"entries_1_3_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_31", 0x3f978, {
		{"entries_1_4_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_32", 0x3f97c, {
		{"entries_1_4_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_33", 0x3f980, {
		{"entries_1_4_padding_2", 0xff, 0x0},
		{"entries_1_4_padding_1", 0xff00, 0x8},
		{"entries_1_4_padding_0", 0xff0000, 0x10},
		{"entries_1_4_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_34", 0x3f984, {
		{"entries_1_5_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_35", 0x3f988, {
		{"entries_1_5_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_36", 0x3f98c, {
		{"entries_1_5_padding_2", 0xff, 0x0},
		{"entries_1_5_padding_0", 0xff0000, 0x10},
		{"entries_1_5_padding_1", 0xff00, 0x8},
		{"entries_1_5_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_37", 0x3f990, {
		{"entries_2_0_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_38", 0x3f994, {
		{"entries_2_0_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_39", 0x3f998, {
		{"entries_2_0_padding_0", 0xff0000, 0x10},
		{"entries_2_0_padding_1", 0xff00, 0x8},
		{"entries_2_0_padding_2", 0xff, 0x0},
		{"entries_2_0_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"SMU_PM_STATUS_106", 0x3ffa8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CG_FREQ_TRAN_VOTING_6", 0xc02001c0, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_FREQ_TRAN_VOTING_1", 0xc02001ac, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_FREQ_TRAN_VOTING_0", 0xc02001a8, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_FREQ_TRAN_VOTING_3", 0xc02001b4, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_FREQ_TRAN_VOTING_2", 0xc02001b0, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"MCARB_DRAM_TIMING_TABLE_4", 0x3f90c, {
		{"entries_0_1_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_5", 0x3f910, {
		{"entries_0_1_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_6", 0x3f914, {
		{"entries_0_1_McArbBurstTime", 0xff000000, 0x18},
		{"entries_0_1_padding_2", 0xff, 0x0},
		{"entries_0_1_padding_1", 0xff00, 0x8},
		{"entries_0_1_padding_0", 0xff0000, 0x10}
	} },
	{"MCARB_DRAM_TIMING_TABLE_7", 0x3f918, {
		{"entries_0_2_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_103", 0x3fa98, {
		{"entries_5_4_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_1", 0x3f900, {
		{"entries_0_0_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_2", 0x3f904, {
		{"entries_0_0_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_3", 0x3f908, {
		{"entries_0_0_McArbBurstTime", 0xff000000, 0x18},
		{"entries_0_0_padding_2", 0xff, 0x0},
		{"entries_0_0_padding_0", 0xff0000, 0x10},
		{"entries_0_0_padding_1", 0xff00, 0x8}
	} },
	{"LCAC_MC0_OVR_SEL", 0xc0400d34, {
		{"MC0_OVR_SEL", 0xffffffff, 0x0}
	} },
	{"PAGE_MIRROR_CNTL", 0xc0600004, {
		{"PAGE_MIRROR_BASE_ADDR", 0xffffff, 0x0},
		{"PAGE_MIRROR_USAGE", 0xc000000, 0x1a},
		{"PAGE_MIRROR_INVALIDATE", 0x1000000, 0x18},
		{"PAGE_MIRROR_ENABLE", 0x2000000, 0x19}
	} },
	{"MCARB_DRAM_TIMING_TABLE_8", 0x3f91c, {
		{"entries_0_2_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_9", 0x3f920, {
		{"entries_0_2_padding_0", 0xff0000, 0x10},
		{"entries_0_2_padding_1", 0xff00, 0x8},
		{"entries_0_2_padding_2", 0xff, 0x0},
		{"entries_0_2_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_109", 0x3fab0, {
		{"entries_6_0_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_108", 0x3faac, {
		{"entries_5_5_McArbBurstTime", 0xff000000, 0x18},
		{"entries_5_5_padding_2", 0xff, 0x0},
		{"entries_5_5_padding_0", 0xff0000, 0x10},
		{"entries_5_5_padding_1", 0xff00, 0x8}
	} },
	{"SMU_PM_STATUS_122", 0x3ffe8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_12", 0x3fe30, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CC_GIO_IOC_FUSES", 0xc00c0010, {
		{"IOC_FUSES", 0x3e, 0x1}
	} },
	{"SMU_PM_STATUS_105", 0x3ffa4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_61", 0x3fc30, {
		{"data_2_value_11", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_DEBUG", 0xc0300310, {
		{"DEBUG_Z", 0xffe0, 0x5},
		{"DEBUG_RDI", 0x1f, 0x0}
	} },
	{"MC_REGISTERS_TABLE_13", 0x3fb70, {
		{"address_11_s0", 0xffff0000, 0x10},
		{"address_11_s1", 0xffff, 0x0}
	} },
	{"SMU_PM_STATUS_110", 0x3ffb8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_49", 0x3fec4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_426", 0x3f6a4, {
		{"SamuLevel_2_Frequency", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_135", 0x3fb18, {
		{"entries_7_2_McArbBurstTime", 0xff000000, 0x18},
		{"entries_7_2_padding_2", 0xff, 0x0},
		{"entries_7_2_padding_1", 0xff00, 0x8},
		{"entries_7_2_padding_0", 0xff0000, 0x10}
	} },
	{"MC_REGISTERS_TABLE_99", 0x3fcc8, {
		{"data_5_value_1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_427", 0x3f6a8, {
		{"SamuLevel_2_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_2_MinPhases", 0xff00, 0x8},
		{"SamuLevel_2_Divider", 0xff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_97", 0x3fcc0, {
		{"data_4_value_15", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_96", 0x3fcbc, {
		{"data_4_value_14", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_95", 0x3fcb8, {
		{"data_4_value_13", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_94", 0x3fcb4, {
		{"data_4_value_12", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_93", 0x3fcb0, {
		{"data_4_value_11", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_424", 0x3f69c, {
		{"SamuLevel_1_Frequency", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_91", 0x3fca8, {
		{"data_4_value_9", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_133", 0x3fb10, {
		{"entries_7_2_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_53", 0xc06000f8, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_12", 0x3fb6c, {
		{"address_10_s1", 0xffff, 0x0},
		{"address_10_s0", 0xffff0000, 0x10}
	} },
	{"SMU_PM_STATUS_64", 0x3ff00, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_425", 0x3f6a0, {
		{"SamuLevel_1_Divider", 0xff, 0x0},
		{"SamuLevel_1_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_1_MinPhases", 0xff00, 0x8}
	} },
	{"ROM_SW_DATA_21", 0xc0600078, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_6", 0x8c, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_7", 0x8e, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_4", 0x88, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_5", 0x8a, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_2", 0x84, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_3", 0x86, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_0", 0x80, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"SMC_IND_INDEX_1", 0x82, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_237", 0x3f3b0, {
		{"MemoryLevel_1_MclkPwrmgtCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_236", 0x3f3ac, {
		{"MemoryLevel_1_MpllDqFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_235", 0x3f3a8, {
		{"MemoryLevel_1_MpllAdFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_234", 0x3f3a4, {
		{"MemoryLevel_1_MpllFuncCntl_2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_233", 0x3f3a0, {
		{"MemoryLevel_1_MpllFuncCntl_1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_232", 0x3f39c, {
		{"MemoryLevel_1_MpllFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_231", 0x3f398, {
		{"MemoryLevel_1_padding1_1", 0xff, 0x0},
		{"MemoryLevel_1_padding1_0", 0xff00, 0x8},
		{"MemoryLevel_1_ActivityLevel", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_230", 0x3f394, {
		{"MemoryLevel_1_padding", 0xff, 0x0},
		{"MemoryLevel_1_UpHyst", 0xff000000, 0x18},
		{"MemoryLevel_1_DownHyst", 0xff0000, 0x10},
		{"MemoryLevel_1_VoltageDownHyst", 0xff00, 0x8}
	} },
	{"SMU_PM_STATUS_97", 0x3ff84, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_421", 0x3f690, {
		{"AcpLevel_7_MinPhases", 0xff00, 0x8},
		{"AcpLevel_7_Divider", 0xff, 0x0},
		{"AcpLevel_7_MinVoltage", 0xffff0000, 0x10}
	} },
	{"MC_REGISTERS_TABLE_90", 0x3fca4, {
		{"data_4_value_8", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_239", 0x3f3b8, {
		{"MemoryLevel_1_MpllSs1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_238", 0x3f3b4, {
		{"MemoryLevel_1_DllCntl", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_58", 0xc060011c, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"LCAC_MC0_OVR_VAL", 0xc0400d38, {
		{"MC0_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_99", 0x3fa88, {
		{"entries_5_2_McArbBurstTime", 0xff000000, 0x18},
		{"entries_5_2_padding_1", 0xff00, 0x8},
		{"entries_5_2_padding_0", 0xff0000, 0x10},
		{"entries_5_2_padding_2", 0xff, 0x0}
	} },
	{"CG_SPLL_SPREAD_SPECTRUM", 0xc0500164, {
		{"SSEN", 0x1, 0x0},
		{"CLKS", 0xfff0, 0x4}
	} },
	{"DPM_TABLE_394", 0x3f624, {
		{"VceLevel_2_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_395", 0x3f628, {
		{"VceLevel_2_Divider", 0xff, 0x0},
		{"VceLevel_2_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_2_MinPhases", 0xff00, 0x8}
	} },
	{"DPM_TABLE_396", 0x3f62c, {
		{"VceLevel_3_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_397", 0x3f630, {
		{"VceLevel_3_MinPhases", 0xff00, 0x8},
		{"VceLevel_3_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_3_Divider", 0xff, 0x0}
	} },
	{"DPM_TABLE_390", 0x3f614, {
		{"VceLevel_0_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_391", 0x3f618, {
		{"VceLevel_0_Divider", 0xff, 0x0},
		{"VceLevel_0_MinVoltage", 0xffff0000, 0x10},
		{"VceLevel_0_MinPhases", 0xff00, 0x8}
	} },
	{"DPM_TABLE_392", 0x3f61c, {
		{"VceLevel_1_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_393", 0x3f620, {
		{"VceLevel_1_MinPhases", 0xff00, 0x8},
		{"VceLevel_1_Divider", 0xff, 0x0},
		{"VceLevel_1_MinVoltage", 0xffff0000, 0x10}
	} },
	{"SMU_PM_STATUS_94", 0x3ff78, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_59", 0xc0600120, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_51", 0xc06000f0, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_48", 0xc06000e4, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_398", 0x3f634, {
		{"VceLevel_4_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_399", 0x3f638, {
		{"VceLevel_4_MinPhases", 0xff00, 0x8},
		{"VceLevel_4_Divider", 0xff, 0x0},
		{"VceLevel_4_MinVoltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_428", 0x3f6ac, {
		{"SamuLevel_3_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_429", 0x3f6b0, {
		{"SamuLevel_3_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_3_Divider", 0xff, 0x0},
		{"SamuLevel_3_MinPhases", 0xff00, 0x8}
	} },
	{"CC_SCLK_VID_FUSES", 0xc00c0008, {
		{"SClkVid2", 0xff0000, 0x10},
		{"SClkVid3", 0xff000000, 0x18},
		{"SClkVid0", 0xff, 0x0},
		{"SClkVid1", 0xff00, 0x8}
	} },
	{"CG_FREQ_TRAN_VOTING_5", 0xc02001bc, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"CG_THERMAL_INT_STATUS", 0xc210002c, {
		{"THERM_INTL_DETECT", 0x2, 0x1},
		{"THERM_TRIGGER_DETECT", 0x4, 0x2},
		{"THERM_TRIGGER_CNB_DETECT", 0x8, 0x3},
		{"THERM_INTH_DETECT", 0x1, 0x0}
	} },
	{"SMU_PM_STATUS_99", 0x3ff8c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_100", 0x3fccc, {
		{"data_5_value_2", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_17", 0xc0600068, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR9_DATA", 0xc0300164, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"ROM_SW_DATA_42", 0xc06000cc, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_303", 0x3f4b8, {
		{"MemoryLevel_5_ActivityLevel", 0xffff0000, 0x10},
		{"MemoryLevel_5_padding1_1", 0xff, 0x0},
		{"MemoryLevel_5_padding1_0", 0xff00, 0x8}
	} },
	{"DPM_TABLE_302", 0x3f4b4, {
		{"MemoryLevel_5_DownHyst", 0xff0000, 0x10},
		{"MemoryLevel_5_VoltageDownHyst", 0xff00, 0x8},
		{"MemoryLevel_5_padding", 0xff, 0x0},
		{"MemoryLevel_5_UpHyst", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_301", 0x3f4b0, {
		{"MemoryLevel_5_StrobeEnable", 0xff000000, 0x18},
		{"MemoryLevel_5_EnabledForThrottle", 0xff00, 0x8},
		{"MemoryLevel_5_StrobeRatio", 0xff0000, 0x10},
		{"MemoryLevel_5_EnabledForActivity", 0xff, 0x0}
	} },
	{"DPM_TABLE_300", 0x3f4ac, {
		{"MemoryLevel_5_EdcReadEnable", 0xff000000, 0x18},
		{"MemoryLevel_5_StutterEnable", 0xff, 0x0},
		{"MemoryLevel_5_RttEnable", 0xff00, 0x8},
		{"MemoryLevel_5_EdcWriteEnable", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_307", 0x3f4c8, {
		{"MemoryLevel_5_MpllAdFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_306", 0x3f4c4, {
		{"MemoryLevel_5_MpllFuncCntl_2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_305", 0x3f4c0, {
		{"MemoryLevel_5_MpllFuncCntl_1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_304", 0x3f4bc, {
		{"MemoryLevel_5_MpllFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_309", 0x3f4d0, {
		{"MemoryLevel_5_MclkPwrmgtCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_308", 0x3f4cc, {
		{"MemoryLevel_5_MpllDqFuncCntl", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_33", 0x3fbc0, {
		{"data_0_value_15", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_169", 0x3f2a0, {
		{"GraphicsLevel_6_CcPwrDynRm1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_168", 0x3f29c, {
		{"GraphicsLevel_6_CcPwrDynRm", 0xffffffff, 0x0}
	} },
	{"SMC_SYSCON_MISC_CNTL", 0x80000010, {

	} },
	{"DPM_TABLE_163", 0x3f288, {
		{"GraphicsLevel_6_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_6_padding1_0", 0xff000000, 0x18},
		{"GraphicsLevel_6_padding1_1", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_162", 0x3f284, {
		{"GraphicsLevel_6_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_161", 0x3f280, {
		{"GraphicsLevel_6_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"SMC_SYSCON_CLOCK_CNTL_1", 0x80000008, {
		{"auto_ck_disable", 0x1, 0x0}
	} },
	{"DPM_TABLE_167", 0x3f298, {
		{"GraphicsLevel_6_SpllSpreadSpectrum2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_166", 0x3f294, {
		{"GraphicsLevel_6_SpllSpreadSpectrum", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_165", 0x3f290, {
		{"GraphicsLevel_6_CgSpllFuncCntl4", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_164", 0x3f28c, {
		{"GraphicsLevel_6_CgSpllFuncCntl3", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_5", 0x3fdb0, {
		{"VddCVid_2", 0xff00, 0x8},
		{"VddCVid_3", 0xff, 0x0},
		{"VddCVid_0", 0xff000000, 0x18},
		{"VddCVid_1", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_499", 0x3f7c8, {
		{"BAPMTI_RC_3_0_0", 0xffff0000, 0x10},
		{"BAPMTI_RC_3_1_0", 0xffff, 0x0}
	} },
	{"DPM_TABLE_498", 0x3f7c4, {
		{"BAPMTI_RC_2_1_0", 0xffff0000, 0x10},
		{"BAPMTI_RC_2_2_0", 0xffff, 0x0}
	} },
	{"CG_FREQ_TRAN_VOTING_7", 0xc02001c4, {
		{"GRBM_10_FREQ_THROTTLING_VOTE_EN", 0x1000000, 0x18},
		{"GRBM_6_FREQ_THROTTLING_VOTE_EN", 0x100000, 0x14},
		{"GRBM_0_FREQ_THROTTLING_VOTE_EN", 0x4000, 0xe},
		{"SAM_FREQ_THROTTLING_VOTE_EN", 0x1000, 0xc},
		{"HDP_FREQ_THROTTLING_VOTE_EN", 0x2, 0x1},
		{"GRBM_7_FREQ_THROTTLING_VOTE_EN", 0x200000, 0x15},
		{"GRBM_8_FREQ_THROTTLING_VOTE_EN", 0x400000, 0x16},
		{"AVP_FREQ_THROTTLING_VOTE_EN", 0x2000, 0xd},
		{"GRBM_14_FREQ_THROTTLING_VOTE_EN", 0x10000000, 0x1c},
		{"DC_AZ_FREQ_THROTTLING_VOTE_EN", 0x800, 0xb},
		{"GRBM_5_FREQ_THROTTLING_VOTE_EN", 0x80000, 0x13},
		{"IDCT_FREQ_THROTTLING_VOTE_EN", 0x40, 0x6},
		{"GRBM_9_FREQ_THROTTLING_VOTE_EN", 0x800000, 0x17},
		{"ACP_FREQ_THROTTLING_VOTE_EN", 0x80, 0x7},
		{"PDMA_FREQ_THROTTLING_VOTE_EN", 0x10, 0x4},
		{"DRM_FREQ_THROTTLING_VOTE_EN", 0x20, 0x5},
		{"GRBM_11_FREQ_THROTTLING_VOTE_EN", 0x2000000, 0x19},
		{"GRBM_3_FREQ_THROTTLING_VOTE_EN", 0x20000, 0x11},
		{"IH_SEM_FREQ_THROTTLING_VOTE_EN", 0x8, 0x3},
		{"UVD_FREQ_THROTTLING_VOTE_EN", 0x200, 0x9},
		{"ROM_FREQ_THROTTLING_VOTE_EN", 0x4, 0x2},
		{"GRBM_15_FREQ_THROTTLING_VOTE_EN", 0x20000000, 0x1d},
		{"BIF_FREQ_THROTTLING_VOTE_EN", 0x1, 0x0},
		{"SDMA_FREQ_THROTTLING_VOTE_EN", 0x100, 0x8},
		{"RLC_FREQ_THROTTLING_VOTE_EN", 0x40000000, 0x1e},
		{"GRBM_12_FREQ_THROTTLING_VOTE_EN", 0x4000000, 0x1a},
		{"GRBM_13_FREQ_THROTTLING_VOTE_EN", 0x8000000, 0x1b},
		{"VCE_FREQ_THROTTLING_VOTE_EN", 0x400, 0xa},
		{"GRBM_2_FREQ_THROTTLING_VOTE_EN", 0x10000, 0x10},
		{"GRBM_1_FREQ_THROTTLING_VOTE_EN", 0x8000, 0xf},
		{"GRBM_4_FREQ_THROTTLING_VOTE_EN", 0x40000, 0x12}
	} },
	{"MC_REGISTERS_TABLE_37", 0x3fbd0, {
		{"data_1_value_3", 0xffffffff, 0x0}
	} },
	{"SMC_RESP_9", 0xb8, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_8", 0xb6, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_7", 0xa3, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_6", 0xa1, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_5", 0x9f, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_4", 0x9d, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_3", 0x9b, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_2", 0x99, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_1", 0x97, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"SMC_RESP_0", 0x95, {
		{"SMC_RESP", 0xffff, 0x0}
	} },
	{"DPM_TABLE_72", 0x3f11c, {
		{"Reserved_2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_73", 0x3f120, {
		{"Reserved_3", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_70", 0x3f114, {
		{"Reserved_0", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_71", 0x3f118, {
		{"Reserved_1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_76", 0x3f12c, {
		{"GraphicsLevel_0_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_77", 0x3f130, {
		{"GraphicsLevel_0_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_74", 0x3f124, {
		{"Reserved_4", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_75", 0x3f128, {
		{"GraphicsLevel_0_Flags", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_63", 0x3fefc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_78", 0x3f134, {
		{"GraphicsLevel_0_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_79", 0x3f138, {
		{"GraphicsLevel_0_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_0_padding1_0", 0xff000000, 0x18},
		{"GraphicsLevel_0_padding1_1", 0xff0000, 0x10}
	} },
	{"MC_REGISTERS_TABLE_79", 0x3fc78, {
		{"data_3_value_13", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_78", 0x3fc74, {
		{"data_3_value_12", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_117", 0x3ffd4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"LCAC_SX0_CNTL", 0xc0400d00, {
		{"SX0_SIGNAL_ID", 0x3fc00000, 0x16},
		{"SX0_ENABLE", 0x1, 0x0},
		{"SX0_THRESHOLD", 0x1fffe, 0x1},
		{"SX0_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"DPM_TABLE_469", 0x3f750, {
		{"Smio_26", 0xffffffff, 0x0}
	} },
	{"CNB_PWRMGT_CNTL", 0xc0200004, {
		{"GNB_SLOW_MODE", 0x3, 0x0},
		{"GNB_SLOW", 0x4, 0x2},
		{"DPM_ENABLED", 0x10, 0x4},
		{"FORCE_NB_PS1", 0x8, 0x3},
		{"SPARE", 0xffffffe0, 0x5}
	} },
	{"CG_DISPLAY_GAP_CNTL", 0xc0200060, {
		{"VBI_TIMER_COUNT", 0x3fff0, 0x4},
		{"DISP_GAP", 0x3, 0x0},
		{"DISP_GAP_MCHG", 0x3000000, 0x18},
		{"VBI_TIMER_DISABLE", 0x10000000, 0x1c},
		{"VBI_TIMER_UNIT", 0x700000, 0x14}
	} },
	{"SOFT_REGISTERS_TABLE_23", 0x3fd80, {
		{"Reserved_2", 0xffffffff, 0x0}
	} },
	{"CG_ACPI_CNTL", 0xc0200064, {
		{"SCLK_ACPI_DIV", 0x7f, 0x0},
		{"SCLK_CHANGE_SKIP", 0x80, 0x7}
	} },
	{"GPIOPAD_INT_STAT_AK", 0x189, {
		{"GPIO_INT_STAT_AK_18", 0x40000, 0x12},
		{"GPIO_INT_STAT_AK_19", 0x80000, 0x13},
		{"GPIO_INT_STAT_AK_16", 0x10000, 0x10},
		{"GPIO_INT_STAT_AK_17", 0x20000, 0x11},
		{"GPIO_INT_STAT_AK_14", 0x4000, 0xe},
		{"GPIO_INT_STAT_AK_15", 0x8000, 0xf},
		{"GPIO_INT_STAT_AK_12", 0x1000, 0xc},
		{"GPIO_INT_STAT_AK_13", 0x2000, 0xd},
		{"GPIO_INT_STAT_AK_10", 0x400, 0xa},
		{"GPIO_INT_STAT_AK_11", 0x800, 0xb},
		{"SW_INITIATED_INT_STAT_AK", 0x80000000, 0x1f},
		{"GPIO_INT_STAT_AK_27", 0x8000000, 0x1b},
		{"GPIO_INT_STAT_AK_26", 0x4000000, 0x1a},
		{"GPIO_INT_STAT_AK_25", 0x2000000, 0x19},
		{"GPIO_INT_STAT_AK_24", 0x1000000, 0x18},
		{"GPIO_INT_STAT_AK_23", 0x800000, 0x17},
		{"GPIO_INT_STAT_AK_22", 0x400000, 0x16},
		{"GPIO_INT_STAT_AK_21", 0x200000, 0x15},
		{"GPIO_INT_STAT_AK_20", 0x100000, 0x14},
		{"GPIO_INT_STAT_AK_28", 0x10000000, 0x1c},
		{"GPIO_INT_STAT_AK_8", 0x100, 0x8},
		{"GPIO_INT_STAT_AK_9", 0x200, 0x9},
		{"GPIO_INT_STAT_AK_4", 0x10, 0x4},
		{"GPIO_INT_STAT_AK_5", 0x20, 0x5},
		{"GPIO_INT_STAT_AK_6", 0x40, 0x6},
		{"GPIO_INT_STAT_AK_7", 0x80, 0x7},
		{"GPIO_INT_STAT_AK_0", 0x1, 0x0},
		{"GPIO_INT_STAT_AK_1", 0x2, 0x1},
		{"GPIO_INT_STAT_AK_2", 0x4, 0x2},
		{"GPIO_INT_STAT_AK_3", 0x8, 0x3}
	} },
	{"ROM_SW_DATA_55", 0xc0600110, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_12", 0xc0600054, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_11", 0x3fb68, {
		{"address_9_s0", 0xffff0000, 0x10},
		{"address_9_s1", 0xffff, 0x0}
	} },
	{"LCAC_MC1_OVR_VAL", 0xc0400d44, {
		{"MC1_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_20", 0x3f94c, {
		{"entries_1_0_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"SMC1_SMC_IND_INDEX", 0x82, {

	} },
	{"DPM_TABLE_453", 0x3f710, {
		{"Smio_10", 0xffffffff, 0x0}
	} },
	{"TDC_VRM_LIMIT", 0x3f810, {
		{"IDD", 0xffff, 0x0},
		{"IDDC", 0xffff0000, 0x10}
	} },
	{"SMU_PM_STATUS_91", 0x3ff6c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_438", 0x3f6d4, {
		{"Ulv_CcPwrDynRm", 0xffffffff, 0x0}
	} },
	{"GPIOPAD_INT_POLARITY", 0x18c, {
		{"SW_INITIATED_INT_POLARITY", 0x80000000, 0x1f},
		{"GPIO_INT_POLARITY", 0x1fffffff, 0x0}
	} },
	{"CG_MULT_THERMAL_STATUS", 0xc0300014, {
		{"ASIC_MAX_TEMP", 0x1ff, 0x0},
		{"CTF_TEMP", 0x3fe00, 0x9}
	} },
	{"GCK3_GCK_SMC_IND_DATA", 0x87, {

	} },
	{"MCARB_DRAM_TIMING_TABLE_10", 0x3f924, {
		{"entries_0_3_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_18", 0xc060006c, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_467", 0x3f748, {
		{"Smio_24", 0xffffffff, 0x0}
	} },
	{"CG_ULV_PARAMETER", 0xc020015c, {
		{"ULV_THRESHOLD_UNIT", 0xf0000, 0x10},
		{"ULV_THRESHOLD", 0xffff, 0x0}
	} },
	{"ROM_SW_DATA_56", 0xc0600114, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_25", 0x3fd88, {
		{"Reserved_4", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR6_DATA", 0xc0300158, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"MC_REGISTERS_TABLE_105", 0x3fce0, {
		{"data_5_value_7", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_69", 0x3fa10, {
		{"entries_3_4_padding_1", 0xff00, 0x8},
		{"entries_3_4_padding_0", 0xff0000, 0x10},
		{"entries_3_4_padding_2", 0xff, 0x0},
		{"entries_3_4_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_68", 0x3fa0c, {
		{"entries_3_4_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIL12_DATA", 0xc0300130, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"LCAC_MC3_OVR_VAL", 0xc0400d5c, {
		{"MC3_OVR_VAL", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_63", 0x3f9f8, {
		{"entries_3_2_padding_2", 0xff, 0x0},
		{"entries_3_2_padding_1", 0xff00, 0x8},
		{"entries_3_2_padding_0", 0xff0000, 0x10},
		{"entries_3_2_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_62", 0x3f9f4, {
		{"entries_3_2_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_61", 0x3f9f0, {
		{"entries_3_2_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_60", 0x3f9ec, {
		{"entries_3_1_padding_0", 0xff0000, 0x10},
		{"entries_3_1_padding_1", 0xff00, 0x8},
		{"entries_3_1_padding_2", 0xff, 0x0},
		{"entries_3_1_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_67", 0x3fa08, {
		{"entries_3_4_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_66", 0x3fa04, {
		{"entries_3_3_padding_2", 0xff, 0x0},
		{"entries_3_3_padding_0", 0xff0000, 0x10},
		{"entries_3_3_padding_1", 0xff00, 0x8},
		{"entries_3_3_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_65", 0x3fa00, {
		{"entries_3_3_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_64", 0x3f9fc, {
		{"entries_3_3_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_106", 0x3fce4, {
		{"data_5_value_8", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_37", 0xc06000b8, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_19", 0x3fb88, {
		{"data_0_value_1", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_37", 0x3fe94, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIL0_DATA", 0xc0300100, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"MC_REGISTERS_TABLE_107", 0x3fce8, {
		{"data_5_value_9", 0xffffffff, 0x0}
	} },
	{"ROM1_ROM_SMC_IND_INDEX", 0x82, {

	} },
	{"SMU1_SMU_SMC_IND_DATA", 0x83, {

	} },
	{"DPM_TABLE_290", 0x3f484, {
		{"MemoryLevel_4_MpllDqFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_293", 0x3f490, {
		{"MemoryLevel_4_MpllSs1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_292", 0x3f48c, {
		{"MemoryLevel_4_DllCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_295", 0x3f498, {
		{"MemoryLevel_5_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_294", 0x3f494, {
		{"MemoryLevel_4_MpllSs2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_297", 0x3f4a0, {
		{"MemoryLevel_5_MinVddci", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_296", 0x3f49c, {
		{"MemoryLevel_5_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_299", 0x3f4a8, {
		{"MemoryLevel_5_MclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_298", 0x3f4a4, {
		{"MemoryLevel_5_MinMvdd", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_4", 0x3fdac, {
		{"BapmVddCVidLoSidd_5", 0xff0000, 0x10},
		{"BapmVddCVidLoSidd_4", 0xff000000, 0x18},
		{"BapmVddCVidLoSidd_7", 0xff, 0x0},
		{"BapmVddCVidLoSidd_6", 0xff00, 0x8}
	} },
	{"CG_DISPLAY_GAP_CNTL2", 0xc0200230, {
		{"VBI_PREDICTION", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_10", 0x3fb64, {
		{"address_8_s1", 0xffff, 0x0},
		{"address_8_s0", 0xffff0000, 0x10}
	} },
	{"CG_VCLK_CNTL", 0xc05000a4, {
		{"VCLK_DIVIDER", 0x7f, 0x0},
		{"VCLK_DIR_CNTL_EN", 0x100, 0x8},
		{"VCLK_DIR_CNTL_TOG", 0x200, 0x9},
		{"VCLK_DIR_CNTL_DIVIDER", 0x1fc00, 0xa}
	} },
	{"DPM_TABLE_347", 0x3f568, {
		{"ACPILevel_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_346", 0x3f564, {
		{"ACPILevel_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_345", 0x3f560, {
		{"ACPILevel_Flags", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_344", 0x3f55c, {
		{"LinkLevel_7_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_268", 0x3f42c, {
		{"MemoryLevel_3_MpllFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_269", 0x3f430, {
		{"MemoryLevel_3_MpllFuncCntl_1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_341", 0x3f550, {
		{"LinkLevel_7_PcieGenSpeed", 0xff000000, 0x18},
		{"LinkLevel_7_PcieLaneCount", 0xff0000, 0x10},
		{"LinkLevel_7_Padding", 0xff, 0x0},
		{"LinkLevel_7_EnabledForActivity", 0xff00, 0x8}
	} },
	{"DPM_TABLE_340", 0x3f54c, {
		{"LinkLevel_6_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_264", 0x3f41c, {
		{"MemoryLevel_3_EdcWriteEnable", 0xff0000, 0x10},
		{"MemoryLevel_3_EdcReadEnable", 0xff000000, 0x18},
		{"MemoryLevel_3_RttEnable", 0xff00, 0x8},
		{"MemoryLevel_3_StutterEnable", 0xff, 0x0}
	} },
	{"DPM_TABLE_265", 0x3f420, {
		{"MemoryLevel_3_EnabledForActivity", 0xff, 0x0},
		{"MemoryLevel_3_StrobeEnable", 0xff000000, 0x18},
		{"MemoryLevel_3_EnabledForThrottle", 0xff00, 0x8},
		{"MemoryLevel_3_StrobeRatio", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_266", 0x3f424, {
		{"MemoryLevel_3_padding", 0xff, 0x0},
		{"MemoryLevel_3_VoltageDownHyst", 0xff00, 0x8},
		{"MemoryLevel_3_DownHyst", 0xff0000, 0x10},
		{"MemoryLevel_3_UpHyst", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_267", 0x3f428, {
		{"MemoryLevel_3_ActivityLevel", 0xffff0000, 0x10},
		{"MemoryLevel_3_padding1_1", 0xff, 0x0},
		{"MemoryLevel_3_padding1_0", 0xff00, 0x8}
	} },
	{"DPM_TABLE_260", 0x3f40c, {
		{"MemoryLevel_3_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_261", 0x3f410, {
		{"MemoryLevel_3_MinVddci", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_262", 0x3f414, {
		{"MemoryLevel_3_MinMvdd", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_263", 0x3f418, {
		{"MemoryLevel_3_MclkFrequency", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_0", 0xa4, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_1", 0xa5, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_2", 0xa6, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_3", 0xa7, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_4", 0xa8, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_SYSCON_MSG_ARG_0", 0x80000068, {
		{"smc_msg_arg", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_6", 0xaa, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_7", 0xab, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMC_MSG_ARG_8", 0xbd, {
		{"SMC_MSG_ARG", 0xffffffff, 0x0}
	} },
	{"SMU0_SMU_SMC_IND_INDEX", 0x80, {

	} },
	{"SCLK_DEEP_SLEEP_CNTL", 0xc0200080, {
		{"SELF_REFRESH_MASK", 0x20000, 0x11},
		{"SCLK_RUNNING_MASK", 0x10000, 0x10},
		{"DEEP_SLEEP_ENTRY_MODE", 0x8000000, 0x1b},
		{"SELF_REFRESH_NLC_MASK", 0x2000000, 0x19},
		{"BIF_BUSY_MASK", 0x80000, 0x13},
		{"ENABLE_DS", 0x80000000, 0x1f},
		{"ALLOW_NBPSTATE_MASK", 0x40000, 0x12},
		{"MC0SRBM_BUSY_MASK", 0x200000, 0x15},
		{"AZ_BUSY_MASK", 0x40000000, 0x1e},
		{"MC_ALLOW_MASK", 0x800000, 0x17},
		{"HYSTERESIS", 0xfff0, 0x4},
		{"UVD_BUSY_MASK", 0x100000, 0x14},
		{"SMU_BUSY_MASK", 0x1000000, 0x18},
		{"RAMP_DIS", 0x8, 0x3},
		{"FAST_EXIT_REQ_NBPSTATE", 0x4000000, 0x1a},
		{"MBUS2_ACTIVE_MASK", 0x10000000, 0x1c},
		{"VCE_BUSY_MASK", 0x20000000, 0x1d},
		{"MC1SRBM_BUSY_MASK", 0x400000, 0x16},
		{"DIV_ID", 0x7, 0x0}
	} },
	{"ROM_SW_DATA_33", 0xc06000a8, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_241", 0x3f3c0, {
		{"MemoryLevel_2_MinVddc", 0xffffffff, 0x0}
	} },
	{"ROM_SW_CNTL", 0xc060001c, {
		{"ROM_SW_RETURN_DATA_ENABLE", 0x40000, 0x12},
		{"DATA_SIZE", 0xffff, 0x0},
		{"COMMAND_SIZE", 0x30000, 0x10}
	} },
	{"DPM_TABLE_510", 0x3f7f4, {
		{"BAPM_TEMP_GRADIENT", 0xffffffff, 0x0}
	} },
	{"CG_STATIC_SCREEN_PARAMETER", 0xc0200044, {
		{"STATIC_SCREEN_THRESHOLD_UNIT", 0xf0000, 0x10},
		{"STATIC_SCREEN_THRESHOLD", 0xffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_27", 0x3fba8, {
		{"data_0_value_9", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_36", 0x3f08c, {
		{"VddcLevel_0_Voltage", 0xffff0000, 0x10},
		{"VddcLevel_0_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"DPM_TABLE_37", 0x3f090, {
		{"VddcLevel_0_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"VddcLevel_0_padding", 0xff, 0x0},
		{"VddcLevel_0_Smio", 0xff00, 0x8}
	} },
	{"DPM_TABLE_34", 0x3f084, {
		{"VddciLevelCount", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_35", 0x3f088, {
		{"MvddLevelCount", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_32", 0x3f07c, {
		{"SmioMaskMvddVid", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_33", 0x3f080, {
		{"VddcLevelCount", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_30", 0x3f074, {
		{"SmioMaskVddcPhase", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_31", 0x3f078, {
		{"SmioMaskVddciVid", 0xffffffff, 0x0}
	} },
	{"SMC_SCRATCH9", 0x80000424, {
		{"SCRATCH_VALUE", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_375", 0x3f5d8, {
		{"UvdLevel_4_DclkFrequency", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_32", 0x3fe80, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_38", 0x3f094, {
		{"VddcLevel_1_Voltage", 0xffff0000, 0x10},
		{"VddcLevel_1_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"DPM_TABLE_39", 0x3f098, {
		{"VddcLevel_1_Smio", 0xff00, 0x8},
		{"VddcLevel_1_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"VddcLevel_1_padding", 0xff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_39", 0x3fbd8, {
		{"data_1_value_5", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_38", 0x3fbd4, {
		{"data_1_value_4", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_198", 0x3f314, {
		{"MemoryACPILevel_MpllFuncCntl_2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_199", 0x3f318, {
		{"MemoryACPILevel_MpllAdFuncCntl", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIL11_DATA", 0xc030012c, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"ROM_SW_STATUS", 0xc0600020, {
		{"ROM_SW_DONE", 0x1, 0x0}
	} },
	{"DPM_TABLE_192", 0x3f2fc, {
		{"MemoryACPILevel_RttEnable", 0xff00, 0x8},
		{"MemoryACPILevel_StutterEnable", 0xff, 0x0},
		{"MemoryACPILevel_EdcWriteEnable", 0xff0000, 0x10},
		{"MemoryACPILevel_EdcReadEnable", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_193", 0x3f300, {
		{"MemoryACPILevel_StrobeRatio", 0xff0000, 0x10},
		{"MemoryACPILevel_EnabledForThrottle", 0xff00, 0x8},
		{"MemoryACPILevel_EnabledForActivity", 0xff, 0x0},
		{"MemoryACPILevel_StrobeEnable", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_190", 0x3f2f4, {
		{"MemoryACPILevel_MinMvdd", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_191", 0x3f2f8, {
		{"MemoryACPILevel_MclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_196", 0x3f30c, {
		{"MemoryACPILevel_MpllFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_197", 0x3f310, {
		{"MemoryACPILevel_MpllFuncCntl_1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_194", 0x3f304, {
		{"MemoryACPILevel_UpHyst", 0xff000000, 0x18},
		{"MemoryACPILevel_VoltageDownHyst", 0xff00, 0x8},
		{"MemoryACPILevel_padding", 0xff, 0x0},
		{"MemoryACPILevel_DownHyst", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_195", 0x3f308, {
		{"MemoryACPILevel_ActivityLevel", 0xffff0000, 0x10},
		{"MemoryACPILevel_padding1_0", 0xff00, 0x8},
		{"MemoryACPILevel_padding1_1", 0xff, 0x0}
	} },
	{"ROM_SW_DATA_14", 0xc060005c, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_SYSCON_CLOCK_CNTL_2", 0x8000000c, {
		{"wake_on_irq", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_468", 0x3f74c, {
		{"Smio_25", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_270", 0x3f434, {
		{"MemoryLevel_3_MpllFuncCntl_2", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_10", 0xc060004c, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_11", 0xc0600050, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"SMC0_SMC_IND_INDEX", 0x80, {

	} },
	{"ROM_SW_DATA_13", 0xc0600058, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_462", 0x3f734, {
		{"Smio_19", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_463", 0x3f738, {
		{"Smio_20", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_460", 0x3f72c, {
		{"Smio_17", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_461", 0x3f730, {
		{"Smio_18", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_466", 0x3f744, {
		{"Smio_23", 0xffffffff, 0x0}
	} },
	{"SMC_SYSCON_CLOCK_CNTL_0", 0x80000004, {
		{"auto_cg_timeout", 0xffff00, 0x8},
		{"auto_cg_en", 0x2, 0x1},
		{"cken", 0x1000000, 0x18},
		{"ck_disable", 0x1, 0x0}
	} },
	{"DPM_TABLE_464", 0x3f73c, {
		{"Smio_21", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_465", 0x3f740, {
		{"Smio_22", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_160", 0x3f27c, {
		{"GraphicsLevel_6_MinVddc", 0xffffffff, 0x0}
	} },
	{"LCAC_CPL_CNTL", 0xc0400d80, {
		{"CPL_SIGNAL_ID", 0x3fc00000, 0x16},
		{"CPL_ENABLE", 0x1, 0x0},
		{"CPL_THRESHOLD", 0x1fffe, 0x1},
		{"CPL_BLOCK_ID", 0x3e0000, 0x11}
	} },
	{"SMC_MESSAGE_3", 0x9a, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_2", 0x98, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_1", 0x96, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_0", 0x94, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_7", 0xa2, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_6", 0xa0, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_5", 0x9e, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_4", 0x9c, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMU_PM_STATUS_30", 0x3fe78, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_31", 0x3fe7c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMC_MESSAGE_9", 0xb7, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMC_MESSAGE_8", 0xb5, {
		{"SMC_MSG", 0xffff, 0x0}
	} },
	{"SMU_PM_STATUS_34", 0x3fe88, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_35", 0x3fe8c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_36", 0x3fe90, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_75", 0x3fa28, {
		{"entries_4_0_padding_2", 0xff, 0x0},
		{"entries_4_0_padding_0", 0xff0000, 0x10},
		{"entries_4_0_padding_1", 0xff00, 0x8},
		{"entries_4_0_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_84", 0x3fa4c, {
		{"entries_4_3_McArbBurstTime", 0xff000000, 0x18},
		{"entries_4_3_padding_1", 0xff00, 0x8},
		{"entries_4_3_padding_0", 0xff0000, 0x10},
		{"entries_4_3_padding_2", 0xff, 0x0}
	} },
	{"THM_TMON0_RDIL4_DATA", 0xc0300110, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"CG_THERMAL_INT", 0xc030000c, {
		{"DIG_THERM_INTH", 0xff00, 0x8},
		{"DIG_THERM_CTF", 0xff, 0x0},
		{"DIG_THERM_INTL", 0xff0000, 0x10},
		{"THERM_INT_MASK", 0xf000000, 0x18}
	} },
	{"GPIOPAD_EN", 0x184, {
		{"GPIO_EN", 0x7fffffff, 0x0}
	} },
	{"SMU_PM_STATUS_48", 0x3fec0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_45", 0x3feb4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMC0_SMC_IND_DATA", 0x81, {

	} },
	{"SMU_PM_STATUS_47", 0x3febc, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_46", 0x3feb8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_41", 0x3fea4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_40", 0x3fea0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_43", 0x3feac, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_42", 0x3fea8, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_ACCESS_CNTL", 0x90, {
		{"AUTO_INCREMENT_IND_4", 0x10, 0x4},
		{"AUTO_INCREMENT_IND_5", 0x20, 0x5},
		{"AUTO_INCREMENT_IND_6", 0x40, 0x6},
		{"AUTO_INCREMENT_IND_7", 0x80, 0x7},
		{"AUTO_INCREMENT_IND_0", 0x1, 0x0},
		{"AUTO_INCREMENT_IND_1", 0x2, 0x1},
		{"AUTO_INCREMENT_IND_2", 0x4, 0x2},
		{"AUTO_INCREMENT_IND_3", 0x8, 0x3}
	} },
	{"ROM_CNTL", 0xc0600000, {
		{"SCK_PRESCALE_REFCLK", 0xf000000, 0x18},
		{"SCK_OVERWRITE", 0x2, 0x1},
		{"CLOCK_GATING_EN", 0x4, 0x2},
		{"CSB_ACTIVE_TO_SCK_HOLD_TIME", 0xff0000, 0x10},
		{"SCK_PRESCALE_CRYSTAL_CLK", 0xf0000000, 0x1c},
		{"CSB_ACTIVE_TO_SCK_SETUP_TIME", 0xff00, 0x8}
	} },
	{"DPM_TABLE_129", 0x3f200, {
		{"GraphicsLevel_3_DownHyst", 0xff0000, 0x10},
		{"GraphicsLevel_3_UpHyst", 0xff000000, 0x18},
		{"GraphicsLevel_3_VoltageDownHyst", 0xff00, 0x8},
		{"GraphicsLevel_3_PowerThrottle", 0xff, 0x0}
	} },
	{"DPM_TABLE_128", 0x3f1fc, {
		{"GraphicsLevel_3_EnabledForActivity", 0xff00, 0x8},
		{"GraphicsLevel_3_EnabledForThrottle", 0xff, 0x0},
		{"GraphicsLevel_3_SclkDid", 0xff000000, 0x18},
		{"GraphicsLevel_3_DisplayWatermark", 0xff0000, 0x10}
	} },
	{"GPIOPAD_INT_STAT_EN", 0x187, {
		{"GPIO_INT_STAT_EN", 0x1fffffff, 0x0},
		{"SW_INITIATED_INT_STAT_EN", 0x80000000, 0x1f}
	} },
	{"DPM_TABLE_126", 0x3f1f4, {
		{"GraphicsLevel_3_CcPwrDynRm", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_125", 0x3f1f0, {
		{"GraphicsLevel_3_SpllSpreadSpectrum2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_124", 0x3f1ec, {
		{"GraphicsLevel_3_SpllSpreadSpectrum", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA", 0x81, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_122", 0x3f1e4, {
		{"GraphicsLevel_3_CgSpllFuncCntl3", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_121", 0x3f1e0, {
		{"GraphicsLevel_3_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_3_padding1_0", 0xff000000, 0x18},
		{"GraphicsLevel_3_padding1_1", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_120", 0x3f1dc, {
		{"GraphicsLevel_3_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_27", 0x3f968, {
		{"entries_1_2_padding_1", 0xff00, 0x8},
		{"entries_1_2_padding_0", 0xff0000, 0x10},
		{"entries_1_2_padding_2", 0xff, 0x0},
		{"entries_1_2_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_505", 0x3f7e0, {
		{"DRAM_LOG_ADDR_H", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_25", 0x3f960, {
		{"entries_1_2_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_24", 0x3f95c, {
		{"entries_1_1_McArbBurstTime", 0xff000000, 0x18},
		{"entries_1_1_padding_2", 0xff, 0x0},
		{"entries_1_1_padding_0", 0xff0000, 0x10},
		{"entries_1_1_padding_1", 0xff00, 0x8}
	} },
	{"MCARB_DRAM_TIMING_TABLE_23", 0x3f958, {
		{"entries_1_1_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_22", 0x3f954, {
		{"entries_1_1_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_21", 0x3f950, {
		{"entries_1_0_McArbBurstTime", 0xff000000, 0x18},
		{"entries_1_0_padding_2", 0xff, 0x0},
		{"entries_1_0_padding_1", 0xff00, 0x8},
		{"entries_1_0_padding_0", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_504", 0x3f7dc, {
		{"padding", 0xffff, 0x0},
		{"BootMVdd", 0xffff0000, 0x10}
	} },
	{"MC_REGISTERS_TABLE_113", 0x3fd00, {
		{"data_5_value_15", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_507", 0x3f7e8, {
		{"DRAM_LOG_PHY_ADDR_H", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_29", 0x3f970, {
		{"entries_1_3_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_28", 0x3f96c, {
		{"entries_1_3_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_114", 0x3fac4, {
		{"entries_6_1_padding_1", 0xff00, 0x8},
		{"entries_6_1_padding_0", 0xff0000, 0x10},
		{"entries_6_1_padding_2", 0xff, 0x0},
		{"entries_6_1_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_493", 0x3f7b0, {
		{"BAPMTI_R_4_1_0", 0xffff, 0x0},
		{"BAPMTI_R_4_0_0", 0xffff0000, 0x10}
	} },
	{"MCARB_DRAM_TIMING_TABLE_116", 0x3facc, {
		{"entries_6_2_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_506", 0x3f7e4, {
		{"DRAM_LOG_ADDR_L", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_110", 0x3fab4, {
		{"entries_6_0_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_111", 0x3fab8, {
		{"entries_6_0_padding_0", 0xff0000, 0x10},
		{"entries_6_0_padding_1", 0xff00, 0x8},
		{"entries_6_0_padding_2", 0xff, 0x0},
		{"entries_6_0_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_112", 0x3fabc, {
		{"entries_6_1_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_492", 0x3f7ac, {
		{"BAPMTI_R_3_2_0", 0xffff, 0x0},
		{"BAPMTI_R_3_1_0", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_501", 0x3f7d0, {
		{"BAPMTI_RC_4_2_0", 0xffff, 0x0},
		{"BAPMTI_RC_4_1_0", 0xffff0000, 0x10}
	} },
	{"SMU2_SMU_SMC_IND_INDEX", 0x84, {

	} },
	{"MCARB_DRAM_TIMING_TABLE_118", 0x3fad4, {
		{"entries_6_3_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_491", 0x3f7a8, {
		{"BAPMTI_R_2_2_0", 0xffff0000, 0x10},
		{"BAPMTI_R_3_0_0", 0xffff, 0x0}
	} },
	{"CG_SPLL_SPREAD_SPECTRUM_2", 0xc0500168, {
		{"CLKV", 0x3ffffff, 0x0}
	} },
	{"DPM_TABLE_500", 0x3f7cc, {
		{"BAPMTI_RC_3_2_0", 0xffff0000, 0x10},
		{"BAPMTI_RC_4_0_0", 0xffff, 0x0}
	} },
	{"DPM_TABLE_490", 0x3f7a4, {
		{"BAPMTI_R_2_1_0", 0xffff, 0x0},
		{"BAPMTI_R_2_0_0", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_503", 0x3f7d8, {
		{"BootVddc", 0xffff0000, 0x10},
		{"BootVddci", 0xffff, 0x0}
	} },
	{"ROM_SW_COMMAND", 0xc0600024, {
		{"ROM_SW_INSTRUCTION", 0xff, 0x0},
		{"ROM_SW_ADDRESS", 0xffffff00, 0x8}
	} },
	{"DPM_TABLE_497", 0x3f7c0, {
		{"BAPMTI_RC_2_0_0", 0xffff, 0x0},
		{"BAPMTI_RC_1_2_0", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_502", 0x3f7d4, {
		{"DTEAmbientTempBase", 0xff000000, 0x18},
		{"GpuTjHyst", 0xff, 0x0},
		{"GpuTjMax", 0xff00, 0x8},
		{"DTETjOffset", 0xff0000, 0x10}
	} },
	{"SMU_PM_STATUS_107", 0x3ffac, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_496", 0x3f7bc, {
		{"BAPMTI_RC_1_0_0", 0xffff0000, 0x10},
		{"BAPMTI_RC_1_1_0", 0xffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_16", 0x3f93c, {
		{"entries_0_5_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"CG_THERMAL_INT_CTRL", 0xc2100028, {
		{"THERM_GNB_HW_ENA", 0x10000000, 0x1c},
		{"THERM_INTH_MASK", 0x1000000, 0x18},
		{"THERM_INTL_MASK", 0x2000000, 0x19},
		{"DIG_THERM_INTH", 0xff, 0x0},
		{"THERM_TRIGGER_MASK", 0x4000000, 0x1a},
		{"DIG_THERM_INTL", 0xff00, 0x8},
		{"GNB_TEMP_THRESHOLD", 0xff0000, 0x10},
		{"THERM_TRIGGER_CNB_MASK", 0x8000000, 0x1b}
	} },
	{"GCK0_GCK_SMC_IND_INDEX", 0x80, {

	} },
	{"DPM_TABLE_495", 0x3f7b8, {
		{"BAPMTI_RC_0_1_0", 0xffff0000, 0x10},
		{"BAPMTI_RC_0_2_0", 0xffff, 0x0}
	} },
	{"SMU_PM_STATUS_102", 0x3ff98, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_494", 0x3f7b4, {
		{"BAPMTI_RC_0_0_0", 0xffff, 0x0},
		{"BAPMTI_R_4_2_0", 0xffff0000, 0x10}
	} },
	{"SMU_PM_STATUS_101", 0x3ff94, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_88", 0x3fc9c, {
		{"data_4_value_6", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_75", 0x3fc68, {
		{"data_3_value_9", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_100", 0x3ff90, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"ROM0_ROM_SMC_IND_INDEX", 0x80, {

	} },
	{"MC_REGISTERS_TABLE_74", 0x3fc64, {
		{"data_3_value_8", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_80", 0x3fc7c, {
		{"data_3_value_14", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_81", 0x3fc80, {
		{"data_3_value_15", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_82", 0x3fc84, {
		{"data_4_value_0", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_83", 0x3fc88, {
		{"data_4_value_1", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_84", 0x3fc8c, {
		{"data_4_value_2", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_77", 0x3fc70, {
		{"data_3_value_11", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_86", 0x3fc94, {
		{"data_4_value_4", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_87", 0x3fc98, {
		{"data_4_value_5", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_3", 0x87, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_2", 0x85, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_1", 0x83, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_0", 0x81, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_7", 0x8f, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_6", 0x8d, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_5", 0x8b, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"SMC_IND_DATA_4", 0x89, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"CG_DCLK_STATUS", 0xc05000a0, {
		{"DCLK_DIR_CNTL_DONETOG", 0x2, 0x1},
		{"DCLK_STATUS", 0x1, 0x0}
	} },
	{"MC_REGISTERS_TABLE_71", 0x3fc58, {
		{"data_3_value_5", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_104", 0x3ffa0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_70", 0x3fc54, {
		{"data_3_value_4", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_220", 0x3f36c, {
		{"MemoryLevel_0_DllCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_221", 0x3f370, {
		{"MemoryLevel_0_MpllSs1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_222", 0x3f374, {
		{"MemoryLevel_0_MpllSs2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_223", 0x3f378, {
		{"MemoryLevel_1_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_224", 0x3f37c, {
		{"MemoryLevel_1_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_225", 0x3f380, {
		{"MemoryLevel_1_MinVddci", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_226", 0x3f384, {
		{"MemoryLevel_1_MinMvdd", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_227", 0x3f388, {
		{"MemoryLevel_1_MclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_228", 0x3f38c, {
		{"MemoryLevel_1_RttEnable", 0xff00, 0x8},
		{"MemoryLevel_1_EdcWriteEnable", 0xff0000, 0x10},
		{"MemoryLevel_1_EdcReadEnable", 0xff000000, 0x18},
		{"MemoryLevel_1_StutterEnable", 0xff, 0x0}
	} },
	{"DPM_TABLE_123", 0x3f1e8, {
		{"GraphicsLevel_3_CgSpllFuncCntl4", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_60", 0x3fef0, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_72", 0x3fc5c, {
		{"data_3_value_6", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR14_DATA", 0xc0300178, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"MCARB_DRAM_TIMING_TABLE_52", 0x3f9cc, {
		{"entries_2_5_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_53", 0x3f9d0, {
		{"entries_2_5_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_50", 0x3f9c4, {
		{"entries_2_4_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_51", 0x3f9c8, {
		{"entries_2_4_padding_0", 0xff0000, 0x10},
		{"entries_2_4_padding_1", 0xff00, 0x8},
		{"entries_2_4_padding_2", 0xff, 0x0},
		{"entries_2_4_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_56", 0x3f9dc, {
		{"entries_3_0_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_57", 0x3f9e0, {
		{"entries_3_0_McArbBurstTime", 0xff000000, 0x18},
		{"entries_3_0_padding_1", 0xff00, 0x8},
		{"entries_3_0_padding_0", 0xff0000, 0x10},
		{"entries_3_0_padding_2", 0xff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_54", 0x3f9d4, {
		{"entries_2_5_padding_1", 0xff00, 0x8},
		{"entries_2_5_padding_0", 0xff0000, 0x10},
		{"entries_2_5_padding_2", 0xff, 0x0},
		{"entries_2_5_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_55", 0x3f9d8, {
		{"entries_3_0_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_5", 0x3fd38, {
		{"VBlankTimeout", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_4", 0x3fd34, {
		{"PreVBlankGap", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_58", 0x3f9e4, {
		{"entries_3_1_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_59", 0x3f9e8, {
		{"entries_3_1_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_1", 0x3fd28, {
		{"RefClockFrequency", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_3", 0x3fd30, {
		{"FeatureEnables", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_2", 0x3fd2c, {
		{"PmTimerPeriod", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_413", 0x3f670, {
		{"AcpLevel_3_Divider", 0xff, 0x0},
		{"AcpLevel_3_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_3_MinPhases", 0xff00, 0x8}
	} },
	{"DPM_TABLE_412", 0x3f66c, {
		{"AcpLevel_3_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_411", 0x3f668, {
		{"AcpLevel_2_MinPhases", 0xff00, 0x8},
		{"AcpLevel_2_Divider", 0xff, 0x0},
		{"AcpLevel_2_MinVoltage", 0xffff0000, 0x10}
	} },
	{"GPIOPAD_SW_INT_STAT", 0x180, {
		{"SW_INT_STAT", 0x1, 0x0}
	} },
	{"DPM_TABLE_417", 0x3f680, {
		{"AcpLevel_5_MinPhases", 0xff00, 0x8},
		{"AcpLevel_5_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_5_Divider", 0xff, 0x0}
	} },
	{"DPM_TABLE_416", 0x3f67c, {
		{"AcpLevel_5_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_415", 0x3f678, {
		{"AcpLevel_4_Divider", 0xff, 0x0},
		{"AcpLevel_4_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_4_MinPhases", 0xff00, 0x8}
	} },
	{"DPM_TABLE_414", 0x3f674, {
		{"AcpLevel_4_Frequency", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_9", 0x3fdc0, {
		{"LPMLTemperatureMax", 0xff00, 0x8},
		{"Reserved", 0xff, 0x0},
		{"TdcWaterfallCtl", 0xff000000, 0x18},
		{"LPMLTemperatureMin", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_419", 0x3f688, {
		{"AcpLevel_6_Divider", 0xff, 0x0},
		{"AcpLevel_6_MinVoltage", 0xffff0000, 0x10},
		{"AcpLevel_6_MinPhases", 0xff00, 0x8}
	} },
	{"DPM_TABLE_418", 0x3f684, {
		{"AcpLevel_6_Frequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_437", 0x3f6d0, {
		{"SamuLevel_7_MinPhases", 0xff00, 0x8},
		{"SamuLevel_7_MinVoltage", 0xffff0000, 0x10},
		{"SamuLevel_7_Divider", 0xff, 0x0}
	} },
	{"GPIOPAD_RCVR_SEL", 0x191, {
		{"GPIO_RCVR_SEL", 0x7fffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_3", 0x3fb48, {
		{"address_1_s0", 0xffff0000, 0x10},
		{"address_1_s1", 0xffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_2", 0x3fb44, {
		{"address_0_s1", 0xffff, 0x0},
		{"address_0_s0", 0xffff0000, 0x10}
	} },
	{"MC_REGISTERS_TABLE_1", 0x3fb40, {
		{"reserved_2", 0xff, 0x0},
		{"reserved_1", 0xff00, 0x8},
		{"reserved_0", 0xff0000, 0x10},
		{"last", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_436", 0x3f6cc, {
		{"SamuLevel_7_Frequency", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_7", 0x3fb58, {
		{"address_5_s0", 0xffff0000, 0x10},
		{"address_5_s1", 0xffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_6", 0x3fb54, {
		{"address_4_s1", 0xffff, 0x0},
		{"address_4_s0", 0xffff0000, 0x10}
	} },
	{"MC_REGISTERS_TABLE_5", 0x3fb50, {
		{"address_3_s0", 0xffff0000, 0x10},
		{"address_3_s1", 0xffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_4", 0x3fb4c, {
		{"address_2_s1", 0xffff, 0x0},
		{"address_2_s0", 0xffff0000, 0x10}
	} },
	{"GPIOPAD_INT_TYPE", 0x18b, {
		{"SW_INITIATED_INT_TYPE", 0x80000000, 0x1f},
		{"GPIO_INT_TYPE", 0x1fffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_9", 0x3fb60, {
		{"address_7_s0", 0xffff0000, 0x10},
		{"address_7_s1", 0xffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_8", 0x3fb5c, {
		{"address_6_s1", 0xffff, 0x0},
		{"address_6_s0", 0xffff0000, 0x10}
	} },
	{"ROM_SW_DATA_60", 0xc0600124, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_318", 0x3f4f4, {
		{"LinkLevel_1_DownThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_319", 0x3f4f8, {
		{"LinkLevel_1_UpThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_314", 0x3f4e4, {
		{"LinkLevel_0_DownThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_315", 0x3f4e8, {
		{"LinkLevel_0_UpThreshold", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_316", 0x3f4ec, {
		{"LinkLevel_0_Reserved", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_317", 0x3f4f0, {
		{"LinkLevel_1_PcieLaneCount", 0xff0000, 0x10},
		{"LinkLevel_1_Padding", 0xff, 0x0},
		{"LinkLevel_1_EnabledForActivity", 0xff00, 0x8},
		{"LinkLevel_1_PcieGenSpeed", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_310", 0x3f4d4, {
		{"MemoryLevel_5_DllCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_311", 0x3f4d8, {
		{"MemoryLevel_5_MpllSs1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_312", 0x3f4dc, {
		{"MemoryLevel_5_MpllSs2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_313", 0x3f4e0, {
		{"LinkLevel_0_PcieLaneCount", 0xff0000, 0x10},
		{"LinkLevel_0_PcieGenSpeed", 0xff000000, 0x18},
		{"LinkLevel_0_Padding", 0xff, 0x0},
		{"LinkLevel_0_EnabledForActivity", 0xff00, 0x8}
	} },
	{"DPM_TABLE_255", 0x3f3f8, {
		{"MemoryLevel_2_MclkPwrmgtCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_254", 0x3f3f4, {
		{"MemoryLevel_2_MpllDqFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_257", 0x3f400, {
		{"MemoryLevel_2_MpllSs1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_256", 0x3f3fc, {
		{"MemoryLevel_2_DllCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_251", 0x3f3e8, {
		{"MemoryLevel_2_MpllFuncCntl_1", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_250", 0x3f3e4, {
		{"MemoryLevel_2_MpllFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_253", 0x3f3f0, {
		{"MemoryLevel_2_MpllAdFuncCntl", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_252", 0x3f3ec, {
		{"MemoryLevel_2_MpllFuncCntl_2", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_64", 0xc0600134, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"CG_ECLK_CNTL", 0xc05000ac, {
		{"ECLK_DIVIDER", 0x7f, 0x0},
		{"ECLK_DIR_CNTL_TOG", 0x200, 0x9},
		{"ECLK_DIR_CNTL_DIVIDER", 0x1fc00, 0xa},
		{"ECLK_DIR_CNTL_EN", 0x100, 0x8}
	} },
	{"DPM_TABLE_259", 0x3f408, {
		{"MemoryLevel_3_MinVddc", 0xffffffff, 0x0}
	} },
	{"CG_CLKPIN_CNTL_DC", 0xc0500204, {
		{"XTL_LOW_GAIN", 0x6, 0x1},
		{"OSC_EN", 0x1, 0x0},
		{"XTALIN_SEL", 0x1c00, 0xa}
	} },
	{"SMU_PM_STATUS_73", 0x3ff24, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_174", 0x3f2b4, {
		{"GraphicsLevel_7_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_175", 0x3f2b8, {
		{"GraphicsLevel_7_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_176", 0x3f2bc, {
		{"GraphicsLevel_7_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_177", 0x3f2c0, {
		{"GraphicsLevel_7_padding1_1", 0xff0000, 0x10},
		{"GraphicsLevel_7_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_7_padding1_0", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_170", 0x3f2a4, {
		{"GraphicsLevel_6_SclkDid", 0xff000000, 0x18},
		{"GraphicsLevel_6_DisplayWatermark", 0xff0000, 0x10},
		{"GraphicsLevel_6_EnabledForThrottle", 0xff, 0x0},
		{"GraphicsLevel_6_EnabledForActivity", 0xff00, 0x8}
	} },
	{"DPM_TABLE_171", 0x3f2a8, {
		{"GraphicsLevel_6_VoltageDownHyst", 0xff00, 0x8},
		{"GraphicsLevel_6_UpHyst", 0xff000000, 0x18},
		{"GraphicsLevel_6_PowerThrottle", 0xff, 0x0},
		{"GraphicsLevel_6_DownHyst", 0xff0000, 0x10}
	} },
	{"DPM_TABLE_172", 0x3f2ac, {
		{"GraphicsLevel_6_padding_2", 0xff, 0x0},
		{"GraphicsLevel_6_padding_0", 0xff0000, 0x10},
		{"GraphicsLevel_6_padding_1", 0xff00, 0x8},
		{"GraphicsLevel_6_DeepSleepDivId", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_173", 0x3f2b0, {
		{"GraphicsLevel_7_Flags", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_439", 0x3f6d8, {
		{"Ulv_CcPwrDynRm1", 0xffffffff, 0x0}
	} },
	{"CG_SPLL_FUNC_CNTL_3", 0xc0500148, {
		{"SPLL_DITHEN", 0x10000000, 0x1c},
		{"SPLL_FB_DIV", 0x3ffffff, 0x0}
	} },
	{"CG_SPLL_FUNC_CNTL_2", 0xc0500144, {
		{"SPLL_TEST_UNLOCK_CLR", 0x40000000, 0x1e},
		{"SPLL_CTLREQ", 0x800, 0xb},
		{"SCLK_MUX_UPDATE", 0x4000000, 0x1a},
		{"SPLL_CTLREQ_CHG", 0x800000, 0x17},
		{"SPLL_RESET_CHG", 0x1000000, 0x18},
		{"SPLL_UNLOCK_CLEAR", 0x8000000, 0x1b},
		{"SPLL_BYPASS_CHG", 0x400000, 0x16},
		{"SCLK_MUX_SEL", 0x1ff, 0x0},
		{"SPLL_CLKF_UPDATE", 0x10000000, 0x1c},
		{"SPLL_BABY_STEP_CHG", 0x2000000, 0x19}
	} },
	{"DPM_TABLE_178", 0x3f2c4, {
		{"GraphicsLevel_7_CgSpllFuncCntl3", 0xffffffff, 0x0}
	} },
	{"CG_SPLL_FUNC_CNTL_4", 0xc050014c, {
		{"SPLL_SPARE_EXT", 0x70000000, 0x1c},
		{"TEST_FRAC_BYPASS", 0x200000, 0x15},
		{"SPLL_VTOI_BIAS_CNTL", 0x80000000, 0x1f},
		{"SPLL_VCTRLADC_EN", 0x2000000, 0x19},
		{"SPLL_SPARE", 0x7fe00, 0x9},
		{"SPLL_SCLK_EXT", 0xc000000, 0x1a},
		{"SPLL_SCLK_EXT_SEL", 0x60, 0x5},
		{"SPLL_ILOCK", 0x800000, 0x17},
		{"SPLL_SCLK_EN", 0x180, 0x7},
		{"SPLL_SCLK_TEST_SEL", 0xf, 0x0},
		{"SPLL_FBCLK_SEL", 0x1000000, 0x18}
	} },
	{"CG_SPLL_FUNC_CNTL_7", 0xc0500158, {
		{"SPLL_BW_CNTRL", 0xfff, 0x0}
	} },
	{"CG_SPLL_FUNC_CNTL_6", 0xc0500154, {
		{"SPLL_VCTL_CNTRL_IN", 0x1e0000, 0x11},
		{"SPLL_LF_CNTR", 0xfe000000, 0x19},
		{"SPLL_VCTL_EN", 0x10000, 0x10},
		{"SPLL_VCTL_CNTRL_OUT", 0x1e00000, 0x15},
		{"SCLKMUX1_CLKOFF_CNT", 0xff00, 0x8},
		{"SCLKMUX0_CLKOFF_CNT", 0xff, 0x0}
	} },
	{"DPM_TABLE_484", 0x3f78c, {
		{"DisplayCac", 0xffffffff, 0x0}
	} },
	{"GPIOPAD_PU_EN", 0x192, {
		{"GPIO_PU_EN", 0x7fffffff, 0x0}
	} },
	{"DPM_TABLE_486", 0x3f794, {
		{"FpsLowThreshold", 0xffff, 0x0},
		{"FpsHighThreshold", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_487", 0x3f798, {
		{"BAPMTI_R_0_1_0", 0xffff, 0x0},
		{"BAPMTI_R_0_0_0", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_69", 0x3f110, {
		{"VceLevelCount", 0xff000000, 0x18},
		{"AcpLevelCount", 0xff0000, 0x10},
		{"SamuLevelCount", 0xff00, 0x8},
		{"padding2", 0xff, 0x0}
	} },
	{"DPM_TABLE_68", 0x3f10c, {
		{"UvdLevelCount", 0xff, 0x0},
		{"MemoryDpmLevelCount", 0xff0000, 0x10},
		{"GraphicsDpmLevelCount", 0xff000000, 0x18},
		{"LinkLevelCount", 0xff00, 0x8}
	} },
	{"DPM_TABLE_482", 0x3f784, {
		{"DTEInterval", 0xff00, 0x8},
		{"PCIeGenInterval", 0xff0000, 0x10},
		{"PCIeBootLinkLevel", 0xff000000, 0x18},
		{"DTEMode", 0xff, 0x0}
	} },
	{"DPM_TABLE_483", 0x3f788, {
		{"VRHotGpio", 0xff0000, 0x10},
		{"ThermGpio", 0xff, 0x0},
		{"AcDcGpio", 0xff00, 0x8},
		{"SVI2Enable", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_65", 0x3f100, {
		{"MvddLevel_2_Smio", 0xff00, 0x8},
		{"MvddLevel_2_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"MvddLevel_2_padding", 0xff, 0x0}
	} },
	{"DPM_TABLE_64", 0x3f0fc, {
		{"MvddLevel_2_Voltage", 0xffff0000, 0x10},
		{"MvddLevel_2_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"DPM_TABLE_67", 0x3f108, {
		{"MvddLevel_3_Smio", 0xff00, 0x8},
		{"MvddLevel_3_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"MvddLevel_3_padding", 0xff, 0x0}
	} },
	{"DPM_TABLE_66", 0x3f104, {
		{"MvddLevel_3_StdVoltageHiSidd", 0xffff, 0x0},
		{"MvddLevel_3_Voltage", 0xffff0000, 0x10}
	} },
	{"DPM_TABLE_61", 0x3f0f0, {
		{"MvddLevel_0_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"MvddLevel_0_padding", 0xff, 0x0},
		{"MvddLevel_0_Smio", 0xff00, 0x8}
	} },
	{"DPM_TABLE_60", 0x3f0ec, {
		{"MvddLevel_0_Voltage", 0xffff0000, 0x10},
		{"MvddLevel_0_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"DPM_TABLE_63", 0x3f0f8, {
		{"MvddLevel_1_Smio", 0xff00, 0x8},
		{"MvddLevel_1_StdVoltageLoSidd", 0xffff0000, 0x10},
		{"MvddLevel_1_padding", 0xff, 0x0}
	} },
	{"DPM_TABLE_62", 0x3f0f4, {
		{"MvddLevel_1_Voltage", 0xffff0000, 0x10},
		{"MvddLevel_1_StdVoltageHiSidd", 0xffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_66", 0x3fc44, {
		{"data_3_value_0", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_67", 0x3fc48, {
		{"data_3_value_1", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_64", 0x3fc3c, {
		{"data_2_value_14", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_65", 0x3fc40, {
		{"data_2_value_15", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_62", 0x3fc34, {
		{"data_2_value_12", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_63", 0x3fc38, {
		{"data_2_value_13", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_60", 0x3fc2c, {
		{"data_2_value_10", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_115", 0x3fac8, {
		{"entries_6_2_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"GCK_SMC_IND_INDEX", 0x80, {
		{"SMC_IND_ADDR", 0xffffffff, 0x0}
	} },
	{"GPIOPAD_A", 0x183, {
		{"GPIO_A", 0x7fffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_68", 0x3fc4c, {
		{"data_3_value_2", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_69", 0x3fc50, {
		{"data_3_value_3", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_44", 0x3fbec, {
		{"data_1_value_10", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_117", 0x3fad0, {
		{"entries_6_2_McArbBurstTime", 0xff000000, 0x18},
		{"entries_6_2_padding_2", 0xff, 0x0},
		{"entries_6_2_padding_0", 0xff0000, 0x10},
		{"entries_6_2_padding_1", 0xff00, 0x8}
	} },
	{"SMC_SYSCON_RESET_CNTL", 0x80000000, {
		{"RegReset", 0x40000000, 0x1e},
		{"srbm_soft_rst_override", 0x2, 0x1},
		{"rst_reg", 0x1, 0x0}
	} },
	{"GPIOPAD_Y", 0x185, {
		{"GPIO_Y", 0x7fffffff, 0x0}
	} },
	{"ROM_SW_DATA_49", 0xc06000e8, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"SMU1_SMU_SMC_IND_INDEX", 0x82, {

	} },
	{"ROM_SW_DATA_47", 0xc06000e0, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_46", 0xc06000dc, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_45", 0xc06000d8, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_44", 0xc06000d4, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_43", 0xc06000d0, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_46", 0x3fbf4, {
		{"data_1_value_12", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_41", 0xc06000c8, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_40", 0xc06000c4, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_6", 0x3f014, {
		{"GraphicsPIDController_LfOffset", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_7", 0x3f018, {
		{"GraphicsPIDController_MaxState", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_4", 0x3f00c, {
		{"GraphicsPIDController_StatePrecision", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_5", 0x3f010, {
		{"GraphicsPIDController_LfPrecision", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_2", 0x3f004, {
		{"GraphicsPIDController_LFWindupUpperLim", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_3", 0x3f008, {
		{"GraphicsPIDController_LFWindupLowerLim", 0xffffffff, 0x0}
	} },
	{"LCLK_DEEP_SLEEP_CNTL2", 0xc0200310, {
		{"L1IMUGPP_IDLE_MASK", 0x400, 0xa},
		{"ORB_IDLE_MASK", 0x8000, 0xf},
		{"PCIE_LCLK_IDLE1_MASK", 0x40, 0x6},
		{"ON_INB_WAKE_ACK_MASK", 0x20000, 0x11},
		{"RESERVED_BIT3", 0x8, 0x3},
		{"RLC_SMU_GFXCLK_OFF_MASK", 0x200000, 0x15},
		{"ON_INB_WAKE_MASK", 0x10000, 0x10},
		{"PCIE_LCLK_IDLE3_MASK", 0x100, 0x8},
		{"ON_OUTB_WAKE_MASK", 0x40000, 0x12},
		{"L1IMU_SMU_IDLE_MASK", 0x4, 0x2},
		{"PCIE_LCLK_IDLE2_MASK", 0x80, 0x7},
		{"RESERVED", 0xffc00000, 0x16},
		{"RFE_BUSY_MASK", 0x1, 0x0},
		{"BIF_CG_LCLK_BUSY_MASK", 0x2, 0x1},
		{"ON_OUTB_WAKE_ACK_MASK", 0x80000, 0x13},
		{"PCIE_LCLK_IDLE4_MASK", 0x200, 0x9},
		{"L1IMUBIF_IDLE_MASK", 0x1000, 0xc},
		{"DMAACTIVE_MASK", 0x100000, 0x14},
		{"SCLK_RUNNING_MASK", 0x10, 0x4},
		{"L1IMUINTGEN_IDLE_MASK", 0x2000, 0xd},
		{"L2IMU_IDLE_MASK", 0x4000, 0xe},
		{"L1IMUGPPSB_IDLE_MASK", 0x800, 0xb},
		{"SMU_BUSY_MASK", 0x20, 0x5}
	} },
	{"DPM_TABLE_1", 0x3f000, {
		{"GraphicsPIDController_Ki", 0xffffffff, 0x0}
	} },
	{"ROM3_ROM_SMC_IND_DATA", 0x87, {

	} },
	{"MC_REGISTERS_TABLE_40", 0x3fbdc, {
		{"data_1_value_6", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_66", 0x3ff08, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_113", 0x3fac0, {
		{"entries_6_1_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"GCK_PLL_TEST_CNTL", 0xc05001c0, {
		{"REF_TEST_COUNT", 0x1fc00, 0xa},
		{"TST_RESET", 0x20000, 0x11},
		{"TST_SRC_SEL", 0x1f, 0x0},
		{"TST_REF_SEL", 0x3e0, 0x5},
		{"TST_CLK_SEL_MODE", 0x40000, 0x12}
	} },
	{"DPM_TABLE_8", 0x3f01c, {
		{"GraphicsPIDController_MaxLfFraction", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_9", 0x3f020, {
		{"GraphicsPIDController_StateShift", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIL1_DATA", 0xc0300104, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"ROM_SW_DATA_19", 0xc0600070, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_61", 0xc0600128, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_42", 0x3fbe4, {
		{"data_1_value_8", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_29", 0xc0600098, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_54", 0xc06000fc, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_43", 0x3fbe8, {
		{"data_1_value_9", 0xffffffff, 0x0}
	} },
	{"SMU_SMC_IND_DATA", 0x81, {
		{"SMC_IND_DATA", 0xffffffff, 0x0}
	} },
	{"CG_MULT_THERMAL_CTRL", 0xc0300010, {
		{"UNUSED", 0xf0, 0x4},
		{"TS_FILTER", 0xf, 0x0},
		{"THERMAL_RANGE_RST", 0x200, 0x9},
		{"TEMP_SEL", 0xff00000, 0x14}
	} },
	{"SMU_PM_STATUS_74", 0x3ff28, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_75", 0x3ff2c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_76", 0x3ff30, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_77", 0x3ff34, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_70", 0x3ff18, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_71", 0x3ff1c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_72", 0x3ff20, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU3_SMU_SMC_IND_INDEX", 0x86, {

	} },
	{"ROM_DATA", 0xc0600014, {
		{"ROM_DATA", 0xffffffff, 0x0}
	} },
	{"TARGET_AND_CURRENT_PROFILE_INDEX", 0xc0200014, {
		{"TARG_MCLK_INDEX", 0xf000, 0xc},
		{"CURR_LCLK_INDEX", 0x1c000000, 0x1a},
		{"CURRENT_STATE", 0xf0, 0x4},
		{"TARG_SCLK_INDEX", 0x3e00000, 0x15},
		{"TARGET_STATE", 0xf, 0x0},
		{"CURR_SCLK_INDEX", 0x1f0000, 0x10},
		{"TARG_LCLK_INDEX", 0xe0000000, 0x1d},
		{"CURR_MCLK_INDEX", 0xf00, 0x8}
	} },
	{"ROM2_ROM_SMC_IND_DATA", 0x85, {

	} },
	{"SMU_PM_STATUS_78", 0x3ff38, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_79", 0x3ff3c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_119", 0x3fad8, {
		{"entries_6_3_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_90", 0x3f164, {
		{"GraphicsLevel_1_MinVddc", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_91", 0x3f168, {
		{"GraphicsLevel_1_MinVddcPhases", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_92", 0x3f16c, {
		{"GraphicsLevel_1_SclkFrequency", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_93", 0x3f170, {
		{"GraphicsLevel_1_padding1_1", 0xff0000, 0x10},
		{"GraphicsLevel_1_ActivityLevel", 0xffff, 0x0},
		{"GraphicsLevel_1_padding1_0", 0xff000000, 0x18}
	} },
	{"DPM_TABLE_94", 0x3f174, {
		{"GraphicsLevel_1_CgSpllFuncCntl3", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_95", 0x3f178, {
		{"GraphicsLevel_1_CgSpllFuncCntl4", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_96", 0x3f17c, {
		{"GraphicsLevel_1_SpllSpreadSpectrum", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_97", 0x3f180, {
		{"GraphicsLevel_1_SpllSpreadSpectrum2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_98", 0x3f184, {
		{"GraphicsLevel_1_CcPwrDynRm", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_99", 0x3f188, {
		{"GraphicsLevel_1_CcPwrDynRm1", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_30", 0x3fd9c, {
		{"Reserved_9", 0xffffffff, 0x0}
	} },
	{"MC_REGISTERS_TABLE_26", 0x3fba4, {
		{"data_0_value_8", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_53", 0x3fed4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_109", 0x3ffb4, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"PM_FUSES_3", 0x3fda8, {
		{"BapmVddCVidLoSidd_1", 0xff0000, 0x10},
		{"BapmVddCVidLoSidd_0", 0xff000000, 0x18},
		{"BapmVddCVidLoSidd_3", 0xff, 0x0},
		{"BapmVddCVidLoSidd_2", 0xff00, 0x8}
	} },
	{"MCARB_DRAM_TIMING_TABLE_18", 0x3f944, {
		{"entries_0_5_padding_2", 0xff, 0x0},
		{"entries_0_5_padding_1", 0xff00, 0x8},
		{"entries_0_5_padding_0", 0xff0000, 0x10},
		{"entries_0_5_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_19", 0x3f948, {
		{"entries_1_0_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"SMU_STATUS", 0xe0003088, {
		{"SMU_DONE", 0x1, 0x0},
		{"SMU_PASS", 0x2, 0x1}
	} },
	{"MCARB_DRAM_TIMING_TABLE_17", 0x3f940, {
		{"entries_0_5_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_14", 0x3f934, {
		{"entries_0_4_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_15", 0x3f938, {
		{"entries_0_4_padding_2", 0xff, 0x0},
		{"entries_0_4_padding_0", 0xff0000, 0x10},
		{"entries_0_4_padding_1", 0xff00, 0x8},
		{"entries_0_4_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_12", 0x3f92c, {
		{"entries_0_3_padding_1", 0xff00, 0x8},
		{"entries_0_3_padding_0", 0xff0000, 0x10},
		{"entries_0_3_padding_2", 0xff, 0x0},
		{"entries_0_3_McArbBurstTime", 0xff000000, 0x18}
	} },
	{"MCARB_DRAM_TIMING_TABLE_13", 0x3f930, {
		{"entries_0_4_McArbDramTiming", 0xffffffff, 0x0}
	} },
	{"GPIOPAD_PD_EN", 0x193, {
		{"GPIO_PD_EN", 0x7fffffff, 0x0}
	} },
	{"MCARB_DRAM_TIMING_TABLE_11", 0x3f928, {
		{"entries_0_3_McArbDramTiming2", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_471", 0x3f758, {
		{"Smio_28", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_9", 0x3fd48, {
		{"AcpiDelay", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_INT_DATA", 0xc0300300, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"SMU_PM_STATUS_38", 0x3fe98, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"CG_ECLK_STATUS", 0xc05000b0, {
		{"ECLK_DIR_CNTL_DONETOG", 0x2, 0x1},
		{"ECLK_STATUS", 0x1, 0x0}
	} },
	{"ROM_SW_DATA_23", 0xc0600080, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"GENERAL_PWRMGT", 0xc0200000, {
		{"LOW_VOLT_D3_ACPI", 0x200, 0x9},
		{"VOLT_PWRMGT_EN", 0x400, 0xa},
		{"THERMAL_PROTECTION_DIS", 0x4, 0x2},
		{"GPU_COUNTER_ACPI", 0x4000, 0xe},
		{"THERMAL_PROTECTION_TYPE", 0x8, 0x3},
		{"GLOBAL_PWRMGT_EN", 0x1, 0x0},
		{"GPU_COUNTER_INTF_OFF", 0x20000, 0x11},
		{"SPARE11", 0x800, 0xb},
		{"LOW_VOLT_D2_ACPI", 0x100, 0x8},
		{"SPARE27", 0x8000000, 0x1b},
		{"SPARE", 0xf0000000, 0x1c},
		{"SW_SMIO_INDEX", 0x40, 0x6},
		{"GPU_COUNTER_OFF", 0x10000, 0x10},
		{"ACPI_D3_VID", 0x180000, 0x13},
		{"SPARE18", 0x40000, 0x12},
		{"DYN_SPREAD_SPECTRUM_EN", 0x800000, 0x17},
		{"STATIC_PM_EN", 0x2, 0x1},
		{"GPU_COUNTER_CLK", 0x8000, 0xf}
	} },
	{"ROM_SW_DATA_22", 0xc060007c, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"SCLK_MIN_DIV", 0xc0200308, {
		{"FRACV", 0xfff, 0x0},
		{"INTV", 0x7f000, 0xc}
	} },
	{"MC_REGISTERS_TABLE_31", 0x3fbb8, {
		{"data_0_value_13", 0xffffffff, 0x0}
	} },
	{"LCAC_MC1_CNTL", 0xc0400d3c, {
		{"MC1_SIGNAL_ID", 0x3fc00000, 0x16},
		{"MC1_BLOCK_ID", 0x3e0000, 0x11},
		{"MC1_THRESHOLD", 0x1fffe, 0x1},
		{"MC1_ENABLE", 0x1, 0x0}
	} },
	{"ROM_SW_DATA_25", 0xc0600088, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_62", 0xc060012c, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"DPM_TABLE_474", 0x3f764, {
		{"Smio_31", 0xffffffff, 0x0}
	} },
	{"SOFT_REGISTERS_TABLE_8", 0x3fd44, {
		{"LongestAcpiTrainTime", 0xffffffff, 0x0}
	} },
	{"ROM_SW_DATA_27", 0xc0600090, {
		{"ROM_SW_DATA", 0xffffffff, 0x0}
	} },
	{"SMU_PM_STATUS_39", 0x3fe9c, {
		{"DATA", 0xffffffff, 0x0}
	} },
	{"THM_TMON0_RDIR4_DATA", 0xc0300150, {
		{"VALID", 0x800, 0xb},
		{"Z", 0x7ff, 0x0},
		{"TEMP", 0xfff000, 0xc}
	} },
	{"DPM_TABLE_440", 0x3f6dc, {
		{"Ulv_VddcPhase", 0xff, 0x0},
		{"Ulv_VddcOffset", 0xffff0000, 0x10},
		{"Ulv_VddcOffsetVid", 0xff00, 0x8}
	} }
};

}; // namespace amdregdb
